#include "frames_10_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_600_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_600_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(1, 35),
        horizontal_line(12, 34),
        horizontal_line(23, 33),
        horizontal_line(72, 93),
        horizontal_line(71, 91),
        horizontal_line(70, 90),
        horizontal_line(79, 89),
        horizontal_line(103, 113),
        horizontal_line(102, 111),
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_600_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
    };

    constexpr const horizontal_line frame_600_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_600_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_600_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(137, 143),
        horizontal_line(134, 147),
        horizontal_line(131, 150),
        horizontal_line(130, 147),
        horizontal_line(131, 145),
        horizontal_line(131, 143),
        horizontal_line(132, 140),
        horizontal_line(132, 138),
        horizontal_line(133, 136),
        horizontal_line(133, 133),
        horizontal_line(149, 163),
        horizontal_line(148, 162),
        horizontal_line(146, 161),
        horizontal_line(144, 159),
        horizontal_line(142, 158),
        horizontal_line(140, 156),
        horizontal_line(138, 155),
        horizontal_line(138, 153),
        horizontal_line(138, 152),
        horizontal_line(139, 151),
        horizontal_line(139, 149),
        horizontal_line(140, 148),
        horizontal_line(140, 146),
        horizontal_line(141, 145),
        horizontal_line(142, 143),
        horizontal_line(142, 142),
        horizontal_line(162, 191),
        horizontal_line(160, 190),
        horizontal_line(159, 189),
        horizontal_line(158, 189),
        horizontal_line(157, 188),
        horizontal_line(156, 187),
        horizontal_line(155, 186),
        horizontal_line(154, 185),
        horizontal_line(153, 185),
    };

    constexpr const shape frame_600_shape_group_0_shapes[] = {
        shape(frame_600_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_600_shape_group_0_shape_1_horizontal_lines, 76, 2),
        shape(frame_600_shape_group_0_shape_2_horizontal_lines, 121, 1),
        shape(frame_600_shape_group_0_shape_3_horizontal_lines, 122, 2),
        shape(frame_600_shape_group_0_shape_4_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(98, 108),
        horizontal_line(100, 110),
        horizontal_line(101, 112),
        horizontal_line(103, 114),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(102, 103),
        horizontal_line(101, 104),
        horizontal_line(100, 105),
        horizontal_line(99, 107),
        horizontal_line(98, 108),
        horizontal_line(97, 109),
        horizontal_line(96, 110),
        horizontal_line(95, 112),
        horizontal_line(94, 113),
        horizontal_line(93, 114),
        horizontal_line(92, 115),
        horizontal_line(91, 115),
        horizontal_line(90, 114),
        horizontal_line(89, 113),
        horizontal_line(88, 111),
        horizontal_line(87, 110),
        horizontal_line(85, 109),
        horizontal_line(84, 108),
        horizontal_line(83, 106),
        horizontal_line(82, 105),
        horizontal_line(81, 104),
        horizontal_line(80, 103),
        horizontal_line(79, 101),
        horizontal_line(78, 100),
        horizontal_line(77, 99),
        horizontal_line(76, 98),
        horizontal_line(75, 96),
        horizontal_line(74, 95),
        horizontal_line(73, 94),
        horizontal_line(109, 121),
        horizontal_line(108, 119),
        horizontal_line(106, 117),
        horizontal_line(105, 115),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(143, 147),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 152),
        horizontal_line(146, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 154),
        horizontal_line(148, 154),
        horizontal_line(148, 154),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(129, 138),
        horizontal_line(149, 156),
        horizontal_line(149, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(204, 211),
        horizontal_line(195, 210),
        horizontal_line(161, 161),
        horizontal_line(159, 171),
        horizontal_line(157, 169),
        horizontal_line(155, 168),
        horizontal_line(153, 166),
        horizontal_line(151, 165),
        horizontal_line(180, 204),
        horizontal_line(179, 203),
        horizontal_line(177, 203),
        horizontal_line(176, 202),
        horizontal_line(175, 201),
        horizontal_line(174, 200),
        horizontal_line(173, 199),
        horizontal_line(172, 198),
        horizontal_line(171, 198),
        horizontal_line(170, 197),
        horizontal_line(168, 196),
        horizontal_line(167, 195),
        horizontal_line(166, 194),
        horizontal_line(165, 194),
        horizontal_line(164, 193),
        horizontal_line(163, 192),
    };

    constexpr const horizontal_line frame_600_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(143, 161),
        horizontal_line(144, 159),
        horizontal_line(144, 158),
        horizontal_line(145, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
        horizontal_line(147, 154),
        horizontal_line(148, 153),
        horizontal_line(149, 152),
    };

    constexpr const shape frame_600_shape_group_1_shapes[] = {
        shape(frame_600_shape_group_1_shape_0_horizontal_lines, 11, 1),
        shape(frame_600_shape_group_1_shape_1_horizontal_lines, 36, 2),
        shape(frame_600_shape_group_1_shape_2_horizontal_lines, 40, 1),
        shape(frame_600_shape_group_1_shape_3_horizontal_lines, 73, 2),
        shape(frame_600_shape_group_1_shape_4_horizontal_lines, 74, 1),
        shape(frame_600_shape_group_1_shape_5_horizontal_lines, 75, 2),
        shape(frame_600_shape_group_1_shape_6_horizontal_lines, 127, 1),
        shape(frame_600_shape_group_1_shape_7_horizontal_lines, 151, 5),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(76, 76),
        horizontal_line(77, 78),
        horizontal_line(78, 80),
        horizontal_line(80, 82),
        horizontal_line(81, 84),
        horizontal_line(83, 86),
        horizontal_line(84, 88),
        horizontal_line(85, 90),
        horizontal_line(87, 92),
        horizontal_line(88, 94),
        horizontal_line(90, 96),
        horizontal_line(91, 98),
        horizontal_line(93, 100),
        horizontal_line(94, 102),
        horizontal_line(95, 104),
        horizontal_line(97, 106),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(61, 100),
        horizontal_line(60, 102),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(104, 116),
        horizontal_line(105, 118),
        horizontal_line(106, 120),
        horizontal_line(108, 122),
        horizontal_line(109, 124),
        horizontal_line(110, 126),
        horizontal_line(111, 128),
        horizontal_line(113, 130),
        horizontal_line(114, 132),
        horizontal_line(115, 134),
        horizontal_line(116, 136),
        horizontal_line(118, 138),
        horizontal_line(119, 140),
        horizontal_line(120, 142),
        horizontal_line(121, 144),
        horizontal_line(123, 146),
        horizontal_line(124, 148),
        horizontal_line(125, 150),
        horizontal_line(127, 152),
        horizontal_line(128, 154),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(122, 125),
        horizontal_line(120, 126),
        horizontal_line(119, 127),
        horizontal_line(117, 128),
        horizontal_line(116, 129),
        horizontal_line(114, 127),
        horizontal_line(112, 125),
        horizontal_line(111, 123),
        horizontal_line(132, 132),
        horizontal_line(129, 132),
        horizontal_line(126, 129),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(117, 125),
        horizontal_line(130, 133),
        horizontal_line(137, 139),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(139, 141),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 147),
        horizontal_line(154, 162),
        horizontal_line(154, 162),
        horizontal_line(155, 163),
        horizontal_line(156, 164),
        horizontal_line(156, 165),
        horizontal_line(157, 166),
        horizontal_line(157, 167),
        horizontal_line(158, 168),
        horizontal_line(159, 169),
        horizontal_line(159, 170),
        horizontal_line(160, 170),
        horizontal_line(161, 171),
        horizontal_line(161, 172),
        horizontal_line(162, 173),
        horizontal_line(163, 174),
        horizontal_line(163, 175),
        horizontal_line(164, 176),
        horizontal_line(164, 177),
        horizontal_line(165, 178),
        horizontal_line(149, 156),
        horizontal_line(166, 179),
        horizontal_line(167, 180),
        horizontal_line(168, 181),
        horizontal_line(168, 182),
        horizontal_line(169, 183),
        horizontal_line(152, 159),
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(187, 209),
        horizontal_line(185, 208),
        horizontal_line(184, 207),
        horizontal_line(183, 207),
        horizontal_line(182, 206),
        horizontal_line(181, 205),
    };

    constexpr const horizontal_line frame_600_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(134, 148),
        horizontal_line(135, 147),
        horizontal_line(135, 145),
        horizontal_line(136, 143),
        horizontal_line(136, 141),
        horizontal_line(137, 139),
        horizontal_line(137, 137),
        horizontal_line(154, 171),
        horizontal_line(153, 170),
        horizontal_line(152, 169),
        horizontal_line(150, 167),
        horizontal_line(149, 166),
        horizontal_line(147, 165),
        horizontal_line(146, 164),
        horizontal_line(144, 163),
        horizontal_line(143, 162),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_600_shape_group_2_shapes[] = {
        shape(frame_600_shape_group_2_shape_0_horizontal_lines, 20, 2),
        shape(frame_600_shape_group_2_shape_1_horizontal_lines, 36, 5),
        shape(frame_600_shape_group_2_shape_2_horizontal_lines, 40, 2),
        shape(frame_600_shape_group_2_shape_3_horizontal_lines, 60, 1),
        shape(frame_600_shape_group_2_shape_4_horizontal_lines, 73, 2),
        shape(frame_600_shape_group_2_shape_5_horizontal_lines, 129, 1),
        shape(frame_600_shape_group_2_shape_6_horizontal_lines, 135, 5),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(76, 76),
        horizontal_line(75, 77),
        horizontal_line(74, 79),
        horizontal_line(73, 80),
        horizontal_line(72, 82),
        horizontal_line(71, 83),
        horizontal_line(70, 84),
        horizontal_line(69, 86),
        horizontal_line(69, 87),
        horizontal_line(68, 89),
        horizontal_line(67, 90),
        horizontal_line(66, 92),
        horizontal_line(65, 93),
        horizontal_line(64, 94),
        horizontal_line(63, 96),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(59, 101),
        horizontal_line(58, 100),
        horizontal_line(57, 99),
        horizontal_line(56, 98),
        horizontal_line(55, 97),
        horizontal_line(55, 96),
        horizontal_line(54, 95),
        horizontal_line(53, 94),
        horizontal_line(52, 93),
        horizontal_line(51, 92),
        horizontal_line(50, 91),
        horizontal_line(49, 90),
        horizontal_line(48, 89),
        horizontal_line(48, 88),
        horizontal_line(47, 87),
        horizontal_line(46, 86),
        horizontal_line(45, 84),
        horizontal_line(44, 83),
        horizontal_line(43, 82),
        horizontal_line(42, 81),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 156),
        horizontal_line(130, 158),
        horizontal_line(132, 160),
        horizontal_line(133, 162),
        horizontal_line(134, 164),
        horizontal_line(135, 166),
        horizontal_line(137, 168),
        horizontal_line(131, 131),
        horizontal_line(139, 172),
        horizontal_line(140, 174),
        horizontal_line(133, 133),
        horizontal_line(134, 134),
        horizontal_line(133, 135),
        horizontal_line(145, 182),
        horizontal_line(130, 133),
        horizontal_line(136, 138),
        horizontal_line(149, 188),
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(153, 194),
        horizontal_line(140, 142),
        horizontal_line(140, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(142, 146),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(144, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 150),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(147, 153),
        horizontal_line(148, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 155),
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(151, 158),
        horizontal_line(152, 159),
        horizontal_line(152, 160),
        horizontal_line(153, 161),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(166, 178),
        horizontal_line(207, 238),
        horizontal_line(209, 231),
        horizontal_line(210, 225),
        horizontal_line(211, 218),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(170, 184),
        horizontal_line(170, 185),
        horizontal_line(171, 186),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(144, 158),
        horizontal_line(141, 156),
        horizontal_line(139, 154),
        horizontal_line(137, 152),
        horizontal_line(134, 150),
        horizontal_line(164, 179),
        horizontal_line(163, 178),
        horizontal_line(162, 176),
        horizontal_line(160, 175),
        horizontal_line(159, 174),
        horizontal_line(157, 173),
        horizontal_line(156, 172),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
    };

    constexpr const shape frame_600_shape_group_3_shapes[] = {
        shape(frame_600_shape_group_3_shape_0_horizontal_lines, 21, 5),
        shape(frame_600_shape_group_3_shape_1_horizontal_lines, 40, 5),
        shape(frame_600_shape_group_3_shape_2_horizontal_lines, 60, 2),
        shape(frame_600_shape_group_3_shape_3_horizontal_lines, 126, 5),
        shape(frame_600_shape_group_3_shape_4_horizontal_lines, 127, 2),
        shape(frame_600_shape_group_3_shape_5_horizontal_lines, 130, 5),
        shape(frame_600_shape_group_3_shape_6_horizontal_lines, 151, 6),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(115, 117),
        horizontal_line(114, 118),
        horizontal_line(112, 119),
        horizontal_line(111, 120),
        horizontal_line(110, 121),
        horizontal_line(109, 122),
        horizontal_line(107, 123),
        horizontal_line(106, 123),
        horizontal_line(41, 80),
        horizontal_line(41, 79),
        horizontal_line(40, 78),
        horizontal_line(39, 77),
        horizontal_line(38, 76),
        horizontal_line(37, 75),
        horizontal_line(36, 74),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(138, 170),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(34, 72),
        horizontal_line(34, 71),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 176),
        horizontal_line(143, 178),
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(89, 102),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(136, 137),
        horizontal_line(148, 186),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(151, 190),
        horizontal_line(152, 192),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(154, 196),
        horizontal_line(156, 198),
        horizontal_line(157, 200),
        horizontal_line(158, 202),
        horizontal_line(159, 204),
        horizontal_line(161, 206),
        horizontal_line(162, 208),
        horizontal_line(163, 210),
        horizontal_line(164, 212),
        horizontal_line(166, 214),
        horizontal_line(167, 216),
        horizontal_line(168, 218),
        horizontal_line(170, 220),
        horizontal_line(171, 222),
        horizontal_line(172, 224),
        horizontal_line(173, 226),
        horizontal_line(175, 228),
        horizontal_line(176, 230),
        horizontal_line(177, 232),
        horizontal_line(178, 234),
        horizontal_line(180, 236),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(127, 132),
        horizontal_line(128, 136),
        horizontal_line(128, 139),
        horizontal_line(129, 136),
        horizontal_line(213, 239),
        horizontal_line(130, 130),
        horizontal_line(148, 156),
        horizontal_line(146, 160),
        horizontal_line(172, 184),
        horizontal_line(170, 183),
        horizontal_line(169, 182),
        horizontal_line(167, 181),
        horizontal_line(166, 180),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(141, 141),
        horizontal_line(84, 122),
        horizontal_line(85, 123),
        horizontal_line(85, 124),
        horizontal_line(86, 125),
        horizontal_line(87, 126),
        horizontal_line(88, 127),
        horizontal_line(89, 128),
        horizontal_line(90, 130),
    };

    constexpr const shape frame_600_shape_group_4_shapes[] = {
        shape(frame_600_shape_group_4_shape_0_horizontal_lines, 51, 5),
        shape(frame_600_shape_group_4_shape_1_horizontal_lines, 67, 2),
        shape(frame_600_shape_group_4_shape_2_horizontal_lines, 68, 5),
        shape(frame_600_shape_group_4_shape_3_horizontal_lines, 70, 2),
        shape(frame_600_shape_group_4_shape_4_horizontal_lines, 73, 5),
        shape(frame_600_shape_group_4_shape_5_horizontal_lines, 74, 2),
        shape(frame_600_shape_group_4_shape_6_horizontal_lines, 76, 6),
        shape(frame_600_shape_group_4_shape_7_horizontal_lines, 77, 2),
        shape(frame_600_shape_group_4_shape_8_horizontal_lines, 79, 6),
        shape(frame_600_shape_group_4_shape_9_horizontal_lines, 80, 2),
        shape(frame_600_shape_group_4_shape_10_horizontal_lines, 102, 6),
        shape(frame_600_shape_group_4_shape_11_horizontal_lines, 121, 2),
        shape(frame_600_shape_group_4_shape_12_horizontal_lines, 122, 5),
        shape(frame_600_shape_group_4_shape_13_horizontal_lines, 142, 6),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(105, 122),
        horizontal_line(104, 121),
        horizontal_line(102, 119),
        horizontal_line(101, 118),
        horizontal_line(100, 116),
        horizontal_line(99, 115),
        horizontal_line(97, 113),
        horizontal_line(35, 73),
        horizontal_line(95, 110),
        horizontal_line(94, 108),
        horizontal_line(52, 70),
        horizontal_line(91, 105),
        horizontal_line(90, 104),
        horizontal_line(114, 131),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(147, 184),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(74, 89),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(77, 91),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(97, 107),
        horizontal_line(98, 107),
        horizontal_line(99, 108),
        horizontal_line(100, 109),
        horizontal_line(101, 110),
        horizontal_line(102, 110),
        horizontal_line(103, 111),
        horizontal_line(104, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
        horizontal_line(81, 119),
        horizontal_line(140, 140),
        horizontal_line(83, 121),
    };

    constexpr const horizontal_line frame_600_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
    };

    constexpr const shape frame_600_shape_group_5_shapes[] = {
        shape(frame_600_shape_group_5_shape_0_horizontal_lines, 60, 5),
        shape(frame_600_shape_group_5_shape_1_horizontal_lines, 74, 2),
        shape(frame_600_shape_group_5_shape_2_horizontal_lines, 75, 6),
        shape(frame_600_shape_group_5_shape_3_horizontal_lines, 121, 5),
        shape(frame_600_shape_group_5_shape_4_horizontal_lines, 126, 6),
        shape(frame_600_shape_group_5_shape_5_horizontal_lines, 127, 5),
        shape(frame_600_shape_group_5_shape_6_horizontal_lines, 135, 6),
        shape(frame_600_shape_group_5_shape_7_horizontal_lines, 152, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(96, 111),
        horizontal_line(124, 131),
        horizontal_line(122, 131),
        horizontal_line(92, 107),
        horizontal_line(118, 125),
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(112, 116),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(73, 88),
        horizontal_line(103, 109),
        horizontal_line(75, 89),
        horizontal_line(76, 90),
        horizontal_line(104, 110),
        horizontal_line(78, 91),
        horizontal_line(78, 92),
        horizontal_line(79, 93),
        horizontal_line(80, 93),
        horizontal_line(81, 94),
        horizontal_line(82, 95),
        horizontal_line(83, 96),
        horizontal_line(84, 96),
        horizontal_line(85, 97),
        horizontal_line(86, 98),
        horizontal_line(87, 98),
        horizontal_line(87, 99),
        horizontal_line(88, 100),
        horizontal_line(89, 100),
        horizontal_line(90, 101),
        horizontal_line(91, 102),
        horizontal_line(92, 103),
        horizontal_line(93, 103),
        horizontal_line(94, 104),
        horizontal_line(95, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 106),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(126, 126),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 131),
        horizontal_line(130, 132),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(76, 111),
        horizontal_line(76, 112),
        horizontal_line(77, 113),
        horizontal_line(78, 114),
        horizontal_line(79, 115),
        horizontal_line(80, 117),
        horizontal_line(81, 118),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(82, 120),
    };

    constexpr const horizontal_line frame_600_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(123, 143),
        horizontal_line(124, 143),
        horizontal_line(125, 144),
        horizontal_line(126, 145),
        horizontal_line(127, 145),
        horizontal_line(128, 146),
        horizontal_line(129, 147),
        horizontal_line(131, 148),
    };

    constexpr const shape frame_600_shape_group_6_shapes[] = {
        shape(frame_600_shape_group_6_shape_0_horizontal_lines, 66, 5),
        shape(frame_600_shape_group_6_shape_1_horizontal_lines, 73, 6),
        shape(frame_600_shape_group_6_shape_2_horizontal_lines, 74, 5),
        shape(frame_600_shape_group_6_shape_3_horizontal_lines, 75, 6),
        shape(frame_600_shape_group_6_shape_4_horizontal_lines, 127, 5),
        shape(frame_600_shape_group_6_shape_5_horizontal_lines, 128, 6),
        shape(frame_600_shape_group_6_shape_6_horizontal_lines, 149, 7),
        shape(frame_600_shape_group_6_shape_7_horizontal_lines, 150, 6),
        shape(frame_600_shape_group_6_shape_8_horizontal_lines, 151, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(130, 133),
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(71, 87),
        horizontal_line(0, 38),
        horizontal_line(102, 109),
        horizontal_line(114, 115),
        horizontal_line(103, 109),
        horizontal_line(104, 110),
        horizontal_line(114, 115),
        horizontal_line(105, 110),
        horizontal_line(105, 111),
        horizontal_line(106, 111),
        horizontal_line(106, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 114),
        horizontal_line(110, 114),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 122),
        horizontal_line(118, 123),
        horizontal_line(63, 94),
        horizontal_line(1, 63),
        horizontal_line(121, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(123, 127),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 129),
        horizontal_line(70, 104),
        horizontal_line(71, 105),
        horizontal_line(72, 106),
        horizontal_line(72, 107),
        horizontal_line(73, 108),
        horizontal_line(74, 109),
        horizontal_line(75, 110),
    };

    constexpr const horizontal_line frame_600_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(120, 141),
        horizontal_line(0, 19),
        horizontal_line(122, 140),
    };

    constexpr const shape frame_600_shape_group_7_shapes[] = {
        shape(frame_600_shape_group_7_shape_0_horizontal_lines, 66, 6),
        shape(frame_600_shape_group_7_shape_1_horizontal_lines, 67, 5),
        shape(frame_600_shape_group_7_shape_2_horizontal_lines, 68, 6),
        shape(frame_600_shape_group_7_shape_3_horizontal_lines, 70, 5),
        shape(frame_600_shape_group_7_shape_4_horizontal_lines, 73, 6),
        shape(frame_600_shape_group_7_shape_5_horizontal_lines, 142, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(38, 70),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(72, 87),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 73),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(44, 76),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(54, 84),
        horizontal_line(55, 85),
        horizontal_line(56, 86),
        horizontal_line(57, 86),
        horizontal_line(58, 87),
        horizontal_line(59, 88),
        horizontal_line(60, 89),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(69, 96),
        horizontal_line(70, 97),
        horizontal_line(71, 98),
        horizontal_line(72, 99),
        horizontal_line(73, 100),
        horizontal_line(74, 101),
        horizontal_line(76, 102),
        horizontal_line(77, 103),
        horizontal_line(78, 104),
        horizontal_line(79, 104),
        horizontal_line(80, 105),
        horizontal_line(81, 106),
        horizontal_line(82, 107),
        horizontal_line(83, 108),
        horizontal_line(84, 109),
        horizontal_line(85, 110),
        horizontal_line(86, 111),
        horizontal_line(87, 112),
        horizontal_line(88, 112),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(64, 96),
        horizontal_line(65, 97),
        horizontal_line(66, 98),
        horizontal_line(67, 99),
        horizontal_line(67, 100),
        horizontal_line(68, 101),
        horizontal_line(69, 103),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(112, 132),
        horizontal_line(113, 133),
        horizontal_line(114, 134),
        horizontal_line(115, 135),
        horizontal_line(116, 136),
        horizontal_line(118, 137),
        horizontal_line(119, 138),
    };

    constexpr const horizontal_line frame_600_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(121, 139),
        horizontal_line(142, 142),
    };

    constexpr const shape frame_600_shape_group_8_shapes[] = {
        shape(frame_600_shape_group_8_shape_0_horizontal_lines, 67, 6),
        shape(frame_600_shape_group_8_shape_1_horizontal_lines, 70, 6),
        shape(frame_600_shape_group_8_shape_2_horizontal_lines, 73, 7),
        shape(frame_600_shape_group_8_shape_3_horizontal_lines, 74, 6),
        shape(frame_600_shape_group_8_shape_4_horizontal_lines, 76, 7),
        shape(frame_600_shape_group_8_shape_5_horizontal_lines, 77, 6),
        shape(frame_600_shape_group_8_shape_6_horizontal_lines, 79, 7),
        shape(frame_600_shape_group_8_shape_7_horizontal_lines, 80, 6),
        shape(frame_600_shape_group_8_shape_8_horizontal_lines, 88, 7),
        shape(frame_600_shape_group_8_shape_9_horizontal_lines, 96, 6),
        shape(frame_600_shape_group_8_shape_10_horizontal_lines, 102, 7),
        shape(frame_600_shape_group_8_shape_11_horizontal_lines, 121, 6),
        shape(frame_600_shape_group_8_shape_12_horizontal_lines, 126, 7),
        shape(frame_600_shape_group_8_shape_13_horizontal_lines, 127, 6),
        shape(frame_600_shape_group_8_shape_14_horizontal_lines, 135, 7),
        shape(frame_600_shape_group_8_shape_15_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(35, 51),
        horizontal_line(36, 69),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(70, 78),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(39, 71),
        horizontal_line(40, 72),
        horizontal_line(90, 102),
        horizontal_line(42, 74),
        horizontal_line(43, 75),
        horizontal_line(92, 103),
        horizontal_line(45, 77),
        horizontal_line(46, 77),
        horizontal_line(48, 78),
        horizontal_line(49, 79),
        horizontal_line(50, 80),
        horizontal_line(51, 81),
        horizontal_line(52, 82),
        horizontal_line(53, 83),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(99, 109),
        horizontal_line(100, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 111),
        horizontal_line(102, 111),
        horizontal_line(103, 112),
        horizontal_line(63, 91),
        horizontal_line(64, 92),
        horizontal_line(65, 93),
        horizontal_line(66, 94),
        horizontal_line(67, 95),
        horizontal_line(68, 95),
        horizontal_line(108, 115),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(90, 113),
        horizontal_line(91, 114),
        horizontal_line(92, 115),
        horizontal_line(93, 116),
        horizontal_line(94, 117),
        horizontal_line(95, 118),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(63, 95),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(105, 126),
        horizontal_line(106, 127),
        horizontal_line(107, 128),
        horizontal_line(108, 129),
        horizontal_line(109, 130),
        horizontal_line(110, 130),
        horizontal_line(111, 131),
        horizontal_line(136, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_600_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const shape frame_600_shape_group_9_shapes[] = {
        shape(frame_600_shape_group_9_shape_0_horizontal_lines, 70, 7),
        shape(frame_600_shape_group_9_shape_1_horizontal_lines, 72, 6),
        shape(frame_600_shape_group_9_shape_2_horizontal_lines, 73, 7),
        shape(frame_600_shape_group_9_shape_3_horizontal_lines, 127, 6),
        shape(frame_600_shape_group_9_shape_4_horizontal_lines, 128, 7),
        shape(frame_600_shape_group_9_shape_5_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(37, 69),
    };

    constexpr const horizontal_line frame_600_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(88, 101),
        horizontal_line(89, 101),
        horizontal_line(110, 113),
        horizontal_line(90, 102),
        horizontal_line(91, 103),
        horizontal_line(111, 113),
        horizontal_line(92, 104),
        horizontal_line(93, 104),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(95, 106),
        horizontal_line(96, 106),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(104, 112),
        horizontal_line(104, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(107, 115),
    };

    constexpr const horizontal_line frame_600_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(0, 0),
        horizontal_line(97, 120),
        horizontal_line(98, 121),
        horizontal_line(99, 121),
        horizontal_line(100, 122),
        horizontal_line(101, 123),
        horizontal_line(102, 124),
        horizontal_line(104, 125),
        horizontal_line(131, 133),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
    };

    constexpr const shape frame_600_shape_group_10_shapes[] = {
        shape(frame_600_shape_group_10_shape_0_horizontal_lines, 72, 7),
        shape(frame_600_shape_group_10_shape_1_horizontal_lines, 74, 7),
        shape(frame_600_shape_group_10_shape_2_horizontal_lines, 121, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_600_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(96, 119),
        horizontal_line(126, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(128, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 132),
        horizontal_line(130, 132),
    };

    constexpr const shape frame_600_shape_group_11_shapes[] = {
        shape(frame_600_shape_group_11_shape_0_horizontal_lines, 75, 7),
        shape(frame_600_shape_group_11_shape_1_horizontal_lines, 77, 7),
        shape(frame_600_shape_group_11_shape_2_horizontal_lines, 80, 7),
        shape(frame_600_shape_group_11_shape_3_horizontal_lines, 96, 7),
        shape(frame_600_shape_group_11_shape_4_horizontal_lines, 100, 7),
        shape(frame_600_shape_group_11_shape_5_horizontal_lines, 127, 7),
    };

    constexpr const horizontal_line frame_600_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(125, 129),
    };

    constexpr const shape frame_600_shape_group_12_shapes[] = {
        shape(frame_600_shape_group_12_shape_0_horizontal_lines, 127, 7),
    };

    constexpr const shape_group frame_600_shape_groups[] = {
        shape_group(frame_600_shape_group_0_shapes),
        shape_group(frame_600_shape_group_1_shapes),
        shape_group(frame_600_shape_group_2_shapes),
        shape_group(frame_600_shape_group_3_shapes),
        shape_group(frame_600_shape_group_4_shapes),
        shape_group(frame_600_shape_group_5_shapes),
        shape_group(frame_600_shape_group_6_shapes),
        shape_group(frame_600_shape_group_7_shapes),
        shape_group(frame_600_shape_group_8_shapes),
        shape_group(frame_600_shape_group_9_shapes),
        shape_group(frame_600_shape_group_10_shapes),
        shape_group(frame_600_shape_group_11_shapes),
        shape_group(frame_600_shape_group_12_shapes),
    };

    constexpr const frame frame_600_impl(frame_600_colors, frame_600_shape_groups);
} 

const frame& frame_600()
{
    return frame_600_impl;
}

namespace
{
    constexpr const bn::color frame_601_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_601_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(1, 26),
        horizontal_line(9, 25),
        horizontal_line(17, 24),
        horizontal_line(71, 92),
        horizontal_line(70, 91),
        horizontal_line(69, 89),
        horizontal_line(68, 88),
        horizontal_line(67, 87),
        horizontal_line(105, 114),
        horizontal_line(104, 112),
        horizontal_line(102, 110),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_601_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_601_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_601_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(134, 139),
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_601_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(137, 145),
        horizontal_line(134, 149),
        horizontal_line(131, 152),
        horizontal_line(130, 149),
        horizontal_line(131, 147),
        horizontal_line(131, 144),
        horizontal_line(132, 142),
        horizontal_line(132, 140),
        horizontal_line(132, 137),
        horizontal_line(133, 135),
        horizontal_line(152, 166),
        horizontal_line(150, 164),
        horizontal_line(148, 163),
        horizontal_line(146, 161),
        horizontal_line(145, 160),
        horizontal_line(143, 159),
        horizontal_line(141, 157),
        horizontal_line(139, 156),
        horizontal_line(137, 154),
        horizontal_line(138, 153),
        horizontal_line(138, 152),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(140, 147),
        horizontal_line(140, 146),
        horizontal_line(141, 145),
        horizontal_line(142, 143),
        horizontal_line(142, 142),
        horizontal_line(163, 197),
        horizontal_line(162, 196),
        horizontal_line(161, 195),
        horizontal_line(160, 194),
        horizontal_line(159, 193),
        horizontal_line(158, 193),
    };

    constexpr const shape frame_601_shape_group_0_shapes[] = {
        shape(frame_601_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_601_shape_group_0_shape_1_horizontal_lines, 75, 2),
        shape(frame_601_shape_group_0_shape_2_horizontal_lines, 122, 1),
        shape(frame_601_shape_group_0_shape_3_horizontal_lines, 123, 2),
        shape(frame_601_shape_group_0_shape_4_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(85, 92),
        horizontal_line(86, 94),
        horizontal_line(88, 96),
        horizontal_line(89, 98),
        horizontal_line(91, 100),
        horizontal_line(92, 102),
        horizontal_line(93, 104),
        horizontal_line(95, 106),
        horizontal_line(96, 108),
        horizontal_line(98, 110),
        horizontal_line(99, 113),
        horizontal_line(101, 115),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(100, 102),
        horizontal_line(99, 103),
        horizontal_line(98, 105),
        horizontal_line(97, 106),
        horizontal_line(96, 107),
        horizontal_line(95, 108),
        horizontal_line(94, 110),
        horizontal_line(93, 111),
        horizontal_line(92, 112),
        horizontal_line(91, 113),
        horizontal_line(90, 115),
        horizontal_line(89, 114),
        horizontal_line(88, 113),
        horizontal_line(87, 112),
        horizontal_line(86, 111),
        horizontal_line(85, 109),
        horizontal_line(84, 108),
        horizontal_line(83, 107),
        horizontal_line(82, 106),
        horizontal_line(81, 104),
        horizontal_line(80, 103),
        horizontal_line(79, 102),
        horizontal_line(78, 101),
        horizontal_line(77, 99),
        horizontal_line(76, 98),
        horizontal_line(75, 97),
        horizontal_line(74, 96),
        horizontal_line(73, 94),
        horizontal_line(72, 93),
        horizontal_line(113, 124),
        horizontal_line(111, 122),
        horizontal_line(110, 120),
        horizontal_line(108, 118),
        horizontal_line(107, 116),
        horizontal_line(122, 130),
        horizontal_line(119, 125),
        horizontal_line(116, 129),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(147, 151),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 154),
        horizontal_line(148, 154),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(130, 139),
        horizontal_line(151, 158),
        horizontal_line(151, 159),
        horizontal_line(152, 159),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(154, 161),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(161, 173),
        horizontal_line(159, 171),
        horizontal_line(157, 170),
        horizontal_line(155, 168),
        horizontal_line(154, 167),
        horizontal_line(182, 212),
        horizontal_line(181, 211),
        horizontal_line(180, 210),
        horizontal_line(179, 209),
        horizontal_line(178, 208),
        horizontal_line(177, 208),
        horizontal_line(176, 207),
        horizontal_line(175, 206),
        horizontal_line(174, 205),
        horizontal_line(172, 204),
        horizontal_line(171, 203),
        horizontal_line(170, 203),
        horizontal_line(169, 202),
        horizontal_line(168, 201),
        horizontal_line(167, 200),
        horizontal_line(166, 199),
        horizontal_line(165, 198),
        horizontal_line(164, 198),
    };

    constexpr const horizontal_line frame_601_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(143, 162),
        horizontal_line(144, 161),
        horizontal_line(144, 160),
        horizontal_line(145, 159),
        horizontal_line(146, 158),
        horizontal_line(147, 157),
    };

    constexpr const shape frame_601_shape_group_1_shapes[] = {
        shape(frame_601_shape_group_1_shape_0_horizontal_lines, 8, 1),
        shape(frame_601_shape_group_1_shape_1_horizontal_lines, 24, 2),
        shape(frame_601_shape_group_1_shape_2_horizontal_lines, 36, 1),
        shape(frame_601_shape_group_1_shape_3_horizontal_lines, 75, 2),
        shape(frame_601_shape_group_1_shape_4_horizontal_lines, 130, 1),
        shape(frame_601_shape_group_1_shape_5_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(72, 73),
        horizontal_line(73, 75),
        horizontal_line(75, 77),
        horizontal_line(76, 79),
        horizontal_line(78, 81),
        horizontal_line(79, 83),
        horizontal_line(81, 85),
        horizontal_line(82, 87),
        horizontal_line(83, 89),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(61, 87),
        horizontal_line(60, 88),
        horizontal_line(59, 90),
        horizontal_line(58, 91),
        horizontal_line(57, 92),
        horizontal_line(56, 94),
        horizontal_line(55, 95),
        horizontal_line(54, 97),
        horizontal_line(53, 98),
        horizontal_line(53, 100),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(102, 117),
        horizontal_line(103, 119),
        horizontal_line(104, 121),
        horizontal_line(106, 123),
        horizontal_line(107, 125),
        horizontal_line(108, 127),
        horizontal_line(109, 129),
        horizontal_line(111, 131),
        horizontal_line(112, 134),
        horizontal_line(113, 136),
        horizontal_line(114, 138),
        horizontal_line(116, 140),
        horizontal_line(117, 142),
        horizontal_line(118, 144),
        horizontal_line(119, 146),
        horizontal_line(121, 148),
        horizontal_line(122, 150),
        horizontal_line(123, 152),
        horizontal_line(124, 155),
        horizontal_line(126, 157),
        horizontal_line(127, 159),
        horizontal_line(128, 161),
        horizontal_line(129, 163),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(122, 126),
        horizontal_line(120, 127),
        horizontal_line(119, 128),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(114, 126),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(139, 180),
        horizontal_line(141, 182),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(127, 134),
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 134),
        horizontal_line(131, 134),
        horizontal_line(121, 126),
        horizontal_line(138, 139),
        horizontal_line(137, 137),
        horizontal_line(140, 141),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
        horizontal_line(139, 139),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(144, 146),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(145, 148),
        horizontal_line(155, 163),
        horizontal_line(156, 164),
        horizontal_line(157, 165),
        horizontal_line(157, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 167),
        horizontal_line(159, 168),
        horizontal_line(160, 169),
        horizontal_line(160, 170),
        horizontal_line(161, 171),
        horizontal_line(162, 172),
        horizontal_line(162, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(164, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
        horizontal_line(151, 158),
        horizontal_line(168, 181),
        horizontal_line(169, 182),
        horizontal_line(170, 183),
        horizontal_line(170, 184),
        horizontal_line(171, 185),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(189, 217),
        horizontal_line(187, 216),
        horizontal_line(186, 215),
        horizontal_line(185, 214),
        horizontal_line(184, 213),
        horizontal_line(183, 213),
    };

    constexpr const horizontal_line frame_601_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(133, 151),
        horizontal_line(134, 149),
        horizontal_line(134, 147),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(136, 142),
        horizontal_line(136, 140),
        horizontal_line(137, 138),
        horizontal_line(155, 173),
        horizontal_line(154, 171),
        horizontal_line(153, 170),
        horizontal_line(151, 169),
        horizontal_line(150, 168),
        horizontal_line(148, 167),
        horizontal_line(147, 166),
        horizontal_line(146, 165),
        horizontal_line(144, 164),
        horizontal_line(143, 163),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_601_shape_group_2_shapes[] = {
        shape(frame_601_shape_group_2_shape_0_horizontal_lines, 14, 2),
        shape(frame_601_shape_group_2_shape_1_horizontal_lines, 24, 5),
        shape(frame_601_shape_group_2_shape_2_horizontal_lines, 36, 2),
        shape(frame_601_shape_group_2_shape_3_horizontal_lines, 59, 1),
        shape(frame_601_shape_group_2_shape_4_horizontal_lines, 66, 2),
        shape(frame_601_shape_group_2_shape_5_horizontal_lines, 68, 1),
        shape(frame_601_shape_group_2_shape_6_horizontal_lines, 71, 2),
        shape(frame_601_shape_group_2_shape_7_horizontal_lines, 130, 1),
        shape(frame_601_shape_group_2_shape_8_horizontal_lines, 136, 5),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(70, 72),
        horizontal_line(69, 74),
        horizontal_line(68, 75),
        horizontal_line(67, 77),
        horizontal_line(66, 78),
        horizontal_line(65, 80),
        horizontal_line(64, 81),
        horizontal_line(63, 82),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(52, 100),
        horizontal_line(51, 99),
        horizontal_line(50, 98),
        horizontal_line(49, 97),
        horizontal_line(48, 96),
        horizontal_line(47, 95),
        horizontal_line(46, 94),
        horizontal_line(45, 93),
        horizontal_line(44, 92),
        horizontal_line(43, 91),
        horizontal_line(43, 90),
        horizontal_line(42, 89),
        horizontal_line(41, 88),
        horizontal_line(40, 87),
        horizontal_line(39, 86),
        horizontal_line(38, 85),
        horizontal_line(37, 84),
        horizontal_line(36, 83),
        horizontal_line(35, 82),
        horizontal_line(34, 81),
        horizontal_line(34, 80),
        horizontal_line(33, 79),
        horizontal_line(32, 78),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(131, 165),
        horizontal_line(132, 167),
        horizontal_line(133, 169),
        horizontal_line(134, 171),
        horizontal_line(136, 173),
        horizontal_line(137, 176),
        horizontal_line(138, 178),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(25, 70),
        horizontal_line(35, 69),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(142, 184),
        horizontal_line(143, 186),
        horizontal_line(135, 135),
        horizontal_line(136, 136),
        horizontal_line(147, 192),
        horizontal_line(137, 137),
        horizontal_line(131, 134),
        horizontal_line(151, 199),
        horizontal_line(139, 140),
        horizontal_line(153, 203),
        horizontal_line(140, 142),
        horizontal_line(141, 143),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(143, 145),
        horizontal_line(143, 146),
        horizontal_line(144, 147),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 154),
        horizontal_line(150, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(153, 159),
        horizontal_line(153, 160),
        horizontal_line(154, 161),
        horizontal_line(155, 162),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(168, 180),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 238),
        horizontal_line(216, 231),
        horizontal_line(217, 224),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(150, 158),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(173, 188),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(145, 160),
        horizontal_line(143, 158),
        horizontal_line(141, 156),
        horizontal_line(138, 154),
        horizontal_line(136, 153),
        horizontal_line(167, 181),
        horizontal_line(165, 180),
        horizontal_line(164, 179),
        horizontal_line(162, 178),
        horizontal_line(161, 177),
        horizontal_line(160, 176),
        horizontal_line(158, 175),
        horizontal_line(157, 174),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_601_shape_group_3_shapes[] = {
        shape(frame_601_shape_group_3_shape_0_horizontal_lines, 15, 5),
        shape(frame_601_shape_group_3_shape_1_horizontal_lines, 36, 5),
        shape(frame_601_shape_group_3_shape_2_horizontal_lines, 59, 2),
        shape(frame_601_shape_group_3_shape_3_horizontal_lines, 66, 5),
        shape(frame_601_shape_group_3_shape_4_horizontal_lines, 68, 2),
        shape(frame_601_shape_group_3_shape_5_horizontal_lines, 129, 5),
        shape(frame_601_shape_group_3_shape_6_horizontal_lines, 130, 2),
        shape(frame_601_shape_group_3_shape_7_horizontal_lines, 131, 5),
        shape(frame_601_shape_group_3_shape_8_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(114, 116),
        horizontal_line(113, 117),
        horizontal_line(112, 118),
        horizontal_line(110, 119),
        horizontal_line(109, 120),
        horizontal_line(108, 121),
        horizontal_line(107, 122),
        horizontal_line(105, 122),
        horizontal_line(104, 123),
        horizontal_line(103, 124),
        horizontal_line(31, 77),
        horizontal_line(30, 76),
        horizontal_line(29, 75),
        horizontal_line(28, 74),
        horizontal_line(27, 73),
        horizontal_line(26, 72),
        horizontal_line(25, 71),
        horizontal_line(93, 112),
        horizontal_line(92, 110),
        horizontal_line(46, 68),
        horizontal_line(56, 67),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(144, 188),
        horizontal_line(146, 190),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(91, 103),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(148, 194),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(152, 201),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(154, 205),
        horizontal_line(156, 207),
        horizontal_line(157, 209),
        horizontal_line(158, 211),
        horizontal_line(160, 213),
        horizontal_line(161, 215),
        horizontal_line(162, 218),
        horizontal_line(163, 220),
        horizontal_line(165, 222),
        horizontal_line(166, 224),
        horizontal_line(167, 226),
        horizontal_line(168, 228),
        horizontal_line(170, 230),
        horizontal_line(171, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(128, 133),
        horizontal_line(129, 137),
        horizontal_line(129, 140),
        horizontal_line(129, 136),
        horizontal_line(130, 133),
        horizontal_line(130, 130),
        horizontal_line(219, 239),
        horizontal_line(148, 162),
        horizontal_line(174, 186),
        horizontal_line(172, 185),
        horizontal_line(171, 184),
        horizontal_line(169, 183),
        horizontal_line(168, 182),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(142, 143),
        horizontal_line(143, 144),
        horizontal_line(144, 145),
    };

    constexpr const shape frame_601_shape_group_4_shapes[] = {
        shape(frame_601_shape_group_4_shape_0_horizontal_lines, 48, 5),
        shape(frame_601_shape_group_4_shape_1_horizontal_lines, 70, 2),
        shape(frame_601_shape_group_4_shape_2_horizontal_lines, 72, 5),
        shape(frame_601_shape_group_4_shape_3_horizontal_lines, 73, 2),
        shape(frame_601_shape_group_4_shape_4_horizontal_lines, 75, 6),
        shape(frame_601_shape_group_4_shape_5_horizontal_lines, 76, 2),
        shape(frame_601_shape_group_4_shape_6_horizontal_lines, 77, 6),
        shape(frame_601_shape_group_4_shape_7_horizontal_lines, 78, 2),
        shape(frame_601_shape_group_4_shape_8_horizontal_lines, 102, 6),
        shape(frame_601_shape_group_4_shape_9_horizontal_lines, 122, 2),
        shape(frame_601_shape_group_4_shape_10_horizontal_lines, 123, 5),
        shape(frame_601_shape_group_4_shape_11_horizontal_lines, 144, 6),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(102, 122),
        horizontal_line(100, 121),
        horizontal_line(99, 119),
        horizontal_line(98, 118),
        horizontal_line(97, 116),
        horizontal_line(95, 115),
        horizontal_line(94, 113),
        horizontal_line(125, 131),
        horizontal_line(123, 132),
        horizontal_line(90, 109),
        horizontal_line(89, 107),
        horizontal_line(88, 106),
        horizontal_line(87, 104),
        horizontal_line(113, 118),
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(149, 197),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(71, 87),
        horizontal_line(0, 34),
        horizontal_line(73, 89),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(234, 234),
        horizontal_line(235, 236),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(94, 106),
        horizontal_line(95, 106),
        horizontal_line(96, 107),
        horizontal_line(97, 108),
        horizontal_line(98, 108),
        horizontal_line(99, 109),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(101, 111),
        horizontal_line(102, 112),
        horizontal_line(103, 112),
        horizontal_line(104, 113),
        horizontal_line(105, 114),
        horizontal_line(105, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(131, 134),
        horizontal_line(131, 135),
        horizontal_line(132, 136),
        horizontal_line(133, 136),
        horizontal_line(134, 137),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 140),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 120),
    };

    constexpr const shape frame_601_shape_group_5_shapes[] = {
        shape(frame_601_shape_group_5_shape_0_horizontal_lines, 59, 5),
        shape(frame_601_shape_group_5_shape_1_horizontal_lines, 74, 2),
        shape(frame_601_shape_group_5_shape_2_horizontal_lines, 75, 6),
        shape(frame_601_shape_group_5_shape_3_horizontal_lines, 92, 2),
        shape(frame_601_shape_group_5_shape_4_horizontal_lines, 97, 6),
        shape(frame_601_shape_group_5_shape_5_horizontal_lines, 122, 5),
        shape(frame_601_shape_group_5_shape_6_horizontal_lines, 123, 6),
        shape(frame_601_shape_group_5_shape_7_horizontal_lines, 126, 5),
        shape(frame_601_shape_group_5_shape_8_horizontal_lines, 129, 6),
        shape(frame_601_shape_group_5_shape_9_horizontal_lines, 130, 5),
        shape(frame_601_shape_group_5_shape_10_horizontal_lines, 136, 6),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(121, 129),
        horizontal_line(119, 126),
        horizontal_line(117, 124),
        horizontal_line(115, 121),
        horizontal_line(126, 132),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(101, 109),
        horizontal_line(72, 88),
        horizontal_line(102, 110),
        horizontal_line(73, 89),
        horizontal_line(74, 90),
        horizontal_line(75, 91),
        horizontal_line(76, 91),
        horizontal_line(77, 92),
        horizontal_line(78, 93),
        horizontal_line(79, 93),
        horizontal_line(79, 94),
        horizontal_line(80, 95),
        horizontal_line(81, 95),
        horizontal_line(82, 96),
        horizontal_line(83, 97),
        horizontal_line(84, 97),
        horizontal_line(85, 98),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(90, 102),
        horizontal_line(91, 103),
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(93, 105),
        horizontal_line(115, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(0, 62),
        horizontal_line(112, 120),
        horizontal_line(113, 121),
        horizontal_line(114, 121),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
        horizontal_line(126, 131),
        horizontal_line(127, 132),
        horizontal_line(128, 132),
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
    };

    constexpr const horizontal_line frame_601_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(115, 138),
        horizontal_line(116, 139),
        horizontal_line(117, 140),
        horizontal_line(118, 141),
        horizontal_line(119, 142),
        horizontal_line(121, 143),
    };

    constexpr const shape frame_601_shape_group_6_shapes[] = {
        shape(frame_601_shape_group_6_shape_0_horizontal_lines, 63, 6),
        shape(frame_601_shape_group_6_shape_1_horizontal_lines, 64, 5),
        shape(frame_601_shape_group_6_shape_2_horizontal_lines, 66, 6),
        shape(frame_601_shape_group_6_shape_3_horizontal_lines, 68, 5),
        shape(frame_601_shape_group_6_shape_4_horizontal_lines, 74, 6),
        shape(frame_601_shape_group_6_shape_5_horizontal_lines, 128, 5),
        shape(frame_601_shape_group_6_shape_6_horizontal_lines, 129, 6),
        shape(frame_601_shape_group_6_shape_7_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(26, 34),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(70, 87),
        horizontal_line(114, 116),
        horizontal_line(102, 109),
        horizontal_line(114, 116),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(86, 99),
        horizontal_line(86, 100),
        horizontal_line(87, 100),
        horizontal_line(88, 101),
        horizontal_line(89, 102),
        horizontal_line(113, 117),
        horizontal_line(113, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(111, 119),
        horizontal_line(126, 127),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(115, 122),
        horizontal_line(116, 123),
        horizontal_line(0, 62),
        horizontal_line(129, 129),
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 126),
        horizontal_line(121, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 128),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_601_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(105, 130),
        horizontal_line(106, 130),
        horizontal_line(107, 131),
        horizontal_line(108, 132),
        horizontal_line(109, 133),
        horizontal_line(110, 134),
        horizontal_line(111, 135),
        horizontal_line(112, 136),
        horizontal_line(113, 136),
        horizontal_line(114, 137),
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(145, 145),
        horizontal_line(146, 146),
    };

    constexpr const shape frame_601_shape_group_7_shapes[] = {
        shape(frame_601_shape_group_7_shape_0_horizontal_lines, 64, 6),
        shape(frame_601_shape_group_7_shape_1_horizontal_lines, 67, 7),
        shape(frame_601_shape_group_7_shape_2_horizontal_lines, 68, 6),
        shape(frame_601_shape_group_7_shape_3_horizontal_lines, 71, 5),
        shape(frame_601_shape_group_7_shape_4_horizontal_lines, 72, 6),
        shape(frame_601_shape_group_7_shape_5_horizontal_lines, 102, 7),
        shape(frame_601_shape_group_7_shape_6_horizontal_lines, 103, 6),
        shape(frame_601_shape_group_7_shape_7_horizontal_lines, 144, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(27, 45),
        horizontal_line(28, 55),
        horizontal_line(29, 66),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(68, 85),
        horizontal_line(69, 86),
        horizontal_line(101, 109),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(34, 70),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(36, 72),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(49, 83),
        horizontal_line(50, 84),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(110, 115),
        horizontal_line(110, 116),
        horizontal_line(111, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(57, 89),
        horizontal_line(58, 90),
        horizontal_line(59, 91),
        horizontal_line(60, 91),
        horizontal_line(61, 92),
        horizontal_line(107, 114),
        horizontal_line(63, 94),
        horizontal_line(64, 95),
        horizontal_line(65, 96),
        horizontal_line(66, 97),
        horizontal_line(67, 98),
        horizontal_line(68, 98),
        horizontal_line(69, 99),
        horizontal_line(70, 100),
        horizontal_line(71, 101),
        horizontal_line(72, 102),
        horizontal_line(73, 103),
        horizontal_line(74, 104),
        horizontal_line(75, 104),
        horizontal_line(76, 105),
        horizontal_line(77, 106),
        horizontal_line(78, 107),
        horizontal_line(79, 108),
        horizontal_line(80, 109),
        horizontal_line(81, 110),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(117, 123),
        horizontal_line(62, 89),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_601_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(97, 123),
        horizontal_line(98, 123),
        horizontal_line(99, 124),
        horizontal_line(100, 125),
        horizontal_line(101, 126),
        horizontal_line(102, 127),
        horizontal_line(103, 128),
        horizontal_line(104, 129),
        horizontal_line(135, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
        horizontal_line(139, 139),
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(141, 141),
    };

    constexpr const shape frame_601_shape_group_8_shapes[] = {
        shape(frame_601_shape_group_8_shape_0_horizontal_lines, 68, 7),
        shape(frame_601_shape_group_8_shape_1_horizontal_lines, 71, 6),
        shape(frame_601_shape_group_8_shape_2_horizontal_lines, 75, 7),
        shape(frame_601_shape_group_8_shape_3_horizontal_lines, 76, 6),
        shape(frame_601_shape_group_8_shape_4_horizontal_lines, 77, 7),
        shape(frame_601_shape_group_8_shape_5_horizontal_lines, 78, 6),
        shape(frame_601_shape_group_8_shape_6_horizontal_lines, 90, 7),
        shape(frame_601_shape_group_8_shape_7_horizontal_lines, 92, 6),
        shape(frame_601_shape_group_8_shape_8_horizontal_lines, 97, 7),
        shape(frame_601_shape_group_8_shape_9_horizontal_lines, 122, 6),
        shape(frame_601_shape_group_8_shape_10_horizontal_lines, 136, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(67, 85),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(31, 67),
        horizontal_line(32, 68),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(88, 100),
        horizontal_line(35, 71),
        horizontal_line(90, 101),
        horizontal_line(37, 72),
        horizontal_line(38, 73),
        horizontal_line(39, 74),
        horizontal_line(40, 75),
        horizontal_line(41, 76),
        horizontal_line(42, 77),
        horizontal_line(43, 78),
        horizontal_line(44, 78),
        horizontal_line(45, 79),
        horizontal_line(46, 80),
        horizontal_line(47, 81),
        horizontal_line(48, 82),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(51, 85),
        horizontal_line(52, 85),
        horizontal_line(53, 86),
        horizontal_line(54, 87),
        horizontal_line(55, 88),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(120, 120),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(83, 111),
        horizontal_line(84, 112),
        horizontal_line(85, 113),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(90, 117),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_601_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(95, 121),
        horizontal_line(96, 122),
        horizontal_line(130, 132),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 136),
    };

    constexpr const shape frame_601_shape_group_9_shapes[] = {
        shape(frame_601_shape_group_9_shape_0_horizontal_lines, 71, 6),
        shape(frame_601_shape_group_9_shape_1_horizontal_lines, 72, 7),
        shape(frame_601_shape_group_9_shape_2_horizontal_lines, 74, 6),
        shape(frame_601_shape_group_9_shape_3_horizontal_lines, 75, 7),
        shape(frame_601_shape_group_9_shape_4_horizontal_lines, 122, 6),
        shape(frame_601_shape_group_9_shape_5_horizontal_lines, 123, 7),
        shape(frame_601_shape_group_9_shape_6_horizontal_lines, 126, 6),
        shape(frame_601_shape_group_9_shape_7_horizontal_lines, 129, 7),
        shape(frame_601_shape_group_9_shape_8_horizontal_lines, 130, 6),
        shape(frame_601_shape_group_9_shape_9_horizontal_lines, 134, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(30, 66),
        horizontal_line(86, 90),
        horizontal_line(87, 95),
        horizontal_line(33, 69),
        horizontal_line(110, 113),
        horizontal_line(89, 101),
        horizontal_line(111, 113),
        horizontal_line(90, 102),
        horizontal_line(91, 102),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
        horizontal_line(93, 104),
        horizontal_line(94, 104),
        horizontal_line(94, 105),
        horizontal_line(95, 105),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(97, 107),
        horizontal_line(98, 107),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(100, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 110),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(118, 118),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_601_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(82, 110),
        horizontal_line(121, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(86, 114),
        horizontal_line(87, 115),
    };

    constexpr const horizontal_line frame_601_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_601_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(91, 117),
        horizontal_line(92, 118),
        horizontal_line(93, 119),
        horizontal_line(94, 120),
        horizontal_line(128, 131),
        horizontal_line(129, 132),
    };

    constexpr const shape frame_601_shape_group_10_shapes[] = {
        shape(frame_601_shape_group_10_shape_0_horizontal_lines, 71, 7),
        shape(frame_601_shape_group_10_shape_1_horizontal_lines, 122, 7),
        shape(frame_601_shape_group_10_shape_2_horizontal_lines, 128, 6),
        shape(frame_601_shape_group_10_shape_3_horizontal_lines, 129, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(88, 100),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(120, 125),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(89, 116),
    };

    constexpr const horizontal_line frame_601_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
    };

    constexpr const shape frame_601_shape_group_11_shapes[] = {
        shape(frame_601_shape_group_11_shape_0_horizontal_lines, 71, 7),
        shape(frame_601_shape_group_11_shape_1_horizontal_lines, 74, 7),
        shape(frame_601_shape_group_11_shape_2_horizontal_lines, 76, 7),
        shape(frame_601_shape_group_11_shape_3_horizontal_lines, 78, 7),
        shape(frame_601_shape_group_11_shape_4_horizontal_lines, 92, 7),
        shape(frame_601_shape_group_11_shape_5_horizontal_lines, 122, 7),
        shape(frame_601_shape_group_11_shape_6_horizontal_lines, 126, 7),
        shape(frame_601_shape_group_11_shape_7_horizontal_lines, 130, 7),
    };

    constexpr const horizontal_line frame_601_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_601_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(124, 128),
    };

    constexpr const shape frame_601_shape_group_12_shapes[] = {
        shape(frame_601_shape_group_12_shape_0_horizontal_lines, 74, 7),
        shape(frame_601_shape_group_12_shape_1_horizontal_lines, 128, 7),
    };

    constexpr const shape_group frame_601_shape_groups[] = {
        shape_group(frame_601_shape_group_0_shapes),
        shape_group(frame_601_shape_group_1_shapes),
        shape_group(frame_601_shape_group_2_shapes),
        shape_group(frame_601_shape_group_3_shapes),
        shape_group(frame_601_shape_group_4_shapes),
        shape_group(frame_601_shape_group_5_shapes),
        shape_group(frame_601_shape_group_6_shapes),
        shape_group(frame_601_shape_group_7_shapes),
        shape_group(frame_601_shape_group_8_shapes),
        shape_group(frame_601_shape_group_9_shapes),
        shape_group(frame_601_shape_group_10_shapes),
        shape_group(frame_601_shape_group_11_shapes),
        shape_group(frame_601_shape_group_12_shapes),
    };

    constexpr const frame frame_601_impl(frame_601_colors, frame_601_shape_groups);
} 

const frame& frame_601()
{
    return frame_601_impl;
}

namespace
{
    constexpr const bn::color frame_602_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_602_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(1, 15),
        horizontal_line(67, 94),
        horizontal_line(66, 92),
        horizontal_line(65, 91),
        horizontal_line(64, 90),
        horizontal_line(63, 89),
        horizontal_line(62, 87),
        horizontal_line(69, 86),
        horizontal_line(77, 85),
        horizontal_line(103, 116),
        horizontal_line(101, 114),
        horizontal_line(100, 112),
        horizontal_line(105, 110),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_602_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_602_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_602_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_602_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(139, 145),
        horizontal_line(136, 148),
        horizontal_line(133, 151),
        horizontal_line(130, 153),
        horizontal_line(131, 150),
        horizontal_line(131, 147),
        horizontal_line(131, 144),
        horizontal_line(132, 141),
        horizontal_line(132, 139),
        horizontal_line(132, 136),
        horizontal_line(133, 133),
        horizontal_line(153, 169),
        horizontal_line(151, 168),
        horizontal_line(149, 166),
        horizontal_line(147, 165),
        horizontal_line(145, 163),
        horizontal_line(143, 162),
        horizontal_line(141, 160),
        horizontal_line(139, 159),
        horizontal_line(137, 157),
        horizontal_line(137, 156),
        horizontal_line(138, 154),
        horizontal_line(138, 153),
        horizontal_line(139, 151),
        horizontal_line(139, 150),
        horizontal_line(140, 148),
        horizontal_line(140, 147),
        horizontal_line(141, 145),
        horizontal_line(141, 144),
        horizontal_line(142, 142),
        horizontal_line(166, 205),
        horizontal_line(165, 204),
        horizontal_line(164, 203),
        horizontal_line(163, 203),
    };

    constexpr const shape frame_602_shape_group_0_shapes[] = {
        shape(frame_602_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_602_shape_group_0_shape_1_horizontal_lines, 75, 2),
        shape(frame_602_shape_group_0_shape_2_horizontal_lines, 121, 1),
        shape(frame_602_shape_group_0_shape_3_horizontal_lines, 123, 2),
        shape(frame_602_shape_group_0_shape_4_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(71, 76),
        horizontal_line(72, 78),
        horizontal_line(74, 80),
        horizontal_line(75, 82),
        horizontal_line(76, 85),
        horizontal_line(78, 87),
        horizontal_line(79, 89),
        horizontal_line(80, 91),
        horizontal_line(82, 94),
        horizontal_line(83, 96),
        horizontal_line(84, 98),
        horizontal_line(86, 100),
        horizontal_line(87, 102),
        horizontal_line(88, 105),
        horizontal_line(90, 107),
        horizontal_line(91, 109),
        horizontal_line(92, 111),
        horizontal_line(94, 114),
        horizontal_line(95, 116),
        horizontal_line(96, 118),
        horizontal_line(98, 120),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(96, 99),
        horizontal_line(95, 100),
        horizontal_line(94, 102),
        horizontal_line(93, 103),
        horizontal_line(92, 104),
        horizontal_line(91, 106),
        horizontal_line(90, 107),
        horizontal_line(89, 108),
        horizontal_line(88, 109),
        horizontal_line(87, 111),
        horizontal_line(86, 112),
        horizontal_line(85, 113),
        horizontal_line(84, 115),
        horizontal_line(83, 114),
        horizontal_line(82, 113),
        horizontal_line(81, 112),
        horizontal_line(80, 110),
        horizontal_line(79, 109),
        horizontal_line(78, 108),
        horizontal_line(77, 107),
        horizontal_line(76, 105),
        horizontal_line(75, 104),
        horizontal_line(74, 103),
        horizontal_line(73, 101),
        horizontal_line(72, 100),
        horizontal_line(71, 99),
        horizontal_line(70, 98),
        horizontal_line(69, 96),
        horizontal_line(68, 95),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(112, 127),
        horizontal_line(110, 125),
        horizontal_line(109, 123),
        horizontal_line(107, 121),
        horizontal_line(106, 120),
        horizontal_line(104, 118),
        horizontal_line(125, 131),
        horizontal_line(122, 126),
        horizontal_line(119, 130),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 154),
        horizontal_line(148, 154),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(130, 140),
        horizontal_line(131, 140),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(155, 163),
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(163, 171),
        horizontal_line(161, 176),
        horizontal_line(159, 174),
        horizontal_line(157, 172),
        horizontal_line(155, 171),
        horizontal_line(188, 221),
        horizontal_line(187, 220),
        horizontal_line(186, 219),
        horizontal_line(184, 218),
        horizontal_line(183, 217),
        horizontal_line(182, 216),
        horizontal_line(181, 216),
        horizontal_line(180, 215),
        horizontal_line(179, 214),
        horizontal_line(178, 213),
        horizontal_line(176, 212),
        horizontal_line(175, 212),
        horizontal_line(174, 211),
        horizontal_line(173, 210),
        horizontal_line(172, 209),
        horizontal_line(171, 208),
        horizontal_line(169, 207),
        horizontal_line(168, 207),
        horizontal_line(167, 206),
    };

    constexpr const horizontal_line frame_602_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(143, 165),
        horizontal_line(143, 164),
        horizontal_line(144, 163),
        horizontal_line(145, 162),
    };

    constexpr const shape frame_602_shape_group_1_shapes[] = {
        shape(frame_602_shape_group_1_shape_0_horizontal_lines, 5, 1),
        shape(frame_602_shape_group_1_shape_1_horizontal_lines, 10, 2),
        shape(frame_602_shape_group_1_shape_2_horizontal_lines, 32, 1),
        shape(frame_602_shape_group_1_shape_3_horizontal_lines, 74, 2),
        shape(frame_602_shape_group_1_shape_4_horizontal_lines, 131, 1),
        shape(frame_602_shape_group_1_shape_5_horizontal_lines, 156, 5),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(66, 67),
        horizontal_line(67, 69),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(61, 70),
        horizontal_line(60, 71),
        horizontal_line(59, 73),
        horizontal_line(58, 74),
        horizontal_line(57, 75),
        horizontal_line(57, 77),
        horizontal_line(56, 78),
        horizontal_line(55, 79),
        horizontal_line(54, 81),
        horizontal_line(53, 82),
        horizontal_line(52, 83),
        horizontal_line(51, 85),
        horizontal_line(50, 86),
        horizontal_line(49, 87),
        horizontal_line(49, 89),
        horizontal_line(48, 90),
        horizontal_line(47, 91),
        horizontal_line(46, 93),
        horizontal_line(45, 94),
        horizontal_line(44, 95),
        horizontal_line(43, 97),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(99, 123),
        horizontal_line(100, 125),
        horizontal_line(101, 127),
        horizontal_line(103, 129),
        horizontal_line(104, 131),
        horizontal_line(105, 134),
        horizontal_line(107, 136),
        horizontal_line(108, 138),
        horizontal_line(109, 140),
        horizontal_line(110, 143),
        horizontal_line(112, 145),
        horizontal_line(113, 147),
        horizontal_line(114, 149),
        horizontal_line(116, 152),
        horizontal_line(117, 154),
        horizontal_line(118, 156),
        horizontal_line(119, 158),
        horizontal_line(121, 160),
        horizontal_line(122, 163),
        horizontal_line(123, 165),
        horizontal_line(125, 167),
        horizontal_line(126, 169),
        horizontal_line(127, 172),
        horizontal_line(128, 174),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(121, 126),
        horizontal_line(120, 127),
        horizontal_line(118, 128),
        horizontal_line(117, 129),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(137, 189),
        horizontal_line(139, 192),
        horizontal_line(140, 194),
        horizontal_line(141, 196),
        horizontal_line(143, 198),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(131, 134),
        horizontal_line(128, 135),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(134, 135),
        horizontal_line(132, 135),
        horizontal_line(117, 127),
        horizontal_line(132, 135),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
        horizontal_line(139, 139),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(142, 143),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 151),
        horizontal_line(158, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 168),
        horizontal_line(160, 169),
        horizontal_line(161, 170),
        horizontal_line(161, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(165, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 178),
        horizontal_line(168, 179),
        horizontal_line(168, 180),
        horizontal_line(151, 159),
        horizontal_line(152, 159),
        horizontal_line(170, 183),
        horizontal_line(171, 184),
        horizontal_line(171, 185),
        horizontal_line(172, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 187),
        horizontal_line(174, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 190),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(210, 225),
        horizontal_line(193, 224),
        horizontal_line(191, 223),
        horizontal_line(190, 222),
        horizontal_line(189, 221),
    };

    constexpr const horizontal_line frame_602_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(133, 152),
        horizontal_line(134, 150),
        horizontal_line(134, 148),
        horizontal_line(134, 146),
        horizontal_line(135, 144),
        horizontal_line(135, 142),
        horizontal_line(136, 140),
        horizontal_line(136, 138),
        horizontal_line(158, 178),
        horizontal_line(157, 177),
        horizontal_line(155, 175),
        horizontal_line(154, 174),
        horizontal_line(152, 173),
        horizontal_line(151, 172),
        horizontal_line(149, 171),
        horizontal_line(148, 170),
        horizontal_line(146, 168),
        horizontal_line(145, 167),
        horizontal_line(143, 166),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const shape frame_602_shape_group_2_shapes[] = {
        shape(frame_602_shape_group_2_shape_0_horizontal_lines, 6, 2),
        shape(frame_602_shape_group_2_shape_1_horizontal_lines, 10, 5),
        shape(frame_602_shape_group_2_shape_2_horizontal_lines, 32, 2),
        shape(frame_602_shape_group_2_shape_3_horizontal_lines, 56, 1),
        shape(frame_602_shape_group_2_shape_4_horizontal_lines, 62, 2),
        shape(frame_602_shape_group_2_shape_5_horizontal_lines, 67, 1),
        shape(frame_602_shape_group_2_shape_6_horizontal_lines, 70, 2),
        shape(frame_602_shape_group_2_shape_7_horizontal_lines, 132, 1),
        shape(frame_602_shape_group_2_shape_8_horizontal_lines, 137, 5),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(64, 66),
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(42, 96),
        horizontal_line(41, 95),
        horizontal_line(41, 94),
        horizontal_line(40, 93),
        horizontal_line(39, 92),
        horizontal_line(38, 91),
        horizontal_line(37, 90),
        horizontal_line(36, 89),
        horizontal_line(35, 88),
        horizontal_line(34, 87),
        horizontal_line(33, 86),
        horizontal_line(32, 85),
        horizontal_line(32, 84),
        horizontal_line(31, 83),
        horizontal_line(30, 82),
        horizontal_line(29, 81),
        horizontal_line(28, 80),
        horizontal_line(27, 79),
        horizontal_line(26, 78),
        horizontal_line(25, 77),
        horizontal_line(24, 76),
        horizontal_line(24, 75),
        horizontal_line(23, 74),
        horizontal_line(22, 73),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(130, 176),
        horizontal_line(131, 178),
        horizontal_line(132, 181),
        horizontal_line(134, 183),
        horizontal_line(135, 185),
        horizontal_line(136, 187),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(16, 66),
        horizontal_line(25, 65),
        horizontal_line(34, 64),
        horizontal_line(43, 63),
        horizontal_line(52, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(144, 201),
        horizontal_line(135, 135),
        horizontal_line(136, 136),
        horizontal_line(148, 207),
        horizontal_line(137, 137),
        horizontal_line(137, 138),
        horizontal_line(132, 135),
        horizontal_line(139, 140),
        horizontal_line(140, 141),
        horizontal_line(140, 142),
        horizontal_line(141, 143),
        horizontal_line(142, 143),
        horizontal_line(142, 144),
        horizontal_line(143, 145),
        horizontal_line(144, 146),
        horizontal_line(144, 147),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(147, 150),
        horizontal_line(147, 151),
        horizontal_line(148, 152),
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(150, 155),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 158),
        horizontal_line(153, 159),
        horizontal_line(154, 160),
        horizontal_line(154, 161),
        horizontal_line(155, 162),
        horizontal_line(156, 163),
        horizontal_line(156, 164),
        horizontal_line(157, 164),
        horizontal_line(158, 165),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(169, 181),
        horizontal_line(170, 182),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 238),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(148, 164),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(176, 191),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(142, 160),
        horizontal_line(140, 158),
        horizontal_line(137, 156),
        horizontal_line(134, 154),
        horizontal_line(170, 187),
        horizontal_line(169, 186),
        horizontal_line(167, 185),
        horizontal_line(166, 183),
        horizontal_line(164, 182),
        horizontal_line(163, 181),
        horizontal_line(161, 180),
        horizontal_line(160, 179),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_602_shape_group_3_shapes[] = {
        shape(frame_602_shape_group_3_shape_0_horizontal_lines, 7, 5),
        shape(frame_602_shape_group_3_shape_1_horizontal_lines, 32, 5),
        shape(frame_602_shape_group_3_shape_2_horizontal_lines, 56, 2),
        shape(frame_602_shape_group_3_shape_3_horizontal_lines, 62, 5),
        shape(frame_602_shape_group_3_shape_4_horizontal_lines, 67, 2),
        shape(frame_602_shape_group_3_shape_5_horizontal_lines, 131, 5),
        shape(frame_602_shape_group_3_shape_6_horizontal_lines, 132, 2),
        shape(frame_602_shape_group_3_shape_7_horizontal_lines, 133, 5),
        shape(frame_602_shape_group_3_shape_8_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(114, 116),
        horizontal_line(113, 117),
        horizontal_line(111, 118),
        horizontal_line(110, 119),
        horizontal_line(109, 120),
        horizontal_line(108, 121),
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(104, 123),
        horizontal_line(21, 72),
        horizontal_line(20, 71),
        horizontal_line(19, 70),
        horizontal_line(18, 69),
        horizontal_line(17, 68),
        horizontal_line(16, 67),
        horizontal_line(95, 114),
        horizontal_line(93, 113),
        horizontal_line(92, 111),
        horizontal_line(91, 109),
        horizontal_line(90, 108),
        horizontal_line(88, 106),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(145, 203),
        horizontal_line(147, 205),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(85, 102),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(149, 210),
        horizontal_line(150, 212),
        horizontal_line(139, 139),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(128, 134),
        horizontal_line(128, 138),
        horizontal_line(129, 141),
        horizontal_line(129, 138),
        horizontal_line(129, 135),
        horizontal_line(130, 132),
        horizontal_line(154, 154),
        horizontal_line(151, 159),
        horizontal_line(227, 239),
        horizontal_line(145, 162),
        horizontal_line(177, 192),
        horizontal_line(175, 190),
        horizontal_line(173, 189),
        horizontal_line(172, 188),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(137, 140),
        horizontal_line(138, 141),
        horizontal_line(139, 142),
        horizontal_line(140, 143),
    };

    constexpr const shape frame_602_shape_group_4_shapes[] = {
        shape(frame_602_shape_group_4_shape_0_horizontal_lines, 46, 5),
        shape(frame_602_shape_group_4_shape_1_horizontal_lines, 68, 2),
        shape(frame_602_shape_group_4_shape_2_horizontal_lines, 70, 5),
        shape(frame_602_shape_group_4_shape_3_horizontal_lines, 71, 2),
        shape(frame_602_shape_group_4_shape_4_horizontal_lines, 104, 6),
        shape(frame_602_shape_group_4_shape_5_horizontal_lines, 121, 2),
        shape(frame_602_shape_group_4_shape_6_horizontal_lines, 123, 5),
        shape(frame_602_shape_group_4_shape_7_horizontal_lines, 145, 6),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(102, 123),
        horizontal_line(101, 122),
        horizontal_line(100, 120),
        horizontal_line(99, 119),
        horizontal_line(97, 117),
        horizontal_line(96, 116),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(128, 131),
        horizontal_line(126, 132),
        horizontal_line(124, 133),
        horizontal_line(122, 133),
        horizontal_line(87, 105),
        horizontal_line(86, 103),
        horizontal_line(117, 124),
        horizontal_line(92, 100),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(152, 214),
        horizontal_line(215, 216),
        horizontal_line(216, 218),
        horizontal_line(218, 221),
        horizontal_line(219, 223),
        horizontal_line(220, 225),
        horizontal_line(221, 227),
        horizontal_line(223, 230),
        horizontal_line(224, 232),
        horizontal_line(225, 234),
        horizontal_line(227, 236),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(93, 105),
        horizontal_line(94, 106),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(96, 108),
        horizontal_line(97, 109),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(100, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 112),
        horizontal_line(102, 113),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 115),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_602_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(128, 133),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(130, 135),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 137),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 139),
        horizontal_line(136, 140),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
    };

    constexpr const shape frame_602_shape_group_5_shapes[] = {
        shape(frame_602_shape_group_5_shape_0_horizontal_lines, 56, 5),
        shape(frame_602_shape_group_5_shape_1_horizontal_lines, 62, 6),
        shape(frame_602_shape_group_5_shape_2_horizontal_lines, 63, 5),
        shape(frame_602_shape_group_5_shape_3_horizontal_lines, 72, 2),
        shape(frame_602_shape_group_5_shape_4_horizontal_lines, 94, 6),
        shape(frame_602_shape_group_5_shape_5_horizontal_lines, 122, 5),
        shape(frame_602_shape_group_5_shape_6_horizontal_lines, 123, 6),
        shape(frame_602_shape_group_5_shape_7_horizontal_lines, 130, 5),
        shape(frame_602_shape_group_5_shape_8_horizontal_lines, 131, 6),
        shape(frame_602_shape_group_5_shape_9_horizontal_lines, 132, 5),
        shape(frame_602_shape_group_5_shape_10_horizontal_lines, 137, 6),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(121, 130),
        horizontal_line(119, 127),
        horizontal_line(132, 134),
        horizontal_line(115, 121),
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(214, 214),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(84, 99),
        horizontal_line(85, 99),
        horizontal_line(86, 100),
        horizontal_line(87, 101),
        horizontal_line(88, 101),
        horizontal_line(89, 102),
        horizontal_line(89, 103),
        horizontal_line(90, 103),
        horizontal_line(91, 104),
        horizontal_line(92, 105),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(107, 117),
        horizontal_line(0, 62),
        horizontal_line(109, 118),
        horizontal_line(110, 119),
        horizontal_line(111, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 121),
        horizontal_line(113, 122),
        horizontal_line(114, 122),
        horizontal_line(0, 62),
        horizontal_line(116, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(121, 128),
        horizontal_line(122, 128),
        horizontal_line(123, 129),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 131),
        horizontal_line(126, 132),
        horizontal_line(127, 132),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_602_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(104, 136),
        horizontal_line(105, 137),
        horizontal_line(106, 138),
        horizontal_line(107, 139),
    };

    constexpr const shape frame_602_shape_group_6_shapes[] = {
        shape(frame_602_shape_group_6_shape_0_horizontal_lines, 61, 6),
        shape(frame_602_shape_group_6_shape_1_horizontal_lines, 63, 6),
        shape(frame_602_shape_group_6_shape_2_horizontal_lines, 68, 5),
        shape(frame_602_shape_group_6_shape_3_horizontal_lines, 73, 2),
        shape(frame_602_shape_group_6_shape_4_horizontal_lines, 74, 6),
        shape(frame_602_shape_group_6_shape_5_horizontal_lines, 156, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(16, 24),
        horizontal_line(17, 33),
        horizontal_line(18, 42),
        horizontal_line(19, 51),
        horizontal_line(20, 61),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(127, 133),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(67, 85),
        horizontal_line(68, 86),
        horizontal_line(69, 87),
        horizontal_line(70, 87),
        horizontal_line(71, 88),
        horizontal_line(72, 89),
        horizontal_line(73, 89),
        horizontal_line(73, 90),
        horizontal_line(74, 91),
        horizontal_line(75, 91),
        horizontal_line(76, 92),
        horizontal_line(77, 93),
        horizontal_line(78, 93),
        horizontal_line(78, 94),
        horizontal_line(79, 95),
        horizontal_line(80, 95),
        horizontal_line(81, 96),
        horizontal_line(82, 97),
        horizontal_line(83, 97),
        horizontal_line(84, 98),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(55, 92),
        horizontal_line(56, 93),
        horizontal_line(57, 94),
        horizontal_line(58, 94),
        horizontal_line(59, 95),
        horizontal_line(60, 96),
        horizontal_line(61, 97),
        horizontal_line(61, 98),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(125, 126),
        horizontal_line(108, 118),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(115, 123),
        horizontal_line(130, 130),
        horizontal_line(117, 124),
        horizontal_line(117, 125),
        horizontal_line(118, 126),
        horizontal_line(119, 126),
        horizontal_line(120, 127),
        horizontal_line(62, 85),
        horizontal_line(133, 133),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_602_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(93, 127),
        horizontal_line(94, 127),
        horizontal_line(95, 128),
        horizontal_line(96, 129),
        horizontal_line(97, 130),
        horizontal_line(98, 131),
        horizontal_line(99, 132),
        horizontal_line(100, 133),
        horizontal_line(101, 133),
        horizontal_line(102, 134),
        horizontal_line(103, 135),
        horizontal_line(141, 142),
        horizontal_line(142, 142),
        horizontal_line(143, 143),
        horizontal_line(144, 144),
    };

    constexpr const shape frame_602_shape_group_7_shapes[] = {
        shape(frame_602_shape_group_7_shape_0_horizontal_lines, 63, 7),
        shape(frame_602_shape_group_7_shape_1_horizontal_lines, 68, 6),
        shape(frame_602_shape_group_7_shape_2_horizontal_lines, 71, 5),
        shape(frame_602_shape_group_7_shape_3_horizontal_lines, 72, 6),
        shape(frame_602_shape_group_7_shape_4_horizontal_lines, 73, 5),
        shape(frame_602_shape_group_7_shape_5_horizontal_lines, 74, 6),
        shape(frame_602_shape_group_7_shape_6_horizontal_lines, 104, 7),
        shape(frame_602_shape_group_7_shape_7_horizontal_lines, 113, 6),
        shape(frame_602_shape_group_7_shape_8_horizontal_lines, 145, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(63, 76),
        horizontal_line(64, 83),
        horizontal_line(0, 23),
        horizontal_line(66, 84),
        horizontal_line(0, 25),
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(46, 83),
        horizontal_line(46, 84),
        horizontal_line(47, 85),
        horizontal_line(48, 86),
        horizontal_line(49, 87),
        horizontal_line(50, 88),
        horizontal_line(51, 88),
        horizontal_line(52, 89),
        horizontal_line(53, 90),
        horizontal_line(54, 91),
        horizontal_line(106, 115),
        horizontal_line(107, 115),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(109, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 119),
        horizontal_line(63, 100),
        horizontal_line(64, 100),
        horizontal_line(65, 101),
        horizontal_line(66, 102),
        horizontal_line(67, 103),
        horizontal_line(68, 104),
        horizontal_line(69, 105),
        horizontal_line(70, 105),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(125, 127),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(129, 130),
        horizontal_line(62, 79),
        horizontal_line(130, 130),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(62, 83),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(86, 120),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_602_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(88, 122),
        horizontal_line(89, 122),
        horizontal_line(90, 123),
        horizontal_line(91, 124),
        horizontal_line(91, 125),
        horizontal_line(92, 126),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
        horizontal_line(141, 141),
    };

    constexpr const shape frame_602_shape_group_8_shapes[] = {
        shape(frame_602_shape_group_8_shape_0_horizontal_lines, 68, 6),
        shape(frame_602_shape_group_8_shape_1_horizontal_lines, 94, 7),
        shape(frame_602_shape_group_8_shape_2_horizontal_lines, 121, 6),
        shape(frame_602_shape_group_8_shape_3_horizontal_lines, 137, 7),
        shape(frame_602_shape_group_8_shape_4_horizontal_lines, 138, 6),
        shape(frame_602_shape_group_8_shape_5_horizontal_lines, 139, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(21, 61),
        horizontal_line(22, 62),
        horizontal_line(23, 63),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(65, 83),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(25, 65),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(67, 85),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(42, 80),
        horizontal_line(43, 81),
        horizontal_line(44, 82),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(100, 110),
        horizontal_line(100, 110),
        horizontal_line(101, 111),
        horizontal_line(102, 111),
        horizontal_line(102, 112),
        horizontal_line(103, 112),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(105, 114),
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(113, 120),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(71, 106),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(73, 108),
        horizontal_line(74, 109),
        horizontal_line(75, 110),
        horizontal_line(76, 111),
        horizontal_line(76, 111),
        horizontal_line(77, 112),
        horizontal_line(78, 113),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(80, 115),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(84, 118),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_602_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(87, 121),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
    };

    constexpr const shape frame_602_shape_group_9_shapes[] = {
        shape(frame_602_shape_group_9_shape_0_horizontal_lines, 68, 7),
        shape(frame_602_shape_group_9_shape_1_horizontal_lines, 71, 6),
        shape(frame_602_shape_group_9_shape_2_horizontal_lines, 72, 7),
        shape(frame_602_shape_group_9_shape_3_horizontal_lines, 73, 6),
        shape(frame_602_shape_group_9_shape_4_horizontal_lines, 90, 7),
        shape(frame_602_shape_group_9_shape_5_horizontal_lines, 93, 6),
        shape(frame_602_shape_group_9_shape_6_horizontal_lines, 94, 7),
        shape(frame_602_shape_group_9_shape_7_horizontal_lines, 113, 7),
        shape(frame_602_shape_group_9_shape_8_horizontal_lines, 122, 6),
        shape(frame_602_shape_group_9_shape_9_horizontal_lines, 123, 7),
        shape(frame_602_shape_group_9_shape_10_horizontal_lines, 130, 6),
        shape(frame_602_shape_group_9_shape_11_horizontal_lines, 131, 7),
        shape(frame_602_shape_group_9_shape_12_horizontal_lines, 132, 6),
        shape(frame_602_shape_group_9_shape_13_horizontal_lines, 135, 7),
        shape(frame_602_shape_group_9_shape_14_horizontal_lines, 136, 6),
        shape(frame_602_shape_group_9_shape_15_horizontal_lines, 137, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(84, 84),
        horizontal_line(24, 64),
        horizontal_line(85, 99),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(100, 104),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(27, 66),
        horizontal_line(28, 67),
        horizontal_line(29, 68),
        horizontal_line(30, 69),
        horizontal_line(31, 70),
        horizontal_line(31, 71),
        horizontal_line(32, 72),
        horizontal_line(33, 72),
        horizontal_line(34, 73),
        horizontal_line(35, 74),
        horizontal_line(36, 75),
        horizontal_line(37, 76),
        horizontal_line(38, 77),
        horizontal_line(39, 77),
        horizontal_line(40, 78),
        horizontal_line(41, 79),
        horizontal_line(97, 108),
        horizontal_line(98, 108),
        horizontal_line(98, 109),
        horizontal_line(45, 83),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(72, 107),
        horizontal_line(119, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(79, 114),
        horizontal_line(125, 129),
        horizontal_line(81, 116),
        horizontal_line(82, 116),
        horizontal_line(83, 117),
        horizontal_line(127, 131),
        horizontal_line(85, 119),
    };

    constexpr const horizontal_line frame_602_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(129, 132),
    };

    constexpr const shape frame_602_shape_group_10_shapes[] = {
        shape(frame_602_shape_group_10_shape_0_horizontal_lines, 70, 7),
        shape(frame_602_shape_group_10_shape_1_horizontal_lines, 73, 6),
        shape(frame_602_shape_group_10_shape_2_horizontal_lines, 74, 7),
        shape(frame_602_shape_group_10_shape_3_horizontal_lines, 102, 7),
        shape(frame_602_shape_group_10_shape_4_horizontal_lines, 121, 7),
        shape(frame_602_shape_group_10_shape_5_horizontal_lines, 138, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(84, 91),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(86, 100),
        horizontal_line(87, 100),
        horizontal_line(88, 101),
        horizontal_line(88, 101),
        horizontal_line(89, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 103),
        horizontal_line(91, 103),
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(93, 105),
        horizontal_line(94, 105),
        horizontal_line(94, 106),
        horizontal_line(95, 106),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(99, 109),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(125, 129),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_602_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(128, 131),
    };

    constexpr const shape frame_602_shape_group_11_shapes[] = {
        shape(frame_602_shape_group_11_shape_0_horizontal_lines, 71, 7),
        shape(frame_602_shape_group_11_shape_1_horizontal_lines, 73, 6),
        shape(frame_602_shape_group_11_shape_2_horizontal_lines, 74, 7),
        shape(frame_602_shape_group_11_shape_3_horizontal_lines, 122, 7),
        shape(frame_602_shape_group_11_shape_4_horizontal_lines, 130, 7),
        shape(frame_602_shape_group_11_shape_5_horizontal_lines, 132, 7),
        shape(frame_602_shape_group_11_shape_6_horizontal_lines, 136, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(26, 66),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_602_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(117, 117),
    };

    constexpr const shape frame_602_shape_group_12_shapes[] = {
        shape(frame_602_shape_group_12_shape_0_horizontal_lines, 73, 7),
        shape(frame_602_shape_group_12_shape_1_horizontal_lines, 93, 7),
    };

    constexpr const horizontal_line frame_602_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(86, 99),
    };

    constexpr const shape frame_602_shape_group_13_shapes[] = {
        shape(frame_602_shape_group_13_shape_0_horizontal_lines, 73, 7),
    };

    constexpr const shape_group frame_602_shape_groups[] = {
        shape_group(frame_602_shape_group_0_shapes),
        shape_group(frame_602_shape_group_1_shapes),
        shape_group(frame_602_shape_group_2_shapes),
        shape_group(frame_602_shape_group_3_shapes),
        shape_group(frame_602_shape_group_4_shapes),
        shape_group(frame_602_shape_group_5_shapes),
        shape_group(frame_602_shape_group_6_shapes),
        shape_group(frame_602_shape_group_7_shapes),
        shape_group(frame_602_shape_group_8_shapes),
        shape_group(frame_602_shape_group_9_shapes),
        shape_group(frame_602_shape_group_10_shapes),
        shape_group(frame_602_shape_group_11_shapes),
        shape_group(frame_602_shape_group_12_shapes),
        shape_group(frame_602_shape_group_13_shapes),
    };

    constexpr const frame frame_602_impl(frame_602_colors, frame_602_shape_groups);
} 

const frame& frame_602()
{
    return frame_602_impl;
}

namespace
{
    constexpr const bn::color frame_603_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_603_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(64, 93),
        horizontal_line(63, 92),
        horizontal_line(62, 91),
        horizontal_line(61, 89),
        horizontal_line(60, 88),
        horizontal_line(59, 87),
        horizontal_line(58, 85),
        horizontal_line(57, 84),
        horizontal_line(70, 83),
        horizontal_line(104, 117),
        horizontal_line(102, 115),
        horizontal_line(100, 113),
        horizontal_line(99, 111),
        horizontal_line(104, 109),
        horizontal_line(117, 117),
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_603_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_603_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_603_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(127, 133),
        horizontal_line(128, 136),
        horizontal_line(128, 139),
    };

    constexpr const horizontal_line frame_603_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(139, 145),
        horizontal_line(136, 149),
        horizontal_line(133, 152),
        horizontal_line(130, 155),
        horizontal_line(130, 152),
        horizontal_line(131, 149),
        horizontal_line(131, 147),
        horizontal_line(131, 144),
        horizontal_line(132, 142),
        horizontal_line(132, 139),
        horizontal_line(132, 136),
        horizontal_line(133, 134),
        horizontal_line(154, 170),
        horizontal_line(152, 168),
        horizontal_line(150, 167),
        horizontal_line(148, 165),
        horizontal_line(146, 164),
        horizontal_line(144, 162),
        horizontal_line(142, 161),
        horizontal_line(140, 159),
        horizontal_line(138, 157),
        horizontal_line(138, 156),
        horizontal_line(138, 154),
        horizontal_line(139, 153),
        horizontal_line(139, 151),
        horizontal_line(140, 150),
        horizontal_line(140, 148),
        horizontal_line(141, 147),
        horizontal_line(141, 145),
        horizontal_line(142, 144),
        horizontal_line(142, 142),
        horizontal_line(171, 216),
        horizontal_line(170, 216),
    };

    constexpr const shape frame_603_shape_group_0_shapes[] = {
        shape(frame_603_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_603_shape_group_0_shape_1_horizontal_lines, 74, 2),
        shape(frame_603_shape_group_0_shape_2_horizontal_lines, 121, 1),
        shape(frame_603_shape_group_0_shape_3_horizontal_lines, 123, 5),
        shape(frame_603_shape_group_0_shape_4_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(56, 60),
        horizontal_line(55, 61),
        horizontal_line(54, 63),
        horizontal_line(53, 64),
        horizontal_line(52, 65),
        horizontal_line(51, 67),
        horizontal_line(50, 68),
        horizontal_line(49, 70),
        horizontal_line(48, 71),
        horizontal_line(47, 72),
        horizontal_line(46, 74),
        horizontal_line(46, 75),
        horizontal_line(45, 77),
        horizontal_line(44, 78),
        horizontal_line(43, 79),
        horizontal_line(42, 81),
        horizontal_line(41, 82),
        horizontal_line(40, 83),
        horizontal_line(39, 85),
        horizontal_line(38, 86),
        horizontal_line(37, 88),
        horizontal_line(36, 89),
        horizontal_line(35, 90),
        horizontal_line(35, 92),
        horizontal_line(34, 93),
        horizontal_line(33, 95),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(95, 96),
        horizontal_line(94, 97),
        horizontal_line(93, 98),
        horizontal_line(92, 99),
        horizontal_line(91, 100),
        horizontal_line(90, 102),
        horizontal_line(89, 103),
        horizontal_line(88, 104),
        horizontal_line(87, 105),
        horizontal_line(86, 106),
        horizontal_line(85, 108),
        horizontal_line(84, 109),
        horizontal_line(83, 110),
        horizontal_line(82, 111),
        horizontal_line(81, 112),
        horizontal_line(80, 114),
        horizontal_line(79, 113),
        horizontal_line(78, 112),
        horizontal_line(77, 111),
        horizontal_line(76, 109),
        horizontal_line(75, 108),
        horizontal_line(74, 107),
        horizontal_line(73, 105),
        horizontal_line(72, 104),
        horizontal_line(71, 103),
        horizontal_line(70, 101),
        horizontal_line(69, 100),
        horizontal_line(68, 99),
        horizontal_line(67, 97),
        horizontal_line(66, 96),
        horizontal_line(65, 95),
        horizontal_line(119, 128),
        horizontal_line(117, 129),
        horizontal_line(116, 130),
        horizontal_line(114, 129),
        horizontal_line(112, 127),
        horizontal_line(110, 125),
        horizontal_line(109, 123),
        horizontal_line(107, 121),
        horizontal_line(105, 119),
        horizontal_line(129, 134),
        horizontal_line(126, 135),
        horizontal_line(123, 131),
        horizontal_line(120, 126),
        horizontal_line(117, 130),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 139),
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(150, 155),
        horizontal_line(150, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(153, 160),
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(134, 140),
        horizontal_line(137, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(129, 138),
        horizontal_line(129, 135),
        horizontal_line(130, 132),
        horizontal_line(156, 156),
        horizontal_line(153, 159),
        horizontal_line(150, 163),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(164, 178),
        horizontal_line(162, 176),
        horizontal_line(160, 174),
        horizontal_line(158, 173),
        horizontal_line(156, 171),
        horizontal_line(193, 232),
        horizontal_line(192, 231),
        horizontal_line(191, 230),
        horizontal_line(189, 229),
        horizontal_line(188, 228),
        horizontal_line(187, 228),
        horizontal_line(186, 227),
        horizontal_line(185, 226),
        horizontal_line(184, 225),
        horizontal_line(182, 224),
        horizontal_line(181, 224),
        horizontal_line(180, 223),
        horizontal_line(179, 222),
        horizontal_line(178, 221),
        horizontal_line(177, 220),
        horizontal_line(175, 220),
        horizontal_line(174, 219),
        horizontal_line(173, 218),
        horizontal_line(172, 217),
    };

    constexpr const horizontal_line frame_603_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(143, 170),
        horizontal_line(144, 169),
    };

    constexpr const shape frame_603_shape_group_1_shapes[] = {
        shape(frame_603_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_603_shape_group_1_shape_1_horizontal_lines, 27, 1),
        shape(frame_603_shape_group_1_shape_2_horizontal_lines, 73, 2),
        shape(frame_603_shape_group_1_shape_3_horizontal_lines, 122, 5),
        shape(frame_603_shape_group_1_shape_4_horizontal_lines, 123, 2),
        shape(frame_603_shape_group_1_shape_5_horizontal_lines, 126, 5),
        shape(frame_603_shape_group_1_shape_6_horizontal_lines, 133, 1),
        shape(frame_603_shape_group_1_shape_7_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(61, 64),
        horizontal_line(62, 66),
        horizontal_line(64, 69),
        horizontal_line(65, 71),
        horizontal_line(66, 74),
        horizontal_line(68, 76),
        horizontal_line(69, 79),
        horizontal_line(71, 81),
        horizontal_line(72, 84),
        horizontal_line(73, 86),
        horizontal_line(75, 89),
        horizontal_line(76, 91),
        horizontal_line(78, 93),
        horizontal_line(79, 96),
        horizontal_line(80, 98),
        horizontal_line(82, 101),
        horizontal_line(83, 103),
        horizontal_line(84, 106),
        horizontal_line(86, 108),
        horizontal_line(87, 111),
        horizontal_line(89, 113),
        horizontal_line(90, 116),
        horizontal_line(91, 118),
        horizontal_line(93, 121),
        horizontal_line(94, 123),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(25, 86),
        horizontal_line(24, 85),
        horizontal_line(23, 84),
        horizontal_line(22, 83),
        horizontal_line(21, 82),
        horizontal_line(20, 81),
        horizontal_line(19, 80),
        horizontal_line(18, 79),
        horizontal_line(17, 78),
        horizontal_line(16, 77),
        horizontal_line(15, 76),
        horizontal_line(14, 75),
        horizontal_line(14, 74),
        horizontal_line(13, 73),
        horizontal_line(12, 72),
        horizontal_line(11, 71),
        horizontal_line(10, 70),
        horizontal_line(9, 69),
        horizontal_line(8, 68),
        horizontal_line(7, 67),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(122, 126),
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(4, 63),
        horizontal_line(11, 62),
        horizontal_line(19, 61),
        horizontal_line(26, 60),
        horizontal_line(34, 59),
        horizontal_line(41, 58),
        horizontal_line(49, 57),
        horizontal_line(85, 106),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(83, 103),
        horizontal_line(88, 101),
        horizontal_line(93, 99),
        horizontal_line(112, 119),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(132, 136),
        horizontal_line(140, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(140, 140),
        horizontal_line(143, 146),
        horizontal_line(141, 141),
        horizontal_line(141, 141),
        horizontal_line(141, 142),
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 145),
        horizontal_line(144, 145),
        horizontal_line(144, 146),
        horizontal_line(144, 146),
        horizontal_line(145, 147),
        horizontal_line(145, 147),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(146, 149),
        horizontal_line(146, 149),
        horizontal_line(146, 149),
        horizontal_line(147, 150),
        horizontal_line(147, 150),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(148, 152),
        horizontal_line(159, 169),
        horizontal_line(160, 170),
        horizontal_line(161, 171),
        horizontal_line(161, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 173),
        horizontal_line(163, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 176),
        horizontal_line(165, 177),
        horizontal_line(166, 178),
        horizontal_line(166, 179),
        horizontal_line(167, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(169, 182),
        horizontal_line(170, 183),
        horizontal_line(153, 160),
        horizontal_line(132, 140),
        horizontal_line(153, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 162),
        horizontal_line(154, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 164),
        horizontal_line(157, 164),
        horizontal_line(160, 165),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(148, 166),
        horizontal_line(145, 163),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(198, 235),
        horizontal_line(196, 234),
        horizontal_line(195, 233),
        horizontal_line(194, 232),
    };

    constexpr const horizontal_line frame_603_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(133, 153),
        horizontal_line(134, 151),
        horizontal_line(134, 149),
        horizontal_line(135, 147),
        horizontal_line(135, 145),
        horizontal_line(136, 143),
        horizontal_line(136, 141),
        horizontal_line(137, 139),
        horizontal_line(137, 137),
        horizontal_line(157, 181),
        horizontal_line(155, 180),
        horizontal_line(154, 179),
        horizontal_line(152, 178),
        horizontal_line(151, 177),
        horizontal_line(149, 176),
        horizontal_line(148, 174),
        horizontal_line(146, 173),
        horizontal_line(145, 172),
        horizontal_line(143, 171),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_603_shape_group_2_shapes[] = {
        shape(frame_603_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_603_shape_group_2_shape_1_horizontal_lines, 26, 5),
        shape(frame_603_shape_group_2_shape_2_horizontal_lines, 55, 1),
        shape(frame_603_shape_group_2_shape_3_horizontal_lines, 58, 5),
        shape(frame_603_shape_group_2_shape_4_horizontal_lines, 66, 1),
        shape(frame_603_shape_group_2_shape_5_horizontal_lines, 67, 5),
        shape(frame_603_shape_group_2_shape_6_horizontal_lines, 72, 2),
        shape(frame_603_shape_group_2_shape_7_horizontal_lines, 133, 5),
        shape(frame_603_shape_group_2_shape_8_horizontal_lines, 135, 1),
        shape(frame_603_shape_group_2_shape_9_horizontal_lines, 139, 5),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(96, 125),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(93, 93),
        horizontal_line(92, 92),
        horizontal_line(91, 91),
        horizontal_line(90, 90),
        horizontal_line(89, 89),
        horizontal_line(88, 88),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(107, 148),
        horizontal_line(109, 150),
        horizontal_line(110, 152),
        horizontal_line(111, 155),
        horizontal_line(112, 157),
        horizontal_line(114, 160),
        horizontal_line(115, 162),
        horizontal_line(116, 165),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 115),
        horizontal_line(112, 116),
        horizontal_line(110, 117),
        horizontal_line(109, 118),
        horizontal_line(108, 119),
        horizontal_line(106, 120),
        horizontal_line(105, 121),
        horizontal_line(104, 122),
        horizontal_line(102, 122),
        horizontal_line(101, 123),
        horizontal_line(100, 124),
        horizontal_line(6, 66),
        horizontal_line(5, 65),
        horizontal_line(4, 64),
        horizontal_line(94, 118),
        horizontal_line(93, 116),
        horizontal_line(92, 115),
        horizontal_line(90, 113),
        horizontal_line(89, 111),
        horizontal_line(88, 109),
        horizontal_line(86, 108),
        horizontal_line(122, 133),
        horizontal_line(84, 104),
        horizontal_line(118, 128),
        horizontal_line(116, 125),
        horizontal_line(114, 122),
        horizontal_line(127, 133),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(139, 141),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(142, 145),
        horizontal_line(163, 225),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(148, 153),
        horizontal_line(148, 154),
        horizontal_line(149, 155),
        horizontal_line(150, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 159),
        horizontal_line(153, 160),
        horizontal_line(153, 161),
        horizontal_line(154, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(156, 164),
        horizontal_line(157, 165),
        horizontal_line(157, 166),
        horizontal_line(158, 167),
        horizontal_line(159, 168),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(170, 184),
        horizontal_line(153, 160),
        horizontal_line(171, 186),
        horizontal_line(172, 187),
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(174, 189),
        horizontal_line(175, 190),
        horizontal_line(175, 191),
        horizontal_line(176, 192),
        horizontal_line(177, 193),
        horizontal_line(177, 194),
        horizontal_line(178, 195),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(143, 161),
        horizontal_line(140, 159),
        horizontal_line(137, 157),
        horizontal_line(135, 155),
        horizontal_line(171, 192),
        horizontal_line(169, 191),
        horizontal_line(168, 190),
        horizontal_line(166, 188),
        horizontal_line(165, 187),
        horizontal_line(163, 186),
        horizontal_line(162, 185),
        horizontal_line(160, 184),
        horizontal_line(158, 183),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_603_shape_group_3_shapes[] = {
        shape(frame_603_shape_group_3_shape_0_horizontal_lines, 26, 2),
        shape(frame_603_shape_group_3_shape_1_horizontal_lines, 27, 5),
        shape(frame_603_shape_group_3_shape_2_horizontal_lines, 35, 2),
        shape(frame_603_shape_group_3_shape_3_horizontal_lines, 43, 5),
        shape(frame_603_shape_group_3_shape_4_horizontal_lines, 71, 2),
        shape(frame_603_shape_group_3_shape_5_horizontal_lines, 134, 5),
        shape(frame_603_shape_group_3_shape_6_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(97, 128),
        horizontal_line(98, 130),
        horizontal_line(99, 133),
        horizontal_line(101, 135),
        horizontal_line(102, 138),
        horizontal_line(103, 140),
        horizontal_line(105, 143),
        horizontal_line(106, 145),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 167),
        horizontal_line(119, 170),
        horizontal_line(120, 172),
        horizontal_line(122, 175),
        horizontal_line(123, 177),
        horizontal_line(124, 180),
        horizontal_line(126, 182),
        horizontal_line(127, 184),
        horizontal_line(128, 187),
        horizontal_line(129, 189),
        horizontal_line(131, 192),
        horizontal_line(132, 194),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(98, 123),
        horizontal_line(97, 121),
        horizontal_line(96, 120),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(128, 131),
        horizontal_line(126, 132),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(134, 138),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(157, 219),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(162, 224),
        horizontal_line(225, 239),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(171, 185),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(177, 197),
        horizontal_line(175, 195),
        horizontal_line(174, 194),
        horizontal_line(172, 193),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(134, 140),
        horizontal_line(135, 141),
    };

    constexpr const shape frame_603_shape_group_4_shapes[] = {
        shape(frame_603_shape_group_4_shape_0_horizontal_lines, 27, 2),
        shape(frame_603_shape_group_4_shape_1_horizontal_lines, 43, 2),
        shape(frame_603_shape_group_4_shape_2_horizontal_lines, 55, 5),
        shape(frame_603_shape_group_4_shape_3_horizontal_lines, 58, 2),
        shape(frame_603_shape_group_4_shape_4_horizontal_lines, 61, 5),
        shape(frame_603_shape_group_4_shape_5_horizontal_lines, 65, 2),
        shape(frame_603_shape_group_4_shape_6_horizontal_lines, 66, 5),
        shape(frame_603_shape_group_4_shape_7_horizontal_lines, 67, 2),
        shape(frame_603_shape_group_4_shape_8_horizontal_lines, 69, 5),
        shape(frame_603_shape_group_4_shape_9_horizontal_lines, 70, 2),
        shape(frame_603_shape_group_4_shape_10_horizontal_lines, 104, 6),
        shape(frame_603_shape_group_4_shape_11_horizontal_lines, 121, 2),
        shape(frame_603_shape_group_4_shape_12_horizontal_lines, 134, 5),
        shape(frame_603_shape_group_4_shape_13_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(199, 204),
        horizontal_line(201, 207),
        horizontal_line(202, 209),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(135, 135),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(136, 138),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(89, 105),
        horizontal_line(90, 105),
        horizontal_line(91, 106),
        horizontal_line(91, 107),
        horizontal_line(92, 107),
        horizontal_line(93, 108),
        horizontal_line(94, 109),
        horizontal_line(95, 109),
        horizontal_line(96, 110),
        horizontal_line(96, 111),
        horizontal_line(97, 111),
        horizontal_line(98, 112),
        horizontal_line(99, 112),
        horizontal_line(100, 113),
        horizontal_line(100, 114),
        horizontal_line(101, 114),
        horizontal_line(102, 115),
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(180, 196),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(125, 133),
        horizontal_line(126, 134),
        horizontal_line(127, 135),
        horizontal_line(128, 135),
        horizontal_line(129, 136),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 138),
        horizontal_line(132, 139),
        horizontal_line(133, 139),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
    };

    constexpr const shape frame_603_shape_group_5_shapes[] = {
        shape(frame_603_shape_group_5_shape_0_horizontal_lines, 54, 2),
        shape(frame_603_shape_group_5_shape_1_horizontal_lines, 74, 6),
        shape(frame_603_shape_group_5_shape_2_horizontal_lines, 77, 2),
        shape(frame_603_shape_group_5_shape_3_horizontal_lines, 78, 6),
        shape(frame_603_shape_group_5_shape_4_horizontal_lines, 79, 2),
        shape(frame_603_shape_group_5_shape_5_horizontal_lines, 89, 6),
        shape(frame_603_shape_group_5_shape_6_horizontal_lines, 122, 2),
        shape(frame_603_shape_group_5_shape_7_horizontal_lines, 123, 6),
        shape(frame_603_shape_group_5_shape_8_horizontal_lines, 134, 2),
        shape(frame_603_shape_group_5_shape_9_horizontal_lines, 135, 5),
        shape(frame_603_shape_group_5_shape_10_horizontal_lines, 139, 6),
    };

    constexpr const horizontal_line frame_603_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(195, 197),
        horizontal_line(197, 199),
        horizontal_line(198, 202),
    };

    constexpr const horizontal_line frame_603_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_603_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(203, 211),
        horizontal_line(205, 214),
        horizontal_line(206, 216),
        horizontal_line(207, 219),
        horizontal_line(208, 221),
        horizontal_line(148, 210),
        horizontal_line(211, 226),
        horizontal_line(212, 229),
        horizontal_line(152, 214),
        horizontal_line(215, 234),
        horizontal_line(216, 236),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_603_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(64, 85),
        horizontal_line(65, 86),
        horizontal_line(66, 86),
        horizontal_line(0, 19),
        horizontal_line(67, 88),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(76, 95),
        horizontal_line(77, 96),
        horizontal_line(78, 96),
        horizontal_line(79, 97),
        horizontal_line(80, 97),
        horizontal_line(81, 98),
        horizontal_line(81, 99),
        horizontal_line(82, 99),
        horizontal_line(83, 100),
        horizontal_line(84, 101),
        horizontal_line(85, 101),
        horizontal_line(86, 102),
        horizontal_line(86, 103),
        horizontal_line(87, 103),
        horizontal_line(88, 104),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(103, 116),
        horizontal_line(0, 57),
        horizontal_line(105, 117),
        horizontal_line(105, 118),
        horizontal_line(106, 118),
        horizontal_line(107, 119),
        horizontal_line(108, 120),
        horizontal_line(109, 120),
        horizontal_line(110, 121),
        horizontal_line(110, 122),
        horizontal_line(111, 122),
        horizontal_line(112, 123),
        horizontal_line(113, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(118, 127),
        horizontal_line(119, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(121, 130),
        horizontal_line(122, 131),
        horizontal_line(123, 131),
        horizontal_line(124, 132),
        horizontal_line(125, 133),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
    };

    constexpr const horizontal_line frame_603_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(89, 133),
        horizontal_line(90, 134),
    };

    constexpr const shape frame_603_shape_group_6_shapes[] = {
        shape(frame_603_shape_group_6_shape_0_horizontal_lines, 55, 2),
        shape(frame_603_shape_group_6_shape_1_horizontal_lines, 58, 6),
        shape(frame_603_shape_group_6_shape_2_horizontal_lines, 61, 2),
        shape(frame_603_shape_group_6_shape_3_horizontal_lines, 73, 6),
        shape(frame_603_shape_group_6_shape_4_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(4, 10),
        horizontal_line(5, 18),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(210, 224),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(214, 231),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(63, 84),
        horizontal_line(101, 108),
        horizontal_line(101, 109),
        horizontal_line(102, 109),
        horizontal_line(66, 87),
        horizontal_line(103, 110),
        horizontal_line(68, 88),
        horizontal_line(69, 89),
        horizontal_line(70, 90),
        horizontal_line(71, 90),
        horizontal_line(71, 91),
        horizontal_line(72, 92),
        horizontal_line(73, 92),
        horizontal_line(74, 93),
        horizontal_line(75, 94),
        horizontal_line(76, 94),
        horizontal_line(108, 114),
        horizontal_line(109, 114),
        horizontal_line(109, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(43, 88),
        horizontal_line(44, 89),
        horizontal_line(44, 90),
        horizontal_line(45, 90),
        horizontal_line(46, 91),
        horizontal_line(47, 92),
        horizontal_line(48, 93),
        horizontal_line(49, 94),
        horizontal_line(49, 95),
        horizontal_line(50, 95),
        horizontal_line(51, 96),
        horizontal_line(52, 97),
        horizontal_line(53, 98),
        horizontal_line(54, 99),
        horizontal_line(55, 99),
        horizontal_line(55, 100),
        horizontal_line(56, 101),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(104, 116),
        horizontal_line(125, 126),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(114, 124),
        horizontal_line(115, 125),
        horizontal_line(115, 126),
        horizontal_line(116, 126),
        horizontal_line(117, 127),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_603_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(80, 124),
        horizontal_line(81, 125),
        horizontal_line(82, 126),
        horizontal_line(83, 127),
        horizontal_line(84, 128),
        horizontal_line(84, 129),
        horizontal_line(85, 129),
        horizontal_line(86, 130),
        horizontal_line(87, 131),
        horizontal_line(88, 132),
        horizontal_line(141, 142),
        horizontal_line(142, 143),
    };

    constexpr const shape frame_603_shape_group_7_shapes[] = {
        shape(frame_603_shape_group_7_shape_0_horizontal_lines, 59, 7),
        shape(frame_603_shape_group_7_shape_1_horizontal_lines, 61, 6),
        shape(frame_603_shape_group_7_shape_2_horizontal_lines, 66, 2),
        shape(frame_603_shape_group_7_shape_3_horizontal_lines, 67, 6),
        shape(frame_603_shape_group_7_shape_4_horizontal_lines, 69, 2),
        shape(frame_603_shape_group_7_shape_5_horizontal_lines, 70, 6),
        shape(frame_603_shape_group_7_shape_6_horizontal_lines, 104, 7),
        shape(frame_603_shape_group_7_shape_7_horizontal_lines, 121, 6),
        shape(frame_603_shape_group_7_shape_8_horizontal_lines, 148, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(6, 25),
        horizontal_line(7, 33),
        horizontal_line(8, 40),
        horizontal_line(9, 48),
        horizontal_line(9, 56),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(58, 81),
        horizontal_line(59, 81),
        horizontal_line(0, 12),
        horizontal_line(61, 82),
        horizontal_line(61, 83),
        horizontal_line(62, 84),
        horizontal_line(100, 108),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(102, 109),
        horizontal_line(115, 116),
        horizontal_line(103, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(108, 113),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(30, 75),
        horizontal_line(31, 76),
        horizontal_line(32, 77),
        horizontal_line(32, 78),
        horizontal_line(33, 79),
        horizontal_line(34, 80),
        horizontal_line(35, 80),
        horizontal_line(36, 81),
        horizontal_line(37, 82),
        horizontal_line(38, 83),
        horizontal_line(38, 84),
        horizontal_line(39, 85),
        horizontal_line(40, 85),
        horizontal_line(41, 86),
        horizontal_line(42, 87),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 123),
        horizontal_line(57, 102),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(59, 104),
        horizontal_line(60, 104),
        horizontal_line(61, 105),
        horizontal_line(61, 106),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(131, 131),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_603_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(72, 117),
        horizontal_line(73, 118),
        horizontal_line(74, 119),
        horizontal_line(75, 119),
        horizontal_line(76, 120),
        horizontal_line(77, 121),
        horizontal_line(78, 122),
        horizontal_line(78, 123),
        horizontal_line(79, 124),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
    };

    constexpr const shape frame_603_shape_group_8_shapes[] = {
        shape(frame_603_shape_group_8_shape_0_horizontal_lines, 61, 7),
        shape(frame_603_shape_group_8_shape_1_horizontal_lines, 66, 6),
        shape(frame_603_shape_group_8_shape_2_horizontal_lines, 89, 7),
        shape(frame_603_shape_group_8_shape_3_horizontal_lines, 122, 6),
        shape(frame_603_shape_group_8_shape_4_horizontal_lines, 123, 7),
        shape(frame_603_shape_group_8_shape_5_horizontal_lines, 128, 6),
        shape(frame_603_shape_group_8_shape_6_horizontal_lines, 139, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(57, 69),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(11, 57),
        horizontal_line(12, 58),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(60, 82),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(14, 60),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(100, 108),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(17, 63),
        horizontal_line(18, 64),
        horizontal_line(19, 65),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(21, 66),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(29, 75),
        horizontal_line(96, 107),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(100, 111),
        horizontal_line(101, 111),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(117, 123),
        horizontal_line(58, 103),
        horizontal_line(118, 124),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 126),
        horizontal_line(121, 126),
        horizontal_line(63, 108),
        horizontal_line(64, 109),
        horizontal_line(65, 109),
        horizontal_line(66, 110),
        horizontal_line(67, 111),
        horizontal_line(67, 112),
        horizontal_line(68, 113),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_603_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(70, 114),
        horizontal_line(71, 115),
        horizontal_line(72, 116),
        horizontal_line(128, 132),
        horizontal_line(129, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 134),
        horizontal_line(131, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
    };

    constexpr const shape frame_603_shape_group_9_shapes[] = {
        shape(frame_603_shape_group_9_shape_0_horizontal_lines, 66, 6),
        shape(frame_603_shape_group_9_shape_1_horizontal_lines, 67, 7),
        shape(frame_603_shape_group_9_shape_2_horizontal_lines, 69, 6),
        shape(frame_603_shape_group_9_shape_3_horizontal_lines, 70, 7),
        shape(frame_603_shape_group_9_shape_4_horizontal_lines, 71, 6),
        shape(frame_603_shape_group_9_shape_5_horizontal_lines, 74, 7),
        shape(frame_603_shape_group_9_shape_6_horizontal_lines, 77, 6),
        shape(frame_603_shape_group_9_shape_7_horizontal_lines, 78, 7),
        shape(frame_603_shape_group_9_shape_8_horizontal_lines, 79, 6),
        shape(frame_603_shape_group_9_shape_9_horizontal_lines, 88, 7),
        shape(frame_603_shape_group_9_shape_10_horizontal_lines, 112, 7),
        shape(frame_603_shape_group_9_shape_11_horizontal_lines, 121, 7),
        shape(frame_603_shape_group_9_shape_12_horizontal_lines, 135, 6),
        shape(frame_603_shape_group_9_shape_13_horizontal_lines, 136, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(10, 56),
        horizontal_line(82, 82),
        horizontal_line(82, 87),
        horizontal_line(13, 59),
        horizontal_line(83, 98),
        horizontal_line(15, 60),
    };

    constexpr const horizontal_line frame_603_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_603_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(16, 62),
        horizontal_line(86, 100),
        horizontal_line(87, 100),
        horizontal_line(87, 101),
        horizontal_line(20, 65),
        horizontal_line(89, 102),
        horizontal_line(21, 67),
        horizontal_line(22, 68),
        horizontal_line(23, 69),
        horizontal_line(24, 70),
        horizontal_line(25, 70),
        horizontal_line(26, 71),
        horizontal_line(26, 72),
        horizontal_line(27, 73),
        horizontal_line(28, 74),
        horizontal_line(95, 107),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_603_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_603_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(69, 114),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(128, 132),
    };

    constexpr const shape frame_603_shape_group_10_shapes[] = {
        shape(frame_603_shape_group_10_shape_0_horizontal_lines, 66, 7),
        shape(frame_603_shape_group_10_shape_1_horizontal_lines, 72, 6),
        shape(frame_603_shape_group_10_shape_2_horizontal_lines, 73, 7),
        shape(frame_603_shape_group_10_shape_3_horizontal_lines, 122, 7),
        shape(frame_603_shape_group_10_shape_4_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(83, 92),
    };

    constexpr const horizontal_line frame_603_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(15, 61),
        horizontal_line(85, 99),
        horizontal_line(109, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 114),
        horizontal_line(88, 101),
        horizontal_line(111, 114),
        horizontal_line(89, 102),
        horizontal_line(90, 103),
        horizontal_line(91, 103),
        horizontal_line(91, 104),
        horizontal_line(92, 104),
        horizontal_line(93, 105),
        horizontal_line(93, 105),
        horizontal_line(94, 106),
        horizontal_line(95, 106),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_603_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(126, 130),
    };

    constexpr const shape frame_603_shape_group_11_shapes[] = {
        shape(frame_603_shape_group_11_shape_0_horizontal_lines, 69, 7),
        shape(frame_603_shape_group_11_shape_1_horizontal_lines, 71, 7),
        shape(frame_603_shape_group_11_shape_2_horizontal_lines, 135, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(85, 99),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_603_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_603_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(111, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
    };

    constexpr const shape frame_603_shape_group_12_shapes[] = {
        shape(frame_603_shape_group_12_shape_0_horizontal_lines, 72, 7),
        shape(frame_603_shape_group_12_shape_1_horizontal_lines, 77, 7),
        shape(frame_603_shape_group_12_shape_2_horizontal_lines, 79, 7),
    };

    constexpr const horizontal_line frame_603_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(109, 113),
    };

    constexpr const shape frame_603_shape_group_13_shapes[] = {
        shape(frame_603_shape_group_13_shape_0_horizontal_lines, 72, 7),
    };

    constexpr const shape_group frame_603_shape_groups[] = {
        shape_group(frame_603_shape_group_0_shapes),
        shape_group(frame_603_shape_group_1_shapes),
        shape_group(frame_603_shape_group_2_shapes),
        shape_group(frame_603_shape_group_3_shapes),
        shape_group(frame_603_shape_group_4_shapes),
        shape_group(frame_603_shape_group_5_shapes),
        shape_group(frame_603_shape_group_6_shapes),
        shape_group(frame_603_shape_group_7_shapes),
        shape_group(frame_603_shape_group_8_shapes),
        shape_group(frame_603_shape_group_9_shapes),
        shape_group(frame_603_shape_group_10_shapes),
        shape_group(frame_603_shape_group_11_shapes),
        shape_group(frame_603_shape_group_12_shapes),
        shape_group(frame_603_shape_group_13_shapes),
    };

    constexpr const frame frame_603_impl(frame_603_colors, frame_603_shape_groups);
} 

const frame& frame_603()
{
    return frame_603_impl;
}

namespace
{
    constexpr const bn::color frame_604_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_604_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(74, 110),
        horizontal_line(73, 109),
        horizontal_line(72, 107),
        horizontal_line(71, 106),
        horizontal_line(70, 105),
        horizontal_line(69, 104),
        horizontal_line(68, 103),
        horizontal_line(67, 101),
        horizontal_line(66, 100),
        horizontal_line(65, 99),
        horizontal_line(64, 98),
        horizontal_line(63, 97),
        horizontal_line(62, 95),
        horizontal_line(61, 94),
        horizontal_line(60, 93),
        horizontal_line(59, 92),
        horizontal_line(58, 90),
        horizontal_line(57, 89),
        horizontal_line(56, 88),
        horizontal_line(55, 87),
        horizontal_line(54, 86),
        horizontal_line(53, 84),
        horizontal_line(60, 83),
        horizontal_line(67, 82),
        horizontal_line(74, 81),
        horizontal_line(104, 118),
        horizontal_line(103, 116),
        horizontal_line(101, 114),
        horizontal_line(100, 112),
        horizontal_line(99, 110),
        horizontal_line(129, 129),
        horizontal_line(117, 118),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_604_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(126, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(127, 129),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(128, 135),
        horizontal_line(128, 138),
        horizontal_line(128, 141),
    };

    constexpr const horizontal_line frame_604_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(141, 147),
        horizontal_line(138, 150),
        horizontal_line(136, 153),
        horizontal_line(133, 156),
        horizontal_line(131, 153),
        horizontal_line(131, 151),
        horizontal_line(131, 148),
        horizontal_line(132, 146),
        horizontal_line(132, 143),
        horizontal_line(132, 141),
        horizontal_line(133, 138),
        horizontal_line(133, 136),
        horizontal_line(133, 133),
        horizontal_line(157, 174),
        horizontal_line(155, 173),
        horizontal_line(153, 171),
        horizontal_line(151, 170),
        horizontal_line(149, 168),
        horizontal_line(147, 167),
        horizontal_line(145, 165),
        horizontal_line(143, 164),
        horizontal_line(141, 162),
        horizontal_line(139, 161),
        horizontal_line(137, 159),
        horizontal_line(137, 158),
        horizontal_line(138, 156),
        horizontal_line(138, 155),
        horizontal_line(139, 153),
        horizontal_line(139, 152),
        horizontal_line(140, 150),
        horizontal_line(140, 149),
        horizontal_line(141, 147),
        horizontal_line(142, 146),
    };

    constexpr const shape frame_604_shape_group_0_shapes[] = {
        shape(frame_604_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_604_shape_group_0_shape_1_horizontal_lines, 74, 4),
        shape(frame_604_shape_group_0_shape_2_horizontal_lines, 120, 1),
        shape(frame_604_shape_group_0_shape_3_horizontal_lines, 123, 5),
        shape(frame_604_shape_group_0_shape_4_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(38, 64),
        horizontal_line(37, 65),
        horizontal_line(36, 66),
        horizontal_line(35, 68),
        horizontal_line(34, 69),
        horizontal_line(33, 70),
        horizontal_line(32, 72),
        horizontal_line(31, 73),
        horizontal_line(30, 74),
        horizontal_line(29, 76),
        horizontal_line(28, 77),
        horizontal_line(28, 78),
        horizontal_line(27, 80),
        horizontal_line(26, 81),
        horizontal_line(25, 82),
        horizontal_line(24, 84),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(93, 93),
        horizontal_line(92, 94),
        horizontal_line(91, 95),
        horizontal_line(90, 96),
        horizontal_line(89, 98),
        horizontal_line(88, 99),
        horizontal_line(87, 100),
        horizontal_line(86, 101),
        horizontal_line(85, 103),
        horizontal_line(84, 104),
        horizontal_line(83, 105),
        horizontal_line(82, 106),
        horizontal_line(81, 108),
        horizontal_line(80, 109),
        horizontal_line(79, 110),
        horizontal_line(78, 111),
        horizontal_line(77, 113),
        horizontal_line(76, 112),
        horizontal_line(75, 111),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(123, 126),
        horizontal_line(122, 127),
        horizontal_line(120, 127),
        horizontal_line(119, 128),
        horizontal_line(117, 129),
        horizontal_line(116, 130),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(112, 128),
        horizontal_line(110, 126),
        horizontal_line(109, 124),
        horizontal_line(107, 122),
        horizontal_line(106, 120),
        horizontal_line(129, 136),
        horizontal_line(126, 133),
        horizontal_line(123, 129),
        horizontal_line(120, 124),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(127, 131),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(129, 143),
        horizontal_line(129, 140),
        horizontal_line(129, 137),
        horizontal_line(130, 135),
        horizontal_line(130, 132),
        horizontal_line(154, 160),
        horizontal_line(152, 163),
        horizontal_line(149, 166),
    };

    constexpr const horizontal_line frame_604_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(167, 175),
        horizontal_line(165, 181),
        horizontal_line(163, 179),
        horizontal_line(161, 177),
        horizontal_line(159, 176),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 238),
        horizontal_line(185, 237),
        horizontal_line(184, 236),
        horizontal_line(182, 235),
        horizontal_line(181, 235),
        horizontal_line(180, 234),
        horizontal_line(179, 233),
        horizontal_line(178, 232),
        horizontal_line(177, 232),
    };

    constexpr const shape frame_604_shape_group_1_shapes[] = {
        shape(frame_604_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_604_shape_group_1_shape_1_horizontal_lines, 22, 1),
        shape(frame_604_shape_group_1_shape_2_horizontal_lines, 41, 5),
        shape(frame_604_shape_group_1_shape_3_horizontal_lines, 52, 1),
        shape(frame_604_shape_group_1_shape_4_horizontal_lines, 71, 4),
        shape(frame_604_shape_group_1_shape_5_horizontal_lines, 122, 5),
        shape(frame_604_shape_group_1_shape_6_horizontal_lines, 123, 4),
        shape(frame_604_shape_group_1_shape_7_horizontal_lines, 126, 5),
        shape(frame_604_shape_group_1_shape_8_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(84, 86),
        horizontal_line(83, 88),
        horizontal_line(82, 89),
        horizontal_line(81, 90),
        horizontal_line(81, 92),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(111, 115),
        horizontal_line(110, 116),
        horizontal_line(108, 117),
        horizontal_line(107, 118),
        horizontal_line(106, 119),
        horizontal_line(105, 120),
        horizontal_line(104, 120),
        horizontal_line(102, 121),
        horizontal_line(101, 122),
        horizontal_line(100, 123),
        horizontal_line(99, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(1, 60),
        horizontal_line(7, 59),
        horizontal_line(14, 58),
        horizontal_line(20, 57),
        horizontal_line(27, 56),
        horizontal_line(33, 55),
        horizontal_line(40, 54),
        horizontal_line(46, 53),
        horizontal_line(85, 109),
        horizontal_line(84, 108),
        horizontal_line(83, 106),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(81, 103),
        horizontal_line(85, 102),
        horizontal_line(90, 100),
        horizontal_line(94, 99),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 143),
        horizontal_line(146, 149),
        horizontal_line(147, 149),
        horizontal_line(147, 150),
        horizontal_line(148, 150),
        horizontal_line(148, 151),
        horizontal_line(149, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 154),
        horizontal_line(151, 154),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(163, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(145, 154),
        horizontal_line(148, 155),
        horizontal_line(151, 155),
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(167, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(147, 168),
        horizontal_line(144, 166),
        horizontal_line(142, 164),
        horizontal_line(139, 162),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(134, 156),
        horizontal_line(134, 154),
        horizontal_line(135, 152),
        horizontal_line(135, 150),
        horizontal_line(135, 148),
        horizontal_line(136, 146),
        horizontal_line(136, 144),
        horizontal_line(137, 142),
        horizontal_line(137, 140),
        horizontal_line(138, 138),
        horizontal_line(160, 186),
        horizontal_line(159, 185),
        horizontal_line(157, 184),
        horizontal_line(156, 183),
        horizontal_line(154, 181),
        horizontal_line(153, 180),
        horizontal_line(151, 179),
        horizontal_line(150, 178),
        horizontal_line(148, 177),
        horizontal_line(147, 176),
    };

    constexpr const shape frame_604_shape_group_2_shapes[] = {
        shape(frame_604_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_604_shape_group_2_shape_1_horizontal_lines, 16, 5),
        shape(frame_604_shape_group_2_shape_2_horizontal_lines, 65, 1),
        shape(frame_604_shape_group_2_shape_3_horizontal_lines, 66, 5),
        shape(frame_604_shape_group_2_shape_4_horizontal_lines, 71, 4),
        shape(frame_604_shape_group_2_shape_5_horizontal_lines, 130, 5),
        shape(frame_604_shape_group_2_shape_6_horizontal_lines, 131, 4),
        shape(frame_604_shape_group_2_shape_7_horizontal_lines, 134, 5),
        shape(frame_604_shape_group_2_shape_8_horizontal_lines, 138, 1),
        shape(frame_604_shape_group_2_shape_9_horizontal_lines, 140, 5),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(80, 92),
        horizontal_line(79, 91),
        horizontal_line(78, 90),
        horizontal_line(77, 89),
        horizontal_line(76, 88),
        horizontal_line(75, 87),
        horizontal_line(74, 86),
        horizontal_line(73, 85),
        horizontal_line(72, 84),
        horizontal_line(71, 83),
        horizontal_line(71, 82),
        horizontal_line(70, 81),
        horizontal_line(69, 80),
        horizontal_line(68, 79),
        horizontal_line(67, 78),
        horizontal_line(66, 77),
        horizontal_line(65, 76),
        horizontal_line(113, 113),
        horizontal_line(112, 114),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(98, 124),
        horizontal_line(96, 122),
        horizontal_line(95, 121),
        horizontal_line(94, 119),
        horizontal_line(93, 118),
        horizontal_line(91, 116),
        horizontal_line(90, 115),
        horizontal_line(89, 113),
        horizontal_line(88, 112),
        horizontal_line(87, 111),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(123, 134),
        horizontal_line(82, 105),
        horizontal_line(119, 128),
        horizontal_line(117, 125),
        horizontal_line(115, 122),
        horizontal_line(113, 119),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(143, 158),
        horizontal_line(143, 159),
        horizontal_line(144, 161),
        horizontal_line(145, 162),
        horizontal_line(146, 163),
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
        horizontal_line(143, 144),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(145, 146),
        horizontal_line(145, 147),
        horizontal_line(145, 147),
        horizontal_line(146, 148),
        horizontal_line(156, 178),
        horizontal_line(157, 179),
        horizontal_line(158, 180),
        horizontal_line(158, 182),
        horizontal_line(159, 183),
        horizontal_line(160, 184),
        horizontal_line(161, 186),
        horizontal_line(162, 187),
        horizontal_line(163, 188),
        horizontal_line(164, 190),
        horizontal_line(165, 191),
        horizontal_line(165, 192),
        horizontal_line(166, 194),
        horizontal_line(167, 195),
        horizontal_line(168, 196),
        horizontal_line(169, 198),
        horizontal_line(170, 199),
        horizontal_line(171, 200),
        horizontal_line(172, 202),
        horizontal_line(172, 203),
        horizontal_line(173, 204),
        horizontal_line(174, 206),
        horizontal_line(175, 207),
        horizontal_line(176, 208),
        horizontal_line(177, 210),
        horizontal_line(178, 211),
        horizontal_line(179, 212),
        horizontal_line(180, 214),
        horizontal_line(180, 215),
        horizontal_line(181, 216),
        horizontal_line(182, 218),
        horizontal_line(183, 219),
        horizontal_line(184, 220),
        horizontal_line(185, 222),
        horizontal_line(162, 170),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(188, 227),
        horizontal_line(189, 228),
        horizontal_line(190, 230),
        horizontal_line(165, 174),
        horizontal_line(165, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(167, 177),
        horizontal_line(195, 238),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(170, 179),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(180, 192),
        horizontal_line(137, 160),
        horizontal_line(134, 158),
        horizontal_line(175, 198),
        horizontal_line(174, 197),
        horizontal_line(172, 196),
        horizontal_line(171, 195),
        horizontal_line(169, 193),
        horizontal_line(168, 192),
        horizontal_line(166, 191),
        horizontal_line(165, 190),
        horizontal_line(163, 189),
        horizontal_line(162, 187),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 120),
    };

    constexpr const horizontal_line frame_604_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_604_shape_group_3_shapes[] = {
        shape(frame_604_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_604_shape_group_3_shape_1_horizontal_lines, 22, 5),
        shape(frame_604_shape_group_3_shape_2_horizontal_lines, 71, 4),
        shape(frame_604_shape_group_3_shape_3_horizontal_lines, 136, 5),
        shape(frame_604_shape_group_3_shape_4_horizontal_lines, 150, 7),
        shape(frame_604_shape_group_3_shape_5_horizontal_lines, 151, 5),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(97, 97),
        horizontal_line(155, 217),
        horizontal_line(158, 220),
        horizontal_line(101, 101),
        horizontal_line(102, 102),
        horizontal_line(167, 229),
        horizontal_line(105, 105),
        horizontal_line(106, 106),
        horizontal_line(107, 107),
        horizontal_line(109, 109),
        horizontal_line(110, 110),
        horizontal_line(111, 111),
        horizontal_line(112, 113),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(64, 75),
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(117, 119),
        horizontal_line(118, 121),
        horizontal_line(119, 122),
        horizontal_line(120, 123),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(122, 127),
        horizontal_line(123, 129),
        horizontal_line(124, 130),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(127, 134),
        horizontal_line(128, 135),
        horizontal_line(128, 137),
        horizontal_line(129, 138),
        horizontal_line(130, 139),
        horizontal_line(131, 141),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(135, 146),
        horizontal_line(136, 147),
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(130, 136),
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(3, 59),
        horizontal_line(4, 59),
        horizontal_line(5, 60),
        horizontal_line(6, 61),
        horizontal_line(6, 62),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(147, 165),
        horizontal_line(148, 166),
        horizontal_line(149, 167),
        horizontal_line(150, 168),
        horizontal_line(150, 170),
        horizontal_line(151, 171),
        horizontal_line(152, 172),
        horizontal_line(153, 174),
        horizontal_line(154, 175),
        horizontal_line(155, 176),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(15, 70),
        horizontal_line(15, 71),
        horizontal_line(16, 72),
        horizontal_line(17, 73),
        horizontal_line(18, 73),
        horizontal_line(18, 74),
        horizontal_line(19, 75),
        horizontal_line(20, 76),
        horizontal_line(20, 77),
        horizontal_line(21, 77),
        horizontal_line(22, 78),
        horizontal_line(23, 79),
        horizontal_line(23, 80),
        horizontal_line(24, 80),
        horizontal_line(25, 81),
        horizontal_line(26, 82),
        horizontal_line(26, 83),
        horizontal_line(27, 84),
        horizontal_line(28, 84),
        horizontal_line(29, 85),
        horizontal_line(29, 86),
        horizontal_line(30, 87),
        horizontal_line(31, 88),
        horizontal_line(32, 88),
        horizontal_line(32, 89),
        horizontal_line(33, 90),
        horizontal_line(34, 91),
        horizontal_line(35, 91),
        horizontal_line(35, 92),
        horizontal_line(36, 93),
        horizontal_line(37, 94),
        horizontal_line(37, 95),
        horizontal_line(38, 95),
        horizontal_line(39, 96),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(186, 223),
        horizontal_line(187, 224),
        horizontal_line(187, 226),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(42, 99),
        horizontal_line(43, 100),
        horizontal_line(43, 101),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(191, 231),
        horizontal_line(192, 232),
        horizontal_line(193, 234),
        horizontal_line(194, 235),
        horizontal_line(194, 236),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(48, 106),
        horizontal_line(49, 106),
        horizontal_line(49, 107),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(178, 201),
        horizontal_line(177, 199),
    };

    constexpr const horizontal_line frame_604_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(54, 113),
        horizontal_line(55, 113),
        horizontal_line(56, 114),
        horizontal_line(57, 115),
        horizontal_line(57, 116),
        horizontal_line(58, 117),
        horizontal_line(59, 117),
        horizontal_line(60, 118),
        horizontal_line(60, 119),
        horizontal_line(61, 120),
        horizontal_line(135, 136),
        horizontal_line(63, 121),
        horizontal_line(63, 122),
        horizontal_line(64, 123),
        horizontal_line(65, 124),
        horizontal_line(66, 124),
        horizontal_line(66, 125),
        horizontal_line(67, 126),
        horizontal_line(68, 127),
        horizontal_line(69, 128),
    };

    constexpr const shape frame_604_shape_group_4_shapes[] = {
        shape(frame_604_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_604_shape_group_4_shape_1_horizontal_lines, 16, 4),
        shape(frame_604_shape_group_4_shape_2_horizontal_lines, 39, 5),
        shape(frame_604_shape_group_4_shape_3_horizontal_lines, 41, 4),
        shape(frame_604_shape_group_4_shape_4_horizontal_lines, 52, 5),
        shape(frame_604_shape_group_4_shape_5_horizontal_lines, 53, 4),
        shape(frame_604_shape_group_4_shape_6_horizontal_lines, 60, 5),
        shape(frame_604_shape_group_4_shape_7_horizontal_lines, 62, 4),
        shape(frame_604_shape_group_4_shape_8_horizontal_lines, 65, 5),
        shape(frame_604_shape_group_4_shape_9_horizontal_lines, 66, 4),
        shape(frame_604_shape_group_4_shape_10_horizontal_lines, 67, 5),
        shape(frame_604_shape_group_4_shape_11_horizontal_lines, 70, 4),
        shape(frame_604_shape_group_4_shape_12_horizontal_lines, 71, 7),
        shape(frame_604_shape_group_4_shape_13_horizontal_lines, 76, 4),
        shape(frame_604_shape_group_4_shape_14_horizontal_lines, 86, 7),
        shape(frame_604_shape_group_4_shape_15_horizontal_lines, 120, 4),
        shape(frame_604_shape_group_4_shape_16_horizontal_lines, 123, 7),
        shape(frame_604_shape_group_4_shape_17_horizontal_lines, 126, 4),
        shape(frame_604_shape_group_4_shape_18_horizontal_lines, 131, 7),
        shape(frame_604_shape_group_4_shape_19_horizontal_lines, 134, 4),
        shape(frame_604_shape_group_4_shape_20_horizontal_lines, 138, 5),
        shape(frame_604_shape_group_4_shape_21_horizontal_lines, 140, 7),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(153, 215),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(229, 239),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(114, 115),
        horizontal_line(115, 117),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(126, 133),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 143),
        horizontal_line(134, 145),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(137, 150),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 55),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(139, 153),
        horizontal_line(140, 154),
        horizontal_line(138, 138),
        horizontal_line(142, 157),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(84, 97),
        horizontal_line(84, 97),
        horizontal_line(85, 98),
        horizontal_line(86, 98),
        horizontal_line(86, 99),
        horizontal_line(7, 62),
        horizontal_line(8, 63),
        horizontal_line(9, 64),
        horizontal_line(9, 65),
        horizontal_line(10, 66),
        horizontal_line(11, 66),
        horizontal_line(12, 67),
        horizontal_line(12, 68),
        horizontal_line(13, 69),
        horizontal_line(14, 70),
        horizontal_line(93, 104),
        horizontal_line(94, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 106),
        horizontal_line(96, 106),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(99, 109),
        horizontal_line(100, 109),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(102, 111),
        horizontal_line(102, 111),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(40, 97),
        horizontal_line(40, 98),
        horizontal_line(41, 99),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 124),
        horizontal_line(44, 102),
        horizontal_line(45, 102),
        horizontal_line(46, 103),
        horizontal_line(46, 104),
        horizontal_line(47, 105),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 128),
        horizontal_line(50, 108),
        horizontal_line(51, 109),
        horizontal_line(52, 109),
        horizontal_line(52, 110),
        horizontal_line(53, 111),
        horizontal_line(54, 112),
        horizontal_line(128, 131),
        horizontal_line(129, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 61),
    };

    constexpr const horizontal_line frame_604_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
        horizontal_line(139, 139),
        horizontal_line(140, 140),
        horizontal_line(141, 141),
    };

    constexpr const shape frame_604_shape_group_5_shapes[] = {
        shape(frame_604_shape_group_5_shape_0_horizontal_lines, 22, 4),
        shape(frame_604_shape_group_5_shape_1_horizontal_lines, 56, 7),
        shape(frame_604_shape_group_5_shape_2_horizontal_lines, 60, 4),
        shape(frame_604_shape_group_5_shape_3_horizontal_lines, 62, 7),
        shape(frame_604_shape_group_5_shape_4_horizontal_lines, 65, 4),
        shape(frame_604_shape_group_5_shape_5_horizontal_lines, 66, 7),
        shape(frame_604_shape_group_5_shape_6_horizontal_lines, 67, 4),
        shape(frame_604_shape_group_5_shape_7_horizontal_lines, 71, 7),
        shape(frame_604_shape_group_5_shape_8_horizontal_lines, 150, 6),
        shape(frame_604_shape_group_5_shape_9_horizontal_lines, 151, 7),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(54, 66),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 54),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(56, 80),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(1, 55),
        horizontal_line(1, 56),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(141, 155),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(3, 58),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(87, 99),
        horizontal_line(88, 100),
        horizontal_line(88, 100),
        horizontal_line(89, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 102),
        horizontal_line(91, 102),
        horizontal_line(91, 103),
        horizontal_line(92, 103),
        horizontal_line(93, 104),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(115, 121),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(119, 124),
        horizontal_line(120, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(125, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_604_shape_group_6_shape_21_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(121, 134),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_604_shape_group_6_shapes[] = {
        shape(frame_604_shape_group_6_shape_0_horizontal_lines, 25, 4),
        shape(frame_604_shape_group_6_shape_1_horizontal_lines, 28, 4),
        shape(frame_604_shape_group_6_shape_2_horizontal_lines, 31, 4),
        shape(frame_604_shape_group_6_shape_3_horizontal_lines, 39, 4),
        shape(frame_604_shape_group_6_shape_4_horizontal_lines, 52, 4),
        shape(frame_604_shape_group_6_shape_5_horizontal_lines, 54, 7),
        shape(frame_604_shape_group_6_shape_6_horizontal_lines, 60, 7),
        shape(frame_604_shape_group_6_shape_7_horizontal_lines, 63, 6),
        shape(frame_604_shape_group_6_shape_8_horizontal_lines, 65, 7),
        shape(frame_604_shape_group_6_shape_9_horizontal_lines, 66, 6),
        shape(frame_604_shape_group_6_shape_10_horizontal_lines, 67, 7),
        shape(frame_604_shape_group_6_shape_11_horizontal_lines, 69, 4),
        shape(frame_604_shape_group_6_shape_12_horizontal_lines, 70, 7),
        shape(frame_604_shape_group_6_shape_13_horizontal_lines, 107, 6),
        shape(frame_604_shape_group_6_shape_14_horizontal_lines, 109, 7),
        shape(frame_604_shape_group_6_shape_15_horizontal_lines, 110, 6),
        shape(frame_604_shape_group_6_shape_16_horizontal_lines, 120, 7),
        shape(frame_604_shape_group_6_shape_17_horizontal_lines, 123, 6),
        shape(frame_604_shape_group_6_shape_18_horizontal_lines, 126, 7),
        shape(frame_604_shape_group_6_shape_19_horizontal_lines, 131, 6),
        shape(frame_604_shape_group_6_shape_20_horizontal_lines, 134, 7),
        shape(frame_604_shape_group_6_shape_21_horizontal_lines, 140, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(55, 73),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(81, 84),
        horizontal_line(82, 89),
        horizontal_line(2, 57),
        horizontal_line(83, 97),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 116),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(88, 106),
        horizontal_line(89, 107),
        horizontal_line(0, 31),
        horizontal_line(90, 108),
        horizontal_line(91, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 110),
        horizontal_line(93, 110),
        horizontal_line(94, 111),
        horizontal_line(95, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 113),
        horizontal_line(97, 114),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(100, 116),
        horizontal_line(101, 117),
        horizontal_line(102, 118),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(107, 121),
        horizontal_line(107, 122),
        horizontal_line(108, 123),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(114, 127),
        horizontal_line(114, 128),
        horizontal_line(115, 129),
        horizontal_line(116, 129),
        horizontal_line(117, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(120, 132),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_604_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(122, 134),
        horizontal_line(123, 135),
        horizontal_line(124, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 137),
        horizontal_line(126, 138),
        horizontal_line(127, 138),
        horizontal_line(128, 139),
        horizontal_line(129, 140),
    };

    constexpr const shape frame_604_shape_group_7_shapes[] = {
        shape(frame_604_shape_group_7_shape_0_horizontal_lines, 65, 6),
        shape(frame_604_shape_group_7_shape_1_horizontal_lines, 67, 7),
        shape(frame_604_shape_group_7_shape_2_horizontal_lines, 71, 6),
        shape(frame_604_shape_group_7_shape_3_horizontal_lines, 76, 7),
        shape(frame_604_shape_group_7_shape_4_horizontal_lines, 86, 6),
        shape(frame_604_shape_group_7_shape_5_horizontal_lines, 151, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_604_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(82, 93),
    };

    constexpr const horizontal_line frame_604_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(60, 83),
        horizontal_line(60, 83),
        horizontal_line(61, 84),
        horizontal_line(62, 85),
        horizontal_line(63, 85),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(71, 92),
        horizontal_line(72, 93),
        horizontal_line(73, 94),
        horizontal_line(74, 94),
        horizontal_line(74, 95),
        horizontal_line(75, 96),
        horizontal_line(76, 96),
        horizontal_line(77, 97),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(79, 99),
        horizontal_line(80, 100),
        horizontal_line(81, 100),
        horizontal_line(81, 101),
        horizontal_line(82, 101),
        horizontal_line(83, 102),
        horizontal_line(84, 103),
        horizontal_line(85, 103),
        horizontal_line(85, 104),
        horizontal_line(86, 105),
        horizontal_line(87, 105),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(89, 107),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 125),
        horizontal_line(122, 125),
        horizontal_line(98, 114),
        horizontal_line(99, 115),
        horizontal_line(100, 116),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(103, 118),
        horizontal_line(103, 119),
        horizontal_line(104, 120),
        horizontal_line(105, 120),
        horizontal_line(106, 121),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(109, 123),
        horizontal_line(110, 124),
        horizontal_line(110, 125),
        horizontal_line(111, 125),
        horizontal_line(112, 126),
        horizontal_line(113, 127),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_604_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
    };

    constexpr const shape frame_604_shape_group_8_shapes[] = {
        shape(frame_604_shape_group_8_shape_0_horizontal_lines, 67, 6),
        shape(frame_604_shape_group_8_shape_1_horizontal_lines, 69, 7),
        shape(frame_604_shape_group_8_shape_2_horizontal_lines, 70, 6),
        shape(frame_604_shape_group_8_shape_3_horizontal_lines, 151, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(56, 80),
        horizontal_line(57, 81),
        horizontal_line(0, 1),
        horizontal_line(59, 82),
        horizontal_line(98, 108),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(99, 109),
        horizontal_line(100, 109),
        horizontal_line(63, 86),
        horizontal_line(64, 87),
        horizontal_line(65, 87),
        horizontal_line(66, 88),
        horizontal_line(67, 89),
        horizontal_line(67, 89),
        horizontal_line(68, 90),
        horizontal_line(69, 90),
        horizontal_line(70, 91),
        horizontal_line(71, 92),
        horizontal_line(105, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_604_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_604_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_604_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_604_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
    };

    constexpr const shape frame_604_shape_group_9_shapes[] = {
        shape(frame_604_shape_group_9_shape_0_horizontal_lines, 67, 6),
        shape(frame_604_shape_group_9_shape_1_horizontal_lines, 109, 6),
        shape(frame_604_shape_group_9_shape_2_horizontal_lines, 120, 6),
        shape(frame_604_shape_group_9_shape_3_horizontal_lines, 126, 6),
        shape(frame_604_shape_group_9_shape_4_horizontal_lines, 134, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(58, 81),
        horizontal_line(98, 98),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(100, 109),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(102, 110),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(105, 113),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_604_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const shape frame_604_shape_group_10_shapes[] = {
        shape(frame_604_shape_group_10_shape_0_horizontal_lines, 69, 6),
        shape(frame_604_shape_group_10_shape_1_horizontal_lines, 89, 6),
    };

    constexpr const horizontal_line frame_604_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const shape frame_604_shape_group_11_shapes[] = {
        shape(frame_604_shape_group_11_shape_0_horizontal_lines, 76, 6),
    };

    constexpr const shape_group frame_604_shape_groups[] = {
        shape_group(frame_604_shape_group_0_shapes),
        shape_group(frame_604_shape_group_1_shapes),
        shape_group(frame_604_shape_group_2_shapes),
        shape_group(frame_604_shape_group_3_shapes),
        shape_group(frame_604_shape_group_4_shapes),
        shape_group(frame_604_shape_group_5_shapes),
        shape_group(frame_604_shape_group_6_shapes),
        shape_group(frame_604_shape_group_7_shapes),
        shape_group(frame_604_shape_group_8_shapes),
        shape_group(frame_604_shape_group_9_shapes),
        shape_group(frame_604_shape_group_10_shapes),
        shape_group(frame_604_shape_group_11_shapes),
    };

    constexpr const frame frame_604_impl(frame_604_colors, frame_604_shape_groups);
} 

const frame& frame_604()
{
    return frame_604_impl;
}

namespace
{
    constexpr const bn::color frame_605_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_605_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(87, 92),
        horizontal_line(86, 93),
        horizontal_line(85, 95),
        horizontal_line(84, 96),
        horizontal_line(83, 97),
        horizontal_line(82, 98),
        horizontal_line(81, 99),
        horizontal_line(80, 101),
        horizontal_line(79, 102),
        horizontal_line(78, 103),
        horizontal_line(77, 104),
        horizontal_line(76, 105),
        horizontal_line(75, 107),
        horizontal_line(74, 108),
        horizontal_line(73, 109),
        horizontal_line(72, 110),
        horizontal_line(71, 112),
        horizontal_line(70, 111),
        horizontal_line(69, 110),
        horizontal_line(68, 109),
        horizontal_line(67, 108),
        horizontal_line(66, 106),
        horizontal_line(65, 105),
        horizontal_line(64, 104),
        horizontal_line(63, 103),
        horizontal_line(62, 101),
        horizontal_line(61, 100),
        horizontal_line(60, 99),
        horizontal_line(59, 98),
        horizontal_line(58, 96),
        horizontal_line(57, 95),
        horizontal_line(56, 94),
        horizontal_line(55, 93),
        horizontal_line(54, 91),
        horizontal_line(53, 90),
        horizontal_line(52, 89),
        horizontal_line(51, 88),
        horizontal_line(50, 86),
        horizontal_line(49, 85),
        horizontal_line(48, 84),
        horizontal_line(47, 83),
        horizontal_line(46, 81),
        horizontal_line(54, 80),
        horizontal_line(62, 79),
        horizontal_line(70, 78),
        horizontal_line(105, 121),
        horizontal_line(104, 119),
        horizontal_line(102, 117),
        horizontal_line(101, 115),
        horizontal_line(99, 113),
        horizontal_line(98, 111),
        horizontal_line(103, 109),
        horizontal_line(118, 130),
        horizontal_line(118, 119),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_605_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_605_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 130),
        horizontal_line(127, 132),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_605_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(128, 142),
    };

    constexpr const horizontal_line frame_605_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(141, 147),
        horizontal_line(138, 150),
        horizontal_line(135, 152),
        horizontal_line(132, 155),
        horizontal_line(130, 157),
        horizontal_line(131, 154),
        horizontal_line(131, 151),
        horizontal_line(131, 148),
        horizontal_line(132, 146),
        horizontal_line(132, 143),
        horizontal_line(133, 140),
        horizontal_line(133, 138),
        horizontal_line(133, 135),
        horizontal_line(159, 180),
        horizontal_line(157, 178),
        horizontal_line(155, 177),
        horizontal_line(153, 175),
        horizontal_line(151, 174),
        horizontal_line(149, 172),
        horizontal_line(147, 170),
        horizontal_line(145, 169),
        horizontal_line(143, 167),
        horizontal_line(141, 166),
        horizontal_line(139, 164),
        horizontal_line(137, 163),
        horizontal_line(137, 161),
        horizontal_line(138, 159),
        horizontal_line(138, 158),
        horizontal_line(139, 156),
        horizontal_line(139, 155),
        horizontal_line(140, 153),
        horizontal_line(141, 152),
    };

    constexpr const shape frame_605_shape_group_0_shapes[] = {
        shape(frame_605_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_605_shape_group_0_shape_1_horizontal_lines, 73, 4),
        shape(frame_605_shape_group_0_shape_2_horizontal_lines, 121, 1),
        shape(frame_605_shape_group_0_shape_3_horizontal_lines, 125, 5),
        shape(frame_605_shape_group_0_shape_4_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(18, 68),
        horizontal_line(17, 69),
        horizontal_line(16, 70),
        horizontal_line(15, 72),
        horizontal_line(14, 73),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(89, 90),
        horizontal_line(88, 91),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 127),
        horizontal_line(120, 128),
        horizontal_line(119, 129),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(111, 128),
        horizontal_line(110, 126),
        horizontal_line(108, 124),
        horizontal_line(107, 122),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(78, 104),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(130, 137),
        horizontal_line(127, 137),
        horizontal_line(123, 133),
        horizontal_line(120, 128),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(128, 132),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(144, 155),
        horizontal_line(144, 155),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(129, 144),
        horizontal_line(129, 140),
        horizontal_line(129, 137),
        horizontal_line(130, 134),
        horizontal_line(130, 131),
        horizontal_line(158, 158),
        horizontal_line(155, 162),
        horizontal_line(152, 166),
    };

    constexpr const horizontal_line frame_605_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(169, 176),
        horizontal_line(167, 181),
        horizontal_line(165, 185),
        horizontal_line(163, 183),
        horizontal_line(161, 181),
        horizontal_line(205, 223),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_605_shape_group_1_shapes[] = {
        shape(frame_605_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_605_shape_group_1_shape_1_horizontal_lines, 16, 1),
        shape(frame_605_shape_group_1_shape_2_horizontal_lines, 18, 5),
        shape(frame_605_shape_group_1_shape_3_horizontal_lines, 50, 1),
        shape(frame_605_shape_group_1_shape_4_horizontal_lines, 63, 5),
        shape(frame_605_shape_group_1_shape_5_horizontal_lines, 64, 1),
        shape(frame_605_shape_group_1_shape_6_horizontal_lines, 70, 4),
        shape(frame_605_shape_group_1_shape_7_horizontal_lines, 123, 5),
        shape(frame_605_shape_group_1_shape_8_horizontal_lines, 125, 4),
        shape(frame_605_shape_group_1_shape_9_horizontal_lines, 127, 5),
        shape(frame_605_shape_group_1_shape_10_horizontal_lines, 135, 1),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(75, 75),
        horizontal_line(74, 76),
        horizontal_line(73, 77),
        horizontal_line(72, 79),
        horizontal_line(71, 80),
        horizontal_line(70, 82),
        horizontal_line(69, 83),
        horizontal_line(68, 84),
        horizontal_line(67, 86),
        horizontal_line(66, 87),
        horizontal_line(65, 89),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(112, 112),
        horizontal_line(111, 113),
        horizontal_line(110, 114),
        horizontal_line(109, 115),
        horizontal_line(107, 116),
        horizontal_line(106, 117),
        horizontal_line(105, 118),
        horizontal_line(104, 119),
        horizontal_line(102, 119),
        horizontal_line(101, 120),
        horizontal_line(100, 121),
        horizontal_line(99, 122),
        horizontal_line(97, 123),
        horizontal_line(96, 124),
        horizontal_line(95, 125),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(1, 52),
        horizontal_line(7, 51),
        horizontal_line(13, 50),
        horizontal_line(20, 49),
        horizontal_line(26, 48),
        horizontal_line(33, 47),
        horizontal_line(39, 46),
        horizontal_line(82, 110),
        horizontal_line(81, 109),
        horizontal_line(80, 107),
        horizontal_line(79, 106),
        horizontal_line(122, 135),
        horizontal_line(82, 103),
        horizontal_line(86, 101),
        horizontal_line(90, 100),
        horizontal_line(94, 98),
        horizontal_line(112, 119),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 142),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 141),
        horizontal_line(140, 145),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(147, 150),
        horizontal_line(148, 150),
        horizontal_line(148, 151),
        horizontal_line(148, 152),
        horizontal_line(149, 152),
        horizontal_line(149, 153),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 161),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(146, 155),
        horizontal_line(148, 155),
        horizontal_line(151, 156),
        horizontal_line(153, 156),
        horizontal_line(156, 156),
        horizontal_line(169, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(149, 170),
        horizontal_line(147, 168),
        horizontal_line(144, 166),
        horizontal_line(141, 164),
        horizontal_line(139, 162),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_605_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(134, 158),
        horizontal_line(134, 156),
        horizontal_line(134, 154),
        horizontal_line(135, 152),
        horizontal_line(135, 150),
        horizontal_line(135, 148),
        horizontal_line(136, 146),
        horizontal_line(136, 144),
        horizontal_line(137, 142),
        horizontal_line(137, 140),
        horizontal_line(138, 138),
        horizontal_line(164, 192),
        horizontal_line(162, 191),
        horizontal_line(160, 190),
        horizontal_line(159, 189),
        horizontal_line(157, 188),
        horizontal_line(156, 187),
        horizontal_line(154, 186),
        horizontal_line(153, 185),
    };

    constexpr const shape frame_605_shape_group_2_shapes[] = {
        shape(frame_605_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_605_shape_group_2_shape_1_horizontal_lines, 5, 5),
        shape(frame_605_shape_group_2_shape_2_horizontal_lines, 70, 4),
        shape(frame_605_shape_group_2_shape_3_horizontal_lines, 135, 5),
        shape(frame_605_shape_group_2_shape_4_horizontal_lines, 140, 1),
        shape(frame_605_shape_group_2_shape_5_horizontal_lines, 141, 5),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
        horizontal_line(146, 208),
        horizontal_line(149, 211),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(64, 88),
        horizontal_line(63, 87),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(93, 93),
        horizontal_line(94, 94),
        horizontal_line(191, 239),
        horizontal_line(97, 97),
        horizontal_line(98, 98),
        horizontal_line(99, 99),
        horizontal_line(100, 101),
        horizontal_line(102, 102),
        horizontal_line(103, 103),
        horizontal_line(104, 105),
        horizontal_line(105, 106),
        horizontal_line(106, 107),
        horizontal_line(108, 109),
        horizontal_line(109, 110),
        horizontal_line(110, 112),
        horizontal_line(111, 113),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(121, 128),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(124, 132),
        horizontal_line(125, 133),
        horizontal_line(126, 135),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(94, 124),
        horizontal_line(92, 122),
        horizontal_line(91, 121),
        horizontal_line(90, 119),
        horizontal_line(89, 118),
        horizontal_line(87, 116),
        horizontal_line(86, 115),
        horizontal_line(85, 113),
        horizontal_line(84, 112),
        horizontal_line(129, 133),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 154),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(120, 132),
        horizontal_line(118, 129),
        horizontal_line(116, 126),
        horizontal_line(114, 122),
        horizontal_line(129, 136),
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(144, 163),
        horizontal_line(145, 164),
        horizontal_line(146, 166),
        horizontal_line(147, 167),
        horizontal_line(148, 168),
        horizontal_line(149, 170),
        horizontal_line(143, 144),
        horizontal_line(151, 172),
        horizontal_line(144, 145),
        horizontal_line(144, 146),
        horizontal_line(145, 146),
        horizontal_line(145, 147),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(147, 149),
        horizontal_line(158, 183),
        horizontal_line(159, 185),
        horizontal_line(160, 186),
        horizontal_line(160, 187),
        horizontal_line(161, 189),
        horizontal_line(162, 190),
        horizontal_line(163, 191),
        horizontal_line(164, 193),
        horizontal_line(165, 194),
        horizontal_line(166, 196),
        horizontal_line(167, 197),
        horizontal_line(167, 198),
        horizontal_line(168, 200),
        horizontal_line(169, 201),
        horizontal_line(170, 202),
        horizontal_line(171, 204),
        horizontal_line(172, 205),
        horizontal_line(173, 206),
        horizontal_line(174, 208),
        horizontal_line(175, 209),
        horizontal_line(175, 210),
        horizontal_line(176, 212),
        horizontal_line(177, 213),
        horizontal_line(178, 214),
        horizontal_line(179, 216),
        horizontal_line(180, 217),
        horizontal_line(181, 219),
        horizontal_line(182, 220),
        horizontal_line(183, 221),
        horizontal_line(183, 223),
        horizontal_line(184, 224),
        horizontal_line(185, 225),
        horizontal_line(186, 227),
        horizontal_line(187, 228),
        horizontal_line(188, 229),
        horizontal_line(189, 231),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(193, 238),
        horizontal_line(194, 239),
        horizontal_line(167, 177),
        horizontal_line(167, 178),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(169, 180),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(172, 183),
        horizontal_line(177, 183),
        horizontal_line(182, 184),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(184, 196),
        horizontal_line(136, 160),
        horizontal_line(181, 204),
        horizontal_line(179, 203),
        horizontal_line(178, 202),
        horizontal_line(176, 201),
        horizontal_line(175, 200),
        horizontal_line(173, 199),
        horizontal_line(171, 198),
        horizontal_line(170, 197),
        horizontal_line(168, 196),
        horizontal_line(167, 194),
        horizontal_line(165, 193),
    };

    constexpr const horizontal_line frame_605_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
    };

    constexpr const shape frame_605_shape_group_3_shapes[] = {
        shape(frame_605_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_605_shape_group_3_shape_1_horizontal_lines, 16, 5),
        shape(frame_605_shape_group_3_shape_2_horizontal_lines, 18, 4),
        shape(frame_605_shape_group_3_shape_3_horizontal_lines, 35, 5),
        shape(frame_605_shape_group_3_shape_4_horizontal_lines, 43, 4),
        shape(frame_605_shape_group_3_shape_5_horizontal_lines, 50, 5),
        shape(frame_605_shape_group_3_shape_6_horizontal_lines, 63, 4),
        shape(frame_605_shape_group_3_shape_7_horizontal_lines, 64, 5),
        shape(frame_605_shape_group_3_shape_8_horizontal_lines, 70, 4),
        shape(frame_605_shape_group_3_shape_9_horizontal_lines, 138, 5),
        shape(frame_605_shape_group_3_shape_10_horizontal_lines, 152, 7),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(114, 117),
        horizontal_line(115, 118),
        horizontal_line(116, 120),
        horizontal_line(117, 121),
        horizontal_line(118, 122),
        horizontal_line(119, 124),
        horizontal_line(120, 125),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(128, 137),
        horizontal_line(128, 139),
        horizontal_line(129, 140),
        horizontal_line(130, 141),
        horizontal_line(131, 143),
        horizontal_line(132, 144),
        horizontal_line(133, 145),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(135, 148),
        horizontal_line(136, 149),
        horizontal_line(136, 151),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(139, 155),
        horizontal_line(140, 156),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(150, 171),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(152, 174),
        horizontal_line(152, 175),
        horizontal_line(153, 177),
        horizontal_line(154, 178),
        horizontal_line(155, 179),
        horizontal_line(156, 181),
        horizontal_line(157, 182),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(190, 232),
        horizontal_line(191, 233),
        horizontal_line(191, 235),
        horizontal_line(192, 236),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(182, 206),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(138, 140),
    };

    constexpr const shape frame_605_shape_group_4_shapes[] = {
        shape(frame_605_shape_group_4_shape_0_horizontal_lines, 5, 4),
        shape(frame_605_shape_group_4_shape_1_horizontal_lines, 21, 4),
        shape(frame_605_shape_group_4_shape_2_horizontal_lines, 35, 4),
        shape(frame_605_shape_group_4_shape_3_horizontal_lines, 50, 4),
        shape(frame_605_shape_group_4_shape_4_horizontal_lines, 58, 5),
        shape(frame_605_shape_group_4_shape_5_horizontal_lines, 59, 4),
        shape(frame_605_shape_group_4_shape_6_horizontal_lines, 63, 7),
        shape(frame_605_shape_group_4_shape_7_horizontal_lines, 64, 4),
        shape(frame_605_shape_group_4_shape_8_horizontal_lines, 67, 5),
        shape(frame_605_shape_group_4_shape_9_horizontal_lines, 68, 4),
        shape(frame_605_shape_group_4_shape_10_horizontal_lines, 70, 7),
        shape(frame_605_shape_group_4_shape_11_horizontal_lines, 76, 4),
        shape(frame_605_shape_group_4_shape_12_horizontal_lines, 77, 7),
        shape(frame_605_shape_group_4_shape_13_horizontal_lines, 78, 4),
        shape(frame_605_shape_group_4_shape_14_horizontal_lines, 85, 7),
        shape(frame_605_shape_group_4_shape_15_horizontal_lines, 121, 4),
        shape(frame_605_shape_group_4_shape_16_horizontal_lines, 125, 7),
        shape(frame_605_shape_group_4_shape_17_horizontal_lines, 127, 4),
        shape(frame_605_shape_group_4_shape_18_horizontal_lines, 132, 7),
        shape(frame_605_shape_group_4_shape_19_horizontal_lines, 135, 4),
        shape(frame_605_shape_group_4_shape_20_horizontal_lines, 140, 5),
        shape(frame_605_shape_group_4_shape_21_horizontal_lines, 141, 4),
        shape(frame_605_shape_group_4_shape_22_horizontal_lines, 142, 7),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 25),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(49, 77),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(143, 160),
        horizontal_line(144, 162),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(82, 96),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(84, 98),
        horizontal_line(84, 98),
        horizontal_line(85, 99),
        horizontal_line(0, 57),
        horizontal_line(86, 100),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(91, 104),
        horizontal_line(92, 104),
        horizontal_line(93, 105),
        horizontal_line(93, 105),
        horizontal_line(94, 106),
        horizontal_line(94, 106),
        horizontal_line(95, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 108),
        horizontal_line(97, 108),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(102, 112),
        horizontal_line(103, 112),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 121),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(116, 123),
        horizontal_line(117, 124),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(121, 126),
        horizontal_line(121, 127),
        horizontal_line(122, 127),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_605_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(29, 91),
        horizontal_line(127, 131),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(97, 114),
        horizontal_line(98, 115),
        horizontal_line(99, 116),
        horizontal_line(99, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 118),
        horizontal_line(101, 119),
        horizontal_line(102, 120),
    };

    constexpr const shape frame_605_shape_group_5_shapes[] = {
        shape(frame_605_shape_group_5_shape_0_horizontal_lines, 16, 4),
        shape(frame_605_shape_group_5_shape_1_horizontal_lines, 52, 7),
        shape(frame_605_shape_group_5_shape_2_horizontal_lines, 58, 4),
        shape(frame_605_shape_group_5_shape_3_horizontal_lines, 59, 7),
        shape(frame_605_shape_group_5_shape_4_horizontal_lines, 63, 6),
        shape(frame_605_shape_group_5_shape_5_horizontal_lines, 64, 7),
        shape(frame_605_shape_group_5_shape_6_horizontal_lines, 67, 4),
        shape(frame_605_shape_group_5_shape_7_horizontal_lines, 70, 7),
        shape(frame_605_shape_group_5_shape_8_horizontal_lines, 140, 4),
        shape(frame_605_shape_group_5_shape_9_horizontal_lines, 141, 7),
    };

    constexpr const horizontal_line frame_605_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_605_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(46, 53),
        horizontal_line(47, 61),
        horizontal_line(48, 69),
    };

    constexpr const horizontal_line frame_605_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(78, 81),
        horizontal_line(79, 85),
        horizontal_line(79, 89),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(86, 99),
        horizontal_line(111, 114),
        horizontal_line(87, 100),
        horizontal_line(88, 101),
        horizontal_line(88, 101),
        horizontal_line(89, 102),
        horizontal_line(89, 102),
        horizontal_line(90, 103),
        horizontal_line(91, 103),
        horizontal_line(114, 116),
        horizontal_line(114, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(75, 85),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(76, 87),
        horizontal_line(77, 88),
        horizontal_line(125, 125),
        horizontal_line(78, 90),
        horizontal_line(79, 90),
        horizontal_line(114, 121),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 123),
        horizontal_line(82, 94),
        horizontal_line(82, 95),
        horizontal_line(118, 124),
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 126),
        horizontal_line(86, 99),
        horizontal_line(86, 100),
        horizontal_line(87, 101),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 130),
        horizontal_line(28, 90),
        horizontal_line(126, 131),
        horizontal_line(92, 107),
        horizontal_line(92, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 109),
        horizontal_line(94, 110),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(96, 112),
        horizontal_line(96, 113),
        horizontal_line(97, 114),
    };

    constexpr const horizontal_line frame_605_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
    };

    constexpr const shape frame_605_shape_group_6_shapes[] = {
        shape(frame_605_shape_group_6_shape_0_horizontal_lines, 58, 7),
        shape(frame_605_shape_group_6_shape_1_horizontal_lines, 60, 6),
        shape(frame_605_shape_group_6_shape_2_horizontal_lines, 64, 7),
        shape(frame_605_shape_group_6_shape_3_horizontal_lines, 152, 6),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(49, 77),
        horizontal_line(50, 78),
        horizontal_line(51, 78),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(80, 93),
        horizontal_line(81, 96),
        horizontal_line(81, 96),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(54, 81),
        horizontal_line(55, 82),
        horizontal_line(55, 82),
        horizontal_line(56, 83),
        horizontal_line(57, 83),
        horizontal_line(58, 84),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(111, 114),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(59, 85),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 70),
        horizontal_line(64, 71),
        horizontal_line(64, 72),
        horizontal_line(65, 72),
        horizontal_line(65, 73),
        horizontal_line(66, 74),
        horizontal_line(67, 75),
        horizontal_line(67, 75),
        horizontal_line(68, 76),
        horizontal_line(68, 77),
        horizontal_line(69, 78),
        horizontal_line(69, 78),
        horizontal_line(70, 79),
        horizontal_line(71, 80),
        horizontal_line(71, 81),
        horizontal_line(72, 81),
        horizontal_line(72, 82),
        horizontal_line(73, 83),
        horizontal_line(74, 84),
        horizontal_line(74, 84),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(75, 86),
        horizontal_line(76, 87),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(78, 89),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(79, 91),
        horizontal_line(80, 92),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(83, 96),
        horizontal_line(83, 96),
        horizontal_line(84, 97),
        horizontal_line(85, 98),
        horizontal_line(85, 99),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(88, 102),
        horizontal_line(88, 102),
        horizontal_line(89, 103),
        horizontal_line(89, 104),
        horizontal_line(90, 105),
        horizontal_line(126, 130),
        horizontal_line(91, 106),
    };

    constexpr const horizontal_line frame_605_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(115, 132),
        horizontal_line(116, 133),
        horizontal_line(117, 133),
        horizontal_line(118, 134),
        horizontal_line(118, 135),
        horizontal_line(119, 135),
        horizontal_line(120, 136),
        horizontal_line(121, 137),
    };

    constexpr const shape frame_605_shape_group_7_shapes[] = {
        shape(frame_605_shape_group_7_shape_0_horizontal_lines, 64, 6),
        shape(frame_605_shape_group_7_shape_1_horizontal_lines, 67, 7),
        shape(frame_605_shape_group_7_shape_2_horizontal_lines, 70, 6),
        shape(frame_605_shape_group_7_shape_3_horizontal_lines, 76, 7),
        shape(frame_605_shape_group_7_shape_4_horizontal_lines, 77, 6),
        shape(frame_605_shape_group_7_shape_5_horizontal_lines, 78, 7),
        shape(frame_605_shape_group_7_shape_6_horizontal_lines, 113, 6),
        shape(frame_605_shape_group_7_shape_7_horizontal_lines, 114, 7),
        shape(frame_605_shape_group_7_shape_8_horizontal_lines, 116, 6),
        shape(frame_605_shape_group_7_shape_9_horizontal_lines, 118, 7),
        shape(frame_605_shape_group_7_shape_10_horizontal_lines, 119, 6),
        shape(frame_605_shape_group_7_shape_11_horizontal_lines, 121, 7),
        shape(frame_605_shape_group_7_shape_12_horizontal_lines, 125, 6),
        shape(frame_605_shape_group_7_shape_13_horizontal_lines, 127, 7),
        shape(frame_605_shape_group_7_shape_14_horizontal_lines, 132, 6),
        shape(frame_605_shape_group_7_shape_15_horizontal_lines, 135, 7),
        shape(frame_605_shape_group_7_shape_16_horizontal_lines, 142, 6),
    };

    constexpr const horizontal_line frame_605_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(52, 79),
        horizontal_line(52, 80),
        horizontal_line(53, 80),
        horizontal_line(97, 108),
        horizontal_line(98, 108),
        horizontal_line(98, 108),
        horizontal_line(99, 109),
        horizontal_line(99, 109),
        horizontal_line(100, 109),
        horizontal_line(58, 85),
        horizontal_line(101, 110),
        horizontal_line(60, 86),
        horizontal_line(61, 87),
        horizontal_line(61, 87),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_605_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_605_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(65, 90),
        horizontal_line(66, 91),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(68, 93),
        horizontal_line(69, 93),
        horizontal_line(70, 94),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(86, 108),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(88, 110),
        horizontal_line(89, 110),
        horizontal_line(0, 15),
        horizontal_line(91, 112),
        horizontal_line(91, 112),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(95, 115),
        horizontal_line(96, 116),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(100, 120),
        horizontal_line(101, 120),
        horizontal_line(102, 121),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_605_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(90, 105),
    };

    constexpr const horizontal_line frame_605_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(108, 126),
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(110, 128),
        horizontal_line(111, 128),
        horizontal_line(112, 129),
        horizontal_line(112, 130),
        horizontal_line(113, 130),
        horizontal_line(114, 131),
        horizontal_line(115, 132),
    };

    constexpr const shape frame_605_shape_group_8_shapes[] = {
        shape(frame_605_shape_group_8_shape_0_horizontal_lines, 67, 6),
        shape(frame_605_shape_group_8_shape_1_horizontal_lines, 82, 7),
        shape(frame_605_shape_group_8_shape_2_horizontal_lines, 85, 6),
        shape(frame_605_shape_group_8_shape_3_horizontal_lines, 140, 7),
        shape(frame_605_shape_group_8_shape_4_horizontal_lines, 141, 6),
    };

    constexpr const horizontal_line frame_605_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(97, 102),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(100, 110),
        horizontal_line(115, 117),
        horizontal_line(101, 110),
        horizontal_line(102, 111),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(63, 88),
        horizontal_line(64, 89),
        horizontal_line(64, 90),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(70, 95),
        horizontal_line(71, 95),
        horizontal_line(72, 96),
        horizontal_line(73, 97),
        horizontal_line(73, 97),
        horizontal_line(74, 98),
        horizontal_line(75, 98),
        horizontal_line(76, 99),
        horizontal_line(76, 100),
        horizontal_line(77, 100),
        horizontal_line(78, 101),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(80, 103),
        horizontal_line(81, 103),
        horizontal_line(82, 104),
        horizontal_line(82, 105),
        horizontal_line(83, 105),
        horizontal_line(84, 106),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(118, 123),
        horizontal_line(87, 108),
        horizontal_line(88, 109),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(90, 111),
        horizontal_line(121, 125),
        horizontal_line(122, 125),
        horizontal_line(92, 113),
        horizontal_line(93, 113),
        horizontal_line(94, 114),
        horizontal_line(94, 115),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(97, 117),
        horizontal_line(97, 117),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(100, 119),
        horizontal_line(127, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
        horizontal_line(104, 123),
        horizontal_line(105, 123),
        horizontal_line(106, 124),
        horizontal_line(0, 27),
        horizontal_line(107, 125),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
    };

    constexpr const shape frame_605_shape_group_9_shapes[] = {
        shape(frame_605_shape_group_9_shape_0_horizontal_lines, 68, 6),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(119, 123),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_605_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(106, 125),
        horizontal_line(132, 133),
    };

    constexpr const shape frame_605_shape_group_10_shapes[] = {
        shape(frame_605_shape_group_10_shape_0_horizontal_lines, 76, 6),
        shape(frame_605_shape_group_10_shape_1_horizontal_lines, 78, 6),
        shape(frame_605_shape_group_10_shape_2_horizontal_lines, 92, 6),
        shape(frame_605_shape_group_10_shape_3_horizontal_lines, 114, 6),
        shape(frame_605_shape_group_10_shape_4_horizontal_lines, 118, 6),
        shape(frame_605_shape_group_10_shape_5_horizontal_lines, 121, 6),
        shape(frame_605_shape_group_10_shape_6_horizontal_lines, 127, 6),
        shape(frame_605_shape_group_10_shape_7_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_605_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_605_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_605_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const shape frame_605_shape_group_11_shapes[] = {
        shape(frame_605_shape_group_11_shape_0_horizontal_lines, 82, 6),
        shape(frame_605_shape_group_11_shape_1_horizontal_lines, 92, 6),
        shape(frame_605_shape_group_11_shape_2_horizontal_lines, 140, 6),
    };

    constexpr const shape_group frame_605_shape_groups[] = {
        shape_group(frame_605_shape_group_0_shapes),
        shape_group(frame_605_shape_group_1_shapes),
        shape_group(frame_605_shape_group_2_shapes),
        shape_group(frame_605_shape_group_3_shapes),
        shape_group(frame_605_shape_group_4_shapes),
        shape_group(frame_605_shape_group_5_shapes),
        shape_group(frame_605_shape_group_6_shapes),
        shape_group(frame_605_shape_group_7_shapes),
        shape_group(frame_605_shape_group_8_shapes),
        shape_group(frame_605_shape_group_9_shapes),
        shape_group(frame_605_shape_group_10_shapes),
        shape_group(frame_605_shape_group_11_shapes),
    };

    constexpr const frame frame_605_impl(frame_605_colors, frame_605_shape_groups);
} 

const frame& frame_605()
{
    return frame_605_impl;
}

namespace
{
    constexpr const bn::color frame_606_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_606_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(1, 44),
        horizontal_line(7, 43),
        horizontal_line(13, 42),
        horizontal_line(20, 41),
        horizontal_line(26, 40),
        horizontal_line(32, 39),
        horizontal_line(83, 113),
        horizontal_line(82, 111),
        horizontal_line(81, 109),
        horizontal_line(79, 108),
        horizontal_line(78, 106),
        horizontal_line(77, 105),
        horizontal_line(76, 103),
        horizontal_line(75, 102),
        horizontal_line(80, 100),
        horizontal_line(86, 99),
        horizontal_line(91, 97),
        horizontal_line(113, 122),
        horizontal_line(111, 119),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_606_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(132, 135),
        horizontal_line(130, 135),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(129, 133),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_606_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(130, 136),
        horizontal_line(128, 138),
        horizontal_line(128, 141),
        horizontal_line(129, 143),
        horizontal_line(129, 145),
        horizontal_line(129, 141),
        horizontal_line(130, 138),
        horizontal_line(130, 135),
        horizontal_line(130, 132),
        horizontal_line(160, 160),
        horizontal_line(157, 163),
        horizontal_line(154, 166),
        horizontal_line(152, 169),
        horizontal_line(149, 172),
        horizontal_line(146, 169),
        horizontal_line(144, 167),
        horizontal_line(141, 165),
        horizontal_line(138, 163),
        horizontal_line(136, 161),
        horizontal_line(134, 159),
        horizontal_line(135, 157),
        horizontal_line(135, 155),
        horizontal_line(136, 153),
        horizontal_line(136, 151),
        horizontal_line(136, 149),
        horizontal_line(137, 147),
        horizontal_line(137, 145),
        horizontal_line(137, 143),
        horizontal_line(138, 141),
        horizontal_line(138, 139),
        horizontal_line(167, 201),
        horizontal_line(165, 199),
        horizontal_line(163, 198),
        horizontal_line(162, 197),
        horizontal_line(160, 196),
        horizontal_line(159, 195),
    };

    constexpr const shape frame_606_shape_group_0_shapes[] = {
        shape(frame_606_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_606_shape_group_0_shape_1_horizontal_lines, 69, 4),
        shape(frame_606_shape_group_0_shape_2_horizontal_lines, 123, 5),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(111, 111),
        horizontal_line(110, 112),
        horizontal_line(109, 113),
        horizontal_line(108, 114),
        horizontal_line(106, 115),
        horizontal_line(105, 116),
        horizontal_line(104, 117),
        horizontal_line(103, 118),
        horizontal_line(101, 119),
        horizontal_line(100, 120),
        horizontal_line(99, 120),
        horizontal_line(98, 121),
        horizontal_line(97, 122),
        horizontal_line(95, 123),
        horizontal_line(94, 124),
        horizontal_line(93, 125),
        horizontal_line(92, 123),
        horizontal_line(90, 122),
        horizontal_line(89, 120),
        horizontal_line(88, 119),
        horizontal_line(87, 117),
        horizontal_line(86, 116),
        horizontal_line(84, 114),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(133, 149),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(130, 133),
        horizontal_line(128, 133),
        horizontal_line(126, 134),
        horizontal_line(124, 134),
        horizontal_line(122, 135),
        horizontal_line(121, 133),
        horizontal_line(119, 130),
        horizontal_line(117, 127),
        horizontal_line(115, 125),
        horizontal_line(135, 138),
        horizontal_line(129, 138),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 142),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(142, 145),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 157),
        horizontal_line(147, 157),
        horizontal_line(149, 157),
        horizontal_line(152, 158),
        horizontal_line(155, 158),
        horizontal_line(158, 158),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(174, 184),
        horizontal_line(177, 185),
        horizontal_line(181, 185),
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(186, 196),
        horizontal_line(184, 205),
        horizontal_line(183, 213),
        horizontal_line(181, 211),
        horizontal_line(179, 210),
        horizontal_line(178, 209),
        horizontal_line(176, 208),
        horizontal_line(175, 207),
        horizontal_line(173, 205),
        horizontal_line(171, 204),
        horizontal_line(170, 203),
        horizontal_line(168, 202),
    };

    constexpr const horizontal_line frame_606_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(138, 166),
        horizontal_line(138, 164),
        horizontal_line(138, 162),
        horizontal_line(139, 161),
        horizontal_line(139, 159),
        horizontal_line(140, 158),
    };

    constexpr const shape frame_606_shape_group_1_shapes[] = {
        shape(frame_606_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_606_shape_group_1_shape_1_horizontal_lines, 55, 4),
        shape(frame_606_shape_group_1_shape_2_horizontal_lines, 56, 5),
        shape(frame_606_shape_group_1_shape_3_horizontal_lines, 69, 4),
        shape(frame_606_shape_group_1_shape_4_horizontal_lines, 141, 5),
        shape(frame_606_shape_group_1_shape_5_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(85, 86),
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(90, 90),
        horizontal_line(91, 92),
        horizontal_line(93, 93),
        horizontal_line(94, 94),
        horizontal_line(95, 96),
        horizontal_line(96, 97),
        horizontal_line(97, 99),
        horizontal_line(99, 100),
        horizontal_line(100, 101),
        horizontal_line(101, 103),
        horizontal_line(102, 104),
        horizontal_line(103, 106),
        horizontal_line(104, 107),
        horizontal_line(106, 108),
        horizontal_line(107, 110),
        horizontal_line(108, 111),
        horizontal_line(109, 113),
        horizontal_line(110, 114),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(113, 118),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 122),
        horizontal_line(117, 124),
        horizontal_line(118, 125),
        horizontal_line(119, 127),
        horizontal_line(120, 128),
        horizontal_line(121, 129),
        horizontal_line(121, 131),
        horizontal_line(122, 132),
        horizontal_line(123, 134),
        horizontal_line(124, 135),
        horizontal_line(125, 136),
        horizontal_line(126, 138),
        horizontal_line(127, 139),
        horizontal_line(128, 141),
        horizontal_line(129, 142),
        horizontal_line(130, 143),
        horizontal_line(130, 145),
        horizontal_line(131, 146),
        horizontal_line(132, 148),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(39, 82),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(134, 150),
        horizontal_line(135, 152),
        horizontal_line(136, 153),
        horizontal_line(137, 155),
        horizontal_line(138, 156),
        horizontal_line(139, 157),
        horizontal_line(139, 159),
        horizontal_line(140, 160),
        horizontal_line(141, 162),
        horizontal_line(142, 163),
        horizontal_line(143, 165),
        horizontal_line(144, 166),
        horizontal_line(140, 140),
        horizontal_line(146, 169),
        horizontal_line(147, 170),
        horizontal_line(148, 172),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(142, 145),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 168),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 171),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 174),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_606_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(154, 178),
        horizontal_line(152, 177),
        horizontal_line(150, 175),
        horizontal_line(148, 174),
        horizontal_line(146, 172),
        horizontal_line(144, 170),
        horizontal_line(142, 169),
        horizontal_line(140, 167),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_606_shape_group_2_shapes[] = {
        shape(frame_606_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_606_shape_group_2_shape_1_horizontal_lines, 10, 1),
        shape(frame_606_shape_group_2_shape_2_horizontal_lines, 12, 4),
        shape(frame_606_shape_group_2_shape_3_horizontal_lines, 32, 5),
        shape(frame_606_shape_group_2_shape_4_horizontal_lines, 33, 4),
        shape(frame_606_shape_group_2_shape_5_horizontal_lines, 55, 1),
        shape(frame_606_shape_group_2_shape_6_horizontal_lines, 56, 4),
        shape(frame_606_shape_group_2_shape_7_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(83, 88),
        horizontal_line(82, 89),
        horizontal_line(81, 90),
        horizontal_line(80, 92),
        horizontal_line(79, 93),
        horizontal_line(78, 94),
        horizontal_line(77, 95),
        horizontal_line(76, 96),
        horizontal_line(75, 98),
        horizontal_line(74, 99),
        horizontal_line(73, 100),
        horizontal_line(72, 101),
        horizontal_line(71, 102),
        horizontal_line(70, 103),
        horizontal_line(69, 105),
        horizontal_line(68, 106),
        horizontal_line(67, 107),
        horizontal_line(66, 108),
        horizontal_line(65, 109),
        horizontal_line(64, 111),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(61, 109),
        horizontal_line(60, 108),
        horizontal_line(59, 107),
        horizontal_line(58, 105),
        horizontal_line(57, 104),
        horizontal_line(56, 103),
        horizontal_line(55, 102),
        horizontal_line(54, 100),
        horizontal_line(53, 99),
        horizontal_line(52, 98),
        horizontal_line(51, 97),
        horizontal_line(50, 96),
        horizontal_line(49, 94),
        horizontal_line(48, 93),
        horizontal_line(47, 92),
        horizontal_line(46, 91),
        horizontal_line(45, 89),
        horizontal_line(44, 88),
        horizontal_line(43, 87),
        horizontal_line(42, 86),
        horizontal_line(41, 85),
        horizontal_line(40, 83),
        horizontal_line(114, 131),
        horizontal_line(44, 81),
        horizontal_line(49, 80),
        horizontal_line(54, 78),
        horizontal_line(59, 77),
        horizontal_line(64, 76),
        horizontal_line(69, 75),
        horizontal_line(103, 120),
        horizontal_line(101, 118),
        horizontal_line(100, 116),
        horizontal_line(98, 114),
        horizontal_line(97, 112),
        horizontal_line(100, 110),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(145, 167),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(118, 134),
        horizontal_line(118, 119),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(149, 173),
        horizontal_line(143, 143),
        horizontal_line(150, 176),
        horizontal_line(144, 144),
        horizontal_line(145, 145),
        horizontal_line(145, 145),
        horizontal_line(145, 146),
        horizontal_line(146, 147),
        horizontal_line(146, 147),
        horizontal_line(147, 148),
        horizontal_line(147, 149),
        horizontal_line(148, 149),
        horizontal_line(148, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(162, 194),
        horizontal_line(163, 195),
        horizontal_line(164, 197),
        horizontal_line(165, 198),
        horizontal_line(166, 200),
        horizontal_line(167, 201),
        horizontal_line(167, 202),
        horizontal_line(168, 204),
        horizontal_line(169, 205),
        horizontal_line(170, 207),
        horizontal_line(171, 208),
        horizontal_line(172, 209),
        horizontal_line(173, 211),
        horizontal_line(174, 212),
        horizontal_line(175, 214),
        horizontal_line(176, 215),
        horizontal_line(176, 216),
        horizontal_line(177, 218),
        horizontal_line(178, 219),
        horizontal_line(179, 221),
        horizontal_line(180, 222),
        horizontal_line(181, 223),
        horizontal_line(182, 225),
        horizontal_line(183, 226),
        horizontal_line(184, 228),
        horizontal_line(185, 229),
        horizontal_line(186, 230),
        horizontal_line(186, 232),
        horizontal_line(187, 233),
        horizontal_line(188, 235),
        horizontal_line(189, 236),
        horizontal_line(190, 238),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(131, 159),
        horizontal_line(131, 156),
        horizontal_line(132, 153),
        horizontal_line(132, 151),
        horizontal_line(132, 148),
        horizontal_line(133, 145),
        horizontal_line(133, 143),
        horizontal_line(133, 140),
        horizontal_line(134, 137),
        horizontal_line(134, 135),
        horizontal_line(160, 183),
        horizontal_line(158, 182),
        horizontal_line(156, 180),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_606_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
    };

    constexpr const shape frame_606_shape_group_3_shapes[] = {
        shape(frame_606_shape_group_3_shape_0_horizontal_lines, 12, 1),
        shape(frame_606_shape_group_3_shape_1_horizontal_lines, 32, 4),
        shape(frame_606_shape_group_3_shape_2_horizontal_lines, 33, 1),
        shape(frame_606_shape_group_3_shape_3_horizontal_lines, 68, 4),
        shape(frame_606_shape_group_3_shape_4_horizontal_lines, 69, 1),
        shape(frame_606_shape_group_3_shape_5_horizontal_lines, 72, 4),
        shape(frame_606_shape_group_3_shape_6_horizontal_lines, 133, 1),
        shape(frame_606_shape_group_3_shape_7_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(63, 110),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(123, 127),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 130),
        horizontal_line(115, 131),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(112, 131),
        horizontal_line(110, 129),
        horizontal_line(109, 127),
        horizontal_line(107, 125),
        horizontal_line(106, 123),
        horizontal_line(104, 121),
        horizontal_line(134, 136),
        horizontal_line(131, 136),
        horizontal_line(128, 137),
        horizontal_line(126, 138),
        horizontal_line(123, 134),
        horizontal_line(120, 128),
        horizontal_line(104, 108),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 174),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(151, 177),
        horizontal_line(152, 179),
        horizontal_line(153, 180),
        horizontal_line(154, 181),
        horizontal_line(155, 183),
        horizontal_line(156, 184),
        horizontal_line(157, 186),
        horizontal_line(158, 187),
        horizontal_line(158, 188),
        horizontal_line(159, 190),
        horizontal_line(160, 191),
        horizontal_line(161, 193),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(127, 131),
        horizontal_line(127, 133),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(142, 148),
        horizontal_line(139, 151),
        horizontal_line(136, 154),
        horizontal_line(133, 157),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(170, 176),
        horizontal_line(168, 180),
        horizontal_line(166, 184),
        horizontal_line(164, 187),
        horizontal_line(162, 185),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(214, 214),
        horizontal_line(212, 226),
    };

    constexpr const horizontal_line frame_606_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(131, 136),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 139),
    };

    constexpr const shape frame_606_shape_group_4_shapes[] = {
        shape(frame_606_shape_group_4_shape_0_horizontal_lines, 32, 1),
        shape(frame_606_shape_group_4_shape_1_horizontal_lines, 48, 1),
        shape(frame_606_shape_group_4_shape_2_horizontal_lines, 55, 7),
        shape(frame_606_shape_group_4_shape_3_horizontal_lines, 56, 1),
        shape(frame_606_shape_group_4_shape_4_horizontal_lines, 69, 7),
        shape(frame_606_shape_group_4_shape_5_horizontal_lines, 70, 1),
        shape(frame_606_shape_group_4_shape_6_horizontal_lines, 71, 7),
        shape(frame_606_shape_group_4_shape_7_horizontal_lines, 73, 4),
        shape(frame_606_shape_group_4_shape_8_horizontal_lines, 74, 7),
        shape(frame_606_shape_group_4_shape_9_horizontal_lines, 75, 4),
        shape(frame_606_shape_group_4_shape_10_horizontal_lines, 87, 7),
        shape(frame_606_shape_group_4_shape_11_horizontal_lines, 121, 1),
        shape(frame_606_shape_group_4_shape_12_horizontal_lines, 125, 7),
        shape(frame_606_shape_group_4_shape_13_horizontal_lines, 128, 1),
        shape(frame_606_shape_group_4_shape_14_horizontal_lines, 133, 7),
        shape(frame_606_shape_group_4_shape_15_horizontal_lines, 137, 1),
        shape(frame_606_shape_group_4_shape_16_horizontal_lines, 143, 7),
        shape(frame_606_shape_group_4_shape_17_horizontal_lines, 144, 1),
        shape(frame_606_shape_group_4_shape_18_horizontal_lines, 146, 7),
    };

    constexpr const horizontal_line frame_606_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 25),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_606_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_606_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_606_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(79, 96),
        horizontal_line(0, 48),
        horizontal_line(80, 97),
        horizontal_line(81, 97),
        horizontal_line(0, 50),
        horizontal_line(82, 98),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(90, 104),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(93, 107),
        horizontal_line(94, 107),
        horizontal_line(94, 108),
        horizontal_line(95, 108),
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(98, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 112),
        horizontal_line(100, 112),
        horizontal_line(100, 112),
        horizontal_line(101, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 114),
        horizontal_line(103, 114),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(106, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 118),
        horizontal_line(108, 118),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(113, 122),
        horizontal_line(114, 123),
        horizontal_line(115, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(118, 126),
        horizontal_line(119, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 128),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(125, 131),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(126, 132),
        horizontal_line(127, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(131, 136),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(63, 109),
        horizontal_line(63, 110),
        horizontal_line(63, 111),
        horizontal_line(64, 112),
    };

    constexpr const shape frame_606_shape_group_5_shapes[] = {
        shape(frame_606_shape_group_5_shape_0_horizontal_lines, 49, 7),
        shape(frame_606_shape_group_5_shape_1_horizontal_lines, 56, 7),
        shape(frame_606_shape_group_5_shape_2_horizontal_lines, 68, 1),
        shape(frame_606_shape_group_5_shape_3_horizontal_lines, 69, 7),
    };

    constexpr const horizontal_line frame_606_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(39, 43),
        horizontal_line(40, 48),
        horizontal_line(41, 53),
        horizontal_line(41, 58),
        horizontal_line(42, 63),
        horizontal_line(43, 68),
        horizontal_line(43, 74),
    };

    constexpr const horizontal_line frame_606_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(76, 85),
        horizontal_line(76, 90),
        horizontal_line(77, 95),
        horizontal_line(78, 95),
        horizontal_line(0, 47),
        horizontal_line(108, 114),
        horizontal_line(79, 96),
        horizontal_line(108, 114),
        horizontal_line(109, 114),
        horizontal_line(81, 98),
        horizontal_line(109, 115),
        horizontal_line(83, 99),
        horizontal_line(83, 99),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(85, 101),
        horizontal_line(86, 101),
        horizontal_line(86, 102),
        horizontal_line(87, 102),
        horizontal_line(87, 103),
        horizontal_line(88, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 104),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(62, 79),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(125, 125),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(111, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(113, 122),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(115, 124),
        horizontal_line(116, 124),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(118, 126),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(121, 128),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(62, 100),
        horizontal_line(125, 131),
        horizontal_line(126, 132),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_606_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(109, 130),
        horizontal_line(110, 131),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_606_shape_group_6_shapes[] = {
        shape(frame_606_shape_group_6_shape_0_horizontal_lines, 56, 6),
        shape(frame_606_shape_group_6_shape_1_horizontal_lines, 63, 7),
        shape(frame_606_shape_group_6_shape_2_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(44, 74),
        horizontal_line(45, 75),
        horizontal_line(46, 75),
        horizontal_line(46, 76),
        horizontal_line(47, 77),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(78, 95),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(48, 78),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(50, 79),
        horizontal_line(51, 80),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(109, 114),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(52, 81),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(110, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(61, 89),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(80, 105),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 80),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(82, 107),
        horizontal_line(83, 108),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(84, 109),
        horizontal_line(85, 109),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(88, 112),
        horizontal_line(89, 113),
        horizontal_line(90, 114),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(94, 117),
        horizontal_line(95, 118),
        horizontal_line(95, 119),
        horizontal_line(96, 119),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(101, 124),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(62, 101),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(103, 125),
        horizontal_line(104, 126),
        horizontal_line(105, 127),
        horizontal_line(105, 127),
        horizontal_line(106, 128),
        horizontal_line(107, 129),
        horizontal_line(108, 129),
        horizontal_line(108, 130),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_606_shape_group_7_shape_23_horizontal_lines[] = {
        horizontal_line(110, 132),
        horizontal_line(111, 132),
        horizontal_line(112, 133),
        horizontal_line(113, 134),
    };

    constexpr const shape frame_606_shape_group_7_shapes[] = {
        shape(frame_606_shape_group_7_shape_0_horizontal_lines, 63, 6),
        shape(frame_606_shape_group_7_shape_1_horizontal_lines, 68, 7),
        shape(frame_606_shape_group_7_shape_2_horizontal_lines, 69, 6),
        shape(frame_606_shape_group_7_shape_3_horizontal_lines, 70, 7),
        shape(frame_606_shape_group_7_shape_4_horizontal_lines, 71, 6),
        shape(frame_606_shape_group_7_shape_5_horizontal_lines, 73, 7),
        shape(frame_606_shape_group_7_shape_6_horizontal_lines, 74, 6),
        shape(frame_606_shape_group_7_shape_7_horizontal_lines, 75, 7),
        shape(frame_606_shape_group_7_shape_8_horizontal_lines, 87, 6),
        shape(frame_606_shape_group_7_shape_9_horizontal_lines, 89, 7),
        shape(frame_606_shape_group_7_shape_10_horizontal_lines, 113, 6),
        shape(frame_606_shape_group_7_shape_11_horizontal_lines, 114, 7),
        shape(frame_606_shape_group_7_shape_12_horizontal_lines, 116, 6),
        shape(frame_606_shape_group_7_shape_13_horizontal_lines, 118, 7),
        shape(frame_606_shape_group_7_shape_14_horizontal_lines, 119, 6),
        shape(frame_606_shape_group_7_shape_15_horizontal_lines, 121, 7),
        shape(frame_606_shape_group_7_shape_16_horizontal_lines, 125, 6),
        shape(frame_606_shape_group_7_shape_17_horizontal_lines, 128, 7),
        shape(frame_606_shape_group_7_shape_18_horizontal_lines, 133, 6),
        shape(frame_606_shape_group_7_shape_19_horizontal_lines, 137, 7),
        shape(frame_606_shape_group_7_shape_20_horizontal_lines, 143, 6),
        shape(frame_606_shape_group_7_shape_21_horizontal_lines, 144, 7),
        shape(frame_606_shape_group_7_shape_22_horizontal_lines, 146, 6),
        shape(frame_606_shape_group_7_shape_23_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_606_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(96, 99),
        horizontal_line(48, 77),
        horizontal_line(97, 107),
        horizontal_line(49, 78),
        horizontal_line(98, 107),
        horizontal_line(98, 108),
        horizontal_line(51, 80),
        horizontal_line(99, 108),
        horizontal_line(53, 82),
        horizontal_line(53, 82),
        horizontal_line(54, 83),
        horizontal_line(55, 83),
        horizontal_line(56, 84),
        horizontal_line(56, 85),
        horizontal_line(57, 85),
        horizontal_line(58, 86),
        horizontal_line(58, 86),
        horizontal_line(59, 87),
        horizontal_line(60, 88),
        horizontal_line(61, 88),
        horizontal_line(105, 113),
        horizontal_line(106, 113),
        horizontal_line(63, 90),
        horizontal_line(63, 91),
        horizontal_line(64, 91),
        horizontal_line(65, 92),
        horizontal_line(66, 93),
        horizontal_line(66, 93),
        horizontal_line(67, 94),
        horizontal_line(68, 95),
        horizontal_line(68, 95),
        horizontal_line(69, 96),
        horizontal_line(70, 96),
        horizontal_line(71, 97),
        horizontal_line(71, 98),
        horizontal_line(72, 98),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(74, 100),
        horizontal_line(75, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 102),
        horizontal_line(77, 103),
        horizontal_line(78, 103),
        horizontal_line(78, 104),
        horizontal_line(79, 104),
        horizontal_line(118, 123),
        horizontal_line(80, 106),
        horizontal_line(81, 106),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(83, 108),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(85, 110),
        horizontal_line(86, 111),
        horizontal_line(87, 111),
        horizontal_line(88, 112),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(90, 114),
        horizontal_line(91, 115),
        horizontal_line(92, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 117),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(129, 131),
        horizontal_line(97, 120),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(99, 122),
        horizontal_line(100, 122),
        horizontal_line(100, 123),
        horizontal_line(132, 133),
        horizontal_line(102, 124),
        horizontal_line(103, 125),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const shape frame_606_shape_group_8_shapes[] = {
        shape(frame_606_shape_group_8_shape_0_horizontal_lines, 66, 6),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(96, 103),
        horizontal_line(115, 117),
        horizontal_line(97, 107),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(99, 108),
        horizontal_line(116, 117),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 110),
        horizontal_line(102, 110),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 111),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(105, 113),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(106, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(118, 123),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(123, 127),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_606_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(133, 134),
    };

    constexpr const shape frame_606_shape_group_9_shapes[] = {
        shape(frame_606_shape_group_9_shape_0_horizontal_lines, 68, 6),
        shape(frame_606_shape_group_9_shape_1_horizontal_lines, 88, 6),
        shape(frame_606_shape_group_9_shape_2_horizontal_lines, 114, 6),
        shape(frame_606_shape_group_9_shape_3_horizontal_lines, 118, 6),
        shape(frame_606_shape_group_9_shape_4_horizontal_lines, 121, 6),
        shape(frame_606_shape_group_9_shape_5_horizontal_lines, 128, 6),
        shape(frame_606_shape_group_9_shape_6_horizontal_lines, 137, 6),
        shape(frame_606_shape_group_9_shape_7_horizontal_lines, 144, 6),
    };

    constexpr const horizontal_line frame_606_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_606_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_606_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_606_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const shape frame_606_shape_group_10_shapes[] = {
        shape(frame_606_shape_group_10_shape_0_horizontal_lines, 70, 6),
        shape(frame_606_shape_group_10_shape_1_horizontal_lines, 73, 6),
        shape(frame_606_shape_group_10_shape_2_horizontal_lines, 75, 6),
        shape(frame_606_shape_group_10_shape_3_horizontal_lines, 89, 6),
    };

    constexpr const shape_group frame_606_shape_groups[] = {
        shape_group(frame_606_shape_group_0_shapes),
        shape_group(frame_606_shape_group_1_shapes),
        shape_group(frame_606_shape_group_2_shapes),
        shape_group(frame_606_shape_group_3_shapes),
        shape_group(frame_606_shape_group_4_shapes),
        shape_group(frame_606_shape_group_5_shapes),
        shape_group(frame_606_shape_group_6_shapes),
        shape_group(frame_606_shape_group_7_shapes),
        shape_group(frame_606_shape_group_8_shapes),
        shape_group(frame_606_shape_group_9_shapes),
        shape_group(frame_606_shape_group_10_shapes),
    };

    constexpr const frame frame_606_impl(frame_606_colors, frame_606_shape_groups);
} 

const frame& frame_606()
{
    return frame_606_impl;
}

namespace
{
    constexpr const bn::color frame_607_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_607_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(1, 37),
        horizontal_line(6, 36),
        horizontal_line(11, 35),
        horizontal_line(16, 34),
        horizontal_line(21, 33),
        horizontal_line(26, 32),
        horizontal_line(80, 112),
        horizontal_line(79, 111),
        horizontal_line(78, 109),
        horizontal_line(76, 108),
        horizontal_line(75, 106),
        horizontal_line(74, 105),
        horizontal_line(73, 104),
        horizontal_line(72, 102),
        horizontal_line(75, 101),
        horizontal_line(79, 99),
        horizontal_line(83, 98),
        horizontal_line(87, 96),
        horizontal_line(91, 95),
        horizontal_line(112, 123),
        horizontal_line(110, 120),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_607_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(133, 136),
        horizontal_line(131, 136),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(130, 134),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_607_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(130, 137),
        horizontal_line(129, 140),
        horizontal_line(129, 142),
        horizontal_line(129, 145),
        horizontal_line(130, 147),
        horizontal_line(130, 143),
        horizontal_line(131, 140),
        horizontal_line(131, 136),
        horizontal_line(131, 133),
        horizontal_line(161, 161),
        horizontal_line(158, 164),
        horizontal_line(155, 168),
        horizontal_line(153, 171),
        horizontal_line(150, 174),
        horizontal_line(147, 172),
        horizontal_line(145, 170),
        horizontal_line(142, 168),
        horizontal_line(139, 166),
        horizontal_line(137, 164),
        horizontal_line(135, 162),
        horizontal_line(136, 160),
        horizontal_line(136, 158),
        horizontal_line(136, 156),
        horizontal_line(137, 154),
        horizontal_line(137, 152),
        horizontal_line(137, 150),
        horizontal_line(138, 148),
        horizontal_line(138, 146),
        horizontal_line(138, 144),
        horizontal_line(139, 142),
        horizontal_line(139, 140),
        horizontal_line(171, 210),
        horizontal_line(170, 209),
        horizontal_line(168, 208),
        horizontal_line(167, 207),
    };

    constexpr const shape frame_607_shape_group_0_shapes[] = {
        shape(frame_607_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_607_shape_group_0_shape_1_horizontal_lines, 68, 4),
        shape(frame_607_shape_group_0_shape_2_horizontal_lines, 124, 5),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(106, 111),
        horizontal_line(107, 112),
        horizontal_line(108, 113),
        horizontal_line(109, 115),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(109, 111),
        horizontal_line(108, 112),
        horizontal_line(107, 113),
        horizontal_line(105, 114),
        horizontal_line(104, 115),
        horizontal_line(103, 116),
        horizontal_line(102, 117),
        horizontal_line(101, 118),
        horizontal_line(99, 119),
        horizontal_line(98, 119),
        horizontal_line(97, 120),
        horizontal_line(96, 121),
        horizontal_line(95, 122),
        horizontal_line(93, 123),
        horizontal_line(92, 124),
        horizontal_line(91, 125),
        horizontal_line(90, 124),
        horizontal_line(88, 122),
        horizontal_line(87, 121),
        horizontal_line(86, 119),
        horizontal_line(85, 118),
        horizontal_line(84, 116),
        horizontal_line(82, 115),
        horizontal_line(81, 114),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(134, 154),
        horizontal_line(135, 156),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(130, 135),
        horizontal_line(128, 135),
        horizontal_line(126, 136),
        horizontal_line(124, 137),
        horizontal_line(122, 137),
        horizontal_line(120, 135),
        horizontal_line(118, 132),
        horizontal_line(116, 129),
        horizontal_line(114, 126),
        horizontal_line(132, 138),
        horizontal_line(128, 137),
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 135),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(149, 158),
        horizontal_line(151, 158),
        horizontal_line(154, 159),
        horizontal_line(156, 159),
        horizontal_line(159, 159),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(176, 188),
        horizontal_line(179, 189),
        horizontal_line(183, 190),
        horizontal_line(186, 190),
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(193, 193),
        horizontal_line(191, 198),
        horizontal_line(189, 204),
        horizontal_line(188, 209),
        horizontal_line(186, 215),
        horizontal_line(184, 220),
        horizontal_line(183, 218),
        horizontal_line(181, 217),
        horizontal_line(180, 216),
        horizontal_line(178, 215),
        horizontal_line(176, 214),
        horizontal_line(175, 212),
        horizontal_line(173, 211),
    };

    constexpr const horizontal_line frame_607_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(139, 170),
        horizontal_line(139, 169),
        horizontal_line(139, 167),
        horizontal_line(140, 166),
    };

    constexpr const shape frame_607_shape_group_1_shapes[] = {
        shape(frame_607_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_607_shape_group_1_shape_1_horizontal_lines, 22, 4),
        shape(frame_607_shape_group_1_shape_2_horizontal_lines, 27, 5),
        shape(frame_607_shape_group_1_shape_3_horizontal_lines, 52, 4),
        shape(frame_607_shape_group_1_shape_4_horizontal_lines, 55, 5),
        shape(frame_607_shape_group_1_shape_5_horizontal_lines, 68, 4),
        shape(frame_607_shape_group_1_shape_6_horizontal_lines, 143, 5),
        shape(frame_607_shape_group_1_shape_7_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(83, 83),
        horizontal_line(84, 84),
        horizontal_line(85, 86),
        horizontal_line(86, 87),
        horizontal_line(88, 89),
        horizontal_line(89, 90),
        horizontal_line(90, 92),
        horizontal_line(91, 93),
        horizontal_line(92, 95),
        horizontal_line(94, 96),
        horizontal_line(95, 97),
        horizontal_line(96, 99),
        horizontal_line(97, 100),
        horizontal_line(98, 102),
        horizontal_line(100, 103),
        horizontal_line(101, 105),
        horizontal_line(102, 106),
        horizontal_line(103, 108),
        horizontal_line(104, 109),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(61, 106),
        horizontal_line(60, 107),
        horizontal_line(59, 108),
        horizontal_line(58, 110),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(111, 118),
        horizontal_line(112, 119),
        horizontal_line(113, 121),
        horizontal_line(114, 122),
        horizontal_line(115, 124),
        horizontal_line(116, 125),
        horizontal_line(117, 127),
        horizontal_line(118, 128),
        horizontal_line(119, 129),
        horizontal_line(120, 131),
        horizontal_line(120, 132),
        horizontal_line(121, 134),
        horizontal_line(122, 135),
        horizontal_line(123, 137),
        horizontal_line(124, 138),
        horizontal_line(125, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 143),
        horizontal_line(128, 144),
        horizontal_line(129, 145),
        horizontal_line(129, 147),
        horizontal_line(130, 148),
        horizontal_line(131, 150),
        horizontal_line(132, 151),
        horizontal_line(133, 153),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(32, 79),
        horizontal_line(37, 78),
        horizontal_line(43, 77),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(137, 159),
        horizontal_line(138, 160),
        horizontal_line(138, 161),
        horizontal_line(139, 163),
        horizontal_line(140, 164),
        horizontal_line(141, 166),
        horizontal_line(142, 167),
        horizontal_line(143, 169),
        horizontal_line(144, 170),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(141, 141),
        horizontal_line(141, 142),
        horizontal_line(148, 177),
        horizontal_line(149, 179),
        horizontal_line(150, 180),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(142, 143),
        horizontal_line(142, 146),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 147),
        horizontal_line(151, 155),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(167, 177),
        horizontal_line(167, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 181),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_607_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(151, 180),
        horizontal_line(149, 179),
        horizontal_line(147, 177),
        horizontal_line(145, 175),
        horizontal_line(143, 174),
        horizontal_line(141, 172),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_607_shape_group_2_shapes[] = {
        shape(frame_607_shape_group_2_shape_0_horizontal_lines, 2, 4),
        shape(frame_607_shape_group_2_shape_1_horizontal_lines, 22, 1),
        shape(frame_607_shape_group_2_shape_2_horizontal_lines, 27, 4),
        shape(frame_607_shape_group_2_shape_3_horizontal_lines, 52, 1),
        shape(frame_607_shape_group_2_shape_4_horizontal_lines, 55, 4),
        shape(frame_607_shape_group_2_shape_5_horizontal_lines, 64, 5),
        shape(frame_607_shape_group_2_shape_6_horizontal_lines, 65, 4),
        shape(frame_607_shape_group_2_shape_7_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(81, 82),
        horizontal_line(80, 83),
        horizontal_line(79, 84),
        horizontal_line(78, 85),
        horizontal_line(77, 87),
        horizontal_line(76, 88),
        horizontal_line(75, 89),
        horizontal_line(74, 90),
        horizontal_line(73, 91),
        horizontal_line(72, 93),
        horizontal_line(71, 94),
        horizontal_line(70, 95),
        horizontal_line(69, 96),
        horizontal_line(68, 97),
        horizontal_line(67, 99),
        horizontal_line(66, 100),
        horizontal_line(65, 101),
        horizontal_line(64, 102),
        horizontal_line(63, 103),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(57, 109),
        horizontal_line(56, 108),
        horizontal_line(55, 107),
        horizontal_line(54, 106),
        horizontal_line(53, 104),
        horizontal_line(52, 103),
        horizontal_line(51, 102),
        horizontal_line(50, 101),
        horizontal_line(49, 100),
        horizontal_line(48, 98),
        horizontal_line(47, 97),
        horizontal_line(46, 96),
        horizontal_line(45, 95),
        horizontal_line(44, 94),
        horizontal_line(43, 92),
        horizontal_line(42, 91),
        horizontal_line(41, 90),
        horizontal_line(40, 89),
        horizontal_line(39, 87),
        horizontal_line(38, 86),
        horizontal_line(37, 85),
        horizontal_line(36, 84),
        horizontal_line(35, 83),
        horizontal_line(34, 81),
        horizontal_line(33, 80),
        horizontal_line(113, 132),
        horizontal_line(112, 133),
        horizontal_line(110, 133),
        horizontal_line(49, 75),
        horizontal_line(54, 74),
        horizontal_line(60, 73),
        horizontal_line(66, 72),
        horizontal_line(103, 123),
        horizontal_line(102, 121),
        horizontal_line(100, 119),
        horizontal_line(99, 117),
        horizontal_line(97, 115),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(145, 172),
        horizontal_line(146, 173),
        horizontal_line(147, 175),
        horizontal_line(147, 176),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(119, 134),
        horizontal_line(119, 120),
        horizontal_line(119, 125),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(151, 182),
        horizontal_line(152, 183),
        horizontal_line(145, 146),
        horizontal_line(154, 186),
        horizontal_line(146, 147),
        horizontal_line(146, 148),
        horizontal_line(147, 148),
        horizontal_line(147, 149),
        horizontal_line(147, 150),
        horizontal_line(148, 150),
        horizontal_line(148, 151),
        horizontal_line(149, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 154),
        horizontal_line(151, 154),
        horizontal_line(166, 205),
        horizontal_line(166, 207),
        horizontal_line(167, 208),
        horizontal_line(168, 209),
        horizontal_line(169, 211),
        horizontal_line(170, 212),
        horizontal_line(171, 214),
        horizontal_line(172, 215),
        horizontal_line(173, 217),
        horizontal_line(174, 218),
        horizontal_line(175, 220),
        horizontal_line(175, 221),
        horizontal_line(176, 223),
        horizontal_line(177, 224),
        horizontal_line(178, 225),
        horizontal_line(179, 227),
        horizontal_line(180, 228),
        horizontal_line(181, 230),
        horizontal_line(182, 231),
        horizontal_line(183, 233),
        horizontal_line(184, 234),
        horizontal_line(184, 236),
        horizontal_line(185, 237),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(132, 160),
        horizontal_line(132, 157),
        horizontal_line(132, 154),
        horizontal_line(133, 152),
        horizontal_line(133, 149),
        horizontal_line(133, 146),
        horizontal_line(134, 144),
        horizontal_line(134, 141),
        horizontal_line(134, 138),
        horizontal_line(135, 136),
        horizontal_line(163, 190),
        horizontal_line(161, 188),
        horizontal_line(159, 187),
        horizontal_line(157, 185),
        horizontal_line(155, 183),
        horizontal_line(153, 182),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_607_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_607_shape_group_3_shapes[] = {
        shape(frame_607_shape_group_3_shape_0_horizontal_lines, 3, 1),
        shape(frame_607_shape_group_3_shape_1_horizontal_lines, 27, 1),
        shape(frame_607_shape_group_3_shape_2_horizontal_lines, 64, 4),
        shape(frame_607_shape_group_3_shape_3_horizontal_lines, 68, 1),
        shape(frame_607_shape_group_3_shape_4_horizontal_lines, 71, 4),
        shape(frame_607_shape_group_3_shape_5_horizontal_lines, 134, 1),
        shape(frame_607_shape_group_3_shape_6_horizontal_lines, 156, 7),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 128),
        horizontal_line(120, 128),
        horizontal_line(119, 129),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(115, 131),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(109, 131),
        horizontal_line(107, 129),
        horizontal_line(106, 127),
        horizontal_line(105, 125),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(133, 139),
        horizontal_line(130, 139),
        horizontal_line(96, 113),
        horizontal_line(95, 111),
        horizontal_line(101, 109),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(153, 185),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(155, 188),
        horizontal_line(156, 189),
        horizontal_line(156, 191),
        horizontal_line(157, 192),
        horizontal_line(158, 193),
        horizontal_line(159, 195),
        horizontal_line(160, 196),
        horizontal_line(161, 198),
        horizontal_line(162, 199),
        horizontal_line(163, 201),
        horizontal_line(164, 202),
        horizontal_line(165, 204),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(128, 132),
        horizontal_line(128, 134),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(144, 150),
        horizontal_line(141, 153),
        horizontal_line(137, 155),
        horizontal_line(134, 158),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(173, 178),
        horizontal_line(171, 182),
        horizontal_line(169, 185),
        horizontal_line(167, 189),
        horizontal_line(165, 192),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(219, 230),
    };

    constexpr const horizontal_line frame_607_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(130, 136),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(132, 138),
    };

    constexpr const shape frame_607_shape_group_4_shapes[] = {
        shape(frame_607_shape_group_4_shape_0_horizontal_lines, 44, 1),
        shape(frame_607_shape_group_4_shape_1_horizontal_lines, 52, 7),
        shape(frame_607_shape_group_4_shape_2_horizontal_lines, 55, 1),
        shape(frame_607_shape_group_4_shape_3_horizontal_lines, 59, 7),
        shape(frame_607_shape_group_4_shape_4_horizontal_lines, 61, 1),
        shape(frame_607_shape_group_4_shape_5_horizontal_lines, 68, 7),
        shape(frame_607_shape_group_4_shape_6_horizontal_lines, 69, 1),
        shape(frame_607_shape_group_4_shape_7_horizontal_lines, 70, 7),
        shape(frame_607_shape_group_4_shape_8_horizontal_lines, 73, 4),
        shape(frame_607_shape_group_4_shape_9_horizontal_lines, 74, 7),
        shape(frame_607_shape_group_4_shape_10_horizontal_lines, 75, 4),
        shape(frame_607_shape_group_4_shape_11_horizontal_lines, 87, 7),
        shape(frame_607_shape_group_4_shape_12_horizontal_lines, 122, 1),
        shape(frame_607_shape_group_4_shape_13_horizontal_lines, 126, 7),
        shape(frame_607_shape_group_4_shape_14_horizontal_lines, 129, 1),
        shape(frame_607_shape_group_4_shape_15_horizontal_lines, 134, 7),
        shape(frame_607_shape_group_4_shape_16_horizontal_lines, 138, 1),
        shape(frame_607_shape_group_4_shape_17_horizontal_lines, 144, 7),
        shape(frame_607_shape_group_4_shape_18_horizontal_lines, 148, 1),
        shape(frame_607_shape_group_4_shape_19_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
        horizontal_line(0, 15),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(32, 36),
        horizontal_line(33, 42),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(36, 71),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(124, 131),
        horizontal_line(121, 127),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_607_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(77, 94),
        horizontal_line(0, 42),
        horizontal_line(78, 95),
        horizontal_line(79, 95),
        horizontal_line(79, 96),
        horizontal_line(0, 44),
        horizontal_line(81, 97),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(88, 103),
        horizontal_line(89, 104),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(92, 106),
        horizontal_line(93, 106),
        horizontal_line(93, 107),
        horizontal_line(94, 107),
        horizontal_line(94, 108),
        horizontal_line(95, 108),
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(98, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 112),
        horizontal_line(100, 112),
        horizontal_line(100, 113),
        horizontal_line(101, 113),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 115),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(107, 118),
        horizontal_line(108, 118),
        horizontal_line(108, 119),
        horizontal_line(109, 119),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(113, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 127),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(123, 130),
        horizontal_line(123, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(126, 133),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(128, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 136),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
    };

    constexpr const shape frame_607_shape_group_5_shapes[] = {
        shape(frame_607_shape_group_5_shape_0_horizontal_lines, 46, 7),
        shape(frame_607_shape_group_5_shape_1_horizontal_lines, 53, 6),
        shape(frame_607_shape_group_5_shape_2_horizontal_lines, 55, 7),
        shape(frame_607_shape_group_5_shape_3_horizontal_lines, 59, 6),
        shape(frame_607_shape_group_5_shape_4_horizontal_lines, 60, 7),
        shape(frame_607_shape_group_5_shape_5_horizontal_lines, 64, 1),
        shape(frame_607_shape_group_5_shape_6_horizontal_lines, 68, 7),
    };

    constexpr const horizontal_line frame_607_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(33, 48),
        horizontal_line(34, 53),
        horizontal_line(35, 59),
        horizontal_line(35, 65),
    };

    constexpr const horizontal_line frame_607_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(37, 71),
    };

    constexpr const horizontal_line frame_607_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(73, 78),
        horizontal_line(73, 82),
        horizontal_line(74, 86),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(108, 114),
        horizontal_line(78, 94),
        horizontal_line(109, 114),
        horizontal_line(109, 114),
        horizontal_line(109, 114),
        horizontal_line(80, 96),
        horizontal_line(110, 115),
        horizontal_line(81, 97),
        horizontal_line(82, 98),
        horizontal_line(82, 98),
        horizontal_line(83, 99),
        horizontal_line(84, 99),
        horizontal_line(84, 100),
        horizontal_line(85, 100),
        horizontal_line(85, 101),
        horizontal_line(86, 101),
        horizontal_line(87, 102),
        horizontal_line(87, 102),
        horizontal_line(88, 103),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(62, 72),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(109, 120),
        horizontal_line(110, 120),
        horizontal_line(111, 121),
        horizontal_line(111, 121),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(114, 123),
        horizontal_line(114, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 125),
        horizontal_line(116, 125),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(119, 127),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(122, 130),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(125, 132),
        horizontal_line(126, 133),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_607_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(102, 130),
        horizontal_line(103, 131),
    };

    constexpr const shape frame_607_shape_group_6_shapes[] = {
        shape(frame_607_shape_group_6_shape_0_horizontal_lines, 55, 6),
        shape(frame_607_shape_group_6_shape_1_horizontal_lines, 60, 6),
        shape(frame_607_shape_group_6_shape_2_horizontal_lines, 61, 7),
        shape(frame_607_shape_group_6_shape_3_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(37, 72),
        horizontal_line(38, 72),
        horizontal_line(39, 73),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(75, 90),
        horizontal_line(75, 93),
        horizontal_line(76, 93),
        horizontal_line(76, 93),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(42, 76),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(43, 77),
        horizontal_line(44, 78),
        horizontal_line(45, 78),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(110, 115),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(46, 80),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(110, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 118),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(55, 87),
        horizontal_line(55, 88),
        horizontal_line(56, 89),
        horizontal_line(57, 89),
        horizontal_line(57, 90),
        horizontal_line(58, 90),
        horizontal_line(59, 91),
        horizontal_line(59, 92),
        horizontal_line(60, 92),
        horizontal_line(61, 93),
        horizontal_line(61, 93),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(73, 104),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(75, 106),
        horizontal_line(76, 107),
        horizontal_line(77, 107),
        horizontal_line(77, 108),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(81, 111),
        horizontal_line(81, 111),
        horizontal_line(82, 112),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(86, 116),
        horizontal_line(87, 116),
        horizontal_line(87, 117),
        horizontal_line(88, 117),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(93, 122),
        horizontal_line(93, 122),
        horizontal_line(94, 123),
        horizontal_line(95, 123),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_607_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(97, 125),
        horizontal_line(97, 126),
        horizontal_line(98, 126),
        horizontal_line(99, 127),
        horizontal_line(99, 128),
        horizontal_line(100, 128),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(139, 139),
    };

    constexpr const shape frame_607_shape_group_7_shapes[] = {
        shape(frame_607_shape_group_7_shape_0_horizontal_lines, 61, 6),
        shape(frame_607_shape_group_7_shape_1_horizontal_lines, 64, 7),
        shape(frame_607_shape_group_7_shape_2_horizontal_lines, 68, 6),
        shape(frame_607_shape_group_7_shape_3_horizontal_lines, 69, 7),
        shape(frame_607_shape_group_7_shape_4_horizontal_lines, 70, 6),
        shape(frame_607_shape_group_7_shape_5_horizontal_lines, 73, 7),
        shape(frame_607_shape_group_7_shape_6_horizontal_lines, 74, 6),
        shape(frame_607_shape_group_7_shape_7_horizontal_lines, 75, 7),
        shape(frame_607_shape_group_7_shape_8_horizontal_lines, 87, 6),
        shape(frame_607_shape_group_7_shape_9_horizontal_lines, 99, 7),
        shape(frame_607_shape_group_7_shape_10_horizontal_lines, 115, 6),
        shape(frame_607_shape_group_7_shape_11_horizontal_lines, 116, 7),
        shape(frame_607_shape_group_7_shape_12_horizontal_lines, 118, 6),
        shape(frame_607_shape_group_7_shape_13_horizontal_lines, 122, 7),
        shape(frame_607_shape_group_7_shape_14_horizontal_lines, 126, 6),
        shape(frame_607_shape_group_7_shape_15_horizontal_lines, 129, 7),
        shape(frame_607_shape_group_7_shape_16_horizontal_lines, 134, 6),
        shape(frame_607_shape_group_7_shape_17_horizontal_lines, 138, 7),
        shape(frame_607_shape_group_7_shape_18_horizontal_lines, 144, 6),
        shape(frame_607_shape_group_7_shape_19_horizontal_lines, 148, 7),
        shape(frame_607_shape_group_7_shape_20_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_607_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(39, 74),
        horizontal_line(40, 74),
        horizontal_line(41, 75),
        horizontal_line(41, 75),
        horizontal_line(95, 107),
        horizontal_line(43, 77),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(97, 108),
        horizontal_line(45, 79),
        horizontal_line(98, 109),
        horizontal_line(47, 80),
        horizontal_line(47, 81),
        horizontal_line(48, 81),
        horizontal_line(49, 82),
        horizontal_line(49, 83),
        horizontal_line(50, 83),
        horizontal_line(51, 84),
        horizontal_line(51, 84),
        horizontal_line(52, 85),
        horizontal_line(53, 86),
        horizontal_line(53, 86),
        horizontal_line(54, 87),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(63, 95),
        horizontal_line(63, 95),
        horizontal_line(64, 96),
        horizontal_line(65, 96),
        horizontal_line(65, 97),
        horizontal_line(66, 98),
        horizontal_line(67, 98),
        horizontal_line(67, 99),
        horizontal_line(68, 99),
        horizontal_line(69, 100),
        horizontal_line(69, 101),
        horizontal_line(70, 101),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(72, 103),
        horizontal_line(73, 104),
        horizontal_line(117, 124),
        horizontal_line(74, 105),
        horizontal_line(75, 105),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(78, 108),
        horizontal_line(79, 109),
        horizontal_line(79, 110),
        horizontal_line(80, 110),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 128),
        horizontal_line(83, 113),
        horizontal_line(83, 113),
        horizontal_line(84, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 115),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(128, 132),
        horizontal_line(89, 118),
        horizontal_line(89, 119),
        horizontal_line(90, 119),
        horizontal_line(91, 120),
        horizontal_line(91, 120),
        horizontal_line(92, 121),
        horizontal_line(131, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(95, 124),
        horizontal_line(96, 125),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
    };

    constexpr const shape frame_607_shape_group_8_shapes[] = {
        shape(frame_607_shape_group_8_shape_0_horizontal_lines, 64, 6),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(94, 100),
        horizontal_line(94, 107),
        horizontal_line(115, 118),
        horizontal_line(95, 107),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(97, 109),
        horizontal_line(116, 118),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(100, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_607_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(134, 136),
    };

    constexpr const shape frame_607_shape_group_9_shapes[] = {
        shape(frame_607_shape_group_9_shape_0_horizontal_lines, 65, 6),
        shape(frame_607_shape_group_9_shape_1_horizontal_lines, 91, 6),
        shape(frame_607_shape_group_9_shape_2_horizontal_lines, 99, 6),
        shape(frame_607_shape_group_9_shape_3_horizontal_lines, 116, 6),
        shape(frame_607_shape_group_9_shape_4_horizontal_lines, 122, 6),
        shape(frame_607_shape_group_9_shape_5_horizontal_lines, 129, 6),
        shape(frame_607_shape_group_9_shape_6_horizontal_lines, 138, 6),
        shape(frame_607_shape_group_9_shape_7_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_607_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_607_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_607_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
    };

    constexpr const shape frame_607_shape_group_10_shapes[] = {
        shape(frame_607_shape_group_10_shape_0_horizontal_lines, 69, 6),
        shape(frame_607_shape_group_10_shape_1_horizontal_lines, 73, 6),
        shape(frame_607_shape_group_10_shape_2_horizontal_lines, 75, 6),
    };

    constexpr const shape_group frame_607_shape_groups[] = {
        shape_group(frame_607_shape_group_0_shapes),
        shape_group(frame_607_shape_group_1_shapes),
        shape_group(frame_607_shape_group_2_shapes),
        shape_group(frame_607_shape_group_3_shapes),
        shape_group(frame_607_shape_group_4_shapes),
        shape_group(frame_607_shape_group_5_shapes),
        shape_group(frame_607_shape_group_6_shapes),
        shape_group(frame_607_shape_group_7_shapes),
        shape_group(frame_607_shape_group_8_shapes),
        shape_group(frame_607_shape_group_9_shapes),
        shape_group(frame_607_shape_group_10_shapes),
    };

    constexpr const frame frame_607_impl(frame_607_colors, frame_607_shape_groups);
} 

const frame& frame_607()
{
    return frame_607_impl;
}

namespace
{
    constexpr const bn::color frame_608_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_608_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(1, 28),
        horizontal_line(5, 27),
        horizontal_line(10, 26),
        horizontal_line(14, 25),
        horizontal_line(19, 24),
        horizontal_line(80, 116),
        horizontal_line(78, 114),
        horizontal_line(77, 113),
        horizontal_line(76, 111),
        horizontal_line(75, 110),
        horizontal_line(73, 108),
        horizontal_line(72, 106),
        horizontal_line(71, 105),
        horizontal_line(70, 103),
        horizontal_line(69, 102),
        horizontal_line(73, 100),
        horizontal_line(77, 99),
        horizontal_line(81, 97),
        horizontal_line(85, 96),
        horizontal_line(89, 94),
        horizontal_line(115, 129),
        horizontal_line(113, 126),
        horizontal_line(111, 123),
        horizontal_line(109, 120),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_608_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(125, 136),
        horizontal_line(119, 119),
        horizontal_line(119, 122),
        horizontal_line(119, 126),
    };

    constexpr const horizontal_line frame_608_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
    };

    constexpr const horizontal_line frame_608_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 131),
        horizontal_line(128, 133),
    };

    constexpr const horizontal_line frame_608_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(131, 138),
        horizontal_line(129, 141),
        horizontal_line(129, 143),
        horizontal_line(129, 146),
        horizontal_line(130, 148),
        horizontal_line(130, 145),
        horizontal_line(130, 142),
        horizontal_line(131, 139),
        horizontal_line(131, 136),
        horizontal_line(131, 133),
        horizontal_line(161, 166),
        horizontal_line(158, 168),
        horizontal_line(155, 171),
        horizontal_line(152, 173),
        horizontal_line(149, 175),
        horizontal_line(147, 177),
        horizontal_line(144, 174),
        horizontal_line(141, 172),
        horizontal_line(138, 170),
        horizontal_line(135, 168),
        horizontal_line(133, 166),
        horizontal_line(133, 164),
        horizontal_line(133, 162),
        horizontal_line(134, 160),
        horizontal_line(134, 158),
        horizontal_line(135, 155),
        horizontal_line(135, 153),
        horizontal_line(136, 151),
        horizontal_line(136, 149),
        horizontal_line(137, 147),
        horizontal_line(137, 145),
        horizontal_line(138, 143),
        horizontal_line(138, 141),
        horizontal_line(139, 139),
    };

    constexpr const shape frame_608_shape_group_0_shapes[] = {
        shape(frame_608_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_608_shape_group_0_shape_1_horizontal_lines, 67, 1),
        shape(frame_608_shape_group_0_shape_2_horizontal_lines, 71, 4),
        shape(frame_608_shape_group_0_shape_3_horizontal_lines, 122, 1),
        shape(frame_608_shape_group_0_shape_4_horizontal_lines, 125, 5),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 93),
        horizontal_line(61, 94),
        horizontal_line(60, 96),
        horizontal_line(59, 97),
        horizontal_line(58, 98),
        horizontal_line(57, 99),
        horizontal_line(56, 100),
        horizontal_line(55, 101),
        horizontal_line(54, 103),
        horizontal_line(53, 104),
        horizontal_line(52, 105),
        horizontal_line(51, 106),
        horizontal_line(50, 107),
        horizontal_line(49, 109),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(108, 110),
        horizontal_line(107, 111),
        horizontal_line(106, 112),
        horizontal_line(104, 113),
        horizontal_line(103, 114),
        horizontal_line(102, 115),
        horizontal_line(101, 116),
        horizontal_line(99, 117),
        horizontal_line(98, 118),
        horizontal_line(97, 119),
        horizontal_line(96, 120),
        horizontal_line(94, 120),
        horizontal_line(93, 121),
        horizontal_line(92, 122),
        horizontal_line(91, 123),
        horizontal_line(90, 124),
        horizontal_line(88, 125),
        horizontal_line(87, 125),
        horizontal_line(86, 123),
        horizontal_line(85, 122),
        horizontal_line(83, 120),
        horizontal_line(82, 119),
        horizontal_line(81, 117),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(24, 79),
        horizontal_line(29, 77),
        horizontal_line(34, 76),
        horizontal_line(39, 75),
        horizontal_line(44, 74),
        horizontal_line(49, 72),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(130, 135),
        horizontal_line(128, 135),
        horizontal_line(126, 136),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(121, 138),
        horizontal_line(119, 135),
        horizontal_line(117, 132),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(94, 114),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(131, 139),
        horizontal_line(125, 138),
        horizontal_line(120, 138),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(129, 136),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 159),
        horizontal_line(129, 135),
        horizontal_line(132, 135),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(128, 135),
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(148, 160),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(146, 152),
        horizontal_line(143, 155),
        horizontal_line(140, 158),
        horizontal_line(137, 161),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(132, 160),
        horizontal_line(132, 157),
        horizontal_line(132, 154),
        horizontal_line(133, 151),
        horizontal_line(133, 148),
        horizontal_line(133, 146),
        horizontal_line(134, 143),
        horizontal_line(134, 140),
        horizontal_line(134, 137),
        horizontal_line(169, 193),
    };

    constexpr const horizontal_line frame_608_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(195, 201),
        horizontal_line(193, 205),
        horizontal_line(192, 209),
        horizontal_line(190, 214),
        horizontal_line(188, 218),
        horizontal_line(187, 222),
        horizontal_line(185, 226),
        horizontal_line(184, 230),
        horizontal_line(182, 228),
        horizontal_line(180, 227),
        horizontal_line(179, 225),
        horizontal_line(177, 224),
        horizontal_line(176, 223),
    };

    constexpr const shape frame_608_shape_group_1_shapes[] = {
        shape(frame_608_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_608_shape_group_1_shape_1_horizontal_lines, 9, 1),
        shape(frame_608_shape_group_1_shape_2_horizontal_lines, 23, 5),
        shape(frame_608_shape_group_1_shape_3_horizontal_lines, 47, 1),
        shape(frame_608_shape_group_1_shape_4_horizontal_lines, 53, 5),
        shape(frame_608_shape_group_1_shape_5_horizontal_lines, 62, 1),
        shape(frame_608_shape_group_1_shape_6_horizontal_lines, 63, 5),
        shape(frame_608_shape_group_1_shape_7_horizontal_lines, 67, 4),
        shape(frame_608_shape_group_1_shape_8_horizontal_lines, 68, 1),
        shape(frame_608_shape_group_1_shape_9_horizontal_lines, 69, 4),
        shape(frame_608_shape_group_1_shape_10_horizontal_lines, 125, 1),
        shape(frame_608_shape_group_1_shape_11_horizontal_lines, 127, 4),
        shape(frame_608_shape_group_1_shape_12_horizontal_lines, 130, 1),
        shape(frame_608_shape_group_1_shape_13_horizontal_lines, 135, 5),
        shape(frame_608_shape_group_1_shape_14_horizontal_lines, 136, 1),
        shape(frame_608_shape_group_1_shape_15_horizontal_lines, 146, 5),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(72, 83),
        horizontal_line(70, 84),
        horizontal_line(69, 85),
        horizontal_line(68, 86),
        horizontal_line(67, 87),
        horizontal_line(66, 88),
        horizontal_line(65, 90),
        horizontal_line(64, 91),
        horizontal_line(63, 92),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(94, 100),
        horizontal_line(95, 101),
        horizontal_line(97, 103),
        horizontal_line(98, 104),
        horizontal_line(99, 106),
        horizontal_line(100, 107),
        horizontal_line(101, 109),
        horizontal_line(102, 110),
        horizontal_line(104, 112),
        horizontal_line(105, 114),
        horizontal_line(106, 115),
        horizontal_line(107, 117),
        horizontal_line(108, 118),
        horizontal_line(110, 120),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(48, 108),
        horizontal_line(47, 107),
        horizontal_line(46, 106),
        horizontal_line(45, 105),
        horizontal_line(44, 103),
        horizontal_line(43, 102),
        horizontal_line(42, 101),
        horizontal_line(41, 100),
        horizontal_line(40, 98),
        horizontal_line(39, 97),
        horizontal_line(38, 96),
        horizontal_line(37, 95),
        horizontal_line(36, 93),
        horizontal_line(35, 92),
        horizontal_line(34, 91),
        horizontal_line(33, 90),
        horizontal_line(32, 89),
        horizontal_line(31, 87),
        horizontal_line(30, 86),
        horizontal_line(29, 85),
        horizontal_line(28, 84),
        horizontal_line(27, 82),
        horizontal_line(26, 81),
        horizontal_line(25, 80),
        horizontal_line(117, 130),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(112, 132),
        horizontal_line(111, 133),
        horizontal_line(109, 133),
        horizontal_line(54, 71),
        horizontal_line(59, 70),
        horizontal_line(64, 69),
        horizontal_line(103, 125),
        horizontal_line(101, 123),
        horizontal_line(100, 122),
        horizontal_line(98, 120),
        horizontal_line(97, 118),
        horizontal_line(95, 116),
        horizontal_line(130, 140),
        horizontal_line(97, 112),
        horizontal_line(101, 110),
        horizontal_line(104, 108),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(142, 143),
        horizontal_line(142, 143),
        horizontal_line(134, 137),
        horizontal_line(142, 145),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(143, 147),
        horizontal_line(143, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 149),
        horizontal_line(153, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 158),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 171),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(171, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(150, 161),
        horizontal_line(153, 161),
        horizontal_line(156, 162),
        horizontal_line(159, 162),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(134, 163),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(175, 189),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(177, 191),
        horizontal_line(177, 192),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(175, 181),
        horizontal_line(173, 185),
        horizontal_line(171, 189),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_608_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(167, 196),
        horizontal_line(165, 194),
        horizontal_line(163, 192),
        horizontal_line(161, 191),
        horizontal_line(159, 189),
        horizontal_line(156, 187),
        horizontal_line(154, 186),
        horizontal_line(152, 184),
        horizontal_line(150, 183),
        horizontal_line(148, 181),
        horizontal_line(146, 179),
        horizontal_line(144, 178),
        horizontal_line(142, 176),
        horizontal_line(140, 175),
    };

    constexpr const shape frame_608_shape_group_2_shapes[] = {
        shape(frame_608_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_608_shape_group_2_shape_1_horizontal_lines, 9, 4),
        shape(frame_608_shape_group_2_shape_2_horizontal_lines, 23, 1),
        shape(frame_608_shape_group_2_shape_3_horizontal_lines, 66, 4),
        shape(frame_608_shape_group_2_shape_4_horizontal_lines, 135, 1),
        shape(frame_608_shape_group_2_shape_5_horizontal_lines, 136, 4),
        shape(frame_608_shape_group_2_shape_6_horizontal_lines, 141, 1),
        shape(frame_608_shape_group_2_shape_7_horizontal_lines, 145, 4),
        shape(frame_608_shape_group_2_shape_8_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(84, 86),
        horizontal_line(85, 87),
        horizontal_line(86, 89),
        horizontal_line(87, 90),
        horizontal_line(88, 92),
        horizontal_line(89, 93),
        horizontal_line(91, 95),
        horizontal_line(92, 96),
        horizontal_line(93, 98),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(110, 121),
        horizontal_line(111, 123),
        horizontal_line(112, 125),
        horizontal_line(113, 126),
        horizontal_line(114, 128),
        horizontal_line(115, 129),
        horizontal_line(116, 131),
        horizontal_line(117, 132),
        horizontal_line(118, 134),
        horizontal_line(119, 135),
        horizontal_line(120, 137),
        horizontal_line(121, 139),
        horizontal_line(121, 140),
        horizontal_line(122, 142),
        horizontal_line(123, 143),
        horizontal_line(124, 145),
        horizontal_line(125, 146),
        horizontal_line(126, 148),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(124, 127),
        horizontal_line(123, 127),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(132, 159),
        horizontal_line(133, 160),
        horizontal_line(134, 162),
        horizontal_line(135, 164),
        horizontal_line(136, 165),
        horizontal_line(137, 167),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(107, 131),
        horizontal_line(106, 129),
        horizontal_line(104, 127),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(141, 173),
        horizontal_line(142, 174),
        horizontal_line(143, 176),
        horizontal_line(143, 178),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(136, 139),
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(124, 130),
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(150, 189),
        horizontal_line(151, 190),
        horizontal_line(142, 143),
        horizontal_line(153, 193),
        horizontal_line(154, 195),
        horizontal_line(146, 146),
        horizontal_line(155, 198),
        horizontal_line(147, 147),
        horizontal_line(147, 148),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(149, 150),
        horizontal_line(149, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 152),
        horizontal_line(150, 153),
        horizontal_line(151, 153),
        horizontal_line(151, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(153, 156),
        horizontal_line(169, 221),
        horizontal_line(170, 223),
        horizontal_line(171, 224),
        horizontal_line(172, 226),
        horizontal_line(173, 228),
        horizontal_line(174, 229),
        horizontal_line(175, 231),
        horizontal_line(176, 232),
        horizontal_line(176, 234),
        horizontal_line(177, 235),
        horizontal_line(178, 237),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
        horizontal_line(171, 182),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(173, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(175, 188),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(179, 192),
        horizontal_line(182, 193),
        horizontal_line(186, 194),
        horizontal_line(190, 194),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_608_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_608_shape_group_3_shapes[] = {
        shape(frame_608_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_608_shape_group_3_shape_1_horizontal_lines, 23, 4),
        shape(frame_608_shape_group_3_shape_2_horizontal_lines, 41, 1),
        shape(frame_608_shape_group_3_shape_3_horizontal_lines, 47, 4),
        shape(frame_608_shape_group_3_shape_4_horizontal_lines, 53, 1),
        shape(frame_608_shape_group_3_shape_5_horizontal_lines, 56, 4),
        shape(frame_608_shape_group_3_shape_6_horizontal_lines, 60, 1),
        shape(frame_608_shape_group_3_shape_7_horizontal_lines, 62, 4),
        shape(frame_608_shape_group_3_shape_8_horizontal_lines, 63, 1),
        shape(frame_608_shape_group_3_shape_9_horizontal_lines, 66, 4),
        shape(frame_608_shape_group_3_shape_10_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(127, 150),
        horizontal_line(128, 151),
        horizontal_line(129, 153),
        horizontal_line(130, 154),
        horizontal_line(131, 156),
        horizontal_line(132, 157),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(138, 168),
        horizontal_line(139, 170),
        horizontal_line(140, 171),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(144, 179),
        horizontal_line(145, 181),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(147, 184),
        horizontal_line(148, 185),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(152, 192),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(154, 196),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(156, 199),
        horizontal_line(157, 201),
        horizontal_line(158, 203),
        horizontal_line(159, 204),
        horizontal_line(160, 206),
        horizontal_line(161, 207),
        horizontal_line(162, 209),
        horizontal_line(163, 210),
        horizontal_line(164, 212),
        horizontal_line(165, 214),
        horizontal_line(165, 215),
        horizontal_line(166, 217),
        horizontal_line(167, 218),
        horizontal_line(168, 220),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_608_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_608_shape_group_4_shapes[] = {
        shape(frame_608_shape_group_4_shape_0_horizontal_lines, 41, 4),
        shape(frame_608_shape_group_4_shape_1_horizontal_lines, 47, 7),
        shape(frame_608_shape_group_4_shape_2_horizontal_lines, 53, 4),
        shape(frame_608_shape_group_4_shape_3_horizontal_lines, 56, 7),
        shape(frame_608_shape_group_4_shape_4_horizontal_lines, 60, 4),
        shape(frame_608_shape_group_4_shape_5_horizontal_lines, 62, 7),
        shape(frame_608_shape_group_4_shape_6_horizontal_lines, 63, 4),
        shape(frame_608_shape_group_4_shape_7_horizontal_lines, 66, 7),
        shape(frame_608_shape_group_4_shape_8_horizontal_lines, 68, 4),
        shape(frame_608_shape_group_4_shape_9_horizontal_lines, 69, 7),
        shape(frame_608_shape_group_4_shape_10_horizontal_lines, 71, 4),
        shape(frame_608_shape_group_4_shape_11_horizontal_lines, 72, 7),
        shape(frame_608_shape_group_4_shape_12_horizontal_lines, 73, 4),
        shape(frame_608_shape_group_4_shape_13_horizontal_lines, 87, 7),
        shape(frame_608_shape_group_4_shape_14_horizontal_lines, 122, 4),
        shape(frame_608_shape_group_4_shape_15_horizontal_lines, 127, 7),
        shape(frame_608_shape_group_4_shape_16_horizontal_lines, 130, 4),
        shape(frame_608_shape_group_4_shape_17_horizontal_lines, 136, 7),
        shape(frame_608_shape_group_4_shape_18_horizontal_lines, 141, 4),
        shape(frame_608_shape_group_4_shape_19_horizontal_lines, 145, 7),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(24, 28),
        horizontal_line(25, 33),
        horizontal_line(25, 38),
        horizontal_line(26, 43),
        horizontal_line(26, 48),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(29, 68),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(70, 76),
        horizontal_line(70, 80),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(72, 93),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(149, 187),
    };

    constexpr const horizontal_line frame_608_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(74, 94),
        horizontal_line(75, 95),
        horizontal_line(0, 35),
        horizontal_line(76, 96),
        horizontal_line(77, 96),
        horizontal_line(0, 37),
        horizontal_line(78, 97),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(87, 104),
        horizontal_line(87, 104),
        horizontal_line(88, 105),
        horizontal_line(88, 105),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(90, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(93, 109),
        horizontal_line(94, 109),
        horizontal_line(94, 110),
        horizontal_line(95, 110),
        horizontal_line(95, 111),
        horizontal_line(96, 111),
        horizontal_line(96, 112),
        horizontal_line(97, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 114),
        horizontal_line(100, 114),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(104, 117),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(111, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(115, 126),
        horizontal_line(116, 127),
        horizontal_line(116, 127),
        horizontal_line(117, 127),
        horizontal_line(117, 128),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(120, 130),
        horizontal_line(121, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 136),
        horizontal_line(128, 136),
        horizontal_line(129, 137),
    };

    constexpr const shape frame_608_shape_group_5_shapes[] = {
        shape(frame_608_shape_group_5_shape_0_horizontal_lines, 42, 7),
        shape(frame_608_shape_group_5_shape_1_horizontal_lines, 48, 6),
        shape(frame_608_shape_group_5_shape_2_horizontal_lines, 53, 7),
        shape(frame_608_shape_group_5_shape_3_horizontal_lines, 56, 6),
        shape(frame_608_shape_group_5_shape_4_horizontal_lines, 57, 7),
        shape(frame_608_shape_group_5_shape_5_horizontal_lines, 65, 4),
        shape(frame_608_shape_group_5_shape_6_horizontal_lines, 66, 7),
    };

    constexpr const horizontal_line frame_608_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(27, 53),
        horizontal_line(28, 58),
        horizontal_line(28, 63),
    };

    constexpr const horizontal_line frame_608_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(29, 68),
        horizontal_line(30, 69),
        horizontal_line(31, 69),
    };

    constexpr const horizontal_line frame_608_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(71, 84),
        horizontal_line(71, 88),
    };

    constexpr const horizontal_line frame_608_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(32, 71),
    };

    constexpr const horizontal_line frame_608_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(73, 93),
        horizontal_line(73, 93),
        horizontal_line(0, 33),
        horizontal_line(107, 107),
        horizontal_line(107, 114),
        horizontal_line(75, 95),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(77, 97),
        horizontal_line(109, 115),
        horizontal_line(78, 97),
        horizontal_line(79, 98),
        horizontal_line(80, 98),
        horizontal_line(80, 99),
        horizontal_line(81, 99),
        horizontal_line(81, 100),
        horizontal_line(82, 100),
        horizontal_line(82, 101),
        horizontal_line(83, 101),
        horizontal_line(84, 102),
        horizontal_line(84, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 103),
        horizontal_line(86, 103),
        horizontal_line(114, 118),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(107, 120),
        horizontal_line(108, 120),
        horizontal_line(108, 121),
        horizontal_line(109, 121),
        horizontal_line(109, 122),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(112, 123),
        horizontal_line(112, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 125),
        horizontal_line(114, 125),
        horizontal_line(115, 126),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(118, 128),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(120, 130),
        horizontal_line(132, 134),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
    };

    constexpr const shape frame_608_shape_group_6_shapes[] = {
        shape(frame_608_shape_group_6_shape_0_horizontal_lines, 53, 6),
        shape(frame_608_shape_group_6_shape_1_horizontal_lines, 57, 6),
        shape(frame_608_shape_group_6_shape_2_horizontal_lines, 60, 7),
        shape(frame_608_shape_group_6_shape_3_horizontal_lines, 62, 6),
        shape(frame_608_shape_group_6_shape_4_horizontal_lines, 63, 7),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(31, 70),
        horizontal_line(32, 70),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(33, 72),
        horizontal_line(34, 72),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(74, 94),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(35, 74),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(107, 114),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(37, 75),
        horizontal_line(37, 76),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(38, 77),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(47, 86),
        horizontal_line(48, 86),
        horizontal_line(49, 87),
        horizontal_line(49, 87),
        horizontal_line(50, 88),
        horizontal_line(50, 88),
        horizontal_line(51, 89),
        horizontal_line(52, 90),
        horizontal_line(52, 90),
        horizontal_line(53, 91),
        horizontal_line(53, 91),
        horizontal_line(54, 92),
        horizontal_line(55, 93),
        horizontal_line(55, 93),
        horizontal_line(56, 94),
        horizontal_line(56, 94),
        horizontal_line(57, 95),
        horizontal_line(58, 95),
        horizontal_line(58, 96),
        horizontal_line(59, 97),
        horizontal_line(59, 97),
        horizontal_line(60, 98),
        horizontal_line(61, 98),
        horizontal_line(61, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(131, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_608_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(83, 120),
        horizontal_line(83, 121),
        horizontal_line(84, 121),
        horizontal_line(85, 122),
        horizontal_line(85, 122),
        horizontal_line(86, 123),
        horizontal_line(86, 123),
        horizontal_line(87, 124),
        horizontal_line(88, 125),
        horizontal_line(88, 125),
        horizontal_line(89, 126),
        horizontal_line(89, 126),
        horizontal_line(90, 127),
        horizontal_line(91, 128),
    };

    constexpr const shape frame_608_shape_group_7_shapes[] = {
        shape(frame_608_shape_group_7_shape_0_horizontal_lines, 60, 6),
        shape(frame_608_shape_group_7_shape_1_horizontal_lines, 63, 6),
        shape(frame_608_shape_group_7_shape_2_horizontal_lines, 65, 7),
        shape(frame_608_shape_group_7_shape_3_horizontal_lines, 67, 6),
        shape(frame_608_shape_group_7_shape_4_horizontal_lines, 68, 7),
        shape(frame_608_shape_group_7_shape_5_horizontal_lines, 69, 6),
        shape(frame_608_shape_group_7_shape_6_horizontal_lines, 71, 7),
        shape(frame_608_shape_group_7_shape_7_horizontal_lines, 72, 6),
        shape(frame_608_shape_group_7_shape_8_horizontal_lines, 73, 7),
        shape(frame_608_shape_group_7_shape_9_horizontal_lines, 87, 6),
        shape(frame_608_shape_group_7_shape_10_horizontal_lines, 113, 7),
        shape(frame_608_shape_group_7_shape_11_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(94, 96),
        horizontal_line(94, 100),
        horizontal_line(34, 73),
        horizontal_line(35, 73),
        horizontal_line(96, 106),
        horizontal_line(36, 74),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(38, 76),
        horizontal_line(98, 108),
        horizontal_line(39, 77),
        horizontal_line(40, 78),
        horizontal_line(40, 79),
        horizontal_line(41, 79),
        horizontal_line(41, 80),
        horizontal_line(42, 80),
        horizontal_line(43, 81),
        horizontal_line(43, 81),
        horizontal_line(44, 82),
        horizontal_line(44, 83),
        horizontal_line(45, 83),
        horizontal_line(46, 84),
        horizontal_line(46, 84),
        horizontal_line(47, 85),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(63, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 103),
        horizontal_line(66, 104),
        horizontal_line(67, 104),
        horizontal_line(67, 105),
        horizontal_line(68, 105),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(71, 109),
        horizontal_line(72, 109),
        horizontal_line(73, 110),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(77, 114),
        horizontal_line(77, 115),
        horizontal_line(78, 115),
        horizontal_line(79, 116),
        horizontal_line(79, 116),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(82, 119),
        horizontal_line(132, 132),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_608_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(138, 138),
    };

    constexpr const shape frame_608_shape_group_8_shapes[] = {
        shape(frame_608_shape_group_8_shape_0_horizontal_lines, 63, 6),
        shape(frame_608_shape_group_8_shape_1_horizontal_lines, 122, 7),
        shape(frame_608_shape_group_8_shape_2_horizontal_lines, 127, 6),
        shape(frame_608_shape_group_8_shape_3_horizontal_lines, 130, 7),
        shape(frame_608_shape_group_8_shape_4_horizontal_lines, 136, 6),
        shape(frame_608_shape_group_8_shape_5_horizontal_lines, 141, 7),
        shape(frame_608_shape_group_8_shape_6_horizontal_lines, 145, 6),
        shape(frame_608_shape_group_8_shape_7_horizontal_lines, 149, 6),
    };

    constexpr const horizontal_line frame_608_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(95, 103),
        horizontal_line(95, 106),
        horizontal_line(115, 118),
        horizontal_line(96, 106),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(98, 107),
        horizontal_line(116, 118),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(99, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(102, 110),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_608_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(68, 106),
        horizontal_line(69, 107),
        horizontal_line(70, 107),
        horizontal_line(70, 108),
        horizontal_line(71, 108),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(73, 111),
        horizontal_line(74, 111),
        horizontal_line(74, 112),
        horizontal_line(75, 112),
        horizontal_line(76, 113),
        horizontal_line(76, 114),
        horizontal_line(127, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(80, 117),
        horizontal_line(80, 118),
        horizontal_line(81, 118),
        horizontal_line(82, 119),
        horizontal_line(131, 131),
    };

    constexpr const shape frame_608_shape_group_9_shapes[] = {
        shape(frame_608_shape_group_9_shape_0_horizontal_lines, 65, 6),
        shape(frame_608_shape_group_9_shape_1_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_608_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 131),
    };

    constexpr const shape frame_608_shape_group_10_shapes[] = {
        shape(frame_608_shape_group_10_shape_0_horizontal_lines, 66, 6),
        shape(frame_608_shape_group_10_shape_1_horizontal_lines, 68, 6),
        shape(frame_608_shape_group_10_shape_2_horizontal_lines, 71, 6),
        shape(frame_608_shape_group_10_shape_3_horizontal_lines, 73, 6),
        shape(frame_608_shape_group_10_shape_4_horizontal_lines, 122, 6),
        shape(frame_608_shape_group_10_shape_5_horizontal_lines, 130, 6),
        shape(frame_608_shape_group_10_shape_6_horizontal_lines, 141, 6),
    };

    constexpr const shape_group frame_608_shape_groups[] = {
        shape_group(frame_608_shape_group_0_shapes),
        shape_group(frame_608_shape_group_1_shapes),
        shape_group(frame_608_shape_group_2_shapes),
        shape_group(frame_608_shape_group_3_shapes),
        shape_group(frame_608_shape_group_4_shapes),
        shape_group(frame_608_shape_group_5_shapes),
        shape_group(frame_608_shape_group_6_shapes),
        shape_group(frame_608_shape_group_7_shapes),
        shape_group(frame_608_shape_group_8_shapes),
        shape_group(frame_608_shape_group_9_shapes),
        shape_group(frame_608_shape_group_10_shapes),
    };

    constexpr const frame frame_608_impl(frame_608_colors, frame_608_shape_groups);
} 

const frame& frame_608()
{
    return frame_608_impl;
}

namespace
{
    constexpr const bn::color frame_609_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(1, 16),
        horizontal_line(5, 15),
        horizontal_line(9, 14),
        horizontal_line(78, 119),
        horizontal_line(77, 118),
        horizontal_line(76, 116),
        horizontal_line(74, 115),
        horizontal_line(73, 113),
        horizontal_line(72, 112),
        horizontal_line(71, 110),
        horizontal_line(69, 109),
        horizontal_line(68, 108),
        horizontal_line(67, 106),
        horizontal_line(66, 105),
        horizontal_line(65, 103),
        horizontal_line(68, 102),
        horizontal_line(72, 100),
        horizontal_line(75, 99),
        horizontal_line(79, 97),
        horizontal_line(82, 96),
        horizontal_line(86, 94),
        horizontal_line(89, 93),
        horizontal_line(112, 128),
        horizontal_line(110, 125),
        horizontal_line(108, 122),
        horizontal_line(107, 119),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 137),
        horizontal_line(135, 135),
        horizontal_line(120, 120),
        horizontal_line(120, 123),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(128, 129),
        horizontal_line(128, 132),
        horizontal_line(128, 134),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(131, 140),
        horizontal_line(129, 144),
        horizontal_line(129, 147),
        horizontal_line(129, 150),
        horizontal_line(130, 146),
        horizontal_line(130, 143),
        horizontal_line(130, 140),
        horizontal_line(131, 137),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(132, 163),
    };

    constexpr const horizontal_line frame_609_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(163, 168),
        horizontal_line(160, 171),
        horizontal_line(157, 174),
        horizontal_line(155, 176),
        horizontal_line(152, 179),
        horizontal_line(149, 181),
        horizontal_line(146, 178),
        horizontal_line(144, 176),
        horizontal_line(141, 174),
        horizontal_line(138, 172),
        horizontal_line(135, 169),
        horizontal_line(133, 167),
        horizontal_line(133, 165),
        horizontal_line(134, 163),
        horizontal_line(134, 160),
        horizontal_line(135, 158),
        horizontal_line(136, 156),
        horizontal_line(136, 154),
        horizontal_line(137, 151),
        horizontal_line(137, 149),
        horizontal_line(138, 147),
        horizontal_line(139, 145),
    };

    constexpr const shape frame_609_shape_group_0_shapes[] = {
        shape(frame_609_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_609_shape_group_0_shape_1_horizontal_lines, 66, 1),
        shape(frame_609_shape_group_0_shape_2_horizontal_lines, 71, 4),
        shape(frame_609_shape_group_0_shape_3_horizontal_lines, 122, 1),
        shape(frame_609_shape_group_0_shape_4_horizontal_lines, 126, 5),
        shape(frame_609_shape_group_0_shape_5_horizontal_lines, 136, 1),
        shape(frame_609_shape_group_0_shape_6_horizontal_lines, 137, 5),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(56, 88),
        horizontal_line(55, 89),
        horizontal_line(54, 90),
        horizontal_line(53, 91),
        horizontal_line(52, 92),
        horizontal_line(51, 93),
        horizontal_line(50, 94),
        horizontal_line(49, 95),
        horizontal_line(48, 96),
        horizontal_line(47, 98),
        horizontal_line(46, 99),
        horizontal_line(45, 100),
        horizontal_line(44, 101),
        horizontal_line(43, 102),
        horizontal_line(42, 103),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(106, 108),
        horizontal_line(105, 109),
        horizontal_line(104, 110),
        horizontal_line(102, 111),
        horizontal_line(101, 112),
        horizontal_line(100, 113),
        horizontal_line(99, 114),
        horizontal_line(98, 115),
        horizontal_line(96, 116),
        horizontal_line(95, 117),
        horizontal_line(94, 118),
        horizontal_line(93, 119),
        horizontal_line(91, 120),
        horizontal_line(90, 121),
        horizontal_line(89, 122),
        horizontal_line(88, 123),
        horizontal_line(87, 123),
        horizontal_line(85, 124),
        horizontal_line(84, 125),
        horizontal_line(83, 125),
        horizontal_line(82, 124),
        horizontal_line(80, 122),
        horizontal_line(79, 121),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(18, 76),
        horizontal_line(23, 75),
        horizontal_line(27, 73),
        horizontal_line(32, 72),
        horizontal_line(37, 71),
        horizontal_line(41, 70),
        horizontal_line(46, 68),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(132, 135),
        horizontal_line(130, 135),
        horizontal_line(128, 136),
        horizontal_line(126, 137),
        horizontal_line(124, 137),
        horizontal_line(122, 138),
        horizontal_line(120, 139),
        horizontal_line(118, 136),
        horizontal_line(116, 133),
        horizontal_line(114, 130),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(93, 111),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(134, 140),
        horizontal_line(129, 139),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(136, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 137),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 152),
        horizontal_line(146, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 160),
        horizontal_line(128, 136),
        horizontal_line(130, 136),
        horizontal_line(133, 136),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(128, 136),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(150, 162),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(147, 153),
        horizontal_line(144, 155),
        horizontal_line(141, 157),
        horizontal_line(138, 159),
        horizontal_line(135, 161),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(132, 165),
        horizontal_line(132, 162),
        horizontal_line(133, 159),
        horizontal_line(133, 156),
        horizontal_line(133, 154),
        horizontal_line(134, 151),
        horizontal_line(134, 148),
        horizontal_line(134, 145),
        horizontal_line(135, 143),
        horizontal_line(135, 140),
        horizontal_line(135, 137),
        horizontal_line(170, 196),
        horizontal_line(168, 199),
    };

    constexpr const horizontal_line frame_609_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(200, 206),
        horizontal_line(198, 210),
        horizontal_line(197, 214),
        horizontal_line(195, 218),
        horizontal_line(193, 222),
        horizontal_line(192, 226),
        horizontal_line(190, 230),
        horizontal_line(188, 234),
        horizontal_line(187, 238),
    };

    constexpr const shape frame_609_shape_group_1_shapes[] = {
        shape(frame_609_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_609_shape_group_1_shape_1_horizontal_lines, 18, 5),
        shape(frame_609_shape_group_1_shape_2_horizontal_lines, 42, 1),
        shape(frame_609_shape_group_1_shape_3_horizontal_lines, 50, 5),
        shape(frame_609_shape_group_1_shape_4_horizontal_lines, 61, 1),
        shape(frame_609_shape_group_1_shape_5_horizontal_lines, 62, 5),
        shape(frame_609_shape_group_1_shape_6_horizontal_lines, 66, 4),
        shape(frame_609_shape_group_1_shape_7_horizontal_lines, 126, 1),
        shape(frame_609_shape_group_1_shape_8_horizontal_lines, 128, 4),
        shape(frame_609_shape_group_1_shape_9_horizontal_lines, 130, 1),
        shape(frame_609_shape_group_1_shape_10_horizontal_lines, 136, 4),
        shape(frame_609_shape_group_1_shape_11_horizontal_lines, 137, 1),
        shape(frame_609_shape_group_1_shape_12_horizontal_lines, 150, 5),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(89, 98),
        horizontal_line(90, 99),
        horizontal_line(91, 101),
        horizontal_line(92, 102),
        horizontal_line(93, 104),
        horizontal_line(94, 106),
        horizontal_line(95, 107),
        horizontal_line(96, 109),
        horizontal_line(97, 111),
        horizontal_line(99, 112),
        horizontal_line(100, 114),
        horizontal_line(101, 116),
        horizontal_line(102, 117),
        horizontal_line(103, 119),
        horizontal_line(104, 121),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(102, 105),
        horizontal_line(101, 107),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(120, 129),
        horizontal_line(119, 129),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 132),
        horizontal_line(111, 133),
        horizontal_line(110, 133),
        horizontal_line(51, 67),
        horizontal_line(55, 66),
        horizontal_line(60, 65),
        horizontal_line(104, 127),
        horizontal_line(103, 125),
        horizontal_line(101, 123),
        horizontal_line(100, 121),
        horizontal_line(98, 119),
        horizontal_line(97, 117),
        horizontal_line(95, 115),
        horizontal_line(94, 113),
        horizontal_line(129, 141),
        horizontal_line(97, 109),
        horizontal_line(102, 107),
        horizontal_line(120, 128),
        horizontal_line(117, 123),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(144, 146),
        horizontal_line(144, 146),
        horizontal_line(144, 146),
        horizontal_line(144, 146),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(145, 147),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(156, 160),
        horizontal_line(156, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(162, 168),
        horizontal_line(162, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(169, 178),
        horizontal_line(169, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 180),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 162),
        horizontal_line(174, 186),
        horizontal_line(175, 187),
        horizontal_line(152, 162),
        horizontal_line(154, 163),
        horizontal_line(156, 163),
        horizontal_line(158, 163),
        horizontal_line(160, 164),
        horizontal_line(162, 164),
        horizontal_line(178, 191),
        horizontal_line(179, 192),
        horizontal_line(179, 193),
        horizontal_line(180, 193),
        horizontal_line(180, 194),
        horizontal_line(181, 195),
        horizontal_line(181, 195),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(179, 184),
        horizontal_line(177, 187),
        horizontal_line(175, 190),
        horizontal_line(173, 193),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(197, 199),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_609_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(166, 201),
        horizontal_line(164, 199),
        horizontal_line(161, 197),
        horizontal_line(159, 196),
        horizontal_line(157, 194),
        horizontal_line(155, 192),
        horizontal_line(152, 191),
        horizontal_line(150, 189),
        horizontal_line(148, 187),
        horizontal_line(146, 186),
    };

    constexpr const shape frame_609_shape_group_2_shapes[] = {
        shape(frame_609_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_609_shape_group_2_shape_1_horizontal_lines, 15, 1),
        shape(frame_609_shape_group_2_shape_2_horizontal_lines, 66, 4),
        shape(frame_609_shape_group_2_shape_3_horizontal_lines, 143, 1),
        shape(frame_609_shape_group_2_shape_4_horizontal_lines, 148, 4),
        shape(frame_609_shape_group_2_shape_5_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(105, 122),
        horizontal_line(106, 124),
        horizontal_line(108, 126),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(97, 103),
        horizontal_line(96, 101),
        horizontal_line(95, 100),
        horizontal_line(94, 99),
        horizontal_line(93, 98),
        horizontal_line(92, 97),
        horizontal_line(91, 95),
        horizontal_line(90, 94),
        horizontal_line(89, 93),
        horizontal_line(88, 92),
        horizontal_line(87, 90),
        horizontal_line(86, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 87),
        horizontal_line(83, 86),
        horizontal_line(82, 84),
        horizontal_line(81, 83),
        horizontal_line(126, 126),
        horizontal_line(125, 127),
        horizontal_line(123, 127),
        horizontal_line(122, 128),
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(132, 169),
        horizontal_line(133, 170),
        horizontal_line(134, 172),
        horizontal_line(135, 174),
        horizontal_line(136, 175),
        horizontal_line(137, 177),
        horizontal_line(138, 179),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(109, 133),
        horizontal_line(107, 131),
        horizontal_line(106, 129),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(141, 185),
        horizontal_line(142, 187),
        horizontal_line(143, 189),
        horizontal_line(144, 190),
        horizontal_line(145, 192),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(134, 140),
        horizontal_line(131, 141),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(149, 199),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(123, 133),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(143, 143),
        horizontal_line(145, 145),
        horizontal_line(155, 209),
        horizontal_line(146, 146),
        horizontal_line(146, 147),
        horizontal_line(147, 147),
        horizontal_line(147, 148),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(149, 150),
        horizontal_line(149, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
        horizontal_line(153, 155),
        horizontal_line(153, 156),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(155, 158),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(172, 182),
        horizontal_line(172, 183),
        horizontal_line(173, 183),
        horizontal_line(173, 184),
        horizontal_line(173, 185),
        horizontal_line(174, 185),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(175, 187),
        horizontal_line(176, 188),
        horizontal_line(176, 189),
        horizontal_line(177, 189),
        horizontal_line(177, 190),
        horizontal_line(178, 191),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(183, 196),
        horizontal_line(185, 197),
        horizontal_line(188, 197),
        horizontal_line(191, 198),
        horizontal_line(194, 199),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_609_shape_group_3_shapes[] = {
        shape(frame_609_shape_group_3_shape_0_horizontal_lines, 15, 4),
        shape(frame_609_shape_group_3_shape_1_horizontal_lines, 18, 1),
        shape(frame_609_shape_group_3_shape_2_horizontal_lines, 43, 4),
        shape(frame_609_shape_group_3_shape_3_horizontal_lines, 50, 1),
        shape(frame_609_shape_group_3_shape_4_horizontal_lines, 53, 4),
        shape(frame_609_shape_group_3_shape_5_horizontal_lines, 58, 1),
        shape(frame_609_shape_group_3_shape_6_horizontal_lines, 61, 4),
        shape(frame_609_shape_group_3_shape_7_horizontal_lines, 62, 1),
        shape(frame_609_shape_group_3_shape_8_horizontal_lines, 64, 4),
        shape(frame_609_shape_group_3_shape_9_horizontal_lines, 157, 7),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(108, 127),
        horizontal_line(109, 129),
        horizontal_line(110, 131),
        horizontal_line(111, 132),
        horizontal_line(112, 134),
        horizontal_line(113, 136),
        horizontal_line(114, 137),
        horizontal_line(115, 139),
        horizontal_line(116, 141),
        horizontal_line(117, 142),
        horizontal_line(118, 144),
        horizontal_line(119, 146),
        horizontal_line(120, 147),
        horizontal_line(121, 149),
        horizontal_line(122, 151),
        horizontal_line(123, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(125, 157),
        horizontal_line(126, 159),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(80, 82),
        horizontal_line(79, 81),
        horizontal_line(78, 79),
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(131, 167),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(139, 180),
        horizontal_line(140, 182),
        horizontal_line(140, 184),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(146, 194),
        horizontal_line(147, 195),
        horizontal_line(148, 197),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(150, 200),
        horizontal_line(143, 143),
        horizontal_line(152, 204),
        horizontal_line(153, 205),
        horizontal_line(154, 207),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(156, 210),
        horizontal_line(157, 212),
        horizontal_line(157, 214),
        horizontal_line(158, 215),
        horizontal_line(159, 217),
        horizontal_line(160, 219),
        horizontal_line(161, 220),
        horizontal_line(162, 222),
        horizontal_line(163, 224),
        horizontal_line(164, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 59),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(122, 135),
        horizontal_line(123, 135),
        horizontal_line(124, 136),
    };

    constexpr const shape frame_609_shape_group_4_shapes[] = {
        shape(frame_609_shape_group_4_shape_0_horizontal_lines, 18, 4),
        shape(frame_609_shape_group_4_shape_1_horizontal_lines, 38, 1),
        shape(frame_609_shape_group_4_shape_2_horizontal_lines, 42, 4),
        shape(frame_609_shape_group_4_shape_3_horizontal_lines, 43, 7),
        shape(frame_609_shape_group_4_shape_4_horizontal_lines, 50, 4),
        shape(frame_609_shape_group_4_shape_5_horizontal_lines, 53, 7),
        shape(frame_609_shape_group_4_shape_6_horizontal_lines, 58, 4),
        shape(frame_609_shape_group_4_shape_7_horizontal_lines, 61, 7),
        shape(frame_609_shape_group_4_shape_8_horizontal_lines, 62, 4),
        shape(frame_609_shape_group_4_shape_9_horizontal_lines, 67, 7),
        shape(frame_609_shape_group_4_shape_10_horizontal_lines, 68, 4),
        shape(frame_609_shape_group_4_shape_11_horizontal_lines, 92, 7),
        shape(frame_609_shape_group_4_shape_12_horizontal_lines, 122, 4),
        shape(frame_609_shape_group_4_shape_13_horizontal_lines, 128, 7),
        shape(frame_609_shape_group_4_shape_14_horizontal_lines, 130, 4),
        shape(frame_609_shape_group_4_shape_15_horizontal_lines, 136, 7),
        shape(frame_609_shape_group_4_shape_16_horizontal_lines, 143, 4),
        shape(frame_609_shape_group_4_shape_17_horizontal_lines, 148, 7),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(127, 161),
        horizontal_line(128, 162),
        horizontal_line(129, 164),
        horizontal_line(130, 166),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(14, 17),
        horizontal_line(15, 22),
        horizontal_line(15, 26),
        horizontal_line(16, 31),
        horizontal_line(16, 36),
        horizontal_line(17, 40),
        horizontal_line(17, 45),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(19, 64),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(65, 67),
        horizontal_line(66, 71),
        horizontal_line(66, 74),
        horizontal_line(67, 78),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(69, 92),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(151, 202),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(72, 94),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(228, 229),
        horizontal_line(229, 230),
        horizontal_line(230, 232),
        horizontal_line(231, 234),
        horizontal_line(232, 235),
        horizontal_line(233, 237),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_609_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(86, 105),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(89, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(92, 110),
        horizontal_line(92, 110),
        horizontal_line(93, 111),
        horizontal_line(93, 111),
        horizontal_line(94, 112),
        horizontal_line(95, 112),
        horizontal_line(95, 113),
        horizontal_line(96, 113),
        horizontal_line(96, 114),
        horizontal_line(97, 114),
        horizontal_line(97, 114),
        horizontal_line(98, 115),
        horizontal_line(98, 115),
        horizontal_line(99, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 117),
        horizontal_line(101, 117),
        horizontal_line(101, 118),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(106, 122),
        horizontal_line(107, 122),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(111, 125),
        horizontal_line(111, 126),
        horizontal_line(112, 126),
        horizontal_line(112, 127),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(114, 128),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(117, 134),
        horizontal_line(118, 131),
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 133),
        horizontal_line(121, 133),
        horizontal_line(121, 134),
        horizontal_line(122, 134),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
    };

    constexpr const shape frame_609_shape_group_5_shapes[] = {
        shape(frame_609_shape_group_5_shape_0_horizontal_lines, 38, 4),
        shape(frame_609_shape_group_5_shape_1_horizontal_lines, 42, 7),
        shape(frame_609_shape_group_5_shape_2_horizontal_lines, 43, 6),
        shape(frame_609_shape_group_5_shape_3_horizontal_lines, 50, 7),
        shape(frame_609_shape_group_5_shape_4_horizontal_lines, 53, 6),
        shape(frame_609_shape_group_5_shape_5_horizontal_lines, 54, 7),
        shape(frame_609_shape_group_5_shape_6_horizontal_lines, 63, 4),
        shape(frame_609_shape_group_5_shape_7_horizontal_lines, 64, 7),
        shape(frame_609_shape_group_5_shape_8_horizontal_lines, 78, 4),
        shape(frame_609_shape_group_5_shape_9_horizontal_lines, 87, 7),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(18, 50),
        horizontal_line(18, 54),
        horizontal_line(19, 59),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(20, 64),
        horizontal_line(20, 65),
        horizontal_line(21, 65),
        horizontal_line(21, 66),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(67, 81),
        horizontal_line(68, 85),
        horizontal_line(68, 88),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(24, 68),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(70, 92),
        horizontal_line(0, 24),
        horizontal_line(71, 93),
        horizontal_line(71, 93),
        horizontal_line(72, 94),
        horizontal_line(107, 114),
        horizontal_line(73, 95),
        horizontal_line(73, 95),
        horizontal_line(74, 96),
        horizontal_line(75, 96),
        horizontal_line(75, 96),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(78, 99),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(83, 103),
        horizontal_line(84, 104),
        horizontal_line(85, 104),
        horizontal_line(85, 105),
        horizontal_line(86, 105),
        horizontal_line(115, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(103, 119),
        horizontal_line(103, 119),
        horizontal_line(104, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 121),
        horizontal_line(106, 121),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(107, 122),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(109, 124),
        horizontal_line(110, 124),
        horizontal_line(110, 125),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(115, 128),
        horizontal_line(115, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 130),
        horizontal_line(117, 130),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_609_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(74, 121),
        horizontal_line(75, 122),
        horizontal_line(76, 123),
    };

    constexpr const shape frame_609_shape_group_6_shapes[] = {
        shape(frame_609_shape_group_6_shape_0_horizontal_lines, 39, 7),
        shape(frame_609_shape_group_6_shape_1_horizontal_lines, 50, 6),
        shape(frame_609_shape_group_6_shape_2_horizontal_lines, 54, 6),
        shape(frame_609_shape_group_6_shape_3_horizontal_lines, 58, 7),
        shape(frame_609_shape_group_6_shape_4_horizontal_lines, 61, 6),
        shape(frame_609_shape_group_6_shape_5_horizontal_lines, 62, 7),
        shape(frame_609_shape_group_6_shape_6_horizontal_lines, 157, 6),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(22, 66),
        horizontal_line(23, 67),
        horizontal_line(23, 67),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(24, 69),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(70, 92),
        horizontal_line(106, 106),
        horizontal_line(106, 110),
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(27, 71),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(78, 99),
        horizontal_line(79, 100),
        horizontal_line(80, 100),
        horizontal_line(80, 100),
        horizontal_line(81, 101),
        horizontal_line(81, 101),
        horizontal_line(82, 102),
        horizontal_line(82, 102),
        horizontal_line(83, 103),
        horizontal_line(113, 118),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(40, 85),
        horizontal_line(41, 86),
        horizontal_line(41, 86),
        horizontal_line(42, 87),
        horizontal_line(42, 87),
        horizontal_line(43, 88),
        horizontal_line(43, 89),
        horizontal_line(44, 89),
        horizontal_line(44, 90),
        horizontal_line(45, 90),
        horizontal_line(45, 91),
        horizontal_line(46, 91),
        horizontal_line(46, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 93),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(49, 95),
        horizontal_line(50, 95),
        horizontal_line(50, 96),
        horizontal_line(51, 96),
        horizontal_line(51, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 98),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(54, 100),
        horizontal_line(54, 100),
        horizontal_line(55, 101),
        horizontal_line(55, 101),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(59, 105),
        horizontal_line(60, 106),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_609_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(70, 116),
        horizontal_line(70, 117),
        horizontal_line(71, 117),
        horizontal_line(71, 118),
        horizontal_line(72, 119),
        horizontal_line(72, 119),
        horizontal_line(73, 120),
        horizontal_line(73, 120),
        horizontal_line(74, 121),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
    };

    constexpr const shape frame_609_shape_group_7_shapes[] = {
        shape(frame_609_shape_group_7_shape_0_horizontal_lines, 58, 6),
        shape(frame_609_shape_group_7_shape_1_horizontal_lines, 62, 6),
        shape(frame_609_shape_group_7_shape_2_horizontal_lines, 63, 7),
        shape(frame_609_shape_group_7_shape_3_horizontal_lines, 67, 6),
        shape(frame_609_shape_group_7_shape_4_horizontal_lines, 68, 7),
        shape(frame_609_shape_group_7_shape_5_horizontal_lines, 92, 6),
        shape(frame_609_shape_group_7_shape_6_horizontal_lines, 122, 7),
        shape(frame_609_shape_group_7_shape_7_horizontal_lines, 128, 6),
        shape(frame_609_shape_group_7_shape_8_horizontal_lines, 130, 7),
        shape(frame_609_shape_group_7_shape_9_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(25, 69),
        horizontal_line(25, 70),
        horizontal_line(26, 70),
        horizontal_line(26, 71),
        horizontal_line(95, 106),
        horizontal_line(27, 72),
        horizontal_line(28, 72),
        horizontal_line(28, 73),
        horizontal_line(29, 74),
        horizontal_line(29, 74),
        horizontal_line(30, 75),
        horizontal_line(30, 75),
        horizontal_line(31, 76),
        horizontal_line(32, 76),
        horizontal_line(32, 77),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(110, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(37, 82),
        horizontal_line(38, 83),
        horizontal_line(38, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 85),
        horizontal_line(106, 114),
        horizontal_line(107, 115),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(56, 102),
        horizontal_line(56, 102),
        horizontal_line(57, 103),
        horizontal_line(57, 104),
        horizontal_line(58, 104),
        horizontal_line(59, 105),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(60, 106),
        horizontal_line(61, 107),
        horizontal_line(61, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(63, 110),
        horizontal_line(64, 110),
        horizontal_line(64, 111),
        horizontal_line(65, 111),
        horizontal_line(65, 112),
        horizontal_line(66, 112),
        horizontal_line(66, 113),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_609_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(134, 134),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(135, 136),
    };

    constexpr const shape frame_609_shape_group_8_shapes[] = {
        shape(frame_609_shape_group_8_shape_0_horizontal_lines, 62, 6),
        shape(frame_609_shape_group_8_shape_1_horizontal_lines, 78, 7),
        shape(frame_609_shape_group_8_shape_2_horizontal_lines, 87, 6),
        shape(frame_609_shape_group_8_shape_3_horizontal_lines, 135, 7),
        shape(frame_609_shape_group_8_shape_4_horizontal_lines, 136, 6),
        shape(frame_609_shape_group_8_shape_5_horizontal_lines, 143, 7),
        shape(frame_609_shape_group_8_shape_6_horizontal_lines, 149, 6),
    };

    constexpr const horizontal_line frame_609_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(93, 101),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(95, 105),
        horizontal_line(115, 119),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(98, 108),
        horizontal_line(98, 108),
        horizontal_line(99, 108),
        horizontal_line(99, 109),
        horizontal_line(100, 109),
        horizontal_line(33, 77),
        horizontal_line(33, 78),
        horizontal_line(34, 79),
        horizontal_line(34, 79),
        horizontal_line(35, 80),
        horizontal_line(35, 80),
        horizontal_line(36, 81),
        horizontal_line(36, 81),
        horizontal_line(37, 82),
        horizontal_line(104, 112),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_609_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_609_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(63, 109),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(67, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 115),
        horizontal_line(69, 115),
        horizontal_line(69, 116),
    };

    constexpr const shape frame_609_shape_group_9_shapes[] = {
        shape(frame_609_shape_group_9_shape_0_horizontal_lines, 63, 6),
        shape(frame_609_shape_group_9_shape_1_horizontal_lines, 122, 6),
        shape(frame_609_shape_group_9_shape_2_horizontal_lines, 130, 6),
    };

    constexpr const horizontal_line frame_609_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_609_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(100, 109),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(102, 111),
        horizontal_line(102, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 112),
        horizontal_line(104, 112),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_609_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_609_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
    };

    constexpr const shape frame_609_shape_group_10_shapes[] = {
        shape(frame_609_shape_group_10_shape_0_horizontal_lines, 66, 6),
        shape(frame_609_shape_group_10_shape_1_horizontal_lines, 68, 6),
        shape(frame_609_shape_group_10_shape_2_horizontal_lines, 135, 6),
        shape(frame_609_shape_group_10_shape_3_horizontal_lines, 143, 6),
    };

    constexpr const horizontal_line frame_609_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
    };

    constexpr const shape frame_609_shape_group_11_shapes[] = {
        shape(frame_609_shape_group_11_shape_0_horizontal_lines, 78, 6),
    };

    constexpr const shape_group frame_609_shape_groups[] = {
        shape_group(frame_609_shape_group_0_shapes),
        shape_group(frame_609_shape_group_1_shapes),
        shape_group(frame_609_shape_group_2_shapes),
        shape_group(frame_609_shape_group_3_shapes),
        shape_group(frame_609_shape_group_4_shapes),
        shape_group(frame_609_shape_group_5_shapes),
        shape_group(frame_609_shape_group_6_shapes),
        shape_group(frame_609_shape_group_7_shapes),
        shape_group(frame_609_shape_group_8_shapes),
        shape_group(frame_609_shape_group_9_shapes),
        shape_group(frame_609_shape_group_10_shapes),
        shape_group(frame_609_shape_group_11_shapes),
    };

    constexpr const frame frame_609_impl(frame_609_colors, frame_609_shape_groups);
} 

const frame& frame_609()
{
    return frame_609_impl;
}

namespace
{
    constexpr const bn::color frame_610_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(1, 2),
        horizontal_line(76, 121),
        horizontal_line(75, 119),
        horizontal_line(73, 118),
        horizontal_line(72, 116),
        horizontal_line(71, 115),
        horizontal_line(70, 113),
        horizontal_line(69, 112),
        horizontal_line(68, 110),
        horizontal_line(66, 109),
        horizontal_line(65, 107),
        horizontal_line(64, 106),
        horizontal_line(63, 104),
        horizontal_line(62, 103),
        horizontal_line(61, 101),
        horizontal_line(64, 100),
        horizontal_line(68, 98),
        horizontal_line(72, 97),
        horizontal_line(76, 95),
        horizontal_line(79, 94),
        horizontal_line(83, 92),
        horizontal_line(87, 91),
        horizontal_line(115, 131),
        horizontal_line(113, 128),
        horizontal_line(111, 125),
        horizontal_line(109, 122),
        horizontal_line(107, 119),
        horizontal_line(111, 116),
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 138),
        horizontal_line(136, 136),
        horizontal_line(120, 120),
        horizontal_line(120, 123),
        horizontal_line(120, 127),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 134),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 130),
        horizontal_line(128, 133),
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(132, 140),
        horizontal_line(129, 143),
        horizontal_line(130, 146),
        horizontal_line(130, 149),
        horizontal_line(130, 151),
        horizontal_line(130, 147),
        horizontal_line(131, 144),
        horizontal_line(131, 141),
        horizontal_line(131, 138),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(132, 165),
    };

    constexpr const horizontal_line frame_610_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(165, 170),
        horizontal_line(162, 172),
        horizontal_line(159, 174),
        horizontal_line(156, 176),
        horizontal_line(153, 178),
        horizontal_line(151, 180),
        horizontal_line(148, 182),
        horizontal_line(145, 184),
        horizontal_line(142, 181),
        horizontal_line(139, 179),
        horizontal_line(136, 176),
        horizontal_line(134, 174),
        horizontal_line(134, 172),
        horizontal_line(134, 169),
        horizontal_line(135, 167),
        horizontal_line(135, 164),
        horizontal_line(136, 162),
        horizontal_line(136, 160),
        horizontal_line(137, 157),
        horizontal_line(137, 155),
        horizontal_line(138, 153),
    };

    constexpr const shape frame_610_shape_group_0_shapes[] = {
        shape(frame_610_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_610_shape_group_0_shape_1_horizontal_lines, 65, 1),
        shape(frame_610_shape_group_0_shape_2_horizontal_lines, 71, 2),
        shape(frame_610_shape_group_0_shape_3_horizontal_lines, 122, 1),
        shape(frame_610_shape_group_0_shape_4_horizontal_lines, 126, 5),
        shape(frame_610_shape_group_0_shape_5_horizontal_lines, 137, 1),
        shape(frame_610_shape_group_0_shape_6_horizontal_lines, 138, 5),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(39, 93),
        horizontal_line(38, 94),
        horizontal_line(37, 95),
        horizontal_line(36, 96),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(104, 106),
        horizontal_line(103, 107),
        horizontal_line(102, 108),
        horizontal_line(101, 109),
        horizontal_line(99, 110),
        horizontal_line(98, 111),
        horizontal_line(97, 112),
        horizontal_line(96, 113),
        horizontal_line(95, 114),
        horizontal_line(94, 115),
        horizontal_line(92, 116),
        horizontal_line(91, 117),
        horizontal_line(90, 118),
        horizontal_line(89, 119),
        horizontal_line(88, 120),
        horizontal_line(86, 121),
        horizontal_line(85, 122),
        horizontal_line(84, 123),
        horizontal_line(83, 124),
        horizontal_line(82, 125),
        horizontal_line(81, 126),
        horizontal_line(79, 125),
        horizontal_line(78, 124),
        horizontal_line(77, 122),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(7, 69),
        horizontal_line(11, 72),
        horizontal_line(16, 71),
        horizontal_line(20, 70),
        horizontal_line(25, 69),
        horizontal_line(29, 68),
        horizontal_line(34, 67),
        horizontal_line(38, 65),
        horizontal_line(43, 64),
        horizontal_line(47, 63),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(133, 136),
        horizontal_line(131, 137),
        horizontal_line(129, 138),
        horizontal_line(127, 138),
        horizontal_line(125, 139),
        horizontal_line(123, 140),
        horizontal_line(121, 140),
        horizontal_line(119, 137),
        horizontal_line(117, 134),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(91, 114),
        horizontal_line(95, 112),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(135, 142),
        horizontal_line(130, 141),
        horizontal_line(125, 141),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(120, 135),
        horizontal_line(121, 134),
        horizontal_line(124, 134),
        horizontal_line(128, 134),
        horizontal_line(127, 134),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(161, 169),
        horizontal_line(161, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 172),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(129, 137),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(144, 150),
        horizontal_line(147, 150),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(148, 154),
        horizontal_line(145, 156),
        horizontal_line(142, 158),
        horizontal_line(139, 161),
        horizontal_line(135, 163),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(167, 179),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(132, 167),
        horizontal_line(133, 164),
        horizontal_line(133, 161),
        horizontal_line(133, 158),
        horizontal_line(134, 155),
        horizontal_line(134, 152),
        horizontal_line(134, 150),
        horizontal_line(135, 147),
        horizontal_line(135, 144),
        horizontal_line(135, 141),
        horizontal_line(136, 138),
        horizontal_line(177, 193),
        horizontal_line(175, 196),
        horizontal_line(173, 199),
        horizontal_line(170, 202),
        horizontal_line(168, 205),
    };

    constexpr const horizontal_line frame_610_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(208, 208),
        horizontal_line(206, 211),
        horizontal_line(204, 214),
        horizontal_line(202, 218),
        horizontal_line(200, 221),
        horizontal_line(199, 225),
    };

    constexpr const shape frame_610_shape_group_1_shapes[] = {
        shape(frame_610_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_610_shape_group_1_shape_1_horizontal_lines, 12, 5),
        shape(frame_610_shape_group_1_shape_2_horizontal_lines, 37, 1),
        shape(frame_610_shape_group_1_shape_3_horizontal_lines, 48, 5),
        shape(frame_610_shape_group_1_shape_4_horizontal_lines, 58, 1),
        shape(frame_610_shape_group_1_shape_5_horizontal_lines, 60, 5),
        shape(frame_610_shape_group_1_shape_6_horizontal_lines, 64, 1),
        shape(frame_610_shape_group_1_shape_7_horizontal_lines, 65, 2),
        shape(frame_610_shape_group_1_shape_8_horizontal_lines, 126, 1),
        shape(frame_610_shape_group_1_shape_9_horizontal_lines, 128, 2),
        shape(frame_610_shape_group_1_shape_10_horizontal_lines, 131, 1),
        shape(frame_610_shape_group_1_shape_11_horizontal_lines, 137, 2),
        shape(frame_610_shape_group_1_shape_12_horizontal_lines, 138, 1),
        shape(frame_610_shape_group_1_shape_13_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(121, 183),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(96, 98),
        horizontal_line(95, 99),
        horizontal_line(94, 100),
        horizontal_line(93, 101),
        horizontal_line(92, 102),
        horizontal_line(91, 103),
        horizontal_line(90, 105),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(122, 128),
        horizontal_line(120, 129),
        horizontal_line(119, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(114, 132),
        horizontal_line(113, 132),
        horizontal_line(111, 133),
        horizontal_line(110, 134),
        horizontal_line(108, 134),
        horizontal_line(107, 135),
        horizontal_line(52, 62),
        horizontal_line(56, 61),
        horizontal_line(102, 130),
        horizontal_line(101, 128),
        horizontal_line(99, 126),
        horizontal_line(98, 124),
        horizontal_line(96, 122),
        horizontal_line(95, 120),
        horizontal_line(93, 118),
        horizontal_line(92, 116),
        horizontal_line(132, 142),
        horizontal_line(129, 143),
        horizontal_line(99, 110),
        horizontal_line(103, 108),
        horizontal_line(120, 129),
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(148, 156),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(148, 148),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(148, 150),
        horizontal_line(149, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(182, 205),
        horizontal_line(183, 206),
        horizontal_line(183, 207),
        horizontal_line(184, 208),
        horizontal_line(185, 209),
        horizontal_line(185, 210),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(164, 174),
        horizontal_line(139, 150),
        horizontal_line(141, 150),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(196, 225),
        horizontal_line(169, 180),
        horizontal_line(171, 180),
        horizontal_line(173, 181),
        horizontal_line(175, 181),
        horizontal_line(177, 182),
        horizontal_line(179, 182),
        horizontal_line(181, 183),
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(182, 187),
        horizontal_line(180, 190),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(204, 237),
        horizontal_line(205, 238),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(165, 207),
        horizontal_line(163, 205),
        horizontal_line(161, 203),
        horizontal_line(158, 201),
        horizontal_line(156, 199),
        horizontal_line(154, 198),
    };

    constexpr const shape frame_610_shape_group_2_shapes[] = {
        shape(frame_610_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_610_shape_group_2_shape_1_horizontal_lines, 4, 1),
        shape(frame_610_shape_group_2_shape_2_horizontal_lines, 64, 2),
        shape(frame_610_shape_group_2_shape_3_horizontal_lines, 146, 1),
        shape(frame_610_shape_group_2_shape_4_horizontal_lines, 149, 2),
        shape(frame_610_shape_group_2_shape_5_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(136, 198),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(89, 104),
        horizontal_line(88, 103),
        horizontal_line(87, 102),
        horizontal_line(86, 101),
        horizontal_line(85, 100),
        horizontal_line(84, 98),
        horizontal_line(83, 97),
        horizontal_line(82, 96),
        horizontal_line(81, 95),
        horizontal_line(80, 94),
        horizontal_line(79, 93),
        horizontal_line(78, 91),
        horizontal_line(77, 90),
        horizontal_line(76, 89),
        horizontal_line(75, 88),
        horizontal_line(74, 87),
        horizontal_line(73, 85),
        horizontal_line(72, 84),
        horizontal_line(71, 83),
        horizontal_line(70, 82),
        horizontal_line(69, 81),
        horizontal_line(68, 80),
        horizontal_line(126, 126),
        horizontal_line(125, 127),
        horizontal_line(123, 128),
        horizontal_line(65, 75),
        horizontal_line(69, 74),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(132, 133),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(135, 138),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 134),
        horizontal_line(104, 132),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(139, 143),
        horizontal_line(139, 144),
        horizontal_line(140, 145),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(143, 149),
        horizontal_line(144, 150),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(126, 139),
        horizontal_line(123, 134),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(142, 143),
        horizontal_line(142, 143),
        horizontal_line(145, 145),
        horizontal_line(238, 239),
        horizontal_line(146, 146),
        horizontal_line(146, 146),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(147, 148),
        horizontal_line(152, 162),
        horizontal_line(153, 163),
        horizontal_line(153, 164),
        horizontal_line(154, 165),
        horizontal_line(155, 166),
        horizontal_line(155, 167),
        horizontal_line(156, 168),
        horizontal_line(157, 169),
        horizontal_line(157, 170),
        horizontal_line(158, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 172),
        horizontal_line(160, 173),
        horizontal_line(161, 174),
        horizontal_line(161, 175),
        horizontal_line(162, 176),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
        horizontal_line(164, 179),
        horizontal_line(165, 180),
        horizontal_line(165, 181),
        horizontal_line(166, 182),
        horizontal_line(167, 183),
        horizontal_line(167, 184),
        horizontal_line(168, 185),
        horizontal_line(169, 186),
        horizontal_line(169, 187),
        horizontal_line(170, 188),
        horizontal_line(171, 189),
        horizontal_line(171, 190),
        horizontal_line(172, 191),
        horizontal_line(173, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 193),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(176, 196),
        horizontal_line(177, 197),
        horizontal_line(177, 198),
        horizontal_line(178, 199),
        horizontal_line(179, 200),
        horizontal_line(179, 201),
        horizontal_line(180, 202),
        horizontal_line(181, 203),
        horizontal_line(181, 204),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(186, 211),
        horizontal_line(187, 212),
        horizontal_line(187, 213),
        horizontal_line(188, 214),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(190, 216),
        horizontal_line(191, 217),
        horizontal_line(191, 218),
        horizontal_line(192, 219),
        horizontal_line(193, 220),
        horizontal_line(193, 221),
        horizontal_line(194, 222),
        horizontal_line(195, 223),
        horizontal_line(195, 224),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(197, 226),
        horizontal_line(197, 227),
        horizontal_line(198, 228),
        horizontal_line(199, 229),
        horizontal_line(199, 230),
        horizontal_line(200, 231),
        horizontal_line(201, 232),
        horizontal_line(201, 233),
        horizontal_line(202, 234),
        horizontal_line(203, 235),
        horizontal_line(203, 236),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_610_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_610_shape_group_3_shapes[] = {
        shape(frame_610_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_610_shape_group_3_shape_1_horizontal_lines, 12, 1),
        shape(frame_610_shape_group_3_shape_2_horizontal_lines, 39, 2),
        shape(frame_610_shape_group_3_shape_3_horizontal_lines, 48, 1),
        shape(frame_610_shape_group_3_shape_4_horizontal_lines, 50, 2),
        shape(frame_610_shape_group_3_shape_5_horizontal_lines, 56, 1),
        shape(frame_610_shape_group_3_shape_6_horizontal_lines, 58, 2),
        shape(frame_610_shape_group_3_shape_7_horizontal_lines, 60, 1),
        shape(frame_610_shape_group_3_shape_8_horizontal_lines, 62, 2),
        shape(frame_610_shape_group_3_shape_9_horizontal_lines, 116, 7),
        shape(frame_610_shape_group_3_shape_10_horizontal_lines, 122, 2),
        shape(frame_610_shape_group_3_shape_11_horizontal_lines, 137, 7),
        shape(frame_610_shape_group_3_shape_12_horizontal_lines, 138, 2),
        shape(frame_610_shape_group_3_shape_13_horizontal_lines, 149, 7),
        shape(frame_610_shape_group_3_shape_14_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(67, 78),
        horizontal_line(66, 77),
        horizontal_line(65, 76),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(137, 140),
        horizontal_line(137, 141),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(142, 148),
        horizontal_line(143, 149),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(143, 143),
        horizontal_line(143, 143),
        horizontal_line(146, 153),
        horizontal_line(147, 154),
        horizontal_line(147, 155),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(149, 157),
        horizontal_line(149, 158),
        horizontal_line(150, 159),
        horizontal_line(151, 160),
        horizontal_line(151, 161),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(95, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 117),
        horizontal_line(98, 117),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(189, 215),
        horizontal_line(189, 215),
    };

    constexpr const horizontal_line frame_610_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(106, 124),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(112, 129),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
        horizontal_line(114, 130),
        horizontal_line(114, 131),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
    };

    constexpr const shape frame_610_shape_group_4_shapes[] = {
        shape(frame_610_shape_group_4_shape_0_horizontal_lines, 4, 2),
        shape(frame_610_shape_group_4_shape_1_horizontal_lines, 34, 1),
        shape(frame_610_shape_group_4_shape_2_horizontal_lines, 37, 2),
        shape(frame_610_shape_group_4_shape_3_horizontal_lines, 65, 7),
        shape(frame_610_shape_group_4_shape_4_horizontal_lines, 66, 2),
        shape(frame_610_shape_group_4_shape_5_horizontal_lines, 71, 7),
        shape(frame_610_shape_group_4_shape_6_horizontal_lines, 126, 2),
        shape(frame_610_shape_group_4_shape_7_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(145, 151),
        horizontal_line(145, 152),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(68, 93),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(71, 95),
        horizontal_line(72, 96),
        horizontal_line(73, 96),
        horizontal_line(73, 96),
        horizontal_line(74, 97),
        horizontal_line(74, 97),
        horizontal_line(75, 98),
        horizontal_line(75, 98),
        horizontal_line(76, 99),
        horizontal_line(76, 99),
        horizontal_line(77, 100),
        horizontal_line(77, 100),
        horizontal_line(78, 100),
        horizontal_line(78, 101),
        horizontal_line(79, 101),
        horizontal_line(79, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(83, 105),
        horizontal_line(84, 105),
        horizontal_line(84, 106),
        horizontal_line(85, 106),
        horizontal_line(85, 106),
        horizontal_line(86, 107),
        horizontal_line(86, 107),
        horizontal_line(87, 108),
        horizontal_line(87, 108),
        horizontal_line(88, 109),
        horizontal_line(88, 109),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 111),
        horizontal_line(91, 111),
        horizontal_line(91, 112),
        horizontal_line(92, 112),
        horizontal_line(92, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(94, 114),
        horizontal_line(94, 114),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(98, 117),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(100, 119),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(101, 120),
        horizontal_line(102, 120),
        horizontal_line(102, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(130, 131),
        horizontal_line(107, 124),
        horizontal_line(107, 125),
        horizontal_line(108, 125),
        horizontal_line(108, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 127),
        horizontal_line(110, 127),
        horizontal_line(110, 127),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(112, 129),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(51, 112),
        horizontal_line(51, 112),
        horizontal_line(52, 113),
        horizontal_line(52, 113),
    };

    constexpr const horizontal_line frame_610_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(115, 131),
        horizontal_line(115, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 133),
        horizontal_line(117, 133),
        horizontal_line(118, 134),
    };

    constexpr const shape frame_610_shape_group_5_shapes[] = {
        shape(frame_610_shape_group_5_shape_0_horizontal_lines, 12, 2),
        shape(frame_610_shape_group_5_shape_1_horizontal_lines, 34, 2),
        shape(frame_610_shape_group_5_shape_2_horizontal_lines, 39, 7),
        shape(frame_610_shape_group_5_shape_3_horizontal_lines, 48, 2),
        shape(frame_610_shape_group_5_shape_4_horizontal_lines, 50, 7),
        shape(frame_610_shape_group_5_shape_5_horizontal_lines, 56, 2),
        shape(frame_610_shape_group_5_shape_6_horizontal_lines, 58, 7),
        shape(frame_610_shape_group_5_shape_7_horizontal_lines, 60, 2),
        shape(frame_610_shape_group_5_shape_8_horizontal_lines, 65, 7),
        shape(frame_610_shape_group_5_shape_9_horizontal_lines, 150, 6),
        shape(frame_610_shape_group_5_shape_10_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(3, 10),
        horizontal_line(4, 15),
        horizontal_line(4, 19),
        horizontal_line(5, 24),
        horizontal_line(5, 28),
        horizontal_line(5, 33),
        horizontal_line(6, 37),
        horizontal_line(6, 42),
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(8, 60),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 71),
        horizontal_line(63, 75),
        horizontal_line(63, 78),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(65, 90),
        horizontal_line(65, 90),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(107, 114),
        horizontal_line(69, 93),
        horizontal_line(69, 93),
        horizontal_line(70, 94),
        horizontal_line(70, 94),
        horizontal_line(71, 95),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(36, 94),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 96),
        horizontal_line(38, 96),
        horizontal_line(38, 97),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(100, 119),
        horizontal_line(101, 120),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(45, 105),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_610_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(50, 111),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(52, 114),
        horizontal_line(53, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
    };

    constexpr const shape frame_610_shape_group_6_shapes[] = {
        shape(frame_610_shape_group_6_shape_0_horizontal_lines, 34, 2),
        shape(frame_610_shape_group_6_shape_1_horizontal_lines, 36, 7),
        shape(frame_610_shape_group_6_shape_2_horizontal_lines, 39, 6),
        shape(frame_610_shape_group_6_shape_3_horizontal_lines, 48, 7),
        shape(frame_610_shape_group_6_shape_4_horizontal_lines, 50, 6),
        shape(frame_610_shape_group_6_shape_5_horizontal_lines, 51, 7),
        shape(frame_610_shape_group_6_shape_6_horizontal_lines, 60, 2),
        shape(frame_610_shape_group_6_shape_7_horizontal_lines, 62, 7),
        shape(frame_610_shape_group_6_shape_8_horizontal_lines, 116, 6),
        shape(frame_610_shape_group_6_shape_9_horizontal_lines, 122, 7),
        shape(frame_610_shape_group_6_shape_10_horizontal_lines, 137, 6),
        shape(frame_610_shape_group_6_shape_11_horizontal_lines, 138, 7),
        shape(frame_610_shape_group_6_shape_12_horizontal_lines, 149, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(3, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(7, 51),
        horizontal_line(8, 55),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(8, 60),
        horizontal_line(9, 61),
        horizontal_line(9, 61),
        horizontal_line(10, 62),
        horizontal_line(10, 62),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(64, 82),
        horizontal_line(64, 86),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(11, 64),
        horizontal_line(12, 64),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(67, 91),
        horizontal_line(67, 92),
        horizontal_line(68, 92),
        horizontal_line(120, 120),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(17, 70),
        horizontal_line(17, 71),
        horizontal_line(18, 72),
        horizontal_line(18, 72),
        horizontal_line(19, 73),
        horizontal_line(19, 73),
        horizontal_line(20, 74),
        horizontal_line(20, 74),
        horizontal_line(20, 75),
        horizontal_line(21, 75),
        horizontal_line(21, 76),
        horizontal_line(22, 76),
        horizontal_line(22, 77),
        horizontal_line(23, 77),
        horizontal_line(23, 78),
        horizontal_line(23, 78),
        horizontal_line(24, 79),
        horizontal_line(24, 79),
        horizontal_line(25, 80),
        horizontal_line(25, 80),
        horizontal_line(26, 81),
        horizontal_line(26, 81),
        horizontal_line(26, 82),
        horizontal_line(27, 83),
        horizontal_line(27, 83),
        horizontal_line(28, 84),
        horizontal_line(28, 84),
        horizontal_line(29, 85),
        horizontal_line(29, 85),
        horizontal_line(29, 86),
        horizontal_line(30, 86),
        horizontal_line(30, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 88),
        horizontal_line(31, 88),
        horizontal_line(32, 89),
        horizontal_line(32, 89),
        horizontal_line(33, 90),
        horizontal_line(33, 90),
        horizontal_line(34, 91),
        horizontal_line(34, 91),
        horizontal_line(34, 92),
        horizontal_line(35, 92),
        horizontal_line(35, 93),
        horizontal_line(36, 93),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 125),
        horizontal_line(39, 97),
        horizontal_line(39, 98),
        horizontal_line(40, 98),
        horizontal_line(40, 99),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(41, 100),
        horizontal_line(42, 101),
        horizontal_line(42, 101),
        horizontal_line(43, 102),
        horizontal_line(43, 102),
        horizontal_line(43, 103),
        horizontal_line(44, 103),
        horizontal_line(44, 104),
        horizontal_line(45, 104),
        horizontal_line(125, 129),
        horizontal_line(46, 106),
        horizontal_line(46, 106),
        horizontal_line(46, 107),
        horizontal_line(47, 107),
        horizontal_line(47, 108),
        horizontal_line(48, 108),
        horizontal_line(48, 109),
        horizontal_line(49, 109),
        horizontal_line(49, 110),
        horizontal_line(49, 110),
        horizontal_line(50, 111),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_610_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
    };

    constexpr const shape frame_610_shape_group_7_shapes[] = {
        shape(frame_610_shape_group_7_shape_0_horizontal_lines, 38, 6),
        shape(frame_610_shape_group_7_shape_1_horizontal_lines, 48, 6),
        shape(frame_610_shape_group_7_shape_2_horizontal_lines, 51, 6),
        shape(frame_610_shape_group_7_shape_3_horizontal_lines, 56, 7),
        shape(frame_610_shape_group_7_shape_4_horizontal_lines, 58, 6),
        shape(frame_610_shape_group_7_shape_5_horizontal_lines, 60, 7),
        shape(frame_610_shape_group_7_shape_6_horizontal_lines, 71, 6),
        shape(frame_610_shape_group_7_shape_7_horizontal_lines, 126, 7),
        shape(frame_610_shape_group_7_shape_8_horizontal_lines, 128, 6),
        shape(frame_610_shape_group_7_shape_9_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(11, 63),
        horizontal_line(11, 63),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(91, 94),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(66, 90),
        horizontal_line(66, 91),
        horizontal_line(106, 106),
        horizontal_line(106, 110),
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(14, 67),
        horizontal_line(15, 68),
        horizontal_line(15, 68),
        horizontal_line(16, 69),
        horizontal_line(16, 69),
        horizontal_line(17, 70),
        horizontal_line(96, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 109),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(100, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 126),
        horizontal_line(120, 126),
        horizontal_line(40, 99),
        horizontal_line(41, 100),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_610_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(117, 117),
    };

    constexpr const shape frame_610_shape_group_8_shapes[] = {
        shape(frame_610_shape_group_8_shape_0_horizontal_lines, 56, 6),
        shape(frame_610_shape_group_8_shape_1_horizontal_lines, 59, 6),
        shape(frame_610_shape_group_8_shape_2_horizontal_lines, 60, 7),
        shape(frame_610_shape_group_8_shape_3_horizontal_lines, 65, 6),
        shape(frame_610_shape_group_8_shape_4_horizontal_lines, 122, 6),
        shape(frame_610_shape_group_8_shape_5_horizontal_lines, 138, 6),
        shape(frame_610_shape_group_8_shape_6_horizontal_lines, 154, 6),
        shape(frame_610_shape_group_8_shape_7_horizontal_lines, 156, 6),
        shape(frame_610_shape_group_8_shape_8_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(12, 65),
        horizontal_line(13, 65),
        horizontal_line(13, 66),
        horizontal_line(14, 66),
        horizontal_line(14, 67),
        horizontal_line(94, 106),
        horizontal_line(94, 106),
        horizontal_line(94, 106),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(96, 107),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_610_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_610_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(121, 127),
    };

    constexpr const shape frame_610_shape_group_9_shapes[] = {
        shape(frame_610_shape_group_9_shape_0_horizontal_lines, 60, 6),
        shape(frame_610_shape_group_9_shape_1_horizontal_lines, 97, 6),
        shape(frame_610_shape_group_9_shape_2_horizontal_lines, 126, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(91, 98),
        horizontal_line(92, 102),
        horizontal_line(92, 105),
        horizontal_line(93, 105),
        horizontal_line(93, 105),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
    };

    constexpr const shape frame_610_shape_group_10_shapes[] = {
        shape(frame_610_shape_group_10_shape_0_horizontal_lines, 60, 6),
    };

    constexpr const horizontal_line frame_610_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_610_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const shape frame_610_shape_group_11_shapes[] = {
        shape(frame_610_shape_group_11_shape_0_horizontal_lines, 64, 6),
        shape(frame_610_shape_group_11_shape_1_horizontal_lines, 70, 4),
    };

    constexpr const shape_group frame_610_shape_groups[] = {
        shape_group(frame_610_shape_group_0_shapes),
        shape_group(frame_610_shape_group_1_shapes),
        shape_group(frame_610_shape_group_2_shapes),
        shape_group(frame_610_shape_group_3_shapes),
        shape_group(frame_610_shape_group_4_shapes),
        shape_group(frame_610_shape_group_5_shapes),
        shape_group(frame_610_shape_group_6_shapes),
        shape_group(frame_610_shape_group_7_shapes),
        shape_group(frame_610_shape_group_8_shapes),
        shape_group(frame_610_shape_group_9_shapes),
        shape_group(frame_610_shape_group_10_shapes),
        shape_group(frame_610_shape_group_11_shapes),
    };

    constexpr const frame frame_610_impl(frame_610_colors, frame_610_shape_groups);
} 

const frame& frame_610()
{
    return frame_610_impl;
}

namespace
{
    constexpr const bn::color frame_611_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_611_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(88, 114),
        horizontal_line(87, 115),
        horizontal_line(86, 116),
        horizontal_line(85, 117),
        horizontal_line(84, 118),
        horizontal_line(83, 119),
        horizontal_line(81, 120),
        horizontal_line(80, 121),
        horizontal_line(79, 122),
        horizontal_line(78, 123),
        horizontal_line(77, 124),
        horizontal_line(76, 125),
        horizontal_line(74, 126),
        horizontal_line(73, 125),
        horizontal_line(72, 124),
        horizontal_line(71, 122),
        horizontal_line(70, 121),
        horizontal_line(69, 119),
        horizontal_line(67, 118),
        horizontal_line(66, 116),
        horizontal_line(65, 115),
        horizontal_line(64, 114),
        horizontal_line(63, 112),
        horizontal_line(62, 111),
        horizontal_line(60, 109),
        horizontal_line(59, 108),
        horizontal_line(58, 106),
        horizontal_line(57, 105),
        horizontal_line(56, 103),
        horizontal_line(55, 102),
        horizontal_line(58, 101),
        horizontal_line(61, 99),
        horizontal_line(65, 98),
        horizontal_line(68, 96),
        horizontal_line(72, 95),
        horizontal_line(75, 93),
        horizontal_line(78, 92),
        horizontal_line(82, 90),
        horizontal_line(85, 89),
        horizontal_line(115, 132),
        horizontal_line(113, 129),
        horizontal_line(111, 126),
        horizontal_line(109, 123),
        horizontal_line(107, 120),
        horizontal_line(106, 117),
        horizontal_line(125, 141),
    };

    constexpr const horizontal_line frame_611_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 140),
        horizontal_line(120, 139),
        horizontal_line(128, 138),
        horizontal_line(120, 122),
        horizontal_line(120, 125),
        horizontal_line(120, 129),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_611_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 129),
        horizontal_line(123, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
    };

    constexpr const horizontal_line frame_611_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(128, 132),
        horizontal_line(128, 134),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_611_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(135, 142),
        horizontal_line(130, 144),
        horizontal_line(129, 147),
        horizontal_line(130, 149),
        horizontal_line(130, 151),
        horizontal_line(130, 153),
        horizontal_line(130, 150),
        horizontal_line(131, 147),
        horizontal_line(131, 144),
        horizontal_line(131, 141),
        horizontal_line(131, 138),
        horizontal_line(131, 135),
        horizontal_line(132, 132),
        horizontal_line(170, 170),
        horizontal_line(167, 172),
        horizontal_line(164, 174),
        horizontal_line(161, 176),
        horizontal_line(158, 179),
        horizontal_line(155, 181),
        horizontal_line(152, 183),
        horizontal_line(149, 185),
        horizontal_line(146, 187),
        horizontal_line(143, 184),
        horizontal_line(140, 182),
        horizontal_line(137, 180),
        horizontal_line(134, 177),
        horizontal_line(134, 175),
        horizontal_line(134, 173),
        horizontal_line(135, 171),
        horizontal_line(135, 168),
        horizontal_line(136, 166),
        horizontal_line(136, 164),
        horizontal_line(137, 162),
    };

    constexpr const shape frame_611_shape_group_0_shapes[] = {
        shape(frame_611_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_611_shape_group_0_shape_1_horizontal_lines, 63, 1),
        shape(frame_611_shape_group_0_shape_2_horizontal_lines, 70, 2),
        shape(frame_611_shape_group_0_shape_3_horizontal_lines, 122, 1),
        shape(frame_611_shape_group_0_shape_4_horizontal_lines, 126, 5),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(101, 103),
        horizontal_line(100, 104),
        horizontal_line(99, 105),
        horizontal_line(98, 106),
        horizontal_line(97, 107),
        horizontal_line(95, 108),
        horizontal_line(94, 109),
        horizontal_line(93, 110),
        horizontal_line(92, 111),
        horizontal_line(91, 112),
        horizontal_line(90, 113),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 68),
        horizontal_line(12, 66),
        horizontal_line(16, 65),
        horizontal_line(20, 64),
        horizontal_line(24, 63),
        horizontal_line(28, 62),
        horizontal_line(31, 61),
        horizontal_line(35, 59),
        horizontal_line(39, 58),
        horizontal_line(43, 57),
        horizontal_line(47, 56),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(134, 137),
        horizontal_line(132, 138),
        horizontal_line(130, 138),
        horizontal_line(128, 139),
        horizontal_line(126, 140),
        horizontal_line(124, 141),
        horizontal_line(123, 141),
        horizontal_line(121, 141),
        horizontal_line(119, 138),
        horizontal_line(117, 135),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(89, 114),
        horizontal_line(92, 112),
        horizontal_line(95, 110),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(135, 142),
        horizontal_line(130, 141),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(130, 135),
        horizontal_line(120, 121),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(162, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(129, 139),
        horizontal_line(129, 134),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(150, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(151, 156),
        horizontal_line(148, 158),
        horizontal_line(145, 160),
        horizontal_line(142, 162),
        horizontal_line(139, 164),
        horizontal_line(136, 166),
        horizontal_line(133, 168),
        horizontal_line(132, 169),
        horizontal_line(132, 166),
        horizontal_line(133, 163),
        horizontal_line(133, 160),
        horizontal_line(133, 157),
        horizontal_line(134, 154),
        horizontal_line(134, 151),
        horizontal_line(134, 148),
        horizontal_line(135, 145),
        horizontal_line(135, 142),
        horizontal_line(135, 139),
        horizontal_line(136, 136),
        horizontal_line(178, 198),
        horizontal_line(176, 201),
        horizontal_line(174, 204),
        horizontal_line(172, 206),
        horizontal_line(169, 209),
        horizontal_line(167, 212),
    };

    constexpr const horizontal_line frame_611_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(215, 215),
        horizontal_line(214, 216),
    };

    constexpr const shape frame_611_shape_group_1_shapes[] = {
        shape(frame_611_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_611_shape_group_1_shape_1_horizontal_lines, 5, 5),
        shape(frame_611_shape_group_1_shape_2_horizontal_lines, 17, 1),
        shape(frame_611_shape_group_1_shape_3_horizontal_lines, 45, 5),
        shape(frame_611_shape_group_1_shape_4_horizontal_lines, 56, 1),
        shape(frame_611_shape_group_1_shape_5_horizontal_lines, 59, 5),
        shape(frame_611_shape_group_1_shape_6_horizontal_lines, 62, 1),
        shape(frame_611_shape_group_1_shape_7_horizontal_lines, 63, 2),
        shape(frame_611_shape_group_1_shape_8_horizontal_lines, 66, 1),
        shape(frame_611_shape_group_1_shape_9_horizontal_lines, 67, 2),
        shape(frame_611_shape_group_1_shape_10_horizontal_lines, 126, 1),
        shape(frame_611_shape_group_1_shape_11_horizontal_lines, 129, 2),
        shape(frame_611_shape_group_1_shape_12_horizontal_lines, 132, 1),
        shape(frame_611_shape_group_1_shape_13_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_611_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(79, 97),
        horizontal_line(78, 98),
        horizontal_line(77, 99),
        horizontal_line(76, 100),
        horizontal_line(75, 102),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(126, 126),
        horizontal_line(125, 127),
        horizontal_line(123, 128),
        horizontal_line(122, 128),
        horizontal_line(120, 129),
        horizontal_line(119, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(115, 132),
        horizontal_line(113, 132),
        horizontal_line(112, 133),
        horizontal_line(110, 134),
        horizontal_line(109, 134),
        horizontal_line(107, 135),
        horizontal_line(106, 136),
        horizontal_line(51, 55),
        horizontal_line(103, 133),
        horizontal_line(102, 131),
        horizontal_line(100, 129),
        horizontal_line(99, 127),
        horizontal_line(97, 125),
        horizontal_line(96, 123),
        horizontal_line(94, 122),
        horizontal_line(93, 120),
        horizontal_line(91, 118),
        horizontal_line(90, 116),
        horizontal_line(133, 143),
        horizontal_line(130, 143),
        horizontal_line(127, 144),
        horizontal_line(99, 108),
        horizontal_line(102, 106),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_611_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(142, 144),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(141, 144),
        horizontal_line(123, 136),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(129, 135),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(149, 151),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(186, 212),
        horizontal_line(187, 213),
        horizontal_line(187, 214),
        horizontal_line(188, 215),
        horizontal_line(189, 216),
        horizontal_line(189, 217),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(141, 152),
        horizontal_line(143, 152),
        horizontal_line(145, 152),
        horizontal_line(166, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(169, 181),
        horizontal_line(169, 182),
        horizontal_line(169, 182),
        horizontal_line(171, 183),
        horizontal_line(173, 183),
        horizontal_line(175, 184),
        horizontal_line(177, 184),
        horizontal_line(180, 185),
        horizontal_line(182, 185),
        horizontal_line(184, 186),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_611_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(185, 190),
        horizontal_line(183, 193),
        horizontal_line(181, 196),
    };

    constexpr const horizontal_line frame_611_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(165, 214),
        horizontal_line(163, 213),
    };

    constexpr const shape frame_611_shape_group_2_shapes[] = {
        shape(frame_611_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_611_shape_group_2_shape_1_horizontal_lines, 62, 2),
        shape(frame_611_shape_group_2_shape_2_horizontal_lines, 148, 1),
        shape(frame_611_shape_group_2_shape_3_horizontal_lines, 152, 2),
        shape(frame_611_shape_group_2_shape_4_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(74, 101),
        horizontal_line(73, 100),
        horizontal_line(72, 99),
        horizontal_line(71, 98),
        horizontal_line(70, 97),
        horizontal_line(69, 96),
        horizontal_line(68, 94),
        horizontal_line(67, 93),
        horizontal_line(66, 92),
        horizontal_line(65, 91),
        horizontal_line(64, 90),
        horizontal_line(63, 89),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(63, 70),
        horizontal_line(66, 69),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(133, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 137),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(136, 140),
        horizontal_line(137, 141),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(104, 135),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 143),
        horizontal_line(139, 144),
        horizontal_line(139, 145),
        horizontal_line(140, 146),
        horizontal_line(141, 147),
        horizontal_line(142, 148),
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(139, 143),
        horizontal_line(136, 143),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(146, 154),
        horizontal_line(145, 155),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(142, 144),
        horizontal_line(146, 146),
        horizontal_line(150, 160),
        horizontal_line(150, 161),
        horizontal_line(147, 148),
        horizontal_line(141, 144),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(141, 145),
        horizontal_line(149, 150),
        horizontal_line(149, 151),
        horizontal_line(156, 169),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(158, 171),
        horizontal_line(159, 172),
        horizontal_line(159, 173),
        horizontal_line(160, 174),
        horizontal_line(161, 175),
        horizontal_line(161, 176),
        horizontal_line(162, 177),
        horizontal_line(163, 178),
        horizontal_line(163, 179),
        horizontal_line(164, 180),
        horizontal_line(165, 181),
        horizontal_line(165, 182),
        horizontal_line(166, 183),
        horizontal_line(167, 184),
        horizontal_line(167, 185),
        horizontal_line(168, 186),
        horizontal_line(169, 187),
        horizontal_line(169, 188),
        horizontal_line(170, 189),
        horizontal_line(171, 190),
        horizontal_line(172, 191),
        horizontal_line(172, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 194),
        horizontal_line(174, 195),
        horizontal_line(175, 196),
        horizontal_line(176, 197),
        horizontal_line(176, 198),
        horizontal_line(177, 199),
        horizontal_line(178, 200),
        horizontal_line(178, 201),
        horizontal_line(179, 202),
        horizontal_line(180, 203),
        horizontal_line(180, 204),
        horizontal_line(181, 205),
        horizontal_line(182, 206),
        horizontal_line(182, 207),
        horizontal_line(183, 208),
        horizontal_line(184, 209),
        horizontal_line(184, 210),
        horizontal_line(185, 211),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(190, 218),
        horizontal_line(191, 219),
        horizontal_line(191, 220),
        horizontal_line(192, 221),
        horizontal_line(165, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(195, 225),
        horizontal_line(195, 226),
        horizontal_line(196, 227),
        horizontal_line(197, 228),
        horizontal_line(197, 229),
        horizontal_line(198, 230),
        horizontal_line(199, 231),
        horizontal_line(199, 232),
        horizontal_line(200, 233),
        horizontal_line(201, 234),
        horizontal_line(202, 235),
        horizontal_line(202, 236),
        horizontal_line(203, 237),
        horizontal_line(204, 238),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
    };

    constexpr const horizontal_line frame_611_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_611_shape_group_3_shapes[] = {
        shape(frame_611_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_611_shape_group_3_shape_1_horizontal_lines, 5, 1),
        shape(frame_611_shape_group_3_shape_2_horizontal_lines, 17, 2),
        shape(frame_611_shape_group_3_shape_3_horizontal_lines, 30, 1),
        shape(frame_611_shape_group_3_shape_4_horizontal_lines, 34, 2),
        shape(frame_611_shape_group_3_shape_5_horizontal_lines, 45, 1),
        shape(frame_611_shape_group_3_shape_6_horizontal_lines, 46, 2),
        shape(frame_611_shape_group_3_shape_7_horizontal_lines, 53, 1),
        shape(frame_611_shape_group_3_shape_8_horizontal_lines, 56, 2),
        shape(frame_611_shape_group_3_shape_9_horizontal_lines, 59, 1),
        shape(frame_611_shape_group_3_shape_10_horizontal_lines, 61, 2),
        shape(frame_611_shape_group_3_shape_11_horizontal_lines, 116, 6),
        shape(frame_611_shape_group_3_shape_12_horizontal_lines, 122, 2),
        shape(frame_611_shape_group_3_shape_13_horizontal_lines, 152, 6),
        shape(frame_611_shape_group_3_shape_14_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(128, 128),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(137, 142),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(143, 150),
        horizontal_line(144, 151),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(143, 144),
        horizontal_line(146, 146),
        horizontal_line(149, 159),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(151, 162),
        horizontal_line(148, 148),
        horizontal_line(152, 164),
        horizontal_line(153, 165),
        horizontal_line(149, 150),
        horizontal_line(154, 167),
        horizontal_line(155, 168),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(116, 124),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(193, 222),
        horizontal_line(193, 223),
        horizontal_line(194, 224),
    };

    constexpr const horizontal_line frame_611_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(131, 135),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
    };

    constexpr const shape frame_611_shape_group_4_shapes[] = {
        shape(frame_611_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_611_shape_group_4_shape_1_horizontal_lines, 30, 2),
        shape(frame_611_shape_group_4_shape_2_horizontal_lines, 39, 6),
        shape(frame_611_shape_group_4_shape_3_horizontal_lines, 45, 2),
        shape(frame_611_shape_group_4_shape_4_horizontal_lines, 46, 6),
        shape(frame_611_shape_group_4_shape_5_horizontal_lines, 53, 2),
        shape(frame_611_shape_group_4_shape_6_horizontal_lines, 56, 6),
        shape(frame_611_shape_group_4_shape_7_horizontal_lines, 59, 2),
        shape(frame_611_shape_group_4_shape_8_horizontal_lines, 63, 6),
        shape(frame_611_shape_group_4_shape_9_horizontal_lines, 65, 2),
        shape(frame_611_shape_group_4_shape_10_horizontal_lines, 72, 6),
        shape(frame_611_shape_group_4_shape_11_horizontal_lines, 126, 2),
        shape(frame_611_shape_group_4_shape_12_horizontal_lines, 129, 6),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(55, 57),
        horizontal_line(56, 60),
        horizontal_line(56, 64),
        horizontal_line(57, 67),
        horizontal_line(57, 71),
        horizontal_line(58, 74),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(60, 88),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(89, 91),
        horizontal_line(89, 94),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(147, 156),
        horizontal_line(148, 157),
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(91, 104),
        horizontal_line(92, 105),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(152, 163),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(154, 166),
    };

    constexpr const horizontal_line frame_611_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(95, 107),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(98, 109),
        horizontal_line(98, 110),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(99, 111),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(103, 113),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(108, 117),
        horizontal_line(108, 118),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(109, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(111, 120),
        horizontal_line(111, 120),
        horizontal_line(111, 120),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 122),
        horizontal_line(77, 89),
        horizontal_line(77, 89),
        horizontal_line(78, 90),
        horizontal_line(78, 90),
        horizontal_line(78, 91),
        horizontal_line(78, 91),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(119, 126),
        horizontal_line(119, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(87, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(131, 135),
        horizontal_line(132, 136),
    };

    constexpr const shape frame_611_shape_group_5_shapes[] = {
        shape(frame_611_shape_group_5_shape_0_horizontal_lines, 5, 2),
        shape(frame_611_shape_group_5_shape_1_horizontal_lines, 30, 2),
        shape(frame_611_shape_group_5_shape_2_horizontal_lines, 34, 6),
        shape(frame_611_shape_group_5_shape_3_horizontal_lines, 45, 6),
        shape(frame_611_shape_group_5_shape_4_horizontal_lines, 47, 7),
        shape(frame_611_shape_group_5_shape_5_horizontal_lines, 53, 6),
        shape(frame_611_shape_group_5_shape_6_horizontal_lines, 56, 7),
        shape(frame_611_shape_group_5_shape_7_horizontal_lines, 57, 6),
        shape(frame_611_shape_group_5_shape_8_horizontal_lines, 59, 2),
        shape(frame_611_shape_group_5_shape_9_horizontal_lines, 62, 6),
        shape(frame_611_shape_group_5_shape_10_horizontal_lines, 66, 2),
        shape(frame_611_shape_group_5_shape_11_horizontal_lines, 67, 6),
        shape(frame_611_shape_group_5_shape_12_horizontal_lines, 69, 2),
        shape(frame_611_shape_group_5_shape_13_horizontal_lines, 70, 6),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(58, 77),
        horizontal_line(59, 81),
        horizontal_line(59, 84),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(60, 88),
        horizontal_line(61, 88),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(91, 104),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(92, 105),
        horizontal_line(1, 63),
        horizontal_line(93, 106),
        horizontal_line(94, 106),
        horizontal_line(1, 63),
        horizontal_line(94, 107),
        horizontal_line(95, 107),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(72, 80),
        horizontal_line(72, 80),
        horizontal_line(72, 81),
        horizontal_line(73, 81),
        horizontal_line(123, 123),
        horizontal_line(73, 82),
        horizontal_line(74, 83),
        horizontal_line(74, 83),
        horizontal_line(74, 84),
        horizontal_line(74, 84),
        horizontal_line(75, 85),
        horizontal_line(75, 85),
        horizontal_line(75, 86),
        horizontal_line(76, 86),
        horizontal_line(76, 87),
        horizontal_line(76, 87),
        horizontal_line(76, 88),
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(79, 92),
        horizontal_line(79, 92),
        horizontal_line(79, 93),
        horizontal_line(80, 93),
        horizontal_line(118, 125),
        horizontal_line(118, 126),
        horizontal_line(119, 126),
        horizontal_line(81, 95),
        horizontal_line(81, 96),
        horizontal_line(81, 96),
        horizontal_line(82, 97),
        horizontal_line(82, 97),
        horizontal_line(82, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 99),
        horizontal_line(83, 99),
        horizontal_line(83, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 101),
        horizontal_line(84, 101),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 103),
        horizontal_line(85, 103),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_611_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(89, 110),
        horizontal_line(90, 111),
    };

    constexpr const shape frame_611_shape_group_6_shapes[] = {
        shape(frame_611_shape_group_6_shape_0_horizontal_lines, 32, 6),
        shape(frame_611_shape_group_6_shape_1_horizontal_lines, 53, 7),
        shape(frame_611_shape_group_6_shape_2_horizontal_lines, 57, 7),
        shape(frame_611_shape_group_6_shape_3_horizontal_lines, 59, 6),
        shape(frame_611_shape_group_6_shape_4_horizontal_lines, 116, 7),
        shape(frame_611_shape_group_6_shape_5_horizontal_lines, 122, 6),
        shape(frame_611_shape_group_6_shape_6_horizontal_lines, 152, 7),
        shape(frame_611_shape_group_6_shape_7_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(90, 98),
        horizontal_line(90, 101),
        horizontal_line(91, 104),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(115, 119),
        horizontal_line(93, 105),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(94, 106),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(64, 67),
        horizontal_line(65, 67),
        horizontal_line(65, 68),
        horizontal_line(65, 68),
        horizontal_line(65, 69),
        horizontal_line(66, 69),
        horizontal_line(66, 70),
        horizontal_line(66, 70),
        horizontal_line(67, 71),
        horizontal_line(67, 71),
        horizontal_line(67, 72),
        horizontal_line(67, 72),
        horizontal_line(68, 73),
        horizontal_line(68, 73),
        horizontal_line(68, 74),
        horizontal_line(69, 74),
        horizontal_line(69, 75),
        horizontal_line(69, 75),
        horizontal_line(69, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 77),
        horizontal_line(70, 77),
        horizontal_line(71, 78),
        horizontal_line(71, 78),
        horizontal_line(71, 79),
        horizontal_line(72, 79),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(73, 82),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 114),
        horizontal_line(92, 114),
        horizontal_line(92, 115),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(80, 94),
        horizontal_line(80, 94),
        horizontal_line(81, 95),
    };

    constexpr const horizontal_line frame_611_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(108, 128),
        horizontal_line(108, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 129),
        horizontal_line(110, 129),
        horizontal_line(110, 130),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
    };

    constexpr const shape frame_611_shape_group_7_shapes[] = {
        shape(frame_611_shape_group_7_shape_0_horizontal_lines, 59, 6),
        shape(frame_611_shape_group_7_shape_1_horizontal_lines, 98, 7),
        shape(frame_611_shape_group_7_shape_2_horizontal_lines, 102, 6),
        shape(frame_611_shape_group_7_shape_3_horizontal_lines, 103, 7),
        shape(frame_611_shape_group_7_shape_4_horizontal_lines, 126, 6),
        shape(frame_611_shape_group_7_shape_5_horizontal_lines, 129, 7),
    };

    constexpr const horizontal_line frame_611_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(61, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(63, 90),
        horizontal_line(63, 90),
        horizontal_line(64, 91),
    };

    constexpr const horizontal_line frame_611_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(115, 119),
        horizontal_line(63, 64),
        horizontal_line(63, 65),
        horizontal_line(116, 119),
        horizontal_line(64, 66),
        horizontal_line(64, 66),
    };

    constexpr const horizontal_line frame_611_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(81, 105),
        horizontal_line(81, 105),
        horizontal_line(82, 106),
        horizontal_line(82, 106),
        horizontal_line(0, 10),
        horizontal_line(83, 107),
        horizontal_line(84, 108),
        horizontal_line(84, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(125, 127),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(94, 116),
        horizontal_line(94, 116),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(96, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 119),
        horizontal_line(98, 119),
        horizontal_line(98, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 120),
        horizontal_line(100, 121),
        horizontal_line(100, 121),
        horizontal_line(101, 122),
        horizontal_line(101, 122),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(103, 123),
        horizontal_line(103, 124),
        horizontal_line(104, 124),
        horizontal_line(104, 125),
        horizontal_line(105, 125),
        horizontal_line(105, 125),
        horizontal_line(106, 126),
        horizontal_line(106, 126),
        horizontal_line(107, 127),
        horizontal_line(107, 127),
    };

    constexpr const horizontal_line frame_611_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(111, 130),
        horizontal_line(112, 131),
    };

    constexpr const shape frame_611_shape_group_8_shapes[] = {
        shape(frame_611_shape_group_8_shape_0_horizontal_lines, 59, 7),
        shape(frame_611_shape_group_8_shape_1_horizontal_lines, 65, 6),
        shape(frame_611_shape_group_8_shape_2_horizontal_lines, 72, 7),
        shape(frame_611_shape_group_8_shape_3_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(106, 114),
        horizontal_line(64, 91),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(68, 94),
        horizontal_line(68, 95),
        horizontal_line(69, 95),
        horizontal_line(69, 95),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(71, 97),
        horizontal_line(71, 97),
        horizontal_line(72, 98),
        horizontal_line(72, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 99),
        horizontal_line(74, 99),
        horizontal_line(74, 100),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(78, 103),
        horizontal_line(78, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 104),
        horizontal_line(80, 104),
        horizontal_line(80, 105),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(83, 107),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_611_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 128),
        horizontal_line(95, 117),
        horizontal_line(95, 117),
        horizontal_line(96, 118),
        horizontal_line(127, 128),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
    };

    constexpr const shape frame_611_shape_group_9_shapes[] = {
        shape(frame_611_shape_group_9_shape_0_horizontal_lines, 61, 7),
        shape(frame_611_shape_group_9_shape_1_horizontal_lines, 66, 6),
        shape(frame_611_shape_group_9_shape_2_horizontal_lines, 67, 7),
        shape(frame_611_shape_group_9_shape_3_horizontal_lines, 69, 6),
        shape(frame_611_shape_group_9_shape_4_horizontal_lines, 70, 7),
        shape(frame_611_shape_group_9_shape_5_horizontal_lines, 122, 7),
    };

    constexpr const horizontal_line frame_611_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_611_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(106, 114),
        horizontal_line(0, 0),
        horizontal_line(65, 92),
        horizontal_line(66, 93),
        horizontal_line(0, 0),
        horizontal_line(67, 93),
        horizontal_line(67, 94),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_611_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_611_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
    };

    constexpr const shape frame_611_shape_group_10_shapes[] = {
        shape(frame_611_shape_group_10_shape_0_horizontal_lines, 63, 7),
        shape(frame_611_shape_group_10_shape_1_horizontal_lines, 65, 7),
        shape(frame_611_shape_group_10_shape_2_horizontal_lines, 102, 7),
        shape(frame_611_shape_group_10_shape_3_horizontal_lines, 126, 7),
    };

    constexpr const horizontal_line frame_611_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(65, 92),
        horizontal_line(107, 115),
        horizontal_line(107, 115),
        horizontal_line(66, 93),
        horizontal_line(108, 115),
        horizontal_line(108, 116),
    };

    constexpr const shape frame_611_shape_group_11_shapes[] = {
        shape(frame_611_shape_group_11_shape_0_horizontal_lines, 66, 7),
    };

    constexpr const horizontal_line frame_611_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_611_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(107, 115),
    };

    constexpr const shape frame_611_shape_group_12_shapes[] = {
        shape(frame_611_shape_group_12_shape_0_horizontal_lines, 66, 7),
        shape(frame_611_shape_group_12_shape_1_horizontal_lines, 69, 7),
    };

    constexpr const shape_group frame_611_shape_groups[] = {
        shape_group(frame_611_shape_group_0_shapes),
        shape_group(frame_611_shape_group_1_shapes),
        shape_group(frame_611_shape_group_2_shapes),
        shape_group(frame_611_shape_group_3_shapes),
        shape_group(frame_611_shape_group_4_shapes),
        shape_group(frame_611_shape_group_5_shapes),
        shape_group(frame_611_shape_group_6_shapes),
        shape_group(frame_611_shape_group_7_shapes),
        shape_group(frame_611_shape_group_8_shapes),
        shape_group(frame_611_shape_group_9_shapes),
        shape_group(frame_611_shape_group_10_shapes),
        shape_group(frame_611_shape_group_11_shapes),
        shape_group(frame_611_shape_group_12_shapes),
    };

    constexpr const frame frame_611_impl(frame_611_colors, frame_611_shape_groups);
} 

const frame& frame_611()
{
    return frame_611_impl;
}

namespace
{
    constexpr const bn::color frame_612_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_612_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 62),
        horizontal_line(8, 61),
        horizontal_line(12, 60),
        horizontal_line(16, 59),
        horizontal_line(19, 58),
        horizontal_line(23, 57),
        horizontal_line(27, 55),
        horizontal_line(31, 54),
        horizontal_line(34, 53),
        horizontal_line(38, 52),
        horizontal_line(42, 51),
        horizontal_line(46, 50),
        horizontal_line(102, 135),
        horizontal_line(101, 133),
        horizontal_line(100, 131),
        horizontal_line(98, 129),
        horizontal_line(97, 127),
        horizontal_line(95, 125),
        horizontal_line(94, 123),
        horizontal_line(93, 121),
        horizontal_line(91, 119),
        horizontal_line(90, 117),
        horizontal_line(88, 115),
        horizontal_line(87, 113),
        horizontal_line(86, 111),
        horizontal_line(90, 109),
        horizontal_line(95, 107),
        horizontal_line(100, 105),
        horizontal_line(123, 137),
        horizontal_line(120, 132),
        horizontal_line(117, 128),
        horizontal_line(115, 123),
        horizontal_line(122, 141),
        horizontal_line(126, 140),
        horizontal_line(132, 139),
        horizontal_line(121, 122),
        horizontal_line(121, 126),
        horizontal_line(121, 130),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_612_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
    };

    constexpr const horizontal_line frame_612_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(129, 130),
        horizontal_line(129, 133),
        horizontal_line(129, 135),
        horizontal_line(129, 138),
        horizontal_line(129, 140),
        horizontal_line(130, 135),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_612_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(130, 147),
        horizontal_line(130, 149),
        horizontal_line(131, 151),
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_612_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(152, 158),
        horizontal_line(148, 160),
        horizontal_line(145, 162),
        horizontal_line(141, 164),
        horizontal_line(137, 166),
        horizontal_line(134, 168),
        horizontal_line(133, 170),
        horizontal_line(133, 171),
        horizontal_line(133, 167),
        horizontal_line(133, 164),
        horizontal_line(133, 161),
        horizontal_line(134, 158),
        horizontal_line(134, 155),
        horizontal_line(134, 152),
        horizontal_line(134, 149),
        horizontal_line(135, 146),
        horizontal_line(135, 143),
        horizontal_line(135, 140),
        horizontal_line(136, 137),
        horizontal_line(184, 198),
        horizontal_line(182, 201),
        horizontal_line(179, 203),
        horizontal_line(177, 205),
        horizontal_line(174, 207),
        horizontal_line(172, 210),
    };

    constexpr const shape frame_612_shape_group_0_shapes[] = {
        shape(frame_612_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_612_shape_group_0_shape_1_horizontal_lines, 69, 2),
        shape(frame_612_shape_group_0_shape_2_horizontal_lines, 122, 1),
        shape(frame_612_shape_group_0_shape_3_horizontal_lines, 130, 5),
        shape(frame_612_shape_group_0_shape_4_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(125, 125),
        horizontal_line(124, 126),
        horizontal_line(122, 127),
        horizontal_line(121, 127),
        horizontal_line(119, 128),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(115, 130),
        horizontal_line(114, 131),
        horizontal_line(112, 131),
        horizontal_line(111, 132),
        horizontal_line(110, 133),
        horizontal_line(108, 133),
        horizontal_line(107, 134),
        horizontal_line(105, 135),
        horizontal_line(104, 135),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(50, 101),
        horizontal_line(53, 100),
        horizontal_line(56, 99),
        horizontal_line(59, 97),
        horizontal_line(62, 96),
        horizontal_line(65, 94),
        horizontal_line(68, 93),
        horizontal_line(71, 92),
        horizontal_line(74, 90),
        horizontal_line(77, 89),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(137, 144),
        horizontal_line(134, 144),
        horizontal_line(131, 144),
        horizontal_line(129, 145),
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(105, 122),
        horizontal_line(108, 119),
        horizontal_line(111, 116),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(121, 125),
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(131, 136),
        horizontal_line(121, 122),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(142, 146),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(136, 143),
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(148, 154),
        horizontal_line(150, 154),
        horizontal_line(152, 154),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(131, 155),
        horizontal_line(131, 151),
        horizontal_line(131, 147),
        horizontal_line(132, 144),
        horizontal_line(132, 140),
        horizontal_line(132, 136),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(171, 186),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(168, 174),
        horizontal_line(165, 176),
        horizontal_line(162, 178),
        horizontal_line(159, 180),
        horizontal_line(156, 183),
        horizontal_line(153, 185),
        horizontal_line(150, 187),
        horizontal_line(147, 189),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(192, 192),
        horizontal_line(189, 194),
        horizontal_line(187, 196),
    };

    constexpr const horizontal_line frame_612_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(135, 183),
        horizontal_line(135, 181),
        horizontal_line(135, 178),
        horizontal_line(136, 176),
        horizontal_line(136, 173),
        horizontal_line(137, 171),
    };

    constexpr const shape frame_612_shape_group_1_shapes[] = {
        shape(frame_612_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_612_shape_group_1_shape_1_horizontal_lines, 42, 5),
        shape(frame_612_shape_group_1_shape_2_horizontal_lines, 52, 1),
        shape(frame_612_shape_group_1_shape_3_horizontal_lines, 58, 5),
        shape(frame_612_shape_group_1_shape_4_horizontal_lines, 62, 2),
        shape(frame_612_shape_group_1_shape_5_horizontal_lines, 65, 1),
        shape(frame_612_shape_group_1_shape_6_horizontal_lines, 66, 2),
        shape(frame_612_shape_group_1_shape_7_horizontal_lines, 127, 5),
        shape(frame_612_shape_group_1_shape_8_horizontal_lines, 130, 2),
        shape(frame_612_shape_group_1_shape_9_horizontal_lines, 134, 5),
        shape(frame_612_shape_group_1_shape_10_horizontal_lines, 141, 2),
        shape(frame_612_shape_group_1_shape_11_horizontal_lines, 142, 5),
        shape(frame_612_shape_group_1_shape_12_horizontal_lines, 151, 1),
        shape(frame_612_shape_group_1_shape_13_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(96, 102),
        horizontal_line(95, 103),
        horizontal_line(94, 104),
        horizontal_line(93, 105),
        horizontal_line(92, 106),
        horizontal_line(91, 107),
        horizontal_line(90, 108),
        horizontal_line(88, 109),
        horizontal_line(87, 110),
        horizontal_line(86, 111),
        horizontal_line(85, 112),
        horizontal_line(84, 113),
        horizontal_line(83, 113),
        horizontal_line(82, 114),
        horizontal_line(80, 115),
        horizontal_line(79, 116),
        horizontal_line(78, 117),
        horizontal_line(77, 118),
        horizontal_line(76, 119),
        horizontal_line(75, 120),
        horizontal_line(74, 121),
        horizontal_line(72, 122),
        horizontal_line(71, 123),
        horizontal_line(70, 124),
        horizontal_line(69, 125),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(63, 118),
        horizontal_line(62, 117),
        horizontal_line(61, 116),
        horizontal_line(60, 114),
        horizontal_line(59, 113),
        horizontal_line(58, 111),
        horizontal_line(56, 110),
        horizontal_line(55, 109),
        horizontal_line(54, 107),
        horizontal_line(53, 106),
        horizontal_line(52, 104),
        horizontal_line(51, 103),
        horizontal_line(136, 136),
        horizontal_line(134, 137),
        horizontal_line(132, 138),
        horizontal_line(130, 138),
        horizontal_line(128, 139),
        horizontal_line(126, 140),
        horizontal_line(124, 140),
        horizontal_line(122, 141),
        horizontal_line(120, 142),
        horizontal_line(118, 142),
        horizontal_line(80, 87),
        horizontal_line(83, 86),
        horizontal_line(112, 133),
        horizontal_line(110, 130),
        horizontal_line(108, 128),
        horizontal_line(106, 125),
        horizontal_line(138, 143),
        horizontal_line(133, 143),
        horizontal_line(129, 142),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(148, 148),
        horizontal_line(142, 145),
        horizontal_line(142, 146),
        horizontal_line(123, 137),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(130, 136),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(151, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(190, 224),
        horizontal_line(191, 225),
        horizontal_line(191, 226),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(142, 154),
        horizontal_line(144, 154),
        horizontal_line(146, 154),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(169, 181),
        horizontal_line(169, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(205, 239),
        horizontal_line(173, 186),
        horizontal_line(175, 187),
        horizontal_line(177, 187),
        horizontal_line(179, 188),
        horizontal_line(181, 188),
        horizontal_line(184, 189),
        horizontal_line(186, 189),
        horizontal_line(188, 190),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(144, 191),
        horizontal_line(141, 188),
        horizontal_line(138, 186),
    };

    constexpr const horizontal_line frame_612_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_612_shape_group_2_shapes[] = {
        shape(frame_612_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_612_shape_group_2_shape_1_horizontal_lines, 26, 1),
        shape(frame_612_shape_group_2_shape_2_horizontal_lines, 30, 5),
        shape(frame_612_shape_group_2_shape_3_horizontal_lines, 61, 2),
        shape(frame_612_shape_group_2_shape_4_horizontal_lines, 151, 5),
        shape(frame_612_shape_group_2_shape_5_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(103, 103),
        horizontal_line(103, 104),
        horizontal_line(104, 105),
        horizontal_line(105, 106),
        horizontal_line(106, 107),
        horizontal_line(107, 108),
        horizontal_line(108, 109),
        horizontal_line(109, 110),
        horizontal_line(110, 111),
        horizontal_line(111, 112),
        horizontal_line(112, 113),
        horizontal_line(113, 114),
        horizontal_line(114, 115),
        horizontal_line(114, 116),
        horizontal_line(115, 117),
        horizontal_line(116, 118),
        horizontal_line(117, 119),
        horizontal_line(118, 120),
        horizontal_line(119, 121),
        horizontal_line(120, 122),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 126),
        horizontal_line(125, 127),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(68, 124),
        horizontal_line(67, 123),
        horizontal_line(66, 121),
        horizontal_line(64, 120),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
        horizontal_line(131, 136),
        horizontal_line(132, 137),
        horizontal_line(132, 138),
        horizontal_line(133, 139),
        horizontal_line(134, 140),
        horizontal_line(134, 141),
        horizontal_line(135, 142),
        horizontal_line(136, 143),
        horizontal_line(136, 144),
        horizontal_line(137, 145),
        horizontal_line(138, 146),
        horizontal_line(139, 147),
        horizontal_line(139, 149),
        horizontal_line(140, 150),
        horizontal_line(141, 151),
        horizontal_line(141, 152),
        horizontal_line(142, 153),
        horizontal_line(143, 154),
        horizontal_line(143, 155),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(116, 139),
        horizontal_line(114, 136),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(145, 158),
        horizontal_line(146, 159),
        horizontal_line(147, 160),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(143, 145),
        horizontal_line(148, 148),
        horizontal_line(151, 166),
        horizontal_line(148, 148),
        horizontal_line(149, 149),
        horizontal_line(142, 146),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(142, 146),
        horizontal_line(150, 151),
        horizontal_line(150, 152),
        horizontal_line(157, 175),
        horizontal_line(158, 176),
        horizontal_line(158, 177),
        horizontal_line(159, 178),
        horizontal_line(160, 179),
        horizontal_line(161, 180),
        horizontal_line(161, 181),
        horizontal_line(162, 182),
        horizontal_line(163, 183),
        horizontal_line(163, 184),
        horizontal_line(164, 185),
        horizontal_line(165, 186),
        horizontal_line(165, 187),
        horizontal_line(166, 188),
        horizontal_line(167, 189),
        horizontal_line(167, 190),
        horizontal_line(168, 191),
        horizontal_line(169, 192),
        horizontal_line(169, 194),
        horizontal_line(170, 195),
        horizontal_line(171, 196),
        horizontal_line(172, 197),
        horizontal_line(172, 198),
        horizontal_line(173, 199),
        horizontal_line(174, 200),
        horizontal_line(174, 201),
        horizontal_line(175, 202),
        horizontal_line(176, 203),
        horizontal_line(176, 204),
        horizontal_line(177, 205),
        horizontal_line(178, 206),
        horizontal_line(178, 207),
        horizontal_line(179, 208),
        horizontal_line(180, 209),
        horizontal_line(180, 210),
        horizontal_line(181, 211),
        horizontal_line(182, 212),
        horizontal_line(182, 213),
        horizontal_line(183, 214),
        horizontal_line(184, 215),
        horizontal_line(185, 216),
        horizontal_line(185, 217),
        horizontal_line(186, 218),
        horizontal_line(187, 219),
        horizontal_line(187, 220),
        horizontal_line(188, 221),
        horizontal_line(189, 222),
        horizontal_line(189, 223),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(192, 227),
        horizontal_line(193, 228),
        horizontal_line(193, 229),
        horizontal_line(194, 230),
        horizontal_line(195, 231),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
        horizontal_line(168, 180),
        horizontal_line(198, 235),
        horizontal_line(198, 236),
        horizontal_line(199, 237),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_612_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_612_shape_group_3_shapes[] = {
        shape(frame_612_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_612_shape_group_3_shape_1_horizontal_lines, 26, 5),
        shape(frame_612_shape_group_3_shape_2_horizontal_lines, 30, 2),
        shape(frame_612_shape_group_3_shape_3_horizontal_lines, 52, 5),
        shape(frame_612_shape_group_3_shape_4_horizontal_lines, 54, 2),
        shape(frame_612_shape_group_3_shape_5_horizontal_lines, 57, 5),
        shape(frame_612_shape_group_3_shape_6_horizontal_lines, 58, 2),
        shape(frame_612_shape_group_3_shape_7_horizontal_lines, 119, 6),
        shape(frame_612_shape_group_3_shape_8_horizontal_lines, 122, 2),
        shape(frame_612_shape_group_3_shape_9_horizontal_lines, 141, 6),
        shape(frame_612_shape_group_3_shape_10_horizontal_lines, 142, 2),
        shape(frame_612_shape_group_3_shape_11_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(127, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
        horizontal_line(0, 45),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(144, 156),
        horizontal_line(145, 157),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(148, 162),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(152, 167),
        horizontal_line(152, 168),
        horizontal_line(149, 149),
        horizontal_line(154, 170),
        horizontal_line(154, 171),
        horizontal_line(150, 151),
        horizontal_line(156, 173),
        horizontal_line(156, 174),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(112, 122),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(196, 232),
        horizontal_line(196, 233),
        horizontal_line(197, 234),
    };

    constexpr const horizontal_line frame_612_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(121, 130),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(126, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(129, 136),
    };

    constexpr const shape frame_612_shape_group_4_shapes[] = {
        shape(frame_612_shape_group_4_shape_0_horizontal_lines, 26, 2),
        shape(frame_612_shape_group_4_shape_1_horizontal_lines, 30, 6),
        shape(frame_612_shape_group_4_shape_2_horizontal_lines, 52, 2),
        shape(frame_612_shape_group_4_shape_3_horizontal_lines, 54, 6),
        shape(frame_612_shape_group_4_shape_4_horizontal_lines, 57, 2),
        shape(frame_612_shape_group_4_shape_5_horizontal_lines, 62, 6),
        shape(frame_612_shape_group_4_shape_6_horizontal_lines, 63, 2),
        shape(frame_612_shape_group_4_shape_7_horizontal_lines, 71, 6),
        shape(frame_612_shape_group_4_shape_8_horizontal_lines, 127, 2),
        shape(frame_612_shape_group_4_shape_9_horizontal_lines, 130, 6),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(50, 55),
        horizontal_line(51, 58),
        horizontal_line(51, 61),
        horizontal_line(52, 64),
        horizontal_line(52, 67),
        horizontal_line(53, 70),
        horizontal_line(53, 73),
        horizontal_line(54, 76),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(55, 85),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(86, 89),
        horizontal_line(86, 94),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(147, 161),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(149, 163),
        horizontal_line(150, 164),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(89, 104),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(153, 169),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 60),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(155, 172),
    };

    constexpr const horizontal_line frame_612_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(92, 107),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(94, 108),
        horizontal_line(94, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(96, 109),
        horizontal_line(96, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 116),
        horizontal_line(104, 116),
        horizontal_line(104, 116),
        horizontal_line(105, 117),
        horizontal_line(105, 117),
        horizontal_line(106, 117),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(107, 118),
        horizontal_line(107, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(110, 120),
        horizontal_line(110, 121),
        horizontal_line(110, 121),
        horizontal_line(111, 121),
        horizontal_line(111, 122),
        horizontal_line(112, 122),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(113, 123),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 125),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(121, 129),
        horizontal_line(62, 93),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
    };

    constexpr const shape frame_612_shape_group_5_shapes[] = {
        shape(frame_612_shape_group_5_shape_0_horizontal_lines, 29, 6),
        shape(frame_612_shape_group_5_shape_1_horizontal_lines, 43, 7),
        shape(frame_612_shape_group_5_shape_2_horizontal_lines, 52, 6),
        shape(frame_612_shape_group_5_shape_3_horizontal_lines, 54, 7),
        shape(frame_612_shape_group_5_shape_4_horizontal_lines, 55, 6),
        shape(frame_612_shape_group_5_shape_5_horizontal_lines, 57, 2),
        shape(frame_612_shape_group_5_shape_6_horizontal_lines, 58, 6),
        shape(frame_612_shape_group_5_shape_7_horizontal_lines, 59, 2),
        shape(frame_612_shape_group_5_shape_8_horizontal_lines, 61, 6),
        shape(frame_612_shape_group_5_shape_9_horizontal_lines, 65, 2),
        shape(frame_612_shape_group_5_shape_10_horizontal_lines, 66, 6),
        shape(frame_612_shape_group_5_shape_11_horizontal_lines, 68, 2),
        shape(frame_612_shape_group_5_shape_12_horizontal_lines, 69, 6),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(54, 79),
        horizontal_line(54, 82),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(55, 85),
        horizontal_line(56, 85),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(87, 103),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(88, 103),
        horizontal_line(115, 119),
        horizontal_line(89, 104),
        horizontal_line(90, 104),
        horizontal_line(0, 59),
        horizontal_line(90, 105),
        horizontal_line(91, 105),
        horizontal_line(0, 60),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(84, 111),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(115, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 126),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(94, 120),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_612_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(100, 125),
        horizontal_line(101, 126),
        horizontal_line(101, 126),
        horizontal_line(102, 127),
        horizontal_line(102, 127),
        horizontal_line(103, 128),
    };

    constexpr const shape frame_612_shape_group_6_shapes[] = {
        shape(frame_612_shape_group_6_shape_0_horizontal_lines, 52, 7),
        shape(frame_612_shape_group_6_shape_1_horizontal_lines, 55, 7),
        shape(frame_612_shape_group_6_shape_2_horizontal_lines, 57, 6),
        shape(frame_612_shape_group_6_shape_3_horizontal_lines, 119, 7),
        shape(frame_612_shape_group_6_shape_4_horizontal_lines, 122, 6),
        shape(frame_612_shape_group_6_shape_5_horizontal_lines, 141, 7),
        shape(frame_612_shape_group_6_shape_6_horizontal_lines, 142, 6),
        shape(frame_612_shape_group_6_shape_7_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(87, 99),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(57, 86),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(88, 103),
        horizontal_line(88, 103),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(58, 87),
        horizontal_line(59, 88),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(90, 105),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(91, 106),
        horizontal_line(116, 119),
        horizontal_line(117, 119),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(74, 102),
        horizontal_line(75, 103),
        horizontal_line(75, 103),
        horizontal_line(76, 103),
        horizontal_line(76, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 106),
        horizontal_line(79, 106),
        horizontal_line(79, 107),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(84, 111),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(86, 112),
        horizontal_line(86, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 114),
        horizontal_line(88, 114),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_612_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(89, 116),
        horizontal_line(90, 116),
        horizontal_line(90, 116),
        horizontal_line(91, 117),
        horizontal_line(91, 117),
        horizontal_line(92, 118),
        horizontal_line(92, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(94, 120),
        horizontal_line(131, 132),
        horizontal_line(95, 121),
        horizontal_line(95, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 122),
        horizontal_line(97, 122),
        horizontal_line(97, 123),
        horizontal_line(98, 123),
        horizontal_line(98, 123),
        horizontal_line(98, 124),
        horizontal_line(99, 124),
        horizontal_line(99, 125),
        horizontal_line(100, 125),
    };

    constexpr const shape frame_612_shape_group_7_shapes[] = {
        shape(frame_612_shape_group_7_shape_0_horizontal_lines, 57, 6),
        shape(frame_612_shape_group_7_shape_1_horizontal_lines, 58, 7),
        shape(frame_612_shape_group_7_shape_2_horizontal_lines, 59, 6),
        shape(frame_612_shape_group_7_shape_3_horizontal_lines, 61, 7),
        shape(frame_612_shape_group_7_shape_4_horizontal_lines, 63, 6),
        shape(frame_612_shape_group_7_shape_5_horizontal_lines, 97, 7),
        shape(frame_612_shape_group_7_shape_6_horizontal_lines, 127, 6),
        shape(frame_612_shape_group_7_shape_7_horizontal_lines, 130, 7),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(56, 86),
        horizontal_line(104, 104),
        horizontal_line(57, 87),
        horizontal_line(58, 87),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(59, 88),
        horizontal_line(59, 89),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(60, 89),
        horizontal_line(61, 90),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(63, 91),
        horizontal_line(63, 92),
        horizontal_line(64, 92),
        horizontal_line(64, 93),
        horizontal_line(64, 93),
        horizontal_line(65, 94),
        horizontal_line(65, 94),
        horizontal_line(66, 94),
        horizontal_line(66, 95),
        horizontal_line(67, 95),
        horizontal_line(67, 96),
        horizontal_line(68, 96),
        horizontal_line(68, 96),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 102),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(88, 114),
        horizontal_line(88, 115),
        horizontal_line(89, 115),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_612_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 135),
    };

    constexpr const shape frame_612_shape_group_8_shapes[] = {
        shape(frame_612_shape_group_8_shape_0_horizontal_lines, 57, 7),
        shape(frame_612_shape_group_8_shape_1_horizontal_lines, 65, 6),
        shape(frame_612_shape_group_8_shape_2_horizontal_lines, 66, 7),
        shape(frame_612_shape_group_8_shape_3_horizontal_lines, 68, 6),
        shape(frame_612_shape_group_8_shape_4_horizontal_lines, 69, 7),
        shape(frame_612_shape_group_8_shape_5_horizontal_lines, 122, 7),
        shape(frame_612_shape_group_8_shape_6_horizontal_lines, 142, 7),
    };

    constexpr const horizontal_line frame_612_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(104, 107),
        horizontal_line(104, 110),
    };

    constexpr const horizontal_line frame_612_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(60, 89),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(61, 90),
        horizontal_line(107, 115),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
    };

    constexpr const horizontal_line frame_612_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
    };

    constexpr const shape frame_612_shape_group_9_shapes[] = {
        shape(frame_612_shape_group_9_shape_0_horizontal_lines, 59, 7),
        shape(frame_612_shape_group_9_shape_1_horizontal_lines, 62, 7),
        shape(frame_612_shape_group_9_shape_2_horizontal_lines, 127, 7),
    };

    constexpr const horizontal_line frame_612_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(106, 114),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(107, 115),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const shape frame_612_shape_group_10_shapes[] = {
        shape(frame_612_shape_group_10_shape_0_horizontal_lines, 63, 7),
    };

    constexpr const horizontal_line frame_612_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_612_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const shape frame_612_shape_group_11_shapes[] = {
        shape(frame_612_shape_group_11_shape_0_horizontal_lines, 65, 7),
        shape(frame_612_shape_group_11_shape_1_horizontal_lines, 68, 7),
    };

    constexpr const shape_group frame_612_shape_groups[] = {
        shape_group(frame_612_shape_group_0_shapes),
        shape_group(frame_612_shape_group_1_shapes),
        shape_group(frame_612_shape_group_2_shapes),
        shape_group(frame_612_shape_group_3_shapes),
        shape_group(frame_612_shape_group_4_shapes),
        shape_group(frame_612_shape_group_5_shapes),
        shape_group(frame_612_shape_group_6_shapes),
        shape_group(frame_612_shape_group_7_shapes),
        shape_group(frame_612_shape_group_8_shapes),
        shape_group(frame_612_shape_group_9_shapes),
        shape_group(frame_612_shape_group_10_shapes),
        shape_group(frame_612_shape_group_11_shapes),
    };

    constexpr const frame frame_612_impl(frame_612_colors, frame_612_shape_groups);
} 

const frame& frame_612()
{
    return frame_612_impl;
}

namespace
{
    constexpr const bn::color frame_613_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(1, 54),
        horizontal_line(4, 53),
        horizontal_line(7, 52),
        horizontal_line(11, 50),
        horizontal_line(14, 49),
        horizontal_line(18, 48),
        horizontal_line(21, 47),
        horizontal_line(24, 46),
        horizontal_line(28, 45),
        horizontal_line(31, 44),
        horizontal_line(35, 43),
        horizontal_line(38, 42),
        horizontal_line(101, 135),
        horizontal_line(100, 136),
        horizontal_line(98, 136),
        horizontal_line(97, 134),
        horizontal_line(95, 132),
        horizontal_line(94, 130),
        horizontal_line(93, 128),
        horizontal_line(91, 127),
        horizontal_line(90, 125),
        horizontal_line(88, 123),
        horizontal_line(87, 121),
        horizontal_line(85, 119),
        horizontal_line(84, 117),
        horizontal_line(83, 115),
        horizontal_line(86, 114),
        horizontal_line(89, 112),
        horizontal_line(92, 110),
        horizontal_line(95, 108),
        horizontal_line(98, 106),
        horizontal_line(101, 104),
        horizontal_line(120, 134),
        horizontal_line(117, 129),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 143),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(121, 140),
        horizontal_line(139, 139),
        horizontal_line(121, 123),
        horizontal_line(121, 127),
        horizontal_line(121, 131),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 130),
        horizontal_line(129, 132),
        horizontal_line(129, 135),
        horizontal_line(129, 137),
        horizontal_line(129, 139),
        horizontal_line(129, 141),
        horizontal_line(130, 136),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(130, 152),
        horizontal_line(131, 154),
    };

    constexpr const horizontal_line frame_613_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(153, 158),
        horizontal_line(150, 160),
        horizontal_line(147, 162),
        horizontal_line(143, 164),
        horizontal_line(140, 166),
        horizontal_line(137, 168),
        horizontal_line(133, 170),
        horizontal_line(132, 172),
        horizontal_line(133, 173),
        horizontal_line(133, 170),
        horizontal_line(133, 167),
        horizontal_line(133, 164),
        horizontal_line(134, 161),
        horizontal_line(134, 158),
        horizontal_line(134, 155),
        horizontal_line(134, 152),
        horizontal_line(134, 149),
        horizontal_line(135, 146),
        horizontal_line(135, 143),
        horizontal_line(135, 140),
        horizontal_line(135, 137),
        horizontal_line(191, 199),
        horizontal_line(189, 201),
        horizontal_line(187, 203),
        horizontal_line(185, 205),
    };

    constexpr const shape frame_613_shape_group_0_shapes[] = {
        shape(frame_613_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_613_shape_group_0_shape_1_horizontal_lines, 60, 5),
        shape(frame_613_shape_group_0_shape_2_horizontal_lines, 61, 1),
        shape(frame_613_shape_group_0_shape_3_horizontal_lines, 68, 2),
        shape(frame_613_shape_group_0_shape_4_horizontal_lines, 122, 1),
        shape(frame_613_shape_group_0_shape_5_horizontal_lines, 131, 5),
        shape(frame_613_shape_group_0_shape_6_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(118, 127),
        horizontal_line(117, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 129),
        horizontal_line(113, 130),
        horizontal_line(111, 130),
        horizontal_line(110, 131),
        horizontal_line(108, 132),
        horizontal_line(107, 133),
        horizontal_line(105, 133),
        horizontal_line(104, 134),
        horizontal_line(103, 135),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(42, 100),
        horizontal_line(45, 99),
        horizontal_line(48, 97),
        horizontal_line(51, 96),
        horizontal_line(54, 94),
        horizontal_line(57, 93),
        horizontal_line(60, 92),
        horizontal_line(64, 90),
        horizontal_line(67, 89),
        horizontal_line(70, 87),
        horizontal_line(73, 86),
        horizontal_line(76, 84),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(139, 144),
        horizontal_line(136, 145),
        horizontal_line(133, 146),
        horizontal_line(131, 146),
        horizontal_line(128, 147),
        horizontal_line(125, 143),
        horizontal_line(123, 138),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(104, 119),
        horizontal_line(109, 116),
        horizontal_line(125, 143),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(121, 138),
        horizontal_line(124, 137),
        horizontal_line(128, 137),
        horizontal_line(132, 137),
        horizontal_line(121, 123),
        horizontal_line(131, 137),
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(137, 144),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(150, 155),
        horizontal_line(153, 155),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(131, 156),
        horizontal_line(131, 152),
        horizontal_line(131, 149),
        horizontal_line(131, 146),
        horizontal_line(132, 142),
        horizontal_line(132, 139),
        horizontal_line(132, 136),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(173, 189),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(171, 176),
        horizontal_line(168, 178),
        horizontal_line(165, 180),
        horizontal_line(162, 182),
        horizontal_line(159, 184),
        horizontal_line(156, 186),
        horizontal_line(153, 188),
        horizontal_line(150, 190),
        horizontal_line(147, 192),
        horizontal_line(144, 194),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(193, 197),
    };

    constexpr const horizontal_line frame_613_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(135, 190),
        horizontal_line(135, 188),
        horizontal_line(135, 186),
        horizontal_line(136, 184),
    };

    constexpr const shape frame_613_shape_group_1_shapes[] = {
        shape(frame_613_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_613_shape_group_1_shape_1_horizontal_lines, 19, 5),
        shape(frame_613_shape_group_1_shape_2_horizontal_lines, 21, 1),
        shape(frame_613_shape_group_1_shape_3_horizontal_lines, 37, 5),
        shape(frame_613_shape_group_1_shape_4_horizontal_lines, 49, 1),
        shape(frame_613_shape_group_1_shape_5_horizontal_lines, 57, 5),
        shape(frame_613_shape_group_1_shape_6_horizontal_lines, 60, 2),
        shape(frame_613_shape_group_1_shape_7_horizontal_lines, 128, 5),
        shape(frame_613_shape_group_1_shape_8_horizontal_lines, 131, 2),
        shape(frame_613_shape_group_1_shape_9_horizontal_lines, 134, 5),
        shape(frame_613_shape_group_1_shape_10_horizontal_lines, 142, 2),
        shape(frame_613_shape_group_1_shape_11_horizontal_lines, 143, 5),
        shape(frame_613_shape_group_1_shape_12_horizontal_lines, 154, 1),
        shape(frame_613_shape_group_1_shape_13_horizontal_lines, 156, 5),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 106),
        horizontal_line(81, 106),
        horizontal_line(80, 107),
        horizontal_line(79, 108),
        horizontal_line(78, 109),
        horizontal_line(77, 110),
        horizontal_line(76, 111),
        horizontal_line(75, 112),
        horizontal_line(74, 113),
        horizontal_line(73, 114),
        horizontal_line(71, 115),
        horizontal_line(70, 115),
        horizontal_line(69, 116),
        horizontal_line(68, 117),
        horizontal_line(67, 118),
        horizontal_line(66, 119),
        horizontal_line(65, 120),
        horizontal_line(64, 121),
        horizontal_line(63, 122),
        horizontal_line(123, 123),
        horizontal_line(122, 124),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 110),
        horizontal_line(48, 109),
        horizontal_line(47, 107),
        horizontal_line(46, 106),
        horizontal_line(45, 104),
        horizontal_line(44, 103),
        horizontal_line(43, 102),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(136, 148),
        horizontal_line(137, 149),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(135, 137),
        horizontal_line(133, 138),
        horizontal_line(131, 139),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(126, 141),
        horizontal_line(124, 142),
        horizontal_line(122, 142),
        horizontal_line(120, 143),
        horizontal_line(79, 83),
        horizontal_line(116, 138),
        horizontal_line(115, 135),
        horizontal_line(113, 132),
        horizontal_line(111, 130),
        horizontal_line(109, 127),
        horizontal_line(107, 124),
        horizontal_line(105, 122),
        horizontal_line(135, 145),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(149, 150),
        horizontal_line(150, 150),
        horizontal_line(150, 150),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(131, 137),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(153, 155),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(167, 178),
        horizontal_line(194, 236),
        horizontal_line(195, 237),
        horizontal_line(167, 179),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(169, 181),
        horizontal_line(169, 182),
        horizontal_line(143, 155),
        horizontal_line(145, 155),
        horizontal_line(148, 155),
        horizontal_line(170, 183),
        horizontal_line(170, 184),
        horizontal_line(171, 184),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(171, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(210, 239),
        horizontal_line(175, 189),
        horizontal_line(177, 190),
        horizontal_line(179, 190),
        horizontal_line(181, 191),
        horizontal_line(183, 191),
        horizontal_line(185, 192),
        horizontal_line(187, 192),
        horizontal_line(189, 193),
        horizontal_line(191, 193),
        horizontal_line(193, 194),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(141, 195),
        horizontal_line(138, 192),
    };

    constexpr const horizontal_line frame_613_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_613_shape_group_2_shapes[] = {
        shape(frame_613_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_613_shape_group_2_shape_1_horizontal_lines, 37, 2),
        shape(frame_613_shape_group_2_shape_2_horizontal_lines, 39, 5),
        shape(frame_613_shape_group_2_shape_3_horizontal_lines, 59, 2),
        shape(frame_613_shape_group_2_shape_4_horizontal_lines, 154, 5),
        shape(frame_613_shape_group_2_shape_5_horizontal_lines, 156, 2),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(107, 110),
        horizontal_line(108, 111),
        horizontal_line(109, 112),
        horizontal_line(110, 113),
        horizontal_line(111, 114),
        horizontal_line(112, 115),
        horizontal_line(113, 116),
        horizontal_line(114, 117),
        horizontal_line(115, 118),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(117, 121),
        horizontal_line(118, 122),
        horizontal_line(119, 123),
        horizontal_line(120, 124),
        horizontal_line(121, 126),
        horizontal_line(122, 127),
        horizontal_line(123, 128),
        horizontal_line(124, 129),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(119, 120),
        horizontal_line(118, 119),
        horizontal_line(117, 117),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(131, 140),
        horizontal_line(132, 142),
        horizontal_line(133, 143),
        horizontal_line(134, 144),
        horizontal_line(134, 145),
        horizontal_line(135, 146),
        horizontal_line(136, 147),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 150),
        horizontal_line(138, 151),
        horizontal_line(139, 152),
        horizontal_line(140, 153),
        horizontal_line(141, 154),
        horizontal_line(141, 155),
        horizontal_line(142, 156),
        horizontal_line(143, 158),
        horizontal_line(143, 159),
        horizontal_line(144, 160),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(118, 140),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(145, 162),
        horizontal_line(146, 163),
        horizontal_line(147, 164),
        horizontal_line(148, 165),
        horizontal_line(148, 166),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(145, 147),
        horizontal_line(149, 149),
        horizontal_line(152, 172),
        horizontal_line(153, 174),
        horizontal_line(154, 175),
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(151, 152),
        horizontal_line(151, 152),
        horizontal_line(143, 148),
        horizontal_line(152, 153),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(153, 155),
        horizontal_line(161, 185),
        horizontal_line(161, 186),
        horizontal_line(162, 187),
        horizontal_line(163, 188),
        horizontal_line(164, 189),
        horizontal_line(164, 191),
        horizontal_line(165, 192),
        horizontal_line(166, 193),
        horizontal_line(166, 194),
        horizontal_line(167, 195),
        horizontal_line(168, 196),
        horizontal_line(168, 197),
        horizontal_line(169, 198),
        horizontal_line(170, 199),
        horizontal_line(171, 200),
        horizontal_line(171, 201),
        horizontal_line(172, 202),
        horizontal_line(173, 203),
        horizontal_line(173, 204),
        horizontal_line(174, 205),
        horizontal_line(175, 207),
        horizontal_line(175, 208),
        horizontal_line(176, 209),
        horizontal_line(177, 210),
        horizontal_line(178, 211),
        horizontal_line(178, 212),
        horizontal_line(179, 213),
        horizontal_line(180, 214),
        horizontal_line(180, 215),
        horizontal_line(181, 216),
        horizontal_line(182, 217),
        horizontal_line(182, 218),
        horizontal_line(183, 219),
        horizontal_line(184, 220),
        horizontal_line(185, 221),
        horizontal_line(185, 223),
        horizontal_line(186, 224),
        horizontal_line(187, 225),
        horizontal_line(187, 226),
        horizontal_line(188, 227),
        horizontal_line(189, 228),
        horizontal_line(189, 229),
        horizontal_line(190, 230),
        horizontal_line(191, 231),
        horizontal_line(191, 232),
        horizontal_line(192, 233),
        horizontal_line(193, 234),
        horizontal_line(194, 235),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(169, 182),
        horizontal_line(169, 183),
        horizontal_line(170, 183),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_613_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_613_shape_group_3_shapes[] = {
        shape(frame_613_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_613_shape_group_3_shape_1_horizontal_lines, 21, 5),
        shape(frame_613_shape_group_3_shape_2_horizontal_lines, 27, 2),
        shape(frame_613_shape_group_3_shape_3_horizontal_lines, 28, 5),
        shape(frame_613_shape_group_3_shape_4_horizontal_lines, 30, 2),
        shape(frame_613_shape_group_3_shape_5_horizontal_lines, 37, 6),
        shape(frame_613_shape_group_3_shape_6_horizontal_lines, 39, 2),
        shape(frame_613_shape_group_3_shape_7_horizontal_lines, 49, 5),
        shape(frame_613_shape_group_3_shape_8_horizontal_lines, 50, 2),
        shape(frame_613_shape_group_3_shape_9_horizontal_lines, 55, 5),
        shape(frame_613_shape_group_3_shape_10_horizontal_lines, 57, 2),
        shape(frame_613_shape_group_3_shape_11_horizontal_lines, 120, 6),
        shape(frame_613_shape_group_3_shape_12_horizontal_lines, 122, 2),
        shape(frame_613_shape_group_3_shape_13_horizontal_lines, 142, 6),
        shape(frame_613_shape_group_3_shape_14_horizontal_lines, 143, 2),
        shape(frame_613_shape_group_3_shape_15_horizontal_lines, 153, 6),
        shape(frame_613_shape_group_3_shape_16_horizontal_lines, 154, 2),
        shape(frame_613_shape_group_3_shape_17_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 131),
        horizontal_line(126, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 134),
        horizontal_line(128, 135),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(130, 138),
        horizontal_line(131, 139),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(42, 44),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(146, 148),
        horizontal_line(150, 169),
        horizontal_line(149, 149),
        horizontal_line(152, 171),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(155, 176),
        horizontal_line(155, 177),
        horizontal_line(156, 178),
        horizontal_line(157, 179),
        horizontal_line(151, 153),
        horizontal_line(158, 181),
        horizontal_line(159, 182),
        horizontal_line(159, 183),
        horizontal_line(160, 184),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_613_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(120, 129),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 133),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(125, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(127, 135),
    };

    constexpr const shape frame_613_shape_group_4_shapes[] = {
        shape(frame_613_shape_group_4_shape_0_horizontal_lines, 21, 2),
        shape(frame_613_shape_group_4_shape_1_horizontal_lines, 27, 6),
        shape(frame_613_shape_group_4_shape_2_horizontal_lines, 28, 2),
        shape(frame_613_shape_group_4_shape_3_horizontal_lines, 30, 6),
        shape(frame_613_shape_group_4_shape_4_horizontal_lines, 38, 7),
        shape(frame_613_shape_group_4_shape_5_horizontal_lines, 39, 6),
        shape(frame_613_shape_group_4_shape_6_horizontal_lines, 49, 2),
        shape(frame_613_shape_group_4_shape_7_horizontal_lines, 50, 6),
        shape(frame_613_shape_group_4_shape_8_horizontal_lines, 55, 2),
        shape(frame_613_shape_group_4_shape_9_horizontal_lines, 60, 6),
        shape(frame_613_shape_group_4_shape_10_horizontal_lines, 63, 2),
        shape(frame_613_shape_group_4_shape_11_horizontal_lines, 72, 6),
        shape(frame_613_shape_group_4_shape_12_horizontal_lines, 128, 2),
        shape(frame_613_shape_group_4_shape_13_horizontal_lines, 131, 6),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(42, 47),
        horizontal_line(43, 50),
        horizontal_line(43, 53),
        horizontal_line(44, 56),
        horizontal_line(44, 59),
        horizontal_line(44, 63),
        horizontal_line(45, 66),
        horizontal_line(45, 69),
        horizontal_line(46, 72),
        horizontal_line(46, 75),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(47, 82),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(83, 85),
        horizontal_line(83, 88),
        horizontal_line(84, 91),
        horizontal_line(84, 94),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(149, 167),
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(151, 170),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(87, 102),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(157, 180),
    };

    constexpr const horizontal_line frame_613_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(91, 106),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(93, 107),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(94, 108),
        horizontal_line(94, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 110),
        horizontal_line(96, 110),
        horizontal_line(96, 110),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(104, 116),
        horizontal_line(104, 117),
        horizontal_line(105, 117),
        horizontal_line(105, 117),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(109, 120),
        horizontal_line(109, 121),
        horizontal_line(110, 121),
        horizontal_line(110, 121),
        horizontal_line(110, 122),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(114, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(115, 125),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 129),
        horizontal_line(62, 84),
        horizontal_line(120, 129),
        horizontal_line(120, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 132),
        horizontal_line(62, 89),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
    };

    constexpr const shape frame_613_shape_group_5_shapes[] = {
        shape(frame_613_shape_group_5_shape_0_horizontal_lines, 25, 6),
        shape(frame_613_shape_group_5_shape_1_horizontal_lines, 28, 6),
        shape(frame_613_shape_group_5_shape_2_horizontal_lines, 39, 7),
        shape(frame_613_shape_group_5_shape_3_horizontal_lines, 49, 6),
        shape(frame_613_shape_group_5_shape_4_horizontal_lines, 50, 7),
        shape(frame_613_shape_group_5_shape_5_horizontal_lines, 51, 6),
        shape(frame_613_shape_group_5_shape_6_horizontal_lines, 55, 2),
        shape(frame_613_shape_group_5_shape_7_horizontal_lines, 57, 6),
        shape(frame_613_shape_group_5_shape_8_horizontal_lines, 58, 2),
        shape(frame_613_shape_group_5_shape_9_horizontal_lines, 59, 6),
        shape(frame_613_shape_group_5_shape_10_horizontal_lines, 67, 2),
        shape(frame_613_shape_group_5_shape_11_horizontal_lines, 68, 6),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(47, 78),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(47, 82),
        horizontal_line(48, 82),
        horizontal_line(48, 83),
        horizontal_line(49, 83),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(85, 102),
        horizontal_line(0, 49),
        horizontal_line(86, 102),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(88, 103),
        horizontal_line(88, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(0, 53),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(91, 106),
        horizontal_line(91, 106),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(76, 110),
        horizontal_line(77, 110),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(114, 124),
        horizontal_line(114, 125),
        horizontal_line(115, 125),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(85, 119),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(90, 123),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_613_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(91, 124),
        horizontal_line(92, 125),
        horizontal_line(92, 125),
        horizontal_line(93, 126),
    };

    constexpr const shape frame_613_shape_group_6_shapes[] = {
        shape(frame_613_shape_group_6_shape_0_horizontal_lines, 49, 7),
        shape(frame_613_shape_group_6_shape_1_horizontal_lines, 51, 7),
        shape(frame_613_shape_group_6_shape_2_horizontal_lines, 55, 6),
        shape(frame_613_shape_group_6_shape_3_horizontal_lines, 120, 7),
        shape(frame_613_shape_group_6_shape_4_horizontal_lines, 122, 6),
        shape(frame_613_shape_group_6_shape_5_horizontal_lines, 142, 7),
        shape(frame_613_shape_group_6_shape_6_horizontal_lines, 143, 6),
        shape(frame_613_shape_group_6_shape_7_horizontal_lines, 153, 7),
        shape(frame_613_shape_group_6_shape_8_horizontal_lines, 154, 6),
        shape(frame_613_shape_group_6_shape_9_horizontal_lines, 156, 7),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(85, 97),
        horizontal_line(85, 100),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(50, 84),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(86, 102),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(51, 85),
        horizontal_line(51, 86),
        horizontal_line(52, 86),
        horizontal_line(52, 86),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(89, 105),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(56, 90),
        horizontal_line(57, 91),
        horizontal_line(57, 91),
        horizontal_line(57, 92),
        horizontal_line(58, 92),
        horizontal_line(58, 92),
        horizontal_line(59, 93),
        horizontal_line(59, 93),
        horizontal_line(59, 94),
        horizontal_line(60, 94),
        horizontal_line(60, 94),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(68, 102),
        horizontal_line(69, 102),
        horizontal_line(69, 103),
        horizontal_line(70, 103),
        horizontal_line(70, 104),
        horizontal_line(70, 104),
        horizontal_line(71, 105),
        horizontal_line(71, 105),
        horizontal_line(72, 105),
        horizontal_line(72, 106),
        horizontal_line(72, 106),
        horizontal_line(73, 107),
        horizontal_line(73, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 109),
        horizontal_line(75, 109),
        horizontal_line(76, 109),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(78, 111),
        horizontal_line(78, 112),
        horizontal_line(79, 112),
        horizontal_line(79, 113),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_613_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(81, 114),
        horizontal_line(81, 115),
        horizontal_line(82, 115),
        horizontal_line(82, 115),
        horizontal_line(82, 116),
        horizontal_line(83, 116),
        horizontal_line(83, 117),
        horizontal_line(84, 117),
        horizontal_line(84, 117),
        horizontal_line(85, 118),
        horizontal_line(85, 118),
        horizontal_line(130, 131),
        horizontal_line(86, 119),
        horizontal_line(86, 119),
        horizontal_line(87, 120),
        horizontal_line(87, 120),
        horizontal_line(87, 121),
        horizontal_line(88, 121),
        horizontal_line(88, 121),
        horizontal_line(89, 122),
        horizontal_line(89, 122),
        horizontal_line(90, 123),
        horizontal_line(134, 134),
        horizontal_line(90, 123),
        horizontal_line(91, 124),
    };

    constexpr const shape frame_613_shape_group_7_shapes[] = {
        shape(frame_613_shape_group_7_shape_0_horizontal_lines, 55, 6),
        shape(frame_613_shape_group_7_shape_1_horizontal_lines, 57, 7),
        shape(frame_613_shape_group_7_shape_2_horizontal_lines, 58, 6),
        shape(frame_613_shape_group_7_shape_3_horizontal_lines, 59, 7),
        shape(frame_613_shape_group_7_shape_4_horizontal_lines, 63, 6),
        shape(frame_613_shape_group_7_shape_5_horizontal_lines, 72, 7),
        shape(frame_613_shape_group_7_shape_6_horizontal_lines, 88, 6),
        shape(frame_613_shape_group_7_shape_7_horizontal_lines, 101, 7),
        shape(frame_613_shape_group_7_shape_8_horizontal_lines, 128, 6),
        shape(frame_613_shape_group_7_shape_9_horizontal_lines, 131, 7),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(49, 84),
        horizontal_line(49, 84),
        horizontal_line(103, 103),
        horizontal_line(50, 85),
        horizontal_line(103, 114),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(52, 87),
        horizontal_line(53, 87),
        horizontal_line(53, 88),
        horizontal_line(54, 88),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(54, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 90),
        horizontal_line(56, 90),
        horizontal_line(107, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 120),
        horizontal_line(63, 97),
        horizontal_line(63, 97),
        horizontal_line(64, 98),
        horizontal_line(64, 98),
        horizontal_line(64, 98),
        horizontal_line(65, 99),
        horizontal_line(65, 99),
        horizontal_line(66, 100),
        horizontal_line(66, 100),
        horizontal_line(67, 100),
        horizontal_line(67, 101),
        horizontal_line(67, 101),
        horizontal_line(68, 102),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(80, 113),
        horizontal_line(80, 113),
        horizontal_line(80, 114),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_613_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(134, 134),
    };

    constexpr const shape frame_613_shape_group_8_shapes[] = {
        shape(frame_613_shape_group_8_shape_0_horizontal_lines, 55, 7),
        shape(frame_613_shape_group_8_shape_1_horizontal_lines, 67, 6),
        shape(frame_613_shape_group_8_shape_2_horizontal_lines, 68, 7),
        shape(frame_613_shape_group_8_shape_3_horizontal_lines, 122, 7),
        shape(frame_613_shape_group_8_shape_4_horizontal_lines, 143, 7),
        shape(frame_613_shape_group_8_shape_5_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_613_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(103, 108),
    };

    constexpr const horizontal_line frame_613_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_613_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(104, 114),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(54, 88),
        horizontal_line(106, 115),
        horizontal_line(106, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_613_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_613_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
    };

    constexpr const shape frame_613_shape_group_9_shapes[] = {
        shape(frame_613_shape_group_9_shape_0_horizontal_lines, 58, 7),
        shape(frame_613_shape_group_9_shape_1_horizontal_lines, 61, 7),
        shape(frame_613_shape_group_9_shape_2_horizontal_lines, 63, 7),
        shape(frame_613_shape_group_9_shape_3_horizontal_lines, 88, 7),
        shape(frame_613_shape_group_9_shape_4_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_613_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(106, 115),
    };

    constexpr const shape frame_613_shape_group_10_shapes[] = {
        shape(frame_613_shape_group_10_shape_0_horizontal_lines, 67, 7),
    };

    constexpr const shape_group frame_613_shape_groups[] = {
        shape_group(frame_613_shape_group_0_shapes),
        shape_group(frame_613_shape_group_1_shapes),
        shape_group(frame_613_shape_group_2_shapes),
        shape_group(frame_613_shape_group_3_shapes),
        shape_group(frame_613_shape_group_4_shapes),
        shape_group(frame_613_shape_group_5_shapes),
        shape_group(frame_613_shape_group_6_shapes),
        shape_group(frame_613_shape_group_7_shapes),
        shape_group(frame_613_shape_group_8_shapes),
        shape_group(frame_613_shape_group_9_shapes),
        shape_group(frame_613_shape_group_10_shapes),
    };

    constexpr const frame frame_613_impl(frame_613_colors, frame_613_shape_groups);
} 

const frame& frame_613()
{
    return frame_613_impl;
}

namespace
{
    constexpr const bn::color frame_614_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(1, 44),
        horizontal_line(4, 43),
        horizontal_line(7, 42),
        horizontal_line(11, 41),
        horizontal_line(14, 40),
        horizontal_line(18, 39),
        horizontal_line(21, 38),
        horizontal_line(24, 37),
        horizontal_line(28, 36),
        horizontal_line(31, 35),
        horizontal_line(102, 135),
        horizontal_line(101, 135),
        horizontal_line(99, 136),
        horizontal_line(98, 137),
        horizontal_line(97, 136),
        horizontal_line(95, 134),
        horizontal_line(94, 132),
        horizontal_line(93, 130),
        horizontal_line(91, 129),
        horizontal_line(90, 127),
        horizontal_line(89, 125),
        horizontal_line(87, 123),
        horizontal_line(86, 121),
        horizontal_line(85, 120),
        horizontal_line(83, 118),
        horizontal_line(82, 116),
        horizontal_line(81, 114),
        horizontal_line(84, 112),
        horizontal_line(87, 111),
        horizontal_line(90, 109),
        horizontal_line(93, 107),
        horizontal_line(96, 105),
        horizontal_line(99, 103),
        horizontal_line(122, 139),
        horizontal_line(119, 134),
        horizontal_line(116, 129),
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 145),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(123, 144),
        horizontal_line(122, 143),
        horizontal_line(131, 142),
        horizontal_line(141, 141),
        horizontal_line(122, 124),
        horizontal_line(122, 128),
        horizontal_line(122, 132),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(131, 138),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 130),
        horizontal_line(128, 132),
        horizontal_line(128, 135),
        horizontal_line(129, 137),
        horizontal_line(129, 139),
        horizontal_line(129, 141),
        horizontal_line(129, 136),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(130, 148),
        horizontal_line(130, 151),
        horizontal_line(130, 153),
        horizontal_line(130, 155),
    };

    constexpr const horizontal_line frame_614_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(154, 159),
        horizontal_line(151, 161),
        horizontal_line(147, 163),
        horizontal_line(144, 164),
        horizontal_line(140, 166),
        horizontal_line(137, 168),
        horizontal_line(133, 170),
        horizontal_line(132, 171),
        horizontal_line(132, 173),
        horizontal_line(133, 175),
        horizontal_line(133, 176),
        horizontal_line(133, 172),
        horizontal_line(133, 169),
        horizontal_line(134, 165),
        horizontal_line(134, 162),
        horizontal_line(134, 158),
        horizontal_line(134, 155),
        horizontal_line(134, 151),
        horizontal_line(135, 148),
        horizontal_line(135, 144),
        horizontal_line(135, 141),
        horizontal_line(135, 137),
        horizontal_line(200, 200),
        horizontal_line(199, 202),
    };

    constexpr const shape frame_614_shape_group_0_shapes[] = {
        shape(frame_614_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_614_shape_group_0_shape_1_horizontal_lines, 58, 5),
        shape(frame_614_shape_group_0_shape_2_horizontal_lines, 59, 1),
        shape(frame_614_shape_group_0_shape_3_horizontal_lines, 67, 2),
        shape(frame_614_shape_group_0_shape_4_horizontal_lines, 122, 1),
        shape(frame_614_shape_group_0_shape_5_horizontal_lines, 131, 5),
        shape(frame_614_shape_group_0_shape_6_horizontal_lines, 135, 1),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 115),
        horizontal_line(61, 116),
        horizontal_line(60, 117),
        horizontal_line(59, 118),
        horizontal_line(58, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(122, 124),
        horizontal_line(121, 125),
        horizontal_line(119, 125),
        horizontal_line(118, 126),
        horizontal_line(117, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 128),
        horizontal_line(113, 129),
        horizontal_line(111, 130),
        horizontal_line(110, 130),
        horizontal_line(109, 131),
        horizontal_line(107, 132),
        horizontal_line(106, 132),
        horizontal_line(105, 133),
        horizontal_line(103, 134),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(40, 98),
        horizontal_line(43, 97),
        horizontal_line(46, 96),
        horizontal_line(49, 94),
        horizontal_line(52, 93),
        horizontal_line(55, 92),
        horizontal_line(58, 90),
        horizontal_line(60, 89),
        horizontal_line(63, 88),
        horizontal_line(66, 86),
        horizontal_line(69, 85),
        horizontal_line(72, 84),
        horizontal_line(75, 82),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(142, 145),
        horizontal_line(139, 146),
        horizontal_line(136, 146),
        horizontal_line(133, 147),
        horizontal_line(131, 147),
        horizontal_line(128, 148),
        horizontal_line(125, 144),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(103, 121),
        horizontal_line(106, 118),
        horizontal_line(110, 115),
        horizontal_line(125, 145),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(122, 130),
        horizontal_line(122, 140),
        horizontal_line(125, 139),
        horizontal_line(129, 139),
        horizontal_line(133, 139),
        horizontal_line(122, 124),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(137, 144),
        horizontal_line(133, 146),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(149, 156),
        horizontal_line(152, 156),
        horizontal_line(154, 156),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(130, 157),
        horizontal_line(131, 153),
        horizontal_line(131, 150),
        horizontal_line(131, 146),
        horizontal_line(131, 143),
        horizontal_line(132, 139),
        horizontal_line(132, 136),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_614_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(173, 178),
        horizontal_line(170, 180),
        horizontal_line(166, 182),
        horizontal_line(163, 184),
        horizontal_line(159, 186),
        horizontal_line(156, 188),
        horizontal_line(152, 190),
        horizontal_line(149, 192),
        horizontal_line(145, 194),
        horizontal_line(142, 196),
        horizontal_line(138, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
    };

    constexpr const shape frame_614_shape_group_1_shapes[] = {
        shape(frame_614_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_614_shape_group_1_shape_1_horizontal_lines, 6, 5),
        shape(frame_614_shape_group_1_shape_2_horizontal_lines, 15, 1),
        shape(frame_614_shape_group_1_shape_3_horizontal_lines, 31, 5),
        shape(frame_614_shape_group_1_shape_4_horizontal_lines, 46, 1),
        shape(frame_614_shape_group_1_shape_5_horizontal_lines, 54, 5),
        shape(frame_614_shape_group_1_shape_6_horizontal_lines, 58, 2),
        shape(frame_614_shape_group_1_shape_7_horizontal_lines, 128, 5),
        shape(frame_614_shape_group_1_shape_8_horizontal_lines, 131, 2),
        shape(frame_614_shape_group_1_shape_9_horizontal_lines, 135, 5),
        shape(frame_614_shape_group_1_shape_10_horizontal_lines, 143, 2),
        shape(frame_614_shape_group_1_shape_11_horizontal_lines, 146, 5),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(69, 110),
        horizontal_line(67, 110),
        horizontal_line(66, 111),
        horizontal_line(65, 112),
        horizontal_line(64, 113),
        horizontal_line(63, 114),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(116, 122),
        horizontal_line(117, 123),
        horizontal_line(118, 125),
        horizontal_line(119, 126),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(117, 121),
        horizontal_line(116, 122),
        horizontal_line(115, 123),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(97, 101),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 153),
        horizontal_line(138, 154),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(135, 138),
        horizontal_line(133, 139),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(128, 141),
        horizontal_line(126, 142),
        horizontal_line(124, 142),
        horizontal_line(122, 143),
        horizontal_line(121, 144),
        horizontal_line(119, 144),
        horizontal_line(78, 81),
        horizontal_line(115, 141),
        horizontal_line(113, 138),
        horizontal_line(112, 135),
        horizontal_line(110, 132),
        horizontal_line(108, 130),
        horizontal_line(106, 127),
        horizontal_line(104, 124),
        horizontal_line(140, 147),
        horizontal_line(135, 146),
        horizontal_line(130, 146),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(150, 151),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(132, 139),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(154, 157),
        horizontal_line(155, 157),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(164, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(165, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(167, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 181),
        horizontal_line(169, 181),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 183),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(143, 156),
        horizontal_line(145, 156),
        horizontal_line(147, 156),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(173, 187),
        horizontal_line(173, 187),
        horizontal_line(173, 187),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(174, 189),
        horizontal_line(174, 189),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 191),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(178, 193),
        horizontal_line(179, 193),
        horizontal_line(181, 194),
        horizontal_line(183, 194),
        horizontal_line(185, 195),
        horizontal_line(187, 195),
        horizontal_line(189, 196),
        horizontal_line(191, 196),
        horizontal_line(193, 197),
        horizontal_line(195, 197),
        horizontal_line(197, 198),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_614_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(197, 199),
        horizontal_line(197, 198),
    };

    constexpr const shape frame_614_shape_group_2_shapes[] = {
        shape(frame_614_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_614_shape_group_2_shape_1_horizontal_lines, 6, 2),
        shape(frame_614_shape_group_2_shape_2_horizontal_lines, 11, 5),
        shape(frame_614_shape_group_2_shape_3_horizontal_lines, 33, 2),
        shape(frame_614_shape_group_2_shape_4_horizontal_lines, 35, 5),
        shape(frame_614_shape_group_2_shape_5_horizontal_lines, 57, 2),
        shape(frame_614_shape_group_2_shape_6_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(115, 121),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(121, 128),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(114, 122),
        horizontal_line(113, 121),
        horizontal_line(112, 120),
        horizontal_line(111, 118),
        horizontal_line(110, 117),
        horizontal_line(109, 116),
        horizontal_line(107, 114),
        horizontal_line(106, 113),
        horizontal_line(105, 112),
        horizontal_line(104, 110),
        horizontal_line(103, 109),
        horizontal_line(102, 108),
        horizontal_line(101, 106),
        horizontal_line(100, 105),
        horizontal_line(99, 104),
        horizontal_line(98, 102),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(136, 150),
        horizontal_line(136, 152),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(138, 155),
        horizontal_line(139, 156),
        horizontal_line(140, 157),
        horizontal_line(141, 158),
        horizontal_line(141, 160),
        horizontal_line(142, 161),
        horizontal_line(143, 162),
        horizontal_line(143, 163),
        horizontal_line(144, 164),
        horizontal_line(145, 165),
        horizontal_line(146, 166),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(117, 144),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(147, 169),
        horizontal_line(148, 170),
        horizontal_line(148, 171),
        horizontal_line(149, 172),
        horizontal_line(150, 173),
        horizontal_line(150, 174),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(147, 149),
        horizontal_line(147, 148),
        horizontal_line(150, 150),
        horizontal_line(155, 181),
        horizontal_line(155, 182),
        horizontal_line(156, 183),
        horizontal_line(151, 152),
        horizontal_line(152, 152),
        horizontal_line(152, 153),
        horizontal_line(152, 153),
        horizontal_line(152, 154),
        horizontal_line(145, 149),
        horizontal_line(153, 155),
        horizontal_line(153, 155),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(164, 196),
        horizontal_line(165, 197),
        horizontal_line(165, 198),
        horizontal_line(166, 199),
        horizontal_line(167, 200),
        horizontal_line(168, 201),
        horizontal_line(168, 202),
        horizontal_line(169, 204),
        horizontal_line(170, 205),
        horizontal_line(170, 206),
        horizontal_line(171, 207),
        horizontal_line(172, 208),
        horizontal_line(173, 209),
        horizontal_line(173, 210),
        horizontal_line(174, 211),
        horizontal_line(175, 213),
        horizontal_line(175, 214),
        horizontal_line(176, 215),
        horizontal_line(177, 216),
        horizontal_line(177, 217),
        horizontal_line(178, 218),
        horizontal_line(179, 219),
        horizontal_line(180, 220),
        horizontal_line(180, 222),
        horizontal_line(181, 223),
        horizontal_line(182, 224),
        horizontal_line(182, 225),
        horizontal_line(183, 226),
        horizontal_line(184, 227),
        horizontal_line(185, 228),
        horizontal_line(185, 229),
        horizontal_line(186, 231),
        horizontal_line(187, 232),
        horizontal_line(187, 233),
        horizontal_line(188, 234),
        horizontal_line(189, 235),
        horizontal_line(190, 236),
        horizontal_line(190, 237),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(171, 184),
        horizontal_line(171, 185),
        horizontal_line(172, 185),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_614_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_614_shape_group_3_shapes[] = {
        shape(frame_614_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_614_shape_group_3_shape_1_horizontal_lines, 11, 2),
        shape(frame_614_shape_group_3_shape_2_horizontal_lines, 15, 5),
        shape(frame_614_shape_group_3_shape_3_horizontal_lines, 31, 2),
        shape(frame_614_shape_group_3_shape_4_horizontal_lines, 33, 6),
        shape(frame_614_shape_group_3_shape_5_horizontal_lines, 35, 2),
        shape(frame_614_shape_group_3_shape_6_horizontal_lines, 46, 5),
        shape(frame_614_shape_group_3_shape_7_horizontal_lines, 47, 2),
        shape(frame_614_shape_group_3_shape_8_horizontal_lines, 53, 5),
        shape(frame_614_shape_group_3_shape_9_horizontal_lines, 54, 2),
        shape(frame_614_shape_group_3_shape_10_horizontal_lines, 143, 6),
        shape(frame_614_shape_group_3_shape_11_horizontal_lines, 146, 2),
        shape(frame_614_shape_group_3_shape_12_horizontal_lines, 157, 6),
        shape(frame_614_shape_group_3_shape_13_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(125, 134),
        horizontal_line(126, 135),
        horizontal_line(126, 136),
        horizontal_line(127, 137),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(129, 140),
        horizontal_line(130, 141),
        horizontal_line(131, 143),
        horizontal_line(131, 144),
        horizontal_line(132, 145),
        horizontal_line(133, 146),
        horizontal_line(133, 147),
        horizontal_line(134, 148),
        horizontal_line(135, 149),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(35, 39),
        horizontal_line(36, 42),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 167),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(152, 176),
        horizontal_line(153, 178),
        horizontal_line(150, 150),
        horizontal_line(154, 180),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(157, 184),
        horizontal_line(158, 185),
        horizontal_line(158, 187),
        horizontal_line(159, 188),
        horizontal_line(160, 189),
        horizontal_line(153, 154),
        horizontal_line(161, 191),
        horizontal_line(162, 192),
        horizontal_line(163, 193),
        horizontal_line(163, 194),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_614_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(122, 132),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_614_shape_group_4_shapes[] = {
        shape(frame_614_shape_group_4_shape_0_horizontal_lines, 15, 2),
        shape(frame_614_shape_group_4_shape_1_horizontal_lines, 31, 6),
        shape(frame_614_shape_group_4_shape_2_horizontal_lines, 33, 7),
        shape(frame_614_shape_group_4_shape_3_horizontal_lines, 35, 6),
        shape(frame_614_shape_group_4_shape_4_horizontal_lines, 46, 2),
        shape(frame_614_shape_group_4_shape_5_horizontal_lines, 47, 6),
        shape(frame_614_shape_group_4_shape_6_horizontal_lines, 53, 2),
        shape(frame_614_shape_group_4_shape_7_horizontal_lines, 58, 6),
        shape(frame_614_shape_group_4_shape_8_horizontal_lines, 61, 2),
        shape(frame_614_shape_group_4_shape_9_horizontal_lines, 71, 6),
        shape(frame_614_shape_group_4_shape_10_horizontal_lines, 128, 2),
        shape(frame_614_shape_group_4_shape_11_horizontal_lines, 131, 6),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(35, 36),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(36, 45),
        horizontal_line(36, 48),
        horizontal_line(37, 51),
        horizontal_line(37, 54),
        horizontal_line(37, 57),
        horizontal_line(38, 59),
        horizontal_line(38, 62),
        horizontal_line(38, 65),
        horizontal_line(39, 68),
        horizontal_line(39, 71),
        horizontal_line(40, 74),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(40, 80),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(81, 83),
        horizontal_line(81, 86),
        horizontal_line(82, 89),
        horizontal_line(82, 92),
        horizontal_line(82, 95),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(151, 175),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(160, 190),
    };

    constexpr const horizontal_line frame_614_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 109),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(94, 110),
        horizontal_line(95, 110),
        horizontal_line(95, 110),
        horizontal_line(96, 111),
        horizontal_line(96, 111),
        horizontal_line(96, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(108, 120),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(109, 121),
        horizontal_line(109, 122),
        horizontal_line(109, 122),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(111, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 126),
        horizontal_line(115, 126),
        horizontal_line(115, 126),
        horizontal_line(115, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 127),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 132),
        horizontal_line(62, 79),
        horizontal_line(122, 132),
        horizontal_line(123, 133),
    };

    constexpr const shape frame_614_shape_group_5_shapes[] = {
        shape(frame_614_shape_group_5_shape_0_horizontal_lines, 21, 6),
        shape(frame_614_shape_group_5_shape_1_horizontal_lines, 32, 7),
        shape(frame_614_shape_group_5_shape_2_horizontal_lines, 35, 7),
        shape(frame_614_shape_group_5_shape_3_horizontal_lines, 46, 6),
        shape(frame_614_shape_group_5_shape_4_horizontal_lines, 47, 7),
        shape(frame_614_shape_group_5_shape_5_horizontal_lines, 48, 6),
        shape(frame_614_shape_group_5_shape_6_horizontal_lines, 53, 2),
        shape(frame_614_shape_group_5_shape_7_horizontal_lines, 54, 6),
        shape(frame_614_shape_group_5_shape_8_horizontal_lines, 56, 2),
        shape(frame_614_shape_group_5_shape_9_horizontal_lines, 57, 6),
        shape(frame_614_shape_group_5_shape_10_horizontal_lines, 66, 2),
        shape(frame_614_shape_group_5_shape_11_horizontal_lines, 67, 6),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(40, 77),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(41, 80),
        horizontal_line(41, 80),
        horizontal_line(41, 81),
        horizontal_line(42, 81),
        horizontal_line(42, 81),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(83, 101),
        horizontal_line(84, 101),
        horizontal_line(0, 42),
        horizontal_line(84, 101),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(86, 103),
        horizontal_line(86, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 104),
        horizontal_line(87, 104),
        horizontal_line(0, 46),
        horizontal_line(88, 104),
        horizontal_line(88, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(60, 101),
        horizontal_line(61, 101),
        horizontal_line(61, 101),
        horizontal_line(61, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(111, 123),
        horizontal_line(111, 123),
        horizontal_line(112, 124),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(75, 116),
        horizontal_line(75, 116),
        horizontal_line(75, 116),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(80, 121),
    };

    constexpr const horizontal_line frame_614_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 80),
    };

    constexpr const shape frame_614_shape_group_6_shapes[] = {
        shape(frame_614_shape_group_6_shape_0_horizontal_lines, 46, 7),
        shape(frame_614_shape_group_6_shape_1_horizontal_lines, 48, 7),
        shape(frame_614_shape_group_6_shape_2_horizontal_lines, 53, 6),
        shape(frame_614_shape_group_6_shape_3_horizontal_lines, 103, 7),
        shape(frame_614_shape_group_6_shape_4_horizontal_lines, 109, 6),
        shape(frame_614_shape_group_6_shape_5_horizontal_lines, 143, 7),
        shape(frame_614_shape_group_6_shape_6_horizontal_lines, 146, 6),
        shape(frame_614_shape_group_6_shape_7_horizontal_lines, 157, 7),
        shape(frame_614_shape_group_6_shape_8_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(83, 98),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(43, 82),
        horizontal_line(43, 83),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(84, 101),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(44, 83),
        horizontal_line(44, 84),
        horizontal_line(45, 84),
        horizontal_line(45, 84),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(88, 104),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(49, 89),
        horizontal_line(49, 89),
        horizontal_line(50, 89),
        horizontal_line(50, 90),
        horizontal_line(50, 90),
        horizontal_line(51, 90),
        horizontal_line(51, 91),
        horizontal_line(51, 91),
        horizontal_line(52, 92),
        horizontal_line(52, 92),
        horizontal_line(52, 92),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(54, 93),
        horizontal_line(54, 94),
        horizontal_line(54, 94),
        horizontal_line(55, 95),
        horizontal_line(55, 95),
        horizontal_line(55, 95),
        horizontal_line(56, 96),
        horizontal_line(56, 96),
        horizontal_line(56, 96),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(58, 98),
        horizontal_line(58, 98),
        horizontal_line(58, 98),
        horizontal_line(59, 99),
        horizontal_line(59, 99),
        horizontal_line(59, 99),
        horizontal_line(60, 100),
        horizontal_line(60, 100),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 124),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 106),
        horizontal_line(66, 106),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(67, 107),
        horizontal_line(67, 108),
        horizontal_line(68, 108),
        horizontal_line(68, 108),
        horizontal_line(68, 109),
        horizontal_line(69, 109),
        horizontal_line(69, 110),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_614_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(70, 111),
        horizontal_line(71, 111),
        horizontal_line(71, 112),
        horizontal_line(72, 112),
        horizontal_line(72, 113),
        horizontal_line(72, 113),
        horizontal_line(73, 113),
        horizontal_line(73, 114),
        horizontal_line(73, 114),
        horizontal_line(74, 114),
        horizontal_line(74, 115),
        horizontal_line(74, 115),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 132),
        horizontal_line(76, 117),
        horizontal_line(76, 117),
        horizontal_line(77, 117),
        horizontal_line(77, 118),
        horizontal_line(77, 118),
        horizontal_line(78, 119),
        horizontal_line(78, 119),
        horizontal_line(78, 119),
        horizontal_line(79, 120),
        horizontal_line(79, 120),
        horizontal_line(79, 120),
        horizontal_line(133, 134),
        horizontal_line(80, 121),
        horizontal_line(81, 122),
    };

    constexpr const shape frame_614_shape_group_7_shapes[] = {
        shape(frame_614_shape_group_7_shape_0_horizontal_lines, 53, 6),
        shape(frame_614_shape_group_7_shape_1_horizontal_lines, 54, 7),
        shape(frame_614_shape_group_7_shape_2_horizontal_lines, 56, 6),
        shape(frame_614_shape_group_7_shape_3_horizontal_lines, 57, 7),
        shape(frame_614_shape_group_7_shape_4_horizontal_lines, 61, 6),
        shape(frame_614_shape_group_7_shape_5_horizontal_lines, 71, 7),
        shape(frame_614_shape_group_7_shape_6_horizontal_lines, 128, 6),
        shape(frame_614_shape_group_7_shape_7_horizontal_lines, 131, 7),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(42, 82),
        horizontal_line(102, 102),
        horizontal_line(102, 105),
        horizontal_line(43, 83),
        horizontal_line(102, 113),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(45, 85),
        horizontal_line(46, 85),
        horizontal_line(46, 86),
        horizontal_line(46, 86),
        horizontal_line(47, 86),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(47, 87),
        horizontal_line(48, 87),
        horizontal_line(48, 88),
        horizontal_line(49, 88),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(124, 128),
        horizontal_line(69, 110),
        horizontal_line(70, 110),
        horizontal_line(70, 111),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_614_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(134, 134),
    };

    constexpr const shape frame_614_shape_group_8_shapes[] = {
        shape(frame_614_shape_group_8_shape_0_horizontal_lines, 53, 7),
        shape(frame_614_shape_group_8_shape_1_horizontal_lines, 66, 6),
        shape(frame_614_shape_group_8_shape_2_horizontal_lines, 67, 7),
        shape(frame_614_shape_group_8_shape_3_horizontal_lines, 109, 7),
        shape(frame_614_shape_group_8_shape_4_horizontal_lines, 146, 7),
        shape(frame_614_shape_group_8_shape_5_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_614_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_614_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(104, 113),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(47, 87),
        horizontal_line(105, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
    };

    constexpr const horizontal_line frame_614_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
    };

    constexpr const shape frame_614_shape_group_9_shapes[] = {
        shape(frame_614_shape_group_9_shape_0_horizontal_lines, 56, 7),
        shape(frame_614_shape_group_9_shape_1_horizontal_lines, 59, 7),
        shape(frame_614_shape_group_9_shape_2_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_614_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(105, 114),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_614_shape_group_10_shapes[] = {
        shape(frame_614_shape_group_10_shape_0_horizontal_lines, 61, 7),
    };

    constexpr const horizontal_line frame_614_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const shape frame_614_shape_group_11_shapes[] = {
        shape(frame_614_shape_group_11_shape_0_horizontal_lines, 66, 7),
    };

    constexpr const shape_group frame_614_shape_groups[] = {
        shape_group(frame_614_shape_group_0_shapes),
        shape_group(frame_614_shape_group_1_shapes),
        shape_group(frame_614_shape_group_2_shapes),
        shape_group(frame_614_shape_group_3_shapes),
        shape_group(frame_614_shape_group_4_shapes),
        shape_group(frame_614_shape_group_5_shapes),
        shape_group(frame_614_shape_group_6_shapes),
        shape_group(frame_614_shape_group_7_shapes),
        shape_group(frame_614_shape_group_8_shapes),
        shape_group(frame_614_shape_group_9_shapes),
        shape_group(frame_614_shape_group_10_shapes),
        shape_group(frame_614_shape_group_11_shapes),
    };

    constexpr const frame frame_614_impl(frame_614_colors, frame_614_shape_groups);
} 

const frame& frame_614()
{
    return frame_614_impl;
}

namespace
{
    constexpr const bn::color frame_615_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(1, 31),
        horizontal_line(4, 30),
        horizontal_line(7, 29),
        horizontal_line(11, 28),
        horizontal_line(14, 27),
        horizontal_line(18, 26),
        horizontal_line(21, 25),
        horizontal_line(101, 132),
        horizontal_line(100, 133),
        horizontal_line(99, 134),
        horizontal_line(98, 134),
        horizontal_line(96, 135),
        horizontal_line(95, 136),
        horizontal_line(94, 137),
        horizontal_line(92, 136),
        horizontal_line(91, 134),
        horizontal_line(90, 132),
        horizontal_line(88, 130),
        horizontal_line(87, 129),
        horizontal_line(86, 127),
        horizontal_line(84, 125),
        horizontal_line(83, 123),
        horizontal_line(82, 121),
        horizontal_line(80, 120),
        horizontal_line(79, 118),
        horizontal_line(78, 116),
        horizontal_line(77, 114),
        horizontal_line(80, 112),
        horizontal_line(83, 110),
        horizontal_line(86, 109),
        horizontal_line(89, 107),
        horizontal_line(92, 105),
        horizontal_line(95, 103),
        horizontal_line(98, 101),
        horizontal_line(124, 145),
        horizontal_line(122, 140),
        horizontal_line(119, 135),
        horizontal_line(116, 130),
        horizontal_line(114, 125),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 146),
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(123, 145),
        horizontal_line(122, 144),
        horizontal_line(131, 143),
        horizontal_line(142, 142),
        horizontal_line(122, 125),
        horizontal_line(122, 129),
        horizontal_line(122, 133),
        horizontal_line(124, 130),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 131),
        horizontal_line(128, 133),
        horizontal_line(128, 135),
        horizontal_line(129, 137),
        horizontal_line(129, 139),
        horizontal_line(129, 141),
        horizontal_line(129, 142),
        horizontal_line(129, 136),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(130, 151),
        horizontal_line(130, 153),
        horizontal_line(130, 155),
        horizontal_line(131, 157),
    };

    constexpr const horizontal_line frame_615_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(156, 161),
        horizontal_line(152, 163),
        horizontal_line(149, 165),
        horizontal_line(145, 167),
        horizontal_line(142, 169),
        horizontal_line(138, 170),
        horizontal_line(135, 172),
        horizontal_line(131, 174),
        horizontal_line(129, 176),
        horizontal_line(129, 178),
        horizontal_line(129, 179),
        horizontal_line(130, 175),
        horizontal_line(130, 172),
        horizontal_line(130, 168),
        horizontal_line(130, 165),
        horizontal_line(131, 161),
        horizontal_line(131, 158),
        horizontal_line(132, 154),
        horizontal_line(132, 151),
        horizontal_line(133, 147),
        horizontal_line(133, 144),
        horizontal_line(134, 141),
    };

    constexpr const shape frame_615_shape_group_0_shapes[] = {
        shape(frame_615_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_615_shape_group_0_shape_1_horizontal_lines, 56, 5),
        shape(frame_615_shape_group_0_shape_2_horizontal_lines, 58, 1),
        shape(frame_615_shape_group_0_shape_3_horizontal_lines, 67, 2),
        shape(frame_615_shape_group_0_shape_4_horizontal_lines, 122, 1),
        shape(frame_615_shape_group_0_shape_5_horizontal_lines, 132, 5),
        shape(frame_615_shape_group_0_shape_6_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(120, 122),
        horizontal_line(119, 123),
        horizontal_line(117, 123),
        horizontal_line(116, 124),
        horizontal_line(115, 125),
        horizontal_line(113, 126),
        horizontal_line(112, 126),
        horizontal_line(111, 127),
        horizontal_line(109, 128),
        horizontal_line(108, 129),
        horizontal_line(107, 129),
        horizontal_line(105, 130),
        horizontal_line(104, 131),
        horizontal_line(103, 131),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(35, 95),
        horizontal_line(38, 94),
        horizontal_line(41, 93),
        horizontal_line(44, 91),
        horizontal_line(46, 90),
        horizontal_line(49, 89),
        horizontal_line(52, 87),
        horizontal_line(55, 86),
        horizontal_line(57, 85),
        horizontal_line(60, 83),
        horizontal_line(63, 82),
        horizontal_line(66, 81),
        horizontal_line(68, 79),
        horizontal_line(71, 78),
        horizontal_line(74, 77),
        horizontal_line(115, 145),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(140, 146),
        horizontal_line(138, 147),
        horizontal_line(135, 147),
        horizontal_line(132, 148),
        horizontal_line(130, 148),
        horizontal_line(127, 149),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(101, 123),
        horizontal_line(103, 121),
        horizontal_line(106, 118),
        horizontal_line(109, 115),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(147, 149),
        horizontal_line(147, 149),
        horizontal_line(146, 149),
        horizontal_line(146, 150),
        horizontal_line(122, 130),
        horizontal_line(122, 141),
        horizontal_line(126, 140),
        horizontal_line(130, 140),
        horizontal_line(134, 140),
        horizontal_line(122, 123),
        horizontal_line(122, 125),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(128, 128),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(137, 145),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(150, 158),
        horizontal_line(152, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(131, 159),
        horizontal_line(131, 155),
        horizontal_line(131, 151),
        horizontal_line(131, 148),
        horizontal_line(132, 144),
        horizontal_line(132, 141),
        horizontal_line(132, 137),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(179, 195),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
    };

    constexpr const horizontal_line frame_615_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(180, 180),
        horizontal_line(176, 181),
        horizontal_line(173, 183),
        horizontal_line(169, 185),
        horizontal_line(166, 186),
        horizontal_line(162, 188),
        horizontal_line(159, 190),
        horizontal_line(155, 192),
        horizontal_line(152, 193),
        horizontal_line(148, 195),
        horizontal_line(145, 197),
        horizontal_line(142, 199),
    };

    constexpr const shape frame_615_shape_group_1_shapes[] = {
        shape(frame_615_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_615_shape_group_1_shape_1_horizontal_lines, 9, 1),
        shape(frame_615_shape_group_1_shape_2_horizontal_lines, 24, 5),
        shape(frame_615_shape_group_1_shape_3_horizontal_lines, 44, 1),
        shape(frame_615_shape_group_1_shape_4_horizontal_lines, 51, 5),
        shape(frame_615_shape_group_1_shape_5_horizontal_lines, 56, 2),
        shape(frame_615_shape_group_1_shape_6_horizontal_lines, 129, 5),
        shape(frame_615_shape_group_1_shape_7_horizontal_lines, 132, 2),
        shape(frame_615_shape_group_1_shape_8_horizontal_lines, 137, 5),
        shape(frame_615_shape_group_1_shape_9_horizontal_lines, 145, 2),
        shape(frame_615_shape_group_1_shape_10_horizontal_lines, 148, 5),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(111, 114),
        horizontal_line(110, 115),
        horizontal_line(109, 116),
        horizontal_line(108, 117),
        horizontal_line(107, 118),
        horizontal_line(106, 119),
        horizontal_line(105, 120),
        horizontal_line(104, 121),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(87, 100),
        horizontal_line(89, 99),
        horizontal_line(92, 98),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(136, 162),
        horizontal_line(137, 163),
        horizontal_line(138, 164),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(135, 138),
        horizontal_line(133, 139),
        horizontal_line(131, 139),
        horizontal_line(130, 140),
        horizontal_line(128, 141),
        horizontal_line(126, 142),
        horizontal_line(124, 142),
        horizontal_line(122, 143),
        horizontal_line(121, 144),
        horizontal_line(119, 144),
        horizontal_line(117, 145),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(147, 180),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(113, 142),
        horizontal_line(111, 139),
        horizontal_line(110, 137),
        horizontal_line(108, 134),
        horizontal_line(106, 131),
        horizontal_line(104, 129),
        horizontal_line(102, 126),
        horizontal_line(146, 148),
        horizontal_line(141, 148),
        horizontal_line(136, 147),
        horizontal_line(131, 147),
        horizontal_line(126, 146),
    };

    constexpr const horizontal_line frame_615_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(152, 152),
        horizontal_line(152, 153),
        horizontal_line(153, 153),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(133, 140),
        horizontal_line(133, 139),
        horizontal_line(146, 150),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 174),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 183),
        horizontal_line(171, 183),
        horizontal_line(143, 157),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(144, 158),
        horizontal_line(146, 158),
        horizontal_line(148, 158),
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(181, 196),
        horizontal_line(182, 197),
        horizontal_line(184, 197),
        horizontal_line(186, 198),
        horizontal_line(187, 198),
        horizontal_line(189, 199),
        horizontal_line(191, 199),
        horizontal_line(193, 200),
        horizontal_line(194, 200),
        horizontal_line(196, 201),
        horizontal_line(198, 201),
        horizontal_line(200, 202),
    };

    constexpr const shape frame_615_shape_group_2_shapes[] = {
        shape(frame_615_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_615_shape_group_2_shape_1_horizontal_lines, 28, 2),
        shape(frame_615_shape_group_2_shape_2_horizontal_lines, 31, 5),
        shape(frame_615_shape_group_2_shape_3_horizontal_lines, 43, 2),
        shape(frame_615_shape_group_2_shape_4_horizontal_lines, 44, 5),
        shape(frame_615_shape_group_2_shape_5_horizontal_lines, 56, 2),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(115, 128),
        horizontal_line(115, 129),
        horizontal_line(116, 130),
        horizontal_line(117, 131),
        horizontal_line(118, 132),
        horizontal_line(119, 134),
        horizontal_line(120, 135),
        horizontal_line(121, 136),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(103, 120),
        horizontal_line(102, 119),
        horizontal_line(101, 118),
        horizontal_line(100, 116),
        horizontal_line(98, 115),
        horizontal_line(97, 114),
        horizontal_line(96, 112),
        horizontal_line(95, 111),
        horizontal_line(94, 110),
        horizontal_line(93, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 104),
        horizontal_line(89, 103),
        horizontal_line(88, 102),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(133, 157),
        horizontal_line(134, 158),
        horizontal_line(135, 159),
        horizontal_line(135, 160),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(138, 165),
        horizontal_line(139, 167),
        horizontal_line(140, 168),
        horizontal_line(140, 169),
        horizontal_line(141, 170),
        horizontal_line(142, 171),
        horizontal_line(143, 173),
        horizontal_line(143, 174),
        horizontal_line(144, 175),
        horizontal_line(145, 176),
        horizontal_line(146, 178),
        horizontal_line(146, 179),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(148, 181),
        horizontal_line(148, 182),
        horizontal_line(149, 184),
        horizontal_line(150, 185),
        horizontal_line(151, 186),
        horizontal_line(151, 187),
        horizontal_line(152, 188),
        horizontal_line(149, 149),
        horizontal_line(149, 149),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(147, 149),
        horizontal_line(156, 196),
        horizontal_line(157, 197),
        horizontal_line(158, 198),
        horizontal_line(159, 199),
        horizontal_line(153, 154),
        horizontal_line(153, 154),
        horizontal_line(154, 154),
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(155, 157),
        horizontal_line(155, 157),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(157, 159),
        horizontal_line(169, 217),
        horizontal_line(170, 218),
        horizontal_line(170, 219),
        horizontal_line(171, 220),
        horizontal_line(172, 221),
        horizontal_line(172, 223),
        horizontal_line(173, 224),
        horizontal_line(174, 225),
        horizontal_line(175, 226),
        horizontal_line(175, 228),
        horizontal_line(176, 229),
        horizontal_line(177, 230),
        horizontal_line(178, 231),
        horizontal_line(178, 232),
        horizontal_line(179, 234),
        horizontal_line(180, 235),
        horizontal_line(181, 236),
        horizontal_line(181, 237),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(172, 184),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(177, 178),
        horizontal_line(197, 222),
    };

    constexpr const horizontal_line frame_615_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_615_shape_group_3_shapes[] = {
        shape(frame_615_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_615_shape_group_3_shape_1_horizontal_lines, 9, 5),
        shape(frame_615_shape_group_3_shape_2_horizontal_lines, 24, 2),
        shape(frame_615_shape_group_3_shape_3_horizontal_lines, 28, 4),
        shape(frame_615_shape_group_3_shape_4_horizontal_lines, 31, 2),
        shape(frame_615_shape_group_3_shape_5_horizontal_lines, 43, 4),
        shape(frame_615_shape_group_3_shape_6_horizontal_lines, 44, 2),
        shape(frame_615_shape_group_3_shape_7_horizontal_lines, 145, 4),
        shape(frame_615_shape_group_3_shape_8_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(122, 138),
        horizontal_line(123, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(125, 143),
        horizontal_line(126, 145),
        horizontal_line(127, 146),
        horizontal_line(127, 147),
        horizontal_line(128, 148),
        horizontal_line(129, 149),
        horizontal_line(130, 151),
        horizontal_line(130, 152),
        horizontal_line(131, 153),
        horizontal_line(132, 154),
        horizontal_line(132, 156),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(145, 145),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(148, 148),
        horizontal_line(148, 149),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(150, 151),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(153, 190),
        horizontal_line(154, 191),
        horizontal_line(154, 192),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(159, 201),
        horizontal_line(160, 202),
        horizontal_line(161, 203),
        horizontal_line(162, 204),
        horizontal_line(162, 206),
        horizontal_line(154, 156),
        horizontal_line(155, 156),
        horizontal_line(164, 209),
        horizontal_line(165, 210),
        horizontal_line(166, 212),
        horizontal_line(167, 213),
        horizontal_line(167, 214),
        horizontal_line(168, 215),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(132, 142),
        horizontal_line(134, 142),
        horizontal_line(136, 142),
        horizontal_line(138, 142),
        horizontal_line(140, 142),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 175),
        horizontal_line(159, 175),
        horizontal_line(161, 175),
        horizontal_line(162, 175),
        horizontal_line(164, 176),
        horizontal_line(166, 176),
        horizontal_line(168, 176),
        horizontal_line(170, 177),
        horizontal_line(171, 177),
        horizontal_line(173, 177),
        horizontal_line(196, 220),
        horizontal_line(196, 221),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(60, 111),
    };

    constexpr const horizontal_line frame_615_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(197, 222),
        horizontal_line(198, 223),
        horizontal_line(198, 224),
        horizontal_line(199, 225),
        horizontal_line(199, 225),
        horizontal_line(200, 226),
        horizontal_line(200, 227),
        horizontal_line(201, 228),
        horizontal_line(201, 228),
        horizontal_line(202, 229),
        horizontal_line(202, 230),
        horizontal_line(203, 231),
    };

    constexpr const shape frame_615_shape_group_4_shapes[] = {
        shape(frame_615_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_615_shape_group_4_shape_1_horizontal_lines, 9, 2),
        shape(frame_615_shape_group_4_shape_2_horizontal_lines, 24, 4),
        shape(frame_615_shape_group_4_shape_3_horizontal_lines, 51, 2),
        shape(frame_615_shape_group_4_shape_4_horizontal_lines, 56, 4),
        shape(frame_615_shape_group_4_shape_5_horizontal_lines, 60, 2),
        shape(frame_615_shape_group_4_shape_6_horizontal_lines, 73, 4),
        shape(frame_615_shape_group_4_shape_7_horizontal_lines, 122, 2),
        shape(frame_615_shape_group_4_shape_8_horizontal_lines, 123, 4),
        shape(frame_615_shape_group_4_shape_9_horizontal_lines, 129, 2),
        shape(frame_615_shape_group_4_shape_10_horizontal_lines, 132, 4),
        shape(frame_615_shape_group_4_shape_11_horizontal_lines, 147, 7),
        shape(frame_615_shape_group_4_shape_12_horizontal_lines, 148, 4),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(26, 34),
        horizontal_line(26, 37),
        horizontal_line(26, 40),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(30, 73),
        horizontal_line(30, 76),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(150, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(155, 193),
        horizontal_line(156, 195),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(153, 156),
        horizontal_line(154, 157),
        horizontal_line(151, 152),
        horizontal_line(144, 145),
        horizontal_line(143, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(163, 207),
        horizontal_line(164, 208),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(125, 132),
        horizontal_line(125, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(154, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 170),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(130, 142),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(189, 211),
        horizontal_line(190, 212),
        horizontal_line(190, 212),
        horizontal_line(191, 213),
        horizontal_line(191, 214),
        horizontal_line(192, 214),
        horizontal_line(192, 215),
        horizontal_line(193, 216),
        horizontal_line(193, 217),
        horizontal_line(194, 217),
        horizontal_line(194, 218),
        horizontal_line(195, 219),
        horizontal_line(195, 220),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(59, 111),
        horizontal_line(60, 111),
    };

    constexpr const horizontal_line frame_615_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(60, 112),
        horizontal_line(61, 112),
        horizontal_line(61, 112),
        horizontal_line(61, 113),
        horizontal_line(61, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(63, 114),
        horizontal_line(63, 115),
        horizontal_line(63, 115),
        horizontal_line(64, 116),
    };

    constexpr const shape frame_615_shape_group_5_shapes[] = {
        shape(frame_615_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_615_shape_group_5_shape_1_horizontal_lines, 28, 7),
        shape(frame_615_shape_group_5_shape_2_horizontal_lines, 31, 4),
        shape(frame_615_shape_group_5_shape_3_horizontal_lines, 42, 7),
        shape(frame_615_shape_group_5_shape_4_horizontal_lines, 44, 4),
        shape(frame_615_shape_group_5_shape_5_horizontal_lines, 54, 2),
        shape(frame_615_shape_group_5_shape_6_horizontal_lines, 56, 4),
        shape(frame_615_shape_group_5_shape_7_horizontal_lines, 65, 2),
        shape(frame_615_shape_group_5_shape_8_horizontal_lines, 67, 4),
        shape(frame_615_shape_group_5_shape_9_horizontal_lines, 145, 7),
        shape(frame_615_shape_group_5_shape_10_horizontal_lines, 148, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 29),
        horizontal_line(25, 32),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(27, 43),
        horizontal_line(27, 45),
        horizontal_line(27, 48),
        horizontal_line(27, 51),
        horizontal_line(28, 54),
        horizontal_line(28, 56),
        horizontal_line(28, 59),
        horizontal_line(29, 62),
        horizontal_line(29, 65),
        horizontal_line(29, 67),
        horizontal_line(29, 70),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(30, 76),
        horizontal_line(31, 76),
        horizontal_line(31, 77),
        horizontal_line(31, 77),
        horizontal_line(31, 77),
        horizontal_line(32, 78),
        horizontal_line(32, 78),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(150, 150),
        horizontal_line(150, 150),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(154, 158),
        horizontal_line(151, 152),
        horizontal_line(151, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
        horizontal_line(131, 132),
        horizontal_line(127, 132),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 162),
        horizontal_line(171, 182),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 187),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 194),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(180, 196),
        horizontal_line(180, 197),
        horizontal_line(181, 198),
        horizontal_line(181, 198),
        horizontal_line(182, 199),
        horizontal_line(182, 200),
        horizontal_line(183, 201),
        horizontal_line(183, 201),
        horizontal_line(184, 202),
        horizontal_line(184, 203),
        horizontal_line(158, 171),
        horizontal_line(185, 204),
        horizontal_line(186, 205),
        horizontal_line(186, 206),
        horizontal_line(187, 206),
        horizontal_line(187, 207),
        horizontal_line(187, 208),
        horizontal_line(188, 209),
        horizontal_line(188, 209),
        horizontal_line(189, 210),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(56, 106),
        horizontal_line(56, 107),
        horizontal_line(56, 107),
        horizontal_line(57, 107),
        horizontal_line(57, 108),
        horizontal_line(57, 108),
        horizontal_line(57, 108),
        horizontal_line(58, 109),
        horizontal_line(58, 109),
        horizontal_line(58, 109),
        horizontal_line(59, 110),
        horizontal_line(59, 110),
        horizontal_line(59, 110),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_615_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(133, 133),
    };

    constexpr const shape frame_615_shape_group_6_shapes[] = {
        shape(frame_615_shape_group_6_shape_0_horizontal_lines, 9, 4),
        shape(frame_615_shape_group_6_shape_1_horizontal_lines, 25, 7),
        shape(frame_615_shape_group_6_shape_2_horizontal_lines, 31, 7),
        shape(frame_615_shape_group_6_shape_3_horizontal_lines, 44, 7),
        shape(frame_615_shape_group_6_shape_4_horizontal_lines, 51, 4),
        shape(frame_615_shape_group_6_shape_5_horizontal_lines, 132, 7),
        shape(frame_615_shape_group_6_shape_6_horizontal_lines, 155, 7),
        shape(frame_615_shape_group_6_shape_7_horizontal_lines, 157, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(32, 78),
        horizontal_line(33, 79),
        horizontal_line(33, 79),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(34, 80),
        horizontal_line(34, 80),
        horizontal_line(34, 81),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(155, 158),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(141, 145),
        horizontal_line(140, 145),
        horizontal_line(151, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(164, 172),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(44, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(48, 97),
        horizontal_line(48, 97),
        horizontal_line(48, 97),
        horizontal_line(48, 98),
        horizontal_line(49, 98),
        horizontal_line(49, 98),
        horizontal_line(49, 99),
        horizontal_line(50, 99),
        horizontal_line(50, 99),
        horizontal_line(50, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(52, 101),
        horizontal_line(52, 102),
        horizontal_line(52, 102),
        horizontal_line(53, 102),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(185, 204),
    };

    constexpr const horizontal_line frame_615_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(53, 103),
        horizontal_line(53, 103),
        horizontal_line(54, 104),
        horizontal_line(54, 104),
        horizontal_line(54, 104),
        horizontal_line(55, 105),
        horizontal_line(55, 105),
        horizontal_line(55, 106),
        horizontal_line(55, 106),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const shape frame_615_shape_group_7_shapes[] = {
        shape(frame_615_shape_group_7_shape_0_horizontal_lines, 51, 7),
        shape(frame_615_shape_group_7_shape_1_horizontal_lines, 54, 4),
        shape(frame_615_shape_group_7_shape_2_horizontal_lines, 56, 7),
        shape(frame_615_shape_group_7_shape_3_horizontal_lines, 59, 4),
        shape(frame_615_shape_group_7_shape_4_horizontal_lines, 93, 7),
        shape(frame_615_shape_group_7_shape_5_horizontal_lines, 122, 4),
        shape(frame_615_shape_group_7_shape_6_horizontal_lines, 123, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(101, 105),
    };

    constexpr const horizontal_line frame_615_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 112),
        horizontal_line(35, 81),
    };

    constexpr const horizontal_line frame_615_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(151, 153),
        horizontal_line(151, 154),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(53, 103),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_615_shape_group_8_shapes[] = {
        shape(frame_615_shape_group_8_shape_0_horizontal_lines, 52, 7),
        shape(frame_615_shape_group_8_shape_1_horizontal_lines, 54, 4),
        shape(frame_615_shape_group_8_shape_2_horizontal_lines, 56, 7),
        shape(frame_615_shape_group_8_shape_3_horizontal_lines, 60, 4),
        shape(frame_615_shape_group_8_shape_4_horizontal_lines, 91, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(33, 79),
        horizontal_line(33, 80),
    };

    constexpr const horizontal_line frame_615_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(103, 112),
        horizontal_line(35, 81),
        horizontal_line(35, 82),
        horizontal_line(35, 82),
        horizontal_line(36, 82),
        horizontal_line(36, 83),
    };

    constexpr const horizontal_line frame_615_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(39, 86),
        horizontal_line(39, 86),
        horizontal_line(39, 87),
        horizontal_line(40, 87),
        horizontal_line(40, 87),
        horizontal_line(40, 88),
        horizontal_line(40, 88),
        horizontal_line(41, 88),
        horizontal_line(41, 89),
        horizontal_line(41, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(44, 92),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_615_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const shape frame_615_shape_group_9_shapes[] = {
        shape(frame_615_shape_group_9_shape_0_horizontal_lines, 54, 7),
        shape(frame_615_shape_group_9_shape_1_horizontal_lines, 57, 7),
        shape(frame_615_shape_group_9_shape_2_horizontal_lines, 65, 4),
        shape(frame_615_shape_group_9_shape_3_horizontal_lines, 73, 7),
        shape(frame_615_shape_group_9_shape_4_horizontal_lines, 122, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(102, 112),
    };

    constexpr const horizontal_line frame_615_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
    };

    constexpr const horizontal_line frame_615_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_615_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(37, 84),
        horizontal_line(37, 84),
        horizontal_line(38, 84),
        horizontal_line(38, 85),
        horizontal_line(38, 85),
        horizontal_line(38, 86),
        horizontal_line(107, 115),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
    };

    constexpr const shape frame_615_shape_group_10_shapes[] = {
        shape(frame_615_shape_group_10_shape_0_horizontal_lines, 54, 7),
        shape(frame_615_shape_group_10_shape_1_horizontal_lines, 59, 7),
        shape(frame_615_shape_group_10_shape_2_horizontal_lines, 65, 4),
        shape(frame_615_shape_group_10_shape_3_horizontal_lines, 67, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(36, 83),
        horizontal_line(37, 83),
        horizontal_line(105, 114),
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 115),
    };

    constexpr const shape frame_615_shape_group_11_shapes[] = {
        shape(frame_615_shape_group_11_shape_0_horizontal_lines, 60, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_615_shape_group_12_shapes[] = {
        shape(frame_615_shape_group_12_shape_0_horizontal_lines, 65, 7),
    };

    constexpr const horizontal_line frame_615_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_615_shape_group_13_shapes[] = {
        shape(frame_615_shape_group_13_shape_0_horizontal_lines, 65, 7),
    };

    constexpr const shape_group frame_615_shape_groups[] = {
        shape_group(frame_615_shape_group_0_shapes),
        shape_group(frame_615_shape_group_1_shapes),
        shape_group(frame_615_shape_group_2_shapes),
        shape_group(frame_615_shape_group_3_shapes),
        shape_group(frame_615_shape_group_4_shapes),
        shape_group(frame_615_shape_group_5_shapes),
        shape_group(frame_615_shape_group_6_shapes),
        shape_group(frame_615_shape_group_7_shapes),
        shape_group(frame_615_shape_group_8_shapes),
        shape_group(frame_615_shape_group_9_shapes),
        shape_group(frame_615_shape_group_10_shapes),
        shape_group(frame_615_shape_group_11_shapes),
        shape_group(frame_615_shape_group_12_shapes),
        shape_group(frame_615_shape_group_13_shapes),
    };

    constexpr const frame frame_615_impl(frame_615_colors, frame_615_shape_groups);
} 

const frame& frame_615()
{
    return frame_615_impl;
}

namespace
{
    constexpr const bn::color frame_616_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(1, 18),
        horizontal_line(3, 17),
        horizontal_line(6, 16),
        horizontal_line(8, 15),
        horizontal_line(11, 14),
        horizontal_line(100, 130),
        horizontal_line(99, 131),
        horizontal_line(98, 132),
        horizontal_line(97, 133),
        horizontal_line(95, 133),
        horizontal_line(94, 134),
        horizontal_line(93, 135),
        horizontal_line(91, 136),
        horizontal_line(90, 136),
        horizontal_line(89, 137),
        horizontal_line(88, 136),
        horizontal_line(86, 134),
        horizontal_line(85, 133),
        horizontal_line(84, 131),
        horizontal_line(83, 129),
        horizontal_line(81, 127),
        horizontal_line(80, 126),
        horizontal_line(79, 124),
        horizontal_line(78, 122),
        horizontal_line(76, 120),
        horizontal_line(75, 119),
        horizontal_line(74, 117),
        horizontal_line(73, 115),
        horizontal_line(75, 113),
        horizontal_line(78, 112),
        horizontal_line(80, 110),
        horizontal_line(83, 108),
        horizontal_line(86, 106),
        horizontal_line(88, 105),
        horizontal_line(91, 103),
        horizontal_line(93, 101),
        horizontal_line(96, 99),
        horizontal_line(122, 145),
        horizontal_line(120, 140),
        horizontal_line(117, 135),
        horizontal_line(115, 129),
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 147),
        horizontal_line(121, 147),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(123, 146),
        horizontal_line(122, 145),
        horizontal_line(122, 144),
        horizontal_line(132, 143),
        horizontal_line(122, 124),
        horizontal_line(122, 127),
        horizontal_line(122, 130),
        horizontal_line(123, 134),
        horizontal_line(125, 131),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(126, 133),
        horizontal_line(126, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(135, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(127, 132),
        horizontal_line(127, 134),
        horizontal_line(128, 136),
        horizontal_line(128, 138),
        horizontal_line(128, 140),
        horizontal_line(128, 142),
        horizontal_line(128, 143),
        horizontal_line(129, 136),
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(129, 150),
        horizontal_line(129, 152),
        horizontal_line(130, 154),
        horizontal_line(130, 156),
        horizontal_line(130, 158),
    };

    constexpr const horizontal_line frame_616_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(157, 162),
        horizontal_line(153, 164),
        horizontal_line(150, 166),
        horizontal_line(146, 168),
        horizontal_line(142, 170),
        horizontal_line(139, 172),
        horizontal_line(135, 173),
        horizontal_line(131, 175),
        horizontal_line(128, 177),
        horizontal_line(128, 179),
        horizontal_line(128, 181),
        horizontal_line(129, 182),
        horizontal_line(129, 178),
        horizontal_line(130, 175),
        horizontal_line(130, 172),
        horizontal_line(130, 168),
        horizontal_line(131, 165),
        horizontal_line(131, 162),
        horizontal_line(132, 158),
        horizontal_line(132, 155),
        horizontal_line(133, 152),
    };

    constexpr const shape frame_616_shape_group_0_shapes[] = {
        shape(frame_616_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_616_shape_group_0_shape_1_horizontal_lines, 54, 5),
        shape(frame_616_shape_group_0_shape_2_horizontal_lines, 56, 1),
        shape(frame_616_shape_group_0_shape_3_horizontal_lines, 66, 4),
        shape(frame_616_shape_group_0_shape_4_horizontal_lines, 123, 1),
        shape(frame_616_shape_group_0_shape_5_horizontal_lines, 133, 5),
        shape(frame_616_shape_group_0_shape_6_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(118, 120),
        horizontal_line(117, 121),
        horizontal_line(115, 121),
        horizontal_line(114, 122),
        horizontal_line(113, 123),
        horizontal_line(112, 124),
        horizontal_line(110, 124),
        horizontal_line(109, 125),
        horizontal_line(108, 126),
        horizontal_line(107, 127),
        horizontal_line(105, 127),
        horizontal_line(104, 128),
        horizontal_line(103, 129),
        horizontal_line(102, 130),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(32, 90),
        horizontal_line(35, 89),
        horizontal_line(38, 88),
        horizontal_line(40, 87),
        horizontal_line(43, 85),
        horizontal_line(46, 84),
        horizontal_line(48, 83),
        horizontal_line(51, 82),
        horizontal_line(54, 80),
        horizontal_line(56, 79),
        horizontal_line(59, 78),
        horizontal_line(62, 77),
        horizontal_line(64, 75),
        horizontal_line(67, 74),
        horizontal_line(70, 73),
        horizontal_line(116, 145),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(145, 146),
        horizontal_line(142, 146),
        horizontal_line(140, 147),
        horizontal_line(137, 147),
        horizontal_line(135, 148),
        horizontal_line(132, 148),
        horizontal_line(130, 149),
        horizontal_line(127, 149),
        horizontal_line(125, 150),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(99, 121),
        horizontal_line(101, 119),
        horizontal_line(105, 116),
        horizontal_line(108, 114),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 159),
        horizontal_line(151, 153),
        horizontal_line(146, 146),
        horizontal_line(145, 146),
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(132, 133),
        horizontal_line(128, 133),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(131, 143),
        horizontal_line(133, 143),
        horizontal_line(135, 143),
        horizontal_line(137, 143),
        horizontal_line(139, 143),
        horizontal_line(141, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(137, 146),
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(160, 176),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 178),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(130, 160),
        horizontal_line(130, 156),
        horizontal_line(131, 152),
        horizontal_line(131, 149),
        horizontal_line(131, 145),
        horizontal_line(131, 141),
        horizontal_line(131, 138),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(176, 180),
        horizontal_line(178, 181),
        horizontal_line(180, 181),
        horizontal_line(201, 229),
    };

    constexpr const horizontal_line frame_616_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(179, 184),
        horizontal_line(176, 185),
        horizontal_line(173, 187),
        horizontal_line(169, 188),
        horizontal_line(166, 190),
        horizontal_line(163, 191),
        horizontal_line(159, 193),
        horizontal_line(156, 194),
        horizontal_line(153, 196),
    };

    constexpr const shape frame_616_shape_group_1_shapes[] = {
        shape(frame_616_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_616_shape_group_1_shape_1_horizontal_lines, 2, 1),
        shape(frame_616_shape_group_1_shape_2_horizontal_lines, 17, 5),
        shape(frame_616_shape_group_1_shape_3_horizontal_lines, 40, 1),
        shape(frame_616_shape_group_1_shape_4_horizontal_lines, 49, 5),
        shape(frame_616_shape_group_1_shape_5_horizontal_lines, 54, 4),
        shape(frame_616_shape_group_1_shape_6_horizontal_lines, 60, 1),
        shape(frame_616_shape_group_1_shape_7_horizontal_lines, 61, 4),
        shape(frame_616_shape_group_1_shape_8_horizontal_lines, 130, 5),
        shape(frame_616_shape_group_1_shape_9_horizontal_lines, 133, 4),
        shape(frame_616_shape_group_1_shape_10_horizontal_lines, 138, 5),
        shape(frame_616_shape_group_1_shape_11_horizontal_lines, 146, 4),
        shape(frame_616_shape_group_1_shape_12_horizontal_lines, 150, 5),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(93, 118),
        horizontal_line(92, 119),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(76, 99),
        horizontal_line(78, 98),
        horizontal_line(81, 97),
        horizontal_line(84, 96),
        horizontal_line(86, 94),
        horizontal_line(89, 93),
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(135, 139),
        horizontal_line(134, 139),
        horizontal_line(132, 140),
        horizontal_line(130, 141),
        horizontal_line(128, 142),
        horizontal_line(127, 142),
        horizontal_line(125, 143),
        horizontal_line(123, 143),
        horizontal_line(121, 144),
        horizontal_line(120, 144),
        horizontal_line(118, 145),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(114, 144),
        horizontal_line(113, 141),
        horizontal_line(111, 139),
        horizontal_line(109, 136),
        horizontal_line(107, 134),
        horizontal_line(106, 131),
        horizontal_line(104, 129),
        horizontal_line(102, 126),
        horizontal_line(100, 124),
        horizontal_line(146, 149),
        horizontal_line(141, 149),
        horizontal_line(136, 148),
        horizontal_line(130, 148),
        horizontal_line(125, 147),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(222, 239),
        horizontal_line(155, 160),
        horizontal_line(152, 153),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(143, 146),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(174, 189),
        horizontal_line(175, 190),
        horizontal_line(175, 191),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(177, 193),
        horizontal_line(177, 194),
        horizontal_line(178, 195),
        horizontal_line(178, 195),
        horizontal_line(179, 196),
        horizontal_line(179, 197),
        horizontal_line(180, 198),
        horizontal_line(180, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(183, 202),
        horizontal_line(183, 203),
        horizontal_line(184, 204),
        horizontal_line(184, 204),
        horizontal_line(185, 205),
        horizontal_line(185, 206),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(187, 208),
        horizontal_line(187, 209),
        horizontal_line(159, 173),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 175),
        horizontal_line(159, 175),
        horizontal_line(160, 175),
        horizontal_line(160, 175),
        horizontal_line(160, 176),
        horizontal_line(160, 176),
        horizontal_line(193, 217),
        horizontal_line(193, 218),
        horizontal_line(194, 219),
        horizontal_line(194, 219),
        horizontal_line(195, 220),
        horizontal_line(162, 178),
        horizontal_line(163, 178),
        horizontal_line(165, 178),
        horizontal_line(167, 179),
        horizontal_line(169, 179),
        horizontal_line(171, 179),
        horizontal_line(173, 180),
        horizontal_line(174, 180),
        horizontal_line(199, 227),
        horizontal_line(200, 228),
        horizontal_line(200, 228),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_616_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(201, 230),
        horizontal_line(202, 231),
        horizontal_line(202, 231),
        horizontal_line(203, 232),
        horizontal_line(203, 233),
        horizontal_line(204, 234),
        horizontal_line(204, 234),
        horizontal_line(205, 235),
        horizontal_line(205, 236),
        horizontal_line(206, 237),
    };

    constexpr const shape frame_616_shape_group_2_shapes[] = {
        shape(frame_616_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_616_shape_group_2_shape_1_horizontal_lines, 24, 4),
        shape(frame_616_shape_group_2_shape_2_horizontal_lines, 27, 5),
        shape(frame_616_shape_group_2_shape_3_horizontal_lines, 39, 4),
        shape(frame_616_shape_group_2_shape_4_horizontal_lines, 40, 5),
        shape(frame_616_shape_group_2_shape_5_horizontal_lines, 54, 4),
        shape(frame_616_shape_group_2_shape_6_horizontal_lines, 149, 6),
        shape(frame_616_shape_group_2_shape_7_horizontal_lines, 150, 4),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(91, 118),
        horizontal_line(90, 117),
        horizontal_line(89, 116),
        horizontal_line(88, 114),
        horizontal_line(87, 113),
        horizontal_line(86, 112),
        horizontal_line(85, 111),
        horizontal_line(84, 109),
        horizontal_line(83, 108),
        horizontal_line(82, 107),
        horizontal_line(81, 106),
        horizontal_line(80, 104),
        horizontal_line(79, 103),
        horizontal_line(78, 102),
        horizontal_line(77, 101),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(144, 144),
        horizontal_line(145, 145),
        horizontal_line(145, 145),
        horizontal_line(146, 146),
        horizontal_line(199, 239),
        horizontal_line(147, 148),
        horizontal_line(147, 148),
        horizontal_line(148, 149),
        horizontal_line(148, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(150, 152),
        horizontal_line(150, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(152, 154),
        horizontal_line(157, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(168, 179),
        horizontal_line(168, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 181),
        horizontal_line(170, 182),
        horizontal_line(170, 183),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 187),
        horizontal_line(173, 188),
        horizontal_line(174, 189),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(188, 210),
        horizontal_line(188, 210),
        horizontal_line(189, 211),
        horizontal_line(189, 212),
        horizontal_line(190, 213),
        horizontal_line(190, 213),
        horizontal_line(191, 214),
        horizontal_line(191, 215),
        horizontal_line(192, 216),
        horizontal_line(192, 216),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(195, 221),
        horizontal_line(196, 222),
        horizontal_line(196, 222),
        horizontal_line(197, 223),
        horizontal_line(197, 224),
        horizontal_line(198, 225),
        horizontal_line(198, 225),
        horizontal_line(199, 226),
    };

    constexpr const horizontal_line frame_616_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(108, 127),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
    };

    constexpr const shape frame_616_shape_group_3_shapes[] = {
        shape(frame_616_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_616_shape_group_3_shape_1_horizontal_lines, 2, 5),
        shape(frame_616_shape_group_3_shape_2_horizontal_lines, 17, 4),
        shape(frame_616_shape_group_3_shape_3_horizontal_lines, 24, 6),
        shape(frame_616_shape_group_3_shape_4_horizontal_lines, 27, 4),
        shape(frame_616_shape_group_3_shape_5_horizontal_lines, 55, 6),
        shape(frame_616_shape_group_3_shape_6_horizontal_lines, 56, 4),
        shape(frame_616_shape_group_3_shape_7_horizontal_lines, 96, 6),
        shape(frame_616_shape_group_3_shape_8_horizontal_lines, 123, 4),
        shape(frame_616_shape_group_3_shape_9_horizontal_lines, 133, 6),
        shape(frame_616_shape_group_3_shape_10_horizontal_lines, 138, 4),
        shape(frame_616_shape_group_3_shape_11_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(15, 31),
        horizontal_line(15, 34),
        horizontal_line(15, 37),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(78, 99),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(157, 163),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(91, 111),
        horizontal_line(91, 111),
        horizontal_line(92, 112),
        horizontal_line(92, 112),
        horizontal_line(92, 112),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(94, 114),
        horizontal_line(94, 114),
        horizontal_line(94, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 115),
        horizontal_line(95, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 119),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
        horizontal_line(104, 123),
        horizontal_line(104, 123),
        horizontal_line(104, 123),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(107, 130),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_616_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(110, 128),
        horizontal_line(110, 128),
        horizontal_line(110, 128),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(112, 130),
    };

    constexpr const shape frame_616_shape_group_4_shapes[] = {
        shape(frame_616_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_616_shape_group_4_shape_1_horizontal_lines, 24, 7),
        shape(frame_616_shape_group_4_shape_2_horizontal_lines, 27, 6),
        shape(frame_616_shape_group_4_shape_3_horizontal_lines, 35, 4),
        shape(frame_616_shape_group_4_shape_4_horizontal_lines, 39, 6),
        shape(frame_616_shape_group_4_shape_5_horizontal_lines, 40, 4),
        shape(frame_616_shape_group_4_shape_6_horizontal_lines, 54, 6),
        shape(frame_616_shape_group_4_shape_7_horizontal_lines, 57, 4),
        shape(frame_616_shape_group_4_shape_8_horizontal_lines, 68, 6),
        shape(frame_616_shape_group_4_shape_9_horizontal_lines, 149, 7),
        shape(frame_616_shape_group_4_shape_10_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(15, 39),
        horizontal_line(16, 42),
        horizontal_line(16, 45),
        horizontal_line(16, 47),
        horizontal_line(16, 50),
        horizontal_line(16, 53),
        horizontal_line(17, 55),
        horizontal_line(17, 58),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(18, 72),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(77, 99),
        horizontal_line(112, 119),
        horizontal_line(78, 100),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(82, 103),
        horizontal_line(82, 103),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(84, 104),
        horizontal_line(84, 105),
        horizontal_line(84, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 106),
        horizontal_line(85, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 107),
        horizontal_line(86, 107),
        horizontal_line(86, 107),
        horizontal_line(87, 107),
        horizontal_line(87, 108),
        horizontal_line(87, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 109),
        horizontal_line(88, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 111),
        horizontal_line(91, 111),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(100, 119),
        horizontal_line(100, 119),
        horizontal_line(100, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(102, 121),
        horizontal_line(102, 121),
        horizontal_line(102, 121),
        horizontal_line(103, 122),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(127, 129),
        horizontal_line(105, 123),
        horizontal_line(105, 124),
        horizontal_line(105, 124),
        horizontal_line(106, 124),
        horizontal_line(106, 125),
        horizontal_line(106, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 125),
    };

    constexpr const horizontal_line frame_616_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(101, 107),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
    };

    constexpr const shape frame_616_shape_group_5_shapes[] = {
        shape(frame_616_shape_group_5_shape_0_horizontal_lines, 2, 4),
        shape(frame_616_shape_group_5_shape_1_horizontal_lines, 17, 6),
        shape(frame_616_shape_group_5_shape_2_horizontal_lines, 27, 7),
        shape(frame_616_shape_group_5_shape_3_horizontal_lines, 35, 6),
        shape(frame_616_shape_group_5_shape_4_horizontal_lines, 39, 7),
        shape(frame_616_shape_group_5_shape_5_horizontal_lines, 40, 6),
        shape(frame_616_shape_group_5_shape_6_horizontal_lines, 60, 4),
        shape(frame_616_shape_group_5_shape_7_horizontal_lines, 61, 6),
        shape(frame_616_shape_group_5_shape_8_horizontal_lines, 64, 4),
        shape(frame_616_shape_group_5_shape_9_horizontal_lines, 66, 6),
        shape(frame_616_shape_group_5_shape_10_horizontal_lines, 146, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(14, 18),
        horizontal_line(14, 21),
        horizontal_line(14, 23),
        horizontal_line(14, 26),
        horizontal_line(15, 29),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(17, 61),
        horizontal_line(17, 63),
        horizontal_line(17, 66),
        horizontal_line(17, 69),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(73, 77),
        horizontal_line(73, 79),
        horizontal_line(74, 82),
        horizontal_line(74, 85),
        horizontal_line(74, 87),
        horizontal_line(75, 90),
        horizontal_line(75, 92),
        horizontal_line(75, 95),
        horizontal_line(76, 98),
        horizontal_line(76, 98),
        horizontal_line(76, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 99),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(21, 77),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(78, 100),
        horizontal_line(79, 100),
        horizontal_line(79, 100),
        horizontal_line(0, 21),
        horizontal_line(80, 101),
        horizontal_line(80, 101),
        horizontal_line(80, 102),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(81, 102),
        horizontal_line(82, 103),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_616_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 132),
    };

    constexpr const shape frame_616_shape_group_6_shapes[] = {
        shape(frame_616_shape_group_6_shape_0_horizontal_lines, 12, 6),
        shape(frame_616_shape_group_6_shape_1_horizontal_lines, 18, 7),
        shape(frame_616_shape_group_6_shape_2_horizontal_lines, 35, 7),
        shape(frame_616_shape_group_6_shape_3_horizontal_lines, 40, 6),
        shape(frame_616_shape_group_6_shape_4_horizontal_lines, 55, 7),
        shape(frame_616_shape_group_6_shape_5_horizontal_lines, 56, 6),
        shape(frame_616_shape_group_6_shape_6_horizontal_lines, 96, 7),
        shape(frame_616_shape_group_6_shape_7_horizontal_lines, 123, 6),
        shape(frame_616_shape_group_6_shape_8_horizontal_lines, 133, 7),
        shape(frame_616_shape_group_6_shape_9_horizontal_lines, 138, 6),
        shape(frame_616_shape_group_6_shape_10_horizontal_lines, 146, 7),
        shape(frame_616_shape_group_6_shape_11_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(18, 72),
        horizontal_line(18, 72),
        horizontal_line(18, 72),
        horizontal_line(18, 73),
        horizontal_line(19, 73),
        horizontal_line(19, 73),
        horizontal_line(19, 74),
        horizontal_line(19, 74),
        horizontal_line(19, 74),
        horizontal_line(20, 75),
        horizontal_line(20, 75),
        horizontal_line(20, 75),
        horizontal_line(20, 76),
        horizontal_line(20, 76),
        horizontal_line(21, 76),
        horizontal_line(100, 111),
        horizontal_line(21, 77),
    };

    constexpr const horizontal_line frame_616_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(79, 101),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(81, 102),
        horizontal_line(81, 102),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_616_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(23, 81),
        horizontal_line(23, 81),
        horizontal_line(24, 82),
        horizontal_line(24, 82),
        horizontal_line(24, 82),
        horizontal_line(24, 83),
        horizontal_line(24, 83),
        horizontal_line(25, 83),
        horizontal_line(25, 84),
        horizontal_line(25, 84),
        horizontal_line(25, 84),
        horizontal_line(25, 85),
        horizontal_line(25, 85),
        horizontal_line(26, 85),
        horizontal_line(26, 85),
        horizontal_line(26, 86),
        horizontal_line(26, 86),
        horizontal_line(26, 86),
        horizontal_line(27, 87),
        horizontal_line(27, 87),
        horizontal_line(27, 87),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(28, 88),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 90),
        horizontal_line(112, 119),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
    };

    constexpr const horizontal_line frame_616_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(100, 107),
        horizontal_line(100, 107),
    };

    constexpr const horizontal_line frame_616_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 110),
        horizontal_line(102, 110),
        horizontal_line(102, 110),
        horizontal_line(103, 111),
    };

    constexpr const shape frame_616_shape_group_7_shapes[] = {
        shape(frame_616_shape_group_7_shape_0_horizontal_lines, 40, 7),
        shape(frame_616_shape_group_7_shape_1_horizontal_lines, 57, 6),
        shape(frame_616_shape_group_7_shape_2_horizontal_lines, 68, 7),
        shape(frame_616_shape_group_7_shape_3_horizontal_lines, 147, 7),
        shape(frame_616_shape_group_7_shape_4_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(99, 100),
        horizontal_line(99, 104),
        horizontal_line(99, 107),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(120, 120),
        horizontal_line(101, 111),
        horizontal_line(21, 77),
        horizontal_line(21, 78),
        horizontal_line(21, 78),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(22, 79),
        horizontal_line(22, 79),
        horizontal_line(22, 79),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(23, 80),
        horizontal_line(23, 81),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 115),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_616_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(91, 91),
        horizontal_line(91, 91),
        horizontal_line(91, 92),
        horizontal_line(92, 92),
        horizontal_line(92, 92),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(94, 95),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(123, 125),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const shape frame_616_shape_group_8_shapes[] = {
        shape(frame_616_shape_group_8_shape_0_horizontal_lines, 50, 7),
        shape(frame_616_shape_group_8_shape_1_horizontal_lines, 60, 6),
        shape(frame_616_shape_group_8_shape_2_horizontal_lines, 61, 7),
        shape(frame_616_shape_group_8_shape_3_horizontal_lines, 64, 6),
        shape(frame_616_shape_group_8_shape_4_horizontal_lines, 66, 7),
        shape(frame_616_shape_group_8_shape_5_horizontal_lines, 98, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(101, 111),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(22, 78),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 113),
        horizontal_line(22, 80),
        horizontal_line(23, 80),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_616_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_616_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_616_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
    };

    constexpr const shape frame_616_shape_group_9_shapes[] = {
        shape(frame_616_shape_group_9_shape_0_horizontal_lines, 56, 7),
        shape(frame_616_shape_group_9_shape_1_horizontal_lines, 95, 7),
        shape(frame_616_shape_group_9_shape_2_horizontal_lines, 123, 7),
        shape(frame_616_shape_group_9_shape_3_horizontal_lines, 138, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(102, 112),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(103, 113),
        horizontal_line(103, 113),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_616_shape_group_10_shapes[] = {
        shape(frame_616_shape_group_10_shape_0_horizontal_lines, 57, 7),
    };

    constexpr const horizontal_line frame_616_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_616_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_616_shape_group_11_shapes[] = {
        shape(frame_616_shape_group_11_shape_0_horizontal_lines, 60, 7),
        shape(frame_616_shape_group_11_shape_1_horizontal_lines, 64, 7),
    };

    constexpr const shape_group frame_616_shape_groups[] = {
        shape_group(frame_616_shape_group_0_shapes),
        shape_group(frame_616_shape_group_1_shapes),
        shape_group(frame_616_shape_group_2_shapes),
        shape_group(frame_616_shape_group_3_shapes),
        shape_group(frame_616_shape_group_4_shapes),
        shape_group(frame_616_shape_group_5_shapes),
        shape_group(frame_616_shape_group_6_shapes),
        shape_group(frame_616_shape_group_7_shapes),
        shape_group(frame_616_shape_group_8_shapes),
        shape_group(frame_616_shape_group_9_shapes),
        shape_group(frame_616_shape_group_10_shapes),
        shape_group(frame_616_shape_group_11_shapes),
    };

    constexpr const frame frame_616_impl(frame_616_colors, frame_616_shape_groups);
} 

const frame& frame_616()
{
    return frame_616_impl;
}

namespace
{
    constexpr const bn::color frame_617_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(101, 129),
        horizontal_line(100, 129),
        horizontal_line(99, 130),
        horizontal_line(97, 131),
        horizontal_line(96, 132),
        horizontal_line(95, 132),
        horizontal_line(94, 133),
        horizontal_line(93, 134),
        horizontal_line(91, 135),
        horizontal_line(90, 136),
        horizontal_line(89, 136),
        horizontal_line(88, 137),
        horizontal_line(87, 138),
        horizontal_line(85, 136),
        horizontal_line(84, 135),
        horizontal_line(83, 133),
        horizontal_line(82, 132),
        horizontal_line(81, 130),
        horizontal_line(79, 128),
        horizontal_line(78, 127),
        horizontal_line(77, 125),
        horizontal_line(76, 124),
        horizontal_line(75, 122),
        horizontal_line(73, 120),
        horizontal_line(72, 119),
        horizontal_line(71, 117),
        horizontal_line(70, 116),
        horizontal_line(69, 114),
        horizontal_line(71, 112),
        horizontal_line(74, 111),
        horizontal_line(76, 109),
        horizontal_line(79, 108),
        horizontal_line(82, 106),
        horizontal_line(84, 104),
        horizontal_line(87, 103),
        horizontal_line(90, 101),
        horizontal_line(92, 100),
        horizontal_line(95, 98),
        horizontal_line(123, 151),
        horizontal_line(120, 146),
        horizontal_line(118, 141),
        horizontal_line(115, 135),
        horizontal_line(113, 130),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 148),
        horizontal_line(121, 148),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(123, 147),
        horizontal_line(122, 146),
        horizontal_line(122, 145),
        horizontal_line(132, 144),
        horizontal_line(143, 143),
        horizontal_line(122, 123),
        horizontal_line(122, 127),
        horizontal_line(122, 131),
        horizontal_line(123, 135),
        horizontal_line(125, 132),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(127, 133),
        horizontal_line(127, 135),
        horizontal_line(127, 137),
        horizontal_line(127, 139),
        horizontal_line(128, 141),
        horizontal_line(128, 143),
        horizontal_line(128, 144),
        horizontal_line(128, 138),
        horizontal_line(128, 133),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(128, 151),
        horizontal_line(129, 153),
        horizontal_line(129, 155),
        horizontal_line(129, 157),
        horizontal_line(129, 159),
        horizontal_line(129, 161),
    };

    constexpr const horizontal_line frame_617_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(159, 164),
        horizontal_line(155, 166),
        horizontal_line(151, 167),
        horizontal_line(147, 169),
        horizontal_line(143, 171),
        horizontal_line(139, 172),
        horizontal_line(135, 174),
        horizontal_line(131, 176),
        horizontal_line(128, 177),
        horizontal_line(128, 179),
        horizontal_line(128, 181),
        horizontal_line(128, 182),
        horizontal_line(129, 184),
        horizontal_line(129, 185),
        horizontal_line(129, 181),
        horizontal_line(129, 177),
        horizontal_line(130, 174),
        horizontal_line(130, 170),
        horizontal_line(130, 166),
        horizontal_line(131, 163),
    };

    constexpr const shape frame_617_shape_group_0_shapes[] = {
        shape(frame_617_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_617_shape_group_0_shape_1_horizontal_lines, 52, 5),
        shape(frame_617_shape_group_0_shape_2_horizontal_lines, 54, 1),
        shape(frame_617_shape_group_0_shape_3_horizontal_lines, 65, 2),
        shape(frame_617_shape_group_0_shape_4_horizontal_lines, 123, 1),
        shape(frame_617_shape_group_0_shape_5_horizontal_lines, 133, 5),
        shape(frame_617_shape_group_0_shape_6_horizontal_lines, 139, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(111, 123),
        horizontal_line(109, 123),
        horizontal_line(108, 124),
        horizontal_line(107, 125),
        horizontal_line(106, 126),
        horizontal_line(105, 126),
        horizontal_line(103, 127),
        horizontal_line(102, 128),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(28, 87),
        horizontal_line(31, 86),
        horizontal_line(33, 84),
        horizontal_line(36, 83),
        horizontal_line(38, 82),
        horizontal_line(41, 81),
        horizontal_line(43, 80),
        horizontal_line(46, 78),
        horizontal_line(48, 77),
        horizontal_line(51, 76),
        horizontal_line(53, 75),
        horizontal_line(56, 74),
        horizontal_line(58, 72),
        horizontal_line(61, 71),
        horizontal_line(63, 70),
        horizontal_line(66, 69),
        horizontal_line(115, 146),
        horizontal_line(113, 147),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(145, 147),
        horizontal_line(143, 148),
        horizontal_line(140, 148),
        horizontal_line(138, 149),
        horizontal_line(135, 149),
        horizontal_line(133, 150),
        horizontal_line(130, 150),
        horizontal_line(128, 150),
        horizontal_line(125, 150),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(98, 122),
        horizontal_line(100, 119),
        horizontal_line(104, 117),
        horizontal_line(108, 114),
        horizontal_line(112, 112),
        horizontal_line(125, 148),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(148, 151),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(122, 131),
        horizontal_line(122, 142),
        horizontal_line(124, 141),
        horizontal_line(128, 141),
        horizontal_line(132, 141),
        horizontal_line(122, 122),
        horizontal_line(122, 124),
        horizontal_line(122, 127),
        horizontal_line(135, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(127, 130),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(139, 147),
        horizontal_line(134, 149),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(152, 161),
        horizontal_line(154, 161),
        horizontal_line(156, 161),
        horizontal_line(158, 161),
        horizontal_line(160, 161),
        horizontal_line(181, 197),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(130, 162),
        horizontal_line(130, 158),
        horizontal_line(130, 154),
        horizontal_line(130, 150),
        horizontal_line(130, 146),
        horizontal_line(131, 142),
        horizontal_line(131, 138),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(184, 202),
        horizontal_line(184, 202),
        horizontal_line(184, 203),
        horizontal_line(185, 203),
        horizontal_line(185, 204),
        horizontal_line(185, 204),
    };

    constexpr const horizontal_line frame_617_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(182, 187),
        horizontal_line(178, 188),
        horizontal_line(175, 190),
        horizontal_line(171, 191),
        horizontal_line(167, 192),
        horizontal_line(164, 194),
    };

    constexpr const shape frame_617_shape_group_1_shapes[] = {
        shape(frame_617_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_617_shape_group_1_shape_1_horizontal_lines, 8, 5),
        shape(frame_617_shape_group_1_shape_2_horizontal_lines, 37, 1),
        shape(frame_617_shape_group_1_shape_3_horizontal_lines, 46, 5),
        shape(frame_617_shape_group_1_shape_4_horizontal_lines, 52, 2),
        shape(frame_617_shape_group_1_shape_5_horizontal_lines, 130, 5),
        shape(frame_617_shape_group_1_shape_6_horizontal_lines, 133, 2),
        shape(frame_617_shape_group_1_shape_7_horizontal_lines, 139, 5),
        shape(frame_617_shape_group_1_shape_8_horizontal_lines, 147, 2),
        shape(frame_617_shape_group_1_shape_9_horizontal_lines, 153, 5),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(63, 100),
        horizontal_line(65, 99),
        horizontal_line(68, 98),
        horizontal_line(70, 96),
        horizontal_line(73, 95),
        horizontal_line(75, 94),
        horizontal_line(78, 93),
        horizontal_line(80, 92),
        horizontal_line(83, 90),
        horizontal_line(85, 89),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(139, 201),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(136, 139),
        horizontal_line(134, 140),
        horizontal_line(133, 141),
        horizontal_line(131, 141),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(126, 143),
        horizontal_line(125, 143),
        horizontal_line(123, 144),
        horizontal_line(121, 144),
        horizontal_line(120, 145),
        horizontal_line(118, 145),
        horizontal_line(117, 146),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(151, 213),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(112, 144),
        horizontal_line(110, 142),
        horizontal_line(109, 139),
        horizontal_line(107, 137),
        horizontal_line(105, 134),
        horizontal_line(104, 132),
        horizontal_line(102, 129),
        horizontal_line(101, 127),
        horizontal_line(99, 124),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(147, 150),
        horizontal_line(142, 150),
        horizontal_line(136, 149),
        horizontal_line(131, 149),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
        horizontal_line(156, 157),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 140),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(162, 166),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 185),
        horizontal_line(174, 185),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(176, 189),
        horizontal_line(176, 189),
        horizontal_line(145, 160),
        horizontal_line(177, 190),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(178, 192),
        horizontal_line(178, 192),
        horizontal_line(178, 193),
        horizontal_line(146, 160),
        horizontal_line(148, 161),
        horizontal_line(150, 161),
        horizontal_line(179, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 196),
        horizontal_line(180, 196),
        horizontal_line(181, 197),
        horizontal_line(229, 239),
        horizontal_line(181, 198),
        horizontal_line(182, 198),
        horizontal_line(182, 199),
        horizontal_line(182, 199),
        horizontal_line(182, 200),
        horizontal_line(183, 200),
        horizontal_line(183, 201),
        horizontal_line(183, 201),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(183, 184),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(187, 205),
        horizontal_line(188, 205),
        horizontal_line(189, 206),
        horizontal_line(191, 206),
        horizontal_line(192, 207),
        horizontal_line(193, 207),
        horizontal_line(195, 208),
    };

    constexpr const shape frame_617_shape_group_2_shapes[] = {
        shape(frame_617_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_617_shape_group_2_shape_1_horizontal_lines, 19, 2),
        shape(frame_617_shape_group_2_shape_2_horizontal_lines, 21, 5),
        shape(frame_617_shape_group_2_shape_3_horizontal_lines, 35, 2),
        shape(frame_617_shape_group_2_shape_4_horizontal_lines, 37, 5),
        shape(frame_617_shape_group_2_shape_5_horizontal_lines, 46, 2),
        shape(frame_617_shape_group_2_shape_6_horizontal_lines, 47, 5),
        shape(frame_617_shape_group_2_shape_7_horizontal_lines, 51, 2),
        shape(frame_617_shape_group_2_shape_8_horizontal_lines, 151, 4),
        shape(frame_617_shape_group_2_shape_9_horizontal_lines, 153, 2),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(71, 110),
        horizontal_line(70, 108),
        horizontal_line(69, 107),
        horizontal_line(68, 106),
        horizontal_line(67, 105),
        horizontal_line(66, 104),
        horizontal_line(65, 102),
        horizontal_line(64, 101),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(200, 215),
        horizontal_line(201, 216),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(221, 239),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(154, 154),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(156, 157),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(159, 161),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(176, 190),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(178, 193),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(162, 180),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(177, 183),
        horizontal_line(178, 183),
        horizontal_line(180, 183),
        horizontal_line(182, 184),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_617_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const shape frame_617_shape_group_3_shapes[] = {
        shape(frame_617_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_617_shape_group_3_shape_1_horizontal_lines, 8, 2),
        shape(frame_617_shape_group_3_shape_2_horizontal_lines, 138, 4),
        shape(frame_617_shape_group_3_shape_3_horizontal_lines, 139, 2),
        shape(frame_617_shape_group_3_shape_4_horizontal_lines, 147, 4),
        shape(frame_617_shape_group_3_shape_5_horizontal_lines, 152, 6),
        shape(frame_617_shape_group_3_shape_6_horizontal_lines, 153, 4),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(125, 186),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(192, 196),
        horizontal_line(192, 198),
        horizontal_line(193, 199),
        horizontal_line(194, 201),
        horizontal_line(195, 203),
        horizontal_line(195, 205),
        horizontal_line(196, 206),
        horizontal_line(197, 208),
        horizontal_line(198, 210),
        horizontal_line(199, 211),
        horizontal_line(199, 213),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(202, 218),
        horizontal_line(202, 220),
        horizontal_line(203, 222),
        horizontal_line(204, 223),
        horizontal_line(205, 225),
        horizontal_line(205, 227),
        horizontal_line(206, 228),
        horizontal_line(207, 230),
        horizontal_line(208, 232),
        horizontal_line(209, 233),
        horizontal_line(209, 235),
        horizontal_line(210, 237),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(147, 149),
        horizontal_line(148, 150),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(152, 158),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(153, 153),
        horizontal_line(161, 223),
        horizontal_line(154, 154),
        horizontal_line(163, 225),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(134, 144),
        horizontal_line(136, 144),
        horizontal_line(138, 144),
        horizontal_line(140, 144),
        horizontal_line(142, 144),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(162, 178),
        horizontal_line(162, 179),
        horizontal_line(162, 179),
        horizontal_line(162, 179),
        horizontal_line(162, 180),
        horizontal_line(198, 228),
        horizontal_line(164, 180),
        horizontal_line(165, 181),
        horizontal_line(167, 181),
        horizontal_line(168, 181),
        horizontal_line(170, 181),
        horizontal_line(172, 182),
        horizontal_line(173, 182),
        horizontal_line(175, 182),
        horizontal_line(203, 235),
        horizontal_line(203, 236),
        horizontal_line(204, 237),
        horizontal_line(204, 238),
    };

    constexpr const horizontal_line frame_617_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(102, 126),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
    };

    constexpr const shape frame_617_shape_group_4_shapes[] = {
        shape(frame_617_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_617_shape_group_4_shape_1_horizontal_lines, 19, 4),
        shape(frame_617_shape_group_4_shape_2_horizontal_lines, 21, 2),
        shape(frame_617_shape_group_4_shape_3_horizontal_lines, 35, 4),
        shape(frame_617_shape_group_4_shape_4_horizontal_lines, 37, 2),
        shape(frame_617_shape_group_4_shape_5_horizontal_lines, 46, 4),
        shape(frame_617_shape_group_4_shape_6_horizontal_lines, 47, 2),
        shape(frame_617_shape_group_4_shape_7_horizontal_lines, 75, 4),
        shape(frame_617_shape_group_4_shape_8_horizontal_lines, 123, 2),
        shape(frame_617_shape_group_4_shape_9_horizontal_lines, 124, 4),
        shape(frame_617_shape_group_4_shape_10_horizontal_lines, 130, 2),
        shape(frame_617_shape_group_4_shape_11_horizontal_lines, 133, 4),
        shape(frame_617_shape_group_4_shape_12_horizontal_lines, 151, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(189, 189),
        horizontal_line(189, 191),
        horizontal_line(190, 193),
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(142, 142),
        horizontal_line(228, 239),
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(144, 145),
        horizontal_line(145, 146),
        horizontal_line(145, 146),
        horizontal_line(146, 147),
        horizontal_line(146, 148),
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(148, 151),
        horizontal_line(149, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 154),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(160, 222),
        horizontal_line(223, 239),
        horizontal_line(162, 224),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(147, 147),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(158, 167),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 175),
        horizontal_line(160, 175),
        horizontal_line(132, 144),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(162, 178),
        horizontal_line(162, 178),
        horizontal_line(196, 224),
        horizontal_line(196, 225),
        horizontal_line(197, 226),
        horizontal_line(197, 227),
        horizontal_line(198, 228),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(199, 229),
        horizontal_line(199, 230),
        horizontal_line(200, 231),
        horizontal_line(200, 231),
        horizontal_line(201, 232),
        horizontal_line(201, 233),
        horizontal_line(202, 234),
        horizontal_line(202, 234),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(101, 125),
    };

    constexpr const horizontal_line frame_617_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(102, 126),
        horizontal_line(102, 126),
        horizontal_line(102, 126),
        horizontal_line(103, 127),
        horizontal_line(103, 127),
        horizontal_line(103, 127),
        horizontal_line(104, 128),
    };

    constexpr const shape frame_617_shape_group_5_shapes[] = {
        shape(frame_617_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_617_shape_group_5_shape_1_horizontal_lines, 3, 2),
        shape(frame_617_shape_group_5_shape_2_horizontal_lines, 8, 4),
        shape(frame_617_shape_group_5_shape_3_horizontal_lines, 19, 6),
        shape(frame_617_shape_group_5_shape_4_horizontal_lines, 21, 4),
        shape(frame_617_shape_group_5_shape_5_horizontal_lines, 35, 6),
        shape(frame_617_shape_group_5_shape_6_horizontal_lines, 37, 4),
        shape(frame_617_shape_group_5_shape_7_horizontal_lines, 46, 6),
        shape(frame_617_shape_group_5_shape_8_horizontal_lines, 47, 2),
        shape(frame_617_shape_group_5_shape_9_horizontal_lines, 52, 4),
        shape(frame_617_shape_group_5_shape_10_horizontal_lines, 57, 2),
        shape(frame_617_shape_group_5_shape_11_horizontal_lines, 71, 4),
        shape(frame_617_shape_group_5_shape_12_horizontal_lines, 138, 6),
        shape(frame_617_shape_group_5_shape_13_horizontal_lines, 139, 4),
        shape(frame_617_shape_group_5_shape_14_horizontal_lines, 147, 6),
        shape(frame_617_shape_group_5_shape_15_horizontal_lines, 153, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(69, 70),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(72, 97),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(152, 160),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(157, 164),
        horizontal_line(153, 155),
        horizontal_line(153, 155),
        horizontal_line(145, 147),
        horizontal_line(144, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(127, 134),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(157, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 167),
        horizontal_line(178, 197),
        horizontal_line(178, 198),
        horizontal_line(179, 198),
        horizontal_line(179, 199),
        horizontal_line(180, 200),
        horizontal_line(180, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 202),
        horizontal_line(182, 203),
        horizontal_line(182, 204),
        horizontal_line(183, 205),
        horizontal_line(183, 205),
        horizontal_line(184, 206),
        horizontal_line(184, 207),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(186, 209),
        horizontal_line(186, 210),
        horizontal_line(187, 211),
        horizontal_line(187, 211),
        horizontal_line(188, 212),
        horizontal_line(188, 213),
        horizontal_line(189, 214),
        horizontal_line(189, 215),
        horizontal_line(190, 215),
        horizontal_line(190, 216),
        horizontal_line(161, 175),
        horizontal_line(191, 218),
        horizontal_line(192, 218),
        horizontal_line(192, 219),
        horizontal_line(193, 220),
        horizontal_line(193, 221),
        horizontal_line(194, 221),
        horizontal_line(194, 222),
        horizontal_line(195, 223),
        horizontal_line(195, 224),
    };

    constexpr const horizontal_line frame_617_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(98, 122),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(100, 124),
        horizontal_line(100, 124),
        horizontal_line(101, 125),
        horizontal_line(101, 125),
    };

    constexpr const shape frame_617_shape_group_6_shapes[] = {
        shape(frame_617_shape_group_6_shape_0_horizontal_lines, 3, 4),
        shape(frame_617_shape_group_6_shape_1_horizontal_lines, 8, 6),
        shape(frame_617_shape_group_6_shape_2_horizontal_lines, 21, 6),
        shape(frame_617_shape_group_6_shape_3_horizontal_lines, 25, 4),
        shape(frame_617_shape_group_6_shape_4_horizontal_lines, 26, 6),
        shape(frame_617_shape_group_6_shape_5_horizontal_lines, 27, 4),
        shape(frame_617_shape_group_6_shape_6_horizontal_lines, 33, 6),
        shape(frame_617_shape_group_6_shape_7_horizontal_lines, 36, 6),
        shape(frame_617_shape_group_6_shape_8_horizontal_lines, 47, 4),
        shape(frame_617_shape_group_6_shape_9_horizontal_lines, 48, 2),
        shape(frame_617_shape_group_6_shape_10_horizontal_lines, 49, 4),
        shape(frame_617_shape_group_6_shape_11_horizontal_lines, 50, 2),
        shape(frame_617_shape_group_6_shape_12_horizontal_lines, 51, 4),
        shape(frame_617_shape_group_6_shape_13_horizontal_lines, 62, 2),
        shape(frame_617_shape_group_6_shape_14_horizontal_lines, 65, 4),
        shape(frame_617_shape_group_6_shape_15_horizontal_lines, 133, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(69, 75),
        horizontal_line(70, 78),
        horizontal_line(70, 81),
        horizontal_line(70, 83),
        horizontal_line(70, 86),
        horizontal_line(71, 89),
        horizontal_line(71, 91),
        horizontal_line(71, 94),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(155, 162),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(158, 165),
        horizontal_line(153, 155),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(142, 147),
        horizontal_line(133, 134),
        horizontal_line(129, 134),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(167, 180),
        horizontal_line(168, 181),
        horizontal_line(168, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 183),
        horizontal_line(170, 184),
        horizontal_line(170, 185),
        horizontal_line(171, 185),
        horizontal_line(171, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 189),
        horizontal_line(174, 190),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(175, 192),
        horizontal_line(175, 193),
        horizontal_line(176, 194),
        horizontal_line(176, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 196),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(191, 217),
    };

    constexpr const horizontal_line frame_617_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(96, 120),
        horizontal_line(96, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(127, 128),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(98, 123),
        horizontal_line(99, 123),
        horizontal_line(99, 123),
        horizontal_line(99, 123),
        horizontal_line(100, 124),
        horizontal_line(100, 124),
        horizontal_line(127, 130),
    };

    constexpr const shape frame_617_shape_group_7_shapes[] = {
        shape(frame_617_shape_group_7_shape_0_horizontal_lines, 25, 6),
        shape(frame_617_shape_group_7_shape_1_horizontal_lines, 27, 6),
        shape(frame_617_shape_group_7_shape_2_horizontal_lines, 37, 6),
        shape(frame_617_shape_group_7_shape_3_horizontal_lines, 47, 6),
        shape(frame_617_shape_group_7_shape_4_horizontal_lines, 48, 4),
        shape(frame_617_shape_group_7_shape_5_horizontal_lines, 49, 6),
        shape(frame_617_shape_group_7_shape_6_horizontal_lines, 50, 4),
        shape(frame_617_shape_group_7_shape_7_horizontal_lines, 52, 6),
        shape(frame_617_shape_group_7_shape_8_horizontal_lines, 55, 4),
        shape(frame_617_shape_group_7_shape_9_horizontal_lines, 97, 6),
        shape(frame_617_shape_group_7_shape_10_horizontal_lines, 123, 4),
        shape(frame_617_shape_group_7_shape_11_horizontal_lines, 124, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(72, 97),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(72, 97),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(155, 161),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(73, 98),
        horizontal_line(74, 98),
        horizontal_line(74, 99),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(158, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 168),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(153, 157),
        horizontal_line(142, 147),
        horizontal_line(141, 147),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(165, 177),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(167, 179),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(86, 110),
        horizontal_line(86, 111),
        horizontal_line(87, 111),
        horizontal_line(87, 111),
        horizontal_line(87, 112),
        horizontal_line(87, 112),
        horizontal_line(88, 112),
        horizontal_line(88, 112),
        horizontal_line(88, 113),
        horizontal_line(89, 113),
        horizontal_line(89, 113),
        horizontal_line(89, 114),
        horizontal_line(89, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(0, 7),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 120),
        horizontal_line(96, 120),
        horizontal_line(96, 120),
        horizontal_line(126, 127),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_617_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
    };

    constexpr const shape frame_617_shape_group_8_shapes[] = {
        shape(frame_617_shape_group_8_shape_0_horizontal_lines, 47, 6),
        shape(frame_617_shape_group_8_shape_1_horizontal_lines, 48, 4),
        shape(frame_617_shape_group_8_shape_2_horizontal_lines, 49, 6),
        shape(frame_617_shape_group_8_shape_3_horizontal_lines, 50, 4),
        shape(frame_617_shape_group_8_shape_4_horizontal_lines, 51, 6),
        shape(frame_617_shape_group_8_shape_5_horizontal_lines, 57, 4),
        shape(frame_617_shape_group_8_shape_6_horizontal_lines, 75, 6),
        shape(frame_617_shape_group_8_shape_7_horizontal_lines, 139, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_617_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(73, 98),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(74, 99),
        horizontal_line(74, 99),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_617_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(162, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(165, 176),
    };

    constexpr const horizontal_line frame_617_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(80, 104),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(81, 105),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(82, 106),
        horizontal_line(82, 107),
        horizontal_line(82, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(84, 108),
        horizontal_line(84, 109),
        horizontal_line(84, 109),
        horizontal_line(85, 109),
        horizontal_line(85, 109),
        horizontal_line(85, 110),
        horizontal_line(85, 110),
        horizontal_line(86, 110),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(93, 118),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
    };

    constexpr const shape frame_617_shape_group_9_shapes[] = {
        shape(frame_617_shape_group_9_shape_0_horizontal_lines, 48, 6),
        shape(frame_617_shape_group_9_shape_1_horizontal_lines, 50, 6),
        shape(frame_617_shape_group_9_shape_2_horizontal_lines, 62, 4),
        shape(frame_617_shape_group_9_shape_3_horizontal_lines, 71, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(72, 97),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(73, 98),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 101),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(161, 171),
        horizontal_line(162, 172),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(79, 103),
        horizontal_line(79, 104),
        horizontal_line(79, 104),
        horizontal_line(80, 104),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_617_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const shape frame_617_shape_group_10_shapes[] = {
        shape(frame_617_shape_group_10_shape_0_horizontal_lines, 48, 6),
        shape(frame_617_shape_group_10_shape_1_horizontal_lines, 50, 6),
        shape(frame_617_shape_group_10_shape_2_horizontal_lines, 55, 6),
        shape(frame_617_shape_group_10_shape_3_horizontal_lines, 63, 4),
        shape(frame_617_shape_group_10_shape_4_horizontal_lines, 65, 6),
        shape(frame_617_shape_group_10_shape_5_horizontal_lines, 123, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(76, 101),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(78, 102),
        horizontal_line(78, 103),
        horizontal_line(78, 103),
        horizontal_line(78, 103),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
    };

    constexpr const shape frame_617_shape_group_11_shapes[] = {
        shape(frame_617_shape_group_11_shape_0_horizontal_lines, 57, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(76, 101),
        horizontal_line(77, 101),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
    };

    constexpr const shape frame_617_shape_group_12_shapes[] = {
        shape(frame_617_shape_group_12_shape_0_horizontal_lines, 62, 6),
    };

    constexpr const horizontal_line frame_617_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const shape frame_617_shape_group_13_shapes[] = {
        shape(frame_617_shape_group_13_shape_0_horizontal_lines, 63, 6),
    };

    constexpr const shape_group frame_617_shape_groups[] = {
        shape_group(frame_617_shape_group_0_shapes),
        shape_group(frame_617_shape_group_1_shapes),
        shape_group(frame_617_shape_group_2_shapes),
        shape_group(frame_617_shape_group_3_shapes),
        shape_group(frame_617_shape_group_4_shapes),
        shape_group(frame_617_shape_group_5_shapes),
        shape_group(frame_617_shape_group_6_shapes),
        shape_group(frame_617_shape_group_7_shapes),
        shape_group(frame_617_shape_group_8_shapes),
        shape_group(frame_617_shape_group_9_shapes),
        shape_group(frame_617_shape_group_10_shapes),
        shape_group(frame_617_shape_group_11_shapes),
        shape_group(frame_617_shape_group_12_shapes),
        shape_group(frame_617_shape_group_13_shapes),
    };

    constexpr const frame frame_617_impl(frame_617_colors, frame_617_shape_groups);
} 

const frame& frame_617()
{
    return frame_617_impl;
}

namespace
{
    constexpr const bn::color frame_618_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(22, 81),
        horizontal_line(24, 80),
        horizontal_line(27, 79),
        horizontal_line(29, 78),
        horizontal_line(32, 77),
        horizontal_line(34, 76),
        horizontal_line(36, 74),
        horizontal_line(39, 73),
        horizontal_line(41, 72),
        horizontal_line(43, 71),
        horizontal_line(46, 70),
        horizontal_line(48, 69),
        horizontal_line(51, 67),
        horizontal_line(53, 66),
        horizontal_line(55, 65),
        horizontal_line(58, 64),
        horizontal_line(60, 63),
        horizontal_line(115, 147),
        horizontal_line(113, 147),
        horizontal_line(112, 147),
        horizontal_line(110, 145),
        horizontal_line(108, 142),
        horizontal_line(107, 140),
        horizontal_line(105, 137),
        horizontal_line(104, 135),
        horizontal_line(102, 132),
        horizontal_line(100, 130),
        horizontal_line(99, 128),
        horizontal_line(97, 125),
        horizontal_line(96, 123),
        horizontal_line(98, 120),
        horizontal_line(101, 118),
        horizontal_line(104, 115),
        horizontal_line(107, 113),
        horizontal_line(111, 111),
        horizontal_line(128, 150),
        horizontal_line(124, 149),
        horizontal_line(120, 149),
        horizontal_line(122, 149),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(130, 146),
        horizontal_line(137, 145),
        horizontal_line(144, 144),
        horizontal_line(123, 125),
        horizontal_line(123, 129),
        horizontal_line(123, 132),
        horizontal_line(124, 136),
        horizontal_line(126, 132),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(127, 135),
        horizontal_line(127, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(126, 134),
        horizontal_line(126, 136),
        horizontal_line(127, 138),
        horizontal_line(127, 140),
        horizontal_line(127, 142),
        horizontal_line(127, 144),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(141, 148),
        horizontal_line(135, 150),
        horizontal_line(129, 152),
        horizontal_line(128, 154),
        horizontal_line(128, 156),
        horizontal_line(128, 157),
        horizontal_line(129, 159),
        horizontal_line(129, 161),
        horizontal_line(129, 163),
        horizontal_line(129, 164),
        horizontal_line(129, 159),
        horizontal_line(130, 155),
        horizontal_line(130, 151),
        horizontal_line(130, 147),
        horizontal_line(130, 142),
        horizontal_line(130, 138),
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(131, 177),
        horizontal_line(127, 178),
        horizontal_line(127, 180),
        horizontal_line(127, 181),
        horizontal_line(128, 183),
        horizontal_line(128, 184),
        horizontal_line(128, 186),
    };

    constexpr const horizontal_line frame_618_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(184, 189),
        horizontal_line(181, 190),
        horizontal_line(178, 192),
    };

    constexpr const shape frame_618_shape_group_0_shapes[] = {
        shape(frame_618_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_618_shape_group_0_shape_1_horizontal_lines, 52, 1),
        shape(frame_618_shape_group_0_shape_2_horizontal_lines, 64, 4),
        shape(frame_618_shape_group_0_shape_3_horizontal_lines, 124, 1),
        shape(frame_618_shape_group_0_shape_4_horizontal_lines, 131, 5),
        shape(frame_618_shape_group_0_shape_5_horizontal_lines, 149, 1),
        shape(frame_618_shape_group_0_shape_6_horizontal_lines, 156, 5),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(63, 92),
        horizontal_line(65, 91),
        horizontal_line(67, 90),
        horizontal_line(70, 88),
        horizontal_line(72, 87),
        horizontal_line(74, 86),
        horizontal_line(77, 85),
        horizontal_line(79, 84),
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(82, 137),
        horizontal_line(81, 138),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(137, 139),
        horizontal_line(136, 140),
        horizontal_line(134, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 143),
        horizontal_line(126, 143),
        horizontal_line(124, 144),
        horizontal_line(123, 144),
        horizontal_line(121, 145),
        horizontal_line(120, 145),
        horizontal_line(118, 146),
        horizontal_line(116, 146),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(63, 114),
        horizontal_line(65, 112),
        horizontal_line(68, 111),
        horizontal_line(71, 109),
        horizontal_line(74, 107),
        horizontal_line(76, 106),
        horizontal_line(79, 104),
        horizontal_line(82, 103),
        horizontal_line(85, 101),
        horizontal_line(87, 99),
        horizontal_line(90, 98),
        horizontal_line(93, 96),
        horizontal_line(124, 152),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(150, 152),
        horizontal_line(146, 152),
        horizontal_line(141, 151),
        horizontal_line(137, 151),
        horizontal_line(133, 150),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(114, 127),
        horizontal_line(117, 123),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(148, 148),
        horizontal_line(147, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(143, 148),
        horizontal_line(133, 135),
        horizontal_line(129, 135),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(160, 169),
        horizontal_line(160, 170),
        horizontal_line(160, 170),
        horizontal_line(160, 170),
        horizontal_line(160, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 176),
        horizontal_line(162, 176),
        horizontal_line(162, 176),
        horizontal_line(163, 176),
        horizontal_line(133, 146),
        horizontal_line(135, 146),
        horizontal_line(137, 146),
        horizontal_line(139, 146),
        horizontal_line(141, 146),
        horizontal_line(143, 146),
        horizontal_line(145, 146),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(127, 146),
        horizontal_line(127, 140),
        horizontal_line(128, 134),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 182),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(160, 166),
        horizontal_line(156, 168),
        horizontal_line(152, 169),
        horizontal_line(148, 171),
        horizontal_line(143, 172),
        horizontal_line(139, 174),
        horizontal_line(135, 175),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(178, 184),
        horizontal_line(179, 185),
        horizontal_line(181, 185),
        horizontal_line(182, 185),
        horizontal_line(184, 186),
        horizontal_line(185, 186),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(129, 187),
        horizontal_line(129, 183),
        horizontal_line(129, 180),
        horizontal_line(130, 177),
    };

    constexpr const shape frame_618_shape_group_1_shapes[] = {
        shape(frame_618_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_618_shape_group_1_shape_1_horizontal_lines, 13, 1),
        shape(frame_618_shape_group_1_shape_2_horizontal_lines, 15, 5),
        shape(frame_618_shape_group_1_shape_3_horizontal_lines, 30, 1),
        shape(frame_618_shape_group_1_shape_4_horizontal_lines, 43, 5),
        shape(frame_618_shape_group_1_shape_5_horizontal_lines, 48, 1),
        shape(frame_618_shape_group_1_shape_6_horizontal_lines, 50, 4),
        shape(frame_618_shape_group_1_shape_7_horizontal_lines, 131, 1),
        shape(frame_618_shape_group_1_shape_8_horizontal_lines, 135, 4),
        shape(frame_618_shape_group_1_shape_9_horizontal_lines, 141, 1),
        shape(frame_618_shape_group_1_shape_10_horizontal_lines, 149, 4),
        shape(frame_618_shape_group_1_shape_11_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(98, 127),
        horizontal_line(96, 127),
        horizontal_line(95, 128),
        horizontal_line(94, 129),
        horizontal_line(93, 130),
        horizontal_line(92, 131),
        horizontal_line(91, 131),
        horizontal_line(89, 132),
        horizontal_line(88, 133),
        horizontal_line(87, 134),
        horizontal_line(86, 135),
        horizontal_line(85, 135),
        horizontal_line(84, 136),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(80, 138),
        horizontal_line(79, 136),
        horizontal_line(78, 135),
        horizontal_line(77, 133),
        horizontal_line(75, 131),
        horizontal_line(74, 130),
        horizontal_line(73, 128),
        horizontal_line(72, 127),
        horizontal_line(71, 125),
        horizontal_line(70, 123),
        horizontal_line(68, 122),
        horizontal_line(67, 120),
        horizontal_line(66, 119),
        horizontal_line(65, 117),
        horizontal_line(64, 115),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(146, 148),
        horizontal_line(143, 149),
        horizontal_line(141, 149),
        horizontal_line(138, 150),
        horizontal_line(136, 150),
        horizontal_line(133, 151),
        horizontal_line(131, 151),
        horizontal_line(129, 151),
        horizontal_line(126, 152),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(121, 149),
        horizontal_line(119, 145),
        horizontal_line(116, 140),
        horizontal_line(114, 136),
        horizontal_line(112, 132),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(154, 154),
        horizontal_line(158, 168),
        horizontal_line(158, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 170),
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 157),
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(143, 148),
        horizontal_line(142, 148),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(183, 208),
        horizontal_line(183, 209),
        horizontal_line(184, 210),
        horizontal_line(184, 210),
        horizontal_line(185, 211),
        horizontal_line(185, 212),
        horizontal_line(186, 213),
        horizontal_line(186, 214),
        horizontal_line(187, 214),
        horizontal_line(187, 215),
        horizontal_line(188, 216),
        horizontal_line(188, 217),
        horizontal_line(189, 218),
        horizontal_line(189, 218),
        horizontal_line(190, 219),
        horizontal_line(190, 220),
        horizontal_line(191, 221),
        horizontal_line(191, 222),
        horizontal_line(192, 222),
        horizontal_line(192, 223),
        horizontal_line(193, 224),
        horizontal_line(193, 225),
        horizontal_line(194, 226),
        horizontal_line(194, 226),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(164, 179),
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(200, 236),
        horizontal_line(201, 237),
        horizontal_line(201, 238),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(166, 182),
        horizontal_line(167, 182),
        horizontal_line(169, 183),
        horizontal_line(170, 183),
        horizontal_line(172, 183),
        horizontal_line(173, 183),
        horizontal_line(175, 184),
        horizontal_line(176, 184),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(187, 209),
    };

    constexpr const horizontal_line frame_618_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_618_shape_group_2_shapes[] = {
        shape(frame_618_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_618_shape_group_2_shape_1_horizontal_lines, 13, 4),
        shape(frame_618_shape_group_2_shape_2_horizontal_lines, 15, 1),
        shape(frame_618_shape_group_2_shape_3_horizontal_lines, 30, 4),
        shape(frame_618_shape_group_2_shape_4_horizontal_lines, 32, 1),
        shape(frame_618_shape_group_2_shape_5_horizontal_lines, 42, 4),
        shape(frame_618_shape_group_2_shape_6_horizontal_lines, 43, 1),
        shape(frame_618_shape_group_2_shape_7_horizontal_lines, 48, 4),
        shape(frame_618_shape_group_2_shape_8_horizontal_lines, 155, 2),
        shape(frame_618_shape_group_2_shape_9_horizontal_lines, 156, 4),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(131, 131),
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(140, 202),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(141, 141),
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(144, 145),
        horizontal_line(144, 146),
        horizontal_line(145, 147),
        horizontal_line(145, 148),
        horizontal_line(146, 148),
        horizontal_line(146, 149),
        horizontal_line(147, 150),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(153, 215),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(150, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 159),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(154, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 164),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(157, 166),
        horizontal_line(157, 167),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(150, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(160, 171),
        horizontal_line(160, 172),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(162, 174),
        horizontal_line(162, 175),
        horizontal_line(163, 176),
        horizontal_line(163, 177),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(165, 179),
        horizontal_line(165, 180),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(167, 182),
        horizontal_line(167, 183),
        horizontal_line(168, 184),
        horizontal_line(168, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 186),
        horizontal_line(170, 187),
        horizontal_line(170, 188),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(172, 190),
        horizontal_line(172, 191),
        horizontal_line(173, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 194),
        horizontal_line(175, 195),
        horizontal_line(175, 196),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(177, 198),
        horizontal_line(177, 199),
        horizontal_line(178, 200),
        horizontal_line(178, 201),
        horizontal_line(179, 202),
        horizontal_line(179, 202),
        horizontal_line(180, 203),
        horizontal_line(180, 204),
        horizontal_line(181, 205),
        horizontal_line(181, 206),
        horizontal_line(182, 206),
        horizontal_line(182, 207),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(195, 227),
        horizontal_line(195, 228),
        horizontal_line(196, 229),
        horizontal_line(196, 230),
        horizontal_line(197, 230),
        horizontal_line(197, 231),
        horizontal_line(198, 232),
        horizontal_line(198, 233),
        horizontal_line(199, 234),
        horizontal_line(199, 234),
        horizontal_line(200, 235),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(155, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(160, 163),
        horizontal_line(162, 163),
        horizontal_line(183, 202),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(185, 206),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 208),
        horizontal_line(187, 208),
        horizontal_line(187, 209),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(94, 123),
    };

    constexpr const horizontal_line frame_618_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(189, 210),
        horizontal_line(190, 210),
        horizontal_line(191, 211),
        horizontal_line(193, 212),
    };

    constexpr const shape frame_618_shape_group_3_shapes[] = {
        shape(frame_618_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_618_shape_group_3_shape_1_horizontal_lines, 13, 2),
        shape(frame_618_shape_group_3_shape_2_horizontal_lines, 15, 4),
        shape(frame_618_shape_group_3_shape_3_horizontal_lines, 30, 2),
        shape(frame_618_shape_group_3_shape_4_horizontal_lines, 32, 4),
        shape(frame_618_shape_group_3_shape_5_horizontal_lines, 42, 2),
        shape(frame_618_shape_group_3_shape_6_horizontal_lines, 43, 4),
        shape(frame_618_shape_group_3_shape_7_horizontal_lines, 50, 2),
        shape(frame_618_shape_group_3_shape_8_horizontal_lines, 54, 4),
        shape(frame_618_shape_group_3_shape_9_horizontal_lines, 100, 2),
        shape(frame_618_shape_group_3_shape_10_horizontal_lines, 124, 4),
        shape(frame_618_shape_group_3_shape_11_horizontal_lines, 135, 2),
        shape(frame_618_shape_group_3_shape_12_horizontal_lines, 141, 4),
        shape(frame_618_shape_group_3_shape_13_horizontal_lines, 149, 2),
        shape(frame_618_shape_group_3_shape_14_horizontal_lines, 155, 6),
        shape(frame_618_shape_group_3_shape_15_horizontal_lines, 156, 2),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(152, 152),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 153),
        horizontal_line(150, 153),
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(149, 154),
        horizontal_line(123, 129),
        horizontal_line(123, 136),
        horizontal_line(123, 143),
        horizontal_line(126, 142),
        horizontal_line(130, 142),
        horizontal_line(133, 142),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(164, 177),
        horizontal_line(164, 178),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 162),
        horizontal_line(126, 131),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(148, 162),
        horizontal_line(149, 163),
        horizontal_line(151, 163),
        horizontal_line(153, 163),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(182, 200),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(91, 120),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(183, 202),
        horizontal_line(183, 203),
        horizontal_line(184, 203),
        horizontal_line(184, 204),
        horizontal_line(184, 204),
        horizontal_line(184, 205),
        horizontal_line(185, 205),
        horizontal_line(185, 206),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(93, 122),
        horizontal_line(93, 122),
        horizontal_line(93, 122),
        horizontal_line(94, 123),
        horizontal_line(94, 123),
        horizontal_line(94, 123),
    };

    constexpr const horizontal_line frame_618_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(95, 124),
        horizontal_line(95, 124),
        horizontal_line(95, 124),
        horizontal_line(96, 125),
    };

    constexpr const shape frame_618_shape_group_4_shapes[] = {
        shape(frame_618_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_618_shape_group_4_shape_1_horizontal_lines, 62, 4),
        shape(frame_618_shape_group_4_shape_2_horizontal_lines, 64, 2),
        shape(frame_618_shape_group_4_shape_3_horizontal_lines, 140, 6),
        shape(frame_618_shape_group_4_shape_4_horizontal_lines, 141, 2),
        shape(frame_618_shape_group_4_shape_5_horizontal_lines, 149, 6),
        shape(frame_618_shape_group_4_shape_6_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_618_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(161, 223),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(156, 159),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 155),
        horizontal_line(137, 142),
        horizontal_line(123, 125),
        horizontal_line(123, 127),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(134, 141),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(132, 139),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(170, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 183),
        horizontal_line(171, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(147, 162),
        horizontal_line(178, 194),
        horizontal_line(178, 195),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
        horizontal_line(180, 197),
        horizontal_line(180, 197),
        horizontal_line(180, 198),
        horizontal_line(181, 198),
        horizontal_line(181, 199),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(90, 119),
        horizontal_line(90, 119),
        horizontal_line(126, 128),
        horizontal_line(91, 120),
        horizontal_line(91, 120),
        horizontal_line(91, 120),
        horizontal_line(92, 121),
        horizontal_line(92, 121),
        horizontal_line(92, 121),
        horizontal_line(92, 121),
        horizontal_line(93, 122),
        horizontal_line(126, 130),
    };

    constexpr const shape frame_618_shape_group_5_shapes[] = {
        shape(frame_618_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_618_shape_group_5_shape_1_horizontal_lines, 15, 2),
        shape(frame_618_shape_group_5_shape_2_horizontal_lines, 31, 6),
        shape(frame_618_shape_group_5_shape_3_horizontal_lines, 32, 2),
        shape(frame_618_shape_group_5_shape_4_horizontal_lines, 138, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(63, 70),
        horizontal_line(64, 73),
        horizontal_line(64, 75),
        horizontal_line(64, 78),
        horizontal_line(64, 81),
        horizontal_line(65, 84),
        horizontal_line(65, 86),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(65, 92),
        horizontal_line(66, 95),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(172, 234),
        horizontal_line(157, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 162),
        horizontal_line(149, 155),
        horizontal_line(136, 142),
        horizontal_line(136, 141),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 174),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(178, 194),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(89, 118),
        horizontal_line(90, 119),
        horizontal_line(90, 119),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_618_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
    };

    constexpr const shape frame_618_shape_group_6_shapes[] = {
        shape(frame_618_shape_group_6_shape_0_horizontal_lines, 32, 6),
        shape(frame_618_shape_group_6_shape_1_horizontal_lines, 40, 2),
        shape(frame_618_shape_group_6_shape_2_horizontal_lines, 41, 6),
        shape(frame_618_shape_group_6_shape_3_horizontal_lines, 43, 2),
        shape(frame_618_shape_group_6_shape_4_horizontal_lines, 135, 6),
        shape(frame_618_shape_group_6_shape_5_horizontal_lines, 141, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(65, 89),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(66, 95),
        horizontal_line(66, 95),
        horizontal_line(66, 95),
        horizontal_line(67, 96),
        horizontal_line(67, 96),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(68, 97),
        horizontal_line(68, 97),
        horizontal_line(68, 97),
        horizontal_line(68, 97),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(159, 162),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(163, 169),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(80, 109),
        horizontal_line(81, 110),
        horizontal_line(81, 110),
        horizontal_line(81, 110),
        horizontal_line(81, 110),
        horizontal_line(82, 111),
        horizontal_line(82, 111),
        horizontal_line(82, 111),
        horizontal_line(82, 111),
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(85, 113),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(86, 115),
        horizontal_line(86, 115),
        horizontal_line(86, 115),
        horizontal_line(86, 115),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(87, 116),
        horizontal_line(87, 116),
        horizontal_line(87, 116),
        horizontal_line(88, 117),
        horizontal_line(88, 117),
        horizontal_line(88, 117),
        horizontal_line(88, 117),
        horizontal_line(89, 118),
        horizontal_line(89, 118),
        horizontal_line(89, 118),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
    };

    constexpr const shape frame_618_shape_group_7_shapes[] = {
        shape(frame_618_shape_group_7_shape_0_horizontal_lines, 40, 6),
        shape(frame_618_shape_group_7_shape_1_horizontal_lines, 43, 6),
        shape(frame_618_shape_group_7_shape_2_horizontal_lines, 48, 2),
        shape(frame_618_shape_group_7_shape_3_horizontal_lines, 50, 6),
        shape(frame_618_shape_group_7_shape_4_horizontal_lines, 54, 2),
        shape(frame_618_shape_group_7_shape_5_horizontal_lines, 100, 6),
        shape(frame_618_shape_group_7_shape_6_horizontal_lines, 124, 2),
        shape(frame_618_shape_group_7_shape_7_horizontal_lines, 125, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(67, 96),
        horizontal_line(67, 96),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(69, 98),
    };

    constexpr const horizontal_line frame_618_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(178, 239),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(75, 103),
        horizontal_line(75, 104),
        horizontal_line(75, 104),
        horizontal_line(75, 104),
        horizontal_line(76, 105),
        horizontal_line(76, 105),
        horizontal_line(76, 105),
        horizontal_line(76, 105),
        horizontal_line(77, 106),
        horizontal_line(77, 106),
        horizontal_line(77, 106),
        horizontal_line(77, 106),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(79, 108),
        horizontal_line(79, 108),
        horizontal_line(79, 108),
        horizontal_line(79, 108),
        horizontal_line(80, 109),
        horizontal_line(80, 109),
        horizontal_line(80, 109),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(87, 116),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
    };

    constexpr const shape frame_618_shape_group_8_shapes[] = {
        shape(frame_618_shape_group_8_shape_0_horizontal_lines, 48, 6),
        shape(frame_618_shape_group_8_shape_1_horizontal_lines, 55, 2),
        shape(frame_618_shape_group_8_shape_2_horizontal_lines, 75, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_618_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(112, 119),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
    };

    constexpr const horizontal_line frame_618_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_618_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 103),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_618_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const shape frame_618_shape_group_9_shapes[] = {
        shape(frame_618_shape_group_9_shape_0_horizontal_lines, 48, 6),
        shape(frame_618_shape_group_9_shape_1_horizontal_lines, 53, 6),
        shape(frame_618_shape_group_9_shape_2_horizontal_lines, 62, 2),
        shape(frame_618_shape_group_9_shape_3_horizontal_lines, 64, 6),
        shape(frame_618_shape_group_9_shape_4_horizontal_lines, 124, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
    };

    constexpr const shape frame_618_shape_group_10_shapes[] = {
        shape(frame_618_shape_group_10_shape_0_horizontal_lines, 54, 6),
    };

    constexpr const horizontal_line frame_618_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(113, 119),
        horizontal_line(114, 120),
    };

    constexpr const shape frame_618_shape_group_11_shapes[] = {
        shape(frame_618_shape_group_11_shape_0_horizontal_lines, 62, 6),
    };

    constexpr const shape_group frame_618_shape_groups[] = {
        shape_group(frame_618_shape_group_0_shapes),
        shape_group(frame_618_shape_group_1_shapes),
        shape_group(frame_618_shape_group_2_shapes),
        shape_group(frame_618_shape_group_3_shapes),
        shape_group(frame_618_shape_group_4_shapes),
        shape_group(frame_618_shape_group_5_shapes),
        shape_group(frame_618_shape_group_6_shapes),
        shape_group(frame_618_shape_group_7_shapes),
        shape_group(frame_618_shape_group_8_shapes),
        shape_group(frame_618_shape_group_9_shapes),
        shape_group(frame_618_shape_group_10_shapes),
        shape_group(frame_618_shape_group_11_shapes),
    };

    constexpr const frame frame_618_impl(frame_618_colors, frame_618_shape_groups);
} 

const frame& frame_618()
{
    return frame_618_impl;
}

namespace
{
    constexpr const bn::color frame_619_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 75),
        horizontal_line(17, 74),
        horizontal_line(19, 73),
        horizontal_line(21, 71),
        horizontal_line(23, 70),
        horizontal_line(26, 69),
        horizontal_line(28, 68),
        horizontal_line(30, 67),
        horizontal_line(33, 66),
        horizontal_line(35, 65),
        horizontal_line(37, 64),
        horizontal_line(39, 62),
        horizontal_line(42, 61),
        horizontal_line(44, 60),
        horizontal_line(46, 59),
        horizontal_line(49, 58),
        horizontal_line(51, 57),
        horizontal_line(53, 56),
        horizontal_line(114, 146),
        horizontal_line(113, 146),
        horizontal_line(111, 147),
        horizontal_line(110, 147),
        horizontal_line(108, 148),
        horizontal_line(107, 146),
        horizontal_line(105, 144),
        horizontal_line(103, 141),
        horizontal_line(102, 139),
        horizontal_line(100, 137),
        horizontal_line(99, 135),
        horizontal_line(97, 132),
        horizontal_line(96, 130),
        horizontal_line(94, 128),
        horizontal_line(93, 125),
        horizontal_line(94, 123),
        horizontal_line(97, 121),
        horizontal_line(99, 119),
        horizontal_line(102, 116),
        horizontal_line(104, 114),
        horizontal_line(107, 112),
        horizontal_line(110, 110),
        horizontal_line(124, 152),
        horizontal_line(119, 151),
        horizontal_line(120, 151),
        horizontal_line(122, 151),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(134, 146),
        horizontal_line(123, 123),
        horizontal_line(123, 126),
        horizontal_line(123, 129),
        horizontal_line(123, 132),
        horizontal_line(123, 135),
        horizontal_line(125, 138),
        horizontal_line(127, 134),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(125, 134),
        horizontal_line(125, 136),
        horizontal_line(126, 138),
        horizontal_line(126, 140),
        horizontal_line(126, 142),
        horizontal_line(126, 144),
        horizontal_line(126, 146),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(141, 149),
        horizontal_line(135, 151),
        horizontal_line(129, 153),
        horizontal_line(127, 155),
        horizontal_line(127, 157),
        horizontal_line(128, 158),
        horizontal_line(128, 160),
        horizontal_line(128, 162),
        horizontal_line(128, 164),
        horizontal_line(128, 165),
        horizontal_line(129, 161),
        horizontal_line(129, 157),
        horizontal_line(129, 153),
        horizontal_line(129, 149),
        horizontal_line(129, 145),
        horizontal_line(129, 141),
        horizontal_line(130, 137),
        horizontal_line(130, 133),
    };

    constexpr const horizontal_line frame_619_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(130, 178),
        horizontal_line(127, 180),
        horizontal_line(127, 181),
        horizontal_line(127, 182),
        horizontal_line(127, 184),
        horizontal_line(128, 185),
        horizontal_line(128, 187),
        horizontal_line(128, 188),
        horizontal_line(129, 190),
    };

    constexpr const shape frame_619_shape_group_0_shapes[] = {
        shape(frame_619_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_619_shape_group_0_shape_1_horizontal_lines, 50, 1),
        shape(frame_619_shape_group_0_shape_2_horizontal_lines, 63, 4),
        shape(frame_619_shape_group_0_shape_3_horizontal_lines, 124, 1),
        shape(frame_619_shape_group_0_shape_4_horizontal_lines, 132, 5),
        shape(frame_619_shape_group_0_shape_5_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(63, 82),
        horizontal_line(65, 80),
        horizontal_line(67, 79),
        horizontal_line(69, 78),
        horizontal_line(72, 77),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(76, 136),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(136, 139),
        horizontal_line(135, 139),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(127, 142),
        horizontal_line(125, 142),
        horizontal_line(124, 143),
        horizontal_line(122, 143),
        horizontal_line(121, 144),
        horizontal_line(119, 144),
        horizontal_line(118, 145),
        horizontal_line(116, 145),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(56, 113),
        horizontal_line(58, 112),
        horizontal_line(61, 110),
        horizontal_line(63, 109),
        horizontal_line(66, 107),
        horizontal_line(69, 106),
        horizontal_line(71, 104),
        horizontal_line(74, 102),
        horizontal_line(77, 101),
        horizontal_line(79, 99),
        horizontal_line(82, 98),
        horizontal_line(85, 96),
        horizontal_line(87, 95),
        horizontal_line(90, 93),
        horizontal_line(126, 153),
        horizontal_line(124, 153),
        horizontal_line(122, 153),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(145, 153),
        horizontal_line(140, 153),
        horizontal_line(134, 152),
        horizontal_line(129, 152),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
        horizontal_line(150, 150),
        horizontal_line(149, 150),
        horizontal_line(148, 150),
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(135, 137),
        horizontal_line(130, 137),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(162, 173),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 176),
        horizontal_line(162, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 179),
        horizontal_line(134, 147),
        horizontal_line(135, 147),
        horizontal_line(137, 147),
        horizontal_line(139, 147),
        horizontal_line(141, 147),
        horizontal_line(143, 147),
        horizontal_line(145, 147),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(127, 147),
        horizontal_line(127, 140),
        horizontal_line(127, 134),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(165, 183),
        horizontal_line(165, 183),
        horizontal_line(165, 183),
        horizontal_line(165, 183),
        horizontal_line(165, 184),
        horizontal_line(165, 184),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(162, 167),
        horizontal_line(158, 168),
        horizontal_line(154, 170),
        horizontal_line(150, 171),
        horizontal_line(146, 173),
        horizontal_line(142, 174),
        horizontal_line(138, 175),
        horizontal_line(134, 177),
    };

    constexpr const horizontal_line frame_619_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(179, 187),
        horizontal_line(181, 187),
        horizontal_line(182, 188),
        horizontal_line(183, 188),
        horizontal_line(185, 188),
        horizontal_line(186, 189),
        horizontal_line(188, 189),
        horizontal_line(189, 189),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_619_shape_group_1_shapes[] = {
        shape(frame_619_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_619_shape_group_1_shape_1_horizontal_lines, 6, 1),
        shape(frame_619_shape_group_1_shape_2_horizontal_lines, 9, 5),
        shape(frame_619_shape_group_1_shape_3_horizontal_lines, 24, 1),
        shape(frame_619_shape_group_1_shape_4_horizontal_lines, 41, 5),
        shape(frame_619_shape_group_1_shape_5_horizontal_lines, 46, 1),
        shape(frame_619_shape_group_1_shape_6_horizontal_lines, 47, 4),
        shape(frame_619_shape_group_1_shape_7_horizontal_lines, 55, 1),
        shape(frame_619_shape_group_1_shape_8_horizontal_lines, 56, 4),
        shape(frame_619_shape_group_1_shape_9_horizontal_lines, 132, 1),
        shape(frame_619_shape_group_1_shape_10_horizontal_lines, 136, 4),
        shape(frame_619_shape_group_1_shape_11_horizontal_lines, 142, 1),
        shape(frame_619_shape_group_1_shape_12_horizontal_lines, 151, 4),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 131),
        horizontal_line(81, 131),
        horizontal_line(80, 132),
        horizontal_line(79, 133),
        horizontal_line(78, 134),
        horizontal_line(77, 135),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 138),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 126),
        horizontal_line(63, 124),
        horizontal_line(62, 123),
        horizontal_line(61, 121),
        horizontal_line(60, 120),
        horizontal_line(59, 118),
        horizontal_line(58, 117),
        horizontal_line(57, 115),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(147, 154),
        horizontal_line(147, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 156),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(147, 148),
        horizontal_line(145, 149),
        horizontal_line(142, 149),
        horizontal_line(140, 150),
        horizontal_line(138, 150),
        horizontal_line(136, 151),
        horizontal_line(133, 151),
        horizontal_line(131, 152),
        horizontal_line(129, 152),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(154, 165),
        horizontal_line(155, 166),
        horizontal_line(155, 167),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(120, 149),
        horizontal_line(117, 144),
        horizontal_line(115, 139),
        horizontal_line(113, 133),
        horizontal_line(111, 128),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(159, 173),
        horizontal_line(159, 174),
        horizontal_line(160, 175),
        horizontal_line(160, 176),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(146, 150),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 160),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 170),
        horizontal_line(160, 170),
        horizontal_line(160, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(162, 173),
        horizontal_line(189, 223),
        horizontal_line(190, 223),
        horizontal_line(190, 224),
        horizontal_line(191, 225),
        horizontal_line(191, 226),
        horizontal_line(192, 227),
        horizontal_line(192, 228),
        horizontal_line(193, 228),
        horizontal_line(193, 229),
        horizontal_line(194, 230),
        horizontal_line(194, 231),
        horizontal_line(195, 232),
        horizontal_line(195, 233),
        horizontal_line(196, 233),
        horizontal_line(196, 234),
        horizontal_line(197, 235),
        horizontal_line(197, 236),
        horizontal_line(198, 237),
        horizontal_line(164, 179),
        horizontal_line(164, 179),
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(167, 184),
        horizontal_line(168, 185),
        horizontal_line(169, 185),
        horizontal_line(171, 185),
        horizontal_line(172, 186),
        horizontal_line(174, 186),
        horizontal_line(175, 186),
        horizontal_line(176, 186),
        horizontal_line(178, 187),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(191, 216),
    };

    constexpr const shape frame_619_shape_group_2_shapes[] = {
        shape(frame_619_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_619_shape_group_2_shape_1_horizontal_lines, 6, 4),
        shape(frame_619_shape_group_2_shape_2_horizontal_lines, 7, 1),
        shape(frame_619_shape_group_2_shape_3_horizontal_lines, 24, 4),
        shape(frame_619_shape_group_2_shape_4_horizontal_lines, 29, 1),
        shape(frame_619_shape_group_2_shape_5_horizontal_lines, 38, 4),
        shape(frame_619_shape_group_2_shape_6_horizontal_lines, 41, 1),
        shape(frame_619_shape_group_2_shape_7_horizontal_lines, 46, 4),
        shape(frame_619_shape_group_2_shape_8_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(133, 135),
        horizontal_line(132, 134),
        horizontal_line(131, 132),
        horizontal_line(130, 131),
        horizontal_line(129, 129),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(143, 147),
        horizontal_line(143, 148),
        horizontal_line(144, 149),
        horizontal_line(144, 149),
        horizontal_line(145, 150),
        horizontal_line(145, 151),
        horizontal_line(146, 152),
        horizontal_line(146, 153),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(150, 159),
        horizontal_line(150, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 161),
        horizontal_line(152, 162),
        horizontal_line(152, 163),
        horizontal_line(153, 164),
        horizontal_line(153, 165),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(154, 154),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(156, 168),
        horizontal_line(156, 169),
        horizontal_line(157, 170),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(158, 172),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(161, 176),
        horizontal_line(161, 177),
        horizontal_line(162, 178),
        horizontal_line(162, 179),
        horizontal_line(156, 158),
        horizontal_line(163, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 182),
        horizontal_line(165, 183),
        horizontal_line(165, 184),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(167, 186),
        horizontal_line(167, 187),
        horizontal_line(168, 188),
        horizontal_line(168, 189),
        horizontal_line(169, 190),
        horizontal_line(169, 191),
        horizontal_line(170, 191),
        horizontal_line(171, 192),
        horizontal_line(171, 193),
        horizontal_line(172, 194),
        horizontal_line(172, 195),
        horizontal_line(173, 196),
        horizontal_line(173, 197),
        horizontal_line(174, 197),
        horizontal_line(174, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 200),
        horizontal_line(176, 201),
        horizontal_line(176, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 203),
        horizontal_line(178, 204),
        horizontal_line(178, 205),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 208),
        horizontal_line(181, 209),
        horizontal_line(181, 210),
        horizontal_line(182, 211),
        horizontal_line(182, 212),
        horizontal_line(183, 212),
        horizontal_line(183, 213),
        horizontal_line(184, 214),
        horizontal_line(184, 215),
        horizontal_line(185, 216),
        horizontal_line(186, 217),
        horizontal_line(186, 218),
        horizontal_line(187, 218),
        horizontal_line(187, 219),
        horizontal_line(188, 220),
        horizontal_line(188, 221),
        horizontal_line(189, 222),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(198, 238),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(156, 164),
        horizontal_line(158, 164),
        horizontal_line(159, 164),
        horizontal_line(161, 164),
        horizontal_line(163, 164),
        horizontal_line(185, 206),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(188, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 213),
        horizontal_line(189, 213),
        horizontal_line(190, 214),
        horizontal_line(190, 214),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_619_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(84, 121),
    };

    constexpr const shape frame_619_shape_group_3_shapes[] = {
        shape(frame_619_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_619_shape_group_3_shape_1_horizontal_lines, 6, 2),
        shape(frame_619_shape_group_3_shape_2_horizontal_lines, 7, 4),
        shape(frame_619_shape_group_3_shape_3_horizontal_lines, 9, 1),
        shape(frame_619_shape_group_3_shape_4_horizontal_lines, 16, 4),
        shape(frame_619_shape_group_3_shape_5_horizontal_lines, 24, 2),
        shape(frame_619_shape_group_3_shape_6_horizontal_lines, 29, 4),
        shape(frame_619_shape_group_3_shape_7_horizontal_lines, 38, 2),
        shape(frame_619_shape_group_3_shape_8_horizontal_lines, 41, 4),
        shape(frame_619_shape_group_3_shape_9_horizontal_lines, 47, 2),
        shape(frame_619_shape_group_3_shape_10_horizontal_lines, 51, 4),
        shape(frame_619_shape_group_3_shape_11_horizontal_lines, 106, 2),
        shape(frame_619_shape_group_3_shape_12_horizontal_lines, 124, 4),
        shape(frame_619_shape_group_3_shape_13_horizontal_lines, 136, 2),
        shape(frame_619_shape_group_3_shape_14_horizontal_lines, 142, 4),
        shape(frame_619_shape_group_3_shape_15_horizontal_lines, 151, 2),
        shape(frame_619_shape_group_3_shape_16_horizontal_lines, 159, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(202, 239),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(140, 142),
        horizontal_line(140, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(142, 145),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(157, 170),
        horizontal_line(158, 171),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(153, 154),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(123, 133),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(163, 180),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(127, 143),
        horizontal_line(130, 143),
        horizontal_line(133, 143),
        horizontal_line(136, 143),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(166, 185),
        horizontal_line(166, 186),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 162),
        horizontal_line(125, 132),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(149, 163),
        horizontal_line(150, 164),
        horizontal_line(152, 164),
        horizontal_line(154, 164),
        horizontal_line(184, 204),
        horizontal_line(184, 204),
        horizontal_line(184, 205),
        horizontal_line(184, 205),
        horizontal_line(185, 206),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(80, 116),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(185, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 208),
        horizontal_line(186, 208),
        horizontal_line(187, 209),
        horizontal_line(187, 209),
        horizontal_line(187, 210),
        horizontal_line(187, 210),
        horizontal_line(188, 211),
    };

    constexpr const horizontal_line frame_619_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(82, 119),
        horizontal_line(82, 119),
        horizontal_line(82, 119),
        horizontal_line(82, 119),
        horizontal_line(83, 120),
        horizontal_line(83, 120),
        horizontal_line(83, 120),
        horizontal_line(83, 120),
    };

    constexpr const shape frame_619_shape_group_4_shapes[] = {
        shape(frame_619_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_619_shape_group_4_shape_1_horizontal_lines, 9, 4),
        shape(frame_619_shape_group_4_shape_2_horizontal_lines, 16, 2),
        shape(frame_619_shape_group_4_shape_3_horizontal_lines, 44, 4),
        shape(frame_619_shape_group_4_shape_4_horizontal_lines, 46, 2),
        shape(frame_619_shape_group_4_shape_5_horizontal_lines, 55, 4),
        shape(frame_619_shape_group_4_shape_6_horizontal_lines, 56, 2),
        shape(frame_619_shape_group_4_shape_7_horizontal_lines, 61, 4),
        shape(frame_619_shape_group_4_shape_8_horizontal_lines, 63, 2),
        shape(frame_619_shape_group_4_shape_9_horizontal_lines, 141, 6),
        shape(frame_619_shape_group_4_shape_10_horizontal_lines, 142, 2),
        shape(frame_619_shape_group_4_shape_11_horizontal_lines, 151, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(56, 57),
        horizontal_line(56, 60),
        horizontal_line(56, 62),
        horizontal_line(56, 65),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(58, 92),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(153, 154),
        horizontal_line(153, 154),
        horizontal_line(156, 157),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(151, 155),
        horizontal_line(124, 144),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(139, 143),
        horizontal_line(123, 126),
        horizontal_line(123, 128),
        horizontal_line(138, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(133, 140),
        horizontal_line(150, 157),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 161),
        horizontal_line(174, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 195),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
        horizontal_line(180, 197),
        horizontal_line(148, 163),
        horizontal_line(180, 198),
        horizontal_line(181, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(182, 202),
        horizontal_line(183, 202),
        horizontal_line(183, 203),
        horizontal_line(183, 203),
    };

    constexpr const horizontal_line frame_619_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 116),
        horizontal_line(80, 116),
        horizontal_line(126, 127),
        horizontal_line(80, 116),
        horizontal_line(80, 117),
        horizontal_line(80, 117),
        horizontal_line(81, 117),
        horizontal_line(81, 117),
        horizontal_line(81, 118),
        horizontal_line(81, 118),
        horizontal_line(81, 118),
        horizontal_line(82, 118),
        horizontal_line(126, 129),
    };

    constexpr const shape frame_619_shape_group_5_shapes[] = {
        shape(frame_619_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_619_shape_group_5_shape_1_horizontal_lines, 7, 2),
        shape(frame_619_shape_group_5_shape_2_horizontal_lines, 25, 6),
        shape(frame_619_shape_group_5_shape_3_horizontal_lines, 29, 2),
        shape(frame_619_shape_group_5_shape_4_horizontal_lines, 38, 6),
        shape(frame_619_shape_group_5_shape_5_horizontal_lines, 39, 2),
        shape(frame_619_shape_group_5_shape_6_horizontal_lines, 136, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(57, 68),
        horizontal_line(57, 70),
        horizontal_line(57, 73),
        horizontal_line(57, 76),
        horizontal_line(57, 78),
        horizontal_line(58, 81),
        horizontal_line(58, 84),
        horizontal_line(58, 86),
        horizontal_line(58, 89),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(59, 92),
        horizontal_line(59, 92),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(156, 156),
        horizontal_line(156, 157),
        horizontal_line(173, 235),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(159, 161),
        horizontal_line(151, 155),
        horizontal_line(159, 162),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 164),
        horizontal_line(151, 156),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(166, 173),
        horizontal_line(166, 174),
        horizontal_line(166, 174),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(180, 197),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(76, 112),
        horizontal_line(77, 113),
        horizontal_line(77, 113),
        horizontal_line(77, 113),
        horizontal_line(77, 113),
        horizontal_line(77, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 115),
        horizontal_line(79, 115),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_619_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
    };

    constexpr const shape frame_619_shape_group_6_shapes[] = {
        shape(frame_619_shape_group_6_shape_0_horizontal_lines, 9, 2),
        shape(frame_619_shape_group_6_shape_1_horizontal_lines, 29, 6),
        shape(frame_619_shape_group_6_shape_2_horizontal_lines, 39, 6),
        shape(frame_619_shape_group_6_shape_3_horizontal_lines, 41, 2),
        shape(frame_619_shape_group_6_shape_4_horizontal_lines, 125, 6),
        shape(frame_619_shape_group_6_shape_5_horizontal_lines, 142, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(59, 92),
        horizontal_line(59, 92),
        horizontal_line(59, 93),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(60, 94),
        horizontal_line(60, 94),
        horizontal_line(61, 94),
        horizontal_line(61, 94),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(61, 95),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(159, 162),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(161, 164),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 169),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(73, 108),
        horizontal_line(73, 108),
        horizontal_line(73, 108),
        horizontal_line(73, 109),
        horizontal_line(73, 109),
        horizontal_line(74, 109),
        horizontal_line(74, 109),
        horizontal_line(74, 109),
        horizontal_line(74, 110),
        horizontal_line(74, 110),
        horizontal_line(75, 110),
        horizontal_line(75, 110),
        horizontal_line(75, 111),
        horizontal_line(75, 111),
        horizontal_line(75, 111),
        horizontal_line(76, 111),
        horizontal_line(76, 112),
        horizontal_line(76, 112),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
    };

    constexpr const shape frame_619_shape_group_7_shapes[] = {
        shape(frame_619_shape_group_7_shape_0_horizontal_lines, 41, 6),
        shape(frame_619_shape_group_7_shape_1_horizontal_lines, 44, 2),
        shape(frame_619_shape_group_7_shape_2_horizontal_lines, 47, 6),
        shape(frame_619_shape_group_7_shape_3_horizontal_lines, 51, 2),
        shape(frame_619_shape_group_7_shape_4_horizontal_lines, 52, 6),
        shape(frame_619_shape_group_7_shape_5_horizontal_lines, 54, 2),
        shape(frame_619_shape_group_7_shape_6_horizontal_lines, 106, 6),
        shape(frame_619_shape_group_7_shape_7_horizontal_lines, 124, 2),
        shape(frame_619_shape_group_7_shape_8_horizontal_lines, 125, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(60, 93),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(61, 95),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(63, 96),
        horizontal_line(63, 97),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(66, 101),
        horizontal_line(67, 101),
        horizontal_line(67, 101),
        horizontal_line(67, 102),
        horizontal_line(67, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(69, 103),
        horizontal_line(69, 103),
        horizontal_line(69, 104),
        horizontal_line(69, 104),
        horizontal_line(69, 104),
        horizontal_line(70, 104),
        horizontal_line(70, 105),
        horizontal_line(70, 105),
        horizontal_line(70, 105),
        horizontal_line(70, 105),
        horizontal_line(71, 106),
        horizontal_line(71, 106),
        horizontal_line(71, 106),
        horizontal_line(71, 106),
        horizontal_line(71, 107),
        horizontal_line(72, 107),
        horizontal_line(72, 107),
        horizontal_line(72, 107),
        horizontal_line(72, 108),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(76, 112),
    };

    constexpr const shape frame_619_shape_group_8_shapes[] = {
        shape(frame_619_shape_group_8_shape_0_horizontal_lines, 44, 2),
        shape(frame_619_shape_group_8_shape_1_horizontal_lines, 46, 6),
        shape(frame_619_shape_group_8_shape_2_horizontal_lines, 55, 2),
        shape(frame_619_shape_group_8_shape_3_horizontal_lines, 56, 6),
        shape(frame_619_shape_group_8_shape_4_horizontal_lines, 60, 2),
        shape(frame_619_shape_group_8_shape_5_horizontal_lines, 77, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(60, 93),
        horizontal_line(60, 93),
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_619_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(111, 118),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(111, 118),
        horizontal_line(62, 96),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 119),
        horizontal_line(63, 97),
    };

    constexpr const horizontal_line frame_619_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_619_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(64, 97),
        horizontal_line(64, 98),
        horizontal_line(64, 98),
        horizontal_line(64, 98),
        horizontal_line(64, 98),
        horizontal_line(65, 99),
        horizontal_line(65, 99),
        horizontal_line(65, 99),
        horizontal_line(65, 99),
        horizontal_line(65, 100),
        horizontal_line(66, 100),
        horizontal_line(66, 100),
        horizontal_line(66, 100),
        horizontal_line(66, 101),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_619_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const shape frame_619_shape_group_9_shapes[] = {
        shape(frame_619_shape_group_9_shape_0_horizontal_lines, 44, 6),
        shape(frame_619_shape_group_9_shape_1_horizontal_lines, 51, 6),
        shape(frame_619_shape_group_9_shape_2_horizontal_lines, 61, 2),
        shape(frame_619_shape_group_9_shape_3_horizontal_lines, 63, 6),
        shape(frame_619_shape_group_9_shape_4_horizontal_lines, 124, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_619_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_619_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(63, 97),
        horizontal_line(63, 97),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
    };

    constexpr const shape frame_619_shape_group_10_shapes[] = {
        shape(frame_619_shape_group_10_shape_0_horizontal_lines, 51, 6),
        shape(frame_619_shape_group_10_shape_1_horizontal_lines, 55, 6),
        shape(frame_619_shape_group_10_shape_2_horizontal_lines, 60, 6),
    };

    constexpr const horizontal_line frame_619_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(113, 119),
    };

    constexpr const shape frame_619_shape_group_11_shapes[] = {
        shape(frame_619_shape_group_11_shape_0_horizontal_lines, 61, 6),
    };

    constexpr const shape_group frame_619_shape_groups[] = {
        shape_group(frame_619_shape_group_0_shapes),
        shape_group(frame_619_shape_group_1_shapes),
        shape_group(frame_619_shape_group_2_shapes),
        shape_group(frame_619_shape_group_3_shapes),
        shape_group(frame_619_shape_group_4_shapes),
        shape_group(frame_619_shape_group_5_shapes),
        shape_group(frame_619_shape_group_6_shapes),
        shape_group(frame_619_shape_group_7_shapes),
        shape_group(frame_619_shape_group_8_shapes),
        shape_group(frame_619_shape_group_9_shapes),
        shape_group(frame_619_shape_group_10_shapes),
        shape_group(frame_619_shape_group_11_shapes),
    };

    constexpr const frame frame_619_impl(frame_619_colors, frame_619_shape_groups);
} 

const frame& frame_619()
{
    return frame_619_impl;
}

namespace
{
    constexpr const bn::color frame_620_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(8, 68),
        horizontal_line(10, 66),
        horizontal_line(12, 65),
        horizontal_line(15, 64),
        horizontal_line(17, 63),
        horizontal_line(19, 62),
        horizontal_line(22, 61),
        horizontal_line(24, 60),
        horizontal_line(26, 59),
        horizontal_line(29, 58),
        horizontal_line(31, 57),
        horizontal_line(33, 56),
        horizontal_line(36, 55),
        horizontal_line(38, 54),
        horizontal_line(40, 53),
        horizontal_line(43, 52),
        horizontal_line(45, 51),
        horizontal_line(47, 50),
        horizontal_line(113, 145),
        horizontal_line(112, 146),
        horizontal_line(110, 146),
        horizontal_line(109, 147),
        horizontal_line(107, 147),
        horizontal_line(106, 148),
        horizontal_line(104, 147),
        horizontal_line(103, 145),
        horizontal_line(101, 143),
        horizontal_line(100, 141),
        horizontal_line(98, 138),
        horizontal_line(97, 136),
        horizontal_line(95, 134),
        horizontal_line(94, 132),
        horizontal_line(92, 130),
        horizontal_line(91, 127),
        horizontal_line(90, 125),
        horizontal_line(91, 123),
        horizontal_line(93, 121),
        horizontal_line(96, 119),
        horizontal_line(98, 116),
        horizontal_line(100, 114),
        horizontal_line(103, 112),
        horizontal_line(105, 110),
        horizontal_line(108, 108),
        horizontal_line(128, 153),
        horizontal_line(123, 152),
        horizontal_line(119, 152),
        horizontal_line(120, 152),
        horizontal_line(122, 138),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(131, 148),
        horizontal_line(139, 147),
        horizontal_line(147, 147),
        horizontal_line(123, 124),
        horizontal_line(123, 129),
        horizontal_line(123, 134),
        horizontal_line(123, 139),
        horizontal_line(125, 137),
        horizontal_line(126, 135),
        horizontal_line(128, 132),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(125, 135),
        horizontal_line(125, 137),
        horizontal_line(125, 139),
        horizontal_line(125, 141),
        horizontal_line(126, 143),
        horizontal_line(126, 145),
        horizontal_line(126, 147),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(142, 150),
        horizontal_line(136, 152),
        horizontal_line(129, 153),
        horizontal_line(126, 155),
        horizontal_line(126, 156),
        horizontal_line(126, 158),
        horizontal_line(126, 160),
        horizontal_line(126, 161),
        horizontal_line(127, 163),
        horizontal_line(127, 164),
        horizontal_line(127, 166),
        horizontal_line(127, 167),
        horizontal_line(127, 162),
        horizontal_line(127, 157),
        horizontal_line(128, 153),
        horizontal_line(128, 148),
        horizontal_line(128, 144),
        horizontal_line(128, 139),
        horizontal_line(128, 135),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_620_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(127, 180),
        horizontal_line(127, 182),
        horizontal_line(127, 183),
        horizontal_line(127, 185),
        horizontal_line(127, 186),
        horizontal_line(128, 188),
    };

    constexpr const shape frame_620_shape_group_0_shapes[] = {
        shape(frame_620_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_620_shape_group_0_shape_1_horizontal_lines, 48, 1),
        shape(frame_620_shape_group_0_shape_2_horizontal_lines, 63, 4),
        shape(frame_620_shape_group_0_shape_3_horizontal_lines, 125, 1),
        shape(frame_620_shape_group_0_shape_4_horizontal_lines, 133, 5),
        shape(frame_620_shape_group_0_shape_5_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 138),
        horizontal_line(134, 138),
        horizontal_line(133, 139),
        horizontal_line(131, 139),
        horizontal_line(130, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 141),
        horizontal_line(125, 141),
        horizontal_line(124, 142),
        horizontal_line(122, 142),
        horizontal_line(121, 143),
        horizontal_line(119, 143),
        horizontal_line(118, 144),
        horizontal_line(116, 144),
        horizontal_line(115, 145),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(52, 111),
        horizontal_line(55, 109),
        horizontal_line(57, 108),
        horizontal_line(60, 106),
        horizontal_line(62, 105),
        horizontal_line(65, 103),
        horizontal_line(67, 102),
        horizontal_line(70, 100),
        horizontal_line(72, 99),
        horizontal_line(75, 97),
        horizontal_line(77, 96),
        horizontal_line(80, 94),
        horizontal_line(82, 93),
        horizontal_line(85, 91),
        horizontal_line(87, 90),
        horizontal_line(126, 154),
        horizontal_line(124, 154),
        horizontal_line(122, 154),
        horizontal_line(120, 155),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(147, 154),
        horizontal_line(142, 154),
        horizontal_line(138, 153),
        horizontal_line(133, 153),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(112, 127),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
        horizontal_line(150, 151),
        horizontal_line(149, 151),
        horizontal_line(148, 151),
        horizontal_line(148, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(138, 138),
        horizontal_line(136, 138),
        horizontal_line(133, 138),
        horizontal_line(131, 137),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 179),
        horizontal_line(164, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(134, 148),
        horizontal_line(136, 148),
        horizontal_line(138, 148),
        horizontal_line(140, 148),
        horizontal_line(142, 148),
        horizontal_line(144, 148),
        horizontal_line(146, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(126, 148),
        horizontal_line(126, 141),
        horizontal_line(126, 135),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(163, 169),
        horizontal_line(158, 170),
        horizontal_line(154, 172),
        horizontal_line(149, 173),
        horizontal_line(145, 175),
        horizontal_line(140, 176),
        horizontal_line(136, 178),
        horizontal_line(131, 179),
    };

    constexpr const horizontal_line frame_620_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(181, 190),
        horizontal_line(183, 190),
        horizontal_line(184, 191),
        horizontal_line(186, 191),
        horizontal_line(187, 191),
        horizontal_line(189, 192),
    };

    constexpr const shape frame_620_shape_group_1_shapes[] = {
        shape(frame_620_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_620_shape_group_1_shape_1_horizontal_lines, 2, 5),
        shape(frame_620_shape_group_1_shape_2_horizontal_lines, 18, 1),
        shape(frame_620_shape_group_1_shape_3_horizontal_lines, 38, 5),
        shape(frame_620_shape_group_1_shape_4_horizontal_lines, 43, 1),
        shape(frame_620_shape_group_1_shape_5_horizontal_lines, 45, 4),
        shape(frame_620_shape_group_1_shape_6_horizontal_lines, 47, 1),
        shape(frame_620_shape_group_1_shape_7_horizontal_lines, 48, 4),
        shape(frame_620_shape_group_1_shape_8_horizontal_lines, 133, 1),
        shape(frame_620_shape_group_1_shape_9_horizontal_lines, 137, 4),
        shape(frame_620_shape_group_1_shape_10_horizontal_lines, 145, 1),
        shape(frame_620_shape_group_1_shape_11_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(129, 137),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(147, 160),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(149, 162),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(146, 149),
        horizontal_line(144, 149),
        horizontal_line(142, 150),
        horizontal_line(139, 151),
        horizontal_line(137, 151),
        horizontal_line(135, 152),
        horizontal_line(133, 152),
        horizontal_line(131, 153),
        horizontal_line(128, 153),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(155, 172),
        horizontal_line(155, 173),
        horizontal_line(155, 174),
        horizontal_line(156, 175),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(117, 151),
        horizontal_line(115, 146),
        horizontal_line(113, 141),
        horizontal_line(111, 137),
        horizontal_line(109, 132),
    };

    constexpr const horizontal_line frame_620_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(160, 182),
        horizontal_line(161, 183),
        horizontal_line(157, 158),
        horizontal_line(162, 185),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(146, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(158, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(192, 238),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(165, 181),
        horizontal_line(165, 182),
        horizontal_line(166, 182),
        horizontal_line(166, 182),
        horizontal_line(166, 183),
        horizontal_line(166, 183),
        horizontal_line(166, 183),
        horizontal_line(166, 183),
        horizontal_line(166, 184),
        horizontal_line(166, 184),
        horizontal_line(166, 184),
        horizontal_line(167, 185),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(169, 187),
        horizontal_line(170, 188),
        horizontal_line(171, 188),
        horizontal_line(173, 188),
        horizontal_line(174, 189),
        horizontal_line(176, 189),
        horizontal_line(177, 189),
        horizontal_line(179, 189),
        horizontal_line(180, 190),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_620_shape_group_2_shapes[] = {
        shape(frame_620_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_620_shape_group_2_shape_1_horizontal_lines, 19, 4),
        shape(frame_620_shape_group_2_shape_2_horizontal_lines, 24, 1),
        shape(frame_620_shape_group_2_shape_3_horizontal_lines, 34, 4),
        shape(frame_620_shape_group_2_shape_4_horizontal_lines, 38, 1),
        shape(frame_620_shape_group_2_shape_5_horizontal_lines, 43, 4),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(137, 142),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(128, 136),
        horizontal_line(127, 135),
        horizontal_line(126, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 130),
        horizontal_line(123, 129),
        horizontal_line(122, 127),
        horizontal_line(121, 126),
        horizontal_line(120, 124),
        horizontal_line(119, 123),
        horizontal_line(118, 121),
        horizontal_line(117, 120),
        horizontal_line(116, 118),
        horizontal_line(115, 117),
        horizontal_line(114, 115),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(146, 158),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(149, 163),
        horizontal_line(150, 164),
        horizontal_line(150, 165),
        horizontal_line(151, 166),
        horizontal_line(152, 167),
        horizontal_line(152, 168),
        horizontal_line(153, 169),
        horizontal_line(153, 170),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(157, 176),
        horizontal_line(156, 177),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(159, 180),
        horizontal_line(160, 181),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(161, 184),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(162, 186),
        horizontal_line(163, 187),
        horizontal_line(163, 188),
        horizontal_line(164, 189),
        horizontal_line(164, 190),
        horizontal_line(165, 190),
        horizontal_line(166, 191),
        horizontal_line(166, 192),
        horizontal_line(167, 193),
        horizontal_line(167, 194),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(170, 199),
        horizontal_line(170, 200),
        horizontal_line(171, 200),
        horizontal_line(171, 201),
        horizontal_line(172, 202),
        horizontal_line(172, 203),
        horizontal_line(173, 204),
        horizontal_line(173, 205),
        horizontal_line(174, 206),
        horizontal_line(174, 207),
        horizontal_line(175, 208),
        horizontal_line(175, 209),
        horizontal_line(176, 209),
        horizontal_line(176, 210),
        horizontal_line(177, 211),
        horizontal_line(177, 212),
        horizontal_line(178, 213),
        horizontal_line(179, 214),
        horizontal_line(179, 215),
        horizontal_line(180, 216),
        horizontal_line(180, 217),
        horizontal_line(181, 218),
        horizontal_line(181, 219),
        horizontal_line(182, 219),
        horizontal_line(182, 220),
        horizontal_line(183, 221),
        horizontal_line(183, 222),
        horizontal_line(184, 223),
        horizontal_line(184, 224),
        horizontal_line(185, 225),
        horizontal_line(185, 226),
        horizontal_line(186, 227),
        horizontal_line(186, 228),
        horizontal_line(187, 229),
        horizontal_line(187, 229),
        horizontal_line(188, 230),
        horizontal_line(188, 231),
        horizontal_line(189, 232),
        horizontal_line(189, 233),
        horizontal_line(190, 234),
        horizontal_line(190, 235),
        horizontal_line(191, 236),
        horizontal_line(191, 237),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(156, 166),
        horizontal_line(157, 166),
        horizontal_line(159, 166),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(164, 166),
        horizontal_line(165, 166),
        horizontal_line(188, 211),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(191, 216),
        horizontal_line(191, 216),
        horizontal_line(192, 217),
        horizontal_line(192, 217),
        horizontal_line(192, 218),
        horizontal_line(193, 219),
    };

    constexpr const shape frame_620_shape_group_3_shapes[] = {
        shape(frame_620_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_620_shape_group_3_shape_1_horizontal_lines, 2, 1),
        shape(frame_620_shape_group_3_shape_2_horizontal_lines, 18, 4),
        shape(frame_620_shape_group_3_shape_3_horizontal_lines, 19, 2),
        shape(frame_620_shape_group_3_shape_4_horizontal_lines, 24, 4),
        shape(frame_620_shape_group_3_shape_5_horizontal_lines, 34, 2),
        shape(frame_620_shape_group_3_shape_6_horizontal_lines, 38, 4),
        shape(frame_620_shape_group_3_shape_7_horizontal_lines, 45, 2),
        shape(frame_620_shape_group_3_shape_8_horizontal_lines, 47, 4),
        shape(frame_620_shape_group_3_shape_9_horizontal_lines, 48, 2),
        shape(frame_620_shape_group_3_shape_10_horizontal_lines, 49, 4),
        shape(frame_620_shape_group_3_shape_11_horizontal_lines, 106, 2),
        shape(frame_620_shape_group_3_shape_12_horizontal_lines, 125, 4),
        shape(frame_620_shape_group_3_shape_13_horizontal_lines, 137, 2),
        shape(frame_620_shape_group_3_shape_14_horizontal_lines, 145, 4),
        shape(frame_620_shape_group_3_shape_15_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(138, 143),
        horizontal_line(139, 144),
        horizontal_line(139, 145),
        horizontal_line(140, 146),
        horizontal_line(140, 147),
        horizontal_line(141, 148),
        horizontal_line(141, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 152),
        horizontal_line(144, 153),
        horizontal_line(144, 154),
        horizontal_line(145, 155),
        horizontal_line(145, 156),
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(155, 156),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(158, 178),
        horizontal_line(158, 179),
        horizontal_line(159, 180),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(153, 155),
        horizontal_line(158, 159),
        horizontal_line(159, 160),
        horizontal_line(152, 156),
        horizontal_line(159, 161),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(123, 130),
        horizontal_line(123, 138),
        horizontal_line(123, 146),
        horizontal_line(125, 145),
        horizontal_line(130, 145),
        horizontal_line(135, 145),
        horizontal_line(140, 145),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(168, 195),
        horizontal_line(168, 196),
        horizontal_line(169, 197),
        horizontal_line(169, 198),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(123, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(133, 141),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 164),
        horizontal_line(125, 132),
        horizontal_line(149, 164),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(150, 165),
        horizontal_line(151, 165),
        horizontal_line(153, 165),
        horizontal_line(154, 166),
        horizontal_line(186, 207),
        horizontal_line(186, 208),
        horizontal_line(187, 208),
        horizontal_line(187, 209),
        horizontal_line(187, 209),
        horizontal_line(187, 210),
        horizontal_line(188, 210),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(67, 113),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 213),
        horizontal_line(190, 213),
        horizontal_line(190, 214),
        horizontal_line(190, 214),
        horizontal_line(190, 215),
        horizontal_line(191, 215),
    };

    constexpr const horizontal_line frame_620_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(69, 115),
        horizontal_line(69, 116),
        horizontal_line(69, 116),
        horizontal_line(69, 116),
        horizontal_line(69, 116),
        horizontal_line(70, 117),
    };

    constexpr const shape frame_620_shape_group_4_shapes[] = {
        shape(frame_620_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_620_shape_group_4_shape_1_horizontal_lines, 2, 4),
        shape(frame_620_shape_group_4_shape_2_horizontal_lines, 18, 2),
        shape(frame_620_shape_group_4_shape_3_horizontal_lines, 40, 4),
        shape(frame_620_shape_group_4_shape_4_horizontal_lines, 43, 2),
        shape(frame_620_shape_group_4_shape_5_horizontal_lines, 59, 4),
        shape(frame_620_shape_group_4_shape_6_horizontal_lines, 63, 2),
        shape(frame_620_shape_group_4_shape_7_horizontal_lines, 144, 6),
        shape(frame_620_shape_group_4_shape_8_horizontal_lines, 145, 2),
        shape(frame_620_shape_group_4_shape_9_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(50, 51),
        horizontal_line(50, 54),
        horizontal_line(50, 56),
        horizontal_line(50, 59),
        horizontal_line(50, 61),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(52, 89),
        horizontal_line(52, 89),
        horizontal_line(52, 89),
        horizontal_line(52, 89),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(155, 155),
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(158, 158),
        horizontal_line(158, 159),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(159, 160),
        horizontal_line(186, 239),
        horizontal_line(160, 161),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 127),
        horizontal_line(123, 129),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 142),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(151, 159),
        horizontal_line(133, 141),
        horizontal_line(132, 140),
        horizontal_line(151, 159),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(177, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(179, 195),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(180, 196),
        horizontal_line(180, 197),
        horizontal_line(180, 197),
        horizontal_line(181, 198),
        horizontal_line(181, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 199),
        horizontal_line(182, 200),
        horizontal_line(182, 200),
        horizontal_line(149, 164),
        horizontal_line(183, 201),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(184, 203),
        horizontal_line(184, 203),
        horizontal_line(184, 204),
        horizontal_line(184, 204),
        horizontal_line(185, 205),
        horizontal_line(185, 206),
        horizontal_line(185, 206),
        horizontal_line(186, 207),
    };

    constexpr const horizontal_line frame_620_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(66, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 113),
        horizontal_line(67, 113),
        horizontal_line(126, 126),
        horizontal_line(68, 113),
        horizontal_line(68, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 115),
        horizontal_line(69, 115),
        horizontal_line(69, 115),
    };

    constexpr const shape frame_620_shape_group_5_shapes[] = {
        shape(frame_620_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_620_shape_group_5_shape_1_horizontal_lines, 19, 6),
        shape(frame_620_shape_group_5_shape_2_horizontal_lines, 24, 2),
        shape(frame_620_shape_group_5_shape_3_horizontal_lines, 34, 6),
        shape(frame_620_shape_group_5_shape_4_horizontal_lines, 38, 2),
        shape(frame_620_shape_group_5_shape_5_horizontal_lines, 137, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(50, 64),
        horizontal_line(50, 66),
        horizontal_line(51, 69),
        horizontal_line(51, 71),
        horizontal_line(51, 74),
        horizontal_line(51, 76),
        horizontal_line(51, 79),
        horizontal_line(51, 81),
        horizontal_line(51, 84),
        horizontal_line(52, 86),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(52, 90),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 158),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(53, 91),
        horizontal_line(53, 91),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(54, 92),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(160, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 164),
        horizontal_line(161, 165),
        horizontal_line(162, 165),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(139, 145),
        horizontal_line(139, 144),
        horizontal_line(139, 144),
        horizontal_line(138, 144),
        horizontal_line(152, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(168, 176),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(169, 178),
        horizontal_line(169, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(176, 189),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(63, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 107),
        horizontal_line(63, 107),
        horizontal_line(64, 107),
        horizontal_line(64, 107),
        horizontal_line(64, 108),
        horizontal_line(64, 108),
        horizontal_line(64, 108),
        horizontal_line(64, 108),
        horizontal_line(64, 108),
        horizontal_line(65, 109),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(182, 201),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(65, 109),
        horizontal_line(65, 109),
        horizontal_line(65, 110),
        horizontal_line(65, 110),
        horizontal_line(65, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_620_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
    };

    constexpr const shape frame_620_shape_group_6_shapes[] = {
        shape(frame_620_shape_group_6_shape_0_horizontal_lines, 2, 2),
        shape(frame_620_shape_group_6_shape_1_horizontal_lines, 24, 6),
        shape(frame_620_shape_group_6_shape_2_horizontal_lines, 38, 2),
        shape(frame_620_shape_group_6_shape_3_horizontal_lines, 39, 6),
        shape(frame_620_shape_group_6_shape_4_horizontal_lines, 40, 2),
        shape(frame_620_shape_group_6_shape_5_horizontal_lines, 45, 6),
        shape(frame_620_shape_group_6_shape_6_horizontal_lines, 47, 2),
        shape(frame_620_shape_group_6_shape_7_horizontal_lines, 48, 6),
        shape(frame_620_shape_group_6_shape_8_horizontal_lines, 49, 2),
        shape(frame_620_shape_group_6_shape_9_horizontal_lines, 107, 6),
        shape(frame_620_shape_group_6_shape_10_horizontal_lines, 125, 2),
        shape(frame_620_shape_group_6_shape_11_horizontal_lines, 126, 6),
        shape(frame_620_shape_group_6_shape_12_horizontal_lines, 145, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(52, 89),
    };

    constexpr const horizontal_line frame_620_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(53, 91),
        horizontal_line(53, 91),
        horizontal_line(108, 118),
        horizontal_line(108, 118),
        horizontal_line(54, 91),
        horizontal_line(109, 118),
        horizontal_line(54, 92),
        horizontal_line(54, 92),
        horizontal_line(54, 92),
    };

    constexpr const horizontal_line frame_620_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 176),
        horizontal_line(213, 239),
        horizontal_line(169, 177),
        horizontal_line(169, 178),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(65, 109),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_620_shape_group_7_shapes[] = {
        shape(frame_620_shape_group_7_shape_0_horizontal_lines, 38, 6),
        shape(frame_620_shape_group_7_shape_1_horizontal_lines, 40, 2),
        shape(frame_620_shape_group_7_shape_2_horizontal_lines, 43, 6),
        shape(frame_620_shape_group_7_shape_3_horizontal_lines, 52, 2),
        shape(frame_620_shape_group_7_shape_4_horizontal_lines, 106, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(53, 90),
        horizontal_line(53, 90),
        horizontal_line(53, 90),
        horizontal_line(108, 111),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(108, 118),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(54, 93),
        horizontal_line(54, 93),
        horizontal_line(55, 93),
        horizontal_line(55, 93),
        horizontal_line(55, 93),
        horizontal_line(55, 94),
        horizontal_line(55, 94),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(58, 98),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(58, 99),
        horizontal_line(59, 99),
        horizontal_line(59, 99),
        horizontal_line(59, 100),
        horizontal_line(59, 100),
        horizontal_line(59, 100),
        horizontal_line(59, 100),
        horizontal_line(59, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 104),
        horizontal_line(61, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_620_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const shape frame_620_shape_group_8_shapes[] = {
        shape(frame_620_shape_group_8_shape_0_horizontal_lines, 40, 6),
        shape(frame_620_shape_group_8_shape_1_horizontal_lines, 47, 6),
        shape(frame_620_shape_group_8_shape_2_horizontal_lines, 49, 6),
        shape(frame_620_shape_group_8_shape_3_horizontal_lines, 59, 2),
        shape(frame_620_shape_group_8_shape_4_horizontal_lines, 78, 6),
        shape(frame_620_shape_group_8_shape_5_horizontal_lines, 79, 2),
        shape(frame_620_shape_group_8_shape_6_horizontal_lines, 81, 6),
        shape(frame_620_shape_group_8_shape_7_horizontal_lines, 125, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_620_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_620_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(56, 95),
        horizontal_line(56, 95),
        horizontal_line(56, 95),
        horizontal_line(56, 96),
        horizontal_line(56, 96),
        horizontal_line(57, 96),
        horizontal_line(57, 96),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(58, 98),
        horizontal_line(58, 98),
        horizontal_line(58, 98),
        horizontal_line(114, 120),
        horizontal_line(58, 99),
        horizontal_line(58, 99),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
    };

    constexpr const shape frame_620_shape_group_9_shapes[] = {
        shape(frame_620_shape_group_9_shape_0_horizontal_lines, 49, 6),
        shape(frame_620_shape_group_9_shape_1_horizontal_lines, 59, 2),
        shape(frame_620_shape_group_9_shape_2_horizontal_lines, 63, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(55, 94),
        horizontal_line(55, 94),
        horizontal_line(56, 95),
        horizontal_line(56, 95),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_620_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const shape frame_620_shape_group_10_shapes[] = {
        shape(frame_620_shape_group_10_shape_0_horizontal_lines, 59, 6),
        shape(frame_620_shape_group_10_shape_1_horizontal_lines, 79, 6),
    };

    constexpr const horizontal_line frame_620_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
    };

    constexpr const shape frame_620_shape_group_11_shapes[] = {
        shape(frame_620_shape_group_11_shape_0_horizontal_lines, 59, 6),
    };

    constexpr const shape_group frame_620_shape_groups[] = {
        shape_group(frame_620_shape_group_0_shapes),
        shape_group(frame_620_shape_group_1_shapes),
        shape_group(frame_620_shape_group_2_shapes),
        shape_group(frame_620_shape_group_3_shapes),
        shape_group(frame_620_shape_group_4_shapes),
        shape_group(frame_620_shape_group_5_shapes),
        shape_group(frame_620_shape_group_6_shapes),
        shape_group(frame_620_shape_group_7_shapes),
        shape_group(frame_620_shape_group_8_shapes),
        shape_group(frame_620_shape_group_9_shapes),
        shape_group(frame_620_shape_group_10_shapes),
        shape_group(frame_620_shape_group_11_shapes),
    };

    constexpr const frame frame_620_impl(frame_620_colors, frame_620_shape_groups);
} 

const frame& frame_620()
{
    return frame_620_impl;
}

namespace
{
    constexpr const bn::color frame_621_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(16, 52),
        horizontal_line(18, 50),
        horizontal_line(20, 49),
        horizontal_line(22, 48),
        horizontal_line(25, 47),
        horizontal_line(27, 46),
        horizontal_line(29, 45),
        horizontal_line(31, 44),
        horizontal_line(34, 43),
        horizontal_line(36, 42),
        horizontal_line(38, 41),
        horizontal_line(113, 145),
        horizontal_line(111, 146),
        horizontal_line(110, 146),
        horizontal_line(108, 147),
        horizontal_line(107, 147),
        horizontal_line(106, 148),
        horizontal_line(104, 148),
        horizontal_line(103, 149),
        horizontal_line(101, 149),
        horizontal_line(100, 147),
        horizontal_line(98, 145),
        horizontal_line(97, 142),
        horizontal_line(96, 140),
        horizontal_line(94, 138),
        horizontal_line(93, 135),
        horizontal_line(91, 133),
        horizontal_line(90, 131),
        horizontal_line(88, 129),
        horizontal_line(87, 126),
        horizontal_line(86, 124),
        horizontal_line(88, 122),
        horizontal_line(91, 119),
        horizontal_line(93, 117),
        horizontal_line(96, 115),
        horizontal_line(99, 112),
        horizontal_line(101, 110),
        horizontal_line(104, 108),
        horizontal_line(135, 154),
        horizontal_line(131, 154),
        horizontal_line(126, 154),
        horizontal_line(122, 154),
        horizontal_line(118, 153),
        horizontal_line(119, 153),
        horizontal_line(120, 153),
        horizontal_line(121, 153),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(123, 152),
        horizontal_line(123, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(125, 148),
        horizontal_line(136, 147),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 127),
        horizontal_line(124, 130),
        horizontal_line(123, 133),
        horizontal_line(125, 136),
        horizontal_line(127, 140),
        horizontal_line(129, 136),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(130, 139),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(137, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(125, 144),
        horizontal_line(125, 146),
        horizontal_line(125, 148),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(143, 151),
        horizontal_line(136, 153),
        horizontal_line(130, 155),
        horizontal_line(125, 156),
        horizontal_line(125, 158),
        horizontal_line(125, 160),
        horizontal_line(125, 161),
        horizontal_line(125, 163),
        horizontal_line(126, 165),
        horizontal_line(126, 166),
        horizontal_line(126, 168),
        horizontal_line(126, 169),
        horizontal_line(126, 164),
        horizontal_line(127, 160),
        horizontal_line(127, 155),
        horizontal_line(127, 151),
        horizontal_line(127, 147),
        horizontal_line(127, 142),
        horizontal_line(127, 138),
        horizontal_line(128, 133),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_621_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(126, 183),
        horizontal_line(126, 184),
        horizontal_line(126, 185),
        horizontal_line(127, 187),
    };

    constexpr const shape frame_621_shape_group_0_shapes[] = {
        shape(frame_621_shape_group_0_shape_0_horizontal_lines, 0, 5),
        shape(frame_621_shape_group_0_shape_1_horizontal_lines, 46, 1),
        shape(frame_621_shape_group_0_shape_2_horizontal_lines, 52, 4),
        shape(frame_621_shape_group_0_shape_3_horizontal_lines, 53, 1),
        shape(frame_621_shape_group_0_shape_4_horizontal_lines, 61, 4),
        shape(frame_621_shape_group_0_shape_5_horizontal_lines, 126, 1),
        shape(frame_621_shape_group_0_shape_6_horizontal_lines, 134, 5),
        shape(frame_621_shape_group_0_shape_7_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(129, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 141),
        horizontal_line(124, 141),
        horizontal_line(123, 142),
        horizontal_line(121, 142),
        horizontal_line(120, 143),
        horizontal_line(118, 143),
        horizontal_line(117, 144),
        horizontal_line(116, 144),
        horizontal_line(114, 145),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(48, 107),
        horizontal_line(50, 106),
        horizontal_line(52, 105),
        horizontal_line(55, 103),
        horizontal_line(57, 102),
        horizontal_line(59, 100),
        horizontal_line(62, 99),
        horizontal_line(64, 97),
        horizontal_line(67, 96),
        horizontal_line(69, 95),
        horizontal_line(71, 93),
        horizontal_line(74, 92),
        horizontal_line(76, 90),
        horizontal_line(78, 89),
        horizontal_line(81, 87),
        horizontal_line(83, 86),
        horizontal_line(125, 154),
        horizontal_line(123, 155),
        horizontal_line(120, 155),
        horizontal_line(118, 155),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(149, 155),
        horizontal_line(144, 155),
        horizontal_line(140, 155),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(107, 134),
        horizontal_line(109, 130),
        horizontal_line(112, 125),
        horizontal_line(115, 121),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(152, 152),
        horizontal_line(151, 152),
        horizontal_line(150, 152),
        horizontal_line(149, 152),
        horizontal_line(148, 152),
        horizontal_line(159, 161),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(146, 152),
        horizontal_line(137, 139),
        horizontal_line(132, 139),
        horizontal_line(146, 152),
        horizontal_line(146, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(165, 179),
        horizontal_line(165, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 182),
        horizontal_line(166, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(135, 149),
        horizontal_line(137, 149),
        horizontal_line(139, 149),
        horizontal_line(141, 149),
        horizontal_line(143, 149),
        horizontal_line(145, 149),
        horizontal_line(147, 149),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(125, 149),
        horizontal_line(125, 142),
        horizontal_line(125, 135),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(165, 171),
        horizontal_line(161, 172),
        horizontal_line(156, 173),
        horizontal_line(152, 175),
        horizontal_line(148, 176),
        horizontal_line(143, 177),
        horizontal_line(139, 179),
        horizontal_line(134, 180),
        horizontal_line(130, 181),
    };

    constexpr const horizontal_line frame_621_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(184, 194),
        horizontal_line(185, 194),
        horizontal_line(186, 194),
        horizontal_line(188, 195),
    };

    constexpr const shape frame_621_shape_group_1_shapes[] = {
        shape(frame_621_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_621_shape_group_1_shape_1_horizontal_lines, 11, 1),
        shape(frame_621_shape_group_1_shape_2_horizontal_lines, 34, 5),
        shape(frame_621_shape_group_1_shape_3_horizontal_lines, 38, 1),
        shape(frame_621_shape_group_1_shape_4_horizontal_lines, 42, 4),
        shape(frame_621_shape_group_1_shape_5_horizontal_lines, 134, 1),
        shape(frame_621_shape_group_1_shape_6_horizontal_lines, 138, 4),
        shape(frame_621_shape_group_1_shape_7_horizontal_lines, 146, 1),
        shape(frame_621_shape_group_1_shape_8_horizontal_lines, 156, 4),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(103, 112),
        horizontal_line(105, 110),
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(148, 169),
        horizontal_line(148, 170),
        horizontal_line(149, 171),
        horizontal_line(149, 172),
        horizontal_line(150, 173),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(148, 150),
        horizontal_line(146, 151),
        horizontal_line(143, 151),
        horizontal_line(141, 152),
        horizontal_line(139, 152),
        horizontal_line(136, 153),
        horizontal_line(134, 153),
        horizontal_line(132, 153),
        horizontal_line(130, 154),
        horizontal_line(127, 154),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(156, 185),
        horizontal_line(157, 186),
        horizontal_line(157, 187),
        horizontal_line(158, 188),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(116, 152),
        horizontal_line(113, 148),
        horizontal_line(111, 143),
        horizontal_line(109, 139),
    };

    constexpr const horizontal_line frame_621_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 158),
        horizontal_line(163, 197),
        horizontal_line(163, 198),
        horizontal_line(164, 199),
        horizontal_line(164, 200),
        horizontal_line(165, 201),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 161),
        horizontal_line(168, 207),
        horizontal_line(159, 161),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(146, 152),
        horizontal_line(146, 152),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(163, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(167, 184),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 187),
        horizontal_line(168, 187),
        horizontal_line(168, 187),
        horizontal_line(168, 188),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(171, 190),
        horizontal_line(172, 191),
        horizontal_line(173, 191),
        horizontal_line(174, 191),
        horizontal_line(176, 192),
        horizontal_line(177, 192),
        horizontal_line(178, 192),
        horizontal_line(180, 193),
        horizontal_line(181, 193),
        horizontal_line(182, 193),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
    };

    constexpr const shape frame_621_shape_group_2_shapes[] = {
        shape(frame_621_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_621_shape_group_2_shape_1_horizontal_lines, 14, 4),
        shape(frame_621_shape_group_2_shape_2_horizontal_lines, 19, 1),
        shape(frame_621_shape_group_2_shape_3_horizontal_lines, 30, 4),
        shape(frame_621_shape_group_2_shape_4_horizontal_lines, 34, 1),
        shape(frame_621_shape_group_2_shape_5_horizontal_lines, 38, 4),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(115, 128),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 120),
        horizontal_line(108, 119),
        horizontal_line(107, 117),
        horizontal_line(106, 116),
        horizontal_line(105, 115),
        horizontal_line(104, 113),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(146, 166),
        horizontal_line(147, 167),
        horizontal_line(147, 168),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(151, 174),
        horizontal_line(151, 175),
        horizontal_line(152, 176),
        horizontal_line(152, 177),
        horizontal_line(153, 178),
        horizontal_line(153, 179),
        horizontal_line(154, 180),
        horizontal_line(154, 181),
        horizontal_line(155, 182),
        horizontal_line(155, 183),
        horizontal_line(156, 184),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(158, 189),
        horizontal_line(159, 190),
        horizontal_line(160, 191),
        horizontal_line(160, 192),
        horizontal_line(161, 193),
        horizontal_line(161, 194),
        horizontal_line(162, 195),
        horizontal_line(162, 196),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(165, 202),
        horizontal_line(166, 203),
        horizontal_line(166, 204),
        horizontal_line(167, 205),
        horizontal_line(167, 206),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(124, 147),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(169, 208),
        horizontal_line(169, 209),
        horizontal_line(170, 210),
        horizontal_line(170, 211),
        horizontal_line(171, 212),
        horizontal_line(171, 213),
        horizontal_line(159, 163),
        horizontal_line(160, 164),
        horizontal_line(173, 216),
        horizontal_line(173, 217),
        horizontal_line(174, 218),
        horizontal_line(174, 219),
        horizontal_line(175, 220),
        horizontal_line(175, 221),
        horizontal_line(176, 222),
        horizontal_line(176, 223),
        horizontal_line(177, 224),
        horizontal_line(177, 225),
        horizontal_line(178, 226),
        horizontal_line(179, 227),
        horizontal_line(179, 228),
        horizontal_line(180, 229),
        horizontal_line(180, 230),
        horizontal_line(181, 231),
        horizontal_line(181, 232),
        horizontal_line(182, 233),
        horizontal_line(182, 234),
        horizontal_line(183, 235),
        horizontal_line(183, 236),
        horizontal_line(184, 237),
        horizontal_line(184, 238),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(123, 136),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(157, 168),
        horizontal_line(159, 168),
        horizontal_line(161, 168),
        horizontal_line(162, 168),
        horizontal_line(164, 168),
        horizontal_line(166, 168),
        horizontal_line(167, 168),
        horizontal_line(191, 216),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(195, 222),
        horizontal_line(195, 222),
        horizontal_line(195, 223),
        horizontal_line(196, 224),
    };

    constexpr const shape frame_621_shape_group_3_shapes[] = {
        shape(frame_621_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_621_shape_group_3_shape_1_horizontal_lines, 11, 4),
        shape(frame_621_shape_group_3_shape_2_horizontal_lines, 14, 2),
        shape(frame_621_shape_group_3_shape_3_horizontal_lines, 19, 4),
        shape(frame_621_shape_group_3_shape_4_horizontal_lines, 30, 2),
        shape(frame_621_shape_group_3_shape_5_horizontal_lines, 34, 4),
        shape(frame_621_shape_group_3_shape_6_horizontal_lines, 42, 2),
        shape(frame_621_shape_group_3_shape_7_horizontal_lines, 47, 4),
        shape(frame_621_shape_group_3_shape_8_horizontal_lines, 52, 2),
        shape(frame_621_shape_group_3_shape_9_horizontal_lines, 53, 4),
        shape(frame_621_shape_group_3_shape_10_horizontal_lines, 110, 2),
        shape(frame_621_shape_group_3_shape_11_horizontal_lines, 126, 4),
        shape(frame_621_shape_group_3_shape_12_horizontal_lines, 138, 2),
        shape(frame_621_shape_group_3_shape_13_horizontal_lines, 146, 4),
        shape(frame_621_shape_group_3_shape_14_horizontal_lines, 156, 2),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(141, 155),
        horizontal_line(141, 156),
        horizontal_line(142, 157),
        horizontal_line(142, 158),
        horizontal_line(143, 159),
        horizontal_line(143, 160),
        horizontal_line(144, 161),
        horizontal_line(144, 162),
        horizontal_line(145, 163),
        horizontal_line(145, 164),
        horizontal_line(146, 165),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(154, 154),
        horizontal_line(184, 239),
        horizontal_line(155, 155),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 164),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(124, 135),
        horizontal_line(153, 158),
        horizontal_line(125, 146),
        horizontal_line(128, 146),
        horizontal_line(131, 146),
        horizontal_line(134, 146),
        horizontal_line(123, 124),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(172, 214),
        horizontal_line(172, 215),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(124, 133),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(151, 167),
        horizontal_line(152, 167),
        horizontal_line(154, 167),
        horizontal_line(156, 167),
        horizontal_line(189, 212),
        horizontal_line(189, 213),
        horizontal_line(190, 213),
        horizontal_line(190, 214),
        horizontal_line(190, 215),
        horizontal_line(191, 215),
        horizontal_line(191, 216),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(51, 109),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(191, 217),
        horizontal_line(192, 217),
        horizontal_line(192, 218),
        horizontal_line(192, 218),
        horizontal_line(193, 219),
        horizontal_line(193, 219),
        horizontal_line(193, 220),
        horizontal_line(194, 220),
        horizontal_line(194, 221),
        horizontal_line(194, 221),
    };

    constexpr const horizontal_line frame_621_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(52, 111),
        horizontal_line(52, 111),
        horizontal_line(52, 111),
        horizontal_line(53, 112),
    };

    constexpr const shape frame_621_shape_group_4_shapes[] = {
        shape(frame_621_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_621_shape_group_4_shape_1_horizontal_lines, 11, 2),
        shape(frame_621_shape_group_4_shape_2_horizontal_lines, 59, 4),
        shape(frame_621_shape_group_4_shape_3_horizontal_lines, 61, 2),
        shape(frame_621_shape_group_4_shape_4_horizontal_lines, 145, 6),
        shape(frame_621_shape_group_4_shape_5_horizontal_lines, 146, 2),
        shape(frame_621_shape_group_4_shape_6_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(41, 47),
        horizontal_line(41, 49),
        horizontal_line(41, 51),
        horizontal_line(41, 54),
        horizontal_line(41, 56),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(41, 66),
        horizontal_line(41, 68),
        horizontal_line(42, 70),
        horizontal_line(42, 73),
        horizontal_line(42, 75),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(42, 80),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(42, 85),
        horizontal_line(42, 85),
        horizontal_line(42, 85),
        horizontal_line(42, 85),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(159, 161),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(161, 164),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(153, 158),
        horizontal_line(162, 167),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(137, 146),
        horizontal_line(141, 145),
        horizontal_line(123, 128),
        horizontal_line(123, 130),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 144),
        horizontal_line(139, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(180, 198),
        horizontal_line(181, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(182, 200),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(183, 203),
        horizontal_line(184, 203),
        horizontal_line(184, 204),
        horizontal_line(184, 204),
        horizontal_line(185, 205),
        horizontal_line(185, 206),
        horizontal_line(150, 166),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 208),
        horizontal_line(186, 208),
        horizontal_line(187, 209),
        horizontal_line(187, 209),
        horizontal_line(187, 210),
        horizontal_line(188, 210),
        horizontal_line(188, 211),
        horizontal_line(188, 211),
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_621_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(51, 107),
        horizontal_line(51, 107),
        horizontal_line(51, 108),
        horizontal_line(51, 108),
        horizontal_line(51, 108),
        horizontal_line(51, 108),
        horizontal_line(51, 108),
        horizontal_line(125, 125),
        horizontal_line(51, 109),
        horizontal_line(52, 109),
        horizontal_line(52, 109),
        horizontal_line(52, 109),
        horizontal_line(52, 110),
        horizontal_line(52, 110),
        horizontal_line(52, 110),
        horizontal_line(52, 110),
        horizontal_line(52, 110),
        horizontal_line(52, 111),
    };

    constexpr const shape frame_621_shape_group_5_shapes[] = {
        shape(frame_621_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_621_shape_group_5_shape_1_horizontal_lines, 14, 6),
        shape(frame_621_shape_group_5_shape_2_horizontal_lines, 19, 2),
        shape(frame_621_shape_group_5_shape_3_horizontal_lines, 22, 6),
        shape(frame_621_shape_group_5_shape_4_horizontal_lines, 27, 2),
        shape(frame_621_shape_group_5_shape_5_horizontal_lines, 28, 6),
        shape(frame_621_shape_group_5_shape_6_horizontal_lines, 29, 2),
        shape(frame_621_shape_group_5_shape_7_horizontal_lines, 30, 6),
        shape(frame_621_shape_group_5_shape_8_horizontal_lines, 34, 2),
        shape(frame_621_shape_group_5_shape_9_horizontal_lines, 138, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(41, 44),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(41, 58),
        horizontal_line(41, 61),
        horizontal_line(41, 63),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(42, 77),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(42, 82),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(42, 85),
        horizontal_line(42, 86),
        horizontal_line(43, 86),
        horizontal_line(43, 86),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(43, 87),
        horizontal_line(43, 87),
        horizontal_line(43, 87),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(162, 166),
        horizontal_line(208, 239),
        horizontal_line(162, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(171, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
        horizontal_line(180, 197),
        horizontal_line(180, 197),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 102),
        horizontal_line(49, 102),
        horizontal_line(49, 102),
        horizontal_line(49, 102),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(185, 206),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 107),
        horizontal_line(51, 107),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_621_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
    };

    constexpr const shape frame_621_shape_group_6_shapes[] = {
        shape(frame_621_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_621_shape_group_6_shape_1_horizontal_lines, 12, 6),
        shape(frame_621_shape_group_6_shape_2_horizontal_lines, 19, 6),
        shape(frame_621_shape_group_6_shape_3_horizontal_lines, 27, 6),
        shape(frame_621_shape_group_6_shape_4_horizontal_lines, 29, 6),
        shape(frame_621_shape_group_6_shape_5_horizontal_lines, 34, 6),
        shape(frame_621_shape_group_6_shape_6_horizontal_lines, 38, 2),
        shape(frame_621_shape_group_6_shape_7_horizontal_lines, 42, 6),
        shape(frame_621_shape_group_6_shape_8_horizontal_lines, 47, 2),
        shape(frame_621_shape_group_6_shape_9_horizontal_lines, 110, 6),
        shape(frame_621_shape_group_6_shape_10_horizontal_lines, 126, 2),
        shape(frame_621_shape_group_6_shape_11_horizontal_lines, 127, 6),
        shape(frame_621_shape_group_6_shape_12_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(43, 86),
        horizontal_line(43, 86),
        horizontal_line(43, 87),
        horizontal_line(43, 87),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(43, 88),
        horizontal_line(44, 88),
        horizontal_line(44, 88),
        horizontal_line(44, 89),
    };

    constexpr const horizontal_line frame_621_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(44, 89),
    };

    constexpr const horizontal_line frame_621_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(153, 158),
        horizontal_line(153, 159),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 174),
        horizontal_line(166, 174),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(46, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 98),
        horizontal_line(47, 98),
        horizontal_line(47, 98),
        horizontal_line(47, 98),
        horizontal_line(47, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 101),
        horizontal_line(48, 101),
        horizontal_line(48, 101),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(50, 105),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
    };

    constexpr const shape frame_621_shape_group_7_shapes[] = {
        shape(frame_621_shape_group_7_shape_0_horizontal_lines, 38, 6),
        shape(frame_621_shape_group_7_shape_1_horizontal_lines, 51, 2),
        shape(frame_621_shape_group_7_shape_2_horizontal_lines, 52, 6),
        shape(frame_621_shape_group_7_shape_3_horizontal_lines, 53, 2),
        shape(frame_621_shape_group_7_shape_4_horizontal_lines, 84, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(106, 108),
        horizontal_line(106, 111),
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_621_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(44, 89),
        horizontal_line(108, 117),
        horizontal_line(44, 89),
        horizontal_line(44, 90),
        horizontal_line(44, 90),
        horizontal_line(44, 90),
    };

    constexpr const horizontal_line frame_621_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(164, 171),
        horizontal_line(165, 171),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(46, 95),
        horizontal_line(46, 96),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_621_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const shape frame_621_shape_group_8_shapes[] = {
        shape(frame_621_shape_group_8_shape_0_horizontal_lines, 38, 6),
        shape(frame_621_shape_group_8_shape_1_horizontal_lines, 47, 6),
        shape(frame_621_shape_group_8_shape_2_horizontal_lines, 57, 2),
        shape(frame_621_shape_group_8_shape_3_horizontal_lines, 82, 6),
        shape(frame_621_shape_group_8_shape_4_horizontal_lines, 126, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(108, 117),
        horizontal_line(122, 123),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(44, 90),
        horizontal_line(44, 90),
    };

    constexpr const horizontal_line frame_621_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_621_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const shape frame_621_shape_group_9_shapes[] = {
        shape(frame_621_shape_group_9_shape_0_horizontal_lines, 47, 6),
        shape(frame_621_shape_group_9_shape_1_horizontal_lines, 59, 2),
        shape(frame_621_shape_group_9_shape_2_horizontal_lines, 61, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_621_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(44, 91),
        horizontal_line(44, 91),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
    };

    constexpr const shape frame_621_shape_group_10_shapes[] = {
        shape(frame_621_shape_group_10_shape_0_horizontal_lines, 51, 6),
        shape(frame_621_shape_group_10_shape_1_horizontal_lines, 53, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
    };

    constexpr const horizontal_line frame_621_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const shape frame_621_shape_group_11_shapes[] = {
        shape(frame_621_shape_group_11_shape_0_horizontal_lines, 57, 6),
        shape(frame_621_shape_group_11_shape_1_horizontal_lines, 65, 6),
    };

    constexpr const horizontal_line frame_621_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const shape frame_621_shape_group_12_shapes[] = {
        shape(frame_621_shape_group_12_shape_0_horizontal_lines, 59, 6),
    };

    constexpr const shape_group frame_621_shape_groups[] = {
        shape_group(frame_621_shape_group_0_shapes),
        shape_group(frame_621_shape_group_1_shapes),
        shape_group(frame_621_shape_group_2_shapes),
        shape_group(frame_621_shape_group_3_shapes),
        shape_group(frame_621_shape_group_4_shapes),
        shape_group(frame_621_shape_group_5_shapes),
        shape_group(frame_621_shape_group_6_shapes),
        shape_group(frame_621_shape_group_7_shapes),
        shape_group(frame_621_shape_group_8_shapes),
        shape_group(frame_621_shape_group_9_shapes),
        shape_group(frame_621_shape_group_10_shapes),
        shape_group(frame_621_shape_group_11_shapes),
        shape_group(frame_621_shape_group_12_shapes),
    };

    constexpr const frame frame_621_impl(frame_621_colors, frame_621_shape_groups);
} 

const frame& frame_621()
{
    return frame_621_impl;
}

namespace
{
    constexpr const bn::color frame_622_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_622_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
    };

    constexpr const shape frame_622_shape_group_0_shapes[] = {
        shape(frame_622_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_622_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(24, 35),
        horizontal_line(27, 34),
        horizontal_line(30, 33),
        horizontal_line(113, 143),
        horizontal_line(111, 144),
        horizontal_line(110, 144),
        horizontal_line(109, 145),
        horizontal_line(107, 145),
        horizontal_line(106, 146),
        horizontal_line(105, 147),
        horizontal_line(103, 147),
        horizontal_line(102, 148),
        horizontal_line(101, 148),
        horizontal_line(100, 149),
        horizontal_line(98, 149),
        horizontal_line(97, 148),
        horizontal_line(96, 146),
        horizontal_line(94, 143),
        horizontal_line(93, 141),
        horizontal_line(92, 139),
        horizontal_line(90, 137),
        horizontal_line(89, 134),
        horizontal_line(88, 132),
        horizontal_line(86, 130),
        horizontal_line(85, 127),
        horizontal_line(84, 125),
        horizontal_line(83, 123),
    };

    constexpr const horizontal_line frame_622_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(83, 84),
        horizontal_line(83, 87),
        horizontal_line(83, 90),
        horizontal_line(83, 93),
        horizontal_line(83, 96),
        horizontal_line(84, 99),
        horizontal_line(84, 102),
        horizontal_line(84, 104),
        horizontal_line(84, 104),
        horizontal_line(84, 104),
        horizontal_line(84, 104),
        horizontal_line(85, 104),
        horizontal_line(85, 104),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 107),
        horizontal_line(87, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 110),
        horizontal_line(91, 110),
        horizontal_line(91, 110),
        horizontal_line(91, 110),
        horizontal_line(91, 110),
        horizontal_line(91, 110),
        horizontal_line(92, 111),
        horizontal_line(92, 111),
        horizontal_line(92, 111),
        horizontal_line(92, 111),
        horizontal_line(92, 111),
        horizontal_line(92, 111),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(96, 114),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(97, 115),
        horizontal_line(97, 115),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(99, 117),
        horizontal_line(99, 117),
        horizontal_line(99, 117),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 119),
        horizontal_line(100, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(102, 120),
        horizontal_line(102, 120),
        horizontal_line(102, 120),
        horizontal_line(102, 120),
        horizontal_line(102, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(103, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 122),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 124),
        horizontal_line(107, 125),
    };

    constexpr const shape frame_622_shape_group_1_shapes[] = {
        shape(frame_622_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_622_shape_group_1_shape_1_horizontal_lines, 27, 7),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(117, 142),
        horizontal_line(115, 142),
        horizontal_line(114, 143),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(46, 104),
        horizontal_line(48, 102),
        horizontal_line(50, 101),
        horizontal_line(52, 100),
        horizontal_line(54, 99),
        horizontal_line(56, 97),
        horizontal_line(59, 96),
        horizontal_line(61, 95),
        horizontal_line(63, 93),
        horizontal_line(65, 92),
        horizontal_line(67, 91),
        horizontal_line(69, 89),
        horizontal_line(72, 88),
        horizontal_line(74, 87),
        horizontal_line(76, 85),
        horizontal_line(78, 84),
        horizontal_line(80, 83),
        horizontal_line(124, 155),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(85, 121),
        horizontal_line(88, 118),
        horizontal_line(91, 116),
        horizontal_line(94, 114),
        horizontal_line(97, 111),
        horizontal_line(100, 109),
        horizontal_line(103, 107),
        horizontal_line(140, 156),
        horizontal_line(135, 155),
        horizontal_line(131, 155),
        horizontal_line(126, 155),
        horizontal_line(121, 155),
        horizontal_line(117, 154),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(126, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 138),
        horizontal_line(123, 140),
        horizontal_line(123, 142),
        horizontal_line(123, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(144, 152),
        horizontal_line(137, 154),
        horizontal_line(130, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(125, 166),
        horizontal_line(125, 167),
        horizontal_line(125, 169),
        horizontal_line(125, 170),
        horizontal_line(125, 171),
        horizontal_line(125, 165),
        horizontal_line(125, 160),
        horizontal_line(125, 155),
        horizontal_line(125, 150),
        horizontal_line(126, 144),
        horizontal_line(126, 139),
        horizontal_line(126, 134),
        horizontal_line(126, 129),
    };

    constexpr const horizontal_line frame_622_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(125, 183),
        horizontal_line(126, 185),
    };

    constexpr const shape frame_622_shape_group_2_shapes[] = {
        shape(frame_622_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_622_shape_group_2_shape_1_horizontal_lines, 3, 1),
        shape(frame_622_shape_group_2_shape_2_horizontal_lines, 27, 5),
        shape(frame_622_shape_group_2_shape_3_horizontal_lines, 40, 7),
        shape(frame_622_shape_group_2_shape_4_horizontal_lines, 79, 2),
        shape(frame_622_shape_group_2_shape_5_horizontal_lines, 126, 1),
        shape(frame_622_shape_group_2_shape_6_horizontal_lines, 135, 5),
        shape(frame_622_shape_group_2_shape_7_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(95, 112),
        horizontal_line(97, 110),
        horizontal_line(99, 109),
        horizontal_line(101, 108),
        horizontal_line(103, 106),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(149, 150),
        horizontal_line(147, 150),
        horizontal_line(144, 151),
        horizontal_line(142, 152),
        horizontal_line(140, 152),
        horizontal_line(138, 153),
        horizontal_line(135, 153),
        horizontal_line(133, 154),
        horizontal_line(131, 154),
        horizontal_line(128, 155),
        horizontal_line(126, 155),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(122, 156),
        horizontal_line(119, 156),
        horizontal_line(117, 156),
        horizontal_line(115, 157),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(149, 156),
        horizontal_line(145, 156),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(106, 139),
        horizontal_line(108, 134),
        horizontal_line(110, 130),
        horizontal_line(112, 125),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(118, 154),
        horizontal_line(119, 154),
        horizontal_line(120, 154),
        horizontal_line(121, 138),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(123, 152),
        horizontal_line(123, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(125, 149),
        horizontal_line(136, 148),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(124, 148),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 127),
        horizontal_line(124, 131),
        horizontal_line(123, 134),
        horizontal_line(124, 137),
        horizontal_line(126, 141),
        horizontal_line(128, 139),
        horizontal_line(130, 136),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(122, 131),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(152, 163),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 166),
        horizontal_line(152, 166),
        horizontal_line(152, 166),
        horizontal_line(152, 166),
        horizontal_line(152, 166),
        horizontal_line(151, 166),
        horizontal_line(151, 166),
        horizontal_line(151, 166),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(123, 134),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(124, 150),
        horizontal_line(124, 143),
        horizontal_line(124, 136),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(158, 169),
        horizontal_line(159, 169),
        horizontal_line(161, 170),
        horizontal_line(162, 170),
        horizontal_line(164, 170),
        horizontal_line(165, 170),
        horizontal_line(167, 170),
        horizontal_line(168, 170),
        horizontal_line(170, 170),
        horizontal_line(195, 224),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(166, 173),
        horizontal_line(161, 174),
        horizontal_line(156, 175),
        horizontal_line(151, 177),
        horizontal_line(145, 178),
        horizontal_line(140, 179),
        horizontal_line(135, 181),
        horizontal_line(130, 182),
    };

    constexpr const horizontal_line frame_622_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(198, 230),
        horizontal_line(199, 231),
    };

    constexpr const shape frame_622_shape_group_3_shapes[] = {
        shape(frame_622_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_622_shape_group_3_shape_1_horizontal_lines, 9, 2),
        shape(frame_622_shape_group_3_shape_2_horizontal_lines, 15, 1),
        shape(frame_622_shape_group_3_shape_3_horizontal_lines, 26, 2),
        shape(frame_622_shape_group_3_shape_4_horizontal_lines, 27, 1),
        shape(frame_622_shape_group_3_shape_5_horizontal_lines, 31, 5),
        shape(frame_622_shape_group_3_shape_6_horizontal_lines, 34, 1),
        shape(frame_622_shape_group_3_shape_7_horizontal_lines, 39, 2),
        shape(frame_622_shape_group_3_shape_8_horizontal_lines, 40, 5),
        shape(frame_622_shape_group_3_shape_9_horizontal_lines, 44, 1),
        shape(frame_622_shape_group_3_shape_10_horizontal_lines, 50, 2),
        shape(frame_622_shape_group_3_shape_11_horizontal_lines, 51, 1),
        shape(frame_622_shape_group_3_shape_12_horizontal_lines, 60, 2),
        shape(frame_622_shape_group_3_shape_13_horizontal_lines, 61, 1),
        shape(frame_622_shape_group_3_shape_14_horizontal_lines, 62, 2),
        shape(frame_622_shape_group_3_shape_15_horizontal_lines, 135, 1),
        shape(frame_622_shape_group_3_shape_16_horizontal_lines, 139, 2),
        shape(frame_622_shape_group_3_shape_17_horizontal_lines, 149, 1),
        shape(frame_622_shape_group_3_shape_18_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(98, 116),
        horizontal_line(97, 114),
        horizontal_line(96, 113),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(32, 45),
        horizontal_line(32, 47),
        horizontal_line(32, 49),
        horizontal_line(32, 51),
        horizontal_line(32, 53),
        horizontal_line(32, 55),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(32, 82),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(112, 153),
        horizontal_line(110, 148),
        horizontal_line(108, 144),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(161, 163),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(139, 153),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(124, 135),
        horizontal_line(154, 159),
        horizontal_line(125, 147),
        horizontal_line(128, 147),
        horizontal_line(132, 147),
        horizontal_line(135, 147),
        horizontal_line(123, 123),
        horizontal_line(123, 125),
        horizontal_line(123, 127),
        horizontal_line(123, 129),
        horizontal_line(122, 132),
        horizontal_line(140, 146),
        horizontal_line(123, 131),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(134, 142),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 195),
        horizontal_line(179, 195),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
        horizontal_line(180, 197),
        horizontal_line(180, 197),
        horizontal_line(180, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(182, 202),
        horizontal_line(183, 203),
        horizontal_line(183, 203),
        horizontal_line(183, 204),
        horizontal_line(184, 204),
        horizontal_line(184, 205),
        horizontal_line(184, 205),
        horizontal_line(185, 206),
        horizontal_line(185, 206),
        horizontal_line(185, 207),
        horizontal_line(186, 208),
        horizontal_line(186, 208),
        horizontal_line(186, 209),
        horizontal_line(187, 209),
        horizontal_line(187, 210),
        horizontal_line(187, 210),
        horizontal_line(187, 211),
        horizontal_line(188, 211),
        horizontal_line(151, 168),
        horizontal_line(188, 213),
        horizontal_line(189, 213),
        horizontal_line(189, 214),
        horizontal_line(189, 214),
        horizontal_line(190, 215),
        horizontal_line(190, 215),
        horizontal_line(190, 216),
        horizontal_line(191, 217),
        horizontal_line(152, 169),
        horizontal_line(153, 169),
        horizontal_line(155, 169),
        horizontal_line(156, 169),
        horizontal_line(192, 219),
        horizontal_line(193, 220),
        horizontal_line(193, 220),
        horizontal_line(193, 221),
        horizontal_line(193, 222),
        horizontal_line(194, 222),
        horizontal_line(194, 223),
        horizontal_line(194, 223),
        horizontal_line(195, 224),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(195, 225),
        horizontal_line(196, 225),
        horizontal_line(196, 226),
        horizontal_line(196, 227),
        horizontal_line(197, 227),
        horizontal_line(197, 228),
        horizontal_line(197, 228),
        horizontal_line(198, 229),
        horizontal_line(198, 229),
    };

    constexpr const horizontal_line frame_622_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(30, 92),
    };

    constexpr const shape frame_622_shape_group_4_shapes[] = {
        shape(frame_622_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_622_shape_group_4_shape_1_horizontal_lines, 3, 2),
        shape(frame_622_shape_group_4_shape_2_horizontal_lines, 9, 6),
        shape(frame_622_shape_group_4_shape_3_horizontal_lines, 15, 2),
        shape(frame_622_shape_group_4_shape_4_horizontal_lines, 26, 6),
        shape(frame_622_shape_group_4_shape_5_horizontal_lines, 27, 2),
        shape(frame_622_shape_group_4_shape_6_horizontal_lines, 31, 1),
        shape(frame_622_shape_group_4_shape_7_horizontal_lines, 34, 2),
        shape(frame_622_shape_group_4_shape_8_horizontal_lines, 43, 1),
        shape(frame_622_shape_group_4_shape_9_horizontal_lines, 44, 2),
        shape(frame_622_shape_group_4_shape_10_horizontal_lines, 148, 6),
        shape(frame_622_shape_group_4_shape_11_horizontal_lines, 149, 2),
        shape(frame_622_shape_group_4_shape_12_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(32, 34),
        horizontal_line(32, 36),
        horizontal_line(32, 38),
        horizontal_line(32, 40),
        horizontal_line(32, 42),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(32, 58),
        horizontal_line(32, 60),
        horizontal_line(32, 62),
        horizontal_line(32, 64),
        horizontal_line(32, 66),
        horizontal_line(32, 68),
        horizontal_line(32, 71),
        horizontal_line(32, 73),
        horizontal_line(32, 75),
        horizontal_line(32, 77),
        horizontal_line(32, 79),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 157),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 163),
        horizontal_line(225, 239),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(162, 165),
        horizontal_line(154, 158),
        horizontal_line(162, 166),
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(163, 168),
        horizontal_line(164, 168),
        horizontal_line(154, 159),
        horizontal_line(164, 169),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(138, 147),
        horizontal_line(142, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(154, 160),
        horizontal_line(140, 145),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(173, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(31, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(188, 212),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(191, 217),
        horizontal_line(191, 218),
        horizontal_line(192, 218),
        horizontal_line(192, 219),
    };

    constexpr const horizontal_line frame_622_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(124, 124),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(92, 105),
        horizontal_line(92, 106),
    };

    constexpr const shape frame_622_shape_group_5_shapes[] = {
        shape(frame_622_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_622_shape_group_5_shape_1_horizontal_lines, 4, 6),
        shape(frame_622_shape_group_5_shape_2_horizontal_lines, 15, 6),
        shape(frame_622_shape_group_5_shape_3_horizontal_lines, 27, 2),
        shape(frame_622_shape_group_5_shape_4_horizontal_lines, 86, 6),
        shape(frame_622_shape_group_5_shape_5_horizontal_lines, 126, 2),
        shape(frame_622_shape_group_5_shape_6_horizontal_lines, 127, 6),
        shape(frame_622_shape_group_5_shape_7_horizontal_lines, 135, 2),
        shape(frame_622_shape_group_5_shape_8_horizontal_lines, 139, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(32, 82),
        horizontal_line(32, 82),
        horizontal_line(32, 82),
        horizontal_line(32, 82),
    };

    constexpr const horizontal_line frame_622_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(159, 160),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(32, 84),
    };

    constexpr const horizontal_line frame_622_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(162, 166),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(164, 169),
        horizontal_line(238, 239),
        horizontal_line(164, 170),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 172),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(167, 175),
        horizontal_line(154, 160),
        horizontal_line(168, 176),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(170, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
    };

    constexpr const horizontal_line frame_622_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(30, 92),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(92, 104),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_622_shape_group_6_shapes[] = {
        shape(frame_622_shape_group_6_shape_0_horizontal_lines, 27, 6),
        shape(frame_622_shape_group_6_shape_1_horizontal_lines, 31, 2),
        shape(frame_622_shape_group_6_shape_2_horizontal_lines, 39, 6),
        shape(frame_622_shape_group_6_shape_3_horizontal_lines, 40, 2),
        shape(frame_622_shape_group_6_shape_4_horizontal_lines, 79, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(32, 82),
        horizontal_line(32, 83),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(32, 83),
        horizontal_line(32, 83),
        horizontal_line(32, 83),
        horizontal_line(32, 83),
        horizontal_line(32, 84),
        horizontal_line(105, 116),
        horizontal_line(32, 84),
        horizontal_line(32, 84),
        horizontal_line(32, 84),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(32, 85),
        horizontal_line(32, 85),
        horizontal_line(32, 85),
        horizontal_line(32, 85),
        horizontal_line(32, 85),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(32, 86),
        horizontal_line(32, 86),
        horizontal_line(32, 86),
        horizontal_line(32, 86),
        horizontal_line(32, 87),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(166, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(167, 174),
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(31, 88),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(168, 176),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(31, 88),
        horizontal_line(31, 88),
        horizontal_line(31, 88),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 90),
        horizontal_line(31, 90),
        horizontal_line(31, 90),
        horizontal_line(31, 90),
        horizontal_line(31, 90),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(120, 122),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 101),
        horizontal_line(92, 101),
        horizontal_line(92, 101),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
    };

    constexpr const horizontal_line frame_622_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(92, 104),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
    };

    constexpr const shape frame_622_shape_group_7_shapes[] = {
        shape(frame_622_shape_group_7_shape_0_horizontal_lines, 31, 6),
        shape(frame_622_shape_group_7_shape_1_horizontal_lines, 33, 2),
        shape(frame_622_shape_group_7_shape_2_horizontal_lines, 34, 6),
        shape(frame_622_shape_group_7_shape_3_horizontal_lines, 43, 2),
        shape(frame_622_shape_group_7_shape_4_horizontal_lines, 44, 6),
        shape(frame_622_shape_group_7_shape_5_horizontal_lines, 49, 2),
        shape(frame_622_shape_group_7_shape_6_horizontal_lines, 50, 6),
        shape(frame_622_shape_group_7_shape_7_horizontal_lines, 55, 2),
        shape(frame_622_shape_group_7_shape_8_horizontal_lines, 60, 6),
        shape(frame_622_shape_group_7_shape_9_horizontal_lines, 61, 2),
        shape(frame_622_shape_group_7_shape_10_horizontal_lines, 62, 6),
        shape(frame_622_shape_group_7_shape_11_horizontal_lines, 87, 6),
        shape(frame_622_shape_group_7_shape_12_horizontal_lines, 149, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(32, 83),
        horizontal_line(105, 105),
        horizontal_line(105, 107),
        horizontal_line(105, 109),
        horizontal_line(105, 111),
        horizontal_line(105, 113),
    };

    constexpr const horizontal_line frame_622_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(32, 85),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(32, 86),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(32, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(109, 117),
        horizontal_line(31, 88),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
    };

    constexpr const horizontal_line frame_622_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(92, 100),
    };

    constexpr const horizontal_line frame_622_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(92, 101),
        horizontal_line(92, 101),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
    };

    constexpr const shape frame_622_shape_group_8_shapes[] = {
        shape(frame_622_shape_group_8_shape_0_horizontal_lines, 33, 6),
        shape(frame_622_shape_group_8_shape_1_horizontal_lines, 40, 6),
        shape(frame_622_shape_group_8_shape_2_horizontal_lines, 126, 6),
        shape(frame_622_shape_group_8_shape_3_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(106, 116),
    };

    constexpr const horizontal_line frame_622_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(107, 116),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
    };

    constexpr const horizontal_line frame_622_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(109, 117),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_622_shape_group_9_shapes[] = {
        shape(frame_622_shape_group_9_shape_0_horizontal_lines, 43, 6),
        shape(frame_622_shape_group_9_shape_1_horizontal_lines, 45, 6),
        shape(frame_622_shape_group_9_shape_2_horizontal_lines, 61, 6),
    };

    constexpr const horizontal_line frame_622_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_622_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_622_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const shape frame_622_shape_group_10_shapes[] = {
        shape(frame_622_shape_group_10_shape_0_horizontal_lines, 49, 6),
        shape(frame_622_shape_group_10_shape_1_horizontal_lines, 55, 6),
        shape(frame_622_shape_group_10_shape_2_horizontal_lines, 61, 6),
    };

    constexpr const shape_group frame_622_shape_groups[] = {
        shape_group(frame_622_shape_group_0_shapes),
        shape_group(frame_622_shape_group_1_shapes),
        shape_group(frame_622_shape_group_2_shapes),
        shape_group(frame_622_shape_group_3_shapes),
        shape_group(frame_622_shape_group_4_shapes),
        shape_group(frame_622_shape_group_5_shapes),
        shape_group(frame_622_shape_group_6_shapes),
        shape_group(frame_622_shape_group_7_shapes),
        shape_group(frame_622_shape_group_8_shapes),
        shape_group(frame_622_shape_group_9_shapes),
        shape_group(frame_622_shape_group_10_shapes),
    };

    constexpr const frame frame_622_impl(frame_622_colors, frame_622_shape_groups);
} 

const frame& frame_622()
{
    return frame_622_impl;
}

namespace
{
    constexpr const bn::color frame_623_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_623_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(97, 120),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(98, 122),
        horizontal_line(99, 123),
    };

    constexpr const shape frame_623_shape_group_0_shapes[] = {
        shape(frame_623_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_623_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 99),
        horizontal_line(42, 97),
        horizontal_line(44, 96),
        horizontal_line(46, 95),
        horizontal_line(48, 93),
        horizontal_line(51, 92),
        horizontal_line(53, 91),
        horizontal_line(55, 90),
        horizontal_line(57, 88),
        horizontal_line(60, 87),
        horizontal_line(62, 86),
        horizontal_line(64, 84),
        horizontal_line(66, 83),
        horizontal_line(69, 82),
        horizontal_line(71, 80),
        horizontal_line(73, 79),
        horizontal_line(75, 78),
        horizontal_line(124, 155),
    };

    constexpr const horizontal_line frame_623_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(78, 79),
        horizontal_line(78, 82),
        horizontal_line(78, 84),
        horizontal_line(78, 87),
        horizontal_line(78, 89),
        horizontal_line(78, 92),
        horizontal_line(79, 94),
        horizontal_line(79, 97),
        horizontal_line(79, 99),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 103),
        horizontal_line(80, 103),
        horizontal_line(80, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 113),
        horizontal_line(89, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(92, 115),
        horizontal_line(92, 115),
        horizontal_line(92, 115),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(96, 119),
        horizontal_line(96, 120),
        horizontal_line(96, 120),
        horizontal_line(96, 120),
        horizontal_line(96, 120),
        horizontal_line(96, 120),
    };

    constexpr const horizontal_line frame_623_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
    };

    constexpr const horizontal_line frame_623_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(168, 174),
        horizontal_line(163, 175),
        horizontal_line(158, 176),
        horizontal_line(153, 178),
        horizontal_line(148, 179),
        horizontal_line(143, 180),
        horizontal_line(138, 181),
        horizontal_line(133, 183),
    };

    constexpr const shape frame_623_shape_group_1_shapes[] = {
        shape(frame_623_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_623_shape_group_1_shape_1_horizontal_lines, 21, 7),
        shape(frame_623_shape_group_1_shape_2_horizontal_lines, 146, 5),
        shape(frame_623_shape_group_1_shape_3_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(95, 103),
        horizontal_line(97, 101),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(100, 148),
        horizontal_line(98, 149),
        horizontal_line(97, 149),
        horizontal_line(96, 150),
        horizontal_line(94, 150),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(147, 152),
        horizontal_line(145, 152),
        horizontal_line(143, 153),
        horizontal_line(141, 153),
        horizontal_line(139, 153),
        horizontal_line(137, 154),
        horizontal_line(134, 154),
        horizontal_line(132, 154),
        horizontal_line(130, 154),
        horizontal_line(128, 155),
        horizontal_line(126, 155),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(78, 123),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(122, 155),
        horizontal_line(120, 156),
        horizontal_line(117, 156),
        horizontal_line(115, 156),
        horizontal_line(113, 156),
        horizontal_line(111, 157),
        horizontal_line(109, 153),
        horizontal_line(107, 149),
        horizontal_line(105, 145),
        horizontal_line(103, 140),
        horizontal_line(104, 136),
        horizontal_line(106, 132),
        horizontal_line(108, 127),
        horizontal_line(110, 123),
        horizontal_line(112, 119),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(122, 137),
        horizontal_line(122, 138),
        horizontal_line(122, 140),
        horizontal_line(122, 141),
        horizontal_line(122, 143),
        horizontal_line(123, 144),
        horizontal_line(123, 146),
        horizontal_line(123, 147),
        horizontal_line(123, 149),
        horizontal_line(123, 150),
        horizontal_line(123, 151),
        horizontal_line(123, 143),
        horizontal_line(123, 136),
        horizontal_line(123, 129),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(123, 158),
        horizontal_line(123, 159),
        horizontal_line(123, 161),
        horizontal_line(123, 162),
        horizontal_line(123, 164),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(166, 171),
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(171, 171),
        horizontal_line(199, 232),
    };

    constexpr const horizontal_line frame_623_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(124, 172),
        horizontal_line(124, 167),
        horizontal_line(124, 162),
        horizontal_line(124, 157),
        horizontal_line(124, 152),
        horizontal_line(124, 147),
        horizontal_line(124, 142),
        horizontal_line(124, 137),
        horizontal_line(125, 132),
    };

    constexpr const shape frame_623_shape_group_2_shapes[] = {
        shape(frame_623_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_623_shape_group_2_shape_1_horizontal_lines, 3, 5),
        shape(frame_623_shape_group_2_shape_2_horizontal_lines, 8, 1),
        shape(frame_623_shape_group_2_shape_3_horizontal_lines, 20, 5),
        shape(frame_623_shape_group_2_shape_4_horizontal_lines, 21, 1),
        shape(frame_623_shape_group_2_shape_5_horizontal_lines, 37, 7),
        shape(frame_623_shape_group_2_shape_6_horizontal_lines, 91, 2),
        shape(frame_623_shape_group_2_shape_7_horizontal_lines, 126, 1),
        shape(frame_623_shape_group_2_shape_8_horizontal_lines, 141, 5),
        shape(frame_623_shape_group_2_shape_9_horizontal_lines, 146, 2),
        shape(frame_623_shape_group_2_shape_10_horizontal_lines, 151, 5),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(104, 147),
        horizontal_line(102, 147),
        horizontal_line(101, 148),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 152),
        horizontal_line(151, 153),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(93, 148),
        horizontal_line(92, 146),
        horizontal_line(91, 144),
        horizontal_line(89, 142),
        horizontal_line(88, 140),
        horizontal_line(87, 138),
        horizontal_line(85, 136),
        horizontal_line(84, 133),
        horizontal_line(83, 131),
        horizontal_line(81, 129),
        horizontal_line(80, 127),
        horizontal_line(79, 125),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(80, 121),
        horizontal_line(83, 119),
        horizontal_line(85, 116),
        horizontal_line(88, 114),
        horizontal_line(90, 112),
        horizontal_line(93, 110),
        horizontal_line(95, 108),
        horizontal_line(98, 106),
        horizontal_line(100, 104),
        horizontal_line(141, 156),
        horizontal_line(137, 156),
        horizontal_line(133, 156),
        horizontal_line(128, 156),
        horizontal_line(124, 156),
        horizontal_line(120, 156),
        horizontal_line(116, 156),
        horizontal_line(117, 156),
        horizontal_line(118, 156),
        horizontal_line(119, 156),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 155),
        horizontal_line(134, 154),
        horizontal_line(123, 153),
        horizontal_line(123, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(125, 151),
        horizontal_line(132, 150),
        horizontal_line(141, 149),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 129),
        horizontal_line(123, 133),
        horizontal_line(124, 137),
        horizontal_line(126, 141),
        horizontal_line(128, 140),
        horizontal_line(130, 138),
        horizontal_line(132, 136),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 141),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(153, 165),
        horizontal_line(153, 165),
        horizontal_line(153, 165),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(153, 167),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(122, 135),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 170),
        horizontal_line(152, 170),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(144, 153),
        horizontal_line(137, 155),
        horizontal_line(130, 156),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(159, 170),
        horizontal_line(160, 170),
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(165, 171),
        horizontal_line(197, 230),
        horizontal_line(198, 231),
        horizontal_line(198, 231),
        horizontal_line(198, 232),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(172, 198),
    };

    constexpr const horizontal_line frame_623_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(199, 233),
        horizontal_line(199, 234),
        horizontal_line(200, 234),
        horizontal_line(200, 235),
        horizontal_line(200, 235),
        horizontal_line(201, 236),
        horizontal_line(201, 236),
        horizontal_line(201, 237),
        horizontal_line(202, 238),
    };

    constexpr const shape frame_623_shape_group_3_shapes[] = {
        shape(frame_623_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_623_shape_group_3_shape_1_horizontal_lines, 3, 2),
        shape(frame_623_shape_group_3_shape_2_horizontal_lines, 8, 5),
        shape(frame_623_shape_group_3_shape_3_horizontal_lines, 20, 2),
        shape(frame_623_shape_group_3_shape_4_horizontal_lines, 21, 5),
        shape(frame_623_shape_group_3_shape_5_horizontal_lines, 40, 1),
        shape(frame_623_shape_group_3_shape_6_horizontal_lines, 49, 2),
        shape(frame_623_shape_group_3_shape_7_horizontal_lines, 50, 1),
        shape(frame_623_shape_group_3_shape_8_horizontal_lines, 59, 2),
        shape(frame_623_shape_group_3_shape_9_horizontal_lines, 60, 1),
        shape(frame_623_shape_group_3_shape_10_horizontal_lines, 61, 2),
        shape(frame_623_shape_group_3_shape_11_horizontal_lines, 137, 5),
        shape(frame_623_shape_group_3_shape_12_horizontal_lines, 141, 2),
        shape(frame_623_shape_group_3_shape_13_horizontal_lines, 150, 4),
        shape(frame_623_shape_group_3_shape_14_horizontal_lines, 151, 2),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(154, 154),
        horizontal_line(154, 154),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(157, 159),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(150, 156),
        horizontal_line(146, 156),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(120, 145),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(124, 131),
        horizontal_line(124, 140),
        horizontal_line(156, 159),
        horizontal_line(126, 148),
        horizontal_line(130, 148),
        horizontal_line(134, 148),
        horizontal_line(123, 123),
        horizontal_line(123, 125),
        horizontal_line(123, 127),
        horizontal_line(123, 129),
        horizontal_line(122, 131),
        horizontal_line(122, 133),
        horizontal_line(140, 147),
        horizontal_line(124, 132),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 142),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(180, 199),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 202),
        horizontal_line(182, 202),
        horizontal_line(182, 203),
        horizontal_line(182, 204),
        horizontal_line(183, 204),
        horizontal_line(183, 205),
        horizontal_line(183, 205),
        horizontal_line(184, 206),
        horizontal_line(184, 206),
        horizontal_line(184, 207),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(185, 209),
        horizontal_line(185, 209),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 211),
        horizontal_line(187, 211),
        horizontal_line(187, 212),
        horizontal_line(187, 213),
        horizontal_line(188, 213),
        horizontal_line(188, 214),
        horizontal_line(188, 214),
        horizontal_line(189, 215),
        horizontal_line(189, 215),
        horizontal_line(189, 216),
        horizontal_line(190, 217),
        horizontal_line(190, 217),
        horizontal_line(190, 218),
        horizontal_line(191, 218),
        horizontal_line(152, 169),
        horizontal_line(191, 219),
        horizontal_line(192, 220),
        horizontal_line(192, 221),
        horizontal_line(192, 221),
        horizontal_line(193, 222),
        horizontal_line(193, 222),
        horizontal_line(193, 223),
        horizontal_line(193, 223),
        horizontal_line(194, 224),
        horizontal_line(194, 224),
        horizontal_line(153, 170),
        horizontal_line(154, 170),
        horizontal_line(156, 170),
        horizontal_line(157, 170),
        horizontal_line(196, 227),
        horizontal_line(196, 228),
        horizontal_line(196, 228),
        horizontal_line(197, 229),
        horizontal_line(197, 230),
    };

    constexpr const horizontal_line frame_623_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(172, 196),
        horizontal_line(172, 197),
        horizontal_line(172, 197),
        horizontal_line(172, 197),
        horizontal_line(233, 239),
        horizontal_line(174, 198),
        horizontal_line(175, 198),
        horizontal_line(176, 199),
        horizontal_line(177, 199),
        horizontal_line(179, 199),
        horizontal_line(180, 200),
        horizontal_line(181, 200),
        horizontal_line(182, 200),
        horizontal_line(184, 201),
    };

    constexpr const shape frame_623_shape_group_4_shapes[] = {
        shape(frame_623_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_623_shape_group_4_shape_1_horizontal_lines, 3, 4),
        shape(frame_623_shape_group_4_shape_2_horizontal_lines, 8, 2),
        shape(frame_623_shape_group_4_shape_3_horizontal_lines, 20, 4),
        shape(frame_623_shape_group_4_shape_4_horizontal_lines, 21, 2),
        shape(frame_623_shape_group_4_shape_5_horizontal_lines, 27, 5),
        shape(frame_623_shape_group_4_shape_6_horizontal_lines, 30, 2),
        shape(frame_623_shape_group_4_shape_7_horizontal_lines, 40, 5),
        shape(frame_623_shape_group_4_shape_8_horizontal_lines, 42, 2),
        shape(frame_623_shape_group_4_shape_9_horizontal_lines, 146, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 154),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(159, 221),
        horizontal_line(156, 156),
        horizontal_line(160, 222),
        horizontal_line(156, 156),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(160, 164),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 174),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(166, 175),
        horizontal_line(156, 159),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(138, 148),
        horizontal_line(142, 148),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(140, 147),
        horizontal_line(155, 160),
        horizontal_line(140, 147),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(179, 197),
        horizontal_line(179, 198),
        horizontal_line(179, 198),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(191, 219),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(138, 151),
        horizontal_line(139, 151),
        horizontal_line(141, 151),
        horizontal_line(142, 151),
        horizontal_line(144, 151),
        horizontal_line(145, 151),
        horizontal_line(147, 151),
        horizontal_line(148, 151),
        horizontal_line(150, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(194, 225),
        horizontal_line(195, 226),
        horizontal_line(195, 226),
        horizontal_line(195, 227),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(171, 195),
        horizontal_line(171, 195),
        horizontal_line(172, 195),
        horizontal_line(172, 196),
        horizontal_line(172, 196),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_623_shape_group_5_shapes[] = {
        shape(frame_623_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_623_shape_group_5_shape_1_horizontal_lines, 27, 2),
        shape(frame_623_shape_group_5_shape_2_horizontal_lines, 91, 4),
        shape(frame_623_shape_group_5_shape_3_horizontal_lines, 126, 2),
        shape(frame_623_shape_group_5_shape_4_horizontal_lines, 127, 4),
        shape(frame_623_shape_group_5_shape_5_horizontal_lines, 137, 2),
        shape(frame_623_shape_group_5_shape_6_horizontal_lines, 141, 4),
        shape(frame_623_shape_group_5_shape_7_horizontal_lines, 151, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(156, 218),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(221, 239),
        horizontal_line(159, 221),
        horizontal_line(222, 239),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(158, 159),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(163, 170),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(153, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(166, 174),
        horizontal_line(166, 175),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(150, 155),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 177),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(169, 181),
        horizontal_line(155, 161),
        horizontal_line(170, 182),
        horizontal_line(170, 183),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(171, 184),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(173, 187),
        horizontal_line(173, 187),
        horizontal_line(173, 188),
        horizontal_line(174, 188),
        horizontal_line(174, 189),
        horizontal_line(174, 189),
        horizontal_line(175, 190),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(176, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 195),
        horizontal_line(178, 196),
        horizontal_line(178, 196),
        horizontal_line(178, 197),
    };

    constexpr const horizontal_line frame_623_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(169, 187),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 190),
        horizontal_line(137, 151),
        horizontal_line(170, 190),
        horizontal_line(170, 191),
        horizontal_line(170, 191),
        horizontal_line(170, 191),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 194),
        horizontal_line(171, 194),
        horizontal_line(171, 194),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_623_shape_group_6_shapes[] = {
        shape(frame_623_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_623_shape_group_6_shape_1_horizontal_lines, 8, 4),
        shape(frame_623_shape_group_6_shape_2_horizontal_lines, 27, 2),
        shape(frame_623_shape_group_6_shape_3_horizontal_lines, 30, 4),
        shape(frame_623_shape_group_6_shape_4_horizontal_lines, 40, 2),
        shape(frame_623_shape_group_6_shape_5_horizontal_lines, 42, 4),
        shape(frame_623_shape_group_6_shape_6_horizontal_lines, 47, 2),
        shape(frame_623_shape_group_6_shape_7_horizontal_lines, 49, 4),
        shape(frame_623_shape_group_6_shape_8_horizontal_lines, 50, 2),
        shape(frame_623_shape_group_6_shape_9_horizontal_lines, 88, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(158, 158),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(159, 162),
        horizontal_line(155, 155),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(151, 155),
        horizontal_line(150, 155),
        horizontal_line(160, 165),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_623_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(131, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(166, 179),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 187),
        horizontal_line(168, 187),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(170, 190),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_623_shape_group_7_shapes[] = {
        shape(frame_623_shape_group_7_shape_0_horizontal_lines, 13, 4),
        shape(frame_623_shape_group_7_shape_1_horizontal_lines, 16, 4),
        shape(frame_623_shape_group_7_shape_2_horizontal_lines, 19, 4),
        shape(frame_623_shape_group_7_shape_3_horizontal_lines, 21, 4),
        shape(frame_623_shape_group_7_shape_4_horizontal_lines, 53, 2),
        shape(frame_623_shape_group_7_shape_5_horizontal_lines, 59, 4),
        shape(frame_623_shape_group_7_shape_6_horizontal_lines, 60, 2),
        shape(frame_623_shape_group_7_shape_7_horizontal_lines, 61, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(159, 163),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(176, 238),
        horizontal_line(160, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(139, 140),
        horizontal_line(137, 140),
        horizontal_line(135, 139),
        horizontal_line(148, 154),
        horizontal_line(133, 139),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(131, 138),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const shape frame_623_shape_group_8_shapes[] = {
        shape(frame_623_shape_group_8_shape_0_horizontal_lines, 27, 4),
        shape(frame_623_shape_group_8_shape_1_horizontal_lines, 126, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(238, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(161, 168),
        horizontal_line(148, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_623_shape_group_9_shapes[] = {
        shape(frame_623_shape_group_9_shape_0_horizontal_lines, 27, 4),
        shape(frame_623_shape_group_9_shape_1_horizontal_lines, 40, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(182, 239),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const shape frame_623_shape_group_10_shapes[] = {
        shape(frame_623_shape_group_10_shape_0_horizontal_lines, 41, 4),
        shape(frame_623_shape_group_10_shape_1_horizontal_lines, 47, 4),
        shape(frame_623_shape_group_10_shape_2_horizontal_lines, 50, 4),
        shape(frame_623_shape_group_10_shape_3_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_623_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_623_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const shape frame_623_shape_group_11_shapes[] = {
        shape(frame_623_shape_group_11_shape_0_horizontal_lines, 56, 4),
        shape(frame_623_shape_group_11_shape_1_horizontal_lines, 60, 4),
    };

    constexpr const shape_group frame_623_shape_groups[] = {
        shape_group(frame_623_shape_group_0_shapes),
        shape_group(frame_623_shape_group_1_shapes),
        shape_group(frame_623_shape_group_2_shapes),
        shape_group(frame_623_shape_group_3_shapes),
        shape_group(frame_623_shape_group_4_shapes),
        shape_group(frame_623_shape_group_5_shapes),
        shape_group(frame_623_shape_group_6_shapes),
        shape_group(frame_623_shape_group_7_shapes),
        shape_group(frame_623_shape_group_8_shapes),
        shape_group(frame_623_shape_group_9_shapes),
        shape_group(frame_623_shape_group_10_shapes),
        shape_group(frame_623_shape_group_11_shapes),
    };

    constexpr const frame frame_623_impl(frame_623_colors, frame_623_shape_groups);
} 

const frame& frame_623()
{
    return frame_623_impl;
}

namespace
{
    constexpr const bn::color frame_624_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_624_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(73, 74),
        horizontal_line(73, 76),
        horizontal_line(73, 79),
        horizontal_line(73, 81),
        horizontal_line(73, 83),
        horizontal_line(73, 86),
        horizontal_line(73, 88),
        horizontal_line(73, 90),
        horizontal_line(74, 93),
        horizontal_line(74, 95),
        horizontal_line(74, 97),
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 104),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 106),
        horizontal_line(79, 106),
        horizontal_line(79, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(82, 108),
        horizontal_line(82, 108),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(84, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 113),
        horizontal_line(85, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 114),
        horizontal_line(86, 114),
        horizontal_line(86, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 115),
        horizontal_line(87, 115),
        horizontal_line(87, 115),
        horizontal_line(87, 115),
        horizontal_line(88, 115),
        horizontal_line(88, 115),
        horizontal_line(88, 115),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(89, 116),
        horizontal_line(89, 116),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(90, 117),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(90, 118),
        horizontal_line(91, 119),
    };

    constexpr const shape frame_624_shape_group_0_shapes[] = {
        shape(frame_624_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(41, 90),
        horizontal_line(43, 88),
        horizontal_line(45, 87),
        horizontal_line(47, 86),
        horizontal_line(50, 84),
        horizontal_line(52, 83),
        horizontal_line(54, 82),
        horizontal_line(57, 81),
        horizontal_line(59, 79),
        horizontal_line(61, 78),
        horizontal_line(63, 77),
        horizontal_line(66, 75),
        horizontal_line(68, 74),
        horizontal_line(70, 73),
        horizontal_line(125, 155),
        horizontal_line(123, 156),
        horizontal_line(121, 156),
        horizontal_line(119, 156),
        horizontal_line(117, 156),
        horizontal_line(115, 157),
        horizontal_line(113, 157),
        horizontal_line(111, 157),
        horizontal_line(109, 158),
        horizontal_line(107, 154),
        horizontal_line(105, 150),
        horizontal_line(103, 145),
        horizontal_line(101, 141),
        horizontal_line(102, 136),
        horizontal_line(104, 132),
        horizontal_line(107, 127),
        horizontal_line(109, 123),
        horizontal_line(111, 118),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 116),
        horizontal_line(115, 118),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(122, 138),
        horizontal_line(121, 139),
        horizontal_line(121, 141),
        horizontal_line(122, 142),
        horizontal_line(122, 144),
        horizontal_line(122, 145),
        horizontal_line(122, 147),
        horizontal_line(122, 148),
        horizontal_line(122, 150),
        horizontal_line(122, 151),
        horizontal_line(122, 152),
        horizontal_line(122, 142),
        horizontal_line(122, 133),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(117, 158),
        horizontal_line(117, 160),
        horizontal_line(117, 161),
        horizontal_line(118, 163),
        horizontal_line(118, 164),
        horizontal_line(118, 165),
        horizontal_line(118, 167),
        horizontal_line(118, 168),
        horizontal_line(118, 170),
        horizontal_line(118, 171),
        horizontal_line(119, 173),
        horizontal_line(119, 174),
    };

    constexpr const horizontal_line frame_624_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(170, 177),
        horizontal_line(165, 178),
        horizontal_line(159, 179),
        horizontal_line(154, 180),
        horizontal_line(149, 181),
    };

    constexpr const shape frame_624_shape_group_1_shapes[] = {
        shape(frame_624_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_624_shape_group_1_shape_1_horizontal_lines, 33, 7),
        shape(frame_624_shape_group_1_shape_2_horizontal_lines, 89, 2),
        shape(frame_624_shape_group_1_shape_3_horizontal_lines, 118, 1),
        shape(frame_624_shape_group_1_shape_4_horizontal_lines, 119, 2),
        shape(frame_624_shape_group_1_shape_5_horizontal_lines, 127, 1),
        shape(frame_624_shape_group_1_shape_6_horizontal_lines, 142, 5),
        shape(frame_624_shape_group_1_shape_7_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(91, 152),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(149, 152),
        horizontal_line(147, 152),
        horizontal_line(145, 153),
        horizontal_line(143, 153),
        horizontal_line(141, 153),
        horizontal_line(139, 153),
        horizontal_line(137, 154),
        horizontal_line(135, 154),
        horizontal_line(133, 154),
        horizontal_line(131, 155),
        horizontal_line(129, 155),
        horizontal_line(127, 155),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(73, 124),
        horizontal_line(75, 122),
        horizontal_line(77, 120),
        horizontal_line(80, 118),
        horizontal_line(82, 116),
        horizontal_line(84, 114),
        horizontal_line(87, 112),
        horizontal_line(89, 110),
        horizontal_line(91, 108),
        horizontal_line(94, 106),
        horizontal_line(96, 104),
        horizontal_line(98, 102),
        horizontal_line(142, 157),
        horizontal_line(137, 157),
        horizontal_line(133, 157),
        horizontal_line(128, 157),
        horizontal_line(124, 157),
        horizontal_line(119, 157),
        horizontal_line(115, 157),
        horizontal_line(116, 157),
        horizontal_line(117, 157),
        horizontal_line(119, 157),
        horizontal_line(120, 157),
        horizontal_line(121, 157),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(123, 156),
        horizontal_line(123, 155),
        horizontal_line(123, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(125, 152),
        horizontal_line(133, 152),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 127),
        horizontal_line(123, 130),
        horizontal_line(123, 133),
        horizontal_line(125, 136),
        horizontal_line(127, 139),
        horizontal_line(129, 142),
        horizontal_line(131, 140),
        horizontal_line(133, 137),
        horizontal_line(135, 135),
        horizontal_line(122, 122),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(132, 143),
        horizontal_line(131, 142),
        horizontal_line(155, 166),
        horizontal_line(155, 167),
        horizontal_line(155, 167),
        horizontal_line(155, 167),
        horizontal_line(155, 167),
        horizontal_line(155, 167),
        horizontal_line(155, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(123, 137),
        horizontal_line(153, 170),
        horizontal_line(153, 170),
        horizontal_line(153, 170),
        horizontal_line(153, 170),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(121, 136),
        horizontal_line(121, 121),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(143, 154),
        horizontal_line(134, 155),
        horizontal_line(124, 157),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(159, 173),
        horizontal_line(161, 173),
        horizontal_line(162, 173),
        horizontal_line(164, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 174),
        horizontal_line(168, 174),
        horizontal_line(169, 174),
        horizontal_line(171, 174),
        horizontal_line(172, 174),
        horizontal_line(174, 174),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(119, 175),
        horizontal_line(120, 169),
        horizontal_line(120, 164),
        horizontal_line(121, 158),
        horizontal_line(121, 153),
        horizontal_line(122, 148),
    };

    constexpr const shape frame_624_shape_group_2_shapes[] = {
        shape(frame_624_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_624_shape_group_2_shape_1_horizontal_lines, 1, 1),
        shape(frame_624_shape_group_2_shape_2_horizontal_lines, 14, 5),
        shape(frame_624_shape_group_2_shape_3_horizontal_lines, 38, 1),
        shape(frame_624_shape_group_2_shape_4_horizontal_lines, 47, 2),
        shape(frame_624_shape_group_2_shape_5_horizontal_lines, 48, 1),
        shape(frame_624_shape_group_2_shape_6_horizontal_lines, 60, 2),
        shape(frame_624_shape_group_2_shape_7_horizontal_lines, 138, 5),
        shape(frame_624_shape_group_2_shape_8_horizontal_lines, 142, 2),
        shape(frame_624_shape_group_2_shape_9_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(89, 150),
        horizontal_line(88, 148),
        horizontal_line(87, 146),
        horizontal_line(85, 144),
        horizontal_line(84, 142),
        horizontal_line(83, 140),
        horizontal_line(82, 138),
        horizontal_line(80, 136),
        horizontal_line(79, 134),
        horizontal_line(78, 132),
        horizontal_line(76, 130),
        horizontal_line(75, 128),
        horizontal_line(74, 126),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(158, 162),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(151, 157),
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(124, 132),
        horizontal_line(124, 141),
        horizontal_line(157, 161),
        horizontal_line(125, 150),
        horizontal_line(128, 150),
        horizontal_line(131, 150),
        horizontal_line(134, 150),
        horizontal_line(123, 124),
        horizontal_line(123, 126),
        horizontal_line(123, 128),
        horizontal_line(122, 130),
        horizontal_line(122, 132),
        horizontal_line(122, 134),
        horizontal_line(123, 133),
        horizontal_line(125, 133),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(182, 206),
        horizontal_line(182, 207),
        horizontal_line(182, 208),
        horizontal_line(183, 208),
        horizontal_line(183, 209),
        horizontal_line(183, 209),
        horizontal_line(184, 210),
        horizontal_line(184, 211),
        horizontal_line(184, 211),
        horizontal_line(185, 212),
        horizontal_line(185, 212),
        horizontal_line(185, 213),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 215),
        horizontal_line(187, 215),
        horizontal_line(187, 216),
        horizontal_line(187, 217),
        horizontal_line(187, 217),
        horizontal_line(188, 218),
        horizontal_line(188, 218),
        horizontal_line(188, 219),
        horizontal_line(189, 220),
        horizontal_line(189, 220),
        horizontal_line(189, 221),
        horizontal_line(190, 221),
        horizontal_line(190, 222),
        horizontal_line(153, 170),
        horizontal_line(191, 223),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(192, 225),
        horizontal_line(192, 225),
        horizontal_line(192, 226),
        horizontal_line(193, 227),
        horizontal_line(193, 227),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(194, 229),
        horizontal_line(194, 230),
        horizontal_line(195, 230),
        horizontal_line(195, 231),
        horizontal_line(195, 231),
        horizontal_line(195, 232),
        horizontal_line(196, 233),
        horizontal_line(196, 233),
        horizontal_line(196, 234),
        horizontal_line(154, 172),
        horizontal_line(155, 173),
        horizontal_line(156, 173),
        horizontal_line(158, 173),
        horizontal_line(198, 237),
        horizontal_line(198, 237),
        horizontal_line(199, 238),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(175, 201),
    };

    constexpr const horizontal_line frame_624_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
    };

    constexpr const shape frame_624_shape_group_3_shapes[] = {
        shape(frame_624_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_624_shape_group_3_shape_1_horizontal_lines, 1, 5),
        shape(frame_624_shape_group_3_shape_2_horizontal_lines, 14, 2),
        shape(frame_624_shape_group_3_shape_3_horizontal_lines, 23, 5),
        shape(frame_624_shape_group_3_shape_4_horizontal_lines, 26, 2),
        shape(frame_624_shape_group_3_shape_5_horizontal_lines, 153, 4),
        shape(frame_624_shape_group_3_shape_6_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(153, 154),
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(154, 156),
        horizontal_line(155, 157),
        horizontal_line(155, 157),
        horizontal_line(155, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 160),
        horizontal_line(157, 160),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(162, 224),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 179),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(168, 180),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(137, 150),
        horizontal_line(140, 149),
        horizontal_line(143, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(181, 205),
        horizontal_line(181, 206),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(190, 222),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(193, 228),
        horizontal_line(194, 228),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(140, 152),
        horizontal_line(142, 152),
        horizontal_line(143, 152),
        horizontal_line(145, 152),
        horizontal_line(146, 152),
        horizontal_line(148, 152),
        horizontal_line(149, 152),
        horizontal_line(151, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(197, 234),
        horizontal_line(197, 235),
        horizontal_line(197, 236),
        horizontal_line(198, 236),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(174, 197),
        horizontal_line(174, 197),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
    };

    constexpr const horizontal_line frame_624_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(177, 201),
        horizontal_line(178, 201),
        horizontal_line(179, 202),
        horizontal_line(180, 202),
        horizontal_line(181, 202),
        horizontal_line(182, 203),
    };

    constexpr const shape frame_624_shape_group_4_shapes[] = {
        shape(frame_624_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_624_shape_group_4_shape_1_horizontal_lines, 1, 2),
        shape(frame_624_shape_group_4_shape_2_horizontal_lines, 14, 4),
        shape(frame_624_shape_group_4_shape_3_horizontal_lines, 23, 2),
        shape(frame_624_shape_group_4_shape_4_horizontal_lines, 91, 4),
        shape(frame_624_shape_group_4_shape_5_horizontal_lines, 118, 2),
        shape(frame_624_shape_group_4_shape_6_horizontal_lines, 119, 4),
        shape(frame_624_shape_group_4_shape_7_horizontal_lines, 127, 2),
        shape(frame_624_shape_group_4_shape_8_horizontal_lines, 129, 4),
        shape(frame_624_shape_group_4_shape_9_horizontal_lines, 138, 2),
        shape(frame_624_shape_group_4_shape_10_horizontal_lines, 142, 4),
        shape(frame_624_shape_group_4_shape_11_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(154, 154),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(155, 155),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(156, 156),
        horizontal_line(162, 224),
        horizontal_line(224, 239),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(161, 167),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(161, 164),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(154, 156),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 179),
        horizontal_line(167, 180),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(168, 181),
        horizontal_line(168, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 183),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(172, 188),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 191),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 193),
        horizontal_line(175, 193),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(176, 195),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
        horizontal_line(177, 197),
        horizontal_line(177, 198),
        horizontal_line(177, 198),
        horizontal_line(178, 199),
        horizontal_line(178, 199),
        horizontal_line(178, 200),
        horizontal_line(178, 201),
        horizontal_line(179, 201),
        horizontal_line(179, 202),
        horizontal_line(179, 202),
        horizontal_line(180, 203),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(181, 205),
    };

    constexpr const horizontal_line frame_624_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(120, 131),
        horizontal_line(120, 130),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(138, 153),
        horizontal_line(122, 122),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(171, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 192),
        horizontal_line(172, 192),
        horizontal_line(138, 152),
        horizontal_line(139, 152),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 197),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_624_shape_group_5_shapes[] = {
        shape(frame_624_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_624_shape_group_5_shape_1_horizontal_lines, 23, 2),
        shape(frame_624_shape_group_5_shape_2_horizontal_lines, 26, 4),
        shape(frame_624_shape_group_5_shape_3_horizontal_lines, 45, 2),
        shape(frame_624_shape_group_5_shape_4_horizontal_lines, 47, 4),
        shape(frame_624_shape_group_5_shape_5_horizontal_lines, 48, 2),
        shape(frame_624_shape_group_5_shape_6_horizontal_lines, 89, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(158, 220),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(159, 221),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 160),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(162, 167),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_624_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(169, 183),
        horizontal_line(170, 184),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 186),
        horizontal_line(171, 186),
        horizontal_line(171, 187),
        horizontal_line(171, 187),
    };

    constexpr const horizontal_line frame_624_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(167, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 183),
        horizontal_line(168, 183),
        horizontal_line(168, 183),
        horizontal_line(169, 184),
        horizontal_line(169, 184),
        horizontal_line(169, 184),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 186),
        horizontal_line(169, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(138, 152),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(172, 192),
        horizontal_line(172, 193),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_624_shape_group_6_shapes[] = {
        shape(frame_624_shape_group_6_shape_0_horizontal_lines, 1, 4),
        shape(frame_624_shape_group_6_shape_1_horizontal_lines, 16, 4),
        shape(frame_624_shape_group_6_shape_2_horizontal_lines, 52, 2),
        shape(frame_624_shape_group_6_shape_3_horizontal_lines, 60, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(181, 239),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(151, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(141, 141),
        horizontal_line(138, 141),
        horizontal_line(136, 141),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(131, 138),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(167, 180),
        horizontal_line(167, 180),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(171, 189),
    };

    constexpr const horizontal_line frame_624_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_624_shape_group_7_shapes[] = {
        shape(frame_624_shape_group_7_shape_0_horizontal_lines, 7, 4),
        shape(frame_624_shape_group_7_shape_1_horizontal_lines, 10, 4),
        shape(frame_624_shape_group_7_shape_2_horizontal_lines, 13, 4),
        shape(frame_624_shape_group_7_shape_3_horizontal_lines, 23, 4),
        shape(frame_624_shape_group_7_shape_4_horizontal_lines, 127, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(162, 168),
        horizontal_line(162, 169),
        horizontal_line(163, 169),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(164, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_624_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const shape frame_624_shape_group_8_shapes[] = {
        shape(frame_624_shape_group_8_shape_0_horizontal_lines, 23, 4),
        shape(frame_624_shape_group_8_shape_1_horizontal_lines, 39, 4),
        shape(frame_624_shape_group_8_shape_2_horizontal_lines, 45, 4),
        shape(frame_624_shape_group_8_shape_3_horizontal_lines, 48, 4),
        shape(frame_624_shape_group_8_shape_4_horizontal_lines, 118, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_624_shape_group_9_shapes[] = {
        shape(frame_624_shape_group_9_shape_0_horizontal_lines, 52, 4),
    };

    constexpr const horizontal_line frame_624_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_624_shape_group_10_shapes[] = {
        shape(frame_624_shape_group_10_shape_0_horizontal_lines, 55, 4),
    };

    constexpr const shape_group frame_624_shape_groups[] = {
        shape_group(frame_624_shape_group_0_shapes),
        shape_group(frame_624_shape_group_1_shapes),
        shape_group(frame_624_shape_group_2_shapes),
        shape_group(frame_624_shape_group_3_shapes),
        shape_group(frame_624_shape_group_4_shapes),
        shape_group(frame_624_shape_group_5_shapes),
        shape_group(frame_624_shape_group_6_shapes),
        shape_group(frame_624_shape_group_7_shapes),
        shape_group(frame_624_shape_group_8_shapes),
        shape_group(frame_624_shape_group_9_shapes),
        shape_group(frame_624_shape_group_10_shapes),
    };

    constexpr const frame frame_624_impl(frame_624_colors, frame_624_shape_groups);
} 

const frame& frame_624()
{
    return frame_624_impl;
}

namespace
{
    constexpr const bn::color frame_625_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(50, 76),
        horizontal_line(52, 74),
        horizontal_line(54, 73),
        horizontal_line(56, 72),
        horizontal_line(59, 71),
        horizontal_line(61, 70),
        horizontal_line(63, 69),
        horizontal_line(65, 68),
        horizontal_line(126, 156),
        horizontal_line(124, 157),
        horizontal_line(122, 157),
        horizontal_line(120, 157),
        horizontal_line(118, 157),
        horizontal_line(116, 158),
        horizontal_line(114, 158),
        horizontal_line(112, 158),
        horizontal_line(110, 158),
        horizontal_line(108, 159),
        horizontal_line(106, 156),
        horizontal_line(104, 152),
        horizontal_line(102, 148),
        horizontal_line(100, 144),
        horizontal_line(99, 140),
        horizontal_line(100, 136),
        horizontal_line(102, 132),
        horizontal_line(104, 128),
        horizontal_line(106, 124),
        horizontal_line(108, 120),
        horizontal_line(110, 116),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(114, 157),
        horizontal_line(115, 157),
        horizontal_line(116, 157),
        horizontal_line(118, 157),
        horizontal_line(119, 157),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(140, 156),
        horizontal_line(122, 156),
        horizontal_line(122, 155),
        horizontal_line(123, 155),
        horizontal_line(123, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(125, 153),
        horizontal_line(133, 152),
        horizontal_line(143, 152),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(124, 152),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(123, 130),
        horizontal_line(123, 133),
        horizontal_line(124, 137),
        horizontal_line(126, 140),
        horizontal_line(128, 144),
        horizontal_line(130, 142),
        horizontal_line(132, 140),
        horizontal_line(134, 138),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(119, 120),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(119, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(120, 138),
        horizontal_line(120, 140),
        horizontal_line(120, 141),
        horizontal_line(120, 143),
        horizontal_line(121, 145),
        horizontal_line(121, 146),
        horizontal_line(121, 148),
        horizontal_line(121, 150),
        horizontal_line(121, 151),
        horizontal_line(121, 153),
        horizontal_line(121, 154),
        horizontal_line(121, 146),
        horizontal_line(121, 138),
        horizontal_line(121, 130),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(115, 161),
        horizontal_line(115, 162),
        horizontal_line(115, 163),
        horizontal_line(116, 164),
        horizontal_line(116, 165),
        horizontal_line(116, 167),
        horizontal_line(117, 168),
        horizontal_line(117, 169),
        horizontal_line(117, 170),
        horizontal_line(118, 171),
        horizontal_line(118, 173),
        horizontal_line(118, 174),
        horizontal_line(119, 175),
        horizontal_line(119, 176),
    };

    constexpr const horizontal_line frame_625_shape_group_0_shape_10_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(169, 180),
    };

    constexpr const shape frame_625_shape_group_0_shapes[] = {
        shape(frame_625_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_625_shape_group_0_shape_1_horizontal_lines, 30, 5),
        shape(frame_625_shape_group_0_shape_2_horizontal_lines, 35, 1),
        shape(frame_625_shape_group_0_shape_3_horizontal_lines, 45, 2),
        shape(frame_625_shape_group_0_shape_4_horizontal_lines, 47, 1),
        shape(frame_625_shape_group_0_shape_5_horizontal_lines, 59, 2),
        shape(frame_625_shape_group_0_shape_6_horizontal_lines, 117, 1),
        shape(frame_625_shape_group_0_shape_7_horizontal_lines, 119, 2),
        shape(frame_625_shape_group_0_shape_8_horizontal_lines, 128, 1),
        shape(frame_625_shape_group_0_shape_9_horizontal_lines, 144, 5),
        shape(frame_625_shape_group_0_shape_10_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(142, 155),
        horizontal_line(140, 155),
        horizontal_line(138, 155),
        horizontal_line(136, 155),
        horizontal_line(134, 155),
        horizontal_line(132, 156),
        horizontal_line(130, 156),
        horizontal_line(128, 156),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(68, 125),
        horizontal_line(70, 123),
        horizontal_line(72, 121),
        horizontal_line(74, 119),
        horizontal_line(76, 117),
        horizontal_line(79, 115),
        horizontal_line(81, 113),
        horizontal_line(83, 111),
        horizontal_line(85, 109),
        horizontal_line(87, 107),
        horizontal_line(90, 105),
        horizontal_line(92, 103),
        horizontal_line(94, 101),
        horizontal_line(96, 99),
        horizontal_line(141, 158),
        horizontal_line(137, 158),
        horizontal_line(133, 158),
        horizontal_line(129, 158),
        horizontal_line(125, 157),
        horizontal_line(121, 157),
        horizontal_line(117, 157),
        horizontal_line(113, 157),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(120, 139),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(124, 132),
        horizontal_line(124, 142),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(127, 151),
        horizontal_line(131, 151),
        horizontal_line(134, 151),
        horizontal_line(123, 123),
        horizontal_line(123, 125),
        horizontal_line(123, 127),
        horizontal_line(122, 129),
        horizontal_line(122, 131),
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(126, 134),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 142),
        horizontal_line(156, 168),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 173),
        horizontal_line(120, 136),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 174),
        horizontal_line(155, 174),
        horizontal_line(155, 174),
        horizontal_line(155, 174),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(147, 156),
        horizontal_line(139, 157),
        horizontal_line(131, 158),
        horizontal_line(123, 159),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(162, 175),
        horizontal_line(163, 175),
        horizontal_line(164, 175),
        horizontal_line(165, 175),
        horizontal_line(166, 175),
        horizontal_line(168, 175),
        horizontal_line(169, 175),
        horizontal_line(170, 176),
        horizontal_line(171, 176),
        horizontal_line(172, 176),
        horizontal_line(174, 176),
        horizontal_line(175, 176),
        horizontal_line(176, 176),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(119, 177),
        horizontal_line(120, 168),
    };

    constexpr const shape frame_625_shape_group_1_shapes[] = {
        shape(frame_625_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_625_shape_group_1_shape_1_horizontal_lines, 8, 5),
        shape(frame_625_shape_group_1_shape_2_horizontal_lines, 30, 2),
        shape(frame_625_shape_group_1_shape_3_horizontal_lines, 35, 5),
        shape(frame_625_shape_group_1_shape_4_horizontal_lines, 36, 2),
        shape(frame_625_shape_group_1_shape_5_horizontal_lines, 56, 1),
        shape(frame_625_shape_group_1_shape_6_horizontal_lines, 57, 2),
        shape(frame_625_shape_group_1_shape_7_horizontal_lines, 139, 5),
        shape(frame_625_shape_group_1_shape_8_horizontal_lines, 144, 2),
        shape(frame_625_shape_group_1_shape_9_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 133),
        horizontal_line(71, 131),
        horizontal_line(70, 129),
        horizontal_line(69, 127),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(153, 158),
        horizontal_line(149, 158),
        horizontal_line(145, 158),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(165, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 179),
        horizontal_line(166, 179),
        horizontal_line(167, 180),
        horizontal_line(157, 161),
        horizontal_line(167, 181),
        horizontal_line(168, 182),
        horizontal_line(168, 183),
        horizontal_line(168, 183),
        horizontal_line(169, 184),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(170, 187),
        horizontal_line(171, 188),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 163),
        horizontal_line(138, 151),
        horizontal_line(141, 150),
        horizontal_line(145, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(123, 135),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(187, 219),
        horizontal_line(187, 219),
        horizontal_line(187, 220),
        horizontal_line(188, 221),
        horizontal_line(188, 221),
        horizontal_line(188, 222),
        horizontal_line(189, 223),
        horizontal_line(189, 223),
        horizontal_line(189, 224),
        horizontal_line(190, 225),
        horizontal_line(190, 225),
        horizontal_line(190, 226),
        horizontal_line(190, 226),
        horizontal_line(191, 227),
        horizontal_line(191, 228),
        horizontal_line(191, 228),
        horizontal_line(192, 229),
        horizontal_line(192, 230),
        horizontal_line(192, 230),
        horizontal_line(193, 231),
        horizontal_line(193, 232),
        horizontal_line(193, 232),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(194, 234),
        horizontal_line(195, 235),
        horizontal_line(195, 235),
        horizontal_line(195, 236),
        horizontal_line(196, 237),
        horizontal_line(196, 237),
        horizontal_line(196, 238),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(155, 173),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(156, 174),
        horizontal_line(157, 174),
        horizontal_line(158, 174),
        horizontal_line(159, 174),
        horizontal_line(160, 175),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(177, 206),
    };

    constexpr const horizontal_line frame_625_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_625_shape_group_2_shapes[] = {
        shape(frame_625_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_625_shape_group_2_shape_1_horizontal_lines, 8, 2),
        shape(frame_625_shape_group_2_shape_2_horizontal_lines, 18, 5),
        shape(frame_625_shape_group_2_shape_3_horizontal_lines, 22, 2),
        shape(frame_625_shape_group_2_shape_4_horizontal_lines, 157, 4),
        shape(frame_625_shape_group_2_shape_5_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(137, 139),
        horizontal_line(136, 137),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(165, 227),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 176),
        horizontal_line(165, 176),
        horizontal_line(165, 177),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(162, 165),
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 181),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(170, 186),
        horizontal_line(170, 186),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(153, 156),
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(171, 189),
        horizontal_line(172, 190),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(143, 149),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(175, 196),
        horizontal_line(175, 197),
        horizontal_line(175, 197),
        horizontal_line(176, 198),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 203),
        horizontal_line(179, 204),
        horizontal_line(179, 204),
        horizontal_line(179, 205),
        horizontal_line(180, 205),
        horizontal_line(180, 206),
        horizontal_line(180, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 208),
        horizontal_line(181, 209),
        horizontal_line(182, 209),
        horizontal_line(182, 210),
        horizontal_line(182, 211),
        horizontal_line(183, 211),
        horizontal_line(183, 212),
        horizontal_line(183, 212),
        horizontal_line(184, 213),
        horizontal_line(184, 214),
        horizontal_line(184, 214),
        horizontal_line(185, 215),
        horizontal_line(185, 216),
        horizontal_line(185, 216),
        horizontal_line(186, 217),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(194, 233),
        horizontal_line(194, 233),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(139, 154),
        horizontal_line(141, 154),
        horizontal_line(142, 154),
        horizontal_line(144, 154),
        horizontal_line(146, 154),
        horizontal_line(147, 154),
        horizontal_line(149, 154),
        horizontal_line(151, 154),
        horizontal_line(152, 154),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 203),
        horizontal_line(176, 203),
        horizontal_line(176, 203),
        horizontal_line(176, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 205),
        horizontal_line(177, 205),
        horizontal_line(177, 205),
        horizontal_line(177, 206),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(79, 115),
    };

    constexpr const horizontal_line frame_625_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(179, 206),
        horizontal_line(181, 207),
    };

    constexpr const shape frame_625_shape_group_3_shapes[] = {
        shape(frame_625_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_625_shape_group_3_shape_1_horizontal_lines, 4, 2),
        shape(frame_625_shape_group_3_shape_2_horizontal_lines, 8, 4),
        shape(frame_625_shape_group_3_shape_3_horizontal_lines, 18, 2),
        shape(frame_625_shape_group_3_shape_4_horizontal_lines, 30, 4),
        shape(frame_625_shape_group_3_shape_5_horizontal_lines, 35, 2),
        shape(frame_625_shape_group_3_shape_6_horizontal_lines, 36, 4),
        shape(frame_625_shape_group_3_shape_7_horizontal_lines, 43, 2),
        shape(frame_625_shape_group_3_shape_8_horizontal_lines, 45, 4),
        shape(frame_625_shape_group_3_shape_9_horizontal_lines, 47, 2),
        shape(frame_625_shape_group_3_shape_10_horizontal_lines, 95, 4),
        shape(frame_625_shape_group_3_shape_11_horizontal_lines, 117, 2),
        shape(frame_625_shape_group_3_shape_12_horizontal_lines, 119, 4),
        shape(frame_625_shape_group_3_shape_13_horizontal_lines, 128, 2),
        shape(frame_625_shape_group_3_shape_14_horizontal_lines, 129, 4),
        shape(frame_625_shape_group_3_shape_15_horizontal_lines, 139, 2),
        shape(frame_625_shape_group_3_shape_16_horizontal_lines, 144, 4),
        shape(frame_625_shape_group_3_shape_17_horizontal_lines, 157, 7),
        shape(frame_625_shape_group_3_shape_18_horizontal_lines, 158, 4),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(157, 157),
        horizontal_line(165, 227),
        horizontal_line(227, 239),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 172),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(162, 166),
        horizontal_line(182, 239),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(172, 190),
        horizontal_line(172, 191),
        horizontal_line(173, 192),
        horizontal_line(173, 192),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(157, 163),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(131, 139),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(119, 130),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(121, 123),
        horizontal_line(123, 123),
        horizontal_line(173, 193),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 196),
        horizontal_line(174, 196),
        horizontal_line(138, 154),
        horizontal_line(174, 197),
        horizontal_line(174, 197),
        horizontal_line(174, 197),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 201),
        horizontal_line(175, 201),
        horizontal_line(176, 201),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(79, 114),
        horizontal_line(79, 114),
        horizontal_line(79, 114),
        horizontal_line(79, 114),
        horizontal_line(79, 114),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
    };

    constexpr const horizontal_line frame_625_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(79, 115),
        horizontal_line(80, 116),
    };

    constexpr const shape frame_625_shape_group_4_shapes[] = {
        shape(frame_625_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_625_shape_group_4_shape_1_horizontal_lines, 4, 4),
        shape(frame_625_shape_group_4_shape_2_horizontal_lines, 18, 2),
        shape(frame_625_shape_group_4_shape_3_horizontal_lines, 22, 4),
        shape(frame_625_shape_group_4_shape_4_horizontal_lines, 50, 2),
        shape(frame_625_shape_group_4_shape_5_horizontal_lines, 59, 4),
        shape(frame_625_shape_group_4_shape_6_horizontal_lines, 144, 7),
        shape(frame_625_shape_group_4_shape_7_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(164, 226),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(68, 69),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(160, 160),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(69, 99),
        horizontal_line(69, 99),
        horizontal_line(69, 99),
        horizontal_line(69, 99),
        horizontal_line(70, 99),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(70, 99),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(164, 171),
        horizontal_line(152, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(143, 143),
        horizontal_line(141, 143),
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(174, 194),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(169, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 192),
        horizontal_line(172, 192),
        horizontal_line(172, 192),
        horizontal_line(139, 154),
        horizontal_line(138, 154),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(77, 111),
        horizontal_line(77, 111),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(174, 196),
    };

    constexpr const horizontal_line frame_625_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(78, 112),
        horizontal_line(78, 112),
        horizontal_line(78, 112),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
    };

    constexpr const shape frame_625_shape_group_5_shapes[] = {
        shape(frame_625_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_625_shape_group_5_shape_1_horizontal_lines, 9, 7),
        shape(frame_625_shape_group_5_shape_2_horizontal_lines, 10, 4),
        shape(frame_625_shape_group_5_shape_3_horizontal_lines, 30, 7),
        shape(frame_625_shape_group_5_shape_4_horizontal_lines, 35, 4),
        shape(frame_625_shape_group_5_shape_5_horizontal_lines, 36, 7),
        shape(frame_625_shape_group_5_shape_6_horizontal_lines, 37, 4),
        shape(frame_625_shape_group_5_shape_7_horizontal_lines, 56, 2),
        shape(frame_625_shape_group_5_shape_8_horizontal_lines, 57, 4),
        shape(frame_625_shape_group_5_shape_9_horizontal_lines, 126, 7),
        shape(frame_625_shape_group_5_shape_10_horizontal_lines, 128, 4),
        shape(frame_625_shape_group_5_shape_11_horizontal_lines, 129, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(68, 71),
        horizontal_line(68, 73),
        horizontal_line(68, 75),
        horizontal_line(68, 78),
        horizontal_line(68, 80),
        horizontal_line(68, 82),
        horizontal_line(68, 84),
        horizontal_line(68, 86),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(69, 98),
        horizontal_line(113, 113),
        horizontal_line(113, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 117),
        horizontal_line(113, 118),
        horizontal_line(70, 99),
        horizontal_line(113, 121),
        horizontal_line(70, 99),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(70, 101),
        horizontal_line(71, 101),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 172),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(137, 142),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
        horizontal_line(167, 180),
        horizontal_line(167, 180),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 183),
        horizontal_line(168, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 184),
        horizontal_line(169, 184),
        horizontal_line(169, 184),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
    };

    constexpr const horizontal_line frame_625_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(77, 111),
    };

    constexpr const shape frame_625_shape_group_6_shapes[] = {
        shape(frame_625_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_625_shape_group_6_shape_1_horizontal_lines, 7, 4),
        shape(frame_625_shape_group_6_shape_2_horizontal_lines, 10, 7),
        shape(frame_625_shape_group_6_shape_3_horizontal_lines, 18, 4),
        shape(frame_625_shape_group_6_shape_4_horizontal_lines, 29, 7),
        shape(frame_625_shape_group_6_shape_5_horizontal_lines, 43, 4),
        shape(frame_625_shape_group_6_shape_6_horizontal_lines, 45, 7),
        shape(frame_625_shape_group_6_shape_7_horizontal_lines, 47, 4),
        shape(frame_625_shape_group_6_shape_8_horizontal_lines, 119, 7),
        shape(frame_625_shape_group_6_shape_9_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
        horizontal_line(69, 98),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(150, 156),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 109),
        horizontal_line(75, 109),
        horizontal_line(75, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
    };

    constexpr const horizontal_line frame_625_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_625_shape_group_7_shapes[] = {
        shape(frame_625_shape_group_7_shape_0_horizontal_lines, 18, 4),
        shape(frame_625_shape_group_7_shape_1_horizontal_lines, 22, 7),
        shape(frame_625_shape_group_7_shape_2_horizontal_lines, 35, 7),
        shape(frame_625_shape_group_7_shape_3_horizontal_lines, 37, 7),
        shape(frame_625_shape_group_7_shape_4_horizontal_lines, 50, 4),
        shape(frame_625_shape_group_7_shape_5_horizontal_lines, 95, 7),
        shape(frame_625_shape_group_7_shape_6_horizontal_lines, 117, 4),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(68, 89),
        horizontal_line(68, 91),
        horizontal_line(68, 93),
        horizontal_line(69, 95),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(164, 173),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(72, 103),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
    };

    constexpr const horizontal_line frame_625_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(76, 110),
        horizontal_line(76, 110),
    };

    constexpr const shape frame_625_shape_group_8_shapes[] = {
        shape(frame_625_shape_group_8_shape_0_horizontal_lines, 18, 7),
        shape(frame_625_shape_group_8_shape_1_horizontal_lines, 43, 7),
        shape(frame_625_shape_group_8_shape_2_horizontal_lines, 47, 7),
        shape(frame_625_shape_group_8_shape_3_horizontal_lines, 53, 4),
        shape(frame_625_shape_group_8_shape_4_horizontal_lines, 67, 7),
        shape(frame_625_shape_group_8_shape_5_horizontal_lines, 117, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
    };

    constexpr const horizontal_line frame_625_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_625_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(115, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const shape frame_625_shape_group_9_shapes[] = {
        shape(frame_625_shape_group_9_shape_0_horizontal_lines, 50, 7),
        shape(frame_625_shape_group_9_shape_1_horizontal_lines, 56, 4),
        shape(frame_625_shape_group_9_shape_2_horizontal_lines, 57, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 119),
        horizontal_line(71, 102),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
    };

    constexpr const shape frame_625_shape_group_10_shapes[] = {
        shape(frame_625_shape_group_10_shape_0_horizontal_lines, 53, 7),
    };

    constexpr const horizontal_line frame_625_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const shape frame_625_shape_group_11_shapes[] = {
        shape(frame_625_shape_group_11_shape_0_horizontal_lines, 56, 7),
    };

    constexpr const shape_group frame_625_shape_groups[] = {
        shape_group(frame_625_shape_group_0_shapes),
        shape_group(frame_625_shape_group_1_shapes),
        shape_group(frame_625_shape_group_2_shapes),
        shape_group(frame_625_shape_group_3_shapes),
        shape_group(frame_625_shape_group_4_shapes),
        shape_group(frame_625_shape_group_5_shapes),
        shape_group(frame_625_shape_group_6_shapes),
        shape_group(frame_625_shape_group_7_shapes),
        shape_group(frame_625_shape_group_8_shapes),
        shape_group(frame_625_shape_group_9_shapes),
        shape_group(frame_625_shape_group_10_shapes),
        shape_group(frame_625_shape_group_11_shapes),
    };

    constexpr const frame frame_625_impl(frame_625_colors, frame_625_shape_groups);
} 

const frame& frame_625()
{
    return frame_625_impl;
}

namespace
{
    constexpr const bn::color frame_626_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(57, 62),
        horizontal_line(59, 61),
        horizontal_line(124, 157),
        horizontal_line(122, 157),
        horizontal_line(120, 158),
        horizontal_line(119, 158),
        horizontal_line(117, 158),
        horizontal_line(115, 158),
        horizontal_line(113, 159),
        horizontal_line(112, 159),
        horizontal_line(110, 159),
        horizontal_line(108, 159),
        horizontal_line(106, 160),
        horizontal_line(104, 157),
        horizontal_line(103, 153),
        horizontal_line(101, 149),
        horizontal_line(99, 145),
        horizontal_line(97, 142),
        horizontal_line(96, 138),
        horizontal_line(97, 134),
        horizontal_line(99, 130),
        horizontal_line(102, 127),
        horizontal_line(104, 123),
        horizontal_line(107, 119),
        horizontal_line(109, 115),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(114, 159),
        horizontal_line(115, 159),
        horizontal_line(116, 159),
        horizontal_line(117, 159),
        horizontal_line(118, 159),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(151, 158),
        horizontal_line(141, 158),
        horizontal_line(131, 157),
        horizontal_line(122, 157),
        horizontal_line(122, 156),
        horizontal_line(123, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(125, 154),
        horizontal_line(126, 154),
        horizontal_line(139, 153),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(125, 153),
        horizontal_line(125, 152),
        horizontal_line(125, 152),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(124, 130),
        horizontal_line(124, 134),
        horizontal_line(124, 137),
        horizontal_line(126, 141),
        horizontal_line(128, 145),
        horizontal_line(129, 144),
        horizontal_line(131, 142),
        horizontal_line(133, 140),
        horizontal_line(135, 138),
        horizontal_line(137, 137),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(117, 117),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 120),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(118, 138),
        horizontal_line(118, 138),
        horizontal_line(118, 138),
        horizontal_line(118, 138),
        horizontal_line(118, 137),
        horizontal_line(118, 137),
        horizontal_line(119, 137),
        horizontal_line(119, 137),
        horizontal_line(119, 137),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(119, 139),
        horizontal_line(119, 141),
        horizontal_line(119, 142),
        horizontal_line(119, 144),
        horizontal_line(119, 145),
        horizontal_line(119, 147),
        horizontal_line(119, 148),
        horizontal_line(119, 150),
        horizontal_line(119, 151),
        horizontal_line(119, 153),
        horizontal_line(119, 154),
        horizontal_line(119, 155),
        horizontal_line(119, 146),
        horizontal_line(120, 138),
        horizontal_line(120, 129),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_626_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(114, 162),
        horizontal_line(114, 163),
        horizontal_line(114, 164),
        horizontal_line(114, 165),
        horizontal_line(115, 167),
        horizontal_line(115, 168),
        horizontal_line(115, 169),
        horizontal_line(116, 170),
        horizontal_line(116, 171),
        horizontal_line(116, 173),
        horizontal_line(117, 174),
        horizontal_line(117, 175),
        horizontal_line(117, 176),
        horizontal_line(118, 178),
    };

    constexpr const shape frame_626_shape_group_0_shapes[] = {
        shape(frame_626_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_626_shape_group_0_shape_1_horizontal_lines, 26, 5),
        shape(frame_626_shape_group_0_shape_2_horizontal_lines, 31, 1),
        shape(frame_626_shape_group_0_shape_3_horizontal_lines, 42, 2),
        shape(frame_626_shape_group_0_shape_4_horizontal_lines, 45, 1),
        shape(frame_626_shape_group_0_shape_5_horizontal_lines, 59, 2),
        shape(frame_626_shape_group_0_shape_6_horizontal_lines, 117, 1),
        shape(frame_626_shape_group_0_shape_7_horizontal_lines, 120, 2),
        shape(frame_626_shape_group_0_shape_8_horizontal_lines, 129, 1),
        shape(frame_626_shape_group_0_shape_9_horizontal_lines, 146, 5),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(128, 157),
        horizontal_line(126, 157),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(63, 121),
        horizontal_line(65, 119),
        horizontal_line(67, 118),
        horizontal_line(69, 116),
        horizontal_line(71, 114),
        horizontal_line(74, 112),
        horizontal_line(76, 111),
        horizontal_line(78, 109),
        horizontal_line(80, 107),
        horizontal_line(82, 105),
        horizontal_line(85, 103),
        horizontal_line(87, 102),
        horizontal_line(89, 100),
        horizontal_line(91, 98),
        horizontal_line(93, 96),
        horizontal_line(139, 159),
        horizontal_line(135, 159),
        horizontal_line(131, 159),
        horizontal_line(128, 159),
        horizontal_line(124, 159),
        horizontal_line(120, 159),
        horizontal_line(116, 159),
        horizontal_line(113, 159),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(119, 150),
        horizontal_line(120, 140),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(125, 138),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(127, 152),
        horizontal_line(131, 152),
        horizontal_line(135, 152),
        horizontal_line(138, 151),
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 130),
        horizontal_line(123, 132),
        horizontal_line(123, 134),
        horizontal_line(123, 136),
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(127, 134),
        horizontal_line(143, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(157, 170),
        horizontal_line(157, 171),
        horizontal_line(130, 142),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(156, 173),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(119, 137),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(147, 157),
        horizontal_line(139, 158),
        horizontal_line(130, 159),
        horizontal_line(122, 160),
    };

    constexpr const horizontal_line frame_626_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(163, 177),
        horizontal_line(164, 177),
        horizontal_line(165, 177),
        horizontal_line(166, 177),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(170, 178),
        horizontal_line(171, 178),
        horizontal_line(172, 178),
        horizontal_line(174, 178),
        horizontal_line(175, 178),
        horizontal_line(176, 178),
        horizontal_line(177, 178),
        horizontal_line(179, 179),
    };

    constexpr const shape frame_626_shape_group_1_shapes[] = {
        shape(frame_626_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_626_shape_group_1_shape_1_horizontal_lines, 2, 5),
        shape(frame_626_shape_group_1_shape_2_horizontal_lines, 26, 2),
        shape(frame_626_shape_group_1_shape_3_horizontal_lines, 31, 5),
        shape(frame_626_shape_group_1_shape_4_horizontal_lines, 34, 2),
        shape(frame_626_shape_group_1_shape_5_horizontal_lines, 141, 5),
        shape(frame_626_shape_group_1_shape_6_horizontal_lines, 146, 2),
    };

    constexpr const horizontal_line frame_626_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_626_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 172),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 174),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(161, 176),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_626_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(158, 159),
        horizontal_line(154, 159),
        horizontal_line(150, 159),
        horizontal_line(146, 159),
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_626_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(166, 186),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 188),
        horizontal_line(168, 189),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(169, 191),
        horizontal_line(169, 192),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 194),
        horizontal_line(171, 195),
        horizontal_line(171, 195),
        horizontal_line(159, 163),
        horizontal_line(172, 197),
        horizontal_line(172, 197),
        horizontal_line(172, 198),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(142, 151),
        horizontal_line(146, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 151),
        horizontal_line(145, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(190, 234),
        horizontal_line(191, 234),
        horizontal_line(157, 171),
        horizontal_line(191, 236),
        horizontal_line(192, 236),
        horizontal_line(192, 237),
        horizontal_line(192, 238),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(156, 175),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(157, 176),
        horizontal_line(158, 176),
        horizontal_line(159, 176),
        horizontal_line(160, 177),
        horizontal_line(161, 177),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_626_shape_group_2_shapes[] = {
        shape(frame_626_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_626_shape_group_2_shape_1_horizontal_lines, 3, 2),
        shape(frame_626_shape_group_2_shape_2_horizontal_lines, 13, 5),
        shape(frame_626_shape_group_2_shape_3_horizontal_lines, 18, 2),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(158, 170),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(175, 237),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 182),
        horizontal_line(165, 183),
        horizontal_line(165, 183),
        horizontal_line(165, 184),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(162, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 167),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(168, 189),
        horizontal_line(168, 190),
        horizontal_line(169, 191),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(171, 196),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 200),
        horizontal_line(174, 201),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 165),
        horizontal_line(178, 208),
        horizontal_line(178, 209),
        horizontal_line(178, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 211),
        horizontal_line(179, 212),
        horizontal_line(180, 212),
        horizontal_line(180, 213),
        horizontal_line(180, 214),
        horizontal_line(181, 214),
        horizontal_line(181, 215),
        horizontal_line(181, 216),
        horizontal_line(182, 216),
        horizontal_line(182, 217),
        horizontal_line(182, 218),
        horizontal_line(183, 218),
        horizontal_line(183, 219),
        horizontal_line(183, 220),
        horizontal_line(184, 220),
        horizontal_line(184, 221),
        horizontal_line(184, 222),
        horizontal_line(185, 222),
        horizontal_line(185, 223),
        horizontal_line(185, 224),
        horizontal_line(186, 224),
        horizontal_line(186, 225),
        horizontal_line(186, 226),
        horizontal_line(187, 226),
        horizontal_line(187, 227),
        horizontal_line(187, 228),
        horizontal_line(188, 228),
        horizontal_line(188, 229),
        horizontal_line(188, 230),
        horizontal_line(189, 230),
        horizontal_line(189, 231),
        horizontal_line(189, 232),
        horizontal_line(190, 232),
        horizontal_line(190, 233),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(118, 130),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(191, 235),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
        horizontal_line(117, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(140, 155),
        horizontal_line(142, 155),
        horizontal_line(143, 155),
        horizontal_line(145, 155),
        horizontal_line(146, 155),
        horizontal_line(148, 155),
        horizontal_line(149, 155),
        horizontal_line(151, 155),
        horizontal_line(152, 155),
        horizontal_line(154, 155),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(180, 211),
    };

    constexpr const shape frame_626_shape_group_3_shapes[] = {
        shape(frame_626_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_626_shape_group_3_shape_1_horizontal_lines, 2, 2),
        shape(frame_626_shape_group_3_shape_2_horizontal_lines, 3, 4),
        shape(frame_626_shape_group_3_shape_3_horizontal_lines, 13, 2),
        shape(frame_626_shape_group_3_shape_4_horizontal_lines, 26, 4),
        shape(frame_626_shape_group_3_shape_5_horizontal_lines, 31, 2),
        shape(frame_626_shape_group_3_shape_6_horizontal_lines, 34, 4),
        shape(frame_626_shape_group_3_shape_7_horizontal_lines, 41, 2),
        shape(frame_626_shape_group_3_shape_8_horizontal_lines, 42, 4),
        shape(frame_626_shape_group_3_shape_9_horizontal_lines, 45, 2),
        shape(frame_626_shape_group_3_shape_10_horizontal_lines, 97, 4),
        shape(frame_626_shape_group_3_shape_11_horizontal_lines, 99, 2),
        shape(frame_626_shape_group_3_shape_12_horizontal_lines, 100, 4),
        shape(frame_626_shape_group_3_shape_13_horizontal_lines, 117, 2),
        shape(frame_626_shape_group_3_shape_14_horizontal_lines, 120, 4),
        shape(frame_626_shape_group_3_shape_15_horizontal_lines, 129, 2),
        shape(frame_626_shape_group_3_shape_16_horizontal_lines, 130, 4),
        shape(frame_626_shape_group_3_shape_17_horizontal_lines, 141, 2),
        shape(frame_626_shape_group_3_shape_18_horizontal_lines, 146, 4),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(158, 169),
        horizontal_line(158, 169),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(237, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(162, 177),
        horizontal_line(162, 178),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 180),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(162, 163),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(158, 158),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(154, 158),
        horizontal_line(164, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(152, 158),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(174, 201),
        horizontal_line(174, 202),
        horizontal_line(175, 203),
        horizontal_line(175, 204),
        horizontal_line(176, 204),
        horizontal_line(176, 205),
        horizontal_line(176, 206),
        horizontal_line(177, 206),
        horizontal_line(177, 207),
        horizontal_line(177, 208),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(118, 129),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(119, 123),
        horizontal_line(121, 123),
        horizontal_line(123, 123),
        horizontal_line(174, 197),
        horizontal_line(175, 198),
        horizontal_line(175, 198),
        horizontal_line(175, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(139, 155),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 205),
        horizontal_line(177, 205),
        horizontal_line(178, 205),
        horizontal_line(178, 206),
    };

    constexpr const horizontal_line frame_626_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(67, 112),
    };

    constexpr const shape frame_626_shape_group_4_shapes[] = {
        shape(frame_626_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_626_shape_group_4_shape_1_horizontal_lines, 2, 4),
        shape(frame_626_shape_group_4_shape_2_horizontal_lines, 13, 2),
        shape(frame_626_shape_group_4_shape_3_horizontal_lines, 18, 4),
        shape(frame_626_shape_group_4_shape_4_horizontal_lines, 49, 2),
        shape(frame_626_shape_group_4_shape_5_horizontal_lines, 59, 4),
        shape(frame_626_shape_group_4_shape_6_horizontal_lines, 146, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(61, 64),
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(61, 73),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(61, 81),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(61, 95),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(163, 168),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(164, 170),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(143, 144),
        horizontal_line(141, 144),
        horizontal_line(139, 143),
        horizontal_line(138, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(171, 189),
        horizontal_line(172, 190),
        horizontal_line(143, 156),
        horizontal_line(172, 190),
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(172, 192),
        horizontal_line(173, 192),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(139, 155),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(65, 107),
        horizontal_line(65, 107),
        horizontal_line(65, 107),
        horizontal_line(65, 107),
        horizontal_line(65, 107),
        horizontal_line(65, 107),
        horizontal_line(65, 108),
        horizontal_line(65, 108),
        horizontal_line(65, 108),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(176, 200),
    };

    constexpr const horizontal_line frame_626_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(65, 108),
        horizontal_line(65, 108),
        horizontal_line(65, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 109),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
    };

    constexpr const shape frame_626_shape_group_5_shapes[] = {
        shape(frame_626_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_626_shape_group_5_shape_1_horizontal_lines, 4, 7),
        shape(frame_626_shape_group_5_shape_2_horizontal_lines, 6, 4),
        shape(frame_626_shape_group_5_shape_3_horizontal_lines, 8, 7),
        shape(frame_626_shape_group_5_shape_4_horizontal_lines, 9, 4),
        shape(frame_626_shape_group_5_shape_5_horizontal_lines, 12, 7),
        shape(frame_626_shape_group_5_shape_6_horizontal_lines, 13, 4),
        shape(frame_626_shape_group_5_shape_7_horizontal_lines, 26, 7),
        shape(frame_626_shape_group_5_shape_8_horizontal_lines, 31, 4),
        shape(frame_626_shape_group_5_shape_9_horizontal_lines, 120, 7),
        shape(frame_626_shape_group_5_shape_10_horizontal_lines, 129, 4),
        shape(frame_626_shape_group_5_shape_11_horizontal_lines, 130, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(61, 68),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(61, 75),
        horizontal_line(61, 77),
        horizontal_line(61, 79),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(113, 113),
        horizontal_line(113, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 116),
        horizontal_line(113, 117),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 174),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(169, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 184),
        horizontal_line(169, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 187),
        horizontal_line(171, 187),
        horizontal_line(171, 187),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(172, 190),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(64, 105),
        horizontal_line(64, 105),
        horizontal_line(64, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(174, 196),
        horizontal_line(174, 197),
        horizontal_line(174, 197),
    };

    constexpr const horizontal_line frame_626_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(65, 108),
    };

    constexpr const shape frame_626_shape_group_6_shapes[] = {
        shape(frame_626_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_626_shape_group_6_shape_1_horizontal_lines, 3, 7),
        shape(frame_626_shape_group_6_shape_2_horizontal_lines, 6, 7),
        shape(frame_626_shape_group_6_shape_3_horizontal_lines, 9, 7),
        shape(frame_626_shape_group_6_shape_4_horizontal_lines, 13, 4),
        shape(frame_626_shape_group_6_shape_5_horizontal_lines, 18, 7),
        shape(frame_626_shape_group_6_shape_6_horizontal_lines, 33, 4),
        shape(frame_626_shape_group_6_shape_7_horizontal_lines, 34, 7),
        shape(frame_626_shape_group_6_shape_8_horizontal_lines, 41, 4),
        shape(frame_626_shape_group_6_shape_9_horizontal_lines, 42, 7),
        shape(frame_626_shape_group_6_shape_10_horizontal_lines, 45, 4),
        shape(frame_626_shape_group_6_shape_11_horizontal_lines, 104, 7),
        shape(frame_626_shape_group_6_shape_12_horizontal_lines, 117, 4),
        shape(frame_626_shape_group_6_shape_13_horizontal_lines, 129, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(61, 84),
        horizontal_line(61, 86),
        horizontal_line(61, 88),
        horizontal_line(61, 90),
        horizontal_line(61, 92),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(113, 118),
        horizontal_line(113, 119),
        horizontal_line(62, 96),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(62, 97),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(168, 179),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(64, 104),
        horizontal_line(64, 104),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(64, 104),
        horizontal_line(64, 105),
        horizontal_line(64, 105),
        horizontal_line(64, 105),
    };

    constexpr const horizontal_line frame_626_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(65, 106),
        horizontal_line(65, 107),
        horizontal_line(65, 107),
    };

    constexpr const shape frame_626_shape_group_7_shapes[] = {
        shape(frame_626_shape_group_7_shape_0_horizontal_lines, 13, 7),
        shape(frame_626_shape_group_7_shape_1_horizontal_lines, 31, 7),
        shape(frame_626_shape_group_7_shape_2_horizontal_lines, 49, 4),
        shape(frame_626_shape_group_7_shape_3_horizontal_lines, 97, 7),
        shape(frame_626_shape_group_7_shape_4_horizontal_lines, 99, 4),
        shape(frame_626_shape_group_7_shape_5_horizontal_lines, 100, 7),
        shape(frame_626_shape_group_7_shape_6_horizontal_lines, 117, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_626_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_626_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_626_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_626_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 101),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(64, 104),
    };

    constexpr const shape frame_626_shape_group_8_shapes[] = {
        shape(frame_626_shape_group_8_shape_0_horizontal_lines, 33, 7),
        shape(frame_626_shape_group_8_shape_1_horizontal_lines, 41, 7),
        shape(frame_626_shape_group_8_shape_2_horizontal_lines, 45, 7),
        shape(frame_626_shape_group_8_shape_3_horizontal_lines, 52, 4),
        shape(frame_626_shape_group_8_shape_4_horizontal_lines, 68, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const shape frame_626_shape_group_9_shapes[] = {
        shape(frame_626_shape_group_9_shape_0_horizontal_lines, 49, 7),
    };

    constexpr const horizontal_line frame_626_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
    };

    constexpr const shape frame_626_shape_group_10_shapes[] = {
        shape(frame_626_shape_group_10_shape_0_horizontal_lines, 52, 7),
    };

    constexpr const shape_group frame_626_shape_groups[] = {
        shape_group(frame_626_shape_group_0_shapes),
        shape_group(frame_626_shape_group_1_shapes),
        shape_group(frame_626_shape_group_2_shapes),
        shape_group(frame_626_shape_group_3_shapes),
        shape_group(frame_626_shape_group_4_shapes),
        shape_group(frame_626_shape_group_5_shapes),
        shape_group(frame_626_shape_group_6_shapes),
        shape_group(frame_626_shape_group_7_shapes),
        shape_group(frame_626_shape_group_8_shapes),
        shape_group(frame_626_shape_group_9_shapes),
        shape_group(frame_626_shape_group_10_shapes),
    };

    constexpr const frame frame_626_impl(frame_626_colors, frame_626_shape_groups);
} 

const frame& frame_626()
{
    return frame_626_impl;
}

namespace
{
    constexpr const bn::color frame_627_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_627_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(54, 65),
        horizontal_line(53, 67),
        horizontal_line(53, 69),
        horizontal_line(53, 71),
        horizontal_line(53, 74),
        horizontal_line(53, 76),
        horizontal_line(53, 78),
        horizontal_line(53, 80),
        horizontal_line(53, 83),
        horizontal_line(53, 85),
        horizontal_line(53, 87),
        horizontal_line(53, 89),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 92),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 93),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(53, 94),
        horizontal_line(52, 94),
        horizontal_line(52, 94),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 95),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 103),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 105),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 106),
        horizontal_line(50, 107),
    };

    constexpr const shape frame_627_shape_group_0_shapes[] = {
        shape(frame_627_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(66, 113),
        horizontal_line(68, 111),
        horizontal_line(70, 109),
        horizontal_line(72, 107),
        horizontal_line(75, 106),
        horizontal_line(77, 104),
        horizontal_line(79, 102),
        horizontal_line(81, 100),
        horizontal_line(84, 99),
        horizontal_line(86, 97),
        horizontal_line(88, 95),
        horizontal_line(90, 93),
        horizontal_line(142, 161),
        horizontal_line(139, 161),
        horizontal_line(135, 161),
        horizontal_line(132, 161),
        horizontal_line(128, 161),
        horizontal_line(125, 160),
        horizontal_line(121, 160),
        horizontal_line(118, 160),
        horizontal_line(114, 160),
        horizontal_line(111, 160),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(111, 112),
        horizontal_line(111, 113),
        horizontal_line(111, 114),
        horizontal_line(111, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(116, 119),
        horizontal_line(116, 121),
        horizontal_line(116, 123),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(116, 139),
        horizontal_line(116, 139),
        horizontal_line(116, 139),
        horizontal_line(116, 139),
        horizontal_line(116, 139),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(117, 139),
        horizontal_line(117, 140),
        horizontal_line(117, 141),
        horizontal_line(117, 143),
        horizontal_line(117, 144),
        horizontal_line(117, 145),
        horizontal_line(117, 147),
        horizontal_line(117, 148),
        horizontal_line(117, 150),
        horizontal_line(117, 151),
        horizontal_line(117, 152),
        horizontal_line(117, 154),
        horizontal_line(118, 155),
    };

    constexpr const horizontal_line frame_627_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(146, 158),
        horizontal_line(135, 159),
        horizontal_line(124, 160),
        horizontal_line(113, 161),
        horizontal_line(113, 162),
        horizontal_line(113, 163),
        horizontal_line(113, 164),
        horizontal_line(114, 166),
        horizontal_line(114, 167),
        horizontal_line(114, 168),
        horizontal_line(114, 169),
        horizontal_line(115, 170),
        horizontal_line(115, 171),
        horizontal_line(115, 172),
        horizontal_line(115, 173),
        horizontal_line(116, 175),
    };

    constexpr const shape frame_627_shape_group_1_shapes[] = {
        shape(frame_627_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_627_shape_group_1_shape_1_horizontal_lines, 22, 7),
        shape(frame_627_shape_group_1_shape_2_horizontal_lines, 108, 2),
        shape(frame_627_shape_group_1_shape_3_horizontal_lines, 116, 1),
        shape(frame_627_shape_group_1_shape_4_horizontal_lines, 120, 2),
        shape(frame_627_shape_group_1_shape_5_horizontal_lines, 130, 1),
        shape(frame_627_shape_group_1_shape_6_horizontal_lines, 143, 5),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(114, 160),
        horizontal_line(112, 160),
        horizontal_line(110, 160),
        horizontal_line(108, 161),
        horizontal_line(107, 161),
        horizontal_line(105, 161),
        horizontal_line(103, 162),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(156, 161),
        horizontal_line(153, 161),
        horizontal_line(149, 161),
        horizontal_line(146, 161),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(93, 141),
        horizontal_line(94, 138),
        horizontal_line(96, 134),
        horizontal_line(98, 131),
        horizontal_line(100, 127),
        horizontal_line(102, 124),
        horizontal_line(104, 120),
        horizontal_line(106, 117),
        horizontal_line(108, 113),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(112, 160),
        horizontal_line(113, 160),
        horizontal_line(114, 160),
        horizontal_line(115, 160),
        horizontal_line(116, 160),
        horizontal_line(117, 160),
        horizontal_line(118, 147),
        horizontal_line(119, 133),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(121, 158),
        horizontal_line(121, 158),
        horizontal_line(122, 158),
        horizontal_line(122, 157),
        horizontal_line(123, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(125, 156),
        horizontal_line(126, 156),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(124, 136),
        horizontal_line(124, 139),
        horizontal_line(125, 142),
        horizontal_line(127, 146),
        horizontal_line(129, 145),
        horizontal_line(131, 143),
        horizontal_line(133, 141),
        horizontal_line(135, 139),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(127, 135),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 128),
        horizontal_line(118, 128),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 175),
        horizontal_line(158, 175),
        horizontal_line(158, 175),
        horizontal_line(158, 175),
        horizontal_line(157, 175),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 177),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(118, 156),
        horizontal_line(118, 145),
        horizontal_line(118, 134),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_627_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(162, 179),
        horizontal_line(163, 179),
        horizontal_line(164, 179),
        horizontal_line(165, 179),
        horizontal_line(167, 180),
        horizontal_line(168, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 180),
        horizontal_line(171, 180),
        horizontal_line(172, 180),
        horizontal_line(173, 180),
        horizontal_line(174, 180),
        horizontal_line(176, 181),
    };

    constexpr const shape frame_627_shape_group_2_shapes[] = {
        shape(frame_627_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_627_shape_group_2_shape_1_horizontal_lines, 7, 5),
        shape(frame_627_shape_group_2_shape_2_horizontal_lines, 12, 1),
        shape(frame_627_shape_group_2_shape_3_horizontal_lines, 22, 5),
        shape(frame_627_shape_group_2_shape_4_horizontal_lines, 30, 1),
        shape(frame_627_shape_group_2_shape_5_horizontal_lines, 39, 7),
        shape(frame_627_shape_group_2_shape_6_horizontal_lines, 43, 1),
        shape(frame_627_shape_group_2_shape_7_horizontal_lines, 44, 7),
        shape(frame_627_shape_group_2_shape_8_horizontal_lines, 45, 1),
        shape(frame_627_shape_group_2_shape_9_horizontal_lines, 58, 2),
        shape(frame_627_shape_group_2_shape_10_horizontal_lines, 143, 1),
        shape(frame_627_shape_group_2_shape_11_horizontal_lines, 147, 2),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(161, 183),
        horizontal_line(161, 183),
        horizontal_line(161, 184),
        horizontal_line(162, 185),
        horizontal_line(162, 186),
        horizontal_line(162, 186),
        horizontal_line(163, 187),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(101, 159),
        horizontal_line(100, 155),
        horizontal_line(98, 152),
        horizontal_line(96, 148),
        horizontal_line(94, 145),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(162, 163),
        horizontal_line(162, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(148, 159),
        horizontal_line(134, 159),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(135, 155),
        horizontal_line(145, 155),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(126, 155),
        horizontal_line(126, 154),
        horizontal_line(128, 154),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(134, 154),
        horizontal_line(137, 154),
        horizontal_line(140, 153),
        horizontal_line(124, 124),
        horizontal_line(123, 126),
        horizontal_line(123, 128),
        horizontal_line(123, 130),
        horizontal_line(123, 132),
        horizontal_line(123, 134),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_627_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(125, 136),
        horizontal_line(126, 136),
        horizontal_line(128, 135),
        horizontal_line(144, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(158, 173),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(157, 176),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(158, 179),
        horizontal_line(159, 179),
        horizontal_line(160, 179),
        horizontal_line(161, 179),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_627_shape_group_3_shapes[] = {
        shape(frame_627_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_627_shape_group_3_shape_1_horizontal_lines, 7, 1),
        shape(frame_627_shape_group_3_shape_2_horizontal_lines, 12, 2),
        shape(frame_627_shape_group_3_shape_3_horizontal_lines, 28, 1),
        shape(frame_627_shape_group_3_shape_4_horizontal_lines, 30, 2),
        shape(frame_627_shape_group_3_shape_5_horizontal_lines, 39, 1),
        shape(frame_627_shape_group_3_shape_6_horizontal_lines, 41, 2),
        shape(frame_627_shape_group_3_shape_7_horizontal_lines, 44, 1),
        shape(frame_627_shape_group_3_shape_8_horizontal_lines, 45, 2),
        shape(frame_627_shape_group_3_shape_9_horizontal_lines, 54, 1),
        shape(frame_627_shape_group_3_shape_10_horizontal_lines, 55, 2),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(162, 188),
        horizontal_line(162, 189),
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(165, 192),
        horizontal_line(165, 192),
        horizontal_line(165, 193),
        horizontal_line(166, 194),
        horizontal_line(166, 195),
        horizontal_line(166, 195),
        horizontal_line(167, 196),
        horizontal_line(167, 197),
        horizontal_line(168, 198),
        horizontal_line(168, 198),
        horizontal_line(168, 199),
        horizontal_line(169, 200),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(170, 202),
        horizontal_line(170, 203),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(171, 205),
        horizontal_line(171, 206),
        horizontal_line(172, 207),
        horizontal_line(172, 207),
        horizontal_line(172, 208),
        horizontal_line(173, 209),
        horizontal_line(173, 210),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(126, 134),
        horizontal_line(126, 144),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(131, 154),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(143, 153),
        horizontal_line(147, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 152),
        horizontal_line(145, 152),
        horizontal_line(124, 137),
        horizontal_line(145, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 151),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(116, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(140, 156),
        horizontal_line(141, 156),
        horizontal_line(142, 156),
        horizontal_line(144, 156),
        horizontal_line(145, 156),
        horizontal_line(146, 156),
        horizontal_line(148, 156),
        horizontal_line(149, 156),
        horizontal_line(151, 156),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(180, 211),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 214),
        horizontal_line(181, 214),
        horizontal_line(181, 214),
        horizontal_line(181, 215),
        horizontal_line(181, 215),
        horizontal_line(182, 216),
    };

    constexpr const shape frame_627_shape_group_4_shapes[] = {
        shape(frame_627_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_627_shape_group_4_shape_1_horizontal_lines, 7, 2),
        shape(frame_627_shape_group_4_shape_2_horizontal_lines, 108, 4),
        shape(frame_627_shape_group_4_shape_3_horizontal_lines, 116, 2),
        shape(frame_627_shape_group_4_shape_4_horizontal_lines, 120, 4),
        shape(frame_627_shape_group_4_shape_5_horizontal_lines, 143, 2),
        shape(frame_627_shape_group_4_shape_6_horizontal_lines, 147, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(164, 189),
        horizontal_line(164, 190),
        horizontal_line(164, 191),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 169),
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(170, 204),
        horizontal_line(171, 204),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(175, 214),
        horizontal_line(175, 214),
        horizontal_line(176, 215),
        horizontal_line(160, 166),
        horizontal_line(176, 217),
        horizontal_line(177, 217),
        horizontal_line(177, 218),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(145, 152),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(159, 168),
        horizontal_line(181, 226),
        horizontal_line(181, 227),
        horizontal_line(182, 228),
        horizontal_line(182, 229),
        horizontal_line(182, 229),
        horizontal_line(183, 230),
        horizontal_line(183, 231),
        horizontal_line(183, 232),
        horizontal_line(184, 232),
        horizontal_line(184, 233),
        horizontal_line(184, 234),
        horizontal_line(185, 235),
        horizontal_line(185, 235),
        horizontal_line(186, 236),
        horizontal_line(186, 237),
        horizontal_line(186, 238),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(141, 156),
        horizontal_line(118, 125),
        horizontal_line(120, 124),
        horizontal_line(122, 124),
        horizontal_line(124, 124),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(178, 204),
        horizontal_line(178, 205),
        horizontal_line(178, 205),
        horizontal_line(178, 205),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 210),
        horizontal_line(180, 210),
        horizontal_line(180, 210),
        horizontal_line(180, 211),
        horizontal_line(180, 211),
    };

    constexpr const shape frame_627_shape_group_5_shapes[] = {
        shape(frame_627_shape_group_5_shape_0_horizontal_lines, 7, 4),
        shape(frame_627_shape_group_5_shape_1_horizontal_lines, 9, 2),
        shape(frame_627_shape_group_5_shape_2_horizontal_lines, 12, 4),
        shape(frame_627_shape_group_5_shape_3_horizontal_lines, 28, 2),
        shape(frame_627_shape_group_5_shape_4_horizontal_lines, 30, 4),
        shape(frame_627_shape_group_5_shape_5_horizontal_lines, 39, 2),
        shape(frame_627_shape_group_5_shape_6_horizontal_lines, 102, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(165, 169),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(174, 212),
        horizontal_line(175, 213),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(176, 216),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 219),
        horizontal_line(178, 220),
        horizontal_line(178, 220),
        horizontal_line(178, 221),
        horizontal_line(179, 222),
        horizontal_line(179, 223),
        horizontal_line(160, 167),
        horizontal_line(180, 224),
        horizontal_line(180, 225),
        horizontal_line(181, 226),
    };

    constexpr const horizontal_line frame_627_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(130, 139),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 129),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(175, 198),
        horizontal_line(175, 198),
        horizontal_line(175, 198),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
    };

    constexpr const shape frame_627_shape_group_6_shapes[] = {
        shape(frame_627_shape_group_6_shape_0_horizontal_lines, 9, 4),
        shape(frame_627_shape_group_6_shape_1_horizontal_lines, 39, 2),
        shape(frame_627_shape_group_6_shape_2_horizontal_lines, 41, 4),
        shape(frame_627_shape_group_6_shape_3_horizontal_lines, 44, 2),
        shape(frame_627_shape_group_6_shape_4_horizontal_lines, 45, 4),
        shape(frame_627_shape_group_6_shape_5_horizontal_lines, 48, 2),
        shape(frame_627_shape_group_6_shape_6_horizontal_lines, 58, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 175),
        horizontal_line(155, 159),
        horizontal_line(167, 175),
        horizontal_line(167, 176),
        horizontal_line(168, 176),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(144, 145),
        horizontal_line(142, 145),
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_627_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(180, 223),
    };

    constexpr const horizontal_line frame_627_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(137, 144),
        horizontal_line(137, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 142),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(174, 195),
        horizontal_line(175, 196),
        horizontal_line(175, 196),
        horizontal_line(175, 196),
        horizontal_line(175, 197),
        horizontal_line(175, 197),
    };

    constexpr const horizontal_line frame_627_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(176, 200),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(177, 201),
    };

    constexpr const shape frame_627_shape_group_7_shapes[] = {
        shape(frame_627_shape_group_7_shape_0_horizontal_lines, 9, 4),
        shape(frame_627_shape_group_7_shape_1_horizontal_lines, 28, 4),
        shape(frame_627_shape_group_7_shape_2_horizontal_lines, 54, 2),
        shape(frame_627_shape_group_7_shape_3_horizontal_lines, 55, 4),
        shape(frame_627_shape_group_7_shape_4_horizontal_lines, 116, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(167, 173),
        horizontal_line(167, 174),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(167, 175),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(168, 176),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(154, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(139, 144),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(171, 186),
        horizontal_line(171, 186),
        horizontal_line(171, 186),
        horizontal_line(171, 187),
        horizontal_line(171, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 191),
        horizontal_line(173, 191),
        horizontal_line(173, 192),
        horizontal_line(173, 192),
        horizontal_line(173, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
    };

    constexpr const shape frame_627_shape_group_8_shapes[] = {
        shape(frame_627_shape_group_8_shape_0_horizontal_lines, 39, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_627_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(153, 159),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 181),
        horizontal_line(169, 181),
        horizontal_line(169, 181),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_627_shape_group_9_shapes[] = {
        shape(frame_627_shape_group_9_shape_0_horizontal_lines, 39, 4),
        shape(frame_627_shape_group_9_shape_1_horizontal_lines, 44, 4),
        shape(frame_627_shape_group_9_shape_2_horizontal_lines, 48, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(168, 179),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_627_shape_group_10_shapes[] = {
        shape(frame_627_shape_group_10_shape_0_horizontal_lines, 51, 4),
    };

    constexpr const horizontal_line frame_627_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const shape frame_627_shape_group_11_shapes[] = {
        shape(frame_627_shape_group_11_shape_0_horizontal_lines, 54, 4),
    };

    constexpr const shape_group frame_627_shape_groups[] = {
        shape_group(frame_627_shape_group_0_shapes),
        shape_group(frame_627_shape_group_1_shapes),
        shape_group(frame_627_shape_group_2_shapes),
        shape_group(frame_627_shape_group_3_shapes),
        shape_group(frame_627_shape_group_4_shapes),
        shape_group(frame_627_shape_group_5_shapes),
        shape_group(frame_627_shape_group_6_shapes),
        shape_group(frame_627_shape_group_7_shapes),
        shape_group(frame_627_shape_group_8_shapes),
        shape_group(frame_627_shape_group_9_shapes),
        shape_group(frame_627_shape_group_10_shapes),
        shape_group(frame_627_shape_group_11_shapes),
    };

    constexpr const frame frame_627_impl(frame_627_colors, frame_627_shape_groups);
} 

const frame& frame_627()
{
    return frame_627_impl;
}

namespace
{
    constexpr const bn::color frame_628_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_628_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const shape frame_628_shape_group_0_shapes[] = {
        shape(frame_628_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_628_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 73),
        horizontal_line(44, 75),
        horizontal_line(44, 77),
        horizontal_line(44, 79),
        horizontal_line(44, 81),
        horizontal_line(44, 83),
        horizontal_line(44, 85),
        horizontal_line(44, 88),
    };

    constexpr const horizontal_line frame_628_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 91),
        horizontal_line(89, 93),
        horizontal_line(89, 95),
        horizontal_line(89, 97),
        horizontal_line(89, 99),
        horizontal_line(89, 101),
        horizontal_line(89, 103),
        horizontal_line(89, 105),
        horizontal_line(89, 107),
        horizontal_line(89, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(102, 113),
    };

    constexpr const shape frame_628_shape_group_1_shapes[] = {
        shape(frame_628_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_628_shape_group_1_shape_1_horizontal_lines, 8, 6),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(74, 99),
        horizontal_line(76, 97),
        horizontal_line(78, 95),
        horizontal_line(80, 94),
        horizontal_line(82, 92),
        horizontal_line(84, 91),
        horizontal_line(86, 89),
        horizontal_line(141, 162),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(44, 88),
        horizontal_line(44, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(43, 88),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(37, 93),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_628_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(36, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
    };

    constexpr const shape frame_628_shape_group_2_shapes[] = {
        shape(frame_628_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_628_shape_group_2_shape_1_horizontal_lines, 8, 7),
        shape(frame_628_shape_group_2_shape_2_horizontal_lines, 28, 6),
        shape(frame_628_shape_group_2_shape_3_horizontal_lines, 73, 7),
        shape(frame_628_shape_group_2_shape_4_horizontal_lines, 74, 6),
        shape(frame_628_shape_group_2_shape_5_horizontal_lines, 78, 7),
    };

    constexpr const horizontal_line frame_628_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(100, 162),
    };

    constexpr const horizontal_line frame_628_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(158, 162),
        horizontal_line(155, 162),
        horizontal_line(151, 162),
        horizontal_line(148, 162),
        horizontal_line(145, 162),
    };

    constexpr const horizontal_line frame_628_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(89, 140),
    };

    constexpr const horizontal_line frame_628_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(138, 162),
        horizontal_line(135, 162),
        horizontal_line(132, 162),
        horizontal_line(128, 162),
        horizontal_line(125, 162),
        horizontal_line(122, 162),
        horizontal_line(118, 162),
        horizontal_line(115, 162),
        horizontal_line(112, 162),
        horizontal_line(109, 162),
    };

    constexpr const horizontal_line frame_628_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(109, 110),
        horizontal_line(109, 111),
        horizontal_line(109, 112),
        horizontal_line(109, 114),
        horizontal_line(109, 115),
        horizontal_line(109, 116),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(109, 120),
        horizontal_line(42, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(41, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 91),
        horizontal_line(40, 91),
        horizontal_line(40, 91),
        horizontal_line(40, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 91),
        horizontal_line(39, 92),
        horizontal_line(39, 92),
        horizontal_line(39, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(38, 92),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 93),
        horizontal_line(112, 117),
        horizontal_line(37, 93),
        horizontal_line(36, 93),
        horizontal_line(36, 93),
        horizontal_line(36, 93),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(91, 100),
        horizontal_line(91, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 101),
    };

    constexpr const shape frame_628_shape_group_3_shapes[] = {
        shape(frame_628_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_628_shape_group_3_shape_1_horizontal_lines, 1, 5),
        shape(frame_628_shape_group_3_shape_2_horizontal_lines, 7, 1),
        shape(frame_628_shape_group_3_shape_3_horizontal_lines, 8, 5),
        shape(frame_628_shape_group_3_shape_4_horizontal_lines, 18, 7),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(98, 160),
        horizontal_line(96, 157),
        horizontal_line(95, 154),
        horizontal_line(93, 150),
        horizontal_line(92, 147),
        horizontal_line(90, 144),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(164, 166),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(90, 137),
        horizontal_line(92, 134),
        horizontal_line(94, 131),
        horizontal_line(96, 127),
        horizontal_line(98, 124),
        horizontal_line(100, 121),
        horizontal_line(102, 117),
        horizontal_line(104, 114),
        horizontal_line(106, 111),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(110, 162),
        horizontal_line(111, 162),
        horizontal_line(112, 162),
        horizontal_line(113, 162),
        horizontal_line(115, 162),
        horizontal_line(116, 162),
        horizontal_line(117, 152),
        horizontal_line(118, 141),
        horizontal_line(119, 130),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(121, 160),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
        horizontal_line(121, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 133),
        horizontal_line(119, 132),
        horizontal_line(119, 132),
        horizontal_line(119, 132),
        horizontal_line(118, 131),
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(96, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(141, 157),
        horizontal_line(141, 157),
        horizontal_line(141, 157),
        horizontal_line(141, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(115, 141),
        horizontal_line(115, 142),
        horizontal_line(115, 143),
        horizontal_line(115, 144),
        horizontal_line(115, 146),
        horizontal_line(115, 147),
        horizontal_line(115, 148),
        horizontal_line(115, 149),
        horizontal_line(115, 150),
        horizontal_line(115, 152),
        horizontal_line(115, 153),
        horizontal_line(116, 154),
        horizontal_line(116, 155),
        horizontal_line(116, 156),
    };

    constexpr const horizontal_line frame_628_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(148, 159),
        horizontal_line(139, 160),
        horizontal_line(130, 161),
        horizontal_line(121, 162),
        horizontal_line(112, 163),
        horizontal_line(112, 164),
        horizontal_line(112, 165),
        horizontal_line(112, 166),
        horizontal_line(112, 167),
        horizontal_line(113, 168),
        horizontal_line(113, 169),
        horizontal_line(113, 170),
        horizontal_line(113, 171),
        horizontal_line(114, 173),
    };

    constexpr const shape frame_628_shape_group_4_shapes[] = {
        shape(frame_628_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_628_shape_group_4_shape_1_horizontal_lines, 7, 4),
        shape(frame_628_shape_group_4_shape_2_horizontal_lines, 8, 1),
        shape(frame_628_shape_group_4_shape_3_horizontal_lines, 18, 5),
        shape(frame_628_shape_group_4_shape_4_horizontal_lines, 27, 1),
        shape(frame_628_shape_group_4_shape_5_horizontal_lines, 28, 7),
        shape(frame_628_shape_group_4_shape_6_horizontal_lines, 73, 4),
        shape(frame_628_shape_group_4_shape_7_horizontal_lines, 74, 7),
        shape(frame_628_shape_group_4_shape_8_horizontal_lines, 78, 4),
        shape(frame_628_shape_group_4_shape_9_horizontal_lines, 101, 7),
        shape(frame_628_shape_group_4_shape_10_horizontal_lines, 120, 1),
        shape(frame_628_shape_group_4_shape_11_horizontal_lines, 121, 4),
        shape(frame_628_shape_group_4_shape_12_horizontal_lines, 130, 1),
        shape(frame_628_shape_group_4_shape_13_horizontal_lines, 145, 5),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 166),
        horizontal_line(217, 239),
        horizontal_line(165, 166),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 169),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(153, 161),
        horizontal_line(142, 161),
        horizontal_line(131, 160),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(121, 160),
        horizontal_line(122, 159),
        horizontal_line(122, 159),
        horizontal_line(123, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(125, 157),
        horizontal_line(126, 157),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(130, 147),
        horizontal_line(132, 146),
        horizontal_line(134, 144),
        horizontal_line(136, 143),
        horizontal_line(122, 122),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 128),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(131, 140),
        horizontal_line(150, 159),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(117, 131),
        horizontal_line(117, 130),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 117),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(179, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
        horizontal_line(181, 210),
        horizontal_line(141, 157),
        horizontal_line(142, 157),
        horizontal_line(143, 157),
        horizontal_line(144, 157),
        horizontal_line(145, 157),
        horizontal_line(147, 157),
        horizontal_line(148, 157),
        horizontal_line(149, 157),
        horizontal_line(150, 157),
        horizontal_line(151, 157),
        horizontal_line(153, 157),
        horizontal_line(154, 157),
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(116, 157),
        horizontal_line(116, 147),
        horizontal_line(116, 138),
        horizontal_line(116, 129),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_628_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(183, 217),
        horizontal_line(183, 218),
        horizontal_line(184, 218),
        horizontal_line(184, 218),
        horizontal_line(184, 219),
        horizontal_line(184, 219),
        horizontal_line(184, 219),
        horizontal_line(184, 220),
        horizontal_line(184, 220),
        horizontal_line(185, 221),
    };

    constexpr const shape frame_628_shape_group_5_shapes[] = {
        shape(frame_628_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_628_shape_group_5_shape_1_horizontal_lines, 1, 1),
        shape(frame_628_shape_group_5_shape_2_horizontal_lines, 2, 4),
        shape(frame_628_shape_group_5_shape_3_horizontal_lines, 24, 1),
        shape(frame_628_shape_group_5_shape_4_horizontal_lines, 27, 4),
        shape(frame_628_shape_group_5_shape_5_horizontal_lines, 28, 1),
        shape(frame_628_shape_group_5_shape_6_horizontal_lines, 36, 7),
        shape(frame_628_shape_group_5_shape_7_horizontal_lines, 45, 1),
        shape(frame_628_shape_group_5_shape_8_horizontal_lines, 46, 7),
        shape(frame_628_shape_group_5_shape_9_horizontal_lines, 48, 1),
        shape(frame_628_shape_group_5_shape_10_horizontal_lines, 58, 4),
        shape(frame_628_shape_group_5_shape_11_horizontal_lines, 115, 1),
        shape(frame_628_shape_group_5_shape_12_horizontal_lines, 120, 4),
        shape(frame_628_shape_group_5_shape_13_horizontal_lines, 145, 1),
        shape(frame_628_shape_group_5_shape_14_horizontal_lines, 150, 4),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(164, 164),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(161, 161),
        horizontal_line(167, 173),
        horizontal_line(161, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(135, 156),
        horizontal_line(146, 156),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(125, 132),
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(155, 161),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(126, 144),
        horizontal_line(128, 148),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 160),
        horizontal_line(147, 147),
        horizontal_line(145, 147),
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(124, 127),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(150, 159),
        horizontal_line(173, 190),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 196),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 199),
        horizontal_line(177, 199),
        horizontal_line(177, 199),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(142, 158),
        horizontal_line(116, 126),
        horizontal_line(118, 126),
        horizontal_line(120, 126),
        horizontal_line(121, 125),
        horizontal_line(123, 125),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_628_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(181, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
    };

    constexpr const shape frame_628_shape_group_6_shapes[] = {
        shape(frame_628_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_628_shape_group_6_shape_1_horizontal_lines, 8, 4),
        shape(frame_628_shape_group_6_shape_2_horizontal_lines, 36, 1),
        shape(frame_628_shape_group_6_shape_3_horizontal_lines, 38, 4),
        shape(frame_628_shape_group_6_shape_4_horizontal_lines, 42, 1),
        shape(frame_628_shape_group_6_shape_5_horizontal_lines, 45, 4),
        shape(frame_628_shape_group_6_shape_6_horizontal_lines, 46, 1),
        shape(frame_628_shape_group_6_shape_7_horizontal_lines, 48, 4),
        shape(frame_628_shape_group_6_shape_8_horizontal_lines, 52, 1),
        shape(frame_628_shape_group_6_shape_9_horizontal_lines, 54, 4),
        shape(frame_628_shape_group_6_shape_10_horizontal_lines, 130, 4),
    };

    constexpr const horizontal_line frame_628_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_628_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(167, 173),
        horizontal_line(237, 239),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(169, 177),
        horizontal_line(169, 177),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(155, 161),
        horizontal_line(169, 180),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(170, 181),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(142, 146),
        horizontal_line(141, 146),
        horizontal_line(154, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(138, 144),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(173, 189),
    };

    constexpr const horizontal_line frame_628_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(174, 191),
        horizontal_line(174, 191),
    };

    constexpr const horizontal_line frame_628_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(179, 204),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(179, 207),
    };

    constexpr const shape frame_628_shape_group_7_shapes[] = {
        shape(frame_628_shape_group_7_shape_0_horizontal_lines, 1, 4),
        shape(frame_628_shape_group_7_shape_1_horizontal_lines, 24, 4),
        shape(frame_628_shape_group_7_shape_2_horizontal_lines, 74, 4),
        shape(frame_628_shape_group_7_shape_3_horizontal_lines, 101, 4),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(168, 176),
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(170, 180),
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(171, 183),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(153, 160),
        horizontal_line(171, 184),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
    };

    constexpr const horizontal_line frame_628_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
    };

    constexpr const shape frame_628_shape_group_8_shapes[] = {
        shape(frame_628_shape_group_8_shape_0_horizontal_lines, 26, 4),
        shape(frame_628_shape_group_8_shape_1_horizontal_lines, 28, 4),
        shape(frame_628_shape_group_8_shape_2_horizontal_lines, 36, 4),
        shape(frame_628_shape_group_8_shape_3_horizontal_lines, 42, 4),
        shape(frame_628_shape_group_8_shape_4_horizontal_lines, 46, 4),
        shape(frame_628_shape_group_8_shape_5_horizontal_lines, 49, 4),
        shape(frame_628_shape_group_8_shape_6_horizontal_lines, 115, 4),
    };

    constexpr const horizontal_line frame_628_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(170, 182),
        horizontal_line(171, 183),
    };

    constexpr const horizontal_line frame_628_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(171, 184),
    };

    constexpr const shape frame_628_shape_group_9_shapes[] = {
        shape(frame_628_shape_group_9_shape_0_horizontal_lines, 52, 4),
        shape(frame_628_shape_group_9_shape_1_horizontal_lines, 57, 4),
    };

    constexpr const shape_group frame_628_shape_groups[] = {
        shape_group(frame_628_shape_group_0_shapes),
        shape_group(frame_628_shape_group_1_shapes),
        shape_group(frame_628_shape_group_2_shapes),
        shape_group(frame_628_shape_group_3_shapes),
        shape_group(frame_628_shape_group_4_shapes),
        shape_group(frame_628_shape_group_5_shapes),
        shape_group(frame_628_shape_group_6_shapes),
        shape_group(frame_628_shape_group_7_shapes),
        shape_group(frame_628_shape_group_8_shapes),
        shape_group(frame_628_shape_group_9_shapes),
    };

    constexpr const frame frame_628_impl(frame_628_colors, frame_628_shape_groups);
} 

const frame& frame_628()
{
    return frame_628_impl;
}

namespace
{
    constexpr const bn::color frame_629_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_629_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_629_shape_group_0_shapes[] = {
        shape(frame_629_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_629_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(83, 86),
        horizontal_line(143, 163),
    };

    constexpr const horizontal_line frame_629_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(84, 84),
        horizontal_line(84, 86),
        horizontal_line(84, 88),
        horizontal_line(84, 90),
        horizontal_line(84, 92),
        horizontal_line(84, 94),
        horizontal_line(84, 96),
        horizontal_line(84, 98),
        horizontal_line(84, 100),
        horizontal_line(84, 102),
        horizontal_line(84, 105),
        horizontal_line(84, 105),
        horizontal_line(84, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 110),
        horizontal_line(92, 110),
        horizontal_line(92, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(96, 111),
    };

    constexpr const shape frame_629_shape_group_1_shapes[] = {
        shape(frame_629_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_629_shape_group_1_shape_1_horizontal_lines, 2, 6),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(147, 164),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(84, 142),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(140, 163),
        horizontal_line(137, 163),
        horizontal_line(133, 163),
        horizontal_line(130, 163),
        horizontal_line(127, 163),
        horizontal_line(123, 163),
        horizontal_line(120, 163),
        horizontal_line(117, 163),
        horizontal_line(113, 163),
        horizontal_line(110, 163),
        horizontal_line(107, 163),
        horizontal_line(108, 163),
        horizontal_line(109, 163),
        horizontal_line(110, 163),
        horizontal_line(111, 163),
        horizontal_line(112, 163),
        horizontal_line(113, 163),
        horizontal_line(114, 163),
        horizontal_line(115, 163),
        horizontal_line(116, 152),
        horizontal_line(117, 141),
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(120, 161),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 143),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(114, 116),
        horizontal_line(114, 117),
        horizontal_line(114, 119),
        horizontal_line(114, 121),
        horizontal_line(114, 122),
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(114, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 140),
        horizontal_line(114, 140),
        horizontal_line(114, 140),
        horizontal_line(114, 140),
        horizontal_line(114, 140),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(113, 142),
        horizontal_line(113, 143),
        horizontal_line(113, 144),
        horizontal_line(113, 145),
        horizontal_line(113, 146),
        horizontal_line(113, 147),
        horizontal_line(113, 148),
        horizontal_line(113, 150),
        horizontal_line(113, 151),
        horizontal_line(113, 152),
        horizontal_line(113, 153),
        horizontal_line(113, 154),
        horizontal_line(113, 155),
        horizontal_line(113, 156),
        horizontal_line(113, 157),
    };

    constexpr const horizontal_line frame_629_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(143, 160),
        horizontal_line(127, 161),
        horizontal_line(112, 162),
        horizontal_line(112, 163),
        horizontal_line(112, 164),
        horizontal_line(112, 166),
        horizontal_line(112, 167),
        horizontal_line(112, 168),
        horizontal_line(112, 169),
        horizontal_line(112, 170),
        horizontal_line(112, 172),
    };

    constexpr const shape frame_629_shape_group_2_shapes[] = {
        shape(frame_629_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_629_shape_group_2_shape_1_horizontal_lines, 1, 1),
        shape(frame_629_shape_group_2_shape_2_horizontal_lines, 2, 5),
        shape(frame_629_shape_group_2_shape_3_horizontal_lines, 24, 1),
        shape(frame_629_shape_group_2_shape_4_horizontal_lines, 25, 6),
        shape(frame_629_shape_group_2_shape_5_horizontal_lines, 76, 2),
        shape(frame_629_shape_group_2_shape_6_horizontal_lines, 79, 6),
        shape(frame_629_shape_group_2_shape_7_horizontal_lines, 81, 2),
        shape(frame_629_shape_group_2_shape_8_horizontal_lines, 115, 1),
        shape(frame_629_shape_group_2_shape_9_horizontal_lines, 122, 2),
        shape(frame_629_shape_group_2_shape_10_horizontal_lines, 132, 1),
        shape(frame_629_shape_group_2_shape_11_horizontal_lines, 148, 5),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(87, 146),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(85, 139),
        horizontal_line(87, 136),
        horizontal_line(89, 132),
        horizontal_line(91, 129),
        horizontal_line(93, 126),
        horizontal_line(95, 122),
        horizontal_line(97, 119),
        horizontal_line(99, 116),
        horizontal_line(101, 112),
        horizontal_line(103, 109),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(153, 162),
        horizontal_line(142, 162),
        horizontal_line(131, 161),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(120, 161),
        horizontal_line(121, 160),
        horizontal_line(122, 160),
        horizontal_line(122, 160),
        horizontal_line(123, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 158),
        horizontal_line(125, 158),
        horizontal_line(126, 158),
        horizontal_line(136, 157),
        horizontal_line(147, 157),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(126, 157),
        horizontal_line(126, 156),
        horizontal_line(126, 156),
        horizontal_line(127, 156),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 131),
        horizontal_line(126, 135),
        horizontal_line(125, 138),
        horizontal_line(126, 142),
        horizontal_line(128, 145),
        horizontal_line(130, 149),
        horizontal_line(132, 148),
        horizontal_line(133, 147),
        horizontal_line(135, 145),
        horizontal_line(137, 144),
        horizontal_line(123, 123),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 127),
        horizontal_line(121, 129),
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(120, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 129),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
        horizontal_line(138, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 144),
        horizontal_line(160, 179),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(128, 143),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 141),
        horizontal_line(160, 181),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 183),
        horizontal_line(114, 140),
        horizontal_line(159, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 185),
        horizontal_line(159, 185),
        horizontal_line(159, 185),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(113, 158),
        horizontal_line(113, 142),
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_629_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(163, 185),
        horizontal_line(164, 186),
        horizontal_line(165, 186),
        horizontal_line(167, 186),
        horizontal_line(168, 186),
        horizontal_line(169, 186),
        horizontal_line(170, 186),
        horizontal_line(171, 186),
        horizontal_line(173, 187),
    };

    constexpr const shape frame_629_shape_group_3_shapes[] = {
        shape(frame_629_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_629_shape_group_3_shape_1_horizontal_lines, 1, 2),
        shape(frame_629_shape_group_3_shape_2_horizontal_lines, 2, 1),
        shape(frame_629_shape_group_3_shape_3_horizontal_lines, 13, 2),
        shape(frame_629_shape_group_3_shape_4_horizontal_lines, 21, 1),
        shape(frame_629_shape_group_3_shape_5_horizontal_lines, 24, 2),
        shape(frame_629_shape_group_3_shape_6_horizontal_lines, 25, 1),
        shape(frame_629_shape_group_3_shape_7_horizontal_lines, 36, 2),
        shape(frame_629_shape_group_3_shape_8_horizontal_lines, 40, 1),
        shape(frame_629_shape_group_3_shape_9_horizontal_lines, 57, 2),
        shape(frame_629_shape_group_3_shape_10_horizontal_lines, 148, 1),
        shape(frame_629_shape_group_3_shape_11_horizontal_lines, 151, 2),
    };

    constexpr const horizontal_line frame_629_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(171, 233),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(163, 167),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(179, 239),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(126, 135),
        horizontal_line(126, 146),
        horizontal_line(163, 169),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(129, 156),
        horizontal_line(132, 156),
        horizontal_line(136, 155),
        horizontal_line(139, 155),
        horizontal_line(125, 125),
        horizontal_line(125, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(123, 134),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_629_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_629_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(128, 139),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(160, 180),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(159, 183),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(160, 185),
        horizontal_line(161, 185),
        horizontal_line(162, 185),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_629_shape_group_4_shapes[] = {
        shape(frame_629_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_629_shape_group_4_shape_1_horizontal_lines, 51, 1),
        shape(frame_629_shape_group_4_shape_2_horizontal_lines, 53, 2),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(168, 177),
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(143, 155),
        horizontal_line(146, 155),
        horizontal_line(150, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(148, 154),
        horizontal_line(124, 138),
        horizontal_line(126, 140),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(146, 153),
        horizontal_line(162, 172),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(161, 175),
        horizontal_line(161, 176),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(143, 158),
        horizontal_line(144, 158),
        horizontal_line(145, 158),
        horizontal_line(146, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 158),
        horizontal_line(149, 158),
        horizontal_line(151, 158),
        horizontal_line(152, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 158),
        horizontal_line(155, 158),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(186, 226),
        horizontal_line(187, 226),
        horizontal_line(187, 226),
        horizontal_line(187, 227),
        horizontal_line(187, 227),
        horizontal_line(187, 227),
        horizontal_line(187, 228),
        horizontal_line(187, 228),
        horizontal_line(188, 229),
    };

    constexpr const shape frame_629_shape_group_5_shapes[] = {
        shape(frame_629_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_629_shape_group_5_shape_1_horizontal_lines, 19, 4),
        shape(frame_629_shape_group_5_shape_2_horizontal_lines, 21, 2),
        shape(frame_629_shape_group_5_shape_3_horizontal_lines, 24, 4),
        shape(frame_629_shape_group_5_shape_4_horizontal_lines, 25, 2),
        shape(frame_629_shape_group_5_shape_5_horizontal_lines, 108, 4),
        shape(frame_629_shape_group_5_shape_6_horizontal_lines, 115, 2),
        shape(frame_629_shape_group_5_shape_7_horizontal_lines, 122, 4),
        shape(frame_629_shape_group_5_shape_8_horizontal_lines, 132, 2),
        shape(frame_629_shape_group_5_shape_9_horizontal_lines, 133, 4),
        shape(frame_629_shape_group_5_shape_10_horizontal_lines, 148, 2),
        shape(frame_629_shape_group_5_shape_11_horizontal_lines, 151, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(167, 174),
        horizontal_line(167, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(168, 177),
        horizontal_line(169, 178),
        horizontal_line(162, 162),
        horizontal_line(169, 178),
        horizontal_line(162, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(148, 154),
        horizontal_line(148, 154),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(129, 138),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(121, 133),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(118, 131),
        horizontal_line(117, 131),
        horizontal_line(117, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 130),
        horizontal_line(116, 129),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(115, 127),
        horizontal_line(117, 126),
        horizontal_line(118, 126),
        horizontal_line(120, 126),
        horizontal_line(122, 125),
        horizontal_line(123, 125),
        horizontal_line(125, 125),
        horizontal_line(182, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 218),
        horizontal_line(184, 218),
        horizontal_line(142, 158),
        horizontal_line(184, 219),
        horizontal_line(184, 219),
        horizontal_line(184, 220),
        horizontal_line(184, 220),
        horizontal_line(184, 220),
        horizontal_line(185, 221),
        horizontal_line(185, 221),
        horizontal_line(185, 221),
        horizontal_line(185, 222),
        horizontal_line(185, 222),
        horizontal_line(185, 223),
        horizontal_line(185, 223),
        horizontal_line(186, 223),
        horizontal_line(186, 224),
        horizontal_line(186, 224),
        horizontal_line(186, 224),
        horizontal_line(186, 225),
        horizontal_line(186, 225),
    };

    constexpr const shape frame_629_shape_group_6_shapes[] = {
        shape(frame_629_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_629_shape_group_6_shape_1_horizontal_lines, 1, 4),
        shape(frame_629_shape_group_6_shape_2_horizontal_lines, 2, 2),
        shape(frame_629_shape_group_6_shape_3_horizontal_lines, 13, 4),
        shape(frame_629_shape_group_6_shape_4_horizontal_lines, 21, 4),
        shape(frame_629_shape_group_6_shape_5_horizontal_lines, 34, 2),
        shape(frame_629_shape_group_6_shape_6_horizontal_lines, 36, 4),
        shape(frame_629_shape_group_6_shape_7_horizontal_lines, 40, 2),
        shape(frame_629_shape_group_6_shape_8_horizontal_lines, 76, 4),
        shape(frame_629_shape_group_6_shape_9_horizontal_lines, 79, 2),
        shape(frame_629_shape_group_6_shape_10_horizontal_lines, 81, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(166, 170),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 182),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(170, 183),
        horizontal_line(171, 183),
        horizontal_line(171, 184),
        horizontal_line(171, 184),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(150, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(180, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 212),
        horizontal_line(144, 159),
        horizontal_line(143, 159),
        horizontal_line(143, 159),
        horizontal_line(143, 159),
        horizontal_line(143, 159),
        horizontal_line(143, 159),
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_629_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(184, 218),
    };

    constexpr const shape frame_629_shape_group_7_shapes[] = {
        shape(frame_629_shape_group_7_shape_0_horizontal_lines, 0, 4),
        shape(frame_629_shape_group_7_shape_1_horizontal_lines, 2, 4),
        shape(frame_629_shape_group_7_shape_2_horizontal_lines, 23, 4),
        shape(frame_629_shape_group_7_shape_3_horizontal_lines, 25, 4),
        shape(frame_629_shape_group_7_shape_4_horizontal_lines, 44, 2),
        shape(frame_629_shape_group_7_shape_5_horizontal_lines, 57, 4),
        shape(frame_629_shape_group_7_shape_6_horizontal_lines, 132, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(170, 182),
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_629_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(171, 184),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(148, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_629_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_629_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(139, 146),
        horizontal_line(125, 128),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(179, 204),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
    };

    constexpr const horizontal_line frame_629_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(181, 212),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
    };

    constexpr const shape frame_629_shape_group_8_shapes[] = {
        shape(frame_629_shape_group_8_shape_0_horizontal_lines, 34, 4),
        shape(frame_629_shape_group_8_shape_1_horizontal_lines, 40, 4),
        shape(frame_629_shape_group_8_shape_2_horizontal_lines, 51, 2),
        shape(frame_629_shape_group_8_shape_3_horizontal_lines, 53, 4),
        shape(frame_629_shape_group_8_shape_4_horizontal_lines, 115, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(143, 147),
        horizontal_line(142, 147),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(139, 145),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 161),
        horizontal_line(151, 161),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
    };

    constexpr const horizontal_line frame_629_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(176, 199),
        horizontal_line(177, 199),
    };

    constexpr const shape frame_629_shape_group_9_shapes[] = {
        shape(frame_629_shape_group_9_shape_0_horizontal_lines, 44, 4),
        shape(frame_629_shape_group_9_shape_1_horizontal_lines, 79, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(173, 189),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(154, 161),
        horizontal_line(173, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 196),
        horizontal_line(175, 196),
        horizontal_line(176, 197),
    };

    constexpr const shape frame_629_shape_group_10_shapes[] = {
        shape(frame_629_shape_group_10_shape_0_horizontal_lines, 48, 4),
    };

    constexpr const horizontal_line frame_629_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(173, 188),
        horizontal_line(173, 189),
    };

    constexpr const horizontal_line frame_629_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(173, 190),
    };

    constexpr const shape frame_629_shape_group_11_shapes[] = {
        shape(frame_629_shape_group_11_shape_0_horizontal_lines, 51, 4),
        shape(frame_629_shape_group_11_shape_1_horizontal_lines, 56, 4),
    };

    constexpr const shape_group frame_629_shape_groups[] = {
        shape_group(frame_629_shape_group_0_shapes),
        shape_group(frame_629_shape_group_1_shapes),
        shape_group(frame_629_shape_group_2_shapes),
        shape_group(frame_629_shape_group_3_shapes),
        shape_group(frame_629_shape_group_4_shapes),
        shape_group(frame_629_shape_group_5_shapes),
        shape_group(frame_629_shape_group_6_shapes),
        shape_group(frame_629_shape_group_7_shapes),
        shape_group(frame_629_shape_group_8_shapes),
        shape_group(frame_629_shape_group_9_shapes),
        shape_group(frame_629_shape_group_10_shapes),
        shape_group(frame_629_shape_group_11_shapes),
    };

    constexpr const frame frame_629_impl(frame_629_colors, frame_629_shape_groups);
} 

const frame& frame_629()
{
    return frame_629_impl;
}

namespace
{
    constexpr const bn::color frame_630_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_630_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 107),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 108),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
        horizontal_line(87, 109),
        horizontal_line(87, 109),
        horizontal_line(87, 109),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(88, 110),
    };

    constexpr const shape frame_630_shape_group_0_shapes[] = {
        shape(frame_630_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(81, 89),
        horizontal_line(81, 91),
        horizontal_line(81, 93),
        horizontal_line(81, 95),
        horizontal_line(81, 97),
        horizontal_line(81, 99),
        horizontal_line(81, 101),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(82, 103),
        horizontal_line(82, 103),
        horizontal_line(82, 103),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 105),
        horizontal_line(83, 105),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(130, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(114, 116),
        horizontal_line(114, 118),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 123),
        horizontal_line(114, 125),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(113, 143),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 141),
        horizontal_line(113, 141),
        horizontal_line(113, 141),
        horizontal_line(113, 141),
        horizontal_line(113, 141),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(113, 142),
        horizontal_line(113, 143),
        horizontal_line(113, 144),
        horizontal_line(113, 145),
        horizontal_line(112, 146),
        horizontal_line(112, 147),
        horizontal_line(112, 149),
        horizontal_line(112, 150),
        horizontal_line(112, 151),
        horizontal_line(112, 152),
        horizontal_line(112, 153),
        horizontal_line(112, 155),
        horizontal_line(112, 156),
        horizontal_line(112, 157),
        horizontal_line(112, 158),
        horizontal_line(112, 159),
        horizontal_line(112, 160),
        horizontal_line(112, 147),
        horizontal_line(112, 135),
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_630_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(111, 164),
        horizontal_line(111, 165),
        horizontal_line(111, 166),
        horizontal_line(111, 167),
        horizontal_line(111, 168),
        horizontal_line(111, 169),
    };

    constexpr const shape frame_630_shape_group_1_shapes[] = {
        shape(frame_630_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_630_shape_group_1_shape_1_horizontal_lines, 80, 2),
        shape(frame_630_shape_group_1_shape_2_horizontal_lines, 115, 1),
        shape(frame_630_shape_group_1_shape_3_horizontal_lines, 122, 2),
        shape(frame_630_shape_group_1_shape_4_horizontal_lines, 134, 1),
        shape(frame_630_shape_group_1_shape_5_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(90, 128),
        horizontal_line(92, 124),
        horizontal_line(94, 121),
        horizontal_line(96, 117),
        horizontal_line(98, 114),
        horizontal_line(100, 110),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(105, 165),
        horizontal_line(106, 165),
        horizontal_line(107, 165),
        horizontal_line(108, 165),
        horizontal_line(109, 165),
        horizontal_line(110, 165),
        horizontal_line(111, 165),
        horizontal_line(112, 165),
        horizontal_line(113, 165),
        horizontal_line(114, 165),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(157, 164),
        horizontal_line(148, 164),
        horizontal_line(138, 164),
        horizontal_line(129, 163),
        horizontal_line(120, 163),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(136, 147),
        horizontal_line(138, 145),
        horizontal_line(123, 123),
        horizontal_line(123, 124),
        horizontal_line(122, 126),
        horizontal_line(122, 127),
        horizontal_line(122, 128),
        horizontal_line(121, 130),
        horizontal_line(121, 127),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(131, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 145),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 183),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(113, 113),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(148, 161),
        horizontal_line(136, 162),
        horizontal_line(123, 163),
    };

    constexpr const horizontal_line frame_630_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(165, 188),
        horizontal_line(166, 188),
        horizontal_line(167, 188),
        horizontal_line(168, 188),
        horizontal_line(169, 188),
        horizontal_line(170, 189),
    };

    constexpr const shape frame_630_shape_group_2_shapes[] = {
        shape(frame_630_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_630_shape_group_2_shape_1_horizontal_lines, 7, 5),
        shape(frame_630_shape_group_2_shape_2_horizontal_lines, 17, 1),
        shape(frame_630_shape_group_2_shape_3_horizontal_lines, 22, 6),
        shape(frame_630_shape_group_2_shape_4_horizontal_lines, 47, 1),
        shape(frame_630_shape_group_2_shape_5_horizontal_lines, 57, 2),
        shape(frame_630_shape_group_2_shape_6_horizontal_lines, 150, 5),
        shape(frame_630_shape_group_2_shape_7_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(129, 166),
        horizontal_line(125, 165),
        horizontal_line(122, 165),
        horizontal_line(118, 165),
        horizontal_line(115, 165),
        horizontal_line(111, 165),
        horizontal_line(108, 165),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(166, 168),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(115, 156),
        horizontal_line(116, 147),
        horizontal_line(117, 137),
        horizontal_line(118, 128),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(120, 163),
        horizontal_line(121, 162),
        horizontal_line(121, 162),
        horizontal_line(122, 162),
        horizontal_line(123, 161),
        horizontal_line(123, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 160),
        horizontal_line(125, 160),
        horizontal_line(126, 160),
        horizontal_line(136, 159),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(126, 159),
        horizontal_line(126, 158),
        horizontal_line(126, 158),
        horizontal_line(126, 158),
        horizontal_line(127, 158),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(126, 133),
        horizontal_line(126, 138),
        horizontal_line(126, 142),
        horizontal_line(128, 146),
        horizontal_line(130, 151),
        horizontal_line(132, 150),
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_630_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(127, 140),
        horizontal_line(128, 140),
        horizontal_line(129, 139),
        horizontal_line(131, 139),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 181),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(127, 143),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(162, 187),
        horizontal_line(162, 187),
        horizontal_line(163, 188),
        horizontal_line(164, 188),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_630_shape_group_3_shapes[] = {
        shape(frame_630_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_630_shape_group_3_shape_1_horizontal_lines, 7, 2),
        shape(frame_630_shape_group_3_shape_2_horizontal_lines, 17, 5),
        shape(frame_630_shape_group_3_shape_3_horizontal_lines, 21, 2),
        shape(frame_630_shape_group_3_shape_4_horizontal_lines, 22, 1),
        shape(frame_630_shape_group_3_shape_5_horizontal_lines, 34, 2),
        shape(frame_630_shape_group_3_shape_6_horizontal_lines, 39, 1),
        shape(frame_630_shape_group_3_shape_7_horizontal_lines, 47, 2),
        shape(frame_630_shape_group_3_shape_8_horizontal_lines, 49, 1),
        shape(frame_630_shape_group_3_shape_9_horizontal_lines, 51, 2),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(184, 239),
        horizontal_line(165, 170),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 172),
        horizontal_line(126, 135),
        horizontal_line(126, 147),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(130, 158),
        horizontal_line(134, 157),
        horizontal_line(139, 157),
        horizontal_line(125, 125),
        horizontal_line(125, 127),
        horizontal_line(125, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(151, 156),
        horizontal_line(150, 156),
        horizontal_line(124, 139),
        horizontal_line(125, 141),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(162, 183),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(144, 161),
        horizontal_line(143, 161),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(143, 160),
        horizontal_line(144, 160),
        horizontal_line(145, 160),
        horizontal_line(146, 160),
        horizontal_line(147, 160),
        horizontal_line(148, 160),
        horizontal_line(150, 160),
        horizontal_line(151, 160),
        horizontal_line(152, 160),
        horizontal_line(153, 160),
        horizontal_line(154, 160),
        horizontal_line(156, 160),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(189, 235),
        horizontal_line(189, 235),
        horizontal_line(189, 235),
        horizontal_line(189, 236),
        horizontal_line(189, 236),
        horizontal_line(190, 237),
    };

    constexpr const shape frame_630_shape_group_4_shapes[] = {
        shape(frame_630_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_630_shape_group_4_shape_1_horizontal_lines, 110, 4),
        shape(frame_630_shape_group_4_shape_2_horizontal_lines, 115, 2),
        shape(frame_630_shape_group_4_shape_3_horizontal_lines, 122, 4),
        shape(frame_630_shape_group_4_shape_4_horizontal_lines, 150, 2),
        shape(frame_630_shape_group_4_shape_5_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(169, 177),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(171, 181),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(143, 157),
        horizontal_line(147, 157),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 156),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(126, 138),
        horizontal_line(126, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
        horizontal_line(121, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 132),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(146, 161),
        horizontal_line(146, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(115, 128),
        horizontal_line(117, 127),
        horizontal_line(119, 127),
        horizontal_line(121, 127),
        horizontal_line(122, 126),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(185, 222),
        horizontal_line(185, 222),
        horizontal_line(185, 223),
        horizontal_line(185, 223),
        horizontal_line(185, 224),
        horizontal_line(185, 224),
        horizontal_line(185, 224),
        horizontal_line(186, 225),
        horizontal_line(186, 225),
        horizontal_line(186, 226),
        horizontal_line(186, 226),
        horizontal_line(186, 226),
        horizontal_line(186, 227),
        horizontal_line(186, 227),
        horizontal_line(186, 228),
        horizontal_line(187, 228),
        horizontal_line(187, 228),
        horizontal_line(187, 229),
        horizontal_line(187, 229),
        horizontal_line(187, 229),
        horizontal_line(187, 230),
        horizontal_line(187, 230),
        horizontal_line(188, 231),
        horizontal_line(188, 231),
        horizontal_line(188, 231),
        horizontal_line(188, 232),
        horizontal_line(188, 232),
        horizontal_line(188, 233),
        horizontal_line(188, 233),
        horizontal_line(188, 233),
        horizontal_line(189, 234),
        horizontal_line(189, 234),
    };

    constexpr const shape frame_630_shape_group_5_shapes[] = {
        shape(frame_630_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_630_shape_group_5_shape_1_horizontal_lines, 7, 4),
        shape(frame_630_shape_group_5_shape_2_horizontal_lines, 17, 2),
        shape(frame_630_shape_group_5_shape_3_horizontal_lines, 21, 4),
        shape(frame_630_shape_group_5_shape_4_horizontal_lines, 22, 2),
        shape(frame_630_shape_group_5_shape_5_horizontal_lines, 80, 4),
        shape(frame_630_shape_group_5_shape_6_horizontal_lines, 121, 2),
        shape(frame_630_shape_group_5_shape_7_horizontal_lines, 122, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(169, 177),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(171, 181),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(164, 164),
        horizontal_line(171, 183),
        horizontal_line(164, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(165, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 174),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(121, 128),
        horizontal_line(121, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(128, 139),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(146, 161),
        horizontal_line(146, 161),
        horizontal_line(146, 161),
        horizontal_line(183, 217),
        horizontal_line(183, 218),
        horizontal_line(183, 218),
        horizontal_line(183, 219),
        horizontal_line(184, 219),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(144, 161),
        horizontal_line(144, 161),
        horizontal_line(144, 161),
        horizontal_line(126, 126),
    };

    constexpr const shape frame_630_shape_group_6_shapes[] = {
        shape(frame_630_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_630_shape_group_6_shape_1_horizontal_lines, 6, 4),
        shape(frame_630_shape_group_6_shape_2_horizontal_lines, 17, 4),
        shape(frame_630_shape_group_6_shape_3_horizontal_lines, 32, 2),
        shape(frame_630_shape_group_6_shape_4_horizontal_lines, 34, 4),
        shape(frame_630_shape_group_6_shape_5_horizontal_lines, 39, 2),
        shape(frame_630_shape_group_6_shape_6_horizontal_lines, 57, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(171, 182),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(171, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(173, 187),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(174, 189),
        horizontal_line(159, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(148, 150),
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 147),
        horizontal_line(128, 129),
        horizontal_line(124, 128),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 141),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(151, 162),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
        horizontal_line(180, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(181, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 215),
        horizontal_line(182, 215),
        horizontal_line(182, 215),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
    };

    constexpr const horizontal_line frame_630_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(184, 219),
        horizontal_line(184, 220),
        horizontal_line(184, 220),
        horizontal_line(184, 221),
        horizontal_line(184, 221),
        horizontal_line(184, 221),
        horizontal_line(144, 161),
    };

    constexpr const shape frame_630_shape_group_7_shapes[] = {
        shape(frame_630_shape_group_7_shape_0_horizontal_lines, 0, 4),
        shape(frame_630_shape_group_7_shape_1_horizontal_lines, 20, 4),
        shape(frame_630_shape_group_7_shape_2_horizontal_lines, 22, 4),
        shape(frame_630_shape_group_7_shape_3_horizontal_lines, 42, 2),
        shape(frame_630_shape_group_7_shape_4_horizontal_lines, 47, 4),
        shape(frame_630_shape_group_7_shape_5_horizontal_lines, 49, 2),
        shape(frame_630_shape_group_7_shape_6_horizontal_lines, 51, 4),
        shape(frame_630_shape_group_7_shape_7_horizontal_lines, 115, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(173, 187),
        horizontal_line(173, 187),
    };

    constexpr const horizontal_line frame_630_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(158, 164),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(149, 150),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(144, 149),
        horizontal_line(143, 149),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(179, 204),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
    };

    constexpr const horizontal_line frame_630_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(184, 222),
    };

    constexpr const shape frame_630_shape_group_8_shapes[] = {
        shape(frame_630_shape_group_8_shape_0_horizontal_lines, 32, 4),
        shape(frame_630_shape_group_8_shape_1_horizontal_lines, 39, 4),
        shape(frame_630_shape_group_8_shape_2_horizontal_lines, 121, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(174, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(157, 163),
        horizontal_line(175, 193),
        horizontal_line(175, 193),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(176, 195),
        horizontal_line(176, 196),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(177, 198),
        horizontal_line(177, 199),
        horizontal_line(177, 199),
        horizontal_line(177, 199),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(178, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 204),
    };

    constexpr const shape frame_630_shape_group_9_shapes[] = {
        shape(frame_630_shape_group_9_shape_0_horizontal_lines, 42, 4),
    };

    constexpr const horizontal_line frame_630_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(175, 192),
    };

    constexpr const horizontal_line frame_630_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(175, 194),
        horizontal_line(175, 194),
    };

    constexpr const horizontal_line frame_630_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(176, 196),
        horizontal_line(176, 196),
    };

    constexpr const shape frame_630_shape_group_10_shapes[] = {
        shape(frame_630_shape_group_10_shape_0_horizontal_lines, 46, 4),
        shape(frame_630_shape_group_10_shape_1_horizontal_lines, 49, 4),
        shape(frame_630_shape_group_10_shape_2_horizontal_lines, 55, 4),
    };

    constexpr const shape_group frame_630_shape_groups[] = {
        shape_group(frame_630_shape_group_0_shapes),
        shape_group(frame_630_shape_group_1_shapes),
        shape_group(frame_630_shape_group_2_shapes),
        shape_group(frame_630_shape_group_3_shapes),
        shape_group(frame_630_shape_group_4_shapes),
        shape_group(frame_630_shape_group_5_shapes),
        shape_group(frame_630_shape_group_6_shapes),
        shape_group(frame_630_shape_group_7_shapes),
        shape_group(frame_630_shape_group_8_shapes),
        shape_group(frame_630_shape_group_9_shapes),
        shape_group(frame_630_shape_group_10_shapes),
    };

    constexpr const frame frame_630_impl(frame_630_colors, frame_630_shape_groups);
} 

const frame& frame_630()
{
    return frame_630_impl;
}

namespace
{
    constexpr const bn::color frame_631_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_631_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(76, 97),
        horizontal_line(76, 99),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 105),
        horizontal_line(77, 105),
        horizontal_line(77, 105),
        horizontal_line(77, 105),
        horizontal_line(77, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(78, 107),
        horizontal_line(79, 108),
    };

    constexpr const shape frame_631_shape_group_0_shapes[] = {
        shape(frame_631_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(98, 109),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 167),
        horizontal_line(107, 167),
        horizontal_line(108, 167),
        horizontal_line(109, 167),
        horizontal_line(110, 167),
        horizontal_line(111, 167),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(154, 166),
        horizontal_line(147, 165),
        horizontal_line(140, 165),
        horizontal_line(133, 165),
        horizontal_line(126, 164),
        horizontal_line(119, 164),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 120),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 124),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(113, 115),
        horizontal_line(113, 117),
        horizontal_line(113, 118),
        horizontal_line(113, 120),
        horizontal_line(113, 121),
        horizontal_line(113, 123),
        horizontal_line(113, 124),
        horizontal_line(114, 126),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(112, 143),
        horizontal_line(112, 143),
        horizontal_line(112, 142),
        horizontal_line(112, 142),
        horizontal_line(112, 142),
        horizontal_line(112, 142),
        horizontal_line(112, 142),
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(112, 141),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(112, 142),
        horizontal_line(112, 143),
        horizontal_line(112, 144),
        horizontal_line(112, 145),
        horizontal_line(112, 146),
        horizontal_line(111, 147),
        horizontal_line(111, 148),
        horizontal_line(111, 149),
        horizontal_line(111, 150),
        horizontal_line(111, 151),
        horizontal_line(111, 152),
        horizontal_line(111, 153),
        horizontal_line(111, 154),
        horizontal_line(111, 155),
        horizontal_line(111, 156),
        horizontal_line(111, 157),
        horizontal_line(111, 158),
        horizontal_line(111, 159),
        horizontal_line(111, 160),
        horizontal_line(111, 161),
        horizontal_line(111, 143),
        horizontal_line(111, 126),
    };

    constexpr const horizontal_line frame_631_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(110, 165),
        horizontal_line(110, 166),
        horizontal_line(110, 168),
    };

    constexpr const shape frame_631_shape_group_1_shapes[] = {
        shape(frame_631_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_631_shape_group_1_shape_1_horizontal_lines, 2, 5),
        shape(frame_631_shape_group_1_shape_2_horizontal_lines, 12, 1),
        shape(frame_631_shape_group_1_shape_3_horizontal_lines, 19, 6),
        shape(frame_631_shape_group_1_shape_4_horizontal_lines, 83, 2),
        shape(frame_631_shape_group_1_shape_5_horizontal_lines, 114, 1),
        shape(frame_631_shape_group_1_shape_6_horizontal_lines, 123, 2),
        shape(frame_631_shape_group_1_shape_7_horizontal_lines, 135, 1),
        shape(frame_631_shape_group_1_shape_8_horizontal_lines, 157, 5),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(110, 167),
        horizontal_line(106, 167),
        horizontal_line(164, 167),
        horizontal_line(165, 167),
        horizontal_line(166, 167),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(112, 160),
        horizontal_line(113, 153),
        horizontal_line(114, 146),
        horizontal_line(115, 139),
        horizontal_line(116, 132),
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(119, 164),
        horizontal_line(120, 163),
        horizontal_line(120, 163),
        horizontal_line(121, 163),
        horizontal_line(122, 162),
        horizontal_line(122, 162),
        horizontal_line(123, 162),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(125, 161),
        horizontal_line(126, 160),
        horizontal_line(143, 160),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(126, 160),
        horizontal_line(127, 159),
        horizontal_line(127, 159),
        horizontal_line(127, 159),
        horizontal_line(128, 159),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(127, 133),
        horizontal_line(127, 137),
        horizontal_line(126, 140),
        horizontal_line(126, 144),
        horizontal_line(126, 148),
        horizontal_line(127, 152),
        horizontal_line(129, 151),
        horizontal_line(131, 150),
        horizontal_line(133, 149),
        horizontal_line(135, 148),
        horizontal_line(137, 146),
        horizontal_line(123, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 128),
        horizontal_line(122, 129),
        horizontal_line(122, 130),
        horizontal_line(121, 132),
        horizontal_line(121, 127),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(131, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(120, 130),
        horizontal_line(119, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(116, 127),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 145),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 143),
        horizontal_line(113, 113),
        horizontal_line(163, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 188),
        horizontal_line(163, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
        horizontal_line(162, 191),
        horizontal_line(162, 191),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(144, 163),
        horizontal_line(127, 164),
    };

    constexpr const horizontal_line frame_631_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(166, 191),
        horizontal_line(167, 191),
        horizontal_line(169, 192),
    };

    constexpr const shape frame_631_shape_group_2_shapes[] = {
        shape(frame_631_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_631_shape_group_2_shape_1_horizontal_lines, 6, 2),
        shape(frame_631_shape_group_2_shape_2_horizontal_lines, 12, 5),
        shape(frame_631_shape_group_2_shape_3_horizontal_lines, 18, 2),
        shape(frame_631_shape_group_2_shape_4_horizontal_lines, 19, 1),
        shape(frame_631_shape_group_2_shape_5_horizontal_lines, 31, 2),
        shape(frame_631_shape_group_2_shape_6_horizontal_lines, 36, 1),
        shape(frame_631_shape_group_2_shape_7_horizontal_lines, 57, 2),
        shape(frame_631_shape_group_2_shape_8_horizontal_lines, 154, 5),
        shape(frame_631_shape_group_2_shape_9_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(191, 239),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(126, 142),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(166, 175),
        horizontal_line(130, 159),
        horizontal_line(134, 158),
        horizontal_line(138, 158),
        horizontal_line(141, 158),
        horizontal_line(145, 158),
        horizontal_line(149, 158),
        horizontal_line(125, 126),
        horizontal_line(125, 128),
        horizontal_line(125, 130),
        horizontal_line(124, 132),
        horizontal_line(124, 134),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(139, 145),
        horizontal_line(141, 144),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 140),
        horizontal_line(133, 140),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(164, 181),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 182),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(128, 143),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(142, 161),
        horizontal_line(143, 161),
        horizontal_line(144, 161),
        horizontal_line(145, 161),
        horizontal_line(146, 161),
        horizontal_line(147, 161),
        horizontal_line(148, 161),
        horizontal_line(149, 161),
        horizontal_line(150, 161),
        horizontal_line(151, 161),
        horizontal_line(152, 161),
        horizontal_line(153, 161),
        horizontal_line(154, 161),
        horizontal_line(155, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 161),
        horizontal_line(158, 161),
        horizontal_line(159, 161),
        horizontal_line(160, 161),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(163, 191),
        horizontal_line(164, 191),
        horizontal_line(165, 191),
    };

    constexpr const horizontal_line frame_631_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_631_shape_group_3_shapes[] = {
        shape(frame_631_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_631_shape_group_3_shape_1_horizontal_lines, 48, 1),
        shape(frame_631_shape_group_3_shape_2_horizontal_lines, 51, 2),
        shape(frame_631_shape_group_3_shape_3_horizontal_lines, 134, 4),
        shape(frame_631_shape_group_3_shape_4_horizontal_lines, 154, 2),
        shape(frame_631_shape_group_3_shape_5_horizontal_lines, 157, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 187),
        horizontal_line(173, 187),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(167, 174),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(153, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(126, 138),
        horizontal_line(127, 140),
        horizontal_line(128, 142),
        horizontal_line(150, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(163, 187),
    };

    constexpr const horizontal_line frame_631_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 161),
        horizontal_line(142, 161),
        horizontal_line(142, 161),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_631_shape_group_4_shapes[] = {
        shape(frame_631_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_631_shape_group_4_shape_1_horizontal_lines, 6, 4),
        shape(frame_631_shape_group_4_shape_2_horizontal_lines, 12, 2),
        shape(frame_631_shape_group_4_shape_3_horizontal_lines, 18, 4),
        shape(frame_631_shape_group_4_shape_4_horizontal_lines, 19, 2),
        shape(frame_631_shape_group_4_shape_5_horizontal_lines, 123, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(174, 190),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(151, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 156),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 138),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(118, 132),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(115, 131),
        horizontal_line(115, 130),
        horizontal_line(114, 130),
        horizontal_line(114, 130),
        horizontal_line(115, 129),
        horizontal_line(116, 129),
        horizontal_line(118, 129),
        horizontal_line(119, 128),
        horizontal_line(121, 128),
        horizontal_line(122, 128),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(188, 234),
        horizontal_line(188, 234),
        horizontal_line(188, 235),
        horizontal_line(188, 235),
        horizontal_line(188, 236),
        horizontal_line(188, 236),
        horizontal_line(189, 236),
        horizontal_line(189, 237),
        horizontal_line(189, 237),
        horizontal_line(189, 238),
        horizontal_line(189, 238),
    };

    constexpr const shape frame_631_shape_group_5_shapes[] = {
        shape(frame_631_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_631_shape_group_5_shape_1_horizontal_lines, 12, 4),
        shape(frame_631_shape_group_5_shape_2_horizontal_lines, 30, 2),
        shape(frame_631_shape_group_5_shape_3_horizontal_lines, 31, 4),
        shape(frame_631_shape_group_5_shape_4_horizontal_lines, 36, 2),
        shape(frame_631_shape_group_5_shape_5_horizontal_lines, 83, 4),
        shape(frame_631_shape_group_5_shape_6_horizontal_lines, 122, 2),
        shape(frame_631_shape_group_5_shape_7_horizontal_lines, 123, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(173, 188),
        horizontal_line(173, 189),
        horizontal_line(174, 189),
        horizontal_line(174, 190),
    };

    constexpr const horizontal_line frame_631_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(174, 190),
        horizontal_line(174, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(175, 192),
        horizontal_line(175, 193),
        horizontal_line(175, 193),
        horizontal_line(175, 193),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 195),
        horizontal_line(161, 166),
        horizontal_line(176, 195),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(160, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
    };

    constexpr const horizontal_line frame_631_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(150, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(149, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(127, 127),
    };

    constexpr const shape frame_631_shape_group_6_shapes[] = {
        shape(frame_631_shape_group_6_shape_0_horizontal_lines, 14, 4),
        shape(frame_631_shape_group_6_shape_1_horizontal_lines, 19, 4),
        shape(frame_631_shape_group_6_shape_2_horizontal_lines, 42, 2),
        shape(frame_631_shape_group_6_shape_3_horizontal_lines, 57, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(175, 195),
    };

    constexpr const horizontal_line frame_631_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(177, 198),
        horizontal_line(177, 199),
        horizontal_line(177, 199),
        horizontal_line(177, 200),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(151, 151),
        horizontal_line(150, 151),
        horizontal_line(149, 150),
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_631_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_631_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(142, 149),
        horizontal_line(142, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(128, 131),
        horizontal_line(122, 130),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(182, 217),
        horizontal_line(183, 218),
        horizontal_line(183, 218),
        horizontal_line(183, 218),
        horizontal_line(183, 219),
        horizontal_line(183, 219),
        horizontal_line(183, 220),
        horizontal_line(183, 220),
        horizontal_line(184, 221),
        horizontal_line(184, 221),
        horizontal_line(184, 221),
        horizontal_line(184, 222),
        horizontal_line(184, 222),
        horizontal_line(184, 223),
        horizontal_line(184, 223),
        horizontal_line(184, 223),
        horizontal_line(185, 224),
        horizontal_line(185, 224),
        horizontal_line(185, 225),
        horizontal_line(185, 225),
        horizontal_line(185, 226),
        horizontal_line(185, 226),
        horizontal_line(185, 226),
        horizontal_line(186, 227),
        horizontal_line(186, 227),
        horizontal_line(186, 228),
        horizontal_line(186, 228),
        horizontal_line(186, 228),
        horizontal_line(186, 229),
        horizontal_line(186, 229),
        horizontal_line(186, 230),
        horizontal_line(187, 230),
        horizontal_line(187, 231),
        horizontal_line(187, 231),
        horizontal_line(187, 231),
        horizontal_line(187, 232),
        horizontal_line(187, 232),
        horizontal_line(187, 233),
        horizontal_line(187, 233),
        horizontal_line(144, 162),
    };

    constexpr const shape frame_631_shape_group_7_shapes[] = {
        shape(frame_631_shape_group_7_shape_0_horizontal_lines, 30, 4),
        shape(frame_631_shape_group_7_shape_1_horizontal_lines, 36, 4),
        shape(frame_631_shape_group_7_shape_2_horizontal_lines, 48, 2),
        shape(frame_631_shape_group_7_shape_3_horizontal_lines, 51, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(146, 150),
        horizontal_line(145, 149),
        horizontal_line(144, 149),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(153, 164),
        horizontal_line(153, 164),
        horizontal_line(153, 164),
        horizontal_line(153, 164),
        horizontal_line(153, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(182, 216),
        horizontal_line(182, 217),
    };

    constexpr const horizontal_line frame_631_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(188, 233),
    };

    constexpr const shape frame_631_shape_group_8_shapes[] = {
        shape(frame_631_shape_group_8_shape_0_horizontal_lines, 42, 4),
        shape(frame_631_shape_group_8_shape_1_horizontal_lines, 122, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
        horizontal_line(180, 210),
        horizontal_line(180, 210),
        horizontal_line(180, 211),
        horizontal_line(180, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 215),
        horizontal_line(182, 215),
        horizontal_line(182, 216),
        horizontal_line(182, 216),
    };

    constexpr const shape frame_631_shape_group_9_shapes[] = {
        shape(frame_631_shape_group_9_shape_0_horizontal_lines, 44, 4),
    };

    constexpr const horizontal_line frame_631_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(178, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
    };

    constexpr const horizontal_line frame_631_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(179, 205),
        horizontal_line(179, 206),
    };

    constexpr const shape frame_631_shape_group_10_shapes[] = {
        shape(frame_631_shape_group_10_shape_0_horizontal_lines, 48, 4),
        shape(frame_631_shape_group_10_shape_1_horizontal_lines, 55, 4),
    };

    constexpr const shape_group frame_631_shape_groups[] = {
        shape_group(frame_631_shape_group_0_shapes),
        shape_group(frame_631_shape_group_1_shapes),
        shape_group(frame_631_shape_group_2_shapes),
        shape_group(frame_631_shape_group_3_shapes),
        shape_group(frame_631_shape_group_4_shapes),
        shape_group(frame_631_shape_group_5_shapes),
        shape_group(frame_631_shape_group_6_shapes),
        shape_group(frame_631_shape_group_7_shapes),
        shape_group(frame_631_shape_group_8_shapes),
        shape_group(frame_631_shape_group_9_shapes),
        shape_group(frame_631_shape_group_10_shapes),
    };

    constexpr const frame frame_631_impl(frame_631_colors, frame_631_shape_groups);
} 

const frame& frame_631()
{
    return frame_631_impl;
}

namespace
{
    constexpr const bn::color frame_632_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_632_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(69, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 100),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 101),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 102),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 103),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 104),
        horizontal_line(68, 105),
    };

    constexpr const shape frame_632_shape_group_0_shapes[] = {
        shape(frame_632_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(108, 169),
        horizontal_line(109, 163),
        horizontal_line(110, 156),
        horizontal_line(111, 150),
        horizontal_line(112, 143),
        horizontal_line(113, 136),
        horizontal_line(114, 130),
        horizontal_line(115, 123),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 125),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(113, 123),
        horizontal_line(113, 123),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(131, 146),
        horizontal_line(130, 146),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 145),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(111, 113),
        horizontal_line(111, 144),
        horizontal_line(111, 144),
        horizontal_line(111, 144),
        horizontal_line(110, 143),
        horizontal_line(110, 143),
        horizontal_line(110, 143),
        horizontal_line(110, 143),
        horizontal_line(110, 143),
        horizontal_line(110, 142),
        horizontal_line(110, 142),
        horizontal_line(110, 142),
        horizontal_line(110, 142),
        horizontal_line(110, 142),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 195),
        horizontal_line(164, 195),
        horizontal_line(164, 195),
        horizontal_line(164, 195),
        horizontal_line(164, 195),
    };

    constexpr const horizontal_line frame_632_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(131, 166),
    };

    constexpr const shape frame_632_shape_group_1_shapes[] = {
        shape(frame_632_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_632_shape_group_1_shape_1_horizontal_lines, 15, 6),
        shape(frame_632_shape_group_1_shape_2_horizontal_lines, 93, 2),
        shape(frame_632_shape_group_1_shape_3_horizontal_lines, 95, 6),
        shape(frame_632_shape_group_1_shape_4_horizontal_lines, 99, 2),
        shape(frame_632_shape_group_1_shape_5_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(164, 169),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(167, 169),
        horizontal_line(168, 169),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 175),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(126, 143),
        horizontal_line(126, 162),
        horizontal_line(126, 161),
        horizontal_line(127, 161),
        horizontal_line(127, 161),
        horizontal_line(127, 161),
        horizontal_line(127, 161),
        horizontal_line(128, 160),
        horizontal_line(131, 160),
        horizontal_line(135, 160),
        horizontal_line(139, 160),
        horizontal_line(143, 160),
        horizontal_line(126, 126),
        horizontal_line(126, 128),
        horizontal_line(125, 130),
        horizontal_line(125, 132),
        horizontal_line(125, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(125, 140),
        horizontal_line(126, 142),
        horizontal_line(127, 144),
        horizontal_line(128, 143),
        horizontal_line(130, 143),
        horizontal_line(131, 142),
        horizontal_line(132, 142),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(120, 120),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(138, 150),
        horizontal_line(137, 149),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 190),
        horizontal_line(165, 190),
        horizontal_line(165, 190),
        horizontal_line(165, 190),
        horizontal_line(165, 190),
        horizontal_line(128, 144),
        horizontal_line(165, 190),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 191),
        horizontal_line(165, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(144, 163),
        horizontal_line(145, 163),
        horizontal_line(146, 163),
        horizontal_line(147, 163),
        horizontal_line(148, 163),
        horizontal_line(149, 163),
        horizontal_line(150, 163),
        horizontal_line(151, 163),
        horizontal_line(152, 163),
        horizontal_line(153, 163),
        horizontal_line(154, 163),
        horizontal_line(155, 163),
        horizontal_line(156, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(161, 163),
        horizontal_line(162, 163),
        horizontal_line(163, 163),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(165, 195),
        horizontal_line(167, 196),
    };

    constexpr const shape frame_632_shape_group_2_shapes[] = {
        shape(frame_632_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_632_shape_group_2_shape_1_horizontal_lines, 6, 2),
        shape(frame_632_shape_group_2_shape_2_horizontal_lines, 54, 5),
        shape(frame_632_shape_group_2_shape_3_horizontal_lines, 56, 2),
        shape(frame_632_shape_group_2_shape_4_horizontal_lines, 137, 4),
        shape(frame_632_shape_group_2_shape_5_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(169, 176),
        horizontal_line(169, 177),
        horizontal_line(169, 177),
        horizontal_line(169, 177),
        horizontal_line(169, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(147, 159),
        horizontal_line(151, 159),
        horizontal_line(155, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(133, 141),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 139),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(166, 186),
        horizontal_line(166, 186),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 188),
        horizontal_line(166, 188),
        horizontal_line(166, 188),
        horizontal_line(166, 188),
        horizontal_line(165, 188),
        horizontal_line(165, 188),
        horizontal_line(165, 188),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(116, 130),
        horizontal_line(117, 129),
        horizontal_line(118, 129),
        horizontal_line(119, 129),
        horizontal_line(121, 128),
        horizontal_line(122, 128),
        horizontal_line(123, 128),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(165, 190),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(145, 164),
        horizontal_line(145, 164),
        horizontal_line(145, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 163),
        horizontal_line(143, 163),
        horizontal_line(143, 163),
        horizontal_line(143, 163),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(109, 163),
    };

    constexpr const horizontal_line frame_632_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(197, 239),
    };

    constexpr const shape frame_632_shape_group_3_shapes[] = {
        shape(frame_632_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_632_shape_group_3_shape_1_horizontal_lines, 114, 4),
        shape(frame_632_shape_group_3_shape_2_horizontal_lines, 123, 2),
        shape(frame_632_shape_group_3_shape_3_horizontal_lines, 124, 4),
        shape(frame_632_shape_group_3_shape_4_horizontal_lines, 157, 1),
        shape(frame_632_shape_group_3_shape_5_horizontal_lines, 158, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(174, 196),
        horizontal_line(175, 197),
        horizontal_line(175, 197),
        horizontal_line(175, 198),
        horizontal_line(168, 168),
        horizontal_line(168, 168),
        horizontal_line(168, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(164, 168),
        horizontal_line(164, 168),
        horizontal_line(164, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 156),
        horizontal_line(149, 156),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 186),
        horizontal_line(166, 186),
        horizontal_line(166, 186),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(166, 186),
        horizontal_line(166, 186),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(121, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 132),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(145, 164),
        horizontal_line(145, 164),
        horizontal_line(127, 127),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(110, 143),
        horizontal_line(110, 144),
        horizontal_line(110, 145),
        horizontal_line(110, 146),
        horizontal_line(110, 147),
        horizontal_line(110, 148),
        horizontal_line(109, 149),
        horizontal_line(109, 150),
        horizontal_line(109, 151),
        horizontal_line(109, 152),
        horizontal_line(109, 153),
        horizontal_line(109, 154),
        horizontal_line(109, 155),
        horizontal_line(109, 156),
        horizontal_line(109, 157),
        horizontal_line(109, 158),
        horizontal_line(109, 159),
        horizontal_line(109, 160),
        horizontal_line(109, 161),
        horizontal_line(109, 162),
    };

    constexpr const horizontal_line frame_632_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(109, 163),
        horizontal_line(109, 130),
    };

    constexpr const shape frame_632_shape_group_4_shapes[] = {
        shape(frame_632_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_632_shape_group_4_shape_1_horizontal_lines, 6, 4),
        shape(frame_632_shape_group_4_shape_2_horizontal_lines, 27, 2),
        shape(frame_632_shape_group_4_shape_3_horizontal_lines, 100, 4),
        shape(frame_632_shape_group_4_shape_4_horizontal_lines, 137, 1),
        shape(frame_632_shape_group_4_shape_5_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 196),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(164, 168),
        horizontal_line(157, 168),
        horizontal_line(151, 168),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(175, 198),
        horizontal_line(175, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 205),
        horizontal_line(177, 205),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 167),
        horizontal_line(162, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 181),
        horizontal_line(167, 181),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(121, 135),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(145, 164),
    };

    constexpr const shape frame_632_shape_group_5_shapes[] = {
        shape(frame_632_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_632_shape_group_5_shape_1_horizontal_lines, 7, 1),
        shape(frame_632_shape_group_5_shape_2_horizontal_lines, 10, 4),
        shape(frame_632_shape_group_5_shape_3_horizontal_lines, 39, 2),
        shape(frame_632_shape_group_5_shape_4_horizontal_lines, 93, 4),
        shape(frame_632_shape_group_5_shape_5_horizontal_lines, 95, 2),
        shape(frame_632_shape_group_5_shape_6_horizontal_lines, 99, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(144, 167),
        horizontal_line(137, 167),
        horizontal_line(131, 167),
        horizontal_line(124, 166),
        horizontal_line(118, 166),
        horizontal_line(118, 166),
        horizontal_line(119, 165),
        horizontal_line(120, 165),
        horizontal_line(120, 165),
        horizontal_line(121, 164),
        horizontal_line(122, 164),
        horizontal_line(122, 164),
        horizontal_line(123, 163),
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(125, 162),
        horizontal_line(126, 162),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(177, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 208),
        horizontal_line(178, 208),
        horizontal_line(178, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 211),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(153, 153),
        horizontal_line(151, 153),
        horizontal_line(150, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 152),
        horizontal_line(146, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(142, 150),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 126),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(128, 140),
        horizontal_line(128, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(151, 165),
        horizontal_line(150, 165),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(149, 165),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 120),
        horizontal_line(111, 121),
        horizontal_line(111, 122),
        horizontal_line(111, 124),
        horizontal_line(111, 125),
    };

    constexpr const horizontal_line frame_632_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const shape frame_632_shape_group_6_shapes[] = {
        shape(frame_632_shape_group_6_shape_0_horizontal_lines, 10, 1),
        shape(frame_632_shape_group_6_shape_1_horizontal_lines, 27, 4),
        shape(frame_632_shape_group_6_shape_2_horizontal_lines, 54, 2),
        shape(frame_632_shape_group_6_shape_3_horizontal_lines, 58, 4),
        shape(frame_632_shape_group_6_shape_4_horizontal_lines, 114, 1),
        shape(frame_632_shape_group_6_shape_5_horizontal_lines, 123, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(144, 162),
    };

    constexpr const horizontal_line frame_632_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(127, 134),
        horizontal_line(127, 138),
        horizontal_line(126, 142),
    };

    constexpr const horizontal_line frame_632_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(179, 211),
        horizontal_line(179, 212),
        horizontal_line(179, 212),
        horizontal_line(180, 212),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(129, 132),
        horizontal_line(124, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 144),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 143),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(151, 165),
        horizontal_line(151, 165),
        horizontal_line(151, 165),
        horizontal_line(151, 165),
        horizontal_line(151, 165),
        horizontal_line(187, 235),
        horizontal_line(187, 236),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(150, 165),
        horizontal_line(188, 238),
    };

    constexpr const horizontal_line frame_632_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(114, 126),
    };

    constexpr const shape frame_632_shape_group_7_shapes[] = {
        shape(frame_632_shape_group_7_shape_0_horizontal_lines, 27, 1),
        shape(frame_632_shape_group_7_shape_1_horizontal_lines, 35, 1),
        shape(frame_632_shape_group_7_shape_2_horizontal_lines, 39, 4),
        shape(frame_632_shape_group_7_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_632_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(127, 146),
        horizontal_line(129, 150),
        horizontal_line(131, 154),
        horizontal_line(133, 153),
    };

    constexpr const horizontal_line frame_632_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(180, 213),
        horizontal_line(180, 213),
        horizontal_line(180, 214),
        horizontal_line(180, 214),
        horizontal_line(180, 215),
        horizontal_line(180, 215),
        horizontal_line(181, 216),
        horizontal_line(181, 216),
        horizontal_line(181, 216),
        horizontal_line(181, 217),
        horizontal_line(181, 217),
        horizontal_line(142, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(140, 148),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(154, 166),
        horizontal_line(154, 166),
        horizontal_line(154, 166),
        horizontal_line(154, 166),
        horizontal_line(154, 166),
        horizontal_line(154, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(152, 165),
        horizontal_line(186, 231),
        horizontal_line(186, 232),
        horizontal_line(186, 232),
        horizontal_line(186, 233),
        horizontal_line(186, 233),
        horizontal_line(186, 234),
        horizontal_line(187, 234),
        horizontal_line(187, 234),
        horizontal_line(187, 235),
    };

    constexpr const horizontal_line frame_632_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(187, 236),
        horizontal_line(187, 237),
        horizontal_line(188, 237),
        horizontal_line(188, 238),
    };

    constexpr const shape frame_632_shape_group_8_shapes[] = {
        shape(frame_632_shape_group_8_shape_0_horizontal_lines, 39, 1),
        shape(frame_632_shape_group_8_shape_1_horizontal_lines, 43, 4),
        shape(frame_632_shape_group_8_shape_2_horizontal_lines, 95, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(135, 152),
        horizontal_line(137, 150),
        horizontal_line(139, 149),
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 129),
        horizontal_line(122, 130),
        horizontal_line(122, 131),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_632_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 166),
        horizontal_line(182, 220),
        horizontal_line(182, 220),
        horizontal_line(182, 221),
        horizontal_line(182, 221),
        horizontal_line(182, 221),
        horizontal_line(183, 222),
        horizontal_line(183, 222),
        horizontal_line(183, 223),
        horizontal_line(183, 223),
        horizontal_line(183, 224),
        horizontal_line(183, 224),
        horizontal_line(183, 225),
        horizontal_line(184, 225),
        horizontal_line(184, 225),
        horizontal_line(184, 226),
        horizontal_line(184, 226),
        horizontal_line(184, 227),
        horizontal_line(184, 227),
        horizontal_line(184, 228),
        horizontal_line(185, 228),
        horizontal_line(185, 229),
        horizontal_line(185, 229),
        horizontal_line(185, 230),
        horizontal_line(185, 230),
        horizontal_line(185, 230),
        horizontal_line(186, 231),
    };

    constexpr const shape frame_632_shape_group_9_shapes[] = {
        shape(frame_632_shape_group_9_shape_0_horizontal_lines, 43, 1),
        shape(frame_632_shape_group_9_shape_1_horizontal_lines, 54, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(141, 147),
        horizontal_line(143, 146),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_632_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(181, 218),
        horizontal_line(181, 218),
        horizontal_line(182, 219),
        horizontal_line(182, 219),
    };

    constexpr const shape frame_632_shape_group_10_shapes[] = {
        shape(frame_632_shape_group_10_shape_0_horizontal_lines, 46, 1),
        shape(frame_632_shape_group_10_shape_1_horizontal_lines, 54, 4),
    };

    constexpr const horizontal_line frame_632_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(122, 128),
        horizontal_line(123, 123),
    };

    constexpr const shape frame_632_shape_group_11_shapes[] = {
        shape(frame_632_shape_group_11_shape_0_horizontal_lines, 54, 1),
    };

    constexpr const shape_group frame_632_shape_groups[] = {
        shape_group(frame_632_shape_group_0_shapes),
        shape_group(frame_632_shape_group_1_shapes),
        shape_group(frame_632_shape_group_2_shapes),
        shape_group(frame_632_shape_group_3_shapes),
        shape_group(frame_632_shape_group_4_shapes),
        shape_group(frame_632_shape_group_5_shapes),
        shape_group(frame_632_shape_group_6_shapes),
        shape_group(frame_632_shape_group_7_shapes),
        shape_group(frame_632_shape_group_8_shapes),
        shape_group(frame_632_shape_group_9_shapes),
        shape_group(frame_632_shape_group_10_shapes),
        shape_group(frame_632_shape_group_11_shapes),
    };

    constexpr const frame frame_632_impl(frame_632_colors, frame_632_shape_groups);
} 

const frame& frame_632()
{
    return frame_632_impl;
}

namespace
{
    constexpr const bn::color frame_633_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_633_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(61, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(60, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(56, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(54, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 100),
    };

    constexpr const shape frame_633_shape_group_0_shapes[] = {
        shape(frame_633_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_633_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(109, 165),
        horizontal_line(110, 158),
        horizontal_line(111, 151),
        horizontal_line(112, 144),
        horizontal_line(113, 137),
        horizontal_line(114, 130),
        horizontal_line(115, 123),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_633_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 123),
        horizontal_line(116, 124),
        horizontal_line(116, 125),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_633_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(111, 120),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 115),
        horizontal_line(111, 115),
        horizontal_line(132, 147),
        horizontal_line(131, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 146),
        horizontal_line(130, 146),
        horizontal_line(130, 146),
        horizontal_line(129, 146),
        horizontal_line(129, 145),
        horizontal_line(110, 119),
        horizontal_line(110, 145),
        horizontal_line(109, 145),
        horizontal_line(109, 145),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 143),
        horizontal_line(109, 143),
        horizontal_line(109, 143),
        horizontal_line(109, 143),
        horizontal_line(109, 143),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 201),
    };

    constexpr const shape frame_633_shape_group_1_shapes[] = {
        shape(frame_633_shape_group_1_shape_0_horizontal_lines, 0, 5),
        shape(frame_633_shape_group_1_shape_1_horizontal_lines, 11, 6),
        shape(frame_633_shape_group_1_shape_2_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_633_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_633_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(171, 177),
        horizontal_line(171, 177),
        horizontal_line(171, 177),
        horizontal_line(171, 177),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(126, 138),
        horizontal_line(126, 151),
        horizontal_line(126, 164),
        horizontal_line(126, 163),
        horizontal_line(127, 163),
        horizontal_line(127, 163),
        horizontal_line(127, 163),
        horizontal_line(127, 163),
        horizontal_line(128, 162),
        horizontal_line(132, 162),
        horizontal_line(136, 162),
        horizontal_line(140, 162),
        horizontal_line(144, 162),
        horizontal_line(148, 161),
        horizontal_line(127, 127),
        horizontal_line(126, 129),
        horizontal_line(126, 131),
        horizontal_line(126, 133),
        horizontal_line(125, 135),
        horizontal_line(125, 137),
        horizontal_line(125, 139),
        horizontal_line(126, 141),
        horizontal_line(127, 143),
        horizontal_line(128, 145),
        horizontal_line(129, 144),
        horizontal_line(131, 144),
        horizontal_line(132, 143),
        horizontal_line(133, 143),
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_633_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_633_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(168, 194),
        horizontal_line(168, 194),
        horizontal_line(168, 194),
        horizontal_line(168, 194),
        horizontal_line(168, 194),
        horizontal_line(168, 195),
        horizontal_line(168, 195),
        horizontal_line(168, 195),
        horizontal_line(168, 195),
        horizontal_line(129, 145),
        horizontal_line(168, 195),
        horizontal_line(168, 196),
        horizontal_line(168, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
    };

    constexpr const horizontal_line frame_633_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(146, 166),
        horizontal_line(147, 166),
        horizontal_line(148, 166),
        horizontal_line(149, 166),
        horizontal_line(150, 166),
        horizontal_line(151, 166),
        horizontal_line(152, 166),
        horizontal_line(153, 166),
        horizontal_line(154, 166),
        horizontal_line(155, 166),
        horizontal_line(156, 166),
        horizontal_line(157, 166),
        horizontal_line(158, 166),
        horizontal_line(159, 166),
        horizontal_line(160, 166),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(163, 166),
        horizontal_line(164, 166),
        horizontal_line(165, 166),
    };

    constexpr const shape frame_633_shape_group_2_shapes[] = {
        shape(frame_633_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_633_shape_group_2_shape_1_horizontal_lines, 3, 2),
        shape(frame_633_shape_group_2_shape_2_horizontal_lines, 53, 5),
        shape(frame_633_shape_group_2_shape_3_horizontal_lines, 55, 2),
        shape(frame_633_shape_group_2_shape_4_horizontal_lines, 138, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(152, 161),
        horizontal_line(157, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(152, 159),
        horizontal_line(134, 142),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(136, 149),
        horizontal_line(168, 192),
        horizontal_line(168, 192),
        horizontal_line(168, 192),
        horizontal_line(168, 192),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 194),
        horizontal_line(168, 194),
    };

    constexpr const horizontal_line frame_633_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(117, 131),
        horizontal_line(118, 130),
        horizontal_line(119, 130),
        horizontal_line(120, 130),
        horizontal_line(122, 129),
        horizontal_line(123, 129),
        horizontal_line(124, 129),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_633_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(168, 195),
    };

    constexpr const horizontal_line frame_633_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(146, 167),
        horizontal_line(146, 167),
        horizontal_line(146, 167),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(144, 166),
        horizontal_line(144, 166),
        horizontal_line(144, 166),
        horizontal_line(144, 166),
        horizontal_line(144, 166),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_633_shape_group_3_shapes[] = {
        shape(frame_633_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_633_shape_group_3_shape_1_horizontal_lines, 115, 4),
        shape(frame_633_shape_group_3_shape_2_horizontal_lines, 124, 2),
        shape(frame_633_shape_group_3_shape_3_horizontal_lines, 125, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_633_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(178, 211),
        horizontal_line(178, 212),
        horizontal_line(178, 212),
        horizontal_line(170, 170),
        horizontal_line(170, 170),
        horizontal_line(170, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_633_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(170, 185),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(169, 186),
        horizontal_line(169, 186),
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 190),
        horizontal_line(169, 191),
        horizontal_line(169, 191),
        horizontal_line(169, 191),
        horizontal_line(169, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 192),
        horizontal_line(168, 192),
    };

    constexpr const horizontal_line frame_633_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(146, 167),
        horizontal_line(128, 128),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_633_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 145),
        horizontal_line(109, 146),
        horizontal_line(109, 147),
        horizontal_line(108, 148),
        horizontal_line(108, 149),
        horizontal_line(108, 150),
        horizontal_line(108, 151),
        horizontal_line(108, 152),
        horizontal_line(108, 153),
        horizontal_line(108, 154),
        horizontal_line(108, 155),
        horizontal_line(108, 156),
        horizontal_line(108, 157),
        horizontal_line(108, 158),
        horizontal_line(108, 159),
        horizontal_line(108, 160),
        horizontal_line(108, 161),
        horizontal_line(108, 162),
        horizontal_line(108, 163),
        horizontal_line(108, 164),
    };

    constexpr const shape frame_633_shape_group_4_shapes[] = {
        shape(frame_633_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_633_shape_group_4_shape_1_horizontal_lines, 3, 4),
        shape(frame_633_shape_group_4_shape_2_horizontal_lines, 24, 2),
        shape(frame_633_shape_group_4_shape_3_horizontal_lines, 102, 4),
        shape(frame_633_shape_group_4_shape_4_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_633_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 210),
        horizontal_line(178, 210),
        horizontal_line(178, 211),
    };

    constexpr const horizontal_line frame_633_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(166, 170),
        horizontal_line(159, 170),
        horizontal_line(152, 170),
    };

    constexpr const horizontal_line frame_633_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(178, 213),
        horizontal_line(179, 213),
        horizontal_line(179, 214),
        horizontal_line(179, 214),
        horizontal_line(179, 215),
        horizontal_line(179, 215),
        horizontal_line(179, 216),
        horizontal_line(179, 216),
        horizontal_line(180, 217),
        horizontal_line(180, 217),
        horizontal_line(180, 218),
        horizontal_line(180, 218),
        horizontal_line(180, 219),
        horizontal_line(180, 219),
        horizontal_line(181, 220),
        horizontal_line(181, 220),
        horizontal_line(181, 221),
        horizontal_line(181, 221),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_633_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
    };

    constexpr const horizontal_line frame_633_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(119, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 135),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(146, 167),
    };

    constexpr const shape frame_633_shape_group_5_shapes[] = {
        shape(frame_633_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_633_shape_group_5_shape_1_horizontal_lines, 3, 1),
        shape(frame_633_shape_group_5_shape_2_horizontal_lines, 6, 4),
        shape(frame_633_shape_group_5_shape_3_horizontal_lines, 38, 2),
        shape(frame_633_shape_group_5_shape_4_horizontal_lines, 59, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(145, 169),
        horizontal_line(138, 169),
        horizontal_line(131, 169),
        horizontal_line(124, 168),
        horizontal_line(117, 168),
        horizontal_line(117, 168),
        horizontal_line(118, 168),
        horizontal_line(119, 167),
        horizontal_line(120, 167),
        horizontal_line(120, 167),
        horizontal_line(121, 166),
        horizontal_line(122, 166),
        horizontal_line(123, 166),
        horizontal_line(123, 166),
        horizontal_line(124, 165),
        horizontal_line(125, 165),
        horizontal_line(126, 165),
        horizontal_line(127, 164),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(181, 222),
        horizontal_line(181, 222),
        horizontal_line(181, 223),
        horizontal_line(182, 223),
        horizontal_line(182, 224),
        horizontal_line(182, 225),
        horizontal_line(182, 225),
        horizontal_line(182, 226),
        horizontal_line(182, 226),
        horizontal_line(182, 227),
        horizontal_line(183, 227),
        horizontal_line(183, 228),
        horizontal_line(183, 228),
        horizontal_line(183, 229),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(155, 155),
        horizontal_line(153, 155),
        horizontal_line(152, 154),
        horizontal_line(151, 154),
        horizontal_line(149, 154),
        horizontal_line(148, 153),
        horizontal_line(147, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 144),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(150, 167),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(110, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 119),
        horizontal_line(110, 121),
        horizontal_line(110, 122),
        horizontal_line(110, 123),
        horizontal_line(110, 125),
        horizontal_line(110, 126),
    };

    constexpr const horizontal_line frame_633_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const shape frame_633_shape_group_6_shapes[] = {
        shape(frame_633_shape_group_6_shape_0_horizontal_lines, 6, 1),
        shape(frame_633_shape_group_6_shape_1_horizontal_lines, 24, 4),
        shape(frame_633_shape_group_6_shape_2_horizontal_lines, 53, 2),
        shape(frame_633_shape_group_6_shape_3_horizontal_lines, 56, 4),
        shape(frame_633_shape_group_6_shape_4_horizontal_lines, 115, 1),
        shape(frame_633_shape_group_6_shape_5_horizontal_lines, 124, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(139, 164),
        horizontal_line(152, 164),
    };

    constexpr const horizontal_line frame_633_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(128, 131),
        horizontal_line(128, 135),
        horizontal_line(128, 139),
        horizontal_line(127, 143),
        horizontal_line(127, 147),
    };

    constexpr const horizontal_line frame_633_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(183, 229),
        horizontal_line(183, 230),
        horizontal_line(184, 230),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
        horizontal_line(130, 133),
        horizontal_line(125, 132),
        horizontal_line(123, 132),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 149),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
        horizontal_line(157, 169),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(157, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(156, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_633_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_633_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(120, 127),
    };

    constexpr const shape frame_633_shape_group_7_shapes[] = {
        shape(frame_633_shape_group_7_shape_0_horizontal_lines, 24, 1),
        shape(frame_633_shape_group_7_shape_1_horizontal_lines, 33, 1),
        shape(frame_633_shape_group_7_shape_2_horizontal_lines, 38, 4),
        shape(frame_633_shape_group_7_shape_3_horizontal_lines, 114, 1),
        shape(frame_633_shape_group_7_shape_4_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_633_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 151),
        horizontal_line(130, 156),
        horizontal_line(132, 155),
    };

    constexpr const horizontal_line frame_633_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(184, 231),
        horizontal_line(184, 231),
        horizontal_line(184, 232),
        horizontal_line(184, 232),
        horizontal_line(184, 233),
        horizontal_line(184, 233),
        horizontal_line(185, 234),
        horizontal_line(185, 234),
        horizontal_line(185, 235),
        horizontal_line(185, 235),
        horizontal_line(185, 236),
        horizontal_line(185, 236),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 150),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_633_shape_group_8_shapes[] = {
        shape(frame_633_shape_group_8_shape_0_horizontal_lines, 38, 1),
        shape(frame_633_shape_group_8_shape_1_horizontal_lines, 41, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(134, 154),
        horizontal_line(136, 152),
        horizontal_line(138, 151),
        horizontal_line(140, 150),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 130),
        horizontal_line(123, 131),
        horizontal_line(122, 132),
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_633_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_633_shape_group_9_shapes[] = {
        shape(frame_633_shape_group_9_shape_0_horizontal_lines, 41, 1),
        shape(frame_633_shape_group_9_shape_1_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(144, 147),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_633_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(186, 237),
        horizontal_line(186, 237),
        horizontal_line(186, 238),
    };

    constexpr const shape frame_633_shape_group_10_shapes[] = {
        shape(frame_633_shape_group_10_shape_0_horizontal_lines, 45, 1),
        shape(frame_633_shape_group_10_shape_1_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_633_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(124, 124),
    };

    constexpr const shape frame_633_shape_group_11_shapes[] = {
        shape(frame_633_shape_group_11_shape_0_horizontal_lines, 53, 1),
    };

    constexpr const shape_group frame_633_shape_groups[] = {
        shape_group(frame_633_shape_group_0_shapes),
        shape_group(frame_633_shape_group_1_shapes),
        shape_group(frame_633_shape_group_2_shapes),
        shape_group(frame_633_shape_group_3_shapes),
        shape_group(frame_633_shape_group_4_shapes),
        shape_group(frame_633_shape_group_5_shapes),
        shape_group(frame_633_shape_group_6_shapes),
        shape_group(frame_633_shape_group_7_shapes),
        shape_group(frame_633_shape_group_8_shapes),
        shape_group(frame_633_shape_group_9_shapes),
        shape_group(frame_633_shape_group_10_shapes),
        shape_group(frame_633_shape_group_11_shapes),
    };

    constexpr const frame frame_633_impl(frame_633_colors, frame_633_shape_groups);
} 

const frame& frame_633()
{
    return frame_633_impl;
}

namespace
{
    constexpr const bn::color frame_634_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_634_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const shape frame_634_shape_group_0_shapes[] = {
        shape(frame_634_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_634_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(93, 109),
        horizontal_line(93, 110),
        horizontal_line(93, 111),
        horizontal_line(93, 112),
        horizontal_line(93, 113),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(95, 110),
        horizontal_line(95, 110),
        horizontal_line(95, 110),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(97, 105),
    };

    constexpr const shape frame_634_shape_group_1_shapes[] = {
        shape(frame_634_shape_group_1_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(50, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(48, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(44, 93),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(43, 93),
        horizontal_line(43, 93),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_634_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(41, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(40, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(39, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(38, 94),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 95),
        horizontal_line(34, 96),
    };

    constexpr const shape frame_634_shape_group_2_shapes[] = {
        shape(frame_634_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_634_shape_group_2_shape_1_horizontal_lines, 24, 7),
        shape(frame_634_shape_group_2_shape_2_horizontal_lines, 58, 6),
        shape(frame_634_shape_group_2_shape_3_horizontal_lines, 59, 7),
        shape(frame_634_shape_group_2_shape_4_horizontal_lines, 62, 6),
        shape(frame_634_shape_group_2_shape_5_horizontal_lines, 64, 7),
        shape(frame_634_shape_group_2_shape_6_horizontal_lines, 65, 6),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(110, 148),
        horizontal_line(111, 141),
        horizontal_line(112, 134),
        horizontal_line(113, 128),
        horizontal_line(114, 121),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 116),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 118),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 124),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(47, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(112, 118),
        horizontal_line(44, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(43, 93),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(108, 110),
        horizontal_line(108, 116),
        horizontal_line(108, 117),
        horizontal_line(108, 118),
        horizontal_line(108, 120),
        horizontal_line(108, 121),
        horizontal_line(108, 123),
        horizontal_line(108, 124),
        horizontal_line(108, 125),
        horizontal_line(109, 127),
        horizontal_line(120, 128),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(108, 146),
        horizontal_line(108, 146),
        horizontal_line(108, 146),
        horizontal_line(107, 146),
        horizontal_line(107, 146),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(107, 144),
        horizontal_line(107, 144),
        horizontal_line(107, 144),
        horizontal_line(107, 144),
        horizontal_line(107, 144),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(107, 146),
        horizontal_line(106, 147),
        horizontal_line(106, 148),
        horizontal_line(106, 149),
        horizontal_line(106, 150),
        horizontal_line(106, 151),
        horizontal_line(106, 152),
        horizontal_line(106, 153),
        horizontal_line(106, 153),
        horizontal_line(106, 154),
        horizontal_line(106, 155),
        horizontal_line(106, 156),
        horizontal_line(106, 157),
        horizontal_line(106, 158),
        horizontal_line(106, 159),
        horizontal_line(106, 160),
    };

    constexpr const horizontal_line frame_634_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_634_shape_group_3_shapes[] = {
        shape(frame_634_shape_group_3_shape_0_horizontal_lines, 0, 5),
        shape(frame_634_shape_group_3_shape_1_horizontal_lines, 6, 6),
        shape(frame_634_shape_group_3_shape_2_horizontal_lines, 108, 2),
        shape(frame_634_shape_group_3_shape_3_horizontal_lines, 115, 1),
        shape(frame_634_shape_group_3_shape_4_horizontal_lines, 126, 2),
        shape(frame_634_shape_group_3_shape_5_horizontal_lines, 141, 1),
        shape(frame_634_shape_group_3_shape_6_horizontal_lines, 159, 6),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(149, 172),
        horizontal_line(142, 171),
        horizontal_line(135, 171),
        horizontal_line(129, 171),
        horizontal_line(122, 170),
        horizontal_line(116, 170),
        horizontal_line(116, 170),
        horizontal_line(117, 170),
        horizontal_line(118, 169),
        horizontal_line(118, 169),
        horizontal_line(119, 169),
        horizontal_line(120, 169),
        horizontal_line(120, 168),
        horizontal_line(121, 168),
        horizontal_line(122, 168),
        horizontal_line(122, 167),
        horizontal_line(123, 167),
        horizontal_line(124, 167),
        horizontal_line(124, 167),
        horizontal_line(125, 166),
        horizontal_line(126, 166),
        horizontal_line(146, 166),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 166),
        horizontal_line(125, 165),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(112, 116),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(111, 123),
        horizontal_line(111, 123),
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(111, 121),
        horizontal_line(110, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(135, 150),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(111, 115),
        horizontal_line(133, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(131, 147),
        horizontal_line(131, 147),
        horizontal_line(131, 147),
        horizontal_line(130, 147),
        horizontal_line(108, 108),
        horizontal_line(108, 119),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 203),
        horizontal_line(169, 203),
        horizontal_line(169, 203),
        horizontal_line(169, 203),
        horizontal_line(169, 203),
        horizontal_line(169, 203),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 204),
        horizontal_line(169, 205),
        horizontal_line(169, 205),
        horizontal_line(169, 205),
        horizontal_line(169, 205),
        horizontal_line(169, 205),
        horizontal_line(169, 205),
    };

    constexpr const horizontal_line frame_634_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(106, 161),
    };

    constexpr const shape frame_634_shape_group_4_shapes[] = {
        shape(frame_634_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_634_shape_group_4_shape_1_horizontal_lines, 22, 2),
        shape(frame_634_shape_group_4_shape_2_horizontal_lines, 24, 6),
        shape(frame_634_shape_group_4_shape_3_horizontal_lines, 58, 2),
        shape(frame_634_shape_group_4_shape_4_horizontal_lines, 59, 6),
        shape(frame_634_shape_group_4_shape_5_horizontal_lines, 62, 2),
        shape(frame_634_shape_group_4_shape_6_horizontal_lines, 64, 6),
        shape(frame_634_shape_group_4_shape_7_horizontal_lines, 65, 2),
        shape(frame_634_shape_group_4_shape_8_horizontal_lines, 159, 1),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(173, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(125, 145),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(126, 165),
        horizontal_line(126, 165),
        horizontal_line(126, 165),
        horizontal_line(127, 165),
        horizontal_line(127, 164),
        horizontal_line(127, 164),
        horizontal_line(128, 164),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 134),
        horizontal_line(128, 138),
        horizontal_line(127, 142),
        horizontal_line(127, 145),
        horizontal_line(128, 149),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(132, 157),
        horizontal_line(134, 156),
        horizontal_line(136, 155),
        horizontal_line(138, 154),
        horizontal_line(140, 153),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(123, 129),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 123),
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(132, 141),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(150, 158),
        horizontal_line(129, 138),
        horizontal_line(149, 158),
        horizontal_line(149, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(133, 148),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(169, 200),
        horizontal_line(169, 200),
        horizontal_line(169, 200),
        horizontal_line(169, 200),
        horizontal_line(130, 147),
        horizontal_line(130, 146),
    };

    constexpr const horizontal_line frame_634_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(169, 206),
    };

    constexpr const shape frame_634_shape_group_5_shapes[] = {
        shape(frame_634_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_634_shape_group_5_shape_1_horizontal_lines, 31, 1),
        shape(frame_634_shape_group_5_shape_2_horizontal_lines, 37, 6),
        shape(frame_634_shape_group_5_shape_3_horizontal_lines, 38, 1),
        shape(frame_634_shape_group_5_shape_4_horizontal_lines, 52, 5),
        shape(frame_634_shape_group_5_shape_5_horizontal_lines, 55, 2),
        shape(frame_634_shape_group_5_shape_6_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(172, 185),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(131, 164),
        horizontal_line(135, 164),
        horizontal_line(139, 163),
        horizontal_line(143, 163),
        horizontal_line(146, 163),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(130, 153),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 131),
        horizontal_line(126, 133),
        horizontal_line(125, 135),
        horizontal_line(125, 137),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(144, 150),
        horizontal_line(146, 149),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(132, 146),
        horizontal_line(133, 146),
        horizontal_line(134, 145),
        horizontal_line(135, 145),
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(123, 133),
        horizontal_line(124, 129),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 141),
        horizontal_line(151, 159),
        horizontal_line(132, 141),
        horizontal_line(131, 140),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(171, 191),
        horizontal_line(149, 158),
        horizontal_line(171, 191),
        horizontal_line(171, 191),
        horizontal_line(171, 192),
        horizontal_line(171, 192),
        horizontal_line(171, 192),
        horizontal_line(171, 192),
        horizontal_line(171, 192),
        horizontal_line(171, 192),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(170, 199),
    };

    constexpr const horizontal_line frame_634_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(169, 200),
        horizontal_line(169, 200),
    };

    constexpr const shape frame_634_shape_group_6_shapes[] = {
        shape(frame_634_shape_group_6_shape_0_horizontal_lines, 21, 2),
        shape(frame_634_shape_group_6_shape_1_horizontal_lines, 24, 2),
        shape(frame_634_shape_group_6_shape_2_horizontal_lines, 37, 1),
        shape(frame_634_shape_group_6_shape_3_horizontal_lines, 38, 2),
        shape(frame_634_shape_group_6_shape_4_horizontal_lines, 43, 1),
        shape(frame_634_shape_group_6_shape_5_horizontal_lines, 47, 2),
        shape(frame_634_shape_group_6_shape_6_horizontal_lines, 52, 1),
        shape(frame_634_shape_group_6_shape_7_horizontal_lines, 55, 2),
        shape(frame_634_shape_group_6_shape_8_horizontal_lines, 115, 2),
        shape(frame_634_shape_group_6_shape_9_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_634_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(150, 163),
        horizontal_line(127, 129),
        horizontal_line(158, 163),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(157, 162),
        horizontal_line(156, 162),
        horizontal_line(127, 141),
        horizontal_line(128, 143),
        horizontal_line(129, 145),
        horizontal_line(130, 147),
        horizontal_line(155, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 161),
        horizontal_line(154, 160),
        horizontal_line(153, 160),
        horizontal_line(136, 144),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(151, 159),
        horizontal_line(171, 190),
        horizontal_line(151, 159),
        horizontal_line(151, 158),
        horizontal_line(171, 191),
        horizontal_line(171, 191),
    };

    constexpr const horizontal_line frame_634_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(171, 191),
    };

    constexpr const shape frame_634_shape_group_7_shapes[] = {
        shape(frame_634_shape_group_7_shape_0_horizontal_lines, 31, 2),
        shape(frame_634_shape_group_7_shape_1_horizontal_lines, 64, 2),
    };

    constexpr const horizontal_line frame_634_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(172, 187),
        horizontal_line(154, 163),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(156, 162),
        horizontal_line(156, 161),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
    };

    constexpr const horizontal_line frame_634_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(171, 190),
        horizontal_line(171, 191),
    };

    constexpr const shape frame_634_shape_group_8_shapes[] = {
        shape(frame_634_shape_group_8_shape_0_horizontal_lines, 36, 2),
        shape(frame_634_shape_group_8_shape_1_horizontal_lines, 59, 2),
    };

    constexpr const horizontal_line frame_634_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(172, 187),
    };

    constexpr const horizontal_line frame_634_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
    };

    constexpr const horizontal_line frame_634_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(171, 189),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
    };

    constexpr const shape frame_634_shape_group_9_shapes[] = {
        shape(frame_634_shape_group_9_shape_0_horizontal_lines, 37, 2),
        shape(frame_634_shape_group_9_shape_1_horizontal_lines, 43, 2),
        shape(frame_634_shape_group_9_shape_2_horizontal_lines, 52, 2),
    };

    constexpr const shape_group frame_634_shape_groups[] = {
        shape_group(frame_634_shape_group_0_shapes),
        shape_group(frame_634_shape_group_1_shapes),
        shape_group(frame_634_shape_group_2_shapes),
        shape_group(frame_634_shape_group_3_shapes),
        shape_group(frame_634_shape_group_4_shapes),
        shape_group(frame_634_shape_group_5_shapes),
        shape_group(frame_634_shape_group_6_shapes),
        shape_group(frame_634_shape_group_7_shapes),
        shape_group(frame_634_shape_group_8_shapes),
        shape_group(frame_634_shape_group_9_shapes),
    };

    constexpr const frame frame_634_impl(frame_634_colors, frame_634_shape_groups);
} 

const frame& frame_634()
{
    return frame_634_impl;
}

namespace
{
    constexpr const bn::color frame_635_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_635_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_635_shape_group_0_shapes[] = {
        shape(frame_635_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_635_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(89, 113),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(90, 103),
    };

    constexpr const shape frame_635_shape_group_1_shapes[] = {
        shape(frame_635_shape_group_1_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(114, 172),
        horizontal_line(114, 171),
        horizontal_line(115, 171),
        horizontal_line(116, 171),
        horizontal_line(116, 171),
        horizontal_line(117, 171),
        horizontal_line(118, 171),
        horizontal_line(118, 170),
        horizontal_line(119, 170),
        horizontal_line(120, 170),
        horizontal_line(121, 170),
        horizontal_line(121, 170),
        horizontal_line(122, 170),
        horizontal_line(123, 169),
        horizontal_line(123, 169),
        horizontal_line(124, 169),
        horizontal_line(125, 169),
        horizontal_line(126, 169),
        horizontal_line(147, 169),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(170, 174),
        horizontal_line(169, 174),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(119, 128),
        horizontal_line(118, 128),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(126, 139),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(118, 133),
        horizontal_line(117, 132),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(107, 117),
        horizontal_line(107, 118),
        horizontal_line(107, 119),
        horizontal_line(107, 120),
        horizontal_line(106, 122),
        horizontal_line(106, 123),
        horizontal_line(106, 124),
        horizontal_line(106, 126),
        horizontal_line(106, 127),
        horizontal_line(115, 128),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(149, 171),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(147, 170),
        horizontal_line(147, 170),
        horizontal_line(147, 170),
        horizontal_line(147, 170),
        horizontal_line(147, 170),
    };

    constexpr const horizontal_line frame_635_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(105, 147),
        horizontal_line(104, 147),
        horizontal_line(104, 148),
        horizontal_line(104, 149),
        horizontal_line(104, 150),
        horizontal_line(104, 150),
        horizontal_line(104, 151),
        horizontal_line(104, 152),
        horizontal_line(104, 153),
        horizontal_line(104, 153),
        horizontal_line(104, 154),
        horizontal_line(104, 155),
        horizontal_line(104, 156),
        horizontal_line(104, 156),
        horizontal_line(104, 157),
        horizontal_line(104, 158),
        horizontal_line(104, 159),
    };

    constexpr const shape frame_635_shape_group_2_shapes[] = {
        shape(frame_635_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_635_shape_group_2_shape_1_horizontal_lines, 19, 4),
        shape(frame_635_shape_group_2_shape_2_horizontal_lines, 21, 7),
        shape(frame_635_shape_group_2_shape_3_horizontal_lines, 64, 4),
        shape(frame_635_shape_group_2_shape_4_horizontal_lines, 66, 7),
        shape(frame_635_shape_group_2_shape_5_horizontal_lines, 67, 4),
        shape(frame_635_shape_group_2_shape_6_horizontal_lines, 116, 1),
        shape(frame_635_shape_group_2_shape_7_horizontal_lines, 127, 4),
        shape(frame_635_shape_group_2_shape_8_horizontal_lines, 143, 1),
    };

    constexpr const horizontal_line frame_635_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(168, 174),
        horizontal_line(168, 174),
        horizontal_line(168, 174),
        horizontal_line(168, 174),
    };

    constexpr const horizontal_line frame_635_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(128, 131),
        horizontal_line(128, 136),
        horizontal_line(128, 140),
        horizontal_line(128, 145),
        horizontal_line(128, 149),
        horizontal_line(128, 154),
        horizontal_line(129, 159),
        horizontal_line(131, 158),
        horizontal_line(133, 157),
        horizontal_line(135, 156),
        horizontal_line(137, 155),
        horizontal_line(139, 154),
        horizontal_line(125, 125),
        horizontal_line(125, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 132),
        horizontal_line(123, 133),
        horizontal_line(122, 134),
        horizontal_line(122, 135),
        horizontal_line(123, 137),
        horizontal_line(124, 135),
        horizontal_line(125, 132),
        horizontal_line(126, 129),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_635_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(120, 129),
        horizontal_line(140, 149),
        horizontal_line(140, 149),
        horizontal_line(118, 127),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(117, 132),
        horizontal_line(118, 132),
        horizontal_line(119, 131),
        horizontal_line(120, 131),
        horizontal_line(121, 131),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
        horizontal_line(127, 129),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(149, 170),
        horizontal_line(150, 170),
        horizontal_line(151, 170),
        horizontal_line(151, 170),
        horizontal_line(152, 170),
        horizontal_line(153, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(155, 170),
        horizontal_line(156, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(158, 170),
        horizontal_line(159, 170),
        horizontal_line(160, 170),
    };

    constexpr const shape frame_635_shape_group_3_shapes[] = {
        shape(frame_635_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_635_shape_group_3_shape_1_horizontal_lines, 29, 1),
        shape(frame_635_shape_group_3_shape_2_horizontal_lines, 55, 4),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 169),
        horizontal_line(125, 168),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(168, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 174),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(166, 173),
        horizontal_line(158, 158),
        horizontal_line(157, 158),
        horizontal_line(156, 157),
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(141, 153),
        horizontal_line(143, 152),
        horizontal_line(145, 151),
        horizontal_line(147, 150),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(136, 136),
        horizontal_line(133, 135),
        horizontal_line(130, 135),
        horizontal_line(128, 134),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(141, 149),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(139, 148),
        horizontal_line(161, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(155, 172),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(152, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 171),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(106, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 147),
        horizontal_line(105, 147),
        horizontal_line(105, 147),
        horizontal_line(105, 147),
        horizontal_line(105, 147),
        horizontal_line(105, 146),
        horizontal_line(105, 146),
        horizontal_line(105, 146),
        horizontal_line(105, 146),
        horizontal_line(105, 146),
    };

    constexpr const horizontal_line frame_635_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const shape frame_635_shape_group_4_shapes[] = {
        shape(frame_635_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_635_shape_group_4_shape_1_horizontal_lines, 19, 2),
        shape(frame_635_shape_group_4_shape_2_horizontal_lines, 21, 4),
        shape(frame_635_shape_group_4_shape_3_horizontal_lines, 41, 1),
        shape(frame_635_shape_group_4_shape_4_horizontal_lines, 46, 4),
        shape(frame_635_shape_group_4_shape_5_horizontal_lines, 127, 2),
        shape(frame_635_shape_group_4_shape_6_horizontal_lines, 143, 4),
    };

    constexpr const horizontal_line frame_635_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(176, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(125, 146),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(126, 168),
        horizontal_line(126, 168),
        horizontal_line(126, 168),
        horizontal_line(126, 168),
        horizontal_line(127, 167),
        horizontal_line(127, 167),
        horizontal_line(127, 167),
        horizontal_line(128, 167),
    };

    constexpr const horizontal_line frame_635_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(154, 157),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(151, 156),
        horizontal_line(150, 155),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(146, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 152),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(161, 173),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(161, 172),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(111, 125),
        horizontal_line(111, 124),
        horizontal_line(111, 124),
        horizontal_line(110, 124),
        horizontal_line(110, 123),
        horizontal_line(110, 123),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(109, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(109, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_635_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(172, 207),
        horizontal_line(171, 207),
        horizontal_line(171, 208),
        horizontal_line(171, 208),
        horizontal_line(171, 208),
        horizontal_line(171, 208),
        horizontal_line(171, 208),
        horizontal_line(171, 208),
        horizontal_line(171, 209),
        horizontal_line(171, 209),
        horizontal_line(171, 209),
        horizontal_line(171, 209),
        horizontal_line(171, 209),
        horizontal_line(171, 209),
        horizontal_line(171, 210),
        horizontal_line(171, 210),
        horizontal_line(171, 210),
        horizontal_line(171, 210),
        horizontal_line(171, 210),
        horizontal_line(171, 210),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
        horizontal_line(171, 213),
    };

    constexpr const shape frame_635_shape_group_5_shapes[] = {
        shape(frame_635_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_635_shape_group_5_shape_1_horizontal_lines, 29, 4),
        shape(frame_635_shape_group_5_shape_2_horizontal_lines, 96, 2),
        shape(frame_635_shape_group_5_shape_3_horizontal_lines, 116, 4),
        shape(frame_635_shape_group_5_shape_4_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(132, 167),
        horizontal_line(137, 166),
        horizontal_line(141, 166),
        horizontal_line(146, 166),
        horizontal_line(150, 166),
        horizontal_line(155, 166),
        horizontal_line(128, 128),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(164, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 127),
        horizontal_line(113, 126),
        horizontal_line(112, 126),
        horizontal_line(112, 125),
        horizontal_line(140, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(138, 153),
        horizontal_line(138, 153),
        horizontal_line(138, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(135, 152),
        horizontal_line(135, 152),
        horizontal_line(135, 151),
        horizontal_line(134, 151),
        horizontal_line(134, 151),
        horizontal_line(134, 151),
        horizontal_line(133, 151),
        horizontal_line(111, 116),
        horizontal_line(133, 150),
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(131, 150),
        horizontal_line(131, 149),
        horizontal_line(131, 149),
        horizontal_line(130, 149),
        horizontal_line(130, 149),
        horizontal_line(106, 114),
    };

    constexpr const shape frame_635_shape_group_6_shapes[] = {
        shape(frame_635_shape_group_6_shape_0_horizontal_lines, 18, 2),
        shape(frame_635_shape_group_6_shape_1_horizontal_lines, 21, 2),
        shape(frame_635_shape_group_6_shape_2_horizontal_lines, 37, 4),
        shape(frame_635_shape_group_6_shape_3_horizontal_lines, 64, 2),
        shape(frame_635_shape_group_6_shape_4_horizontal_lines, 66, 4),
        shape(frame_635_shape_group_6_shape_5_horizontal_lines, 67, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(160, 166),
        horizontal_line(159, 165),
        horizontal_line(127, 132),
        horizontal_line(127, 134),
        horizontal_line(126, 136),
        horizontal_line(126, 138),
    };

    constexpr const horizontal_line frame_635_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(133, 147),
        horizontal_line(134, 147),
        horizontal_line(135, 146),
        horizontal_line(136, 146),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_635_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_635_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(117, 117),
        horizontal_line(128, 138),
        horizontal_line(149, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(140, 155),
        horizontal_line(140, 154),
        horizontal_line(172, 202),
        horizontal_line(172, 202),
        horizontal_line(172, 203),
        horizontal_line(172, 203),
        horizontal_line(172, 203),
        horizontal_line(172, 203),
        horizontal_line(172, 203),
        horizontal_line(172, 203),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 205),
        horizontal_line(172, 205),
        horizontal_line(172, 205),
        horizontal_line(172, 205),
        horizontal_line(172, 205),
        horizontal_line(133, 151),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 207),
        horizontal_line(172, 207),
        horizontal_line(172, 207),
        horizontal_line(130, 149),
    };

    constexpr const shape frame_635_shape_group_7_shapes[] = {
        shape(frame_635_shape_group_7_shape_0_horizontal_lines, 29, 2),
        shape(frame_635_shape_group_7_shape_1_horizontal_lines, 41, 4),
        shape(frame_635_shape_group_7_shape_2_horizontal_lines, 46, 2),
        shape(frame_635_shape_group_7_shape_3_horizontal_lines, 51, 4),
        shape(frame_635_shape_group_7_shape_4_horizontal_lines, 55, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(174, 192),
        horizontal_line(174, 192),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(126, 140),
        horizontal_line(128, 142),
        horizontal_line(129, 144),
        horizontal_line(130, 146),
        horizontal_line(131, 148),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(137, 145),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(128, 138),
        horizontal_line(149, 160),
        horizontal_line(173, 198),
        horizontal_line(173, 198),
        horizontal_line(173, 198),
        horizontal_line(173, 198),
        horizontal_line(173, 198),
        horizontal_line(173, 198),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 201),
        horizontal_line(173, 201),
        horizontal_line(173, 201),
        horizontal_line(173, 201),
        horizontal_line(173, 201),
        horizontal_line(173, 201),
        horizontal_line(173, 202),
        horizontal_line(173, 202),
        horizontal_line(173, 202),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_635_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 205),
    };

    constexpr const horizontal_line frame_635_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(172, 207),
    };

    constexpr const shape frame_635_shape_group_8_shapes[] = {
        shape(frame_635_shape_group_8_shape_0_horizontal_lines, 35, 2),
        shape(frame_635_shape_group_8_shape_1_horizontal_lines, 116, 2),
        shape(frame_635_shape_group_8_shape_2_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(158, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(156, 164),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(154, 163),
        horizontal_line(154, 162),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 161),
        horizontal_line(151, 161),
        horizontal_line(151, 161),
        horizontal_line(150, 160),
        horizontal_line(173, 197),
        horizontal_line(173, 197),
        horizontal_line(149, 160),
        horizontal_line(173, 197),
    };

    constexpr const shape frame_635_shape_group_9_shapes[] = {
        shape(frame_635_shape_group_9_shape_0_horizontal_lines, 37, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
    };

    constexpr const horizontal_line frame_635_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_635_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 195),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 196),
        horizontal_line(174, 197),
        horizontal_line(174, 197),
    };

    constexpr const horizontal_line frame_635_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(173, 197),
    };

    constexpr const shape frame_635_shape_group_10_shapes[] = {
        shape(frame_635_shape_group_10_shape_0_horizontal_lines, 41, 2),
        shape(frame_635_shape_group_10_shape_1_horizontal_lines, 50, 5),
        shape(frame_635_shape_group_10_shape_2_horizontal_lines, 51, 2),
        shape(frame_635_shape_group_10_shape_3_horizontal_lines, 66, 2),
    };

    constexpr const horizontal_line frame_635_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(121, 124),
        horizontal_line(121, 125),
        horizontal_line(120, 126),
    };

    constexpr const shape frame_635_shape_group_11_shapes[] = {
        shape(frame_635_shape_group_11_shape_0_horizontal_lines, 51, 5),
    };

    constexpr const shape_group frame_635_shape_groups[] = {
        shape_group(frame_635_shape_group_0_shapes),
        shape_group(frame_635_shape_group_1_shapes),
        shape_group(frame_635_shape_group_2_shapes),
        shape_group(frame_635_shape_group_3_shapes),
        shape_group(frame_635_shape_group_4_shapes),
        shape_group(frame_635_shape_group_5_shapes),
        shape_group(frame_635_shape_group_6_shapes),
        shape_group(frame_635_shape_group_7_shapes),
        shape_group(frame_635_shape_group_8_shapes),
        shape_group(frame_635_shape_group_9_shapes),
        shape_group(frame_635_shape_group_10_shapes),
        shape_group(frame_635_shape_group_11_shapes),
    };

    constexpr const frame frame_635_impl(frame_635_colors, frame_635_shape_groups);
} 

const frame& frame_635()
{
    return frame_635_impl;
}

namespace
{
    constexpr const bn::color frame_636_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_636_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 104),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
    };

    constexpr const shape frame_636_shape_group_0_shapes[] = {
        shape(frame_636_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(83, 112),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 109),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(117, 128),
        horizontal_line(116, 128),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(115, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 119),
        horizontal_line(113, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 110),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 135),
        horizontal_line(119, 134),
        horizontal_line(119, 134),
        horizontal_line(118, 134),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(107, 111),
        horizontal_line(106, 118),
        horizontal_line(106, 119),
        horizontal_line(106, 120),
        horizontal_line(106, 121),
        horizontal_line(106, 122),
        horizontal_line(106, 123),
        horizontal_line(105, 125),
        horizontal_line(105, 126),
        horizontal_line(105, 127),
        horizontal_line(110, 128),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(151, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 172),
    };

    constexpr const horizontal_line frame_636_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(102, 148),
        horizontal_line(102, 148),
        horizontal_line(102, 149),
        horizontal_line(102, 150),
        horizontal_line(102, 151),
        horizontal_line(102, 151),
        horizontal_line(102, 152),
        horizontal_line(102, 153),
        horizontal_line(102, 154),
        horizontal_line(102, 154),
        horizontal_line(102, 155),
        horizontal_line(102, 156),
        horizontal_line(102, 157),
        horizontal_line(102, 158),
    };

    constexpr const shape frame_636_shape_group_1_shapes[] = {
        shape(frame_636_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_636_shape_group_1_shape_1_horizontal_lines, 63, 4),
        shape(frame_636_shape_group_1_shape_2_horizontal_lines, 64, 7),
        shape(frame_636_shape_group_1_shape_3_horizontal_lines, 67, 4),
        shape(frame_636_shape_group_1_shape_4_horizontal_lines, 69, 7),
        shape(frame_636_shape_group_1_shape_5_horizontal_lines, 70, 4),
        shape(frame_636_shape_group_1_shape_6_horizontal_lines, 117, 1),
        shape(frame_636_shape_group_1_shape_7_horizontal_lines, 129, 4),
        shape(frame_636_shape_group_1_shape_8_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_636_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(116, 174),
        horizontal_line(116, 173),
        horizontal_line(117, 173),
        horizontal_line(118, 173),
        horizontal_line(118, 173),
        horizontal_line(119, 173),
        horizontal_line(120, 172),
        horizontal_line(121, 172),
        horizontal_line(121, 172),
        horizontal_line(122, 172),
        horizontal_line(123, 172),
        horizontal_line(123, 171),
        horizontal_line(124, 171),
        horizontal_line(125, 171),
        horizontal_line(126, 171),
    };

    constexpr const horizontal_line frame_636_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
    };

    constexpr const horizontal_line frame_636_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_636_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(142, 151),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(140, 150),
        horizontal_line(140, 149),
        horizontal_line(116, 127),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(154, 173),
        horizontal_line(154, 173),
        horizontal_line(154, 173),
        horizontal_line(154, 173),
        horizontal_line(154, 173),
        horizontal_line(154, 173),
        horizontal_line(153, 173),
        horizontal_line(153, 173),
        horizontal_line(153, 173),
        horizontal_line(118, 133),
        horizontal_line(119, 133),
        horizontal_line(120, 133),
        horizontal_line(121, 132),
        horizontal_line(122, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 131),
        horizontal_line(126, 131),
        horizontal_line(127, 131),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(150, 172),
        horizontal_line(151, 172),
        horizontal_line(152, 172),
        horizontal_line(152, 172),
        horizontal_line(153, 172),
        horizontal_line(154, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(156, 172),
        horizontal_line(157, 172),
        horizontal_line(158, 172),
        horizontal_line(159, 172),
    };

    constexpr const shape frame_636_shape_group_2_shapes[] = {
        shape(frame_636_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_636_shape_group_2_shape_1_horizontal_lines, 15, 4),
        shape(frame_636_shape_group_2_shape_2_horizontal_lines, 18, 7),
        shape(frame_636_shape_group_2_shape_3_horizontal_lines, 55, 4),
    };

    constexpr const horizontal_line frame_636_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(175, 177),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(170, 176),
        horizontal_line(170, 176),
        horizontal_line(170, 176),
        horizontal_line(170, 176),
        horizontal_line(170, 176),
        horizontal_line(169, 176),
    };

    constexpr const horizontal_line frame_636_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(128, 131),
        horizontal_line(128, 135),
        horizontal_line(128, 139),
        horizontal_line(128, 144),
        horizontal_line(128, 148),
        horizontal_line(128, 152),
        horizontal_line(130, 156),
        horizontal_line(132, 161),
        horizontal_line(134, 160),
        horizontal_line(136, 159),
        horizontal_line(138, 158),
        horizontal_line(140, 157),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(123, 134),
        horizontal_line(122, 135),
        horizontal_line(123, 136),
        horizontal_line(124, 137),
        horizontal_line(125, 139),
        horizontal_line(126, 136),
        horizontal_line(127, 132),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_636_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(145, 154),
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(163, 175),
        horizontal_line(141, 151),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(139, 149),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(153, 173),
        horizontal_line(153, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(151, 173),
        horizontal_line(151, 173),
        horizontal_line(151, 173),
        horizontal_line(151, 172),
    };

    constexpr const horizontal_line frame_636_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(104, 150),
        horizontal_line(104, 149),
        horizontal_line(104, 149),
        horizontal_line(104, 149),
        horizontal_line(104, 149),
        horizontal_line(104, 149),
        horizontal_line(103, 149),
        horizontal_line(103, 148),
        horizontal_line(103, 148),
        horizontal_line(103, 148),
        horizontal_line(103, 148),
        horizontal_line(103, 148),
        horizontal_line(103, 147),
        horizontal_line(103, 147),
        horizontal_line(103, 147),
        horizontal_line(103, 147),
        horizontal_line(102, 147),
    };

    constexpr const horizontal_line frame_636_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_636_shape_group_3_shapes[] = {
        shape(frame_636_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_636_shape_group_3_shape_1_horizontal_lines, 27, 1),
        shape(frame_636_shape_group_3_shape_2_horizontal_lines, 54, 4),
        shape(frame_636_shape_group_3_shape_3_horizontal_lines, 129, 2),
        shape(frame_636_shape_group_3_shape_4_horizontal_lines, 146, 4),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 171),
        horizontal_line(125, 170),
        horizontal_line(125, 170),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(169, 176),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(160, 160),
        horizontal_line(159, 160),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 155),
        horizontal_line(144, 154),
        horizontal_line(146, 153),
        horizontal_line(148, 152),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 155),
        horizontal_line(137, 138),
        horizontal_line(133, 137),
        horizontal_line(129, 137),
        horizontal_line(146, 154),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(204, 239),
        horizontal_line(163, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(162, 174),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(110, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(109, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
        horizontal_line(109, 122),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(108, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(107, 117),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(173, 214),
        horizontal_line(173, 215),
        horizontal_line(173, 215),
        horizontal_line(173, 215),
        horizontal_line(173, 215),
        horizontal_line(173, 215),
        horizontal_line(173, 215),
        horizontal_line(173, 216),
        horizontal_line(173, 216),
        horizontal_line(173, 216),
        horizontal_line(173, 216),
        horizontal_line(173, 216),
        horizontal_line(173, 216),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 218),
        horizontal_line(173, 218),
        horizontal_line(173, 218),
        horizontal_line(173, 218),
        horizontal_line(173, 218),
        horizontal_line(173, 218),
        horizontal_line(173, 219),
        horizontal_line(173, 219),
        horizontal_line(173, 219),
        horizontal_line(173, 219),
        horizontal_line(173, 219),
        horizontal_line(173, 220),
    };

    constexpr const shape frame_636_shape_group_4_shapes[] = {
        shape(frame_636_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_636_shape_group_4_shape_1_horizontal_lines, 15, 2),
        shape(frame_636_shape_group_4_shape_2_horizontal_lines, 18, 4),
        shape(frame_636_shape_group_4_shape_3_horizontal_lines, 39, 1),
        shape(frame_636_shape_group_4_shape_4_horizontal_lines, 44, 4),
        shape(frame_636_shape_group_4_shape_5_horizontal_lines, 99, 2),
        shape(frame_636_shape_group_4_shape_6_horizontal_lines, 117, 4),
        shape(frame_636_shape_group_4_shape_7_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 195),
        horizontal_line(126, 170),
        horizontal_line(126, 170),
        horizontal_line(126, 170),
        horizontal_line(126, 169),
        horizontal_line(127, 169),
        horizontal_line(127, 169),
        horizontal_line(127, 169),
        horizontal_line(127, 169),
        horizontal_line(128, 168),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(168, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(156, 159),
        horizontal_line(155, 159),
        horizontal_line(154, 158),
        horizontal_line(153, 158),
        horizontal_line(152, 158),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 154),
        horizontal_line(164, 175),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 126),
        horizontal_line(112, 126),
        horizontal_line(111, 125),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(139, 155),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(136, 153),
        horizontal_line(136, 153),
        horizontal_line(136, 153),
        horizontal_line(135, 152),
        horizontal_line(135, 152),
        horizontal_line(135, 152),
        horizontal_line(112, 117),
        horizontal_line(134, 152),
        horizontal_line(134, 151),
        horizontal_line(133, 151),
        horizontal_line(133, 151),
        horizontal_line(133, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 150),
        horizontal_line(131, 150),
        horizontal_line(105, 109),
        horizontal_line(105, 120),
    };

    constexpr const shape frame_636_shape_group_5_shapes[] = {
        shape(frame_636_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_636_shape_group_5_shape_1_horizontal_lines, 27, 4),
        shape(frame_636_shape_group_5_shape_2_horizontal_lines, 63, 2),
        shape(frame_636_shape_group_5_shape_3_horizontal_lines, 64, 4),
        shape(frame_636_shape_group_5_shape_4_horizontal_lines, 67, 2),
        shape(frame_636_shape_group_5_shape_5_horizontal_lines, 69, 4),
        shape(frame_636_shape_group_5_shape_6_horizontal_lines, 70, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 197),
        horizontal_line(177, 197),
        horizontal_line(177, 197),
        horizontal_line(132, 168),
        horizontal_line(136, 168),
        horizontal_line(140, 168),
        horizontal_line(145, 168),
        horizontal_line(149, 168),
        horizontal_line(153, 167),
        horizontal_line(128, 129),
        horizontal_line(128, 131),
        horizontal_line(127, 133),
    };

    constexpr const horizontal_line frame_636_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(166, 175),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(132, 141),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(129, 139),
        horizontal_line(150, 161),
        horizontal_line(128, 138),
        horizontal_line(150, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(174, 209),
        horizontal_line(174, 209),
        horizontal_line(174, 210),
        horizontal_line(174, 210),
        horizontal_line(174, 210),
        horizontal_line(174, 210),
        horizontal_line(174, 210),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(174, 211),
        horizontal_line(174, 212),
        horizontal_line(174, 212),
        horizontal_line(174, 212),
        horizontal_line(174, 212),
        horizontal_line(174, 212),
        horizontal_line(134, 152),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(174, 214),
        horizontal_line(174, 214),
        horizontal_line(174, 214),
        horizontal_line(131, 150),
        horizontal_line(131, 150),
    };

    constexpr const shape frame_636_shape_group_6_shapes[] = {
        shape(frame_636_shape_group_6_shape_0_horizontal_lines, 18, 2),
        shape(frame_636_shape_group_6_shape_1_horizontal_lines, 36, 4),
        shape(frame_636_shape_group_6_shape_2_horizontal_lines, 55, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(177, 197),
        horizontal_line(177, 197),
        horizontal_line(177, 197),
        horizontal_line(177, 198),
        horizontal_line(177, 198),
        horizontal_line(176, 198),
        horizontal_line(157, 167),
        horizontal_line(162, 167),
        horizontal_line(161, 167),
        horizontal_line(127, 135),
        horizontal_line(126, 137),
        horizontal_line(126, 139),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(132, 149),
        horizontal_line(133, 149),
        horizontal_line(135, 148),
        horizontal_line(136, 148),
        horizontal_line(137, 147),
        horizontal_line(138, 147),
        horizontal_line(140, 146),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(137, 144),
        horizontal_line(136, 144),
        horizontal_line(135, 143),
        horizontal_line(135, 143),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
        horizontal_line(152, 162),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(151, 161),
        horizontal_line(175, 204),
        horizontal_line(150, 161),
        horizontal_line(175, 204),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 206),
        horizontal_line(175, 206),
        horizontal_line(175, 206),
        horizontal_line(175, 206),
        horizontal_line(175, 206),
        horizontal_line(175, 206),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 208),
        horizontal_line(175, 208),
        horizontal_line(175, 208),
        horizontal_line(175, 208),
        horizontal_line(175, 208),
        horizontal_line(175, 208),
        horizontal_line(175, 209),
        horizontal_line(174, 209),
        horizontal_line(174, 209),
        horizontal_line(174, 209),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(174, 212),
    };

    constexpr const horizontal_line frame_636_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(174, 214),
        horizontal_line(173, 214),
    };

    constexpr const shape frame_636_shape_group_7_shapes[] = {
        shape(frame_636_shape_group_7_shape_0_horizontal_lines, 27, 2),
        shape(frame_636_shape_group_7_shape_1_horizontal_lines, 39, 4),
        shape(frame_636_shape_group_7_shape_2_horizontal_lines, 44, 2),
        shape(frame_636_shape_group_7_shape_3_horizontal_lines, 51, 4),
        shape(frame_636_shape_group_7_shape_4_horizontal_lines, 54, 2),
        shape(frame_636_shape_group_7_shape_5_horizontal_lines, 117, 2),
        shape(frame_636_shape_group_7_shape_6_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(161, 167),
        horizontal_line(161, 166),
        horizontal_line(160, 166),
        horizontal_line(126, 141),
        horizontal_line(127, 143),
        horizontal_line(128, 145),
        horizontal_line(130, 147),
        horizontal_line(131, 150),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(156, 164),
        horizontal_line(139, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(176, 203),
        horizontal_line(152, 162),
        horizontal_line(151, 161),
        horizontal_line(151, 161),
        horizontal_line(175, 204),
    };

    constexpr const horizontal_line frame_636_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(175, 204),
    };

    constexpr const shape frame_636_shape_group_8_shapes[] = {
        shape(frame_636_shape_group_8_shape_0_horizontal_lines, 33, 2),
        shape(frame_636_shape_group_8_shape_1_horizontal_lines, 69, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 165),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 163),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 203),
        horizontal_line(176, 203),
        horizontal_line(176, 203),
        horizontal_line(176, 203),
    };

    constexpr const horizontal_line frame_636_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(175, 203),
        horizontal_line(175, 204),
        horizontal_line(175, 204),
    };

    constexpr const shape frame_636_shape_group_9_shapes[] = {
        shape(frame_636_shape_group_9_shape_0_horizontal_lines, 36, 2),
        shape(frame_636_shape_group_9_shape_1_horizontal_lines, 64, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
    };

    constexpr const horizontal_line frame_636_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_636_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
    };

    constexpr const shape frame_636_shape_group_10_shapes[] = {
        shape(frame_636_shape_group_10_shape_0_horizontal_lines, 39, 2),
        shape(frame_636_shape_group_10_shape_1_horizontal_lines, 48, 5),
        shape(frame_636_shape_group_10_shape_2_horizontal_lines, 51, 2),
    };

    constexpr const horizontal_line frame_636_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(120, 127),
        horizontal_line(120, 121),
    };

    constexpr const shape frame_636_shape_group_11_shapes[] = {
        shape(frame_636_shape_group_11_shape_0_horizontal_lines, 51, 5),
    };

    constexpr const shape_group frame_636_shape_groups[] = {
        shape_group(frame_636_shape_group_0_shapes),
        shape_group(frame_636_shape_group_1_shapes),
        shape_group(frame_636_shape_group_2_shapes),
        shape_group(frame_636_shape_group_3_shapes),
        shape_group(frame_636_shape_group_4_shapes),
        shape_group(frame_636_shape_group_5_shapes),
        shape_group(frame_636_shape_group_6_shapes),
        shape_group(frame_636_shape_group_7_shapes),
        shape_group(frame_636_shape_group_8_shapes),
        shape_group(frame_636_shape_group_9_shapes),
        shape_group(frame_636_shape_group_10_shapes),
        shape_group(frame_636_shape_group_11_shapes),
    };

    constexpr const frame frame_636_impl(frame_636_colors, frame_636_shape_groups);
} 

const frame& frame_636()
{
    return frame_636_impl;
}

namespace
{
    constexpr const bn::color frame_637_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_637_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(76, 109),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 106),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
    };

    constexpr const shape frame_637_shape_group_0_shapes[] = {
        shape(frame_637_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(118, 175),
        horizontal_line(118, 174),
        horizontal_line(119, 174),
        horizontal_line(120, 174),
        horizontal_line(121, 174),
        horizontal_line(122, 174),
        horizontal_line(122, 173),
        horizontal_line(123, 173),
        horizontal_line(124, 173),
        horizontal_line(125, 173),
        horizontal_line(126, 173),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(174, 179),
        horizontal_line(173, 179),
        horizontal_line(173, 179),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(115, 127),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(114, 125),
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(113, 123),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(111, 117),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(110, 114),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(119, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 135),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(106, 111),
        horizontal_line(106, 118),
        horizontal_line(106, 119),
        horizontal_line(105, 120),
        horizontal_line(105, 121),
        horizontal_line(105, 122),
        horizontal_line(105, 123),
        horizontal_line(105, 125),
        horizontal_line(105, 126),
        horizontal_line(104, 127),
        horizontal_line(104, 128),
        horizontal_line(110, 129),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(152, 175),
        horizontal_line(152, 175),
        horizontal_line(152, 175),
        horizontal_line(152, 175),
        horizontal_line(151, 175),
        horizontal_line(151, 175),
        horizontal_line(151, 175),
        horizontal_line(151, 175),
        horizontal_line(151, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
    };

    constexpr const horizontal_line frame_637_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(99, 116),
        horizontal_line(99, 132),
        horizontal_line(99, 149),
        horizontal_line(99, 149),
        horizontal_line(99, 150),
        horizontal_line(99, 151),
        horizontal_line(99, 152),
        horizontal_line(99, 152),
        horizontal_line(99, 153),
        horizontal_line(99, 154),
        horizontal_line(99, 155),
        horizontal_line(99, 156),
    };

    constexpr const shape frame_637_shape_group_1_shapes[] = {
        shape(frame_637_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_637_shape_group_1_shape_1_horizontal_lines, 11, 4),
        shape(frame_637_shape_group_1_shape_2_horizontal_lines, 14, 7),
        shape(frame_637_shape_group_1_shape_3_horizontal_lines, 70, 4),
        shape(frame_637_shape_group_1_shape_4_horizontal_lines, 71, 7),
        shape(frame_637_shape_group_1_shape_5_horizontal_lines, 74, 4),
        shape(frame_637_shape_group_1_shape_6_horizontal_lines, 76, 7),
        shape(frame_637_shape_group_1_shape_7_horizontal_lines, 77, 4),
        shape(frame_637_shape_group_1_shape_8_horizontal_lines, 117, 1),
        shape(frame_637_shape_group_1_shape_9_horizontal_lines, 130, 4),
        shape(frame_637_shape_group_1_shape_10_horizontal_lines, 147, 1),
    };

    constexpr const horizontal_line frame_637_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(176, 180),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(173, 179),
        horizontal_line(173, 179),
        horizontal_line(173, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(171, 179),
    };

    constexpr const horizontal_line frame_637_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(129, 136),
        horizontal_line(129, 141),
        horizontal_line(128, 145),
        horizontal_line(128, 149),
        horizontal_line(128, 154),
        horizontal_line(128, 158),
        horizontal_line(130, 163),
        horizontal_line(132, 162),
        horizontal_line(134, 162),
        horizontal_line(136, 161),
        horizontal_line(138, 160),
        horizontal_line(140, 159),
        horizontal_line(142, 158),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(123, 133),
        horizontal_line(123, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(125, 137),
        horizontal_line(126, 134),
        horizontal_line(127, 131),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_637_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(140, 150),
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(138, 149),
        horizontal_line(137, 148),
        horizontal_line(114, 124),
        horizontal_line(136, 148),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(118, 135),
        horizontal_line(119, 134),
        horizontal_line(120, 134),
        horizontal_line(121, 134),
        horizontal_line(122, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 133),
        horizontal_line(126, 132),
        horizontal_line(127, 132),
        horizontal_line(128, 132),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 131),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(151, 175),
        horizontal_line(152, 175),
        horizontal_line(153, 175),
        horizontal_line(153, 175),
        horizontal_line(154, 175),
        horizontal_line(155, 175),
        horizontal_line(156, 175),
        horizontal_line(157, 175),
    };

    constexpr const shape frame_637_shape_group_2_shapes[] = {
        shape(frame_637_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_637_shape_group_2_shape_1_horizontal_lines, 24, 1),
        shape(frame_637_shape_group_2_shape_2_horizontal_lines, 54, 4),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 173),
        horizontal_line(125, 172),
        horizontal_line(125, 172),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(162, 162),
        horizontal_line(161, 161),
        horizontal_line(160, 161),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(144, 157),
        horizontal_line(146, 156),
        horizontal_line(148, 155),
        horizontal_line(150, 154),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(152, 159),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(138, 139),
        horizontal_line(135, 138),
        horizontal_line(132, 138),
        horizontal_line(129, 137),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(163, 177),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(138, 149),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(137, 148),
        horizontal_line(162, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(160, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 176),
        horizontal_line(158, 176),
        horizontal_line(158, 176),
        horizontal_line(158, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(153, 176),
        horizontal_line(153, 176),
        horizontal_line(153, 176),
        horizontal_line(153, 176),
        horizontal_line(153, 176),
        horizontal_line(152, 175),
        horizontal_line(152, 175),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(104, 151),
        horizontal_line(103, 151),
        horizontal_line(103, 151),
        horizontal_line(103, 151),
        horizontal_line(103, 150),
        horizontal_line(103, 150),
        horizontal_line(103, 150),
        horizontal_line(102, 150),
        horizontal_line(102, 150),
        horizontal_line(102, 149),
        horizontal_line(102, 149),
        horizontal_line(102, 149),
        horizontal_line(101, 149),
        horizontal_line(101, 149),
        horizontal_line(101, 149),
        horizontal_line(101, 148),
        horizontal_line(101, 148),
    };

    constexpr const horizontal_line frame_637_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_637_shape_group_3_shapes[] = {
        shape(frame_637_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_637_shape_group_3_shape_1_horizontal_lines, 11, 2),
        shape(frame_637_shape_group_3_shape_2_horizontal_lines, 14, 4),
        shape(frame_637_shape_group_3_shape_3_horizontal_lines, 38, 1),
        shape(frame_637_shape_group_3_shape_4_horizontal_lines, 43, 4),
        shape(frame_637_shape_group_3_shape_5_horizontal_lines, 130, 2),
        shape(frame_637_shape_group_3_shape_6_horizontal_lines, 147, 4),
    };

    constexpr const horizontal_line frame_637_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(181, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(180, 203),
        horizontal_line(180, 203),
        horizontal_line(180, 203),
        horizontal_line(126, 172),
        horizontal_line(126, 172),
        horizontal_line(126, 172),
        horizontal_line(127, 171),
        horizontal_line(127, 171),
        horizontal_line(127, 171),
        horizontal_line(128, 171),
        horizontal_line(128, 171),
        horizontal_line(128, 171),
        horizontal_line(129, 170),
    };

    constexpr const horizontal_line frame_637_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 160),
        horizontal_line(155, 159),
        horizontal_line(154, 159),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 155),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(214, 239),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(162, 177),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(162, 177),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(109, 124),
        horizontal_line(109, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 122),
        horizontal_line(108, 122),
        horizontal_line(108, 122),
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(106, 118),
        horizontal_line(106, 117),
    };

    constexpr const horizontal_line frame_637_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(176, 224),
        horizontal_line(176, 224),
        horizontal_line(176, 225),
        horizontal_line(176, 225),
        horizontal_line(176, 225),
        horizontal_line(176, 225),
        horizontal_line(176, 225),
        horizontal_line(176, 225),
        horizontal_line(176, 226),
        horizontal_line(176, 226),
        horizontal_line(176, 226),
        horizontal_line(176, 226),
        horizontal_line(176, 226),
        horizontal_line(176, 227),
        horizontal_line(176, 227),
        horizontal_line(176, 227),
        horizontal_line(176, 227),
        horizontal_line(101, 148),
        horizontal_line(117, 148),
        horizontal_line(133, 148),
        horizontal_line(176, 228),
        horizontal_line(176, 228),
        horizontal_line(176, 228),
        horizontal_line(176, 228),
        horizontal_line(176, 229),
        horizontal_line(176, 229),
        horizontal_line(176, 229),
        horizontal_line(176, 229),
        horizontal_line(176, 229),
        horizontal_line(176, 230),
    };

    constexpr const shape frame_637_shape_group_4_shapes[] = {
        shape(frame_637_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_637_shape_group_4_shape_1_horizontal_lines, 24, 4),
        shape(frame_637_shape_group_4_shape_2_horizontal_lines, 102, 2),
        shape(frame_637_shape_group_4_shape_3_horizontal_lines, 117, 4),
        shape(frame_637_shape_group_4_shape_4_horizontal_lines, 130, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(180, 203),
        horizontal_line(180, 203),
        horizontal_line(180, 203),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(180, 205),
        horizontal_line(180, 205),
        horizontal_line(133, 170),
        horizontal_line(137, 170),
        horizontal_line(142, 170),
        horizontal_line(146, 170),
        horizontal_line(150, 169),
        horizontal_line(155, 169),
        horizontal_line(159, 169),
        horizontal_line(128, 129),
        horizontal_line(128, 131),
        horizontal_line(127, 133),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(169, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(128, 139),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(126, 137),
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(121, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 132),
        horizontal_line(119, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(117, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 126),
        horizontal_line(112, 126),
        horizontal_line(111, 125),
        horizontal_line(110, 125),
        horizontal_line(110, 124),
        horizontal_line(141, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(136, 154),
        horizontal_line(136, 154),
        horizontal_line(112, 117),
        horizontal_line(135, 153),
        horizontal_line(135, 153),
        horizontal_line(135, 153),
        horizontal_line(134, 153),
        horizontal_line(134, 153),
        horizontal_line(134, 152),
        horizontal_line(133, 152),
        horizontal_line(133, 152),
        horizontal_line(133, 152),
        horizontal_line(132, 152),
        horizontal_line(104, 109),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_637_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(176, 227),
        horizontal_line(176, 227),
        horizontal_line(176, 228),
    };

    constexpr const shape frame_637_shape_group_5_shapes[] = {
        shape(frame_637_shape_group_5_shape_0_horizontal_lines, 14, 2),
        shape(frame_637_shape_group_5_shape_1_horizontal_lines, 34, 4),
        shape(frame_637_shape_group_5_shape_2_horizontal_lines, 70, 2),
        shape(frame_637_shape_group_5_shape_3_horizontal_lines, 71, 4),
        shape(frame_637_shape_group_5_shape_4_horizontal_lines, 74, 2),
        shape(frame_637_shape_group_5_shape_5_horizontal_lines, 76, 4),
        shape(frame_637_shape_group_5_shape_6_horizontal_lines, 77, 2),
        shape(frame_637_shape_group_5_shape_7_horizontal_lines, 147, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(180, 205),
        horizontal_line(180, 205),
        horizontal_line(180, 205),
        horizontal_line(180, 205),
        horizontal_line(180, 206),
        horizontal_line(180, 206),
        horizontal_line(180, 206),
        horizontal_line(164, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(127, 135),
        horizontal_line(126, 137),
        horizontal_line(126, 139),
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_637_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(133, 151),
        horizontal_line(134, 151),
        horizontal_line(136, 150),
        horizontal_line(137, 150),
        horizontal_line(138, 149),
        horizontal_line(139, 149),
        horizontal_line(141, 148),
    };

    constexpr const horizontal_line frame_637_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_637_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(129, 139),
        horizontal_line(151, 162),
        horizontal_line(128, 138),
        horizontal_line(127, 138),
        horizontal_line(126, 137),
        horizontal_line(150, 161),
        horizontal_line(149, 161),
        horizontal_line(125, 136),
        horizontal_line(149, 161),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(177, 219),
        horizontal_line(177, 219),
        horizontal_line(177, 219),
        horizontal_line(177, 220),
        horizontal_line(177, 220),
        horizontal_line(177, 220),
        horizontal_line(177, 220),
        horizontal_line(177, 220),
        horizontal_line(177, 221),
        horizontal_line(177, 221),
        horizontal_line(177, 221),
        horizontal_line(177, 221),
        horizontal_line(177, 221),
        horizontal_line(177, 221),
        horizontal_line(177, 222),
        horizontal_line(136, 153),
        horizontal_line(177, 222),
        horizontal_line(177, 222),
        horizontal_line(177, 222),
        horizontal_line(177, 223),
        horizontal_line(177, 223),
        horizontal_line(177, 223),
        horizontal_line(177, 223),
        horizontal_line(177, 223),
        horizontal_line(177, 223),
        horizontal_line(177, 224),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
    };

    constexpr const shape frame_637_shape_group_6_shapes[] = {
        shape(frame_637_shape_group_6_shape_0_horizontal_lines, 24, 2),
        shape(frame_637_shape_group_6_shape_1_horizontal_lines, 38, 4),
        shape(frame_637_shape_group_6_shape_2_horizontal_lines, 43, 2),
        shape(frame_637_shape_group_6_shape_3_horizontal_lines, 50, 4),
        shape(frame_637_shape_group_6_shape_4_horizontal_lines, 54, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(180, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(163, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(162, 168),
        horizontal_line(127, 143),
        horizontal_line(128, 145),
        horizontal_line(129, 147),
        horizontal_line(131, 149),
        horizontal_line(132, 152),
        horizontal_line(160, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(140, 148),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(151, 162),
        horizontal_line(178, 213),
        horizontal_line(151, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 161),
        horizontal_line(178, 214),
        horizontal_line(178, 214),
        horizontal_line(149, 161),
        horizontal_line(178, 215),
        horizontal_line(178, 215),
        horizontal_line(178, 215),
        horizontal_line(178, 215),
        horizontal_line(178, 215),
        horizontal_line(178, 215),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 218),
        horizontal_line(178, 218),
        horizontal_line(177, 218),
        horizontal_line(177, 218),
        horizontal_line(177, 218),
        horizontal_line(177, 219),
        horizontal_line(177, 219),
        horizontal_line(177, 219),
    };

    constexpr const horizontal_line frame_637_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(177, 222),
    };

    constexpr const horizontal_line frame_637_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(176, 224),
        horizontal_line(176, 224),
    };

    constexpr const shape frame_637_shape_group_7_shapes[] = {
        shape(frame_637_shape_group_7_shape_0_horizontal_lines, 31, 2),
        shape(frame_637_shape_group_7_shape_1_horizontal_lines, 117, 2),
        shape(frame_637_shape_group_7_shape_2_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(161, 168),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(179, 208),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(152, 163),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(178, 213),
    };

    constexpr const horizontal_line frame_637_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(178, 213),
        horizontal_line(178, 214),
        horizontal_line(178, 214),
    };

    constexpr const horizontal_line frame_637_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(178, 214),
    };

    constexpr const shape frame_637_shape_group_8_shapes[] = {
        shape(frame_637_shape_group_8_shape_0_horizontal_lines, 34, 2),
        shape(frame_637_shape_group_8_shape_1_horizontal_lines, 71, 2),
        shape(frame_637_shape_group_8_shape_2_horizontal_lines, 76, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(179, 207),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
        horizontal_line(179, 208),
    };

    constexpr const horizontal_line frame_637_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_637_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(179, 211),
        horizontal_line(179, 211),
        horizontal_line(179, 211),
        horizontal_line(179, 211),
        horizontal_line(179, 211),
        horizontal_line(179, 211),
        horizontal_line(179, 212),
        horizontal_line(179, 212),
        horizontal_line(179, 212),
        horizontal_line(178, 212),
        horizontal_line(178, 212),
        horizontal_line(178, 213),
        horizontal_line(178, 213),
        horizontal_line(178, 213),
    };

    constexpr const shape frame_637_shape_group_9_shapes[] = {
        shape(frame_637_shape_group_9_shape_0_horizontal_lines, 38, 2),
        shape(frame_637_shape_group_9_shape_1_horizontal_lines, 47, 5),
        shape(frame_637_shape_group_9_shape_2_horizontal_lines, 50, 2),
    };

    constexpr const horizontal_line frame_637_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 127),
    };

    constexpr const shape frame_637_shape_group_10_shapes[] = {
        shape(frame_637_shape_group_10_shape_0_horizontal_lines, 50, 5),
    };

    constexpr const shape_group frame_637_shape_groups[] = {
        shape_group(frame_637_shape_group_0_shapes),
        shape_group(frame_637_shape_group_1_shapes),
        shape_group(frame_637_shape_group_2_shapes),
        shape_group(frame_637_shape_group_3_shapes),
        shape_group(frame_637_shape_group_4_shapes),
        shape_group(frame_637_shape_group_5_shapes),
        shape_group(frame_637_shape_group_6_shapes),
        shape_group(frame_637_shape_group_7_shapes),
        shape_group(frame_637_shape_group_8_shapes),
        shape_group(frame_637_shape_group_9_shapes),
        shape_group(frame_637_shape_group_10_shapes),
    };

    constexpr const frame frame_637_impl(frame_637_colors, frame_637_shape_groups);
} 

const frame& frame_637()
{
    return frame_637_impl;
}

namespace
{
    constexpr const bn::color frame_638_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_638_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
    };

    constexpr const shape frame_638_shape_group_0_shapes[] = {
        shape(frame_638_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_638_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(107, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 120),
        horizontal_line(106, 121),
        horizontal_line(106, 122),
        horizontal_line(106, 123),
        horizontal_line(106, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(103, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(102, 112),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
    };

    constexpr const shape frame_638_shape_group_1_shapes[] = {
        shape(frame_638_shape_group_1_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_638_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(62, 64),
        horizontal_line(123, 123),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(122, 122),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_638_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 96),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
    };

    constexpr const shape frame_638_shape_group_2_shapes[] = {
        shape(frame_638_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_638_shape_group_2_shape_1_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(67, 106),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(65, 103),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(65, 103),
        horizontal_line(65, 102),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(65, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 102),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 101),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 99),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(106, 106),
        horizontal_line(123, 139),
        horizontal_line(123, 139),
        horizontal_line(122, 138),
        horizontal_line(122, 138),
        horizontal_line(121, 138),
        horizontal_line(121, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(104, 112),
        horizontal_line(104, 119),
        horizontal_line(104, 120),
        horizontal_line(104, 121),
        horizontal_line(104, 122),
        horizontal_line(103, 123),
        horizontal_line(103, 124),
        horizontal_line(103, 125),
        horizontal_line(103, 126),
        horizontal_line(103, 127),
        horizontal_line(102, 128),
        horizontal_line(102, 129),
        horizontal_line(110, 130),
        horizontal_line(122, 131),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(150, 179),
        horizontal_line(150, 179),
    };

    constexpr const horizontal_line frame_638_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(98, 115),
        horizontal_line(98, 132),
        horizontal_line(98, 150),
        horizontal_line(98, 150),
        horizontal_line(98, 151),
        horizontal_line(98, 152),
        horizontal_line(98, 152),
        horizontal_line(98, 153),
        horizontal_line(98, 154),
    };

    constexpr const shape frame_638_shape_group_3_shapes[] = {
        shape(frame_638_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_638_shape_group_3_shape_1_horizontal_lines, 25, 6),
        shape(frame_638_shape_group_3_shape_2_horizontal_lines, 41, 7),
        shape(frame_638_shape_group_3_shape_3_horizontal_lines, 42, 6),
        shape(frame_638_shape_group_3_shape_4_horizontal_lines, 43, 7),
        shape(frame_638_shape_group_3_shape_5_horizontal_lines, 45, 6),
        shape(frame_638_shape_group_3_shape_6_horizontal_lines, 46, 7),
        shape(frame_638_shape_group_3_shape_7_horizontal_lines, 107, 4),
        shape(frame_638_shape_group_3_shape_8_horizontal_lines, 117, 1),
        shape(frame_638_shape_group_3_shape_9_horizontal_lines, 132, 4),
        shape(frame_638_shape_group_3_shape_10_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(120, 177),
        horizontal_line(120, 176),
        horizontal_line(121, 176),
        horizontal_line(122, 176),
        horizontal_line(123, 175),
        horizontal_line(124, 175),
        horizontal_line(125, 175),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(175, 182),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(66, 104),
        horizontal_line(66, 104),
        horizontal_line(65, 104),
        horizontal_line(65, 104),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(118, 123),
        horizontal_line(65, 103),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(65, 102),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(111, 121),
        horizontal_line(111, 120),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 115),
        horizontal_line(109, 114),
        horizontal_line(109, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 107),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(120, 136),
        horizontal_line(121, 135),
        horizontal_line(122, 135),
        horizontal_line(123, 135),
        horizontal_line(124, 134),
        horizontal_line(125, 134),
        horizontal_line(126, 134),
        horizontal_line(127, 133),
        horizontal_line(128, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(150, 179),
        horizontal_line(150, 179),
        horizontal_line(150, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 179),
        horizontal_line(152, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(154, 179),
        horizontal_line(155, 179),
    };

    constexpr const shape frame_638_shape_group_4_shapes[] = {
        shape(frame_638_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_638_shape_group_4_shape_1_horizontal_lines, 7, 4),
        shape(frame_638_shape_group_4_shape_2_horizontal_lines, 9, 7),
        shape(frame_638_shape_group_4_shape_3_horizontal_lines, 82, 4),
        shape(frame_638_shape_group_4_shape_4_horizontal_lines, 84, 7),
        shape(frame_638_shape_group_4_shape_5_horizontal_lines, 86, 4),
        shape(frame_638_shape_group_4_shape_6_horizontal_lines, 150, 4),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(175, 182),
        horizontal_line(175, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(173, 182),
        horizontal_line(173, 182),
        horizontal_line(173, 182),
        horizontal_line(173, 182),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(129, 137),
        horizontal_line(129, 141),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(123, 134),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(126, 141),
        horizontal_line(127, 139),
        horizontal_line(128, 136),
        horizontal_line(129, 133),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_638_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 123),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(158, 180),
        horizontal_line(157, 180),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(153, 179),
    };

    constexpr const shape frame_638_shape_group_5_shapes[] = {
        shape(frame_638_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_638_shape_group_5_shape_1_horizontal_lines, 22, 1),
        shape(frame_638_shape_group_5_shape_2_horizontal_lines, 25, 7),
        shape(frame_638_shape_group_5_shape_3_horizontal_lines, 41, 1),
        shape(frame_638_shape_group_5_shape_4_horizontal_lines, 42, 7),
        shape(frame_638_shape_group_5_shape_5_horizontal_lines, 43, 1),
        shape(frame_638_shape_group_5_shape_6_horizontal_lines, 45, 7),
        shape(frame_638_shape_group_5_shape_7_horizontal_lines, 46, 1),
        shape(frame_638_shape_group_5_shape_8_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(173, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(129, 146),
        horizontal_line(129, 151),
        horizontal_line(129, 155),
        horizontal_line(129, 160),
        horizontal_line(129, 165),
        horizontal_line(131, 164),
        horizontal_line(133, 164),
        horizontal_line(135, 163),
        horizontal_line(137, 162),
        horizontal_line(139, 161),
        horizontal_line(142, 160),
        horizontal_line(126, 126),
        horizontal_line(126, 127),
        horizontal_line(126, 128),
        horizontal_line(125, 130),
        horizontal_line(125, 131),
        horizontal_line(155, 155),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(154, 160),
        horizontal_line(153, 160),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(151, 158),
        horizontal_line(140, 140),
        horizontal_line(137, 139),
        horizontal_line(134, 139),
        horizontal_line(131, 138),
        horizontal_line(149, 157),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 152),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_638_shape_group_6_shapes[] = {
        shape(frame_638_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_638_shape_group_6_shape_1_horizontal_lines, 9, 4),
        shape(frame_638_shape_group_6_shape_2_horizontal_lines, 25, 1),
        shape(frame_638_shape_group_6_shape_3_horizontal_lines, 43, 4),
        shape(frame_638_shape_group_6_shape_4_horizontal_lines, 45, 1),
        shape(frame_638_shape_group_6_shape_5_horizontal_lines, 46, 4),
        shape(frame_638_shape_group_6_shape_6_horizontal_lines, 117, 4),
    };

    constexpr const horizontal_line frame_638_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(164, 164),
        horizontal_line(163, 163),
        horizontal_line(162, 163),
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_638_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(144, 159),
        horizontal_line(146, 158),
        horizontal_line(148, 157),
        horizontal_line(150, 156),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_638_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(156, 161),
        horizontal_line(154, 160),
        horizontal_line(169, 181),
        horizontal_line(169, 181),
        horizontal_line(153, 159),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(163, 181),
        horizontal_line(163, 181),
        horizontal_line(163, 181),
        horizontal_line(163, 181),
        horizontal_line(163, 181),
        horizontal_line(163, 181),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_638_shape_group_7_shapes[] = {
        shape(frame_638_shape_group_7_shape_0_horizontal_lines, 22, 4),
        shape(frame_638_shape_group_7_shape_1_horizontal_lines, 36, 1),
        shape(frame_638_shape_group_7_shape_2_horizontal_lines, 41, 4),
    };

    constexpr const horizontal_line frame_638_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(170, 182),
        horizontal_line(160, 162),
        horizontal_line(159, 162),
        horizontal_line(158, 162),
        horizontal_line(157, 161),
        horizontal_line(156, 161),
        horizontal_line(169, 181),
        horizontal_line(169, 181),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(169, 181),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(167, 181),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_638_shape_group_8_shapes[] = {
        shape(frame_638_shape_group_8_shape_0_horizontal_lines, 25, 4),
        shape(frame_638_shape_group_8_shape_1_horizontal_lines, 84, 4),
    };

    constexpr const horizontal_line frame_638_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(170, 182),
        horizontal_line(169, 181),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_638_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(120, 124),
    };

    constexpr const shape frame_638_shape_group_9_shapes[] = {
        shape(frame_638_shape_group_9_shape_0_horizontal_lines, 32, 4),
        shape(frame_638_shape_group_9_shape_1_horizontal_lines, 45, 4),
        shape(frame_638_shape_group_9_shape_2_horizontal_lines, 46, 5),
        shape(frame_638_shape_group_9_shape_3_horizontal_lines, 49, 4),
        shape(frame_638_shape_group_9_shape_4_horizontal_lines, 53, 5),
    };

    constexpr const horizontal_line frame_638_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_638_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_638_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 127),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
    };

    constexpr const shape frame_638_shape_group_10_shapes[] = {
        shape(frame_638_shape_group_10_shape_0_horizontal_lines, 36, 4),
        shape(frame_638_shape_group_10_shape_1_horizontal_lines, 45, 5),
        shape(frame_638_shape_group_10_shape_2_horizontal_lines, 49, 5),
    };

    constexpr const shape_group frame_638_shape_groups[] = {
        shape_group(frame_638_shape_group_0_shapes),
        shape_group(frame_638_shape_group_1_shapes),
        shape_group(frame_638_shape_group_2_shapes),
        shape_group(frame_638_shape_group_3_shapes),
        shape_group(frame_638_shape_group_4_shapes),
        shape_group(frame_638_shape_group_5_shapes),
        shape_group(frame_638_shape_group_6_shapes),
        shape_group(frame_638_shape_group_7_shapes),
        shape_group(frame_638_shape_group_8_shapes),
        shape_group(frame_638_shape_group_9_shapes),
        shape_group(frame_638_shape_group_10_shapes),
    };

    constexpr const frame frame_638_impl(frame_638_colors, frame_638_shape_groups);
} 

const frame& frame_638()
{
    return frame_638_impl;
}

namespace
{
    constexpr const bn::color frame_639_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_639_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
    };

    constexpr const shape frame_639_shape_group_0_shapes[] = {
        shape(frame_639_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_639_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(103, 122),
        horizontal_line(102, 123),
        horizontal_line(102, 124),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 120),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(100, 119),
        horizontal_line(100, 119),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(98, 114),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(95, 106),
        horizontal_line(95, 106),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 101),
        horizontal_line(93, 101),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 96),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
    };

    constexpr const shape frame_639_shape_group_1_shapes[] = {
        shape(frame_639_shape_group_1_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(55, 102),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(52, 99),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(52, 99),
        horizontal_line(52, 98),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_639_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(52, 98),
        horizontal_line(52, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 97),
        horizontal_line(51, 97),
        horizontal_line(51, 97),
        horizontal_line(51, 97),
        horizontal_line(51, 97),
        horizontal_line(51, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(50, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(49, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(48, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
    };

    constexpr const shape frame_639_shape_group_2_shapes[] = {
        shape(frame_639_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_639_shape_group_2_shape_1_horizontal_lines, 22, 6),
        shape(frame_639_shape_group_2_shape_2_horizontal_lines, 41, 7),
        shape(frame_639_shape_group_2_shape_3_horizontal_lines, 42, 6),
        shape(frame_639_shape_group_2_shape_4_horizontal_lines, 43, 7),
        shape(frame_639_shape_group_2_shape_5_horizontal_lines, 45, 6),
        shape(frame_639_shape_group_2_shape_6_horizontal_lines, 46, 7),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(123, 178),
        horizontal_line(124, 178),
        horizontal_line(125, 178),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(178, 186),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 100),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(118, 123),
        horizontal_line(52, 99),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(52, 98),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(109, 118),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(106, 107),
        horizontal_line(106, 107),
        horizontal_line(106, 106),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(123, 139),
        horizontal_line(123, 139),
        horizontal_line(122, 138),
        horizontal_line(122, 138),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(104, 114),
        horizontal_line(103, 119),
        horizontal_line(103, 120),
        horizontal_line(103, 121),
        horizontal_line(103, 122),
        horizontal_line(103, 123),
        horizontal_line(102, 124),
        horizontal_line(102, 125),
        horizontal_line(102, 126),
        horizontal_line(102, 127),
        horizontal_line(102, 128),
        horizontal_line(106, 129),
        horizontal_line(116, 130),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(155, 183),
        horizontal_line(155, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
        horizontal_line(151, 183),
    };

    constexpr const horizontal_line frame_639_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(96, 110),
        horizontal_line(96, 124),
        horizontal_line(96, 137),
        horizontal_line(96, 151),
        horizontal_line(96, 152),
    };

    constexpr const shape frame_639_shape_group_3_shapes[] = {
        shape(frame_639_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_639_shape_group_3_shape_1_horizontal_lines, 3, 4),
        shape(frame_639_shape_group_3_shape_2_horizontal_lines, 5, 7),
        shape(frame_639_shape_group_3_shape_3_horizontal_lines, 84, 4),
        shape(frame_639_shape_group_3_shape_4_horizontal_lines, 87, 7),
        shape(frame_639_shape_group_3_shape_5_horizontal_lines, 88, 4),
        shape(frame_639_shape_group_3_shape_6_horizontal_lines, 119, 1),
        shape(frame_639_shape_group_3_shape_7_horizontal_lines, 134, 4),
        shape(frame_639_shape_group_3_shape_8_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(179, 187),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(178, 186),
        horizontal_line(178, 186),
        horizontal_line(178, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(130, 138),
        horizontal_line(130, 143),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(123, 138),
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(127, 141),
        horizontal_line(128, 138),
        horizontal_line(129, 136),
        horizontal_line(130, 133),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(130, 139),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 126),
        horizontal_line(113, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(111, 122),
        horizontal_line(111, 121),
        horizontal_line(111, 121),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(110, 119),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(125, 141),
        horizontal_line(125, 140),
        horizontal_line(124, 140),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(158, 184),
        horizontal_line(158, 184),
        horizontal_line(158, 184),
        horizontal_line(158, 184),
        horizontal_line(158, 184),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(121, 136),
        horizontal_line(122, 136),
        horizontal_line(123, 136),
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(126, 135),
        horizontal_line(127, 134),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_639_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(151, 183),
        horizontal_line(151, 183),
        horizontal_line(151, 183),
        horizontal_line(151, 183),
        horizontal_line(152, 183),
        horizontal_line(153, 183),
    };

    constexpr const shape frame_639_shape_group_4_shapes[] = {
        shape(frame_639_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_639_shape_group_4_shape_1_horizontal_lines, 19, 1),
        shape(frame_639_shape_group_4_shape_2_horizontal_lines, 22, 7),
        shape(frame_639_shape_group_4_shape_3_horizontal_lines, 41, 1),
        shape(frame_639_shape_group_4_shape_4_horizontal_lines, 42, 7),
        shape(frame_639_shape_group_4_shape_5_horizontal_lines, 43, 1),
        shape(frame_639_shape_group_4_shape_6_horizontal_lines, 45, 7),
        shape(frame_639_shape_group_4_shape_7_horizontal_lines, 46, 1),
        shape(frame_639_shape_group_4_shape_8_horizontal_lines, 52, 4),
        shape(frame_639_shape_group_4_shape_9_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(130, 148),
        horizontal_line(130, 152),
        horizontal_line(130, 157),
        horizontal_line(130, 162),
        horizontal_line(130, 167),
        horizontal_line(130, 166),
        horizontal_line(132, 166),
        horizontal_line(134, 165),
        horizontal_line(136, 164),
        horizontal_line(139, 163),
        horizontal_line(141, 162),
        horizontal_line(143, 162),
        horizontal_line(145, 161),
        horizontal_line(127, 127),
        horizontal_line(127, 129),
        horizontal_line(126, 130),
        horizontal_line(126, 131),
        horizontal_line(125, 133),
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(156, 162),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(155, 161),
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(125, 141),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(153, 160),
        horizontal_line(142, 142),
        horizontal_line(139, 141),
        horizontal_line(137, 141),
        horizontal_line(134, 140),
        horizontal_line(132, 140),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(163, 184),
        horizontal_line(135, 147),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
    };

    constexpr const horizontal_line frame_639_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(158, 184),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(155, 183),
        horizontal_line(155, 183),
        horizontal_line(155, 183),
    };

    constexpr const shape frame_639_shape_group_5_shapes[] = {
        shape(frame_639_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_639_shape_group_5_shape_1_horizontal_lines, 5, 4),
        shape(frame_639_shape_group_5_shape_2_horizontal_lines, 22, 1),
        shape(frame_639_shape_group_5_shape_3_horizontal_lines, 41, 4),
        shape(frame_639_shape_group_5_shape_4_horizontal_lines, 42, 1),
        shape(frame_639_shape_group_5_shape_5_horizontal_lines, 43, 4),
        shape(frame_639_shape_group_5_shape_6_horizontal_lines, 45, 1),
        shape(frame_639_shape_group_5_shape_7_horizontal_lines, 46, 4),
        shape(frame_639_shape_group_5_shape_8_horizontal_lines, 119, 4),
    };

    constexpr const horizontal_line frame_639_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
        horizontal_line(164, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_639_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(148, 160),
        horizontal_line(150, 159),
        horizontal_line(152, 158),
        horizontal_line(154, 157),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_639_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(156, 162),
        horizontal_line(172, 185),
        horizontal_line(155, 161),
        horizontal_line(171, 185),
        horizontal_line(171, 185),
        horizontal_line(154, 161),
        horizontal_line(171, 185),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(151, 159),
        horizontal_line(170, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(165, 185),
        horizontal_line(165, 185),
        horizontal_line(165, 185),
        horizontal_line(165, 185),
        horizontal_line(165, 185),
        horizontal_line(165, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
    };

    constexpr const horizontal_line frame_639_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(163, 184),
    };

    constexpr const shape frame_639_shape_group_6_shapes[] = {
        shape(frame_639_shape_group_6_shape_0_horizontal_lines, 19, 4),
        shape(frame_639_shape_group_6_shape_1_horizontal_lines, 35, 1),
        shape(frame_639_shape_group_6_shape_2_horizontal_lines, 40, 4),
        shape(frame_639_shape_group_6_shape_3_horizontal_lines, 87, 4),
    };

    constexpr const horizontal_line frame_639_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(174, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 186),
        horizontal_line(161, 164),
        horizontal_line(160, 163),
        horizontal_line(159, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 162),
        horizontal_line(172, 185),
        horizontal_line(239, 239),
        horizontal_line(171, 185),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(171, 185),
    };

    constexpr const horizontal_line frame_639_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_639_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
    };

    constexpr const horizontal_line frame_639_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(120, 127),
        horizontal_line(120, 123),
    };

    constexpr const shape frame_639_shape_group_7_shapes[] = {
        shape(frame_639_shape_group_7_shape_0_horizontal_lines, 22, 4),
        shape(frame_639_shape_group_7_shape_1_horizontal_lines, 46, 5),
        shape(frame_639_shape_group_7_shape_2_horizontal_lines, 47, 4),
        shape(frame_639_shape_group_7_shape_3_horizontal_lines, 52, 5),
    };

    constexpr const horizontal_line frame_639_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(173, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_639_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_639_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_639_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(121, 127),
        horizontal_line(121, 128),
        horizontal_line(121, 129),
        horizontal_line(120, 130),
    };

    constexpr const shape frame_639_shape_group_8_shapes[] = {
        shape(frame_639_shape_group_8_shape_0_horizontal_lines, 29, 4),
        shape(frame_639_shape_group_8_shape_1_horizontal_lines, 42, 4),
        shape(frame_639_shape_group_8_shape_2_horizontal_lines, 44, 5),
        shape(frame_639_shape_group_8_shape_3_horizontal_lines, 47, 5),
    };

    constexpr const horizontal_line frame_639_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_639_shape_group_9_shapes[] = {
        shape(frame_639_shape_group_9_shape_0_horizontal_lines, 35, 4),
    };

    constexpr const shape_group frame_639_shape_groups[] = {
        shape_group(frame_639_shape_group_0_shapes),
        shape_group(frame_639_shape_group_1_shapes),
        shape_group(frame_639_shape_group_2_shapes),
        shape_group(frame_639_shape_group_3_shapes),
        shape_group(frame_639_shape_group_4_shapes),
        shape_group(frame_639_shape_group_5_shapes),
        shape_group(frame_639_shape_group_6_shapes),
        shape_group(frame_639_shape_group_7_shapes),
        shape_group(frame_639_shape_group_8_shapes),
        shape_group(frame_639_shape_group_9_shapes),
    };

    constexpr const frame frame_639_impl(frame_639_colors, frame_639_shape_groups);
} 

const frame& frame_639()
{
    return frame_639_impl;
}

namespace
{
    constexpr const bn::color frame_640_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_640_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const shape frame_640_shape_group_0_shapes[] = {
        shape(frame_640_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_640_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(99, 122),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(98, 119),
        horizontal_line(98, 119),
        horizontal_line(97, 119),
        horizontal_line(97, 119),
        horizontal_line(97, 119),
        horizontal_line(97, 119),
        horizontal_line(97, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 118),
        horizontal_line(97, 117),
        horizontal_line(97, 117),
        horizontal_line(97, 117),
        horizontal_line(96, 117),
        horizontal_line(96, 117),
        horizontal_line(96, 117),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(95, 115),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(91, 106),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 103),
        horizontal_line(91, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 101),
        horizontal_line(89, 101),
        horizontal_line(89, 101),
        horizontal_line(89, 101),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(88, 99),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 97),
        horizontal_line(88, 97),
        horizontal_line(88, 97),
        horizontal_line(88, 97),
        horizontal_line(88, 97),
        horizontal_line(88, 97),
        horizontal_line(87, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 94),
        horizontal_line(87, 94),
    };

    constexpr const shape frame_640_shape_group_1_shapes[] = {
        shape(frame_640_shape_group_1_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_640_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(39, 98),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(38, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
    };

    constexpr const horizontal_line frame_640_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_640_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(34, 94),
        horizontal_line(34, 94),
    };

    constexpr const horizontal_line frame_640_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_640_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(34, 94),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(33, 93),
        horizontal_line(32, 93),
        horizontal_line(32, 93),
        horizontal_line(32, 93),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(32, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 92),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(31, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 91),
        horizontal_line(30, 90),
        horizontal_line(30, 90),
        horizontal_line(30, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(29, 90),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(27, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 87),
        horizontal_line(26, 87),
        horizontal_line(26, 87),
        horizontal_line(26, 87),
        horizontal_line(26, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
    };

    constexpr const shape frame_640_shape_group_2_shapes[] = {
        shape(frame_640_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_640_shape_group_2_shape_1_horizontal_lines, 19, 6),
        shape(frame_640_shape_group_2_shape_2_horizontal_lines, 44, 7),
        shape(frame_640_shape_group_2_shape_3_horizontal_lines, 46, 6),
        shape(frame_640_shape_group_2_shape_4_horizontal_lines, 47, 7),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(119, 129),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
        horizontal_line(37, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 95),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(34, 94),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(34, 94),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
        horizontal_line(107, 108),
        horizontal_line(107, 107),
        horizontal_line(107, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(107, 117),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(106, 114),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 110),
        horizontal_line(105, 110),
        horizontal_line(104, 109),
        horizontal_line(104, 108),
        horizontal_line(104, 108),
        horizontal_line(104, 107),
        horizontal_line(105, 107),
        horizontal_line(106, 106),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(122, 139),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(120, 138),
        horizontal_line(120, 138),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(121, 137),
        horizontal_line(122, 136),
        horizontal_line(123, 136),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(157, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(155, 188),
        horizontal_line(155, 188),
        horizontal_line(155, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
    };

    constexpr const shape frame_640_shape_group_3_shapes[] = {
        shape(frame_640_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_640_shape_group_3_shape_1_horizontal_lines, 92, 4),
        shape(frame_640_shape_group_3_shape_2_horizontal_lines, 94, 7),
        shape(frame_640_shape_group_3_shape_3_horizontal_lines, 96, 4),
        shape(frame_640_shape_group_3_shape_4_horizontal_lines, 117, 7),
        shape(frame_640_shape_group_3_shape_5_horizontal_lines, 120, 4),
        shape(frame_640_shape_group_3_shape_6_horizontal_lines, 128, 7),
        shape(frame_640_shape_group_3_shape_7_horizontal_lines, 133, 4),
        shape(frame_640_shape_group_3_shape_8_horizontal_lines, 138, 7),
        shape(frame_640_shape_group_3_shape_9_horizontal_lines, 146, 4),
        shape(frame_640_shape_group_3_shape_10_horizontal_lines, 149, 7),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(182, 191),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(155, 163),
        horizontal_line(154, 162),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(140, 142),
        horizontal_line(137, 142),
        horizontal_line(134, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(119, 119),
        horizontal_line(118, 118),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 124),
        horizontal_line(111, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(110, 121),
        horizontal_line(110, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(109, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(107, 115),
        horizontal_line(107, 115),
        horizontal_line(131, 146),
        horizontal_line(131, 145),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 141),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(160, 188),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(121, 138),
        horizontal_line(160, 188),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(158, 188),
        horizontal_line(125, 135),
        horizontal_line(126, 135),
        horizontal_line(127, 135),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(157, 188),
        horizontal_line(157, 188),
        horizontal_line(157, 188),
        horizontal_line(157, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(156, 188),
        horizontal_line(156, 188),
        horizontal_line(156, 188),
        horizontal_line(156, 188),
        horizontal_line(156, 188),
        horizontal_line(155, 188),
        horizontal_line(155, 188),
        horizontal_line(155, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(153, 188),
        horizontal_line(153, 188),
        horizontal_line(153, 188),
        horizontal_line(153, 188),
        horizontal_line(153, 188),
        horizontal_line(153, 188),
    };

    constexpr const shape frame_640_shape_group_4_shapes[] = {
        shape(frame_640_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_640_shape_group_4_shape_1_horizontal_lines, 19, 7),
        shape(frame_640_shape_group_4_shape_2_horizontal_lines, 44, 4),
        shape(frame_640_shape_group_4_shape_3_horizontal_lines, 46, 7),
        shape(frame_640_shape_group_4_shape_4_horizontal_lines, 47, 4),
        shape(frame_640_shape_group_4_shape_5_horizontal_lines, 138, 4),
        shape(frame_640_shape_group_4_shape_6_horizontal_lines, 149, 4),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(130, 139),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(169, 169),
        horizontal_line(168, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(164, 167),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 163),
        horizontal_line(155, 163),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 159),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 147),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(164, 189),
        horizontal_line(164, 189),
        horizontal_line(164, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 188),
        horizontal_line(161, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(160, 188),
        horizontal_line(160, 188),
        horizontal_line(160, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(102, 108),
        horizontal_line(102, 114),
        horizontal_line(102, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 120),
        horizontal_line(101, 121),
        horizontal_line(101, 122),
        horizontal_line(101, 123),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(158, 188),
        horizontal_line(158, 188),
        horizontal_line(158, 188),
        horizontal_line(158, 188),
        horizontal_line(157, 188),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(103, 129),
        horizontal_line(111, 130),
        horizontal_line(119, 131),
        horizontal_line(127, 132),
    };

    constexpr const horizontal_line frame_640_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(95, 103),
        horizontal_line(95, 113),
    };

    constexpr const shape frame_640_shape_group_5_shapes[] = {
        shape(frame_640_shape_group_5_shape_0_horizontal_lines, 16, 1),
        shape(frame_640_shape_group_5_shape_1_horizontal_lines, 19, 4),
        shape(frame_640_shape_group_5_shape_2_horizontal_lines, 117, 4),
        shape(frame_640_shape_group_5_shape_3_horizontal_lines, 120, 1),
        shape(frame_640_shape_group_5_shape_4_horizontal_lines, 128, 4),
        shape(frame_640_shape_group_5_shape_5_horizontal_lines, 133, 1),
        shape(frame_640_shape_group_5_shape_6_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(130, 154),
        horizontal_line(130, 159),
        horizontal_line(130, 164),
        horizontal_line(130, 170),
        horizontal_line(130, 169),
        horizontal_line(130, 169),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(127, 141),
        horizontal_line(128, 142),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 189),
        horizontal_line(150, 159),
        horizontal_line(149, 159),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(166, 189),
        horizontal_line(166, 189),
        horizontal_line(166, 189),
        horizontal_line(166, 189),
        horizontal_line(166, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(164, 189),
        horizontal_line(164, 189),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_640_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(100, 124),
        horizontal_line(100, 125),
        horizontal_line(100, 126),
        horizontal_line(100, 127),
        horizontal_line(100, 128),
    };

    constexpr const shape frame_640_shape_group_6_shapes[] = {
        shape(frame_640_shape_group_6_shape_0_horizontal_lines, 19, 1),
        shape(frame_640_shape_group_6_shape_1_horizontal_lines, 26, 4),
        shape(frame_640_shape_group_6_shape_2_horizontal_lines, 44, 1),
        shape(frame_640_shape_group_6_shape_3_horizontal_lines, 46, 4),
        shape(frame_640_shape_group_6_shape_4_horizontal_lines, 94, 4),
        shape(frame_640_shape_group_6_shape_5_horizontal_lines, 109, 1),
        shape(frame_640_shape_group_6_shape_6_horizontal_lines, 119, 1),
        shape(frame_640_shape_group_6_shape_7_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(132, 168),
        horizontal_line(134, 167),
        horizontal_line(136, 166),
        horizontal_line(138, 165),
        horizontal_line(140, 164),
        horizontal_line(142, 164),
        horizontal_line(145, 163),
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 131),
        horizontal_line(125, 132),
        horizontal_line(125, 133),
        horizontal_line(125, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(125, 138),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(129, 144),
        horizontal_line(130, 142),
        horizontal_line(131, 139),
        horizontal_line(132, 136),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_640_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(171, 189),
        horizontal_line(171, 189),
    };

    constexpr const shape frame_640_shape_group_7_shapes[] = {
        shape(frame_640_shape_group_7_shape_0_horizontal_lines, 26, 1),
        shape(frame_640_shape_group_7_shape_1_horizontal_lines, 44, 5),
        shape(frame_640_shape_group_7_shape_2_horizontal_lines, 46, 1),
        shape(frame_640_shape_group_7_shape_3_horizontal_lines, 51, 5),
        shape(frame_640_shape_group_7_shape_4_horizontal_lines, 53, 1),
        shape(frame_640_shape_group_7_shape_5_horizontal_lines, 55, 4),
    };

    constexpr const horizontal_line frame_640_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(149, 161),
        horizontal_line(151, 160),
        horizontal_line(153, 159),
        horizontal_line(155, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_640_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_640_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(122, 128),
        horizontal_line(121, 129),
        horizontal_line(121, 130),
        horizontal_line(120, 131),
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_640_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(121, 121),
    };

    constexpr const shape frame_640_shape_group_8_shapes[] = {
        shape(frame_640_shape_group_8_shape_0_horizontal_lines, 33, 1),
        shape(frame_640_shape_group_8_shape_1_horizontal_lines, 42, 5),
        shape(frame_640_shape_group_8_shape_2_horizontal_lines, 46, 5),
        shape(frame_640_shape_group_8_shape_3_horizontal_lines, 53, 5),
    };

    constexpr const shape_group frame_640_shape_groups[] = {
        shape_group(frame_640_shape_group_0_shapes),
        shape_group(frame_640_shape_group_1_shapes),
        shape_group(frame_640_shape_group_2_shapes),
        shape_group(frame_640_shape_group_3_shapes),
        shape_group(frame_640_shape_group_4_shapes),
        shape_group(frame_640_shape_group_5_shapes),
        shape_group(frame_640_shape_group_6_shapes),
        shape_group(frame_640_shape_group_7_shapes),
        shape_group(frame_640_shape_group_8_shapes),
    };

    constexpr const frame frame_640_impl(frame_640_colors, frame_640_shape_groups);
} 

const frame& frame_640()
{
    return frame_640_impl;
}

namespace
{
    constexpr const bn::color frame_641_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_641_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(82, 97),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 95),
        horizontal_line(82, 95),
        horizontal_line(82, 95),
        horizontal_line(82, 95),
        horizontal_line(82, 95),
        horizontal_line(81, 95),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
        horizontal_line(81, 93),
    };

    constexpr const shape frame_641_shape_group_0_shapes[] = {
        shape(frame_641_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_641_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(94, 120),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(93, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 117),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(90, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(88, 109),
        horizontal_line(88, 109),
        horizontal_line(88, 109),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(87, 107),
        horizontal_line(87, 107),
        horizontal_line(87, 107),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 105),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 103),
        horizontal_line(86, 103),
        horizontal_line(86, 103),
        horizontal_line(85, 103),
        horizontal_line(85, 103),
        horizontal_line(85, 103),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(84, 101),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
        horizontal_line(83, 99),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
    };

    constexpr const horizontal_line frame_641_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(138, 159),
        horizontal_line(138, 159),
        horizontal_line(138, 159),
        horizontal_line(137, 159),
        horizontal_line(137, 159),
        horizontal_line(137, 158),
        horizontal_line(136, 158),
        horizontal_line(136, 158),
        horizontal_line(98, 102),
        horizontal_line(97, 110),
        horizontal_line(97, 118),
        horizontal_line(97, 126),
        horizontal_line(97, 157),
        horizontal_line(97, 157),
        horizontal_line(97, 157),
        horizontal_line(96, 157),
        horizontal_line(96, 156),
        horizontal_line(96, 156),
        horizontal_line(96, 156),
        horizontal_line(96, 156),
        horizontal_line(96, 156),
        horizontal_line(95, 156),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(94, 154),
        horizontal_line(94, 154),
        horizontal_line(94, 154),
        horizontal_line(94, 154),
        horizontal_line(94, 154),
        horizontal_line(94, 154),
    };

    constexpr const shape frame_641_shape_group_1_shapes[] = {
        shape(frame_641_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_641_shape_group_1_shape_1_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(125, 183),
        horizontal_line(125, 182),
        horizontal_line(125, 182),
        horizontal_line(126, 182),
        horizontal_line(126, 182),
        horizontal_line(127, 182),
        horizontal_line(127, 181),
        horizontal_line(127, 181),
        horizontal_line(128, 181),
        horizontal_line(128, 181),
        horizontal_line(129, 181),
        horizontal_line(129, 180),
        horizontal_line(130, 180),
        horizontal_line(135, 180),
        horizontal_line(140, 180),
        horizontal_line(145, 180),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(144, 153),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_641_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(121, 130),
        horizontal_line(120, 129),
        horizontal_line(119, 128),
        horizontal_line(118, 127),
        horizontal_line(117, 127),
        horizontal_line(117, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(114, 119),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(125, 138),
        horizontal_line(125, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(123, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(113, 128),
        horizontal_line(113, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 127),
        horizontal_line(111, 127),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(101, 104),
        horizontal_line(101, 124),
        horizontal_line(101, 124),
        horizontal_line(101, 123),
        horizontal_line(101, 123),
        horizontal_line(101, 122),
        horizontal_line(100, 122),
        horizontal_line(100, 121),
        horizontal_line(103, 121),
        horizontal_line(109, 120),
        horizontal_line(115, 120),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(136, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 157),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_641_shape_group_2_shapes[] = {
        shape(frame_641_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_641_shape_group_2_shape_1_horizontal_lines, 16, 6),
        shape(frame_641_shape_group_2_shape_2_horizontal_lines, 49, 2),
        shape(frame_641_shape_group_2_shape_3_horizontal_lines, 50, 6),
        shape(frame_641_shape_group_2_shape_4_horizontal_lines, 51, 2),
        shape(frame_641_shape_group_2_shape_5_horizontal_lines, 53, 6),
        shape(frame_641_shape_group_2_shape_6_horizontal_lines, 54, 2),
    };

    constexpr const horizontal_line frame_641_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(151, 180),
        horizontal_line(156, 179),
        horizontal_line(161, 179),
        horizontal_line(166, 179),
        horizontal_line(172, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(131, 132),
        horizontal_line(131, 134),
        horizontal_line(130, 136),
        horizontal_line(130, 138),
        horizontal_line(129, 141),
        horizontal_line(129, 143),
        horizontal_line(128, 145),
        horizontal_line(129, 147),
        horizontal_line(130, 150),
        horizontal_line(131, 152),
        horizontal_line(133, 154),
        horizontal_line(134, 156),
        horizontal_line(135, 159),
        horizontal_line(136, 158),
        horizontal_line(138, 158),
        horizontal_line(139, 157),
        horizontal_line(140, 157),
        horizontal_line(141, 156),
        horizontal_line(143, 156),
        horizontal_line(144, 155),
        horizontal_line(145, 155),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 153),
        horizontal_line(162, 174),
        horizontal_line(144, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(123, 130),
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(152, 168),
        horizontal_line(152, 167),
        horizontal_line(152, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(149, 166),
        horizontal_line(149, 166),
        horizontal_line(149, 166),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(147, 165),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(145, 164),
        horizontal_line(145, 163),
        horizontal_line(145, 163),
        horizontal_line(144, 163),
        horizontal_line(144, 163),
        horizontal_line(144, 163),
        horizontal_line(144, 162),
        horizontal_line(143, 162),
        horizontal_line(108, 124),
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 161),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(125, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(129, 135),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_641_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(158, 192),
        horizontal_line(158, 192),
        horizontal_line(158, 192),
        horizontal_line(158, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(155, 192),
        horizontal_line(155, 192),
        horizontal_line(155, 192),
        horizontal_line(155, 192),
        horizontal_line(155, 192),
        horizontal_line(155, 192),
    };

    constexpr const shape frame_641_shape_group_3_shapes[] = {
        shape(frame_641_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_641_shape_group_3_shape_1_horizontal_lines, 127, 4),
        shape(frame_641_shape_group_3_shape_2_horizontal_lines, 135, 2),
        shape(frame_641_shape_group_3_shape_3_horizontal_lines, 139, 4),
    };

    constexpr const horizontal_line frame_641_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(184, 195),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(181, 194),
        horizontal_line(181, 194),
        horizontal_line(181, 194),
        horizontal_line(181, 194),
        horizontal_line(181, 194),
    };

    constexpr const horizontal_line frame_641_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 177),
        horizontal_line(169, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(164, 175),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 174),
        horizontal_line(195, 239),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 173),
        horizontal_line(142, 151),
        horizontal_line(161, 173),
        horizontal_line(161, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(160, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(156, 170),
        horizontal_line(156, 170),
        horizontal_line(156, 170),
        horizontal_line(155, 169),
        horizontal_line(155, 169),
        horizontal_line(155, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(154, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(143, 162),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 138),
        horizontal_line(121, 138),
        horizontal_line(122, 138),
        horizontal_line(123, 138),
        horizontal_line(160, 192),
        horizontal_line(160, 192),
        horizontal_line(160, 192),
        horizontal_line(160, 192),
        horizontal_line(160, 192),
        horizontal_line(159, 192),
        horizontal_line(159, 192),
        horizontal_line(159, 192),
        horizontal_line(131, 135),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
    };

    constexpr const shape frame_641_shape_group_4_shapes[] = {
        shape(frame_641_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_641_shape_group_4_shape_1_horizontal_lines, 16, 2),
        shape(frame_641_shape_group_4_shape_2_horizontal_lines, 123, 4),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(130, 139),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(181, 194),
        horizontal_line(180, 194),
        horizontal_line(180, 194),
        horizontal_line(180, 194),
        horizontal_line(180, 194),
        horizontal_line(180, 194),
        horizontal_line(179, 194),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(137, 143),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(161, 173),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(108, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(106, 116),
        horizontal_line(105, 116),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(103, 112),
        horizontal_line(103, 111),
        horizontal_line(103, 111),
        horizontal_line(102, 110),
        horizontal_line(102, 109),
        horizontal_line(103, 109),
        horizontal_line(105, 108),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(125, 142),
        horizontal_line(125, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(122, 140),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(121, 139),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(99, 123),
        horizontal_line(99, 124),
        horizontal_line(99, 125),
        horizontal_line(98, 126),
        horizontal_line(98, 127),
        horizontal_line(98, 127),
        horizontal_line(98, 128),
        horizontal_line(98, 129),
    };

    constexpr const horizontal_line frame_641_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(159, 192),
        horizontal_line(159, 192),
        horizontal_line(159, 192),
        horizontal_line(158, 192),
    };

    constexpr const shape frame_641_shape_group_5_shapes[] = {
        shape(frame_641_shape_group_5_shape_0_horizontal_lines, 13, 1),
        shape(frame_641_shape_group_5_shape_1_horizontal_lines, 16, 4),
        shape(frame_641_shape_group_5_shape_2_horizontal_lines, 24, 2),
        shape(frame_641_shape_group_5_shape_3_horizontal_lines, 49, 4),
        shape(frame_641_shape_group_5_shape_4_horizontal_lines, 50, 2),
        shape(frame_641_shape_group_5_shape_5_horizontal_lines, 82, 4),
        shape(frame_641_shape_group_5_shape_6_horizontal_lines, 112, 2),
        shape(frame_641_shape_group_5_shape_7_horizontal_lines, 113, 4),
        shape(frame_641_shape_group_5_shape_8_horizontal_lines, 127, 1),
        shape(frame_641_shape_group_5_shape_9_horizontal_lines, 135, 4),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(130, 150),
        horizontal_line(130, 155),
        horizontal_line(130, 160),
        horizontal_line(130, 165),
        horizontal_line(130, 171),
        horizontal_line(130, 170),
        horizontal_line(130, 170),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(169, 169),
        horizontal_line(168, 169),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 164),
        horizontal_line(156, 163),
        horizontal_line(156, 163),
        horizontal_line(155, 163),
        horizontal_line(145, 145),
        horizontal_line(142, 144),
        horizontal_line(140, 144),
        horizontal_line(154, 161),
        horizontal_line(135, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(128, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(122, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(117, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 126),
        horizontal_line(111, 125),
        horizontal_line(111, 125),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(126, 143),
        horizontal_line(126, 142),
        horizontal_line(107, 107),
        horizontal_line(163, 192),
        horizontal_line(163, 192),
        horizontal_line(163, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(100, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 121),
        horizontal_line(99, 122),
    };

    constexpr const horizontal_line frame_641_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(103, 130),
        horizontal_line(111, 131),
        horizontal_line(119, 132),
        horizontal_line(127, 133),
    };

    constexpr const shape frame_641_shape_group_6_shapes[] = {
        shape(frame_641_shape_group_6_shape_0_horizontal_lines, 16, 1),
        shape(frame_641_shape_group_6_shape_1_horizontal_lines, 23, 4),
        shape(frame_641_shape_group_6_shape_2_horizontal_lines, 53, 2),
        shape(frame_641_shape_group_6_shape_3_horizontal_lines, 54, 4),
        shape(frame_641_shape_group_6_shape_4_horizontal_lines, 123, 1),
        shape(frame_641_shape_group_6_shape_5_horizontal_lines, 135, 1),
    };

    constexpr const horizontal_line frame_641_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(131, 169),
        horizontal_line(133, 169),
    };

    constexpr const horizontal_line frame_641_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(154, 162),
        horizontal_line(175, 194),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(129, 139),
        horizontal_line(128, 139),
        horizontal_line(150, 159),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(141, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 152),
        horizontal_line(169, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(168, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(166, 193),
        horizontal_line(166, 193),
        horizontal_line(166, 193),
        horizontal_line(166, 193),
        horizontal_line(166, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(163, 192),
        horizontal_line(163, 192),
        horizontal_line(125, 142),
    };

    constexpr const horizontal_line frame_641_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(100, 102),
        horizontal_line(100, 108),
        horizontal_line(100, 114),
    };

    constexpr const shape frame_641_shape_group_7_shapes[] = {
        shape(frame_641_shape_group_7_shape_0_horizontal_lines, 23, 1),
        shape(frame_641_shape_group_7_shape_1_horizontal_lines, 25, 4),
        shape(frame_641_shape_group_7_shape_2_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(135, 168),
        horizontal_line(137, 167),
        horizontal_line(139, 166),
        horizontal_line(142, 166),
        horizontal_line(144, 165),
        horizontal_line(146, 164),
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 132),
        horizontal_line(126, 133),
        horizontal_line(126, 134),
        horizontal_line(125, 135),
        horizontal_line(125, 137),
        horizontal_line(125, 138),
        horizontal_line(125, 139),
        horizontal_line(126, 140),
        horizontal_line(127, 142),
        horizontal_line(127, 143),
        horizontal_line(128, 144),
        horizontal_line(129, 146),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(175, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 159),
        horizontal_line(150, 159),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(169, 193),
        horizontal_line(169, 193),
        horizontal_line(169, 193),
        horizontal_line(169, 193),
        horizontal_line(169, 193),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(102, 104),
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_641_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(163, 192),
    };

    constexpr const shape frame_641_shape_group_8_shapes[] = {
        shape(frame_641_shape_group_8_shape_0_horizontal_lines, 25, 1),
        shape(frame_641_shape_group_8_shape_1_horizontal_lines, 46, 4),
        shape(frame_641_shape_group_8_shape_2_horizontal_lines, 49, 1),
        shape(frame_641_shape_group_8_shape_3_horizontal_lines, 50, 4),
        shape(frame_641_shape_group_8_shape_4_horizontal_lines, 109, 1),
        shape(frame_641_shape_group_8_shape_5_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(148, 163),
        horizontal_line(151, 163),
        horizontal_line(153, 162),
        horizontal_line(155, 161),
        horizontal_line(157, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 127),
        horizontal_line(122, 128),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(130, 144),
        horizontal_line(131, 141),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(174, 194),
        horizontal_line(174, 193),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
        horizontal_line(173, 193),
    };

    constexpr const horizontal_line frame_641_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(105, 106),
    };

    constexpr const shape frame_641_shape_group_9_shapes[] = {
        shape(frame_641_shape_group_9_shape_0_horizontal_lines, 31, 1),
        shape(frame_641_shape_group_9_shape_1_horizontal_lines, 40, 5),
        shape(frame_641_shape_group_9_shape_2_horizontal_lines, 46, 1),
        shape(frame_641_shape_group_9_shape_3_horizontal_lines, 49, 5),
        shape(frame_641_shape_group_9_shape_4_horizontal_lines, 50, 1),
        shape(frame_641_shape_group_9_shape_5_horizontal_lines, 53, 4),
        shape(frame_641_shape_group_9_shape_6_horizontal_lines, 112, 1),
    };

    constexpr const horizontal_line frame_641_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(122, 129),
        horizontal_line(121, 130),
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_641_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(120, 133),
        horizontal_line(120, 130),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_641_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const shape frame_641_shape_group_10_shapes[] = {
        shape(frame_641_shape_group_10_shape_0_horizontal_lines, 46, 5),
        shape(frame_641_shape_group_10_shape_1_horizontal_lines, 50, 5),
        shape(frame_641_shape_group_10_shape_2_horizontal_lines, 53, 1),
    };

    constexpr const horizontal_line frame_641_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const shape frame_641_shape_group_11_shapes[] = {
        shape(frame_641_shape_group_11_shape_0_horizontal_lines, 53, 5),
    };

    constexpr const shape_group frame_641_shape_groups[] = {
        shape_group(frame_641_shape_group_0_shapes),
        shape_group(frame_641_shape_group_1_shapes),
        shape_group(frame_641_shape_group_2_shapes),
        shape_group(frame_641_shape_group_3_shapes),
        shape_group(frame_641_shape_group_4_shapes),
        shape_group(frame_641_shape_group_5_shapes),
        shape_group(frame_641_shape_group_6_shapes),
        shape_group(frame_641_shape_group_7_shapes),
        shape_group(frame_641_shape_group_8_shapes),
        shape_group(frame_641_shape_group_9_shapes),
        shape_group(frame_641_shape_group_10_shapes),
        shape_group(frame_641_shape_group_11_shapes),
    };

    constexpr const frame frame_641_impl(frame_641_colors, frame_641_shape_groups);
} 

const frame& frame_641()
{
    return frame_641_impl;
}

namespace
{
    constexpr const bn::color frame_642_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_642_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(87, 118),
        horizontal_line(86, 117),
        horizontal_line(86, 117),
        horizontal_line(86, 117),
        horizontal_line(86, 117),
        horizontal_line(86, 117),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 108),
        horizontal_line(82, 108),
        horizontal_line(82, 108),
        horizontal_line(82, 108),
        horizontal_line(82, 108),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(80, 104),
        horizontal_line(80, 104),
        horizontal_line(80, 104),
        horizontal_line(80, 104),
        horizontal_line(80, 104),
        horizontal_line(80, 104),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(79, 102),
        horizontal_line(78, 101),
        horizontal_line(78, 101),
        horizontal_line(78, 101),
        horizontal_line(78, 101),
        horizontal_line(78, 101),
        horizontal_line(78, 101),
        horizontal_line(78, 100),
        horizontal_line(78, 100),
        horizontal_line(78, 100),
        horizontal_line(78, 100),
        horizontal_line(78, 100),
        horizontal_line(78, 100),
        horizontal_line(77, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(76, 96),
        horizontal_line(76, 96),
        horizontal_line(76, 96),
        horizontal_line(76, 96),
        horizontal_line(76, 96),
        horizontal_line(75, 95),
        horizontal_line(75, 95),
        horizontal_line(75, 95),
        horizontal_line(75, 95),
        horizontal_line(75, 95),
        horizontal_line(75, 95),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(74, 93),
        horizontal_line(74, 93),
        horizontal_line(74, 93),
        horizontal_line(74, 93),
        horizontal_line(74, 93),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(73, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
    };

    constexpr const shape frame_642_shape_group_0_shapes[] = {
        shape(frame_642_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_642_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(127, 185),
        horizontal_line(127, 184),
        horizontal_line(127, 184),
        horizontal_line(128, 184),
        horizontal_line(128, 184),
        horizontal_line(128, 184),
        horizontal_line(129, 183),
        horizontal_line(129, 183),
        horizontal_line(129, 183),
        horizontal_line(130, 183),
        horizontal_line(135, 183),
        horizontal_line(141, 183),
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_642_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_642_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(119, 129),
    };

    constexpr const horizontal_line frame_642_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_642_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(111, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(110, 114),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(121, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 135),
        horizontal_line(119, 134),
        horizontal_line(119, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(117, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 131),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(111, 128),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 127),
        horizontal_line(100, 101),
        horizontal_line(100, 104),
        horizontal_line(100, 125),
        horizontal_line(100, 125),
        horizontal_line(99, 124),
        horizontal_line(99, 124),
        horizontal_line(99, 124),
        horizontal_line(98, 123),
        horizontal_line(98, 123),
        horizontal_line(101, 122),
        horizontal_line(107, 122),
        horizontal_line(112, 121),
        horizontal_line(117, 121),
        horizontal_line(141, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(138, 161),
        horizontal_line(138, 161),
        horizontal_line(138, 161),
        horizontal_line(137, 161),
        horizontal_line(94, 100),
        horizontal_line(94, 107),
        horizontal_line(94, 114),
        horizontal_line(94, 121),
        horizontal_line(94, 128),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
    };

    constexpr const shape frame_642_shape_group_1_shapes[] = {
        shape(frame_642_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_642_shape_group_1_shape_1_horizontal_lines, 13, 6),
        shape(frame_642_shape_group_1_shape_2_horizontal_lines, 57, 2),
        shape(frame_642_shape_group_1_shape_3_horizontal_lines, 58, 6),
        shape(frame_642_shape_group_1_shape_4_horizontal_lines, 59, 2),
    };

    constexpr const horizontal_line frame_642_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(152, 182),
        horizontal_line(158, 182),
        horizontal_line(163, 182),
        horizontal_line(169, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
        horizontal_line(173, 181),
        horizontal_line(132, 133),
        horizontal_line(132, 135),
        horizontal_line(131, 137),
        horizontal_line(131, 140),
        horizontal_line(130, 142),
        horizontal_line(130, 144),
        horizontal_line(130, 147),
        horizontal_line(129, 149),
        horizontal_line(129, 151),
        horizontal_line(130, 154),
        horizontal_line(132, 156),
        horizontal_line(133, 158),
        horizontal_line(135, 161),
        horizontal_line(136, 160),
        horizontal_line(137, 160),
        horizontal_line(139, 159),
        horizontal_line(140, 159),
        horizontal_line(142, 158),
        horizontal_line(143, 158),
        horizontal_line(144, 157),
        horizontal_line(146, 157),
        horizontal_line(147, 157),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(145, 153),
        horizontal_line(132, 134),
        horizontal_line(128, 133),
        horizontal_line(124, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 130),
        horizontal_line(141, 150),
        horizontal_line(118, 129),
        horizontal_line(140, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
        horizontal_line(137, 148),
        horizontal_line(137, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(128, 141),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(153, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(150, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(148, 166),
        horizontal_line(147, 166),
        horizontal_line(147, 166),
        horizontal_line(147, 166),
        horizontal_line(146, 166),
        horizontal_line(146, 165),
        horizontal_line(146, 165),
        horizontal_line(145, 165),
        horizontal_line(145, 165),
        horizontal_line(109, 126),
        horizontal_line(108, 126),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(142, 163),
        horizontal_line(142, 163),
        horizontal_line(142, 163),
        horizontal_line(141, 163),
        horizontal_line(141, 163),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(137, 160),
        horizontal_line(137, 160),
        horizontal_line(136, 160),
        horizontal_line(136, 160),
        horizontal_line(136, 160),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_642_shape_group_2_shapes[] = {
        shape(frame_642_shape_group_2_shape_0_horizontal_lines, 0, 2),
    };

    constexpr const horizontal_line frame_642_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 201),
        horizontal_line(185, 200),
        horizontal_line(185, 200),
        horizontal_line(185, 200),
        horizontal_line(185, 200),
        horizontal_line(185, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(183, 200),
    };

    constexpr const horizontal_line frame_642_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(173, 181),
        horizontal_line(173, 180),
        horizontal_line(172, 180),
        horizontal_line(172, 180),
        horizontal_line(172, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(167, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(164, 176),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(141, 151),
        horizontal_line(162, 174),
        horizontal_line(140, 150),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 171),
        horizontal_line(156, 171),
        horizontal_line(156, 171),
        horizontal_line(156, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(153, 170),
        horizontal_line(153, 169),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(145, 165),
        horizontal_line(145, 165),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_642_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 140),
        horizontal_line(122, 139),
        horizontal_line(123, 139),
        horizontal_line(124, 139),
        horizontal_line(125, 139),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(127, 138),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_642_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
    };

    constexpr const shape frame_642_shape_group_3_shapes[] = {
        shape(frame_642_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_642_shape_group_3_shape_1_horizontal_lines, 13, 2),
        shape(frame_642_shape_group_3_shape_2_horizontal_lines, 125, 4),
        shape(frame_642_shape_group_3_shape_3_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(130, 140),
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(183, 200),
        horizontal_line(183, 200),
        horizontal_line(183, 200),
        horizontal_line(183, 200),
        horizontal_line(183, 200),
        horizontal_line(182, 200),
        horizontal_line(182, 200),
        horizontal_line(173, 173),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(164, 176),
        horizontal_line(164, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(163, 175),
        horizontal_line(162, 175),
        horizontal_line(201, 239),
        horizontal_line(162, 174),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(108, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 117),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(104, 114),
        horizontal_line(103, 114),
        horizontal_line(103, 113),
        horizontal_line(103, 112),
        horizontal_line(103, 112),
        horizontal_line(102, 111),
        horizontal_line(102, 111),
        horizontal_line(102, 110),
        horizontal_line(103, 109),
        horizontal_line(104, 109),
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_642_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(125, 143),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(122, 140),
        horizontal_line(122, 140),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(162, 199),
        horizontal_line(162, 199),
        horizontal_line(162, 199),
        horizontal_line(162, 199),
        horizontal_line(162, 199),
        horizontal_line(162, 199),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
        horizontal_line(159, 199),
        horizontal_line(159, 199),
        horizontal_line(159, 199),
        horizontal_line(159, 199),
        horizontal_line(159, 199),
        horizontal_line(159, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 199),
    };

    constexpr const shape frame_642_shape_group_4_shapes[] = {
        shape(frame_642_shape_group_4_shape_0_horizontal_lines, 10, 1),
        shape(frame_642_shape_group_4_shape_1_horizontal_lines, 13, 4),
        shape(frame_642_shape_group_4_shape_2_horizontal_lines, 22, 2),
        shape(frame_642_shape_group_4_shape_3_horizontal_lines, 87, 4),
        shape(frame_642_shape_group_4_shape_4_horizontal_lines, 112, 2),
        shape(frame_642_shape_group_4_shape_5_horizontal_lines, 114, 4),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 151),
        horizontal_line(130, 157),
        horizontal_line(131, 162),
        horizontal_line(131, 168),
        horizontal_line(131, 174),
        horizontal_line(131, 173),
        horizontal_line(131, 173),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(182, 200),
        horizontal_line(182, 200),
        horizontal_line(172, 172),
        horizontal_line(171, 172),
        horizontal_line(170, 171),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(168, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(165, 169),
        horizontal_line(164, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(158, 165),
        horizontal_line(157, 165),
        horizontal_line(147, 147),
        horizontal_line(145, 146),
        horizontal_line(143, 146),
        horizontal_line(141, 145),
        horizontal_line(139, 145),
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(128, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 123),
        horizontal_line(138, 152),
        horizontal_line(138, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(131, 147),
        horizontal_line(131, 146),
        horizontal_line(130, 146),
        horizontal_line(130, 146),
        horizontal_line(129, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 145),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(106, 108),
        horizontal_line(107, 107),
        horizontal_line(165, 199),
        horizontal_line(165, 199),
        horizontal_line(165, 199),
        horizontal_line(165, 199),
        horizontal_line(165, 199),
        horizontal_line(165, 199),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(97, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 122),
        horizontal_line(96, 123),
        horizontal_line(96, 124),
        horizontal_line(96, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 126),
        horizontal_line(95, 127),
        horizontal_line(95, 128),
        horizontal_line(95, 129),
        horizontal_line(95, 130),
    };

    constexpr const horizontal_line frame_642_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(161, 199),
        horizontal_line(161, 199),
        horizontal_line(161, 199),
        horizontal_line(161, 199),
        horizontal_line(161, 199),
    };

    constexpr const shape frame_642_shape_group_5_shapes[] = {
        shape(frame_642_shape_group_5_shape_0_horizontal_lines, 13, 1),
        shape(frame_642_shape_group_5_shape_1_horizontal_lines, 20, 4),
        shape(frame_642_shape_group_5_shape_2_horizontal_lines, 51, 2),
        shape(frame_642_shape_group_5_shape_3_horizontal_lines, 57, 4),
        shape(frame_642_shape_group_5_shape_4_horizontal_lines, 58, 2),
        shape(frame_642_shape_group_5_shape_5_horizontal_lines, 59, 4),
        shape(frame_642_shape_group_5_shape_6_horizontal_lines, 125, 1),
        shape(frame_642_shape_group_5_shape_7_horizontal_lines, 137, 4),
    };

    constexpr const horizontal_line frame_642_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(131, 172),
        horizontal_line(132, 171),
    };

    constexpr const horizontal_line frame_642_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(182, 200),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 200),
        horizontal_line(178, 200),
        horizontal_line(178, 200),
        horizontal_line(178, 200),
        horizontal_line(178, 200),
        horizontal_line(178, 200),
        horizontal_line(157, 165),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(154, 163),
        horizontal_line(135, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 142),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(130, 140),
        horizontal_line(117, 117),
        horizontal_line(129, 139),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(168, 199),
        horizontal_line(168, 199),
        horizontal_line(168, 199),
        horizontal_line(168, 199),
        horizontal_line(168, 199),
        horizontal_line(168, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(167, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(127, 144),
        horizontal_line(127, 144),
    };

    constexpr const horizontal_line frame_642_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(98, 106),
        horizontal_line(97, 111),
        horizontal_line(97, 116),
    };

    constexpr const horizontal_line frame_642_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(101, 130),
        horizontal_line(108, 131),
        horizontal_line(115, 132),
        horizontal_line(122, 133),
        horizontal_line(129, 134),
    };

    constexpr const shape frame_642_shape_group_6_shapes[] = {
        shape(frame_642_shape_group_6_shape_0_horizontal_lines, 20, 1),
        shape(frame_642_shape_group_6_shape_1_horizontal_lines, 22, 4),
        shape(frame_642_shape_group_6_shape_2_horizontal_lines, 121, 1),
        shape(frame_642_shape_group_6_shape_3_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_642_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(134, 171),
        horizontal_line(136, 170),
        horizontal_line(138, 169),
        horizontal_line(141, 168),
        horizontal_line(143, 168),
        horizontal_line(145, 167),
        horizontal_line(148, 166),
        horizontal_line(150, 165),
        horizontal_line(152, 165),
        horizontal_line(128, 129),
        horizontal_line(128, 131),
        horizontal_line(127, 132),
        horizontal_line(127, 134),
        horizontal_line(127, 135),
        horizontal_line(126, 136),
        horizontal_line(126, 138),
        horizontal_line(125, 139),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(128, 143),
        horizontal_line(129, 145),
        horizontal_line(129, 146),
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_642_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(178, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 162),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
        horizontal_line(131, 140),
        horizontal_line(151, 161),
        horizontal_line(130, 139),
        horizontal_line(151, 160),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(173, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(171, 199),
        horizontal_line(171, 199),
        horizontal_line(171, 199),
        horizontal_line(171, 199),
        horizontal_line(171, 199),
        horizontal_line(171, 199),
        horizontal_line(170, 199),
    };

    constexpr const horizontal_line frame_642_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(101, 103),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_642_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(166, 199),
        horizontal_line(166, 199),
    };

    constexpr const shape frame_642_shape_group_7_shapes[] = {
        shape(frame_642_shape_group_7_shape_0_horizontal_lines, 22, 1),
        shape(frame_642_shape_group_7_shape_1_horizontal_lines, 45, 4),
        shape(frame_642_shape_group_7_shape_2_horizontal_lines, 109, 1),
        shape(frame_642_shape_group_7_shape_3_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_642_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(155, 164),
        horizontal_line(157, 163),
        horizontal_line(159, 162),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_642_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
    };

    constexpr const horizontal_line frame_642_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(131, 146),
        horizontal_line(132, 144),
        horizontal_line(133, 142),
        horizontal_line(134, 140),
        horizontal_line(135, 138),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_642_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(177, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 161),
        horizontal_line(175, 200),
        horizontal_line(151, 161),
        horizontal_line(175, 200),
    };

    constexpr const horizontal_line frame_642_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(102, 105),
        horizontal_line(105, 106),
    };

    constexpr const shape frame_642_shape_group_8_shapes[] = {
        shape(frame_642_shape_group_8_shape_0_horizontal_lines, 31, 1),
        shape(frame_642_shape_group_8_shape_1_horizontal_lines, 39, 5),
        shape(frame_642_shape_group_8_shape_2_horizontal_lines, 45, 1),
        shape(frame_642_shape_group_8_shape_3_horizontal_lines, 51, 4),
        shape(frame_642_shape_group_8_shape_4_horizontal_lines, 112, 1),
    };

    constexpr const horizontal_line frame_642_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 130),
        horizontal_line(122, 131),
        horizontal_line(121, 132),
        horizontal_line(121, 133),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_642_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(120, 120),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_642_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
    };

    constexpr const horizontal_line frame_642_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(175, 200),
    };

    constexpr const shape frame_642_shape_group_9_shapes[] = {
        shape(frame_642_shape_group_9_shape_0_horizontal_lines, 45, 5),
        shape(frame_642_shape_group_9_shape_1_horizontal_lines, 50, 1),
        shape(frame_642_shape_group_9_shape_2_horizontal_lines, 54, 4),
        shape(frame_642_shape_group_9_shape_3_horizontal_lines, 58, 4),
    };

    constexpr const horizontal_line frame_642_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(121, 135),
        horizontal_line(121, 131),
        horizontal_line(122, 127),
        horizontal_line(123, 123),
    };

    constexpr const shape frame_642_shape_group_10_shapes[] = {
        shape(frame_642_shape_group_10_shape_0_horizontal_lines, 50, 5),
    };

    constexpr const shape_group frame_642_shape_groups[] = {
        shape_group(frame_642_shape_group_0_shapes),
        shape_group(frame_642_shape_group_1_shapes),
        shape_group(frame_642_shape_group_2_shapes),
        shape_group(frame_642_shape_group_3_shapes),
        shape_group(frame_642_shape_group_4_shapes),
        shape_group(frame_642_shape_group_5_shapes),
        shape_group(frame_642_shape_group_6_shapes),
        shape_group(frame_642_shape_group_7_shapes),
        shape_group(frame_642_shape_group_8_shapes),
        shape_group(frame_642_shape_group_9_shapes),
        shape_group(frame_642_shape_group_10_shapes),
    };

    constexpr const frame frame_642_impl(frame_642_colors, frame_642_shape_groups);
} 

const frame& frame_642()
{
    return frame_642_impl;
}

namespace
{
    constexpr const bn::color frame_643_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_643_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(79, 115),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(78, 113),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(77, 111),
        horizontal_line(76, 111),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 110),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(75, 109),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 106),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 103),
        horizontal_line(73, 103),
        horizontal_line(73, 103),
        horizontal_line(73, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 97),
        horizontal_line(70, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 95),
        horizontal_line(69, 95),
        horizontal_line(68, 95),
        horizontal_line(68, 95),
        horizontal_line(68, 95),
        horizontal_line(68, 95),
        horizontal_line(68, 94),
        horizontal_line(68, 94),
        horizontal_line(68, 94),
        horizontal_line(68, 94),
        horizontal_line(68, 94),
        horizontal_line(68, 94),
        horizontal_line(68, 93),
        horizontal_line(67, 93),
        horizontal_line(67, 93),
        horizontal_line(67, 93),
        horizontal_line(67, 93),
        horizontal_line(67, 93),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 91),
        horizontal_line(66, 91),
        horizontal_line(66, 91),
        horizontal_line(66, 91),
        horizontal_line(66, 91),
        horizontal_line(66, 91),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(65, 89),
        horizontal_line(65, 89),
        horizontal_line(65, 89),
        horizontal_line(65, 89),
        horizontal_line(65, 89),
        horizontal_line(65, 89),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
    };

    constexpr const shape frame_643_shape_group_0_shapes[] = {
        shape(frame_643_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(128, 187),
        horizontal_line(128, 186),
        horizontal_line(128, 186),
        horizontal_line(129, 186),
        horizontal_line(129, 186),
        horizontal_line(130, 186),
        horizontal_line(135, 185),
        horizontal_line(140, 185),
        horizontal_line(146, 185),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(118, 128),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(115, 126),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_643_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(113, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(109, 115),
        horizontal_line(109, 114),
        horizontal_line(109, 114),
        horizontal_line(109, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 107),
        horizontal_line(106, 106),
        horizontal_line(122, 137),
        horizontal_line(105, 105),
        horizontal_line(121, 136),
        horizontal_line(120, 135),
        horizontal_line(120, 135),
        horizontal_line(119, 134),
        horizontal_line(119, 134),
        horizontal_line(118, 133),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(114, 130),
        horizontal_line(114, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(99, 99),
        horizontal_line(99, 102),
        horizontal_line(99, 105),
        horizontal_line(99, 126),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
        horizontal_line(97, 124),
        horizontal_line(97, 124),
        horizontal_line(97, 123),
        horizontal_line(96, 123),
        horizontal_line(96, 122),
        horizontal_line(103, 122),
        horizontal_line(109, 121),
        horizontal_line(116, 121),
        horizontal_line(142, 164),
        horizontal_line(141, 163),
        horizontal_line(141, 163),
        horizontal_line(141, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(138, 162),
        horizontal_line(138, 162),
        horizontal_line(138, 161),
        horizontal_line(92, 97),
        horizontal_line(92, 103),
        horizontal_line(92, 110),
        horizontal_line(91, 116),
        horizontal_line(91, 123),
        horizontal_line(91, 129),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_643_shape_group_1_shapes[] = {
        shape(frame_643_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_643_shape_group_1_shape_1_horizontal_lines, 9, 6),
        shape(frame_643_shape_group_1_shape_2_horizontal_lines, 59, 2),
        shape(frame_643_shape_group_1_shape_3_horizontal_lines, 60, 6),
        shape(frame_643_shape_group_1_shape_4_horizontal_lines, 62, 2),
        shape(frame_643_shape_group_1_shape_5_horizontal_lines, 63, 6),
        shape(frame_643_shape_group_1_shape_6_horizontal_lines, 64, 2),
    };

    constexpr const horizontal_line frame_643_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(151, 185),
        horizontal_line(156, 185),
        horizontal_line(162, 184),
        horizontal_line(167, 184),
        horizontal_line(172, 184),
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 183),
        horizontal_line(176, 183),
        horizontal_line(132, 133),
        horizontal_line(132, 135),
        horizontal_line(131, 137),
        horizontal_line(131, 140),
        horizontal_line(130, 142),
        horizontal_line(130, 144),
        horizontal_line(130, 147),
        horizontal_line(129, 149),
        horizontal_line(129, 151),
        horizontal_line(130, 153),
        horizontal_line(131, 156),
        horizontal_line(133, 158),
        horizontal_line(134, 160),
        horizontal_line(136, 163),
        horizontal_line(137, 162),
        horizontal_line(138, 162),
        horizontal_line(140, 161),
        horizontal_line(141, 161),
        horizontal_line(143, 160),
        horizontal_line(144, 160),
        horizontal_line(145, 159),
        horizontal_line(147, 159),
        horizontal_line(148, 158),
        horizontal_line(150, 158),
        horizontal_line(149, 158),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(134, 135),
        horizontal_line(130, 134),
        horizontal_line(126, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(119, 129),
        horizontal_line(140, 150),
        horizontal_line(117, 127),
        horizontal_line(116, 127),
        horizontal_line(138, 149),
        horizontal_line(114, 125),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(153, 170),
        horizontal_line(122, 136),
        horizontal_line(152, 170),
        horizontal_line(152, 170),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(149, 168),
        horizontal_line(149, 168),
        horizontal_line(149, 168),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(148, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 166),
        horizontal_line(110, 127),
        horizontal_line(110, 127),
        horizontal_line(109, 126),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 165),
        horizontal_line(144, 165),
        horizontal_line(144, 165),
        horizontal_line(144, 165),
        horizontal_line(144, 165),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(142, 164),
        horizontal_line(142, 164),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(137, 161),
        horizontal_line(137, 161),
        horizontal_line(137, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 160),
        horizontal_line(136, 160),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_643_shape_group_2_shapes[] = {
        shape(frame_643_shape_group_2_shape_0_horizontal_lines, 0, 2),
    };

    constexpr const horizontal_line frame_643_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(188, 208),
        horizontal_line(187, 207),
        horizontal_line(187, 207),
        horizontal_line(187, 207),
        horizontal_line(187, 207),
        horizontal_line(187, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
    };

    constexpr const horizontal_line frame_643_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(176, 183),
        horizontal_line(176, 183),
        horizontal_line(175, 183),
        horizontal_line(175, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(173, 182),
        horizontal_line(173, 181),
        horizontal_line(173, 181),
        horizontal_line(172, 181),
        horizontal_line(172, 181),
        horizontal_line(172, 181),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 178),
        horizontal_line(168, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 178),
        horizontal_line(166, 178),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(142, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(163, 176),
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(162, 175),
        horizontal_line(138, 149),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(159, 174),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(158, 173),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 170),
        horizontal_line(153, 170),
        horizontal_line(207, 239),
        horizontal_line(153, 170),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(146, 166),
        horizontal_line(146, 166),
        horizontal_line(146, 166),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 141),
        horizontal_line(122, 140),
        horizontal_line(123, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(125, 139),
        horizontal_line(126, 139),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(128, 138),
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
    };

    constexpr const horizontal_line frame_643_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
    };

    constexpr const shape frame_643_shape_group_3_shapes[] = {
        shape(frame_643_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_643_shape_group_3_shape_1_horizontal_lines, 9, 2),
        shape(frame_643_shape_group_3_shape_2_horizontal_lines, 126, 4),
        shape(frame_643_shape_group_3_shape_3_horizontal_lines, 139, 2),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(130, 139),
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(176, 176),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 176),
        horizontal_line(163, 176),
        horizontal_line(208, 239),
        horizontal_line(163, 176),
        horizontal_line(162, 175),
        horizontal_line(208, 239),
        horizontal_line(162, 175),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(106, 121),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(105, 120),
        horizontal_line(105, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(102, 110),
        horizontal_line(104, 110),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(127, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 143),
        horizontal_line(125, 143),
        horizontal_line(125, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(122, 141),
        horizontal_line(122, 141),
        horizontal_line(165, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 206),
        horizontal_line(163, 206),
        horizontal_line(163, 206),
        horizontal_line(163, 206),
        horizontal_line(163, 206),
        horizontal_line(163, 206),
        horizontal_line(163, 206),
        horizontal_line(162, 206),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(161, 206),
        horizontal_line(161, 206),
        horizontal_line(161, 206),
        horizontal_line(161, 206),
        horizontal_line(160, 206),
        horizontal_line(160, 206),
        horizontal_line(160, 206),
        horizontal_line(160, 206),
        horizontal_line(160, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
    };

    constexpr const shape frame_643_shape_group_4_shapes[] = {
        shape(frame_643_shape_group_4_shape_0_horizontal_lines, 6, 1),
        shape(frame_643_shape_group_4_shape_1_horizontal_lines, 9, 4),
        shape(frame_643_shape_group_4_shape_2_horizontal_lines, 19, 2),
        shape(frame_643_shape_group_4_shape_3_horizontal_lines, 90, 4),
        shape(frame_643_shape_group_4_shape_4_horizontal_lines, 91, 2),
        shape(frame_643_shape_group_4_shape_5_horizontal_lines, 92, 4),
        shape(frame_643_shape_group_4_shape_6_horizontal_lines, 111, 2),
        shape(frame_643_shape_group_4_shape_7_horizontal_lines, 114, 4),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 150),
        horizontal_line(130, 155),
        horizontal_line(130, 161),
        horizontal_line(131, 166),
        horizontal_line(131, 171),
        horizontal_line(131, 177),
        horizontal_line(131, 176),
        horizontal_line(131, 176),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(184, 207),
        horizontal_line(184, 207),
        horizontal_line(175, 175),
        horizontal_line(174, 175),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(166, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
        horizontal_line(162, 170),
        horizontal_line(162, 169),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 167),
        horizontal_line(147, 147),
        horizontal_line(145, 147),
        horizontal_line(143, 146),
        horizontal_line(141, 146),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(125, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(120, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(112, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 125),
        horizontal_line(110, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
        horizontal_line(108, 122),
        horizontal_line(107, 122),
        horizontal_line(138, 152),
        horizontal_line(106, 121),
        horizontal_line(137, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
        horizontal_line(135, 151),
        horizontal_line(135, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 149),
        horizontal_line(133, 149),
        horizontal_line(133, 149),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 146),
        horizontal_line(129, 146),
        horizontal_line(129, 146),
        horizontal_line(105, 109),
        horizontal_line(107, 109),
        horizontal_line(108, 108),
        horizontal_line(167, 206),
        horizontal_line(167, 206),
        horizontal_line(166, 206),
        horizontal_line(166, 206),
        horizontal_line(166, 206),
        horizontal_line(166, 206),
        horizontal_line(166, 206),
        horizontal_line(165, 206),
        horizontal_line(165, 206),
        horizontal_line(165, 206),
        horizontal_line(165, 206),
        horizontal_line(165, 206),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(95, 121),
        horizontal_line(95, 121),
        horizontal_line(94, 122),
        horizontal_line(94, 123),
        horizontal_line(94, 123),
        horizontal_line(94, 124),
        horizontal_line(93, 125),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(93, 127),
        horizontal_line(92, 128),
        horizontal_line(92, 129),
        horizontal_line(92, 129),
    };

    constexpr const horizontal_line frame_643_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(162, 206),
        horizontal_line(162, 206),
        horizontal_line(162, 206),
        horizontal_line(162, 206),
        horizontal_line(161, 206),
        horizontal_line(161, 206),
    };

    constexpr const shape frame_643_shape_group_5_shapes[] = {
        shape(frame_643_shape_group_5_shape_0_horizontal_lines, 9, 1),
        shape(frame_643_shape_group_5_shape_1_horizontal_lines, 17, 4),
        shape(frame_643_shape_group_5_shape_2_horizontal_lines, 50, 2),
        shape(frame_643_shape_group_5_shape_3_horizontal_lines, 59, 4),
        shape(frame_643_shape_group_5_shape_4_horizontal_lines, 60, 2),
        shape(frame_643_shape_group_5_shape_5_horizontal_lines, 62, 4),
        shape(frame_643_shape_group_5_shape_6_horizontal_lines, 63, 2),
        shape(frame_643_shape_group_5_shape_7_horizontal_lines, 64, 4),
        shape(frame_643_shape_group_5_shape_8_horizontal_lines, 126, 1),
        shape(frame_643_shape_group_5_shape_9_horizontal_lines, 139, 4),
    };

    constexpr const horizontal_line frame_643_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(131, 175),
        horizontal_line(132, 174),
    };

    constexpr const horizontal_line frame_643_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(184, 207),
        horizontal_line(184, 207),
        horizontal_line(184, 207),
        horizontal_line(183, 207),
        horizontal_line(183, 207),
        horizontal_line(183, 207),
        horizontal_line(183, 207),
        horizontal_line(183, 207),
        horizontal_line(183, 207),
        horizontal_line(182, 207),
        horizontal_line(182, 207),
        horizontal_line(182, 207),
        horizontal_line(182, 207),
        horizontal_line(182, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 207),
        horizontal_line(181, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 207),
        horizontal_line(180, 207),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 165),
        horizontal_line(136, 144),
        horizontal_line(135, 143),
        horizontal_line(134, 143),
        horizontal_line(119, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(129, 139),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(127, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 159),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(145, 158),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 157),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(138, 153),
        horizontal_line(138, 152),
        horizontal_line(171, 206),
        horizontal_line(137, 152),
        horizontal_line(171, 206),
        horizontal_line(171, 206),
        horizontal_line(170, 206),
        horizontal_line(170, 206),
        horizontal_line(170, 206),
        horizontal_line(170, 206),
        horizontal_line(170, 206),
        horizontal_line(169, 206),
        horizontal_line(169, 206),
        horizontal_line(169, 206),
        horizontal_line(169, 206),
        horizontal_line(169, 206),
        horizontal_line(169, 206),
        horizontal_line(168, 206),
        horizontal_line(168, 206),
        horizontal_line(168, 206),
        horizontal_line(168, 206),
        horizontal_line(168, 206),
        horizontal_line(167, 206),
        horizontal_line(128, 145),
        horizontal_line(128, 145),
        horizontal_line(127, 145),
    };

    constexpr const horizontal_line frame_643_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(96, 102),
        horizontal_line(96, 108),
        horizontal_line(95, 115),
    };

    constexpr const horizontal_line frame_643_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(98, 130),
        horizontal_line(104, 131),
        horizontal_line(111, 132),
        horizontal_line(117, 132),
        horizontal_line(124, 133),
        horizontal_line(130, 134),
    };

    constexpr const shape frame_643_shape_group_6_shapes[] = {
        shape(frame_643_shape_group_6_shape_0_horizontal_lines, 17, 1),
        shape(frame_643_shape_group_6_shape_1_horizontal_lines, 19, 4),
        shape(frame_643_shape_group_6_shape_2_horizontal_lines, 123, 1),
        shape(frame_643_shape_group_6_shape_3_horizontal_lines, 139, 1),
    };

    constexpr const horizontal_line frame_643_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(134, 174),
        horizontal_line(136, 173),
        horizontal_line(138, 172),
        horizontal_line(141, 171),
        horizontal_line(143, 171),
        horizontal_line(145, 170),
        horizontal_line(148, 169),
        horizontal_line(150, 168),
        horizontal_line(152, 167),
        horizontal_line(129, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 135),
        horizontal_line(126, 136),
        horizontal_line(126, 137),
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(125, 142),
        horizontal_line(126, 143),
        horizontal_line(127, 144),
        horizontal_line(128, 146),
        horizontal_line(129, 147),
        horizontal_line(130, 149),
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_643_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(155, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 164),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(151, 162),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(149, 160),
        horizontal_line(176, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(175, 207),
        horizontal_line(174, 207),
        horizontal_line(174, 207),
        horizontal_line(174, 207),
        horizontal_line(174, 207),
        horizontal_line(174, 207),
        horizontal_line(173, 207),
        horizontal_line(173, 207),
        horizontal_line(173, 207),
        horizontal_line(173, 206),
        horizontal_line(173, 206),
        horizontal_line(173, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 206),
        horizontal_line(171, 206),
        horizontal_line(171, 206),
    };

    constexpr const horizontal_line frame_643_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(171, 206),
    };

    constexpr const horizontal_line frame_643_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(100, 101),
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_643_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(167, 206),
        horizontal_line(167, 206),
        horizontal_line(167, 206),
    };

    constexpr const shape frame_643_shape_group_7_shapes[] = {
        shape(frame_643_shape_group_7_shape_0_horizontal_lines, 19, 1),
        shape(frame_643_shape_group_7_shape_1_horizontal_lines, 44, 4),
        shape(frame_643_shape_group_7_shape_2_horizontal_lines, 91, 4),
        shape(frame_643_shape_group_7_shape_3_horizontal_lines, 108, 1),
        shape(frame_643_shape_group_7_shape_4_horizontal_lines, 111, 4),
    };

    constexpr const horizontal_line frame_643_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(154, 167),
        horizontal_line(157, 166),
        horizontal_line(159, 165),
        horizontal_line(161, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_643_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(122, 129),
        horizontal_line(122, 130),
    };

    constexpr const horizontal_line frame_643_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(132, 146),
        horizontal_line(133, 144),
        horizontal_line(134, 142),
        horizontal_line(120, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_643_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(153, 163),
        horizontal_line(153, 163),
        horizontal_line(152, 163),
        horizontal_line(152, 162),
        horizontal_line(177, 207),
        horizontal_line(151, 162),
        horizontal_line(151, 161),
        horizontal_line(176, 207),
        horizontal_line(176, 207),
        horizontal_line(176, 207),
    };

    constexpr const horizontal_line frame_643_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(100, 104),
        horizontal_line(103, 106),
        horizontal_line(106, 107),
    };

    constexpr const shape frame_643_shape_group_8_shapes[] = {
        shape(frame_643_shape_group_8_shape_0_horizontal_lines, 28, 1),
        shape(frame_643_shape_group_8_shape_1_horizontal_lines, 38, 5),
        shape(frame_643_shape_group_8_shape_2_horizontal_lines, 44, 1),
        shape(frame_643_shape_group_8_shape_3_horizontal_lines, 50, 4),
        shape(frame_643_shape_group_8_shape_4_horizontal_lines, 111, 1),
    };

    constexpr const horizontal_line frame_643_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 131),
        horizontal_line(121, 132),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_643_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(136, 138),
        horizontal_line(137, 137),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_643_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(177, 207),
        horizontal_line(177, 207),
        horizontal_line(177, 207),
        horizontal_line(177, 207),
    };

    constexpr const horizontal_line frame_643_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(177, 207),
        horizontal_line(176, 207),
    };

    constexpr const shape frame_643_shape_group_9_shapes[] = {
        shape(frame_643_shape_group_9_shape_0_horizontal_lines, 44, 5),
        shape(frame_643_shape_group_9_shape_1_horizontal_lines, 47, 1),
        shape(frame_643_shape_group_9_shape_2_horizontal_lines, 53, 4),
        shape(frame_643_shape_group_9_shape_3_horizontal_lines, 60, 4),
    };

    constexpr const horizontal_line frame_643_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(121, 134),
        horizontal_line(121, 135),
        horizontal_line(122, 136),
        horizontal_line(123, 133),
        horizontal_line(124, 129),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_643_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const shape frame_643_shape_group_10_shapes[] = {
        shape(frame_643_shape_group_10_shape_0_horizontal_lines, 47, 5),
        shape(frame_643_shape_group_10_shape_1_horizontal_lines, 53, 1),
    };

    constexpr const shape_group frame_643_shape_groups[] = {
        shape_group(frame_643_shape_group_0_shapes),
        shape_group(frame_643_shape_group_1_shapes),
        shape_group(frame_643_shape_group_2_shapes),
        shape_group(frame_643_shape_group_3_shapes),
        shape_group(frame_643_shape_group_4_shapes),
        shape_group(frame_643_shape_group_5_shapes),
        shape_group(frame_643_shape_group_6_shapes),
        shape_group(frame_643_shape_group_7_shapes),
        shape_group(frame_643_shape_group_8_shapes),
        shape_group(frame_643_shape_group_9_shapes),
        shape_group(frame_643_shape_group_10_shapes),
    };

    constexpr const frame frame_643_impl(frame_643_colors, frame_643_shape_groups);
} 

const frame& frame_643()
{
    return frame_643_impl;
}

namespace
{
    constexpr const bn::color frame_644_colors[] = {
        bn::color(16, 20, 16),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(0, 0, 0),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_644_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(69, 112),
        horizontal_line(68, 111),
        horizontal_line(68, 111),
        horizontal_line(68, 111),
        horizontal_line(68, 111),
        horizontal_line(68, 111),
        horizontal_line(68, 110),
        horizontal_line(68, 110),
        horizontal_line(68, 110),
        horizontal_line(68, 110),
        horizontal_line(67, 110),
        horizontal_line(67, 110),
        horizontal_line(67, 109),
        horizontal_line(67, 109),
        horizontal_line(67, 109),
        horizontal_line(67, 109),
        horizontal_line(67, 109),
        horizontal_line(67, 109),
        horizontal_line(67, 108),
        horizontal_line(67, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 108),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(66, 107),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 106),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(64, 105),
        horizontal_line(64, 105),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 102),
        horizontal_line(63, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(61, 100),
        horizontal_line(61, 99),
        horizontal_line(61, 99),
        horizontal_line(61, 99),
        horizontal_line(61, 99),
        horizontal_line(61, 99),
        horizontal_line(61, 99),
        horizontal_line(61, 98),
        horizontal_line(61, 98),
        horizontal_line(61, 98),
        horizontal_line(60, 98),
        horizontal_line(60, 98),
        horizontal_line(60, 98),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 95),
        horizontal_line(59, 95),
        horizontal_line(59, 95),
        horizontal_line(59, 95),
        horizontal_line(59, 95),
        horizontal_line(58, 95),
        horizontal_line(58, 94),
        horizontal_line(58, 94),
        horizontal_line(58, 94),
        horizontal_line(58, 94),
        horizontal_line(58, 94),
        horizontal_line(58, 94),
        horizontal_line(58, 93),
        horizontal_line(58, 93),
        horizontal_line(58, 93),
        horizontal_line(57, 93),
        horizontal_line(57, 93),
        horizontal_line(57, 92),
        horizontal_line(57, 92),
        horizontal_line(57, 92),
        horizontal_line(57, 92),
        horizontal_line(57, 92),
        horizontal_line(57, 92),
        horizontal_line(57, 91),
        horizontal_line(57, 91),
        horizontal_line(56, 91),
        horizontal_line(56, 91),
        horizontal_line(56, 91),
        horizontal_line(56, 91),
        horizontal_line(56, 90),
        horizontal_line(56, 90),
        horizontal_line(56, 90),
        horizontal_line(56, 90),
        horizontal_line(56, 90),
        horizontal_line(56, 90),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 88),
        horizontal_line(55, 88),
        horizontal_line(55, 88),
        horizontal_line(55, 88),
        horizontal_line(54, 88),
        horizontal_line(54, 88),
        horizontal_line(54, 87),
        horizontal_line(54, 87),
        horizontal_line(54, 87),
        horizontal_line(54, 87),
        horizontal_line(54, 87),
        horizontal_line(54, 87),
        horizontal_line(54, 86),
        horizontal_line(54, 86),
        horizontal_line(53, 86),
        horizontal_line(53, 86),
        horizontal_line(53, 86),
        horizontal_line(53, 86),
        horizontal_line(53, 85),
        horizontal_line(53, 85),
        horizontal_line(53, 85),
        horizontal_line(53, 85),
        horizontal_line(53, 85),
        horizontal_line(53, 85),
    };

    constexpr const shape frame_644_shape_group_0_shapes[] = {
        shape(frame_644_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_644_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(129, 189),
        horizontal_line(129, 188),
        horizontal_line(130, 188),
        horizontal_line(136, 188),
        horizontal_line(142, 188),
        horizontal_line(149, 188),
    };

    constexpr const horizontal_line frame_644_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 125),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_644_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(117, 128),
    };

    constexpr const horizontal_line frame_644_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_644_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 123),
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(111, 121),
        horizontal_line(111, 120),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 118),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 113),
        horizontal_line(107, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 106),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
        horizontal_line(104, 104),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(119, 135),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
        horizontal_line(113, 131),
        horizontal_line(113, 130),
        horizontal_line(112, 130),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 129),
        horizontal_line(99, 102),
        horizontal_line(99, 105),
        horizontal_line(98, 127),
        horizontal_line(98, 127),
        horizontal_line(98, 126),
        horizontal_line(97, 126),
        horizontal_line(97, 125),
        horizontal_line(97, 125),
        horizontal_line(97, 125),
        horizontal_line(96, 124),
        horizontal_line(96, 124),
        horizontal_line(100, 123),
        horizontal_line(106, 123),
        horizontal_line(112, 122),
        horizontal_line(118, 122),
        horizontal_line(143, 166),
        horizontal_line(143, 166),
        horizontal_line(143, 166),
        horizontal_line(142, 165),
        horizontal_line(142, 165),
        horizontal_line(142, 165),
        horizontal_line(141, 165),
        horizontal_line(141, 165),
        horizontal_line(141, 165),
        horizontal_line(140, 164),
        horizontal_line(140, 164),
        horizontal_line(140, 164),
        horizontal_line(139, 164),
        horizontal_line(139, 164),
        horizontal_line(90, 90),
        horizontal_line(89, 96),
        horizontal_line(89, 103),
        horizontal_line(89, 110),
        horizontal_line(89, 116),
        horizontal_line(88, 123),
        horizontal_line(88, 130),
        horizontal_line(88, 150),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(87, 149),
        horizontal_line(87, 149),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
    };

    constexpr const shape frame_644_shape_group_1_shapes[] = {
        shape(frame_644_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_644_shape_group_1_shape_1_horizontal_lines, 6, 6),
        shape(frame_644_shape_group_1_shape_2_horizontal_lines, 61, 2),
        shape(frame_644_shape_group_1_shape_3_horizontal_lines, 62, 6),
        shape(frame_644_shape_group_1_shape_4_horizontal_lines, 64, 2),
    };

    constexpr const horizontal_line frame_644_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(155, 187),
        horizontal_line(161, 187),
        horizontal_line(168, 187),
        horizontal_line(174, 187),
        horizontal_line(181, 187),
        horizontal_line(180, 187),
        horizontal_line(180, 186),
        horizontal_line(180, 186),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(133, 134),
        horizontal_line(133, 136),
        horizontal_line(132, 139),
        horizontal_line(132, 141),
        horizontal_line(131, 143),
        horizontal_line(131, 146),
        horizontal_line(131, 148),
        horizontal_line(130, 150),
        horizontal_line(130, 153),
        horizontal_line(130, 155),
        horizontal_line(131, 157),
        horizontal_line(132, 160),
        horizontal_line(134, 162),
        horizontal_line(135, 165),
        horizontal_line(136, 164),
        horizontal_line(138, 164),
        horizontal_line(139, 163),
        horizontal_line(141, 163),
        horizontal_line(142, 162),
        horizontal_line(143, 162),
        horizontal_line(145, 161),
        horizontal_line(146, 161),
        horizontal_line(147, 161),
        horizontal_line(149, 160),
        horizontal_line(150, 160),
        horizontal_line(152, 159),
        horizontal_line(151, 159),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(148, 157),
        horizontal_line(136, 137),
        horizontal_line(133, 136),
        horizontal_line(130, 135),
        horizontal_line(127, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(140, 151),
        horizontal_line(116, 127),
        horizontal_line(115, 127),
        horizontal_line(139, 150),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 136),
        horizontal_line(154, 172),
        horizontal_line(153, 172),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 170),
        horizontal_line(151, 170),
        horizontal_line(150, 170),
        horizontal_line(150, 170),
        horizontal_line(150, 170),
        horizontal_line(149, 169),
        horizontal_line(149, 169),
        horizontal_line(149, 169),
        horizontal_line(149, 169),
        horizontal_line(148, 169),
        horizontal_line(110, 128),
        horizontal_line(109, 128),
        horizontal_line(147, 168),
        horizontal_line(147, 168),
        horizontal_line(147, 168),
        horizontal_line(146, 168),
        horizontal_line(146, 168),
        horizontal_line(146, 167),
        horizontal_line(145, 167),
        horizontal_line(145, 167),
        horizontal_line(145, 167),
        horizontal_line(144, 167),
        horizontal_line(144, 166),
        horizontal_line(144, 166),
        horizontal_line(143, 166),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(139, 163),
        horizontal_line(138, 163),
        horizontal_line(138, 163),
        horizontal_line(138, 163),
        horizontal_line(137, 163),
        horizontal_line(137, 163),
        horizontal_line(137, 162),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_644_shape_group_2_shapes[] = {
        shape(frame_644_shape_group_2_shape_0_horizontal_lines, 0, 2),
    };

    constexpr const horizontal_line frame_644_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(190, 218),
        horizontal_line(189, 217),
        horizontal_line(189, 217),
        horizontal_line(189, 217),
        horizontal_line(189, 217),
        horizontal_line(189, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(178, 186),
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(177, 185),
        horizontal_line(177, 185),
        horizontal_line(177, 185),
        horizontal_line(176, 184),
        horizontal_line(176, 184),
        horizontal_line(176, 184),
        horizontal_line(175, 184),
        horizontal_line(175, 184),
        horizontal_line(175, 184),
        horizontal_line(174, 183),
        horizontal_line(174, 183),
        horizontal_line(174, 183),
        horizontal_line(174, 183),
        horizontal_line(173, 183),
        horizontal_line(173, 183),
        horizontal_line(173, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(169, 181),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
        horizontal_line(168, 180),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(164, 178),
        horizontal_line(140, 150),
        horizontal_line(139, 150),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 176),
        horizontal_line(162, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(160, 175),
        horizontal_line(160, 175),
        horizontal_line(160, 175),
        horizontal_line(159, 175),
        horizontal_line(159, 175),
        horizontal_line(159, 175),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(154, 172),
        horizontal_line(154, 172),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(148, 169),
        horizontal_line(148, 168),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_644_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 141),
        horizontal_line(125, 141),
        horizontal_line(126, 141),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(128, 140),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(130, 139),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_644_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 162),
        horizontal_line(149, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
    };

    constexpr const shape frame_644_shape_group_3_shapes[] = {
        shape(frame_644_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_644_shape_group_3_shape_1_horizontal_lines, 6, 2),
        shape(frame_644_shape_group_3_shape_2_horizontal_lines, 128, 4),
        shape(frame_644_shape_group_3_shape_3_horizontal_lines, 142, 2),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 135),
        horizontal_line(130, 141),
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(188, 217),
        horizontal_line(188, 217),
        horizontal_line(188, 217),
        horizontal_line(188, 217),
        horizontal_line(188, 217),
        horizontal_line(188, 217),
        horizontal_line(187, 217),
        horizontal_line(179, 179),
        horizontal_line(187, 217),
        horizontal_line(178, 178),
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(168, 180),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(166, 179),
        horizontal_line(166, 179),
        horizontal_line(166, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 178),
        horizontal_line(218, 239),
        horizontal_line(164, 178),
        horizontal_line(164, 177),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(100, 112),
        horizontal_line(102, 111),
        horizontal_line(103, 110),
        horizontal_line(104, 110),
        horizontal_line(106, 109),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_644_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(127, 146),
        horizontal_line(127, 145),
        horizontal_line(126, 145),
        horizontal_line(126, 145),
        horizontal_line(126, 144),
        horizontal_line(125, 144),
        horizontal_line(125, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(123, 143),
        horizontal_line(123, 142),
        horizontal_line(167, 217),
        horizontal_line(167, 217),
        horizontal_line(167, 217),
        horizontal_line(166, 217),
        horizontal_line(166, 217),
        horizontal_line(166, 217),
        horizontal_line(166, 217),
        horizontal_line(166, 217),
        horizontal_line(166, 217),
        horizontal_line(165, 217),
        horizontal_line(165, 217),
        horizontal_line(165, 217),
        horizontal_line(165, 217),
        horizontal_line(165, 217),
        horizontal_line(132, 138),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
        horizontal_line(163, 217),
        horizontal_line(163, 217),
        horizontal_line(163, 217),
        horizontal_line(163, 217),
        horizontal_line(163, 217),
        horizontal_line(162, 217),
        horizontal_line(162, 217),
        horizontal_line(162, 217),
        horizontal_line(162, 217),
        horizontal_line(162, 217),
        horizontal_line(162, 217),
    };

    constexpr const shape frame_644_shape_group_4_shapes[] = {
        shape(frame_644_shape_group_4_shape_0_horizontal_lines, 3, 1),
        shape(frame_644_shape_group_4_shape_1_horizontal_lines, 6, 4),
        shape(frame_644_shape_group_4_shape_2_horizontal_lines, 17, 2),
        shape(frame_644_shape_group_4_shape_3_horizontal_lines, 95, 4),
        shape(frame_644_shape_group_4_shape_4_horizontal_lines, 113, 2),
        shape(frame_644_shape_group_4_shape_5_horizontal_lines, 115, 4),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 154),
        horizontal_line(131, 160),
        horizontal_line(131, 167),
        horizontal_line(131, 173),
        horizontal_line(131, 180),
        horizontal_line(131, 179),
        horizontal_line(132, 179),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(187, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(132, 178),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(187, 217),
        horizontal_line(187, 217),
        horizontal_line(176, 177),
        horizontal_line(176, 177),
        horizontal_line(175, 177),
        horizontal_line(174, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(170, 174),
        horizontal_line(169, 174),
        horizontal_line(168, 174),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 170),
        horizontal_line(160, 169),
        horizontal_line(150, 150),
        horizontal_line(148, 149),
        horizontal_line(146, 149),
        horizontal_line(144, 148),
        horizontal_line(142, 148),
        horizontal_line(140, 147),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 112),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(112, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 123),
        horizontal_line(108, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(106, 120),
        horizontal_line(105, 120),
        horizontal_line(137, 153),
        horizontal_line(137, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(135, 151),
        horizontal_line(135, 151),
        horizontal_line(134, 151),
        horizontal_line(134, 150),
        horizontal_line(133, 150),
        horizontal_line(133, 150),
        horizontal_line(133, 149),
        horizontal_line(132, 149),
        horizontal_line(132, 149),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 147),
        horizontal_line(107, 109),
        horizontal_line(108, 108),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(168, 217),
        horizontal_line(168, 217),
        horizontal_line(168, 217),
        horizontal_line(168, 217),
        horizontal_line(168, 217),
        horizontal_line(167, 217),
        horizontal_line(167, 217),
        horizontal_line(167, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(95, 122),
        horizontal_line(94, 122),
        horizontal_line(94, 123),
        horizontal_line(94, 124),
        horizontal_line(93, 124),
        horizontal_line(93, 125),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(92, 127),
        horizontal_line(92, 128),
        horizontal_line(92, 128),
        horizontal_line(91, 129),
        horizontal_line(91, 130),
        horizontal_line(91, 130),
    };

    constexpr const horizontal_line frame_644_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(164, 217),
        horizontal_line(164, 217),
        horizontal_line(164, 217),
        horizontal_line(164, 217),
        horizontal_line(164, 217),
        horizontal_line(164, 217),
        horizontal_line(163, 217),
    };

    constexpr const shape frame_644_shape_group_5_shapes[] = {
        shape(frame_644_shape_group_5_shape_0_horizontal_lines, 6, 1),
        shape(frame_644_shape_group_5_shape_1_horizontal_lines, 13, 4),
        shape(frame_644_shape_group_5_shape_2_horizontal_lines, 14, 1),
        shape(frame_644_shape_group_5_shape_3_horizontal_lines, 15, 4),
        shape(frame_644_shape_group_5_shape_4_horizontal_lines, 49, 2),
        shape(frame_644_shape_group_5_shape_5_horizontal_lines, 61, 4),
        shape(frame_644_shape_group_5_shape_6_horizontal_lines, 62, 2),
        shape(frame_644_shape_group_5_shape_7_horizontal_lines, 64, 4),
        shape(frame_644_shape_group_5_shape_8_horizontal_lines, 128, 1),
        shape(frame_644_shape_group_5_shape_9_horizontal_lines, 142, 4),
    };

    constexpr const horizontal_line frame_644_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(132, 178),
    };

    constexpr const horizontal_line frame_644_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(132, 177),
        horizontal_line(133, 176),
    };

    constexpr const horizontal_line frame_644_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(187, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 217),
        horizontal_line(184, 217),
        horizontal_line(184, 217),
        horizontal_line(184, 217),
        horizontal_line(184, 217),
        horizontal_line(184, 217),
        horizontal_line(184, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(182, 217),
        horizontal_line(182, 217),
        horizontal_line(182, 217),
        horizontal_line(160, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 167),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(120, 124),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(129, 139),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(127, 138),
        horizontal_line(126, 137),
        horizontal_line(125, 136),
        horizontal_line(149, 161),
        horizontal_line(149, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 155),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(140, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 153),
        horizontal_line(137, 153),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(172, 217),
        horizontal_line(172, 217),
        horizontal_line(172, 217),
        horizontal_line(172, 217),
        horizontal_line(172, 217),
        horizontal_line(172, 217),
        horizontal_line(171, 217),
        horizontal_line(171, 217),
        horizontal_line(171, 217),
        horizontal_line(171, 217),
        horizontal_line(171, 217),
        horizontal_line(170, 217),
        horizontal_line(170, 217),
        horizontal_line(170, 217),
        horizontal_line(170, 217),
        horizontal_line(170, 217),
        horizontal_line(129, 147),
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_644_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(95, 105),
        horizontal_line(95, 111),
        horizontal_line(95, 117),
    };

    constexpr const horizontal_line frame_644_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(91, 131),
        horizontal_line(97, 132),
        horizontal_line(104, 132),
        horizontal_line(111, 133),
        horizontal_line(117, 134),
        horizontal_line(124, 134),
        horizontal_line(131, 135),
    };

    constexpr const shape frame_644_shape_group_6_shapes[] = {
        shape(frame_644_shape_group_6_shape_0_horizontal_lines, 13, 1),
        shape(frame_644_shape_group_6_shape_1_horizontal_lines, 15, 1),
        shape(frame_644_shape_group_6_shape_2_horizontal_lines, 17, 4),
        shape(frame_644_shape_group_6_shape_3_horizontal_lines, 124, 1),
        shape(frame_644_shape_group_6_shape_4_horizontal_lines, 142, 1),
    };

    constexpr const horizontal_line frame_644_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(135, 175),
        horizontal_line(137, 175),
        horizontal_line(140, 174),
        horizontal_line(142, 173),
        horizontal_line(144, 172),
        horizontal_line(147, 172),
        horizontal_line(149, 171),
        horizontal_line(151, 170),
        horizontal_line(154, 169),
        horizontal_line(156, 169),
        horizontal_line(130, 130),
        horizontal_line(129, 131),
        horizontal_line(129, 133),
        horizontal_line(128, 134),
        horizontal_line(128, 135),
        horizontal_line(127, 137),
        horizontal_line(126, 138),
        horizontal_line(126, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(128, 144),
        horizontal_line(129, 145),
        horizontal_line(130, 146),
        horizontal_line(131, 148),
        horizontal_line(132, 149),
        horizontal_line(133, 151),
    };

    constexpr const horizontal_line frame_644_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(182, 217),
        horizontal_line(182, 217),
        horizontal_line(182, 217),
        horizontal_line(181, 217),
        horizontal_line(181, 217),
        horizontal_line(181, 217),
        horizontal_line(157, 167),
        horizontal_line(157, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 166),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(152, 163),
        horizontal_line(128, 139),
        horizontal_line(128, 138),
        horizontal_line(151, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(177, 217),
        horizontal_line(177, 217),
        horizontal_line(177, 217),
        horizontal_line(177, 217),
        horizontal_line(177, 217),
        horizontal_line(176, 217),
        horizontal_line(176, 217),
        horizontal_line(176, 217),
        horizontal_line(176, 217),
        horizontal_line(176, 217),
        horizontal_line(176, 217),
        horizontal_line(175, 217),
        horizontal_line(175, 217),
        horizontal_line(175, 217),
        horizontal_line(175, 217),
        horizontal_line(175, 217),
        horizontal_line(175, 217),
        horizontal_line(174, 217),
        horizontal_line(174, 217),
        horizontal_line(174, 217),
        horizontal_line(174, 217),
        horizontal_line(174, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
        horizontal_line(173, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(100, 101),
        horizontal_line(100, 102),
        horizontal_line(99, 103),
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_644_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 217),
        horizontal_line(169, 217),
    };

    constexpr const shape frame_644_shape_group_7_shapes[] = {
        shape(frame_644_shape_group_7_shape_0_horizontal_lines, 17, 1),
        shape(frame_644_shape_group_7_shape_1_horizontal_lines, 43, 4),
        shape(frame_644_shape_group_7_shape_2_horizontal_lines, 109, 1),
        shape(frame_644_shape_group_7_shape_3_horizontal_lines, 113, 4),
    };

    constexpr const horizontal_line frame_644_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(158, 168),
        horizontal_line(161, 167),
        horizontal_line(163, 166),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_644_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 131),
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_644_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(135, 147),
        horizontal_line(136, 145),
        horizontal_line(137, 143),
        horizontal_line(120, 121),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_644_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(181, 217),
        horizontal_line(181, 217),
        horizontal_line(181, 217),
        horizontal_line(180, 217),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(153, 164),
        horizontal_line(153, 164),
        horizontal_line(152, 164),
        horizontal_line(179, 217),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(103, 106),
        horizontal_line(106, 107),
    };

    constexpr const shape frame_644_shape_group_8_shapes[] = {
        shape(frame_644_shape_group_8_shape_0_horizontal_lines, 27, 1),
        shape(frame_644_shape_group_8_shape_1_horizontal_lines, 35, 5),
        shape(frame_644_shape_group_8_shape_2_horizontal_lines, 43, 1),
        shape(frame_644_shape_group_8_shape_3_horizontal_lines, 49, 4),
        shape(frame_644_shape_group_8_shape_4_horizontal_lines, 113, 1),
    };

    constexpr const horizontal_line frame_644_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(121, 135),
        horizontal_line(121, 136),
    };

    constexpr const horizontal_line frame_644_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(139, 139),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_644_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(180, 217),
        horizontal_line(180, 217),
        horizontal_line(180, 217),
        horizontal_line(180, 217),
        horizontal_line(179, 217),
        horizontal_line(179, 217),
        horizontal_line(179, 217),
        horizontal_line(179, 217),
    };

    constexpr const horizontal_line frame_644_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(179, 217),
        horizontal_line(178, 217),
    };

    constexpr const shape frame_644_shape_group_9_shapes[] = {
        shape(frame_644_shape_group_9_shape_0_horizontal_lines, 43, 5),
        shape(frame_644_shape_group_9_shape_1_horizontal_lines, 47, 1),
        shape(frame_644_shape_group_9_shape_2_horizontal_lines, 53, 4),
        shape(frame_644_shape_group_9_shape_3_horizontal_lines, 62, 4),
    };

    constexpr const horizontal_line frame_644_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(123, 138),
        horizontal_line(123, 135),
        horizontal_line(124, 132),
        horizontal_line(125, 129),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_644_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const shape frame_644_shape_group_10_shapes[] = {
        shape(frame_644_shape_group_10_shape_0_horizontal_lines, 47, 5),
        shape(frame_644_shape_group_10_shape_1_horizontal_lines, 53, 1),
    };

    constexpr const shape_group frame_644_shape_groups[] = {
        shape_group(frame_644_shape_group_0_shapes),
        shape_group(frame_644_shape_group_1_shapes),
        shape_group(frame_644_shape_group_2_shapes),
        shape_group(frame_644_shape_group_3_shapes),
        shape_group(frame_644_shape_group_4_shapes),
        shape_group(frame_644_shape_group_5_shapes),
        shape_group(frame_644_shape_group_6_shapes),
        shape_group(frame_644_shape_group_7_shapes),
        shape_group(frame_644_shape_group_8_shapes),
        shape_group(frame_644_shape_group_9_shapes),
        shape_group(frame_644_shape_group_10_shapes),
    };

    constexpr const frame frame_644_impl(frame_644_colors, frame_644_shape_groups);
} 

const frame& frame_644()
{
    return frame_644_impl;
}

namespace
{
    constexpr const bn::color frame_645_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_645_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
    };

    constexpr const shape frame_645_shape_group_0_shapes[] = {
        shape(frame_645_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_645_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(110, 129),
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(108, 127),
        horizontal_line(108, 127),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 120),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 112),
        horizontal_line(100, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 110),
        horizontal_line(98, 110),
        horizontal_line(98, 110),
        horizontal_line(98, 110),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(93, 102),
        horizontal_line(93, 101),
        horizontal_line(93, 101),
        horizontal_line(93, 101),
        horizontal_line(93, 101),
        horizontal_line(93, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 97),
        horizontal_line(91, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 96),
        horizontal_line(90, 96),
        horizontal_line(90, 96),
        horizontal_line(90, 95),
        horizontal_line(89, 95),
        horizontal_line(89, 95),
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(85, 88),
        horizontal_line(85, 88),
        horizontal_line(85, 88),
        horizontal_line(85, 87),
        horizontal_line(85, 86),
        horizontal_line(85, 86),
        horizontal_line(84, 86),
        horizontal_line(84, 85),
        horizontal_line(84, 85),
        horizontal_line(84, 85),
        horizontal_line(84, 85),
        horizontal_line(84, 84),
        horizontal_line(83, 84),
        horizontal_line(83, 84),
        horizontal_line(83, 83),
        horizontal_line(83, 83),
        horizontal_line(83, 83),
        horizontal_line(83, 83),
    };

    constexpr const shape frame_645_shape_group_1_shapes[] = {
        shape(frame_645_shape_group_1_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(55, 109),
        horizontal_line(54, 108),
        horizontal_line(54, 108),
        horizontal_line(54, 108),
        horizontal_line(54, 108),
        horizontal_line(54, 108),
        horizontal_line(54, 107),
        horizontal_line(54, 107),
        horizontal_line(54, 107),
        horizontal_line(54, 107),
        horizontal_line(53, 107),
        horizontal_line(53, 107),
        horizontal_line(53, 106),
        horizontal_line(53, 106),
        horizontal_line(53, 106),
        horizontal_line(53, 106),
        horizontal_line(53, 106),
        horizontal_line(53, 106),
        horizontal_line(53, 105),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(52, 105),
        horizontal_line(52, 105),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(51, 103),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_645_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(51, 102),
        horizontal_line(50, 102),
        horizontal_line(50, 102),
        horizontal_line(50, 102),
        horizontal_line(50, 102),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 99),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(46, 96),
        horizontal_line(46, 96),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(44, 91),
        horizontal_line(44, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 90),
        horizontal_line(43, 90),
        horizontal_line(43, 90),
        horizontal_line(43, 90),
        horizontal_line(43, 90),
        horizontal_line(43, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 89),
        horizontal_line(42, 88),
        horizontal_line(42, 88),
        horizontal_line(42, 88),
        horizontal_line(42, 88),
        horizontal_line(41, 88),
        horizontal_line(41, 88),
        horizontal_line(41, 87),
        horizontal_line(41, 87),
        horizontal_line(41, 87),
        horizontal_line(41, 87),
        horizontal_line(41, 87),
        horizontal_line(41, 87),
        horizontal_line(41, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 85),
        horizontal_line(40, 85),
        horizontal_line(40, 85),
        horizontal_line(40, 85),
        horizontal_line(40, 85),
        horizontal_line(39, 85),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 83),
        horizontal_line(39, 83),
        horizontal_line(38, 83),
        horizontal_line(38, 83),
        horizontal_line(38, 83),
        horizontal_line(38, 83),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
    };

    constexpr const shape frame_645_shape_group_2_shapes[] = {
        shape(frame_645_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_645_shape_group_2_shape_1_horizontal_lines, 19, 7),
        shape(frame_645_shape_group_2_shape_2_horizontal_lines, 20, 6),
        shape(frame_645_shape_group_2_shape_3_horizontal_lines, 22, 7),
        shape(frame_645_shape_group_2_shape_4_horizontal_lines, 35, 6),
        shape(frame_645_shape_group_2_shape_5_horizontal_lines, 36, 7),
        shape(frame_645_shape_group_2_shape_6_horizontal_lines, 37, 6),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 131),
        horizontal_line(124, 131),
        horizontal_line(52, 105),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(52, 105),
        horizontal_line(52, 105),
        horizontal_line(52, 104),
        horizontal_line(52, 104),
        horizontal_line(52, 104),
        horizontal_line(52, 104),
        horizontal_line(52, 104),
        horizontal_line(51, 104),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(120, 124),
        horizontal_line(51, 102),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(112, 124),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(109, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(107, 116),
        horizontal_line(107, 115),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 110),
        horizontal_line(105, 109),
        horizontal_line(105, 109),
        horizontal_line(104, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 104),
        horizontal_line(103, 104),
        horizontal_line(102, 103),
        horizontal_line(102, 102),
        horizontal_line(120, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 132),
        horizontal_line(114, 132),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 100),
        horizontal_line(98, 101),
        horizontal_line(98, 102),
        horizontal_line(98, 103),
        horizontal_line(98, 104),
        horizontal_line(101, 105),
        horizontal_line(104, 106),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(96, 127),
        horizontal_line(96, 127),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(94, 124),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(94, 97),
        horizontal_line(94, 102),
        horizontal_line(94, 107),
        horizontal_line(93, 112),
        horizontal_line(93, 117),
        horizontal_line(93, 122),
        horizontal_line(92, 122),
        horizontal_line(92, 123),
        horizontal_line(92, 123),
        horizontal_line(92, 124),
        horizontal_line(91, 125),
        horizontal_line(91, 125),
        horizontal_line(91, 126),
        horizontal_line(90, 126),
        horizontal_line(90, 127),
        horizontal_line(90, 128),
        horizontal_line(90, 128),
        horizontal_line(89, 129),
        horizontal_line(89, 129),
        horizontal_line(89, 130),
        horizontal_line(89, 131),
        horizontal_line(95, 131),
        horizontal_line(101, 132),
        horizontal_line(107, 132),
        horizontal_line(113, 133),
        horizontal_line(119, 134),
        horizontal_line(125, 134),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_645_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(85, 147),
        horizontal_line(85, 147),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(84, 146),
        horizontal_line(84, 146),
        horizontal_line(84, 146),
    };

    constexpr const shape frame_645_shape_group_3_shapes[] = {
        shape(frame_645_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_645_shape_group_3_shape_1_horizontal_lines, 1, 6),
        shape(frame_645_shape_group_3_shape_2_horizontal_lines, 67, 2),
        shape(frame_645_shape_group_3_shape_3_horizontal_lines, 68, 6),
        shape(frame_645_shape_group_3_shape_4_horizontal_lines, 69, 2),
        shape(frame_645_shape_group_3_shape_5_horizontal_lines, 108, 1),
        shape(frame_645_shape_group_3_shape_6_horizontal_lines, 117, 2),
        shape(frame_645_shape_group_3_shape_7_horizontal_lines, 125, 1),
        shape(frame_645_shape_group_3_shape_8_horizontal_lines, 153, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(149, 192),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(130, 162),
        horizontal_line(130, 169),
        horizontal_line(130, 176),
        horizontal_line(131, 183),
        horizontal_line(131, 182),
        horizontal_line(131, 182),
        horizontal_line(131, 181),
        horizontal_line(131, 181),
        horizontal_line(132, 180),
        horizontal_line(132, 179),
        horizontal_line(132, 179),
        horizontal_line(132, 178),
        horizontal_line(133, 177),
        horizontal_line(135, 177),
        horizontal_line(138, 176),
        horizontal_line(140, 175),
        horizontal_line(143, 174),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(148, 173),
        horizontal_line(150, 172),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(128, 145),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(130, 148),
        horizontal_line(131, 150),
        horizontal_line(132, 151),
        horizontal_line(133, 153),
        horizontal_line(134, 152),
        horizontal_line(135, 150),
        horizontal_line(136, 148),
        horizontal_line(121, 121),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 125),
        horizontal_line(118, 126),
        horizontal_line(117, 122),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_645_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 125),
        horizontal_line(138, 149),
        horizontal_line(111, 123),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(120, 136),
        horizontal_line(154, 174),
        horizontal_line(154, 174),
        horizontal_line(153, 174),
        horizontal_line(153, 174),
        horizontal_line(153, 174),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(152, 173),
        horizontal_line(151, 173),
        horizontal_line(151, 173),
        horizontal_line(114, 131),
        horizontal_line(113, 131),
        horizontal_line(113, 130),
        horizontal_line(112, 130),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(97, 100),
        horizontal_line(97, 103),
        horizontal_line(97, 106),
        horizontal_line(148, 171),
        horizontal_line(148, 171),
        horizontal_line(147, 171),
        horizontal_line(147, 170),
        horizontal_line(147, 170),
        horizontal_line(146, 170),
        horizontal_line(146, 170),
        horizontal_line(146, 170),
        horizontal_line(98, 124),
        horizontal_line(103, 123),
        horizontal_line(108, 123),
        horizontal_line(113, 122),
        horizontal_line(118, 122),
        horizontal_line(144, 169),
        horizontal_line(143, 168),
        horizontal_line(143, 168),
        horizontal_line(143, 168),
        horizontal_line(143, 168),
        horizontal_line(142, 168),
        horizontal_line(142, 168),
        horizontal_line(142, 167),
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(140, 167),
        horizontal_line(140, 166),
        horizontal_line(140, 166),
        horizontal_line(139, 166),
        horizontal_line(88, 88),
        horizontal_line(87, 94),
        horizontal_line(87, 100),
        horizontal_line(87, 106),
        horizontal_line(86, 112),
        horizontal_line(86, 118),
        horizontal_line(86, 124),
        horizontal_line(86, 130),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_645_shape_group_4_shapes[] = {
        shape(frame_645_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_645_shape_group_4_shape_1_horizontal_lines, 1, 1),
        shape(frame_645_shape_group_4_shape_2_horizontal_lines, 19, 6),
        shape(frame_645_shape_group_4_shape_3_horizontal_lines, 20, 1),
        shape(frame_645_shape_group_4_shape_4_horizontal_lines, 22, 6),
        shape(frame_645_shape_group_4_shape_5_horizontal_lines, 35, 1),
        shape(frame_645_shape_group_4_shape_6_horizontal_lines, 36, 6),
        shape(frame_645_shape_group_4_shape_7_horizontal_lines, 37, 1),
        shape(frame_645_shape_group_4_shape_8_horizontal_lines, 54, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(156, 191),
        horizontal_line(163, 191),
        horizontal_line(170, 191),
        horizontal_line(177, 191),
        horizontal_line(184, 191),
        horizontal_line(183, 190),
        horizontal_line(183, 190),
        horizontal_line(183, 190),
        horizontal_line(182, 190),
        horizontal_line(182, 190),
        horizontal_line(182, 190),
        horizontal_line(181, 189),
        horizontal_line(181, 189),
        horizontal_line(181, 189),
        horizontal_line(133, 134),
        horizontal_line(133, 137),
        horizontal_line(132, 139),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(145, 174),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(131, 147),
        horizontal_line(131, 149),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(153, 172),
        horizontal_line(155, 171),
        horizontal_line(158, 170),
        horizontal_line(131, 131),
        horizontal_line(130, 132),
        horizontal_line(130, 134),
        horizontal_line(129, 135),
        horizontal_line(129, 137),
        horizontal_line(128, 138),
        horizontal_line(127, 140),
        horizontal_line(127, 141),
        horizontal_line(126, 142),
        horizontal_line(127, 144),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(149, 163),
        horizontal_line(151, 162),
        horizontal_line(152, 162),
        horizontal_line(154, 161),
        horizontal_line(153, 161),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(137, 146),
        horizontal_line(138, 144),
        horizontal_line(139, 142),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_645_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(134, 137),
        horizontal_line(131, 136),
        horizontal_line(128, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 153),
        horizontal_line(142, 153),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(140, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(164, 180),
        horizontal_line(137, 149),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(162, 179),
        horizontal_line(162, 179),
        horizontal_line(162, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(160, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(155, 175),
        horizontal_line(155, 175),
        horizontal_line(155, 175),
        horizontal_line(154, 174),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(151, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 172),
        horizontal_line(110, 129),
        horizontal_line(110, 128),
        horizontal_line(109, 128),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(145, 169),
        horizontal_line(145, 169),
        horizontal_line(145, 169),
        horizontal_line(144, 169),
        horizontal_line(144, 169),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(139, 166),
        horizontal_line(139, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 165),
        horizontal_line(138, 165),
        horizontal_line(137, 165),
        horizontal_line(137, 165),
        horizontal_line(137, 165),
        horizontal_line(147, 165),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
    };

    constexpr const shape frame_645_shape_group_5_shapes[] = {
        shape(frame_645_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_645_shape_group_5_shape_1_horizontal_lines, 19, 1),
        shape(frame_645_shape_group_5_shape_2_horizontal_lines, 20, 2),
        shape(frame_645_shape_group_5_shape_3_horizontal_lines, 22, 1),
        shape(frame_645_shape_group_5_shape_4_horizontal_lines, 35, 2),
        shape(frame_645_shape_group_5_shape_5_horizontal_lines, 36, 1),
        shape(frame_645_shape_group_5_shape_6_horizontal_lines, 37, 2),
        shape(frame_645_shape_group_5_shape_7_horizontal_lines, 44, 1),
        shape(frame_645_shape_group_5_shape_8_horizontal_lines, 48, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(179, 188),
        horizontal_line(132, 144),
        horizontal_line(179, 188),
        horizontal_line(178, 188),
        horizontal_line(131, 152),
        horizontal_line(131, 154),
        horizontal_line(131, 157),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(160, 170),
        horizontal_line(163, 169),
        horizontal_line(165, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(138, 166),
        horizontal_line(139, 166),
        horizontal_line(141, 165),
        horizontal_line(142, 165),
        horizontal_line(143, 164),
        horizontal_line(145, 164),
        horizontal_line(174, 185),
        horizontal_line(148, 163),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(171, 184),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(150, 159),
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(164, 180),
        horizontal_line(164, 180),
        horizontal_line(232, 239),
        horizontal_line(163, 180),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(149, 171),
        horizontal_line(149, 171),
        horizontal_line(148, 171),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_645_shape_group_6_shapes[] = {
        shape(frame_645_shape_group_6_shape_0_horizontal_lines, 1, 2),
        shape(frame_645_shape_group_6_shape_1_horizontal_lines, 25, 1),
        shape(frame_645_shape_group_6_shape_2_horizontal_lines, 29, 2),
        shape(frame_645_shape_group_6_shape_3_horizontal_lines, 108, 2),
        shape(frame_645_shape_group_6_shape_4_horizontal_lines, 125, 2),
        shape(frame_645_shape_group_6_shape_5_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(179, 188),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(178, 188),
        horizontal_line(178, 187),
        horizontal_line(177, 187),
        horizontal_line(132, 159),
        horizontal_line(133, 162),
        horizontal_line(135, 164),
        horizontal_line(136, 167),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
        horizontal_line(232, 239),
        horizontal_line(174, 185),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(171, 184),
        horizontal_line(171, 184),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 182),
        horizontal_line(168, 182),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_645_shape_group_7_shapes[] = {
        shape(frame_645_shape_group_7_shape_0_horizontal_lines, 15, 2),
        shape(frame_645_shape_group_7_shape_1_horizontal_lines, 68, 2),
        shape(frame_645_shape_group_7_shape_2_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(177, 187),
        horizontal_line(177, 187),
        horizontal_line(177, 187),
        horizontal_line(176, 187),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(121, 135),
    };

    constexpr const horizontal_line frame_645_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_645_shape_group_8_shapes[] = {
        shape(frame_645_shape_group_8_shape_0_horizontal_lines, 19, 2),
        shape(frame_645_shape_group_8_shape_1_horizontal_lines, 22, 2),
        shape(frame_645_shape_group_8_shape_2_horizontal_lines, 35, 5),
        shape(frame_645_shape_group_8_shape_3_horizontal_lines, 36, 2),
        shape(frame_645_shape_group_8_shape_4_horizontal_lines, 37, 5),
        shape(frame_645_shape_group_8_shape_5_horizontal_lines, 44, 2),
    };

    constexpr const horizontal_line frame_645_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_645_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_645_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_645_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(122, 136),
        horizontal_line(123, 137),
        horizontal_line(123, 138),
        horizontal_line(124, 139),
        horizontal_line(125, 136),
        horizontal_line(125, 133),
        horizontal_line(126, 130),
        horizontal_line(127, 127),
    };

    constexpr const shape frame_645_shape_group_9_shapes[] = {
        shape(frame_645_shape_group_9_shape_0_horizontal_lines, 25, 2),
        shape(frame_645_shape_group_9_shape_1_horizontal_lines, 34, 5),
        shape(frame_645_shape_group_9_shape_2_horizontal_lines, 36, 5),
        shape(frame_645_shape_group_9_shape_3_horizontal_lines, 44, 5),
    };

    constexpr const shape_group frame_645_shape_groups[] = {
        shape_group(frame_645_shape_group_0_shapes),
        shape_group(frame_645_shape_group_1_shapes),
        shape_group(frame_645_shape_group_2_shapes),
        shape_group(frame_645_shape_group_3_shapes),
        shape_group(frame_645_shape_group_4_shapes),
        shape_group(frame_645_shape_group_5_shapes),
        shape_group(frame_645_shape_group_6_shapes),
        shape_group(frame_645_shape_group_7_shapes),
        shape_group(frame_645_shape_group_8_shapes),
        shape_group(frame_645_shape_group_9_shapes),
    };

    constexpr const frame frame_645_impl(frame_645_colors, frame_645_shape_groups);
} 

const frame& frame_645()
{
    return frame_645_impl;
}

namespace
{
    constexpr const bn::color frame_646_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_646_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const shape frame_646_shape_group_0_shapes[] = {
        shape(frame_646_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_646_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(105, 128),
        horizontal_line(104, 127),
        horizontal_line(104, 127),
        horizontal_line(104, 127),
        horizontal_line(104, 126),
        horizontal_line(104, 126),
        horizontal_line(103, 126),
        horizontal_line(103, 125),
        horizontal_line(103, 125),
        horizontal_line(103, 125),
        horizontal_line(103, 125),
        horizontal_line(103, 124),
        horizontal_line(102, 124),
        horizontal_line(102, 124),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(101, 122),
        horizontal_line(101, 122),
        horizontal_line(101, 122),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(100, 121),
        horizontal_line(100, 120),
        horizontal_line(100, 120),
        horizontal_line(100, 120),
        horizontal_line(100, 119),
        horizontal_line(100, 119),
        horizontal_line(99, 119),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(97, 115),
        horizontal_line(97, 115),
        horizontal_line(97, 115),
        horizontal_line(97, 114),
        horizontal_line(97, 114),
        horizontal_line(97, 114),
        horizontal_line(96, 114),
        horizontal_line(96, 113),
        horizontal_line(96, 113),
        horizontal_line(96, 113),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(95, 112),
        horizontal_line(95, 112),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(92, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 102),
        horizontal_line(90, 102),
        horizontal_line(89, 102),
        horizontal_line(89, 101),
        horizontal_line(89, 101),
        horizontal_line(89, 101),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(88, 100),
        horizontal_line(88, 100),
        horizontal_line(88, 99),
        horizontal_line(88, 99),
        horizontal_line(88, 99),
        horizontal_line(88, 98),
        horizontal_line(87, 98),
        horizontal_line(87, 98),
        horizontal_line(87, 98),
        horizontal_line(87, 97),
        horizontal_line(87, 97),
        horizontal_line(87, 97),
        horizontal_line(86, 96),
        horizontal_line(86, 96),
        horizontal_line(86, 96),
        horizontal_line(86, 96),
        horizontal_line(86, 95),
        horizontal_line(85, 95),
        horizontal_line(85, 95),
        horizontal_line(85, 94),
        horizontal_line(85, 94),
        horizontal_line(85, 94),
        horizontal_line(85, 94),
        horizontal_line(84, 93),
        horizontal_line(84, 93),
        horizontal_line(84, 93),
        horizontal_line(84, 92),
        horizontal_line(84, 92),
        horizontal_line(84, 92),
        horizontal_line(83, 91),
        horizontal_line(83, 91),
        horizontal_line(83, 91),
        horizontal_line(83, 91),
        horizontal_line(83, 90),
        horizontal_line(83, 90),
        horizontal_line(82, 90),
        horizontal_line(82, 89),
        horizontal_line(82, 89),
        horizontal_line(82, 89),
        horizontal_line(82, 89),
        horizontal_line(82, 88),
        horizontal_line(81, 88),
        horizontal_line(81, 88),
        horizontal_line(81, 87),
        horizontal_line(81, 87),
        horizontal_line(81, 87),
        horizontal_line(81, 87),
        horizontal_line(80, 86),
        horizontal_line(80, 86),
        horizontal_line(80, 86),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(79, 84),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 82),
        horizontal_line(79, 82),
        horizontal_line(78, 82),
        horizontal_line(78, 82),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
    };

    constexpr const shape frame_646_shape_group_1_shapes[] = {
        shape(frame_646_shape_group_1_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(35, 97),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_646_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(23, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 83),
        horizontal_line(23, 83),
        horizontal_line(22, 83),
        horizontal_line(22, 83),
        horizontal_line(22, 83),
        horizontal_line(22, 83),
        horizontal_line(22, 82),
        horizontal_line(22, 82),
        horizontal_line(22, 82),
        horizontal_line(22, 82),
        horizontal_line(21, 82),
        horizontal_line(21, 82),
        horizontal_line(21, 81),
        horizontal_line(21, 81),
        horizontal_line(21, 81),
        horizontal_line(21, 81),
        horizontal_line(21, 81),
        horizontal_line(21, 81),
        horizontal_line(20, 80),
        horizontal_line(20, 80),
        horizontal_line(20, 80),
        horizontal_line(20, 80),
        horizontal_line(20, 80),
        horizontal_line(20, 80),
        horizontal_line(20, 79),
        horizontal_line(20, 79),
        horizontal_line(19, 79),
        horizontal_line(19, 79),
        horizontal_line(19, 79),
        horizontal_line(19, 79),
        horizontal_line(19, 78),
        horizontal_line(19, 78),
        horizontal_line(19, 78),
        horizontal_line(19, 78),
        horizontal_line(18, 78),
        horizontal_line(18, 78),
        horizontal_line(18, 77),
        horizontal_line(18, 77),
        horizontal_line(18, 77),
        horizontal_line(18, 77),
        horizontal_line(18, 77),
        horizontal_line(18, 77),
    };

    constexpr const shape frame_646_shape_group_2_shapes[] = {
        shape(frame_646_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_646_shape_group_2_shape_1_horizontal_lines, 18, 7),
        shape(frame_646_shape_group_2_shape_2_horizontal_lines, 19, 6),
        shape(frame_646_shape_group_2_shape_3_horizontal_lines, 20, 7),
        shape(frame_646_shape_group_2_shape_4_horizontal_lines, 31, 6),
        shape(frame_646_shape_group_2_shape_5_horizontal_lines, 32, 7),
        shape(frame_646_shape_group_2_shape_6_horizontal_lines, 33, 6),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(35, 97),
        horizontal_line(123, 130),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(119, 125),
        horizontal_line(33, 95),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(107, 107),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
        horizontal_line(106, 106),
        horizontal_line(90, 90),
        horizontal_line(90, 90),
        horizontal_line(105, 105),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(101, 105),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(99, 100),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(97, 99),
        horizontal_line(97, 100),
        horizontal_line(97, 101),
        horizontal_line(96, 102),
        horizontal_line(96, 103),
        horizontal_line(96, 104),
        horizontal_line(97, 105),
        horizontal_line(100, 106),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(94, 128),
        horizontal_line(94, 128),
        horizontal_line(94, 127),
        horizontal_line(93, 127),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(92, 126),
        horizontal_line(92, 125),
        horizontal_line(92, 125),
        horizontal_line(92, 124),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(91, 96),
        horizontal_line(91, 101),
        horizontal_line(91, 107),
        horizontal_line(90, 112),
        horizontal_line(90, 117),
        horizontal_line(90, 122),
        horizontal_line(90, 122),
        horizontal_line(89, 123),
        horizontal_line(89, 123),
        horizontal_line(89, 124),
        horizontal_line(88, 125),
        horizontal_line(88, 125),
        horizontal_line(88, 126),
        horizontal_line(88, 127),
        horizontal_line(87, 127),
        horizontal_line(87, 128),
        horizontal_line(87, 128),
        horizontal_line(86, 129),
        horizontal_line(86, 130),
        horizontal_line(86, 130),
        horizontal_line(86, 131),
        horizontal_line(91, 132),
        horizontal_line(97, 132),
        horizontal_line(103, 133),
        horizontal_line(109, 133),
        horizontal_line(115, 134),
        horizontal_line(121, 135),
        horizontal_line(127, 135),
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_646_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(82, 144),
    };

    constexpr const shape frame_646_shape_group_3_shapes[] = {
        shape(frame_646_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_646_shape_group_3_shape_1_horizontal_lines, 95, 2),
        shape(frame_646_shape_group_3_shape_2_horizontal_lines, 96, 6),
        shape(frame_646_shape_group_3_shape_3_horizontal_lines, 101, 2),
        shape(frame_646_shape_group_3_shape_4_horizontal_lines, 104, 6),
        shape(frame_646_shape_group_3_shape_5_horizontal_lines, 107, 1),
        shape(frame_646_shape_group_3_shape_6_horizontal_lines, 118, 2),
        shape(frame_646_shape_group_3_shape_7_horizontal_lines, 128, 1),
        shape(frame_646_shape_group_3_shape_8_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(100, 104),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(123, 130),
        horizontal_line(97, 100),
        horizontal_line(123, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(96, 98),
        horizontal_line(119, 124),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(92, 93),
        horizontal_line(91, 93),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_646_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(106, 117),
        horizontal_line(106, 117),
    };

    constexpr const horizontal_line frame_646_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_646_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(104, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(103, 111),
        horizontal_line(103, 110),
        horizontal_line(103, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 108),
        horizontal_line(102, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 106),
        horizontal_line(123, 139),
        horizontal_line(101, 104),
        horizontal_line(100, 104),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
        horizontal_line(99, 102),
        horizontal_line(119, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 135),
        horizontal_line(98, 99),
        horizontal_line(98, 98),
        horizontal_line(116, 134),
        horizontal_line(116, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
        horizontal_line(113, 131),
        horizontal_line(112, 130),
        horizontal_line(95, 96),
        horizontal_line(95, 99),
        horizontal_line(95, 103),
        horizontal_line(95, 106),
        horizontal_line(150, 176),
        horizontal_line(150, 176),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(148, 175),
        horizontal_line(148, 175),
        horizontal_line(148, 174),
        horizontal_line(147, 174),
        horizontal_line(147, 174),
        horizontal_line(97, 124),
        horizontal_line(102, 123),
        horizontal_line(108, 123),
        horizontal_line(113, 122),
        horizontal_line(118, 122),
        horizontal_line(145, 173),
        horizontal_line(145, 173),
        horizontal_line(145, 173),
        horizontal_line(144, 173),
        horizontal_line(144, 172),
        horizontal_line(144, 172),
        horizontal_line(143, 172),
        horizontal_line(143, 172),
        horizontal_line(143, 172),
        horizontal_line(142, 171),
        horizontal_line(142, 171),
        horizontal_line(142, 171),
        horizontal_line(141, 171),
        horizontal_line(141, 171),
        horizontal_line(141, 171),
        horizontal_line(85, 85),
        horizontal_line(84, 90),
        horizontal_line(84, 96),
        horizontal_line(84, 102),
        horizontal_line(83, 108),
        horizontal_line(83, 114),
        horizontal_line(83, 120),
        horizontal_line(83, 126),
        horizontal_line(82, 132),
        horizontal_line(144, 169),
        horizontal_line(144, 169),
        horizontal_line(144, 169),
    };

    constexpr const shape frame_646_shape_group_4_shapes[] = {
        shape(frame_646_shape_group_4_shape_0_horizontal_lines, 0, 6),
        shape(frame_646_shape_group_4_shape_1_horizontal_lines, 78, 2),
        shape(frame_646_shape_group_4_shape_2_horizontal_lines, 80, 6),
        shape(frame_646_shape_group_4_shape_3_horizontal_lines, 81, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(131, 187),
        horizontal_line(131, 186),
        horizontal_line(131, 186),
        horizontal_line(131, 186),
        horizontal_line(132, 185),
        horizontal_line(132, 184),
        horizontal_line(132, 184),
        horizontal_line(133, 183),
        horizontal_line(133, 182),
        horizontal_line(133, 182),
        horizontal_line(134, 181),
        horizontal_line(136, 180),
        horizontal_line(138, 180),
        horizontal_line(140, 179),
        horizontal_line(143, 178),
        horizontal_line(145, 178),
        horizontal_line(147, 177),
        horizontal_line(150, 176),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(154, 175),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(127, 143),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(129, 146),
        horizontal_line(130, 147),
        horizontal_line(131, 149),
        horizontal_line(132, 150),
        horizontal_line(133, 152),
        horizontal_line(134, 153),
        horizontal_line(135, 155),
        horizontal_line(136, 154),
        horizontal_line(137, 152),
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 126),
        horizontal_line(118, 127),
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(133, 146),
        horizontal_line(132, 146),
        horizontal_line(106, 116),
        horizontal_line(131, 145),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 142),
        horizontal_line(127, 142),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(123, 139),
        horizontal_line(157, 180),
        horizontal_line(122, 138),
        horizontal_line(122, 138),
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(120, 136),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 178),
        horizontal_line(118, 135),
        horizontal_line(117, 134),
        horizontal_line(154, 178),
        horizontal_line(153, 178),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(152, 177),
        horizontal_line(152, 177),
        horizontal_line(152, 177),
        horizontal_line(152, 177),
        horizontal_line(112, 130),
        horizontal_line(111, 130),
        horizontal_line(111, 129),
        horizontal_line(110, 129),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(147, 174),
        horizontal_line(146, 174),
        horizontal_line(146, 174),
        horizontal_line(146, 173),
        horizontal_line(145, 173),
    };

    constexpr const horizontal_line frame_646_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(140, 170),
        horizontal_line(140, 170),
        horizontal_line(140, 170),
        horizontal_line(139, 170),
        horizontal_line(139, 170),
        horizontal_line(139, 170),
        horizontal_line(138, 169),
        horizontal_line(138, 169),
        horizontal_line(138, 169),
    };

    constexpr const shape frame_646_shape_group_5_shapes[] = {
        shape(frame_646_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_646_shape_group_5_shape_1_horizontal_lines, 18, 6),
        shape(frame_646_shape_group_5_shape_2_horizontal_lines, 19, 1),
        shape(frame_646_shape_group_5_shape_3_horizontal_lines, 20, 6),
        shape(frame_646_shape_group_5_shape_4_horizontal_lines, 31, 1),
        shape(frame_646_shape_group_5_shape_5_horizontal_lines, 32, 6),
        shape(frame_646_shape_group_5_shape_6_horizontal_lines, 33, 1),
        shape(frame_646_shape_group_5_shape_7_horizontal_lines, 53, 2),
        shape(frame_646_shape_group_5_shape_8_horizontal_lines, 128, 2),
        shape(frame_646_shape_group_5_shape_9_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(188, 197),
        horizontal_line(187, 196),
        horizontal_line(187, 196),
        horizontal_line(187, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 195),
        horizontal_line(184, 195),
        horizontal_line(134, 135),
        horizontal_line(134, 137),
        horizontal_line(133, 139),
        horizontal_line(133, 142),
        horizontal_line(132, 144),
        horizontal_line(132, 146),
        horizontal_line(132, 149),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(152, 176),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(157, 174),
        horizontal_line(159, 174),
        horizontal_line(161, 173),
        horizontal_line(131, 131),
        horizontal_line(130, 132),
        horizontal_line(130, 134),
        horizontal_line(129, 135),
        horizontal_line(129, 137),
        horizontal_line(128, 138),
        horizontal_line(128, 140),
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(144, 167),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(128, 144),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(147, 166),
        horizontal_line(148, 166),
        horizontal_line(150, 165),
        horizontal_line(151, 165),
        horizontal_line(153, 165),
        horizontal_line(154, 164),
        horizontal_line(156, 164),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(138, 150),
        horizontal_line(139, 148),
        horizontal_line(140, 146),
        horizontal_line(141, 144),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(137, 139),
        horizontal_line(134, 138),
        horizontal_line(131, 138),
        horizontal_line(129, 137),
        horizontal_line(127, 136),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(163, 183),
        horizontal_line(162, 183),
        horizontal_line(132, 145),
        horizontal_line(162, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
        horizontal_line(160, 182),
        horizontal_line(160, 181),
        horizontal_line(160, 181),
        horizontal_line(159, 181),
        horizontal_line(159, 181),
        horizontal_line(159, 181),
        horizontal_line(159, 180),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(157, 180),
        horizontal_line(157, 179),
        horizontal_line(156, 179),
        horizontal_line(156, 179),
        horizontal_line(156, 179),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(154, 178),
        horizontal_line(154, 178),
    };

    constexpr const horizontal_line frame_646_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(151, 176),
        horizontal_line(151, 176),
        horizontal_line(151, 176),
        horizontal_line(150, 176),
    };

    constexpr const shape frame_646_shape_group_6_shapes[] = {
        shape(frame_646_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_646_shape_group_6_shape_1_horizontal_lines, 18, 1),
        shape(frame_646_shape_group_6_shape_2_horizontal_lines, 19, 2),
        shape(frame_646_shape_group_6_shape_3_horizontal_lines, 20, 1),
        shape(frame_646_shape_group_6_shape_4_horizontal_lines, 31, 2),
        shape(frame_646_shape_group_6_shape_5_horizontal_lines, 32, 1),
        shape(frame_646_shape_group_6_shape_6_horizontal_lines, 33, 2),
        shape(frame_646_shape_group_6_shape_7_horizontal_lines, 42, 1),
        shape(frame_646_shape_group_6_shape_8_horizontal_lines, 47, 2),
        shape(frame_646_shape_group_6_shape_9_horizontal_lines, 96, 2),
        shape(frame_646_shape_group_6_shape_10_horizontal_lines, 104, 2),
        shape(frame_646_shape_group_6_shape_11_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(184, 195),
        horizontal_line(184, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(132, 151),
        horizontal_line(181, 193),
        horizontal_line(131, 156),
        horizontal_line(131, 158),
        horizontal_line(131, 160),
    };

    constexpr const horizontal_line frame_646_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(164, 172),
        horizontal_line(166, 172),
        horizontal_line(168, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_646_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(138, 169),
        horizontal_line(139, 169),
        horizontal_line(141, 168),
        horizontal_line(142, 168),
        horizontal_line(178, 191),
        horizontal_line(145, 167),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 189),
        horizontal_line(174, 189),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 161),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(171, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(169, 186),
        horizontal_line(169, 186),
        horizontal_line(169, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 184),
        horizontal_line(165, 184),
        horizontal_line(165, 184),
        horizontal_line(165, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(163, 183),
        horizontal_line(163, 183),
    };

    constexpr const horizontal_line frame_646_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(162, 182),
    };

    constexpr const shape frame_646_shape_group_7_shapes[] = {
        shape(frame_646_shape_group_7_shape_0_horizontal_lines, 11, 2),
        shape(frame_646_shape_group_7_shape_1_horizontal_lines, 23, 1),
        shape(frame_646_shape_group_7_shape_2_horizontal_lines, 27, 2),
        shape(frame_646_shape_group_7_shape_3_horizontal_lines, 80, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(182, 193),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(181, 193),
        horizontal_line(181, 193),
        horizontal_line(180, 193),
        horizontal_line(132, 163),
        horizontal_line(133, 165),
        horizontal_line(135, 167),
        horizontal_line(136, 170),
        horizontal_line(179, 192),
        horizontal_line(179, 192),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(177, 191),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(125, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(123, 132),
        horizontal_line(123, 133),
        horizontal_line(123, 134),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_646_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(174, 189),
        horizontal_line(174, 189),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 187),
    };

    constexpr const shape frame_646_shape_group_8_shapes[] = {
        shape(frame_646_shape_group_8_shape_0_horizontal_lines, 18, 2),
        shape(frame_646_shape_group_8_shape_1_horizontal_lines, 20, 2),
        shape(frame_646_shape_group_8_shape_2_horizontal_lines, 31, 5),
        shape(frame_646_shape_group_8_shape_3_horizontal_lines, 32, 2),
        shape(frame_646_shape_group_8_shape_4_horizontal_lines, 33, 5),
        shape(frame_646_shape_group_8_shape_5_horizontal_lines, 42, 2),
    };

    constexpr const horizontal_line frame_646_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(180, 192),
        horizontal_line(180, 192),
        horizontal_line(180, 192),
        horizontal_line(179, 192),
    };

    constexpr const horizontal_line frame_646_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_646_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(123, 138),
        horizontal_line(123, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(125, 139),
        horizontal_line(126, 136),
        horizontal_line(126, 133),
        horizontal_line(127, 130),
        horizontal_line(128, 128),
    };

    constexpr const shape frame_646_shape_group_9_shapes[] = {
        shape(frame_646_shape_group_9_shape_0_horizontal_lines, 23, 2),
        shape(frame_646_shape_group_9_shape_1_horizontal_lines, 32, 5),
        shape(frame_646_shape_group_9_shape_2_horizontal_lines, 42, 5),
    };

    constexpr const shape_group frame_646_shape_groups[] = {
        shape_group(frame_646_shape_group_0_shapes),
        shape_group(frame_646_shape_group_1_shapes),
        shape_group(frame_646_shape_group_2_shapes),
        shape_group(frame_646_shape_group_3_shapes),
        shape_group(frame_646_shape_group_4_shapes),
        shape_group(frame_646_shape_group_5_shapes),
        shape_group(frame_646_shape_group_6_shapes),
        shape_group(frame_646_shape_group_7_shapes),
        shape_group(frame_646_shape_group_8_shapes),
        shape_group(frame_646_shape_group_9_shapes),
    };

    constexpr const frame frame_646_impl(frame_646_colors, frame_646_shape_groups);
} 

const frame& frame_646()
{
    return frame_646_impl;
}

namespace
{
    constexpr const bn::color frame_647_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_647_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
        horizontal_line(83, 99),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 97),
        horizontal_line(82, 97),
        horizontal_line(82, 97),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(82, 95),
        horizontal_line(81, 95),
        horizontal_line(81, 95),
        horizontal_line(81, 95),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 94),
        horizontal_line(81, 93),
        horizontal_line(80, 93),
        horizontal_line(80, 93),
        horizontal_line(80, 93),
        horizontal_line(80, 92),
        horizontal_line(80, 92),
        horizontal_line(80, 92),
        horizontal_line(79, 91),
        horizontal_line(79, 91),
        horizontal_line(79, 91),
        horizontal_line(79, 91),
        horizontal_line(79, 90),
        horizontal_line(79, 90),
        horizontal_line(78, 90),
        horizontal_line(78, 89),
        horizontal_line(78, 89),
        horizontal_line(78, 89),
        horizontal_line(78, 88),
        horizontal_line(78, 88),
        horizontal_line(77, 88),
        horizontal_line(77, 88),
        horizontal_line(77, 87),
        horizontal_line(77, 87),
        horizontal_line(77, 87),
        horizontal_line(77, 86),
        horizontal_line(76, 86),
        horizontal_line(76, 86),
        horizontal_line(76, 86),
        horizontal_line(76, 85),
        horizontal_line(76, 85),
        horizontal_line(76, 85),
        horizontal_line(75, 84),
        horizontal_line(75, 84),
        horizontal_line(75, 84),
        horizontal_line(75, 84),
        horizontal_line(75, 83),
        horizontal_line(75, 83),
        horizontal_line(74, 83),
        horizontal_line(74, 82),
        horizontal_line(74, 82),
        horizontal_line(74, 82),
        horizontal_line(74, 82),
        horizontal_line(74, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
        horizontal_line(73, 81),
    };

    constexpr const shape frame_647_shape_group_0_shapes[] = {
        shape(frame_647_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_647_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(99, 126),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
        horizontal_line(98, 124),
        horizontal_line(98, 124),
        horizontal_line(98, 124),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(97, 122),
        horizontal_line(97, 122),
        horizontal_line(96, 122),
        horizontal_line(96, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 120),
        horizontal_line(95, 120),
        horizontal_line(95, 120),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 118),
        horizontal_line(94, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 117),
        horizontal_line(93, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(92, 115),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(92, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 112),
        horizontal_line(91, 112),
        horizontal_line(91, 112),
        horizontal_line(91, 112),
        horizontal_line(90, 111),
        horizontal_line(90, 111),
        horizontal_line(90, 111),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 107),
        horizontal_line(88, 106),
        horizontal_line(88, 106),
        horizontal_line(87, 106),
        horizontal_line(87, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 104),
        horizontal_line(86, 103),
        horizontal_line(86, 103),
        horizontal_line(86, 103),
        horizontal_line(86, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 102),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(84, 100),
    };

    constexpr const horizontal_line frame_647_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(112, 127),
        horizontal_line(112, 127),
        horizontal_line(111, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(108, 124),
        horizontal_line(107, 123),
        horizontal_line(107, 123),
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 121),
        horizontal_line(104, 120),
        horizontal_line(103, 120),
        horizontal_line(102, 119),
        horizontal_line(102, 119),
        horizontal_line(101, 118),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(99, 116),
    };

    constexpr const horizontal_line frame_647_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(95, 98),
        horizontal_line(95, 99),
        horizontal_line(94, 100),
        horizontal_line(94, 101),
        horizontal_line(94, 102),
        horizontal_line(94, 103),
        horizontal_line(95, 104),
        horizontal_line(98, 105),
        horizontal_line(101, 106),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_647_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(131, 150),
        horizontal_line(130, 150),
        horizontal_line(130, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
        horizontal_line(128, 149),
        horizontal_line(128, 148),
        horizontal_line(127, 148),
        horizontal_line(127, 148),
    };

    constexpr const horizontal_line frame_647_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 94),
        horizontal_line(89, 99),
        horizontal_line(88, 104),
        horizontal_line(88, 109),
        horizontal_line(88, 114),
        horizontal_line(87, 119),
        horizontal_line(87, 123),
        horizontal_line(87, 123),
        horizontal_line(87, 124),
        horizontal_line(86, 124),
        horizontal_line(86, 125),
        horizontal_line(86, 125),
        horizontal_line(85, 126),
        horizontal_line(85, 126),
        horizontal_line(85, 127),
        horizontal_line(85, 127),
        horizontal_line(84, 128),
        horizontal_line(84, 128),
        horizontal_line(84, 129),
        horizontal_line(83, 129),
        horizontal_line(83, 130),
        horizontal_line(83, 130),
        horizontal_line(83, 131),
        horizontal_line(87, 131),
        horizontal_line(92, 132),
        horizontal_line(97, 132),
        horizontal_line(102, 133),
        horizontal_line(107, 133),
        horizontal_line(112, 134),
        horizontal_line(117, 134),
        horizontal_line(122, 135),
    };

    constexpr const shape frame_647_shape_group_1_shapes[] = {
        shape(frame_647_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_647_shape_group_1_shape_1_horizontal_lines, 87, 4),
        shape(frame_647_shape_group_1_shape_2_horizontal_lines, 107, 1),
        shape(frame_647_shape_group_1_shape_3_horizontal_lines, 119, 4),
        shape(frame_647_shape_group_1_shape_4_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(132, 187),
        horizontal_line(132, 186),
        horizontal_line(132, 185),
        horizontal_line(132, 185),
        horizontal_line(133, 184),
        horizontal_line(133, 183),
        horizontal_line(133, 183),
        horizontal_line(133, 182),
        horizontal_line(134, 181),
        horizontal_line(136, 181),
        horizontal_line(139, 180),
        horizontal_line(141, 179),
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(152, 177),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 156),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 125),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 127),
        horizontal_line(117, 128),
        horizontal_line(117, 124),
        horizontal_line(116, 120),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_647_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(116, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 118),
        horizontal_line(112, 117),
        horizontal_line(112, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(122, 136),
        horizontal_line(122, 135),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(113, 128),
        horizontal_line(145, 160),
        horizontal_line(144, 160),
        horizontal_line(144, 160),
        horizontal_line(143, 159),
        horizontal_line(143, 159),
        horizontal_line(142, 159),
        horizontal_line(142, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(138, 156),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 154),
        horizontal_line(136, 154),
        horizontal_line(98, 116),
        horizontal_line(99, 115),
        horizontal_line(100, 114),
        horizontal_line(101, 114),
        horizontal_line(102, 113),
        horizontal_line(103, 113),
        horizontal_line(104, 112),
        horizontal_line(105, 111),
        horizontal_line(106, 111),
        horizontal_line(107, 110),
        horizontal_line(108, 110),
        horizontal_line(109, 109),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(127, 147),
        horizontal_line(126, 147),
        horizontal_line(126, 147),
        horizontal_line(125, 146),
        horizontal_line(125, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(125, 144),
        horizontal_line(125, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
    };

    constexpr const shape frame_647_shape_group_2_shapes[] = {
        shape(frame_647_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_647_shape_group_2_shape_1_horizontal_lines, 13, 7),
        shape(frame_647_shape_group_2_shape_2_horizontal_lines, 15, 1),
        shape(frame_647_shape_group_2_shape_3_horizontal_lines, 16, 7),
        shape(frame_647_shape_group_2_shape_4_horizontal_lines, 39, 1),
        shape(frame_647_shape_group_2_shape_5_horizontal_lines, 40, 7),
        shape(frame_647_shape_group_2_shape_6_horizontal_lines, 41, 1),
        shape(frame_647_shape_group_2_shape_7_horizontal_lines, 54, 4),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(187, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(185, 186),
        horizontal_line(184, 186),
        horizontal_line(184, 186),
        horizontal_line(183, 185),
        horizontal_line(182, 185),
        horizontal_line(182, 185),
        horizontal_line(181, 184),
        horizontal_line(180, 184),
        horizontal_line(180, 184),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(147, 178),
        horizontal_line(149, 177),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(178, 183),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(154, 176),
        horizontal_line(157, 175),
        horizontal_line(160, 175),
        horizontal_line(162, 174),
        horizontal_line(165, 173),
        horizontal_line(167, 173),
        horizontal_line(132, 132),
        horizontal_line(131, 134),
        horizontal_line(131, 135),
        horizontal_line(130, 137),
        horizontal_line(130, 138),
        horizontal_line(129, 140),
        horizontal_line(129, 141),
        horizontal_line(128, 143),
        horizontal_line(127, 144),
        horizontal_line(128, 146),
        horizontal_line(129, 147),
        horizontal_line(130, 149),
        horizontal_line(131, 150),
        horizontal_line(132, 152),
        horizontal_line(133, 153),
        horizontal_line(134, 155),
        horizontal_line(134, 157),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(166, 175),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(136, 154),
        horizontal_line(137, 152),
        horizontal_line(138, 150),
        horizontal_line(139, 148),
        horizontal_line(140, 146),
        horizontal_line(141, 144),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(125, 127),
        horizontal_line(121, 126),
        horizontal_line(117, 125),
        horizontal_line(136, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 144),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(128, 141),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(123, 136),
        horizontal_line(151, 165),
        horizontal_line(150, 164),
        horizontal_line(150, 164),
        horizontal_line(149, 164),
        horizontal_line(149, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(146, 161),
        horizontal_line(146, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 160),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(136, 154),
        horizontal_line(135, 154),
        horizontal_line(135, 153),
        horizontal_line(134, 153),
        horizontal_line(134, 153),
        horizontal_line(134, 152),
        horizontal_line(133, 152),
        horizontal_line(133, 152),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(131, 151),
        horizontal_line(131, 150),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(92, 130),
        horizontal_line(92, 129),
        horizontal_line(91, 129),
        horizontal_line(91, 128),
        horizontal_line(91, 128),
        horizontal_line(90, 127),
        horizontal_line(90, 127),
        horizontal_line(90, 126),
    };

    constexpr const horizontal_line frame_647_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const shape frame_647_shape_group_3_shapes[] = {
        shape(frame_647_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_647_shape_group_3_shape_1_horizontal_lines, 13, 1),
        shape(frame_647_shape_group_3_shape_2_horizontal_lines, 15, 4),
        shape(frame_647_shape_group_3_shape_3_horizontal_lines, 16, 1),
        shape(frame_647_shape_group_3_shape_4_horizontal_lines, 39, 4),
        shape(frame_647_shape_group_3_shape_5_horizontal_lines, 40, 1),
        shape(frame_647_shape_group_3_shape_6_horizontal_lines, 47, 4),
        shape(frame_647_shape_group_3_shape_7_horizontal_lines, 119, 2),
        shape(frame_647_shape_group_3_shape_8_horizontal_lines, 127, 4),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(179, 183),
        horizontal_line(178, 183),
        horizontal_line(198, 239),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(173, 180),
        horizontal_line(172, 180),
        horizontal_line(172, 180),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(170, 179),
        horizontal_line(170, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 178),
        horizontal_line(169, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(193, 239),
        horizontal_line(155, 155),
        horizontal_line(153, 155),
        horizontal_line(151, 154),
        horizontal_line(149, 154),
        horizontal_line(147, 153),
        horizontal_line(145, 152),
        horizontal_line(143, 152),
        horizontal_line(162, 173),
        horizontal_line(162, 172),
        horizontal_line(161, 172),
        horizontal_line(161, 172),
        horizontal_line(138, 149),
        horizontal_line(137, 148),
        horizontal_line(137, 148),
        horizontal_line(159, 171),
        horizontal_line(159, 170),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(157, 169),
        horizontal_line(157, 169),
        horizontal_line(156, 169),
        horizontal_line(156, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 167),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(152, 166),
        horizontal_line(152, 165),
        horizontal_line(152, 165),
        horizontal_line(151, 165),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(102, 111),
        horizontal_line(102, 111),
        horizontal_line(101, 110),
        horizontal_line(101, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 108),
        horizontal_line(100, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(151, 178),
        horizontal_line(151, 178),
        horizontal_line(150, 177),
        horizontal_line(150, 177),
        horizontal_line(150, 177),
        horizontal_line(150, 177),
        horizontal_line(149, 177),
        horizontal_line(149, 177),
        horizontal_line(89, 126),
    };

    constexpr const horizontal_line frame_647_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_647_shape_group_4_shapes[] = {
        shape(frame_647_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_647_shape_group_4_shape_1_horizontal_lines, 22, 1),
        shape(frame_647_shape_group_4_shape_2_horizontal_lines, 23, 4),
        shape(frame_647_shape_group_4_shape_3_horizontal_lines, 87, 2),
        shape(frame_647_shape_group_4_shape_4_horizontal_lines, 107, 4),
        shape(frame_647_shape_group_4_shape_5_horizontal_lines, 119, 2),
        shape(frame_647_shape_group_4_shape_6_horizontal_lines, 128, 4),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(189, 200),
        horizontal_line(188, 199),
        horizontal_line(188, 199),
        horizontal_line(188, 199),
        horizontal_line(187, 199),
        horizontal_line(187, 199),
        horizontal_line(187, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(134, 135),
        horizontal_line(134, 138),
        horizontal_line(133, 140),
        horizontal_line(133, 143),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(132, 151),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(173, 181),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(157, 165),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(164, 174),
        horizontal_line(164, 174),
        horizontal_line(163, 174),
        horizontal_line(163, 173),
        horizontal_line(162, 173),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(160, 171),
        horizontal_line(160, 171),
        horizontal_line(159, 171),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 118),
        horizontal_line(105, 117),
        horizontal_line(105, 116),
        horizontal_line(104, 116),
        horizontal_line(104, 115),
        horizontal_line(104, 114),
        horizontal_line(103, 114),
        horizontal_line(103, 113),
        horizontal_line(102, 112),
        horizontal_line(128, 144),
        horizontal_line(128, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 141),
        horizontal_line(125, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 139),
        horizontal_line(122, 139),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
        horizontal_line(120, 137),
        horizontal_line(120, 137),
        horizontal_line(119, 137),
        horizontal_line(118, 136),
        horizontal_line(118, 136),
        horizontal_line(117, 135),
        horizontal_line(97, 97),
        horizontal_line(116, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 133),
        horizontal_line(114, 133),
        horizontal_line(114, 133),
        horizontal_line(113, 132),
        horizontal_line(93, 94),
        horizontal_line(93, 97),
        horizontal_line(93, 100),
        horizontal_line(92, 103),
        horizontal_line(92, 106),
    };

    constexpr const horizontal_line frame_647_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(149, 176),
        horizontal_line(90, 126),
        horizontal_line(95, 125),
        horizontal_line(100, 125),
        horizontal_line(105, 124),
        horizontal_line(110, 124),
        horizontal_line(115, 123),
        horizontal_line(120, 123),
        horizontal_line(146, 175),
        horizontal_line(146, 175),
        horizontal_line(145, 175),
        horizontal_line(145, 174),
        horizontal_line(145, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 173),
        horizontal_line(143, 173),
        horizontal_line(143, 173),
        horizontal_line(143, 173),
        horizontal_line(142, 173),
        horizontal_line(142, 173),
        horizontal_line(142, 172),
        horizontal_line(141, 172),
        horizontal_line(141, 172),
        horizontal_line(82, 86),
        horizontal_line(82, 91),
        horizontal_line(82, 96),
        horizontal_line(82, 101),
        horizontal_line(82, 106),
        horizontal_line(82, 111),
        horizontal_line(82, 116),
        horizontal_line(82, 121),
    };

    constexpr const shape frame_647_shape_group_5_shapes[] = {
        shape(frame_647_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_647_shape_group_5_shape_1_horizontal_lines, 13, 4),
        shape(frame_647_shape_group_5_shape_2_horizontal_lines, 15, 2),
        shape(frame_647_shape_group_5_shape_3_horizontal_lines, 16, 4),
        shape(frame_647_shape_group_5_shape_4_horizontal_lines, 39, 2),
        shape(frame_647_shape_group_5_shape_5_horizontal_lines, 40, 4),
        shape(frame_647_shape_group_5_shape_6_horizontal_lines, 73, 2),
        shape(frame_647_shape_group_5_shape_7_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(185, 198),
        horizontal_line(185, 197),
        horizontal_line(185, 197),
        horizontal_line(133, 146),
        horizontal_line(133, 148),
        horizontal_line(184, 197),
        horizontal_line(132, 153),
        horizontal_line(132, 156),
        horizontal_line(132, 159),
        horizontal_line(132, 161),
        horizontal_line(132, 164),
        horizontal_line(132, 166),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(135, 172),
        horizontal_line(136, 171),
        horizontal_line(138, 171),
        horizontal_line(139, 170),
        horizontal_line(141, 170),
        horizontal_line(142, 169),
        horizontal_line(144, 169),
        horizontal_line(145, 168),
        horizontal_line(147, 168),
        horizontal_line(148, 168),
        horizontal_line(150, 167),
        horizontal_line(151, 167),
        horizontal_line(153, 166),
        horizontal_line(154, 166),
        horizontal_line(156, 165),
        horizontal_line(158, 165),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(136, 139),
        horizontal_line(133, 138),
        horizontal_line(130, 138),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(137, 150),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 145),
        horizontal_line(130, 145),
        horizontal_line(130, 144),
        horizontal_line(129, 144),
        horizontal_line(161, 184),
        horizontal_line(161, 183),
        horizontal_line(161, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(158, 182),
        horizontal_line(158, 182),
        horizontal_line(158, 182),
        horizontal_line(157, 181),
        horizontal_line(157, 181),
        horizontal_line(157, 181),
        horizontal_line(156, 181),
        horizontal_line(156, 181),
        horizontal_line(156, 181),
        horizontal_line(155, 180),
        horizontal_line(155, 180),
        horizontal_line(117, 135),
        horizontal_line(155, 180),
        horizontal_line(154, 180),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(112, 132),
        horizontal_line(112, 131),
        horizontal_line(111, 131),
        horizontal_line(111, 130),
        horizontal_line(110, 130),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(148, 176),
        horizontal_line(148, 176),
        horizontal_line(148, 176),
        horizontal_line(147, 176),
        horizontal_line(147, 175),
        horizontal_line(147, 175),
        horizontal_line(146, 175),
    };

    constexpr const horizontal_line frame_647_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(141, 172),
        horizontal_line(140, 172),
        horizontal_line(140, 171),
        horizontal_line(140, 171),
        horizontal_line(139, 171),
        horizontal_line(139, 171),
        horizontal_line(139, 171),
        horizontal_line(139, 171),
    };

    constexpr const shape frame_647_shape_group_6_shapes[] = {
        shape(frame_647_shape_group_6_shape_0_horizontal_lines, 9, 2),
        shape(frame_647_shape_group_6_shape_1_horizontal_lines, 22, 4),
        shape(frame_647_shape_group_6_shape_2_horizontal_lines, 23, 2),
        shape(frame_647_shape_group_6_shape_3_horizontal_lines, 40, 4),
        shape(frame_647_shape_group_6_shape_4_horizontal_lines, 47, 2),
        shape(frame_647_shape_group_6_shape_5_horizontal_lines, 51, 4),
        shape(frame_647_shape_group_6_shape_6_horizontal_lines, 54, 2),
        shape(frame_647_shape_group_6_shape_7_horizontal_lines, 128, 2),
        shape(frame_647_shape_group_6_shape_8_horizontal_lines, 152, 2),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(184, 197),
        horizontal_line(184, 197),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(183, 197),
        horizontal_line(183, 196),
        horizontal_line(183, 196),
        horizontal_line(183, 196),
        horizontal_line(182, 196),
        horizontal_line(182, 196),
        horizontal_line(133, 169),
        horizontal_line(181, 195),
        horizontal_line(181, 195),
        horizontal_line(181, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(128, 137),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(148, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(144, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(141, 153),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(137, 150),
        horizontal_line(166, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(161, 184),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(155, 180),
    };

    constexpr const horizontal_line frame_647_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(153, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 178),
        horizontal_line(152, 178),
        horizontal_line(151, 178),
    };

    constexpr const shape frame_647_shape_group_7_shapes[] = {
        shape(frame_647_shape_group_7_shape_0_horizontal_lines, 13, 2),
        shape(frame_647_shape_group_7_shape_1_horizontal_lines, 16, 2),
        shape(frame_647_shape_group_7_shape_2_horizontal_lines, 39, 5),
        shape(frame_647_shape_group_7_shape_3_horizontal_lines, 40, 2),
        shape(frame_647_shape_group_7_shape_4_horizontal_lines, 107, 2),
        shape(frame_647_shape_group_7_shape_5_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_647_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(182, 195),
    };

    constexpr const horizontal_line frame_647_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(125, 130),
        horizontal_line(125, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
    };

    constexpr const horizontal_line frame_647_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(175, 192),
        horizontal_line(175, 192),
        horizontal_line(175, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 191),
        horizontal_line(173, 191),
        horizontal_line(173, 191),
        horizontal_line(173, 190),
        horizontal_line(150, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 158),
        horizontal_line(172, 190),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(169, 188),
        horizontal_line(168, 188),
        horizontal_line(168, 188),
        horizontal_line(168, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 186),
    };

    constexpr const horizontal_line frame_647_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_647_shape_group_8_shapes[] = {
        shape(frame_647_shape_group_8_shape_0_horizontal_lines, 22, 2),
        shape(frame_647_shape_group_8_shape_1_horizontal_lines, 31, 5),
        shape(frame_647_shape_group_8_shape_2_horizontal_lines, 40, 2),
        shape(frame_647_shape_group_8_shape_3_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_647_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 135),
        horizontal_line(123, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 138),
        horizontal_line(127, 135),
        horizontal_line(128, 132),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_647_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(172, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 190),
    };

    constexpr const shape frame_647_shape_group_9_shapes[] = {
        shape(frame_647_shape_group_9_shape_0_horizontal_lines, 40, 5),
        shape(frame_647_shape_group_9_shape_1_horizontal_lines, 51, 2),
    };

    constexpr const shape_group frame_647_shape_groups[] = {
        shape_group(frame_647_shape_group_0_shapes),
        shape_group(frame_647_shape_group_1_shapes),
        shape_group(frame_647_shape_group_2_shapes),
        shape_group(frame_647_shape_group_3_shapes),
        shape_group(frame_647_shape_group_4_shapes),
        shape_group(frame_647_shape_group_5_shapes),
        shape_group(frame_647_shape_group_6_shapes),
        shape_group(frame_647_shape_group_7_shapes),
        shape_group(frame_647_shape_group_8_shapes),
        shape_group(frame_647_shape_group_9_shapes),
    };

    constexpr const frame frame_647_impl(frame_647_colors, frame_647_shape_groups);
} 

const frame& frame_647()
{
    return frame_647_impl;
}

namespace
{
    constexpr const bn::color frame_648_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_648_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(93, 124),
        horizontal_line(92, 123),
        horizontal_line(92, 123),
        horizontal_line(92, 123),
        horizontal_line(92, 122),
        horizontal_line(92, 122),
        horizontal_line(92, 122),
        horizontal_line(91, 122),
        horizontal_line(91, 121),
        horizontal_line(91, 121),
        horizontal_line(91, 121),
        horizontal_line(91, 120),
        horizontal_line(91, 120),
        horizontal_line(90, 120),
        horizontal_line(90, 120),
        horizontal_line(90, 119),
        horizontal_line(90, 119),
        horizontal_line(90, 119),
        horizontal_line(90, 118),
        horizontal_line(89, 118),
        horizontal_line(89, 118),
        horizontal_line(89, 118),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 117),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 115),
        horizontal_line(88, 115),
        horizontal_line(87, 115),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 112),
        horizontal_line(86, 112),
        horizontal_line(86, 112),
        horizontal_line(85, 111),
        horizontal_line(85, 111),
        horizontal_line(85, 111),
        horizontal_line(85, 111),
        horizontal_line(85, 110),
        horizontal_line(85, 110),
        horizontal_line(84, 110),
        horizontal_line(84, 109),
        horizontal_line(84, 109),
        horizontal_line(84, 109),
        horizontal_line(84, 109),
        horizontal_line(84, 108),
        horizontal_line(84, 108),
        horizontal_line(83, 108),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 107),
        horizontal_line(83, 106),
        horizontal_line(82, 106),
        horizontal_line(82, 106),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(80, 103),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 101),
        horizontal_line(79, 101),
        horizontal_line(79, 101),
        horizontal_line(79, 100),
        horizontal_line(79, 100),
        horizontal_line(79, 100),
        horizontal_line(79, 100),
        horizontal_line(78, 99),
        horizontal_line(78, 99),
        horizontal_line(78, 99),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 97),
        horizontal_line(77, 97),
        horizontal_line(77, 97),
        horizontal_line(77, 96),
        horizontal_line(77, 96),
        horizontal_line(76, 96),
        horizontal_line(76, 96),
        horizontal_line(76, 95),
        horizontal_line(76, 95),
        horizontal_line(76, 95),
        horizontal_line(76, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 94),
        horizontal_line(75, 93),
        horizontal_line(75, 93),
        horizontal_line(75, 93),
        horizontal_line(75, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 92),
        horizontal_line(74, 91),
        horizontal_line(74, 91),
        horizontal_line(74, 91),
        horizontal_line(73, 91),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 90),
        horizontal_line(73, 89),
        horizontal_line(73, 89),
        horizontal_line(72, 89),
        horizontal_line(72, 89),
        horizontal_line(72, 88),
        horizontal_line(72, 88),
        horizontal_line(72, 88),
        horizontal_line(72, 87),
        horizontal_line(71, 87),
        horizontal_line(71, 87),
        horizontal_line(71, 87),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(70, 84),
        horizontal_line(70, 84),
        horizontal_line(69, 84),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(69, 82),
        horizontal_line(68, 82),
        horizontal_line(68, 82),
        horizontal_line(68, 81),
        horizontal_line(68, 81),
        horizontal_line(68, 81),
        horizontal_line(68, 81),
        horizontal_line(67, 80),
        horizontal_line(67, 80),
        horizontal_line(67, 80),
        horizontal_line(67, 80),
        horizontal_line(67, 79),
        horizontal_line(67, 79),
        horizontal_line(67, 79),
    };

    constexpr const shape frame_648_shape_group_0_shapes[] = {
        shape(frame_648_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(133, 187),
        horizontal_line(133, 186),
        horizontal_line(133, 185),
        horizontal_line(134, 185),
        horizontal_line(134, 184),
        horizontal_line(135, 183),
        horizontal_line(137, 183),
        horizontal_line(140, 182),
        horizontal_line(143, 181),
        horizontal_line(145, 181),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(135, 158),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(136, 156),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 126),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 128),
        horizontal_line(117, 129),
        horizontal_line(117, 130),
        horizontal_line(117, 126),
        horizontal_line(117, 122),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(111, 118),
        horizontal_line(111, 117),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
        horizontal_line(110, 114),
        horizontal_line(109, 113),
        horizontal_line(109, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(106, 107),
        horizontal_line(106, 106),
        horizontal_line(121, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(119, 132),
        horizontal_line(118, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 128),
        horizontal_line(113, 128),
        horizontal_line(112, 127),
        horizontal_line(111, 126),
        horizontal_line(111, 126),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(108, 124),
        horizontal_line(108, 123),
        horizontal_line(107, 123),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(105, 121),
        horizontal_line(104, 121),
        horizontal_line(103, 120),
        horizontal_line(103, 119),
        horizontal_line(102, 119),
        horizontal_line(101, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(99, 117),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(94, 95),
        horizontal_line(94, 98),
        horizontal_line(93, 99),
        horizontal_line(93, 100),
        horizontal_line(93, 101),
        horizontal_line(93, 102),
        horizontal_line(92, 103),
        horizontal_line(93, 104),
        horizontal_line(96, 105),
        horizontal_line(99, 106),
        horizontal_line(102, 107),
        horizontal_line(105, 108),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(131, 151),
        horizontal_line(130, 151),
        horizontal_line(130, 151),
        horizontal_line(130, 151),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(128, 150),
        horizontal_line(128, 149),
        horizontal_line(127, 149),
        horizontal_line(127, 149),
    };

    constexpr const horizontal_line frame_648_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(87, 93),
        horizontal_line(87, 98),
        horizontal_line(87, 103),
        horizontal_line(86, 108),
        horizontal_line(86, 113),
        horizontal_line(86, 118),
        horizontal_line(86, 123),
        horizontal_line(85, 123),
        horizontal_line(85, 123),
        horizontal_line(85, 124),
        horizontal_line(84, 124),
        horizontal_line(84, 125),
        horizontal_line(84, 125),
        horizontal_line(84, 126),
        horizontal_line(83, 126),
        horizontal_line(83, 127),
        horizontal_line(83, 127),
        horizontal_line(82, 128),
        horizontal_line(82, 128),
        horizontal_line(82, 129),
        horizontal_line(82, 129),
        horizontal_line(81, 130),
        horizontal_line(81, 130),
        horizontal_line(81, 131),
        horizontal_line(81, 131),
        horizontal_line(85, 132),
        horizontal_line(90, 132),
        horizontal_line(96, 133),
    };

    constexpr const shape frame_648_shape_group_1_shapes[] = {
        shape(frame_648_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_648_shape_group_1_shape_1_horizontal_lines, 10, 7),
        shape(frame_648_shape_group_1_shape_2_horizontal_lines, 12, 1),
        shape(frame_648_shape_group_1_shape_3_horizontal_lines, 13, 7),
        shape(frame_648_shape_group_1_shape_4_horizontal_lines, 36, 1),
        shape(frame_648_shape_group_1_shape_5_horizontal_lines, 37, 7),
        shape(frame_648_shape_group_1_shape_6_horizontal_lines, 38, 1),
        shape(frame_648_shape_group_1_shape_7_horizontal_lines, 39, 7),
        shape(frame_648_shape_group_1_shape_8_horizontal_lines, 40, 1),
        shape(frame_648_shape_group_1_shape_9_horizontal_lines, 54, 4),
        shape(frame_648_shape_group_1_shape_10_horizontal_lines, 108, 1),
        shape(frame_648_shape_group_1_shape_11_horizontal_lines, 121, 4),
        shape(frame_648_shape_group_1_shape_12_horizontal_lines, 131, 1),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(188, 190),
        horizontal_line(187, 189),
        horizontal_line(186, 189),
        horizontal_line(186, 189),
        horizontal_line(185, 188),
        horizontal_line(184, 188),
        horizontal_line(184, 188),
        horizontal_line(183, 187),
        horizontal_line(182, 187),
        horizontal_line(182, 187),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(148, 180),
        horizontal_line(151, 179),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(180, 186),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(156, 178),
        horizontal_line(159, 177),
        horizontal_line(161, 177),
        horizontal_line(164, 176),
        horizontal_line(167, 175),
        horizontal_line(169, 175),
        horizontal_line(133, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 136),
        horizontal_line(131, 137),
        horizontal_line(131, 139),
        horizontal_line(130, 140),
        horizontal_line(130, 142),
        horizontal_line(129, 143),
        horizontal_line(128, 145),
        horizontal_line(128, 146),
        horizontal_line(128, 147),
        horizontal_line(129, 149),
        horizontal_line(130, 150),
        horizontal_line(131, 152),
        horizontal_line(132, 153),
        horizontal_line(133, 155),
        horizontal_line(134, 156),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(168, 178),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(167, 178),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(138, 153),
        horizontal_line(139, 151),
        horizontal_line(140, 150),
        horizontal_line(141, 148),
        horizontal_line(142, 147),
        horizontal_line(143, 145),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_648_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(141, 150),
        horizontal_line(141, 149),
        horizontal_line(127, 129),
        horizontal_line(123, 128),
        horizontal_line(119, 127),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(136, 146),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(127, 138),
        horizontal_line(126, 138),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 134),
        horizontal_line(150, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(144, 161),
        horizontal_line(144, 161),
        horizontal_line(143, 161),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(140, 158),
        horizontal_line(140, 158),
        horizontal_line(139, 158),
        horizontal_line(139, 157),
        horizontal_line(139, 157),
        horizontal_line(138, 157),
        horizontal_line(138, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(98, 116),
        horizontal_line(99, 115),
        horizontal_line(100, 115),
        horizontal_line(101, 114),
        horizontal_line(102, 114),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(105, 112),
        horizontal_line(106, 111),
        horizontal_line(107, 111),
        horizontal_line(108, 110),
        horizontal_line(109, 110),
        horizontal_line(131, 152),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(127, 148),
        horizontal_line(126, 148),
        horizontal_line(126, 148),
        horizontal_line(125, 147),
        horizontal_line(125, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(125, 145),
        horizontal_line(125, 145),
        horizontal_line(126, 145),
        horizontal_line(126, 144),
        horizontal_line(127, 144),
        horizontal_line(127, 144),
        horizontal_line(128, 143),
        horizontal_line(128, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(134, 140),
    };

    constexpr const shape frame_648_shape_group_2_shapes[] = {
        shape(frame_648_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_648_shape_group_2_shape_1_horizontal_lines, 10, 1),
        shape(frame_648_shape_group_2_shape_2_horizontal_lines, 12, 4),
        shape(frame_648_shape_group_2_shape_3_horizontal_lines, 13, 1),
        shape(frame_648_shape_group_2_shape_4_horizontal_lines, 36, 4),
        shape(frame_648_shape_group_2_shape_5_horizontal_lines, 37, 1),
        shape(frame_648_shape_group_2_shape_6_horizontal_lines, 38, 4),
        shape(frame_648_shape_group_2_shape_7_horizontal_lines, 39, 1),
        shape(frame_648_shape_group_2_shape_8_horizontal_lines, 47, 4),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(181, 186),
        horizontal_line(180, 186),
        horizontal_line(202, 239),
        horizontal_line(179, 185),
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(177, 184),
        horizontal_line(176, 184),
        horizontal_line(176, 184),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(175, 183),
        horizontal_line(174, 183),
        horizontal_line(174, 183),
        horizontal_line(173, 182),
        horizontal_line(173, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(171, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(169, 179),
        horizontal_line(169, 179),
        horizontal_line(168, 179),
        horizontal_line(168, 178),
        horizontal_line(198, 239),
        horizontal_line(167, 178),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(137, 154),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(152, 155),
        horizontal_line(151, 154),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
        horizontal_line(146, 152),
        horizontal_line(145, 152),
        horizontal_line(163, 175),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(140, 149),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(160, 173),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 172),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 170),
        horizontal_line(156, 170),
        horizontal_line(156, 170),
        horizontal_line(155, 169),
        horizontal_line(155, 169),
        horizontal_line(155, 169),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 167),
        horizontal_line(152, 167),
        horizontal_line(152, 167),
        horizontal_line(152, 167),
        horizontal_line(151, 166),
        horizontal_line(151, 166),
        horizontal_line(150, 166),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(136, 156),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(135, 155),
        horizontal_line(135, 154),
        horizontal_line(134, 154),
        horizontal_line(134, 154),
        horizontal_line(133, 153),
        horizontal_line(133, 153),
        horizontal_line(133, 153),
        horizontal_line(132, 152),
        horizontal_line(132, 152),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(90, 130),
        horizontal_line(90, 129),
        horizontal_line(90, 129),
        horizontal_line(90, 129),
        horizontal_line(89, 128),
        horizontal_line(89, 128),
        horizontal_line(89, 127),
        horizontal_line(88, 127),
        horizontal_line(88, 126),
        horizontal_line(88, 126),
    };

    constexpr const horizontal_line frame_648_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const shape frame_648_shape_group_3_shapes[] = {
        shape(frame_648_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_648_shape_group_3_shape_1_horizontal_lines, 19, 1),
        shape(frame_648_shape_group_3_shape_2_horizontal_lines, 20, 4),
        shape(frame_648_shape_group_3_shape_3_horizontal_lines, 39, 1),
        shape(frame_648_shape_group_3_shape_4_horizontal_lines, 40, 4),
        shape(frame_648_shape_group_3_shape_5_horizontal_lines, 121, 2),
        shape(frame_648_shape_group_3_shape_6_horizontal_lines, 131, 4),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(191, 204),
        horizontal_line(190, 203),
        horizontal_line(190, 203),
        horizontal_line(190, 203),
        horizontal_line(189, 203),
        horizontal_line(189, 203),
        horizontal_line(135, 136),
        horizontal_line(135, 139),
        horizontal_line(134, 142),
        horizontal_line(134, 144),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(133, 152),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(175, 184),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(157, 166),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(166, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 176),
        horizontal_line(165, 176),
        horizontal_line(164, 176),
        horizontal_line(164, 175),
        horizontal_line(163, 175),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(160, 173),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(106, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(102, 114),
        horizontal_line(102, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(101, 111),
        horizontal_line(100, 110),
        horizontal_line(100, 110),
        horizontal_line(99, 109),
        horizontal_line(99, 108),
        horizontal_line(98, 107),
        horizontal_line(98, 107),
        horizontal_line(98, 106),
        horizontal_line(97, 105),
        horizontal_line(97, 105),
        horizontal_line(97, 104),
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(96, 102),
        horizontal_line(95, 101),
        horizontal_line(95, 100),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(91, 107),
        horizontal_line(152, 182),
        horizontal_line(152, 182),
        horizontal_line(152, 182),
        horizontal_line(152, 182),
        horizontal_line(151, 181),
        horizontal_line(151, 181),
        horizontal_line(151, 181),
        horizontal_line(150, 181),
        horizontal_line(150, 181),
        horizontal_line(150, 181),
        horizontal_line(89, 126),
        horizontal_line(94, 125),
        horizontal_line(99, 125),
        horizontal_line(104, 124),
        horizontal_line(109, 124),
        horizontal_line(114, 123),
        horizontal_line(119, 123),
        horizontal_line(147, 179),
        horizontal_line(147, 179),
        horizontal_line(146, 179),
        horizontal_line(146, 179),
        horizontal_line(146, 178),
        horizontal_line(146, 178),
        horizontal_line(145, 178),
        horizontal_line(145, 178),
        horizontal_line(145, 178),
        horizontal_line(144, 178),
        horizontal_line(144, 177),
        horizontal_line(144, 177),
        horizontal_line(143, 177),
        horizontal_line(143, 177),
        horizontal_line(143, 177),
        horizontal_line(142, 177),
    };

    constexpr const horizontal_line frame_648_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_648_shape_group_4_shapes[] = {
        shape(frame_648_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_648_shape_group_4_shape_1_horizontal_lines, 10, 4),
        shape(frame_648_shape_group_4_shape_2_horizontal_lines, 12, 2),
        shape(frame_648_shape_group_4_shape_3_horizontal_lines, 13, 4),
        shape(frame_648_shape_group_4_shape_4_horizontal_lines, 36, 2),
        shape(frame_648_shape_group_4_shape_5_horizontal_lines, 37, 4),
        shape(frame_648_shape_group_4_shape_6_horizontal_lines, 38, 2),
        shape(frame_648_shape_group_4_shape_7_horizontal_lines, 39, 4),
        shape(frame_648_shape_group_4_shape_8_horizontal_lines, 77, 2),
        shape(frame_648_shape_group_4_shape_9_horizontal_lines, 108, 4),
        shape(frame_648_shape_group_4_shape_10_horizontal_lines, 120, 2),
        shape(frame_648_shape_group_4_shape_11_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(189, 202),
        horizontal_line(188, 202),
        horizontal_line(188, 202),
        horizontal_line(188, 202),
        horizontal_line(134, 147),
        horizontal_line(134, 150),
        horizontal_line(187, 201),
        horizontal_line(133, 155),
        horizontal_line(133, 158),
        horizontal_line(133, 160),
        horizontal_line(133, 163),
        horizontal_line(133, 166),
        horizontal_line(133, 168),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(135, 174),
        horizontal_line(137, 173),
        horizontal_line(138, 173),
        horizontal_line(140, 172),
        horizontal_line(141, 172),
        horizontal_line(143, 171),
        horizontal_line(144, 171),
        horizontal_line(146, 170),
        horizontal_line(147, 170),
        horizontal_line(148, 170),
        horizontal_line(150, 169),
        horizontal_line(151, 169),
        horizontal_line(153, 168),
        horizontal_line(154, 168),
        horizontal_line(156, 167),
        horizontal_line(157, 167),
        horizontal_line(179, 197),
        horizontal_line(158, 166),
        horizontal_line(179, 197),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(166, 177),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(138, 141),
        horizontal_line(135, 140),
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 124),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(135, 149),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 147),
        horizontal_line(132, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(125, 142),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(122, 139),
        horizontal_line(122, 139),
        horizontal_line(121, 138),
        horizontal_line(120, 138),
        horizontal_line(120, 138),
        horizontal_line(119, 137),
        horizontal_line(119, 137),
        horizontal_line(118, 136),
        horizontal_line(118, 136),
        horizontal_line(97, 97),
        horizontal_line(116, 135),
        horizontal_line(116, 135),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(114, 133),
        horizontal_line(114, 133),
        horizontal_line(92, 92),
        horizontal_line(92, 95),
        horizontal_line(92, 98),
        horizontal_line(91, 101),
        horizontal_line(91, 104),
        horizontal_line(110, 130),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(149, 180),
        horizontal_line(149, 180),
        horizontal_line(149, 180),
        horizontal_line(148, 180),
        horizontal_line(148, 180),
        horizontal_line(148, 180),
        horizontal_line(147, 179),
    };

    constexpr const horizontal_line frame_648_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(141, 176),
        horizontal_line(80, 84),
        horizontal_line(80, 89),
        horizontal_line(80, 95),
    };

    constexpr const shape frame_648_shape_group_5_shapes[] = {
        shape(frame_648_shape_group_5_shape_0_horizontal_lines, 6, 2),
        shape(frame_648_shape_group_5_shape_1_horizontal_lines, 19, 4),
        shape(frame_648_shape_group_5_shape_2_horizontal_lines, 20, 2),
        shape(frame_648_shape_group_5_shape_3_horizontal_lines, 39, 4),
        shape(frame_648_shape_group_5_shape_4_horizontal_lines, 47, 2),
        shape(frame_648_shape_group_5_shape_5_horizontal_lines, 51, 4),
        shape(frame_648_shape_group_5_shape_6_horizontal_lines, 54, 2),
        shape(frame_648_shape_group_5_shape_7_horizontal_lines, 131, 2),
        shape(frame_648_shape_group_5_shape_8_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(187, 202),
        horizontal_line(187, 202),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 200),
        horizontal_line(134, 171),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(183, 199),
        horizontal_line(183, 199),
        horizontal_line(183, 199),
        horizontal_line(182, 199),
        horizontal_line(182, 199),
        horizontal_line(182, 199),
        horizontal_line(181, 198),
        horizontal_line(181, 198),
        horizontal_line(181, 198),
        horizontal_line(180, 198),
        horizontal_line(180, 198),
        horizontal_line(180, 198),
        horizontal_line(179, 197),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(123, 134),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(179, 197),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(122, 135),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(156, 165),
        horizontal_line(156, 164),
        horizontal_line(155, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 161),
        horizontal_line(151, 161),
        horizontal_line(150, 161),
        horizontal_line(130, 139),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(148, 158),
        horizontal_line(147, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 155),
        horizontal_line(143, 155),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 150),
        horizontal_line(136, 150),
        horizontal_line(135, 149),
        horizontal_line(166, 190),
        horizontal_line(166, 190),
        horizontal_line(166, 190),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(164, 189),
        horizontal_line(164, 189),
        horizontal_line(164, 189),
        horizontal_line(163, 188),
        horizontal_line(163, 188),
        horizontal_line(163, 188),
        horizontal_line(163, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 187),
        horizontal_line(162, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(160, 187),
        horizontal_line(160, 186),
        horizontal_line(160, 186),
        horizontal_line(159, 186),
        horizontal_line(159, 186),
        horizontal_line(159, 186),
        horizontal_line(158, 186),
        horizontal_line(158, 185),
        horizontal_line(158, 185),
        horizontal_line(157, 185),
        horizontal_line(157, 185),
        horizontal_line(157, 185),
        horizontal_line(117, 135),
        horizontal_line(156, 184),
        horizontal_line(156, 184),
        horizontal_line(156, 184),
        horizontal_line(155, 184),
        horizontal_line(155, 184),
        horizontal_line(155, 183),
        horizontal_line(113, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(111, 131),
        horizontal_line(111, 131),
        horizontal_line(153, 182),
    };

    constexpr const horizontal_line frame_648_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(141, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 176),
    };

    constexpr const shape frame_648_shape_group_6_shapes[] = {
        shape(frame_648_shape_group_6_shape_0_horizontal_lines, 10, 2),
        shape(frame_648_shape_group_6_shape_1_horizontal_lines, 13, 2),
        shape(frame_648_shape_group_6_shape_2_horizontal_lines, 36, 5),
        shape(frame_648_shape_group_6_shape_3_horizontal_lines, 37, 2),
        shape(frame_648_shape_group_6_shape_4_horizontal_lines, 38, 5),
        shape(frame_648_shape_group_6_shape_5_horizontal_lines, 39, 4),
        shape(frame_648_shape_group_6_shape_6_horizontal_lines, 40, 2),
        shape(frame_648_shape_group_6_shape_7_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(185, 200),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(125, 131),
        horizontal_line(125, 132),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(178, 196),
        horizontal_line(178, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(176, 196),
        horizontal_line(176, 195),
        horizontal_line(176, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(175, 195),
        horizontal_line(150, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 159),
        horizontal_line(148, 159),
        horizontal_line(173, 194),
        horizontal_line(173, 194),
        horizontal_line(173, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(172, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 193),
        horizontal_line(171, 192),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(167, 190),
        horizontal_line(167, 190),
        horizontal_line(167, 190),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(157, 184),
    };

    constexpr const horizontal_line frame_648_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
    };

    constexpr const shape frame_648_shape_group_7_shapes[] = {
        shape(frame_648_shape_group_7_shape_0_horizontal_lines, 19, 2),
        shape(frame_648_shape_group_7_shape_1_horizontal_lines, 29, 5),
        shape(frame_648_shape_group_7_shape_2_horizontal_lines, 37, 5),
        shape(frame_648_shape_group_7_shape_3_horizontal_lines, 39, 2),
        shape(frame_648_shape_group_7_shape_4_horizontal_lines, 107, 5),
        shape(frame_648_shape_group_7_shape_5_horizontal_lines, 108, 2),
        shape(frame_648_shape_group_7_shape_6_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_648_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(178, 197),
    };

    constexpr const horizontal_line frame_648_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(126, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(128, 143),
        horizontal_line(128, 140),
        horizontal_line(129, 137),
        horizontal_line(130, 134),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_648_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(174, 195),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
        horizontal_line(174, 194),
    };

    constexpr const horizontal_line frame_648_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_648_shape_group_8_shapes[] = {
        shape(frame_648_shape_group_8_shape_0_horizontal_lines, 39, 2),
        shape(frame_648_shape_group_8_shape_1_horizontal_lines, 40, 5),
        shape(frame_648_shape_group_8_shape_2_horizontal_lines, 51, 2),
        shape(frame_648_shape_group_8_shape_3_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_648_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_648_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
    };

    constexpr const shape frame_648_shape_group_9_shapes[] = {
        shape(frame_648_shape_group_9_shape_0_horizontal_lines, 39, 5),
        shape(frame_648_shape_group_9_shape_1_horizontal_lines, 51, 5),
    };

    constexpr const shape_group frame_648_shape_groups[] = {
        shape_group(frame_648_shape_group_0_shapes),
        shape_group(frame_648_shape_group_1_shapes),
        shape_group(frame_648_shape_group_2_shapes),
        shape_group(frame_648_shape_group_3_shapes),
        shape_group(frame_648_shape_group_4_shapes),
        shape_group(frame_648_shape_group_5_shapes),
        shape_group(frame_648_shape_group_6_shapes),
        shape_group(frame_648_shape_group_7_shapes),
        shape_group(frame_648_shape_group_8_shapes),
        shape_group(frame_648_shape_group_9_shapes),
    };

    constexpr const frame frame_648_impl(frame_648_colors, frame_648_shape_groups);
} 

const frame& frame_648()
{
    return frame_648_impl;
}

namespace
{
    constexpr const bn::color frame_649_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_649_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(85, 121),
        horizontal_line(84, 120),
        horizontal_line(84, 120),
        horizontal_line(84, 120),
        horizontal_line(84, 119),
        horizontal_line(84, 119),
        horizontal_line(84, 119),
        horizontal_line(83, 119),
        horizontal_line(83, 118),
        horizontal_line(83, 118),
        horizontal_line(83, 118),
        horizontal_line(83, 117),
        horizontal_line(83, 117),
        horizontal_line(82, 117),
        horizontal_line(82, 117),
        horizontal_line(82, 116),
        horizontal_line(82, 116),
        horizontal_line(82, 116),
        horizontal_line(82, 116),
        horizontal_line(81, 115),
        horizontal_line(81, 115),
        horizontal_line(81, 115),
        horizontal_line(81, 114),
        horizontal_line(81, 114),
        horizontal_line(81, 114),
        horizontal_line(80, 114),
        horizontal_line(80, 113),
        horizontal_line(80, 113),
        horizontal_line(80, 113),
        horizontal_line(80, 112),
        horizontal_line(80, 112),
        horizontal_line(79, 112),
        horizontal_line(79, 112),
        horizontal_line(79, 111),
        horizontal_line(79, 111),
        horizontal_line(79, 111),
        horizontal_line(79, 111),
        horizontal_line(78, 110),
        horizontal_line(78, 110),
        horizontal_line(78, 110),
        horizontal_line(78, 109),
        horizontal_line(78, 109),
        horizontal_line(78, 109),
        horizontal_line(77, 109),
        horizontal_line(77, 108),
        horizontal_line(77, 108),
        horizontal_line(77, 108),
        horizontal_line(77, 107),
        horizontal_line(77, 107),
        horizontal_line(76, 107),
        horizontal_line(76, 107),
        horizontal_line(76, 106),
        horizontal_line(76, 106),
        horizontal_line(76, 106),
        horizontal_line(76, 106),
        horizontal_line(76, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 105),
        horizontal_line(75, 104),
        horizontal_line(75, 104),
        horizontal_line(75, 104),
        horizontal_line(75, 104),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(73, 102),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 100),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
        horizontal_line(72, 99),
        horizontal_line(72, 99),
        horizontal_line(72, 99),
        horizontal_line(72, 99),
        horizontal_line(71, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 97),
        horizontal_line(71, 97),
        horizontal_line(70, 97),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 95),
        horizontal_line(69, 95),
        horizontal_line(69, 95),
        horizontal_line(69, 94),
        horizontal_line(69, 94),
        horizontal_line(69, 94),
        horizontal_line(69, 94),
        horizontal_line(68, 93),
        horizontal_line(68, 93),
        horizontal_line(68, 93),
        horizontal_line(68, 93),
        horizontal_line(68, 92),
        horizontal_line(68, 92),
        horizontal_line(67, 92),
        horizontal_line(67, 91),
        horizontal_line(67, 91),
        horizontal_line(67, 91),
        horizontal_line(67, 91),
        horizontal_line(67, 90),
        horizontal_line(67, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 90),
        horizontal_line(66, 89),
        horizontal_line(66, 89),
        horizontal_line(66, 89),
        horizontal_line(66, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 88),
        horizontal_line(65, 87),
        horizontal_line(65, 87),
        horizontal_line(65, 87),
        horizontal_line(64, 86),
        horizontal_line(64, 86),
        horizontal_line(64, 86),
        horizontal_line(64, 86),
        horizontal_line(64, 85),
        horizontal_line(64, 85),
        horizontal_line(63, 85),
        horizontal_line(63, 85),
        horizontal_line(63, 84),
        horizontal_line(63, 84),
        horizontal_line(63, 84),
        horizontal_line(63, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(61, 81),
        horizontal_line(61, 81),
        horizontal_line(61, 81),
        horizontal_line(61, 81),
        horizontal_line(61, 80),
        horizontal_line(61, 80),
        horizontal_line(60, 80),
        horizontal_line(60, 80),
        horizontal_line(60, 79),
        horizontal_line(60, 79),
        horizontal_line(60, 79),
        horizontal_line(60, 78),
        horizontal_line(59, 78),
        horizontal_line(59, 78),
        horizontal_line(59, 78),
        horizontal_line(59, 77),
        horizontal_line(59, 77),
        horizontal_line(59, 77),
        horizontal_line(59, 77),
    };

    constexpr const shape frame_649_shape_group_0_shapes[] = {
        shape(frame_649_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(135, 187),
        horizontal_line(135, 186),
        horizontal_line(137, 185),
        horizontal_line(140, 185),
        horizontal_line(143, 184),
        horizontal_line(145, 184),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(118, 131),
        horizontal_line(118, 125),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(111, 121),
        horizontal_line(111, 120),
        horizontal_line(110, 119),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(107, 112),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 106),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(103, 103),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(115, 130),
        horizontal_line(114, 130),
        horizontal_line(114, 129),
        horizontal_line(113, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 127),
        horizontal_line(111, 127),
        horizontal_line(110, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 125),
        horizontal_line(108, 124),
        horizontal_line(107, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(105, 122),
        horizontal_line(104, 122),
        horizontal_line(103, 121),
        horizontal_line(103, 120),
        horizontal_line(102, 120),
        horizontal_line(101, 119),
        horizontal_line(100, 119),
        horizontal_line(100, 118),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(92, 96),
        horizontal_line(91, 98),
        horizontal_line(91, 99),
        horizontal_line(91, 100),
        horizontal_line(90, 101),
        horizontal_line(90, 102),
        horizontal_line(90, 103),
        horizontal_line(91, 104),
        horizontal_line(94, 105),
        horizontal_line(98, 106),
        horizontal_line(101, 107),
        horizontal_line(105, 108),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(131, 153),
        horizontal_line(131, 153),
        horizontal_line(131, 153),
        horizontal_line(130, 152),
        horizontal_line(130, 152),
        horizontal_line(129, 152),
        horizontal_line(129, 151),
        horizontal_line(128, 151),
        horizontal_line(128, 151),
        horizontal_line(127, 150),
        horizontal_line(127, 150),
    };

    constexpr const horizontal_line frame_649_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 87),
        horizontal_line(84, 92),
        horizontal_line(84, 97),
        horizontal_line(84, 103),
        horizontal_line(84, 108),
        horizontal_line(83, 113),
        horizontal_line(83, 118),
        horizontal_line(83, 123),
        horizontal_line(82, 123),
        horizontal_line(82, 123),
        horizontal_line(82, 124),
        horizontal_line(82, 124),
        horizontal_line(81, 124),
        horizontal_line(81, 125),
        horizontal_line(81, 125),
        horizontal_line(81, 125),
        horizontal_line(80, 126),
        horizontal_line(80, 126),
        horizontal_line(80, 127),
        horizontal_line(79, 127),
        horizontal_line(79, 127),
        horizontal_line(79, 128),
        horizontal_line(79, 128),
        horizontal_line(78, 128),
        horizontal_line(78, 129),
        horizontal_line(78, 129),
        horizontal_line(78, 130),
    };

    constexpr const shape frame_649_shape_group_1_shapes[] = {
        shape(frame_649_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_649_shape_group_1_shape_1_horizontal_lines, 6, 7),
        shape(frame_649_shape_group_1_shape_2_horizontal_lines, 50, 1),
        shape(frame_649_shape_group_1_shape_3_horizontal_lines, 53, 4),
        shape(frame_649_shape_group_1_shape_4_horizontal_lines, 108, 1),
        shape(frame_649_shape_group_1_shape_5_horizontal_lines, 122, 4),
        shape(frame_649_shape_group_1_shape_6_horizontal_lines, 133, 1),
    };

    constexpr const horizontal_line frame_649_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(188, 192),
        horizontal_line(187, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(185, 190),
        horizontal_line(185, 190),
    };

    constexpr const horizontal_line frame_649_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(148, 183),
        horizontal_line(151, 182),
        horizontal_line(153, 182),
        horizontal_line(156, 181),
        horizontal_line(159, 181),
        horizontal_line(161, 180),
        horizontal_line(164, 179),
        horizontal_line(167, 179),
        horizontal_line(169, 178),
        horizontal_line(172, 178),
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_649_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_649_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 136),
        horizontal_line(133, 137),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(131, 142),
        horizontal_line(131, 143),
        horizontal_line(130, 145),
        horizontal_line(129, 146),
        horizontal_line(129, 148),
        horizontal_line(129, 149),
        horizontal_line(130, 151),
        horizontal_line(131, 152),
        horizontal_line(132, 154),
        horizontal_line(133, 155),
        horizontal_line(134, 157),
        horizontal_line(135, 158),
        horizontal_line(136, 160),
        horizontal_line(137, 159),
        horizontal_line(138, 158),
        horizontal_line(123, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(121, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 126),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 128),
        horizontal_line(118, 129),
        horizontal_line(117, 129),
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_649_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(126, 130),
        horizontal_line(120, 129),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 144),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 136),
        horizontal_line(122, 135),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(119, 133),
        horizontal_line(149, 166),
        horizontal_line(149, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 165),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(145, 163),
        horizontal_line(145, 163),
        horizontal_line(145, 163),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 161),
        horizontal_line(142, 161),
        horizontal_line(142, 161),
        horizontal_line(142, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(140, 159),
        horizontal_line(140, 159),
        horizontal_line(139, 159),
        horizontal_line(139, 158),
        horizontal_line(138, 158),
        horizontal_line(138, 158),
        horizontal_line(99, 118),
        horizontal_line(98, 117),
        horizontal_line(99, 116),
        horizontal_line(100, 116),
        horizontal_line(101, 115),
        horizontal_line(102, 115),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 113),
        horizontal_line(106, 112),
        horizontal_line(107, 112),
        horizontal_line(108, 111),
        horizontal_line(109, 111),
        horizontal_line(110, 110),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(127, 150),
        horizontal_line(126, 149),
        horizontal_line(126, 149),
        horizontal_line(125, 149),
        horizontal_line(125, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(125, 147),
        horizontal_line(125, 146),
        horizontal_line(125, 146),
        horizontal_line(126, 146),
        horizontal_line(126, 145),
        horizontal_line(126, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(131, 142),
    };

    constexpr const shape frame_649_shape_group_2_shapes[] = {
        shape(frame_649_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_649_shape_group_2_shape_1_horizontal_lines, 6, 1),
        shape(frame_649_shape_group_2_shape_2_horizontal_lines, 17, 4),
        shape(frame_649_shape_group_2_shape_3_horizontal_lines, 18, 1),
        shape(frame_649_shape_group_2_shape_4_horizontal_lines, 50, 4),
    };

    constexpr const horizontal_line frame_649_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(184, 190),
        horizontal_line(183, 189),
        horizontal_line(183, 189),
        horizontal_line(182, 189),
        horizontal_line(182, 188),
        horizontal_line(181, 188),
        horizontal_line(180, 188),
        horizontal_line(180, 187),
        horizontal_line(179, 187),
        horizontal_line(179, 187),
        horizontal_line(178, 186),
        horizontal_line(208, 239),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(176, 185),
        horizontal_line(176, 185),
        horizontal_line(175, 185),
        horizontal_line(175, 184),
        horizontal_line(174, 184),
        horizontal_line(174, 184),
        horizontal_line(174, 183),
        horizontal_line(173, 183),
        horizontal_line(173, 183),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 180),
        horizontal_line(169, 180),
        horizontal_line(169, 180),
    };

    constexpr const horizontal_line frame_649_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(139, 156),
        horizontal_line(140, 155),
        horizontal_line(141, 153),
        horizontal_line(142, 152),
        horizontal_line(143, 150),
        horizontal_line(144, 149),
        horizontal_line(145, 147),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_649_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 152),
        horizontal_line(143, 151),
        horizontal_line(163, 176),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(162, 175),
        horizontal_line(161, 175),
        horizontal_line(161, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 174),
        horizontal_line(160, 173),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(157, 172),
        horizontal_line(157, 171),
        horizontal_line(156, 171),
        horizontal_line(156, 171),
        horizontal_line(156, 170),
        horizontal_line(155, 170),
        horizontal_line(155, 170),
        horizontal_line(154, 169),
        horizontal_line(154, 169),
        horizontal_line(153, 169),
        horizontal_line(153, 169),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 166),
        horizontal_line(149, 166),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(138, 158),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(136, 157),
        horizontal_line(136, 156),
        horizontal_line(135, 156),
        horizontal_line(135, 156),
        horizontal_line(134, 155),
        horizontal_line(134, 155),
        horizontal_line(134, 155),
        horizontal_line(133, 154),
        horizontal_line(133, 154),
        horizontal_line(132, 154),
        horizontal_line(132, 153),
    };

    constexpr const horizontal_line frame_649_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(88, 130),
        horizontal_line(87, 130),
        horizontal_line(87, 130),
        horizontal_line(87, 129),
        horizontal_line(87, 129),
        horizontal_line(86, 128),
        horizontal_line(86, 128),
        horizontal_line(86, 127),
        horizontal_line(86, 127),
        horizontal_line(85, 126),
        horizontal_line(85, 126),
    };

    constexpr const horizontal_line frame_649_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const shape frame_649_shape_group_3_shapes[] = {
        shape(frame_649_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_649_shape_group_3_shape_1_horizontal_lines, 38, 1),
        shape(frame_649_shape_group_3_shape_2_horizontal_lines, 46, 4),
        shape(frame_649_shape_group_3_shape_3_horizontal_lines, 122, 2),
        shape(frame_649_shape_group_3_shape_4_horizontal_lines, 133, 4),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(193, 210),
        horizontal_line(192, 209),
        horizontal_line(135, 136),
        horizontal_line(135, 139),
        horizontal_line(134, 142),
        horizontal_line(134, 144),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(134, 177),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(157, 158),
        horizontal_line(156, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 156),
        horizontal_line(151, 155),
        horizontal_line(150, 155),
        horizontal_line(148, 154),
        horizontal_line(147, 154),
        horizontal_line(165, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 176),
        horizontal_line(163, 176),
        horizontal_line(202, 239),
        horizontal_line(163, 175),
        horizontal_line(162, 175),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(103, 117),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 112),
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 110),
        horizontal_line(98, 109),
        horizontal_line(98, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 107),
        horizontal_line(97, 106),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(95, 104),
        horizontal_line(95, 103),
        horizontal_line(95, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 101),
        horizontal_line(93, 100),
        horizontal_line(94, 99),
        horizontal_line(95, 99),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(154, 188),
        horizontal_line(153, 187),
        horizontal_line(153, 187),
        horizontal_line(153, 187),
        horizontal_line(152, 187),
        horizontal_line(152, 187),
        horizontal_line(152, 187),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(88, 126),
        horizontal_line(93, 125),
        horizontal_line(98, 125),
        horizontal_line(104, 124),
        horizontal_line(109, 124),
        horizontal_line(114, 123),
        horizontal_line(119, 123),
        horizontal_line(148, 185),
        horizontal_line(148, 185),
        horizontal_line(148, 184),
        horizontal_line(148, 184),
        horizontal_line(147, 184),
        horizontal_line(147, 184),
        horizontal_line(147, 184),
        horizontal_line(146, 184),
        horizontal_line(146, 183),
        horizontal_line(146, 183),
        horizontal_line(145, 183),
        horizontal_line(145, 183),
        horizontal_line(145, 183),
        horizontal_line(144, 183),
        horizontal_line(144, 182),
        horizontal_line(144, 182),
        horizontal_line(143, 182),
        horizontal_line(143, 182),
        horizontal_line(143, 182),
        horizontal_line(143, 182),
    };

    constexpr const shape frame_649_shape_group_4_shapes[] = {
        shape(frame_649_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_649_shape_group_4_shape_1_horizontal_lines, 6, 4),
        shape(frame_649_shape_group_4_shape_2_horizontal_lines, 17, 2),
        shape(frame_649_shape_group_4_shape_3_horizontal_lines, 18, 4),
        shape(frame_649_shape_group_4_shape_4_horizontal_lines, 82, 2),
        shape(frame_649_shape_group_4_shape_5_horizontal_lines, 108, 4),
        shape(frame_649_shape_group_4_shape_6_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(192, 209),
        horizontal_line(192, 209),
        horizontal_line(191, 209),
        horizontal_line(191, 209),
        horizontal_line(134, 147),
        horizontal_line(134, 150),
        horizontal_line(134, 152),
        horizontal_line(134, 155),
        horizontal_line(134, 158),
        horizontal_line(134, 160),
        horizontal_line(134, 163),
        horizontal_line(134, 166),
        horizontal_line(134, 168),
        horizontal_line(134, 171),
        horizontal_line(134, 174),
        horizontal_line(187, 207),
        horizontal_line(135, 176),
        horizontal_line(137, 176),
        horizontal_line(138, 175),
        horizontal_line(140, 175),
        horizontal_line(141, 174),
        horizontal_line(143, 174),
        horizontal_line(144, 173),
        horizontal_line(146, 173),
        horizontal_line(147, 173),
        horizontal_line(149, 172),
        horizontal_line(150, 172),
        horizontal_line(152, 171),
        horizontal_line(153, 171),
        horizontal_line(155, 170),
        horizontal_line(156, 170),
        horizontal_line(158, 169),
        horizontal_line(159, 169),
        horizontal_line(161, 169),
        horizontal_line(160, 168),
        horizontal_line(159, 168),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(168, 180),
        horizontal_line(168, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 178),
        horizontal_line(166, 178),
        horizontal_line(166, 178),
        horizontal_line(165, 177),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 141),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 113),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(108, 122),
        horizontal_line(107, 121),
        horizontal_line(106, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 119),
        horizontal_line(104, 118),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(126, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(121, 138),
        horizontal_line(120, 138),
        horizontal_line(120, 137),
        horizontal_line(119, 137),
        horizontal_line(96, 98),
        horizontal_line(97, 97),
        horizontal_line(117, 136),
        horizontal_line(117, 135),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 133),
        horizontal_line(89, 90),
        horizontal_line(89, 93),
        horizontal_line(89, 97),
        horizontal_line(89, 100),
        horizontal_line(88, 104),
        horizontal_line(88, 107),
    };

    constexpr const horizontal_line frame_649_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(151, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(149, 185),
        horizontal_line(149, 185),
        horizontal_line(149, 185),
    };

    constexpr const shape frame_649_shape_group_5_shapes[] = {
        shape(frame_649_shape_group_5_shape_0_horizontal_lines, 2, 2),
        shape(frame_649_shape_group_5_shape_1_horizontal_lines, 38, 4),
        shape(frame_649_shape_group_5_shape_2_horizontal_lines, 50, 2),
        shape(frame_649_shape_group_5_shape_3_horizontal_lines, 51, 4),
        shape(frame_649_shape_group_5_shape_4_horizontal_lines, 53, 2),
        shape(frame_649_shape_group_5_shape_5_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_649_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 208),
        horizontal_line(190, 208),
        horizontal_line(190, 208),
        horizontal_line(190, 208),
        horizontal_line(189, 208),
        horizontal_line(189, 208),
        horizontal_line(189, 207),
        horizontal_line(188, 207),
        horizontal_line(188, 207),
        horizontal_line(188, 207),
        horizontal_line(187, 207),
    };

    constexpr const horizontal_line frame_649_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(187, 206),
        horizontal_line(187, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(185, 205),
        horizontal_line(185, 205),
        horizontal_line(185, 205),
        horizontal_line(184, 205),
        horizontal_line(184, 205),
        horizontal_line(184, 205),
        horizontal_line(183, 204),
        horizontal_line(183, 204),
        horizontal_line(183, 204),
        horizontal_line(182, 204),
        horizontal_line(182, 204),
        horizontal_line(182, 204),
        horizontal_line(181, 203),
        horizontal_line(181, 203),
        horizontal_line(181, 203),
    };

    constexpr const horizontal_line frame_649_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_649_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(141, 143),
        horizontal_line(138, 142),
        horizontal_line(135, 142),
        horizontal_line(152, 162),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(128, 138),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(148, 159),
        horizontal_line(147, 159),
        horizontal_line(147, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 154),
        horizontal_line(141, 154),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(137, 151),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 148),
        horizontal_line(167, 195),
        horizontal_line(166, 195),
        horizontal_line(166, 195),
        horizontal_line(166, 195),
        horizontal_line(165, 194),
        horizontal_line(165, 194),
        horizontal_line(165, 194),
        horizontal_line(165, 194),
        horizontal_line(164, 194),
        horizontal_line(164, 193),
        horizontal_line(164, 193),
        horizontal_line(163, 193),
        horizontal_line(163, 193),
        horizontal_line(163, 193),
        horizontal_line(162, 193),
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
        horizontal_line(160, 192),
        horizontal_line(160, 191),
        horizontal_line(160, 191),
        horizontal_line(159, 191),
        horizontal_line(159, 191),
        horizontal_line(159, 191),
        horizontal_line(119, 137),
        horizontal_line(118, 136),
        horizontal_line(158, 190),
        horizontal_line(158, 190),
        horizontal_line(157, 190),
        horizontal_line(157, 190),
        horizontal_line(157, 189),
        horizontal_line(156, 189),
        horizontal_line(114, 133),
        horizontal_line(113, 133),
        horizontal_line(113, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 131),
        horizontal_line(111, 131),
    };

    constexpr const shape frame_649_shape_group_6_shapes[] = {
        shape(frame_649_shape_group_6_shape_0_horizontal_lines, 6, 2),
        shape(frame_649_shape_group_6_shape_1_horizontal_lines, 18, 2),
        shape(frame_649_shape_group_6_shape_2_horizontal_lines, 38, 4),
        shape(frame_649_shape_group_6_shape_3_horizontal_lines, 46, 2),
    };

    constexpr const horizontal_line frame_649_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(126, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_649_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 167),
        horizontal_line(158, 167),
        horizontal_line(158, 166),
        horizontal_line(157, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 163),
        horizontal_line(153, 163),
        horizontal_line(152, 162),
        horizontal_line(177, 201),
        horizontal_line(151, 162),
        horizontal_line(151, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 160),
        horizontal_line(149, 160),
        horizontal_line(148, 159),
        horizontal_line(175, 199),
        horizontal_line(174, 199),
        horizontal_line(174, 199),
        horizontal_line(174, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 198),
        horizontal_line(172, 198),
        horizontal_line(172, 198),
        horizontal_line(172, 198),
        horizontal_line(171, 198),
        horizontal_line(171, 198),
        horizontal_line(171, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(169, 196),
        horizontal_line(169, 196),
        horizontal_line(169, 196),
        horizontal_line(168, 196),
        horizontal_line(168, 196),
        horizontal_line(168, 196),
        horizontal_line(167, 195),
        horizontal_line(167, 195),
    };

    constexpr const horizontal_line frame_649_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(93, 93),
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_649_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(159, 190),
        horizontal_line(158, 190),
    };

    constexpr const horizontal_line frame_649_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(156, 189),
        horizontal_line(156, 189),
        horizontal_line(155, 189),
        horizontal_line(155, 189),
        horizontal_line(155, 188),
        horizontal_line(154, 188),
    };

    constexpr const shape frame_649_shape_group_7_shapes[] = {
        shape(frame_649_shape_group_7_shape_0_horizontal_lines, 28, 5),
        shape(frame_649_shape_group_7_shape_1_horizontal_lines, 38, 2),
        shape(frame_649_shape_group_7_shape_2_horizontal_lines, 106, 5),
        shape(frame_649_shape_group_7_shape_3_horizontal_lines, 108, 2),
        shape(frame_649_shape_group_7_shape_4_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_649_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(181, 203),
        horizontal_line(180, 203),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(179, 202),
        horizontal_line(179, 202),
        horizontal_line(179, 202),
        horizontal_line(178, 202),
        horizontal_line(178, 201),
        horizontal_line(178, 201),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
    };

    constexpr const horizontal_line frame_649_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_649_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(176, 201),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
    };

    constexpr const horizontal_line frame_649_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const shape frame_649_shape_group_8_shapes[] = {
        shape(frame_649_shape_group_8_shape_0_horizontal_lines, 38, 2),
        shape(frame_649_shape_group_8_shape_1_horizontal_lines, 50, 5),
        shape(frame_649_shape_group_8_shape_2_horizontal_lines, 51, 2),
        shape(frame_649_shape_group_8_shape_3_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_649_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(125, 140),
        horizontal_line(126, 141),
        horizontal_line(126, 142),
        horizontal_line(127, 143),
        horizontal_line(128, 144),
        horizontal_line(128, 145),
        horizontal_line(129, 143),
        horizontal_line(130, 140),
        horizontal_line(130, 137),
        horizontal_line(131, 134),
        horizontal_line(132, 132),
        horizontal_line(115, 117),
        horizontal_line(115, 118),
    };

    constexpr const shape frame_649_shape_group_9_shapes[] = {
        shape(frame_649_shape_group_9_shape_0_horizontal_lines, 38, 5),
    };

    constexpr const shape_group frame_649_shape_groups[] = {
        shape_group(frame_649_shape_group_0_shapes),
        shape_group(frame_649_shape_group_1_shapes),
        shape_group(frame_649_shape_group_2_shapes),
        shape_group(frame_649_shape_group_3_shapes),
        shape_group(frame_649_shape_group_4_shapes),
        shape_group(frame_649_shape_group_5_shapes),
        shape_group(frame_649_shape_group_6_shapes),
        shape_group(frame_649_shape_group_7_shapes),
        shape_group(frame_649_shape_group_8_shapes),
        shape_group(frame_649_shape_group_9_shapes),
    };

    constexpr const frame frame_649_impl(frame_649_colors, frame_649_shape_groups);
} 

const frame& frame_649()
{
    return frame_649_impl;
}

namespace
{
    constexpr const bn::color frame_650_colors[] = {
        bn::color(20, 24, 20),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(0, 0, 0),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_650_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(75, 117),
        horizontal_line(74, 116),
        horizontal_line(74, 116),
        horizontal_line(74, 116),
        horizontal_line(74, 115),
        horizontal_line(74, 115),
        horizontal_line(74, 115),
        horizontal_line(73, 115),
        horizontal_line(73, 114),
        horizontal_line(73, 114),
        horizontal_line(73, 114),
        horizontal_line(73, 114),
        horizontal_line(73, 113),
        horizontal_line(72, 113),
        horizontal_line(72, 113),
        horizontal_line(72, 112),
        horizontal_line(72, 112),
        horizontal_line(72, 112),
        horizontal_line(72, 112),
        horizontal_line(71, 111),
        horizontal_line(71, 111),
        horizontal_line(71, 111),
        horizontal_line(71, 111),
        horizontal_line(71, 110),
        horizontal_line(71, 110),
        horizontal_line(70, 110),
        horizontal_line(70, 109),
        horizontal_line(70, 109),
        horizontal_line(70, 109),
        horizontal_line(70, 109),
        horizontal_line(70, 108),
        horizontal_line(69, 108),
        horizontal_line(69, 108),
        horizontal_line(69, 108),
        horizontal_line(69, 107),
        horizontal_line(69, 107),
        horizontal_line(69, 107),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 105),
        horizontal_line(68, 105),
        horizontal_line(67, 105),
        horizontal_line(67, 105),
        horizontal_line(67, 104),
        horizontal_line(67, 104),
        horizontal_line(67, 104),
        horizontal_line(67, 104),
        horizontal_line(66, 103),
        horizontal_line(66, 103),
        horizontal_line(66, 103),
        horizontal_line(66, 102),
        horizontal_line(66, 102),
        horizontal_line(66, 102),
        horizontal_line(66, 102),
        horizontal_line(65, 101),
        horizontal_line(65, 101),
        horizontal_line(65, 101),
        horizontal_line(65, 101),
        horizontal_line(65, 100),
        horizontal_line(65, 100),
        horizontal_line(64, 100),
        horizontal_line(64, 99),
        horizontal_line(64, 99),
        horizontal_line(64, 99),
        horizontal_line(64, 99),
        horizontal_line(64, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 98),
        horizontal_line(63, 97),
        horizontal_line(63, 97),
        horizontal_line(63, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 94),
        horizontal_line(61, 94),
        horizontal_line(61, 94),
        horizontal_line(61, 94),
        horizontal_line(60, 93),
        horizontal_line(60, 93),
        horizontal_line(60, 93),
        horizontal_line(60, 92),
        horizontal_line(60, 92),
        horizontal_line(60, 92),
        horizontal_line(59, 92),
        horizontal_line(59, 91),
        horizontal_line(59, 91),
        horizontal_line(59, 91),
        horizontal_line(59, 91),
        horizontal_line(59, 90),
        horizontal_line(58, 90),
        horizontal_line(58, 90),
        horizontal_line(58, 89),
        horizontal_line(58, 89),
        horizontal_line(58, 89),
        horizontal_line(58, 89),
        horizontal_line(57, 88),
        horizontal_line(57, 88),
        horizontal_line(57, 88),
        horizontal_line(57, 88),
        horizontal_line(57, 87),
        horizontal_line(57, 87),
        horizontal_line(57, 87),
        horizontal_line(56, 86),
        horizontal_line(56, 86),
        horizontal_line(56, 86),
        horizontal_line(56, 86),
        horizontal_line(56, 85),
        horizontal_line(56, 85),
        horizontal_line(55, 85),
        horizontal_line(55, 85),
        horizontal_line(55, 84),
        horizontal_line(55, 84),
        horizontal_line(55, 84),
        horizontal_line(55, 84),
        horizontal_line(54, 83),
        horizontal_line(54, 83),
        horizontal_line(54, 83),
        horizontal_line(54, 82),
        horizontal_line(54, 82),
        horizontal_line(54, 82),
        horizontal_line(53, 82),
        horizontal_line(53, 81),
        horizontal_line(53, 81),
        horizontal_line(53, 81),
        horizontal_line(53, 81),
        horizontal_line(53, 80),
        horizontal_line(52, 80),
        horizontal_line(52, 80),
        horizontal_line(52, 79),
        horizontal_line(52, 79),
        horizontal_line(52, 79),
        horizontal_line(52, 79),
        horizontal_line(51, 78),
        horizontal_line(51, 78),
        horizontal_line(51, 78),
        horizontal_line(51, 78),
        horizontal_line(51, 77),
        horizontal_line(51, 77),
        horizontal_line(50, 77),
        horizontal_line(50, 76),
        horizontal_line(50, 76),
        horizontal_line(50, 76),
        horizontal_line(50, 76),
        horizontal_line(50, 75),
        horizontal_line(49, 75),
        horizontal_line(49, 75),
        horizontal_line(49, 75),
        horizontal_line(49, 74),
        horizontal_line(49, 74),
        horizontal_line(49, 74),
        horizontal_line(49, 74),
    };

    constexpr const shape frame_650_shape_group_0_shapes[] = {
        shape(frame_650_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(135, 142),
        horizontal_line(134, 144),
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_650_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(114, 117),
        horizontal_line(113, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 125),
        horizontal_line(112, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(108, 120),
        horizontal_line(107, 120),
        horizontal_line(106, 119),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(100, 114),
        horizontal_line(99, 113),
        horizontal_line(99, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(97, 110),
        horizontal_line(97, 109),
        horizontal_line(97, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 107),
        horizontal_line(95, 106),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(94, 104),
        horizontal_line(94, 103),
        horizontal_line(93, 102),
        horizontal_line(93, 102),
        horizontal_line(93, 101),
        horizontal_line(93, 100),
        horizontal_line(94, 99),
        horizontal_line(95, 99),
        horizontal_line(96, 98),
        horizontal_line(97, 97),
        horizontal_line(119, 137),
        horizontal_line(118, 137),
        horizontal_line(117, 136),
        horizontal_line(117, 136),
        horizontal_line(116, 135),
        horizontal_line(116, 135),
        horizontal_line(115, 134),
        horizontal_line(87, 88),
        horizontal_line(87, 91),
        horizontal_line(87, 95),
        horizontal_line(86, 98),
        horizontal_line(86, 101),
        horizontal_line(85, 104),
        horizontal_line(85, 107),
        horizontal_line(85, 131),
        horizontal_line(84, 130),
        horizontal_line(84, 130),
        horizontal_line(83, 130),
        horizontal_line(83, 129),
        horizontal_line(83, 129),
        horizontal_line(82, 128),
        horizontal_line(82, 128),
        horizontal_line(82, 127),
        horizontal_line(82, 127),
        horizontal_line(81, 126),
        horizontal_line(85, 126),
        horizontal_line(90, 126),
        horizontal_line(95, 125),
        horizontal_line(100, 125),
        horizontal_line(105, 124),
        horizontal_line(110, 124),
        horizontal_line(115, 123),
        horizontal_line(120, 123),
        horizontal_line(150, 191),
        horizontal_line(149, 191),
        horizontal_line(149, 191),
        horizontal_line(149, 191),
        horizontal_line(148, 191),
        horizontal_line(148, 190),
        horizontal_line(148, 190),
        horizontal_line(147, 190),
        horizontal_line(147, 190),
        horizontal_line(147, 190),
        horizontal_line(146, 190),
        horizontal_line(146, 189),
        horizontal_line(146, 189),
        horizontal_line(145, 189),
        horizontal_line(145, 189),
        horizontal_line(145, 189),
        horizontal_line(145, 189),
    };

    constexpr const shape frame_650_shape_group_1_shapes[] = {
        shape(frame_650_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_650_shape_group_1_shape_1_horizontal_lines, 3, 7),
        shape(frame_650_shape_group_1_shape_2_horizontal_lines, 47, 2),
        shape(frame_650_shape_group_1_shape_3_horizontal_lines, 48, 7),
        shape(frame_650_shape_group_1_shape_4_horizontal_lines, 49, 2),
        shape(frame_650_shape_group_1_shape_5_horizontal_lines, 50, 7),
        shape(frame_650_shape_group_1_shape_6_horizontal_lines, 51, 2),
    };

    constexpr const horizontal_line frame_650_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(196, 217),
        horizontal_line(195, 216),
        horizontal_line(195, 216),
        horizontal_line(134, 150),
        horizontal_line(134, 153),
        horizontal_line(134, 155),
        horizontal_line(134, 158),
        horizontal_line(134, 161),
        horizontal_line(134, 164),
        horizontal_line(134, 167),
        horizontal_line(134, 169),
        horizontal_line(134, 172),
        horizontal_line(134, 175),
        horizontal_line(134, 178),
        horizontal_line(134, 180),
        horizontal_line(135, 179),
        horizontal_line(136, 179),
        horizontal_line(138, 178),
        horizontal_line(139, 178),
        horizontal_line(141, 177),
        horizontal_line(142, 177),
        horizontal_line(144, 176),
        horizontal_line(145, 176),
        horizontal_line(147, 176),
        horizontal_line(148, 175),
        horizontal_line(149, 175),
        horizontal_line(151, 174),
        horizontal_line(152, 174),
        horizontal_line(154, 173),
        horizontal_line(155, 173),
        horizontal_line(157, 172),
        horizontal_line(158, 172),
        horizontal_line(160, 172),
        horizontal_line(161, 171),
        horizontal_line(163, 171),
        horizontal_line(162, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 168),
        horizontal_line(159, 168),
        horizontal_line(158, 168),
        horizontal_line(158, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 166),
        horizontal_line(145, 145),
        horizontal_line(143, 144),
        horizontal_line(155, 165),
        horizontal_line(138, 143),
        horizontal_line(154, 164),
        horizontal_line(134, 141),
        horizontal_line(153, 163),
        horizontal_line(152, 163),
        horizontal_line(130, 139),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(147, 159),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(140, 153),
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(136, 150),
        horizontal_line(135, 150),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 147),
        horizontal_line(131, 147),
        horizontal_line(131, 146),
        horizontal_line(130, 146),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(128, 145),
        horizontal_line(128, 144),
        horizontal_line(127, 144),
        horizontal_line(127, 143),
        horizontal_line(126, 143),
        horizontal_line(126, 142),
        horizontal_line(125, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 140),
        horizontal_line(122, 140),
        horizontal_line(121, 139),
        horizontal_line(121, 139),
        horizontal_line(120, 138),
        horizontal_line(120, 138),
        horizontal_line(119, 138),
        horizontal_line(160, 197),
        horizontal_line(160, 197),
        horizontal_line(160, 197),
        horizontal_line(159, 197),
        horizontal_line(159, 196),
        horizontal_line(159, 196),
        horizontal_line(158, 196),
        horizontal_line(115, 134),
        horizontal_line(114, 134),
        horizontal_line(113, 133),
        horizontal_line(113, 133),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(111, 131),
        horizontal_line(156, 195),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(154, 194),
        horizontal_line(154, 194),
        horizontal_line(154, 194),
        horizontal_line(153, 193),
        horizontal_line(153, 193),
        horizontal_line(153, 193),
        horizontal_line(153, 193),
        horizontal_line(152, 193),
        horizontal_line(152, 193),
        horizontal_line(152, 192),
        horizontal_line(151, 192),
        horizontal_line(151, 192),
        horizontal_line(151, 192),
        horizontal_line(150, 192),
        horizontal_line(150, 191),
    };

    constexpr const horizontal_line frame_650_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(79, 123),
        horizontal_line(79, 123),
        horizontal_line(78, 123),
        horizontal_line(78, 123),
        horizontal_line(78, 124),
        horizontal_line(77, 124),
        horizontal_line(77, 124),
        horizontal_line(77, 125),
        horizontal_line(77, 125),
        horizontal_line(76, 125),
        horizontal_line(76, 126),
        horizontal_line(76, 126),
        horizontal_line(76, 126),
        horizontal_line(75, 127),
        horizontal_line(75, 127),
        horizontal_line(75, 127),
        horizontal_line(75, 128),
    };

    constexpr const shape frame_650_shape_group_2_shapes[] = {
        shape(frame_650_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_650_shape_group_2_shape_1_horizontal_lines, 143, 1),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(143, 188),
        horizontal_line(145, 187),
        horizontal_line(148, 186),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(195, 216),
        horizontal_line(194, 216),
        horizontal_line(194, 216),
        horizontal_line(194, 215),
        horizontal_line(193, 215),
        horizontal_line(193, 215),
        horizontal_line(193, 215),
        horizontal_line(192, 215),
        horizontal_line(192, 215),
        horizontal_line(192, 214),
        horizontal_line(191, 214),
        horizontal_line(191, 214),
        horizontal_line(191, 214),
        horizontal_line(190, 214),
        horizontal_line(190, 214),
        horizontal_line(190, 213),
        horizontal_line(189, 213),
        horizontal_line(189, 213),
        horizontal_line(189, 213),
        horizontal_line(188, 213),
        horizontal_line(188, 212),
        horizontal_line(188, 212),
        horizontal_line(187, 212),
        horizontal_line(187, 212),
        horizontal_line(187, 212),
        horizontal_line(187, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(185, 211),
        horizontal_line(185, 211),
        horizontal_line(185, 211),
        horizontal_line(184, 210),
        horizontal_line(184, 210),
        horizontal_line(184, 210),
        horizontal_line(183, 210),
        horizontal_line(183, 210),
        horizontal_line(183, 209),
        horizontal_line(182, 209),
        horizontal_line(182, 209),
        horizontal_line(182, 209),
        horizontal_line(181, 209),
        horizontal_line(156, 166),
        horizontal_line(156, 165),
        horizontal_line(180, 208),
        horizontal_line(154, 164),
        horizontal_line(180, 208),
        horizontal_line(153, 164),
        horizontal_line(179, 208),
        horizontal_line(179, 207),
        horizontal_line(152, 162),
        horizontal_line(151, 162),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(149, 161),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 159),
        horizontal_line(176, 206),
        horizontal_line(176, 206),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(175, 205),
        horizontal_line(174, 205),
        horizontal_line(174, 205),
        horizontal_line(174, 205),
        horizontal_line(173, 204),
        horizontal_line(173, 204),
        horizontal_line(173, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 203),
        horizontal_line(171, 203),
        horizontal_line(171, 203),
        horizontal_line(171, 203),
        horizontal_line(170, 203),
        horizontal_line(170, 203),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(169, 202),
        horizontal_line(168, 202),
        horizontal_line(168, 201),
        horizontal_line(168, 201),
        horizontal_line(167, 201),
        horizontal_line(167, 201),
        horizontal_line(167, 201),
        horizontal_line(166, 200),
        horizontal_line(166, 200),
        horizontal_line(166, 200),
        horizontal_line(165, 200),
        horizontal_line(165, 200),
        horizontal_line(165, 200),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 199),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(161, 198),
        horizontal_line(161, 197),
        horizontal_line(161, 197),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(90, 98),
        horizontal_line(90, 98),
        horizontal_line(89, 99),
        horizontal_line(89, 100),
        horizontal_line(89, 101),
        horizontal_line(88, 102),
        horizontal_line(88, 103),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(158, 196),
        horizontal_line(158, 196),
        horizontal_line(157, 196),
        horizontal_line(157, 195),
        horizontal_line(157, 195),
        horizontal_line(156, 195),
        horizontal_line(156, 195),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(132, 155),
        horizontal_line(131, 154),
        horizontal_line(131, 154),
        horizontal_line(131, 154),
        horizontal_line(130, 153),
        horizontal_line(130, 153),
        horizontal_line(129, 153),
        horizontal_line(129, 152),
        horizontal_line(128, 152),
        horizontal_line(128, 152),
        horizontal_line(127, 152),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(81, 84),
        horizontal_line(81, 89),
        horizontal_line(80, 94),
        horizontal_line(80, 99),
        horizontal_line(80, 104),
        horizontal_line(80, 109),
        horizontal_line(79, 114),
        horizontal_line(79, 119),
    };

    constexpr const horizontal_line frame_650_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(125, 147),
        horizontal_line(125, 147),
        horizontal_line(125, 147),
        horizontal_line(126, 146),
        horizontal_line(126, 146),
        horizontal_line(126, 146),
        horizontal_line(127, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 145),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(129, 144),
    };

    constexpr const shape frame_650_shape_group_3_shapes[] = {
        shape(frame_650_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_650_shape_group_3_shape_1_horizontal_lines, 3, 2),
        shape(frame_650_shape_group_3_shape_2_horizontal_lines, 110, 1),
        shape(frame_650_shape_group_3_shape_3_horizontal_lines, 117, 2),
        shape(frame_650_shape_group_3_shape_4_horizontal_lines, 124, 4),
        shape(frame_650_shape_group_3_shape_5_horizontal_lines, 135, 1),
        shape(frame_650_shape_group_3_shape_6_horizontal_lines, 143, 4),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(189, 195),
        horizontal_line(188, 194),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(151, 186),
        horizontal_line(154, 185),
        horizontal_line(156, 185),
        horizontal_line(159, 184),
        horizontal_line(162, 184),
        horizontal_line(165, 183),
        horizontal_line(168, 182),
        horizontal_line(170, 182),
        horizontal_line(173, 181),
        horizontal_line(176, 181),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(181, 190),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 135),
        horizontal_line(133, 137),
        horizontal_line(132, 138),
        horizontal_line(132, 140),
        horizontal_line(131, 141),
        horizontal_line(131, 143),
        horizontal_line(130, 144),
        horizontal_line(130, 146),
        horizontal_line(129, 147),
        horizontal_line(129, 148),
        horizontal_line(129, 150),
        horizontal_line(130, 151),
        horizontal_line(131, 153),
        horizontal_line(132, 154),
        horizontal_line(133, 156),
        horizontal_line(134, 157),
        horizontal_line(135, 159),
        horizontal_line(136, 160),
        horizontal_line(137, 162),
        horizontal_line(138, 161),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 126),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 128),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(181, 209),
        horizontal_line(181, 208),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(180, 208),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(179, 208),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(119, 126),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(179, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(177, 206),
        horizontal_line(177, 206),
        horizontal_line(177, 206),
        horizontal_line(176, 206),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(110, 122),
        horizontal_line(110, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(108, 117),
        horizontal_line(107, 116),
        horizontal_line(107, 115),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 110),
        horizontal_line(104, 109),
        horizontal_line(104, 109),
        horizontal_line(103, 108),
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 102),
        horizontal_line(101, 102),
        horizontal_line(100, 101),
        horizontal_line(100, 100),
        horizontal_line(99, 99),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 127),
        horizontal_line(109, 126),
        horizontal_line(108, 126),
        horizontal_line(107, 125),
        horizontal_line(106, 125),
        horizontal_line(106, 124),
        horizontal_line(105, 123),
        horizontal_line(104, 123),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
        horizontal_line(102, 121),
        horizontal_line(101, 120),
        horizontal_line(100, 120),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(91, 93),
        horizontal_line(91, 95),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(99, 118),
        horizontal_line(99, 117),
        horizontal_line(100, 116),
        horizontal_line(101, 116),
        horizontal_line(102, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 114),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(89, 104),
        horizontal_line(92, 105),
        horizontal_line(96, 106),
        horizontal_line(99, 107),
        horizontal_line(102, 108),
        horizontal_line(105, 109),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_650_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(127, 151),
        horizontal_line(127, 151),
        horizontal_line(126, 151),
        horizontal_line(126, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const shape frame_650_shape_group_4_shapes[] = {
        shape(frame_650_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_650_shape_group_4_shape_1_horizontal_lines, 3, 1),
        shape(frame_650_shape_group_4_shape_2_horizontal_lines, 14, 4),
        shape(frame_650_shape_group_4_shape_3_horizontal_lines, 15, 1),
        shape(frame_650_shape_group_4_shape_4_horizontal_lines, 45, 2),
        shape(frame_650_shape_group_4_shape_5_horizontal_lines, 47, 1),
        shape(frame_650_shape_group_4_shape_6_horizontal_lines, 48, 2),
        shape(frame_650_shape_group_4_shape_7_horizontal_lines, 49, 1),
        shape(frame_650_shape_group_4_shape_8_horizontal_lines, 50, 2),
        shape(frame_650_shape_group_4_shape_9_horizontal_lines, 51, 1),
        shape(frame_650_shape_group_4_shape_10_horizontal_lines, 53, 2),
        shape(frame_650_shape_group_4_shape_11_horizontal_lines, 61, 4),
        shape(frame_650_shape_group_4_shape_12_horizontal_lines, 107, 1),
        shape(frame_650_shape_group_4_shape_13_horizontal_lines, 110, 4),
        shape(frame_650_shape_group_4_shape_14_horizontal_lines, 117, 1),
        shape(frame_650_shape_group_4_shape_15_horizontal_lines, 124, 4),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(187, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 192),
        horizontal_line(184, 192),
        horizontal_line(183, 192),
        horizontal_line(183, 191),
        horizontal_line(182, 191),
        horizontal_line(182, 191),
        horizontal_line(181, 190),
        horizontal_line(215, 239),
        horizontal_line(180, 190),
        horizontal_line(180, 189),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(178, 188),
        horizontal_line(178, 188),
        horizontal_line(177, 188),
        horizontal_line(177, 187),
        horizontal_line(177, 187),
        horizontal_line(176, 187),
        horizontal_line(176, 186),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 184),
        horizontal_line(171, 183),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(139, 159),
        horizontal_line(140, 158),
        horizontal_line(141, 156),
        horizontal_line(142, 155),
        horizontal_line(143, 153),
        horizontal_line(144, 151),
        horizontal_line(145, 150),
        horizontal_line(146, 148),
        horizontal_line(147, 147),
        horizontal_line(117, 128),
        horizontal_line(117, 129),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(144, 154),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(143, 153),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(121, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(111, 123),
        horizontal_line(134, 146),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
        horizontal_line(124, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(120, 135),
        horizontal_line(119, 134),
        horizontal_line(118, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(148, 166),
        horizontal_line(147, 166),
        horizontal_line(147, 166),
        horizontal_line(146, 165),
        horizontal_line(146, 165),
        horizontal_line(146, 165),
        horizontal_line(145, 164),
        horizontal_line(145, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 163),
        horizontal_line(143, 163),
        horizontal_line(143, 163),
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 162),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(100, 119),
        horizontal_line(99, 119),
        horizontal_line(98, 118),
        horizontal_line(138, 159),
        horizontal_line(138, 159),
        horizontal_line(137, 159),
        horizontal_line(137, 158),
        horizontal_line(136, 158),
        horizontal_line(136, 158),
        horizontal_line(135, 157),
        horizontal_line(105, 114),
        horizontal_line(106, 113),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(109, 111),
        horizontal_line(110, 111),
        horizontal_line(132, 155),
    };

    constexpr const horizontal_line frame_650_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_650_shape_group_5_shapes[] = {
        shape(frame_650_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_650_shape_group_5_shape_1_horizontal_lines, 36, 1),
        shape(frame_650_shape_group_5_shape_2_horizontal_lines, 47, 4),
        shape(frame_650_shape_group_5_shape_3_horizontal_lines, 48, 1),
        shape(frame_650_shape_group_5_shape_4_horizontal_lines, 49, 4),
        shape(frame_650_shape_group_5_shape_5_horizontal_lines, 50, 1),
        shape(frame_650_shape_group_5_shape_6_horizontal_lines, 51, 4),
        shape(frame_650_shape_group_5_shape_7_horizontal_lines, 135, 4),
    };

    constexpr const horizontal_line frame_650_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(160, 160),
        horizontal_line(159, 160),
        horizontal_line(157, 159),
        horizontal_line(156, 159),
        horizontal_line(154, 158),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(166, 179),
        horizontal_line(144, 153),
        horizontal_line(165, 179),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(160, 175),
        horizontal_line(159, 175),
        horizontal_line(159, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 174),
        horizontal_line(158, 173),
        horizontal_line(157, 173),
        horizontal_line(157, 173),
        horizontal_line(156, 172),
        horizontal_line(156, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(154, 170),
        horizontal_line(153, 170),
        horizontal_line(153, 170),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(150, 168),
        horizontal_line(149, 167),
        horizontal_line(149, 167),
        horizontal_line(148, 167),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(135, 157),
        horizontal_line(135, 157),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
        horizontal_line(133, 156),
        horizontal_line(133, 155),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_650_shape_group_6_shapes[] = {
        shape(frame_650_shape_group_6_shape_0_horizontal_lines, 3, 4),
        shape(frame_650_shape_group_6_shape_1_horizontal_lines, 15, 4),
    };

    constexpr const horizontal_line frame_650_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 130),
        horizontal_line(127, 131),
        horizontal_line(127, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_650_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(171, 183),
        horizontal_line(170, 183),
        horizontal_line(170, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 182),
        horizontal_line(169, 181),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
        horizontal_line(167, 180),
        horizontal_line(167, 180),
        horizontal_line(166, 180),
        horizontal_line(209, 239),
        horizontal_line(165, 179),
        horizontal_line(209, 239),
        horizontal_line(165, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(163, 178),
        horizontal_line(163, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(160, 175),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(92, 93),
    };

    constexpr const horizontal_line frame_650_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_650_shape_group_7_shapes[] = {
        shape(frame_650_shape_group_7_shape_0_horizontal_lines, 27, 5),
        shape(frame_650_shape_group_7_shape_1_horizontal_lines, 36, 4),
        shape(frame_650_shape_group_7_shape_2_horizontal_lines, 105, 5),
        shape(frame_650_shape_group_7_shape_3_horizontal_lines, 107, 4),
        shape(frame_650_shape_group_7_shape_4_horizontal_lines, 117, 4),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_650_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(94, 95),
        horizontal_line(96, 96),
    };

    constexpr const shape frame_650_shape_group_8_shapes[] = {
        shape(frame_650_shape_group_8_shape_0_horizontal_lines, 36, 4),
        shape(frame_650_shape_group_8_shape_1_horizontal_lines, 47, 5),
        shape(frame_650_shape_group_8_shape_2_horizontal_lines, 48, 4),
        shape(frame_650_shape_group_8_shape_3_horizontal_lines, 49, 5),
        shape(frame_650_shape_group_8_shape_4_horizontal_lines, 50, 4),
        shape(frame_650_shape_group_8_shape_5_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_650_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(126, 141),
        horizontal_line(126, 142),
        horizontal_line(127, 143),
        horizontal_line(128, 144),
        horizontal_line(128, 145),
        horizontal_line(129, 146),
        horizontal_line(129, 144),
        horizontal_line(130, 142),
        horizontal_line(131, 140),
        horizontal_line(116, 117),
        horizontal_line(132, 135),
        horizontal_line(115, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 119),
        horizontal_line(113, 113),
    };

    constexpr const shape frame_650_shape_group_9_shapes[] = {
        shape(frame_650_shape_group_9_shape_0_horizontal_lines, 36, 5),
    };

    constexpr const horizontal_line frame_650_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_650_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const shape frame_650_shape_group_10_shapes[] = {
        shape(frame_650_shape_group_10_shape_0_horizontal_lines, 48, 5),
        shape(frame_650_shape_group_10_shape_1_horizontal_lines, 50, 5),
    };

    constexpr const shape_group frame_650_shape_groups[] = {
        shape_group(frame_650_shape_group_0_shapes),
        shape_group(frame_650_shape_group_1_shapes),
        shape_group(frame_650_shape_group_2_shapes),
        shape_group(frame_650_shape_group_3_shapes),
        shape_group(frame_650_shape_group_4_shapes),
        shape_group(frame_650_shape_group_5_shapes),
        shape_group(frame_650_shape_group_6_shapes),
        shape_group(frame_650_shape_group_7_shapes),
        shape_group(frame_650_shape_group_8_shapes),
        shape_group(frame_650_shape_group_9_shapes),
        shape_group(frame_650_shape_group_10_shapes),
    };

    constexpr const frame frame_650_impl(frame_650_colors, frame_650_shape_groups);
} 

const frame& frame_650()
{
    return frame_650_impl;
}

namespace
{
    constexpr const bn::color frame_651_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_651_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const shape frame_651_shape_group_0_shapes[] = {
        shape(frame_651_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(114, 132),
        horizontal_line(113, 131),
        horizontal_line(113, 131),
        horizontal_line(113, 130),
        horizontal_line(112, 130),
        horizontal_line(112, 130),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
        horizontal_line(110, 127),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(109, 124),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(100, 112),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(99, 109),
        horizontal_line(98, 109),
        horizontal_line(98, 109),
        horizontal_line(98, 108),
        horizontal_line(98, 108),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(97, 106),
        horizontal_line(96, 106),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(96, 105),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(94, 103),
        horizontal_line(94, 103),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(93, 102),
        horizontal_line(93, 101),
        horizontal_line(93, 101),
        horizontal_line(93, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 96),
        horizontal_line(90, 96),
        horizontal_line(89, 96),
        horizontal_line(89, 95),
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(88, 94),
        horizontal_line(88, 94),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 91),
        horizontal_line(86, 91),
        horizontal_line(86, 91),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(84, 87),
        horizontal_line(83, 87),
        horizontal_line(83, 86),
        horizontal_line(83, 86),
        horizontal_line(83, 85),
        horizontal_line(82, 85),
        horizontal_line(82, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 84),
        horizontal_line(81, 83),
        horizontal_line(81, 83),
        horizontal_line(81, 83),
        horizontal_line(80, 82),
        horizontal_line(80, 82),
        horizontal_line(80, 81),
        horizontal_line(80, 81),
        horizontal_line(79, 81),
        horizontal_line(79, 80),
        horizontal_line(79, 80),
        horizontal_line(79, 79),
        horizontal_line(78, 79),
        horizontal_line(78, 79),
        horizontal_line(78, 78),
        horizontal_line(78, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 77),
        horizontal_line(77, 77),
        horizontal_line(77, 77),
        horizontal_line(76, 76),
        horizontal_line(76, 76),
        horizontal_line(76, 76),
        horizontal_line(75, 75),
        horizontal_line(75, 75),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(38, 74),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(38, 73),
        horizontal_line(38, 73),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_651_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(37, 72),
        horizontal_line(37, 72),
        horizontal_line(37, 72),
        horizontal_line(37, 71),
        horizontal_line(37, 71),
        horizontal_line(37, 71),
        horizontal_line(37, 71),
    };

    constexpr const shape frame_651_shape_group_1_shapes[] = {
        shape(frame_651_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_651_shape_group_1_shape_1_horizontal_lines, 147, 7),
        shape(frame_651_shape_group_1_shape_2_horizontal_lines, 148, 6),
        shape(frame_651_shape_group_1_shape_3_horizontal_lines, 150, 7),
        shape(frame_651_shape_group_1_shape_4_horizontal_lines, 152, 6),
        shape(frame_651_shape_group_1_shape_5_horizontal_lines, 153, 7),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 113),
        horizontal_line(61, 112),
        horizontal_line(61, 112),
        horizontal_line(61, 112),
        horizontal_line(61, 111),
        horizontal_line(61, 111),
        horizontal_line(61, 111),
        horizontal_line(60, 111),
        horizontal_line(60, 110),
        horizontal_line(60, 110),
        horizontal_line(60, 110),
        horizontal_line(60, 110),
        horizontal_line(60, 109),
        horizontal_line(59, 109),
        horizontal_line(59, 109),
        horizontal_line(59, 109),
        horizontal_line(59, 108),
        horizontal_line(59, 108),
        horizontal_line(59, 108),
        horizontal_line(59, 107),
        horizontal_line(58, 107),
        horizontal_line(58, 107),
        horizontal_line(58, 107),
        horizontal_line(58, 106),
        horizontal_line(58, 106),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(57, 106),
        horizontal_line(57, 105),
        horizontal_line(57, 105),
        horizontal_line(57, 105),
        horizontal_line(57, 105),
        horizontal_line(57, 104),
        horizontal_line(56, 104),
        horizontal_line(56, 104),
        horizontal_line(56, 104),
        horizontal_line(56, 103),
        horizontal_line(56, 103),
        horizontal_line(56, 103),
        horizontal_line(56, 102),
        horizontal_line(55, 102),
        horizontal_line(55, 102),
        horizontal_line(55, 102),
        horizontal_line(55, 101),
        horizontal_line(55, 101),
        horizontal_line(55, 101),
        horizontal_line(54, 101),
        horizontal_line(54, 100),
        horizontal_line(54, 100),
        horizontal_line(54, 100),
        horizontal_line(54, 100),
        horizontal_line(54, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 98),
        horizontal_line(53, 98),
        horizontal_line(53, 98),
        horizontal_line(53, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(52, 96),
        horizontal_line(51, 96),
        horizontal_line(51, 95),
        horizontal_line(51, 95),
        horizontal_line(51, 95),
        horizontal_line(51, 95),
        horizontal_line(51, 94),
        horizontal_line(50, 94),
        horizontal_line(50, 94),
        horizontal_line(50, 93),
        horizontal_line(50, 93),
        horizontal_line(50, 93),
        horizontal_line(50, 93),
        horizontal_line(50, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 92),
        horizontal_line(49, 91),
        horizontal_line(49, 91),
        horizontal_line(49, 91),
        horizontal_line(48, 91),
        horizontal_line(48, 90),
        horizontal_line(48, 90),
        horizontal_line(48, 90),
        horizontal_line(48, 90),
        horizontal_line(48, 89),
        horizontal_line(48, 89),
        horizontal_line(47, 89),
        horizontal_line(47, 88),
        horizontal_line(47, 88),
        horizontal_line(47, 88),
        horizontal_line(47, 88),
        horizontal_line(47, 87),
        horizontal_line(46, 87),
        horizontal_line(46, 87),
        horizontal_line(46, 87),
        horizontal_line(46, 86),
        horizontal_line(46, 86),
        horizontal_line(46, 86),
        horizontal_line(45, 86),
        horizontal_line(45, 85),
        horizontal_line(45, 85),
        horizontal_line(45, 85),
        horizontal_line(45, 85),
        horizontal_line(45, 84),
        horizontal_line(45, 84),
        horizontal_line(44, 84),
        horizontal_line(44, 83),
        horizontal_line(44, 83),
        horizontal_line(44, 83),
        horizontal_line(44, 83),
        horizontal_line(44, 82),
        horizontal_line(43, 82),
        horizontal_line(43, 82),
        horizontal_line(43, 82),
        horizontal_line(43, 81),
        horizontal_line(43, 81),
        horizontal_line(43, 81),
        horizontal_line(42, 81),
        horizontal_line(42, 80),
        horizontal_line(42, 80),
        horizontal_line(42, 80),
        horizontal_line(42, 79),
        horizontal_line(42, 79),
        horizontal_line(42, 79),
        horizontal_line(41, 79),
        horizontal_line(41, 78),
        horizontal_line(41, 78),
        horizontal_line(41, 78),
        horizontal_line(41, 78),
        horizontal_line(41, 77),
        horizontal_line(40, 77),
        horizontal_line(40, 77),
        horizontal_line(40, 77),
        horizontal_line(40, 76),
        horizontal_line(40, 76),
        horizontal_line(40, 76),
        horizontal_line(39, 76),
        horizontal_line(39, 75),
        horizontal_line(39, 75),
        horizontal_line(39, 75),
        horizontal_line(39, 74),
        horizontal_line(39, 74),
        horizontal_line(39, 74),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(75, 123),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(38, 73),
        horizontal_line(38, 73),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(74, 124),
        horizontal_line(74, 124),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(38, 72),
    };

    constexpr const horizontal_line frame_651_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(73, 125),
        horizontal_line(73, 125),
        horizontal_line(73, 125),
        horizontal_line(72, 126),
        horizontal_line(72, 126),
        horizontal_line(72, 126),
        horizontal_line(72, 127),
    };

    constexpr const shape frame_651_shape_group_2_shapes[] = {
        shape(frame_651_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_651_shape_group_2_shape_1_horizontal_lines, 25, 6),
        shape(frame_651_shape_group_2_shape_2_horizontal_lines, 26, 7),
        shape(frame_651_shape_group_2_shape_3_horizontal_lines, 147, 1),
        shape(frame_651_shape_group_2_shape_4_horizontal_lines, 148, 7),
        shape(frame_651_shape_group_2_shape_5_horizontal_lines, 150, 1),
        shape(frame_651_shape_group_2_shape_6_horizontal_lines, 152, 7),
        shape(frame_651_shape_group_2_shape_7_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(58, 106),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(111, 122),
        horizontal_line(110, 121),
        horizontal_line(109, 120),
        horizontal_line(108, 119),
        horizontal_line(106, 118),
        horizontal_line(106, 117),
        horizontal_line(106, 116),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(103, 111),
        horizontal_line(103, 110),
        horizontal_line(103, 109),
        horizontal_line(102, 108),
        horizontal_line(102, 107),
        horizontal_line(101, 106),
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(100, 104),
        horizontal_line(100, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(99, 100),
        horizontal_line(98, 99),
        horizontal_line(98, 98),
        horizontal_line(97, 97),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 127),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
        horizontal_line(107, 125),
        horizontal_line(106, 124),
        horizontal_line(106, 124),
        horizontal_line(105, 123),
        horizontal_line(104, 123),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
        horizontal_line(102, 121),
        horizontal_line(101, 120),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(90, 92),
        horizontal_line(89, 94),
        horizontal_line(89, 96),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(88, 99),
        horizontal_line(87, 100),
        horizontal_line(87, 101),
        horizontal_line(86, 102),
        horizontal_line(86, 103),
        horizontal_line(88, 104),
        horizontal_line(91, 105),
        horizontal_line(95, 106),
        horizontal_line(98, 107),
        horizontal_line(101, 108),
        horizontal_line(105, 109),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(133, 157),
        horizontal_line(132, 157),
        horizontal_line(132, 156),
        horizontal_line(132, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 155),
        horizontal_line(130, 155),
        horizontal_line(130, 155),
        horizontal_line(129, 154),
        horizontal_line(129, 154),
        horizontal_line(128, 154),
        horizontal_line(128, 153),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(78, 87),
        horizontal_line(78, 91),
        horizontal_line(77, 96),
        horizontal_line(77, 101),
        horizontal_line(77, 105),
        horizontal_line(76, 110),
        horizontal_line(76, 114),
        horizontal_line(76, 119),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(75, 123),
        horizontal_line(75, 123),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(125, 149),
        horizontal_line(125, 149),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(74, 124),
    };

    constexpr const horizontal_line frame_651_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(126, 148),
        horizontal_line(126, 148),
        horizontal_line(126, 148),
        horizontal_line(127, 147),
        horizontal_line(127, 147),
        horizontal_line(127, 147),
        horizontal_line(128, 147),
    };

    constexpr const shape frame_651_shape_group_3_shapes[] = {
        shape(frame_651_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_651_shape_group_3_shape_1_horizontal_lines, 57, 4),
        shape(frame_651_shape_group_3_shape_2_horizontal_lines, 108, 1),
        shape(frame_651_shape_group_3_shape_3_horizontal_lines, 126, 4),
        shape(frame_651_shape_group_3_shape_4_horizontal_lines, 138, 1),
        shape(frame_651_shape_group_3_shape_5_horizontal_lines, 147, 4),
        shape(frame_651_shape_group_3_shape_6_horizontal_lines, 148, 1),
        shape(frame_651_shape_group_3_shape_7_horizontal_lines, 150, 4),
        shape(frame_651_shape_group_3_shape_8_horizontal_lines, 152, 1),
        shape(frame_651_shape_group_3_shape_9_horizontal_lines, 153, 4),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(156, 189),
        horizontal_line(159, 188),
        horizontal_line(162, 188),
        horizontal_line(165, 187),
        horizontal_line(168, 187),
        horizontal_line(171, 186),
        horizontal_line(174, 186),
        horizontal_line(177, 185),
        horizontal_line(180, 185),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(185, 193),
        horizontal_line(184, 193),
        horizontal_line(184, 193),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(134, 137),
        horizontal_line(134, 138),
        horizontal_line(133, 140),
        horizontal_line(133, 141),
        horizontal_line(132, 143),
        horizontal_line(132, 144),
        horizontal_line(131, 146),
        horizontal_line(130, 147),
        horizontal_line(130, 149),
        horizontal_line(129, 150),
        horizontal_line(129, 152),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(123, 127),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(131, 155),
        horizontal_line(132, 156),
        horizontal_line(133, 158),
        horizontal_line(134, 159),
        horizontal_line(135, 161),
        horizontal_line(136, 162),
        horizontal_line(137, 164),
        horizontal_line(139, 163),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(121, 126),
        horizontal_line(120, 127),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 129),
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 131),
        horizontal_line(118, 132),
        horizontal_line(119, 132),
        horizontal_line(119, 133),
        horizontal_line(120, 134),
        horizontal_line(120, 130),
        horizontal_line(121, 126),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_651_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 127),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(120, 135),
        horizontal_line(119, 135),
        horizontal_line(119, 134),
        horizontal_line(118, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(149, 168),
        horizontal_line(148, 168),
        horizontal_line(148, 168),
        horizontal_line(148, 167),
        horizontal_line(147, 167),
        horizontal_line(147, 167),
        horizontal_line(146, 166),
        horizontal_line(146, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 165),
        horizontal_line(144, 165),
        horizontal_line(144, 165),
        horizontal_line(144, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(142, 163),
        horizontal_line(142, 163),
        horizontal_line(141, 163),
        horizontal_line(100, 120),
        horizontal_line(100, 119),
        horizontal_line(99, 119),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 117),
        horizontal_line(100, 116),
        horizontal_line(101, 116),
        horizontal_line(102, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(106, 113),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(109, 111),
        horizontal_line(110, 111),
        horizontal_line(133, 157),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(128, 153),
        horizontal_line(127, 153),
        horizontal_line(127, 152),
        horizontal_line(126, 152),
        horizontal_line(126, 152),
        horizontal_line(125, 152),
        horizontal_line(125, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(202, 239),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(125, 149),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_651_shape_group_4_shapes[] = {
        shape(frame_651_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_651_shape_group_4_shape_1_horizontal_lines, 10, 4),
        shape(frame_651_shape_group_4_shape_2_horizontal_lines, 13, 1),
        shape(frame_651_shape_group_4_shape_3_horizontal_lines, 25, 7),
        shape(frame_651_shape_group_4_shape_4_horizontal_lines, 26, 1),
        shape(frame_651_shape_group_4_shape_5_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 197),
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(188, 196),
        horizontal_line(188, 195),
        horizontal_line(187, 195),
        horizontal_line(187, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(185, 194),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(183, 192),
        horizontal_line(183, 192),
        horizontal_line(182, 192),
        horizontal_line(182, 191),
        horizontal_line(181, 191),
        horizontal_line(181, 191),
        horizontal_line(180, 191),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 189),
        horizontal_line(178, 189),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(130, 153),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(177, 188),
        horizontal_line(177, 188),
        horizontal_line(176, 188),
        horizontal_line(176, 187),
        horizontal_line(176, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(140, 161),
        horizontal_line(141, 160),
        horizontal_line(142, 158),
        horizontal_line(143, 157),
        horizontal_line(144, 155),
        horizontal_line(145, 153),
        horizontal_line(146, 152),
        horizontal_line(147, 150),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(131, 133),
        horizontal_line(127, 132),
        horizontal_line(123, 131),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(164, 179),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(162, 178),
        horizontal_line(162, 177),
        horizontal_line(161, 177),
        horizontal_line(161, 177),
        horizontal_line(160, 176),
        horizontal_line(160, 176),
        horizontal_line(160, 176),
        horizontal_line(159, 175),
        horizontal_line(159, 175),
        horizontal_line(158, 175),
        horizontal_line(158, 174),
        horizontal_line(157, 174),
        horizontal_line(157, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 172),
        horizontal_line(154, 172),
        horizontal_line(154, 172),
        horizontal_line(153, 171),
        horizontal_line(153, 171),
        horizontal_line(152, 171),
        horizontal_line(152, 170),
        horizontal_line(152, 170),
        horizontal_line(151, 170),
        horizontal_line(151, 169),
        horizontal_line(150, 169),
        horizontal_line(150, 169),
        horizontal_line(149, 169),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(141, 163),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(138, 161),
        horizontal_line(138, 160),
        horizontal_line(137, 160),
        horizontal_line(137, 160),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(134, 158),
        horizontal_line(134, 158),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const shape frame_651_shape_group_5_shapes[] = {
        shape(frame_651_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_651_shape_group_5_shape_1_horizontal_lines, 25, 1),
        shape(frame_651_shape_group_5_shape_2_horizontal_lines, 26, 4),
        shape(frame_651_shape_group_5_shape_3_horizontal_lines, 34, 1),
        shape(frame_651_shape_group_5_shape_4_horizontal_lines, 43, 4),
        shape(frame_651_shape_group_5_shape_5_horizontal_lines, 138, 4),
        shape(frame_651_shape_group_5_shape_6_horizontal_lines, 148, 4),
        shape(frame_651_shape_group_5_shape_7_horizontal_lines, 152, 4),
    };

    constexpr const horizontal_line frame_651_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(178, 189),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(162, 162),
        horizontal_line(161, 162),
        horizontal_line(159, 161),
        horizontal_line(158, 161),
        horizontal_line(156, 160),
        horizontal_line(154, 159),
        horizontal_line(153, 159),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(170, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 182),
        horizontal_line(168, 181),
        horizontal_line(167, 181),
        horizontal_line(143, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 152),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(164, 179),
        horizontal_line(164, 179),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(91, 92),
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_651_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_651_shape_group_6_shapes[] = {
        shape(frame_651_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_651_shape_group_6_shape_1_horizontal_lines, 13, 4),
        shape(frame_651_shape_group_6_shape_2_horizontal_lines, 105, 5),
        shape(frame_651_shape_group_6_shape_3_horizontal_lines, 108, 4),
    };

    constexpr const horizontal_line frame_651_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(127, 131),
        horizontal_line(127, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(125, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_651_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(174, 186),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 184),
        horizontal_line(171, 184),
        horizontal_line(171, 184),
        horizontal_line(170, 183),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(167, 181),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(91, 94),
        horizontal_line(93, 95),
        horizontal_line(95, 96),
        horizontal_line(97, 97),
    };

    constexpr const shape frame_651_shape_group_7_shapes[] = {
        shape(frame_651_shape_group_7_shape_0_horizontal_lines, 25, 4),
        shape(frame_651_shape_group_7_shape_1_horizontal_lines, 26, 5),
        shape(frame_651_shape_group_7_shape_2_horizontal_lines, 34, 4),
        shape(frame_651_shape_group_7_shape_3_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_651_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_651_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(131, 147),
        horizontal_line(131, 145),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_651_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_651_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const shape frame_651_shape_group_8_shapes[] = {
        shape(frame_651_shape_group_8_shape_0_horizontal_lines, 25, 5),
        shape(frame_651_shape_group_8_shape_1_horizontal_lines, 34, 4),
        shape(frame_651_shape_group_8_shape_2_horizontal_lines, 43, 5),
        shape(frame_651_shape_group_8_shape_3_horizontal_lines, 50, 4),
        shape(frame_651_shape_group_8_shape_4_horizontal_lines, 53, 5),
    };

    constexpr const horizontal_line frame_651_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(127, 143),
        horizontal_line(128, 144),
        horizontal_line(129, 145),
        horizontal_line(129, 146),
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_651_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(132, 143),
        horizontal_line(133, 141),
        horizontal_line(133, 139),
        horizontal_line(134, 137),
        horizontal_line(135, 135),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(113, 121),
    };

    constexpr const shape frame_651_shape_group_9_shapes[] = {
        shape(frame_651_shape_group_9_shape_0_horizontal_lines, 34, 5),
        shape(frame_651_shape_group_9_shape_1_horizontal_lines, 45, 5),
    };

    constexpr const shape_group frame_651_shape_groups[] = {
        shape_group(frame_651_shape_group_0_shapes),
        shape_group(frame_651_shape_group_1_shapes),
        shape_group(frame_651_shape_group_2_shapes),
        shape_group(frame_651_shape_group_3_shapes),
        shape_group(frame_651_shape_group_4_shapes),
        shape_group(frame_651_shape_group_5_shapes),
        shape_group(frame_651_shape_group_6_shapes),
        shape_group(frame_651_shape_group_7_shapes),
        shape_group(frame_651_shape_group_8_shapes),
        shape_group(frame_651_shape_group_9_shapes),
    };

    constexpr const frame frame_651_impl(frame_651_colors, frame_651_shape_groups);
} 

const frame& frame_651()
{
    return frame_651_impl;
}

namespace
{
    constexpr const bn::color frame_652_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_652_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const shape frame_652_shape_group_0_shapes[] = {
        shape(frame_652_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_652_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(111, 130),
        horizontal_line(110, 129),
        horizontal_line(110, 129),
        horizontal_line(110, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(104, 119),
        horizontal_line(103, 119),
        horizontal_line(103, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 116),
        horizontal_line(101, 116),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(100, 115),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(95, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 106),
        horizontal_line(95, 106),
        horizontal_line(94, 106),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(93, 104),
        horizontal_line(93, 104),
        horizontal_line(93, 103),
        horizontal_line(93, 103),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(91, 101),
        horizontal_line(91, 101),
        horizontal_line(91, 100),
        horizontal_line(91, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 99),
        horizontal_line(90, 99),
        horizontal_line(90, 98),
        horizontal_line(89, 98),
        horizontal_line(89, 98),
        horizontal_line(89, 97),
        horizontal_line(89, 97),
        horizontal_line(88, 97),
        horizontal_line(88, 96),
        horizontal_line(88, 96),
        horizontal_line(88, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 94),
        horizontal_line(86, 94),
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(85, 91),
        horizontal_line(85, 91),
        horizontal_line(84, 91),
        horizontal_line(84, 90),
        horizontal_line(84, 90),
        horizontal_line(84, 89),
        horizontal_line(83, 89),
        horizontal_line(83, 89),
        horizontal_line(83, 88),
        horizontal_line(83, 88),
        horizontal_line(82, 87),
        horizontal_line(82, 87),
        horizontal_line(82, 87),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
        horizontal_line(81, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 84),
        horizontal_line(80, 84),
        horizontal_line(80, 84),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 82),
        horizontal_line(79, 82),
        horizontal_line(78, 82),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
        horizontal_line(77, 80),
        horizontal_line(77, 80),
        horizontal_line(77, 80),
        horizontal_line(77, 79),
        horizontal_line(76, 79),
        horizontal_line(76, 78),
        horizontal_line(76, 78),
        horizontal_line(76, 78),
        horizontal_line(75, 77),
        horizontal_line(75, 77),
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(74, 76),
        horizontal_line(74, 75),
        horizontal_line(74, 75),
        horizontal_line(74, 75),
        horizontal_line(73, 74),
        horizontal_line(73, 74),
        horizontal_line(73, 74),
        horizontal_line(72, 73),
        horizontal_line(72, 73),
        horizontal_line(72, 73),
        horizontal_line(72, 72),
        horizontal_line(71, 72),
        horizontal_line(71, 72),
        horizontal_line(71, 71),
        horizontal_line(71, 71),
        horizontal_line(70, 71),
        horizontal_line(70, 70),
        horizontal_line(70, 70),
        horizontal_line(70, 70),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
    };

    constexpr const shape frame_652_shape_group_1_shapes[] = {
        shape(frame_652_shape_group_1_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_652_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_652_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_652_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 100),
        horizontal_line(39, 100),
        horizontal_line(39, 100),
        horizontal_line(39, 99),
        horizontal_line(38, 99),
        horizontal_line(38, 99),
        horizontal_line(38, 99),
        horizontal_line(38, 98),
        horizontal_line(38, 98),
        horizontal_line(38, 98),
        horizontal_line(37, 98),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 96),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(36, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 94),
        horizontal_line(35, 93),
        horizontal_line(35, 93),
        horizontal_line(35, 93),
        horizontal_line(34, 93),
        horizontal_line(34, 92),
        horizontal_line(34, 92),
        horizontal_line(34, 92),
        horizontal_line(34, 92),
        horizontal_line(34, 91),
        horizontal_line(33, 91),
        horizontal_line(33, 91),
        horizontal_line(33, 90),
        horizontal_line(33, 90),
        horizontal_line(33, 90),
        horizontal_line(33, 90),
        horizontal_line(33, 89),
        horizontal_line(32, 89),
        horizontal_line(32, 89),
        horizontal_line(32, 89),
        horizontal_line(32, 88),
        horizontal_line(32, 88),
        horizontal_line(32, 88),
        horizontal_line(31, 88),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 87),
        horizontal_line(31, 86),
        horizontal_line(31, 86),
        horizontal_line(30, 86),
        horizontal_line(30, 85),
        horizontal_line(30, 85),
        horizontal_line(30, 85),
        horizontal_line(30, 85),
        horizontal_line(30, 84),
        horizontal_line(29, 84),
        horizontal_line(29, 84),
        horizontal_line(29, 84),
        horizontal_line(29, 83),
        horizontal_line(29, 83),
        horizontal_line(29, 83),
        horizontal_line(28, 83),
        horizontal_line(28, 82),
        horizontal_line(28, 82),
        horizontal_line(28, 82),
        horizontal_line(28, 82),
        horizontal_line(28, 81),
        horizontal_line(28, 81),
        horizontal_line(27, 81),
        horizontal_line(27, 80),
        horizontal_line(27, 80),
        horizontal_line(27, 80),
        horizontal_line(27, 80),
        horizontal_line(27, 79),
        horizontal_line(26, 79),
        horizontal_line(26, 79),
        horizontal_line(26, 79),
        horizontal_line(26, 78),
        horizontal_line(26, 78),
        horizontal_line(26, 78),
        horizontal_line(25, 78),
        horizontal_line(25, 77),
        horizontal_line(25, 77),
        horizontal_line(25, 77),
        horizontal_line(25, 76),
        horizontal_line(25, 76),
        horizontal_line(25, 76),
        horizontal_line(24, 76),
        horizontal_line(24, 75),
        horizontal_line(24, 75),
        horizontal_line(24, 75),
        horizontal_line(24, 75),
        horizontal_line(24, 74),
        horizontal_line(23, 74),
        horizontal_line(23, 74),
        horizontal_line(23, 74),
        horizontal_line(23, 73),
        horizontal_line(23, 73),
        horizontal_line(23, 73),
        horizontal_line(22, 73),
        horizontal_line(22, 72),
        horizontal_line(22, 72),
        horizontal_line(22, 72),
        horizontal_line(22, 71),
        horizontal_line(22, 71),
        horizontal_line(22, 71),
        horizontal_line(21, 71),
        horizontal_line(21, 70),
        horizontal_line(21, 70),
        horizontal_line(21, 70),
        horizontal_line(21, 70),
        horizontal_line(21, 69),
        horizontal_line(20, 69),
        horizontal_line(20, 69),
        horizontal_line(20, 69),
        horizontal_line(20, 68),
        horizontal_line(20, 68),
        horizontal_line(20, 68),
        horizontal_line(20, 68),
    };

    constexpr const shape frame_652_shape_group_2_shapes[] = {
        shape(frame_652_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_652_shape_group_2_shape_1_horizontal_lines, 23, 6),
        shape(frame_652_shape_group_2_shape_2_horizontal_lines, 24, 7),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(41, 103),
        horizontal_line(121, 128),
        horizontal_line(121, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(107, 108),
        horizontal_line(107, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 107),
        horizontal_line(106, 106),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(107, 119),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 117),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 112),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 110),
        horizontal_line(100, 109),
        horizontal_line(100, 108),
        horizontal_line(99, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
        horizontal_line(95, 97),
        horizontal_line(95, 96),
        horizontal_line(94, 95),
        horizontal_line(94, 95),
        horizontal_line(94, 94),
        horizontal_line(93, 93),
        horizontal_line(111, 128),
        horizontal_line(110, 128),
        horizontal_line(109, 127),
        horizontal_line(109, 126),
        horizontal_line(108, 126),
        horizontal_line(107, 125),
        horizontal_line(107, 125),
        horizontal_line(106, 124),
        horizontal_line(105, 123),
        horizontal_line(104, 123),
        horizontal_line(104, 122),
        horizontal_line(103, 122),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(88, 90),
        horizontal_line(87, 92),
        horizontal_line(87, 94),
        horizontal_line(87, 96),
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(85, 100),
        horizontal_line(85, 101),
        horizontal_line(85, 102),
        horizontal_line(84, 103),
        horizontal_line(84, 103),
        horizontal_line(84, 104),
        horizontal_line(87, 105),
        horizontal_line(91, 106),
        horizontal_line(94, 107),
        horizontal_line(98, 107),
        horizontal_line(101, 108),
        horizontal_line(105, 109),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(134, 159),
        horizontal_line(133, 159),
        horizontal_line(133, 159),
        horizontal_line(132, 158),
        horizontal_line(132, 158),
        horizontal_line(131, 158),
        horizontal_line(131, 157),
        horizontal_line(131, 157),
        horizontal_line(130, 157),
        horizontal_line(130, 156),
        horizontal_line(129, 156),
        horizontal_line(129, 156),
        horizontal_line(128, 155),
    };

    constexpr const horizontal_line frame_652_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(75, 83),
        horizontal_line(75, 88),
        horizontal_line(74, 92),
        horizontal_line(74, 97),
        horizontal_line(74, 101),
        horizontal_line(73, 106),
        horizontal_line(73, 110),
        horizontal_line(73, 115),
        horizontal_line(72, 119),
        horizontal_line(72, 123),
        horizontal_line(72, 123),
        horizontal_line(71, 123),
        horizontal_line(71, 123),
        horizontal_line(71, 124),
        horizontal_line(70, 124),
        horizontal_line(70, 124),
        horizontal_line(70, 124),
        horizontal_line(70, 125),
    };

    constexpr const shape frame_652_shape_group_3_shapes[] = {
        shape(frame_652_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_652_shape_group_3_shape_1_horizontal_lines, 66, 4),
        shape(frame_652_shape_group_3_shape_2_horizontal_lines, 67, 7),
        shape(frame_652_shape_group_3_shape_3_horizontal_lines, 68, 4),
        shape(frame_652_shape_group_3_shape_4_horizontal_lines, 69, 7),
        shape(frame_652_shape_group_3_shape_5_horizontal_lines, 70, 4),
        shape(frame_652_shape_group_3_shape_6_horizontal_lines, 108, 1),
        shape(frame_652_shape_group_3_shape_7_horizontal_lines, 128, 4),
        shape(frame_652_shape_group_3_shape_8_horizontal_lines, 141, 1),
    };

    constexpr const horizontal_line frame_652_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 105),
        horizontal_line(104, 105),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
        horizontal_line(103, 104),
        horizontal_line(103, 104),
        horizontal_line(103, 104),
        horizontal_line(121, 128),
        horizontal_line(103, 103),
        horizontal_line(103, 103),
        horizontal_line(102, 103),
        horizontal_line(102, 102),
        horizontal_line(102, 102),
        horizontal_line(102, 102),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_652_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 166),
    };

    constexpr const horizontal_line frame_652_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_652_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(119, 130),
        horizontal_line(119, 131),
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(119, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 134),
        horizontal_line(121, 135),
        horizontal_line(121, 132),
        horizontal_line(122, 129),
        horizontal_line(122, 126),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_652_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(121, 130),
        horizontal_line(120, 129),
        horizontal_line(119, 128),
        horizontal_line(118, 127),
        horizontal_line(117, 127),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(113, 123),
        horizontal_line(112, 122),
        horizontal_line(110, 121),
        horizontal_line(109, 120),
        horizontal_line(108, 119),
        horizontal_line(133, 146),
        horizontal_line(106, 118),
        horizontal_line(131, 144),
        horizontal_line(104, 116),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(128, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(120, 136),
        horizontal_line(120, 135),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(148, 169),
        horizontal_line(147, 169),
        horizontal_line(147, 169),
        horizontal_line(146, 168),
        horizontal_line(146, 168),
        horizontal_line(146, 168),
        horizontal_line(145, 167),
        horizontal_line(145, 167),
        horizontal_line(144, 167),
        horizontal_line(144, 166),
        horizontal_line(143, 166),
        horizontal_line(143, 166),
        horizontal_line(102, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 120),
        horizontal_line(100, 119),
        horizontal_line(99, 119),
        horizontal_line(100, 118),
        horizontal_line(100, 118),
        horizontal_line(101, 117),
        horizontal_line(102, 116),
        horizontal_line(103, 116),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(105, 114),
        horizontal_line(106, 114),
        horizontal_line(107, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(109, 111),
        horizontal_line(110, 111),
        horizontal_line(134, 160),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(128, 155),
        horizontal_line(127, 155),
        horizontal_line(127, 155),
        horizontal_line(127, 154),
        horizontal_line(126, 154),
        horizontal_line(126, 154),
        horizontal_line(125, 153),
        horizontal_line(125, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(125, 151),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(126, 150),
    };

    constexpr const shape frame_652_shape_group_4_shapes[] = {
        shape(frame_652_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_652_shape_group_4_shape_1_horizontal_lines, 31, 1),
        shape(frame_652_shape_group_4_shape_2_horizontal_lines, 32, 7),
        shape(frame_652_shape_group_4_shape_3_horizontal_lines, 35, 1),
        shape(frame_652_shape_group_4_shape_4_horizontal_lines, 53, 4),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(171, 190),
        horizontal_line(174, 189),
        horizontal_line(177, 189),
        horizontal_line(180, 188),
        horizontal_line(183, 188),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 198),
        horizontal_line(187, 197),
        horizontal_line(187, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(134, 141),
        horizontal_line(134, 143),
        horizontal_line(133, 144),
        horizontal_line(133, 146),
        horizontal_line(132, 147),
        horizontal_line(132, 149),
        horizontal_line(131, 151),
        horizontal_line(130, 152),
        horizontal_line(130, 154),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(132, 157),
        horizontal_line(133, 159),
        horizontal_line(134, 160),
        horizontal_line(135, 162),
        horizontal_line(136, 163),
        horizontal_line(137, 165),
        horizontal_line(138, 167),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(176, 190),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(123, 125),
        horizontal_line(143, 160),
        horizontal_line(144, 159),
        horizontal_line(145, 158),
        horizontal_line(146, 156),
        horizontal_line(147, 155),
        horizontal_line(148, 153),
        horizontal_line(149, 152),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(150, 159),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(133, 134),
        horizontal_line(130, 133),
        horizontal_line(127, 132),
        horizontal_line(124, 131),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 152),
        horizontal_line(140, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(137, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(161, 179),
        horizontal_line(132, 145),
        horizontal_line(160, 178),
        horizontal_line(131, 144),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 177),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 176),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(155, 175),
        horizontal_line(155, 174),
        horizontal_line(154, 174),
        horizontal_line(154, 174),
        horizontal_line(154, 173),
        horizontal_line(153, 173),
        horizontal_line(153, 173),
        horizontal_line(152, 172),
        horizontal_line(152, 172),
        horizontal_line(151, 172),
        horizontal_line(151, 172),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(148, 170),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(142, 166),
        horizontal_line(142, 165),
        horizontal_line(142, 165),
        horizontal_line(141, 165),
        horizontal_line(141, 164),
        horizontal_line(140, 164),
        horizontal_line(140, 164),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(138, 162),
        horizontal_line(138, 162),
        horizontal_line(137, 162),
        horizontal_line(137, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(135, 161),
        horizontal_line(135, 160),
        horizontal_line(135, 160),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_652_shape_group_5_shapes[] = {
        shape(frame_652_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_652_shape_group_5_shape_1_horizontal_lines, 6, 4),
        shape(frame_652_shape_group_5_shape_2_horizontal_lines, 11, 1),
        shape(frame_652_shape_group_5_shape_3_horizontal_lines, 23, 7),
        shape(frame_652_shape_group_5_shape_4_horizontal_lines, 24, 1),
        shape(frame_652_shape_group_5_shape_5_horizontal_lines, 31, 4),
        shape(frame_652_shape_group_5_shape_6_horizontal_lines, 32, 1),
        shape(frame_652_shape_group_5_shape_7_horizontal_lines, 43, 4),
        shape(frame_652_shape_group_5_shape_8_horizontal_lines, 141, 4),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(190, 199),
        horizontal_line(190, 199),
        horizontal_line(189, 199),
        horizontal_line(189, 198),
        horizontal_line(188, 198),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(185, 196),
        horizontal_line(185, 196),
        horizontal_line(184, 195),
        horizontal_line(184, 195),
        horizontal_line(184, 195),
        horizontal_line(183, 194),
        horizontal_line(183, 194),
        horizontal_line(182, 194),
        horizontal_line(182, 194),
        horizontal_line(181, 193),
        horizontal_line(181, 193),
        horizontal_line(180, 193),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(131, 155),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(180, 192),
        horizontal_line(179, 192),
        horizontal_line(179, 191),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(140, 165),
        horizontal_line(141, 163),
        horizontal_line(142, 162),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(160, 163),
        horizontal_line(159, 162),
        horizontal_line(157, 162),
        horizontal_line(156, 161),
        horizontal_line(154, 161),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(171, 186),
        horizontal_line(171, 186),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 184),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(167, 183),
        horizontal_line(166, 183),
        horizontal_line(166, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 181),
        horizontal_line(163, 180),
        horizontal_line(163, 180),
        horizontal_line(162, 180),
        horizontal_line(162, 179),
        horizontal_line(161, 179),
        horizontal_line(231, 239),
        horizontal_line(161, 178),
        horizontal_line(230, 239),
        horizontal_line(160, 178),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(89, 91),
        horizontal_line(89, 92),
        horizontal_line(88, 93),
    };

    constexpr const horizontal_line frame_652_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_652_shape_group_6_shapes[] = {
        shape(frame_652_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_652_shape_group_6_shape_1_horizontal_lines, 11, 4),
        shape(frame_652_shape_group_6_shape_2_horizontal_lines, 23, 1),
        shape(frame_652_shape_group_6_shape_3_horizontal_lines, 24, 4),
        shape(frame_652_shape_group_6_shape_4_horizontal_lines, 32, 1),
        shape(frame_652_shape_group_6_shape_5_horizontal_lines, 35, 4),
        shape(frame_652_shape_group_6_shape_6_horizontal_lines, 104, 5),
        shape(frame_652_shape_group_6_shape_7_horizontal_lines, 108, 4),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(180, 192),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(125, 138),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(176, 189),
        horizontal_line(164, 165),
        horizontal_line(163, 164),
        horizontal_line(175, 188),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 186),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(169, 184),
        horizontal_line(168, 184),
        horizontal_line(168, 183),
        horizontal_line(167, 183),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(89, 94),
        horizontal_line(91, 95),
        horizontal_line(93, 96),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
    };

    constexpr const shape frame_652_shape_group_7_shapes[] = {
        shape(frame_652_shape_group_7_shape_0_horizontal_lines, 22, 4),
        shape(frame_652_shape_group_7_shape_1_horizontal_lines, 31, 5),
        shape(frame_652_shape_group_7_shape_2_horizontal_lines, 32, 4),
        shape(frame_652_shape_group_7_shape_3_horizontal_lines, 67, 4),
        shape(frame_652_shape_group_7_shape_4_horizontal_lines, 69, 4),
        shape(frame_652_shape_group_7_shape_5_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(128, 132),
        horizontal_line(128, 133),
        horizontal_line(127, 134),
        horizontal_line(127, 135),
        horizontal_line(126, 136),
        horizontal_line(125, 137),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(176, 189),
        horizontal_line(175, 189),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(132, 148),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(113, 116),
    };

    constexpr const shape frame_652_shape_group_8_shapes[] = {
        shape(frame_652_shape_group_8_shape_0_horizontal_lines, 23, 4),
        shape(frame_652_shape_group_8_shape_1_horizontal_lines, 24, 5),
        shape(frame_652_shape_group_8_shape_2_horizontal_lines, 32, 4),
        shape(frame_652_shape_group_8_shape_3_horizontal_lines, 43, 5),
        shape(frame_652_shape_group_8_shape_4_horizontal_lines, 49, 4),
        shape(frame_652_shape_group_8_shape_5_horizontal_lines, 53, 5),
    };

    constexpr const horizontal_line frame_652_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_652_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_652_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_652_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(127, 142),
        horizontal_line(128, 143),
        horizontal_line(128, 144),
        horizontal_line(129, 145),
        horizontal_line(130, 146),
        horizontal_line(130, 147),
        horizontal_line(131, 148),
        horizontal_line(132, 150),
    };

    constexpr const horizontal_line frame_652_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(133, 146),
        horizontal_line(134, 143),
        horizontal_line(134, 141),
        horizontal_line(135, 138),
        horizontal_line(136, 136),
        horizontal_line(115, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(113, 122),
    };

    constexpr const shape frame_652_shape_group_9_shapes[] = {
        shape(frame_652_shape_group_9_shape_0_horizontal_lines, 23, 5),
        shape(frame_652_shape_group_9_shape_1_horizontal_lines, 32, 5),
        shape(frame_652_shape_group_9_shape_2_horizontal_lines, 33, 4),
        shape(frame_652_shape_group_9_shape_3_horizontal_lines, 35, 5),
        shape(frame_652_shape_group_9_shape_4_horizontal_lines, 44, 5),
    };

    constexpr const horizontal_line frame_652_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(126, 141),
    };

    constexpr const shape frame_652_shape_group_10_shapes[] = {
        shape(frame_652_shape_group_10_shape_0_horizontal_lines, 33, 5),
    };

    constexpr const shape_group frame_652_shape_groups[] = {
        shape_group(frame_652_shape_group_0_shapes),
        shape_group(frame_652_shape_group_1_shapes),
        shape_group(frame_652_shape_group_2_shapes),
        shape_group(frame_652_shape_group_3_shapes),
        shape_group(frame_652_shape_group_4_shapes),
        shape_group(frame_652_shape_group_5_shapes),
        shape_group(frame_652_shape_group_6_shapes),
        shape_group(frame_652_shape_group_7_shapes),
        shape_group(frame_652_shape_group_8_shapes),
        shape_group(frame_652_shape_group_9_shapes),
        shape_group(frame_652_shape_group_10_shapes),
    };

    constexpr const frame frame_652_impl(frame_652_colors, frame_652_shape_groups);
} 

const frame& frame_652()
{
    return frame_652_impl;
}

namespace
{
    constexpr const bn::color frame_653_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_653_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(71, 76),
        horizontal_line(70, 75),
        horizontal_line(70, 75),
        horizontal_line(70, 74),
        horizontal_line(70, 74),
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(68, 71),
        horizontal_line(68, 71),
        horizontal_line(67, 71),
        horizontal_line(67, 70),
        horizontal_line(67, 70),
        horizontal_line(67, 70),
        horizontal_line(66, 69),
        horizontal_line(66, 69),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
        horizontal_line(65, 68),
        horizontal_line(65, 67),
        horizontal_line(65, 67),
        horizontal_line(65, 67),
    };

    constexpr const shape frame_653_shape_group_0_shapes[] = {
        shape(frame_653_shape_group_0_shape_0_horizontal_lines, 0, 6),
    };

    constexpr const horizontal_line frame_653_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(105, 128),
        horizontal_line(104, 127),
        horizontal_line(104, 127),
        horizontal_line(104, 126),
        horizontal_line(103, 126),
        horizontal_line(103, 126),
        horizontal_line(103, 125),
        horizontal_line(103, 125),
        horizontal_line(102, 124),
        horizontal_line(102, 124),
        horizontal_line(102, 124),
        horizontal_line(102, 123),
        horizontal_line(101, 123),
        horizontal_line(101, 123),
        horizontal_line(101, 122),
        horizontal_line(101, 122),
        horizontal_line(100, 121),
        horizontal_line(100, 121),
        horizontal_line(100, 121),
        horizontal_line(100, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 119),
        horizontal_line(99, 119),
        horizontal_line(99, 119),
        horizontal_line(98, 118),
        horizontal_line(98, 118),
        horizontal_line(98, 118),
        horizontal_line(98, 117),
        horizontal_line(97, 117),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 116),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 114),
        horizontal_line(96, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 113),
        horizontal_line(94, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(93, 111),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 109),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(91, 108),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 103),
        horizontal_line(88, 103),
        horizontal_line(88, 103),
        horizontal_line(88, 102),
        horizontal_line(88, 102),
        horizontal_line(87, 101),
        horizontal_line(87, 101),
        horizontal_line(87, 101),
        horizontal_line(87, 100),
        horizontal_line(86, 100),
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(85, 98),
        horizontal_line(85, 98),
        horizontal_line(85, 98),
        horizontal_line(85, 97),
        horizontal_line(84, 97),
        horizontal_line(84, 96),
        horizontal_line(84, 96),
        horizontal_line(84, 96),
        horizontal_line(83, 95),
        horizontal_line(83, 95),
        horizontal_line(83, 94),
        horizontal_line(83, 94),
        horizontal_line(82, 94),
        horizontal_line(82, 93),
        horizontal_line(82, 93),
        horizontal_line(82, 93),
        horizontal_line(81, 92),
        horizontal_line(81, 92),
        horizontal_line(81, 91),
        horizontal_line(81, 91),
        horizontal_line(80, 91),
        horizontal_line(80, 90),
        horizontal_line(80, 90),
        horizontal_line(80, 89),
        horizontal_line(79, 89),
        horizontal_line(79, 89),
        horizontal_line(79, 88),
        horizontal_line(79, 88),
        horizontal_line(78, 88),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(78, 86),
        horizontal_line(77, 86),
        horizontal_line(77, 86),
        horizontal_line(77, 85),
        horizontal_line(77, 85),
        horizontal_line(76, 84),
        horizontal_line(76, 84),
        horizontal_line(76, 84),
        horizontal_line(76, 83),
        horizontal_line(75, 83),
        horizontal_line(75, 83),
        horizontal_line(75, 82),
        horizontal_line(75, 82),
        horizontal_line(74, 81),
        horizontal_line(74, 81),
        horizontal_line(74, 81),
        horizontal_line(74, 80),
        horizontal_line(73, 80),
        horizontal_line(73, 79),
        horizontal_line(73, 79),
        horizontal_line(73, 79),
        horizontal_line(72, 78),
        horizontal_line(72, 78),
        horizontal_line(72, 78),
        horizontal_line(72, 77),
        horizontal_line(71, 77),
        horizontal_line(71, 76),
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_653_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_653_shape_group_1_shapes[] = {
        shape(frame_653_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_653_shape_group_1_shape_1_horizontal_lines, 135, 7),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(130, 131),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_653_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const shape frame_653_shape_group_2_shapes[] = {
        shape(frame_653_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_653_shape_group_2_shape_1_horizontal_lines, 12, 6),
        shape(frame_653_shape_group_2_shape_2_horizontal_lines, 13, 7),
        shape(frame_653_shape_group_2_shape_3_horizontal_lines, 14, 6),
        shape(frame_653_shape_group_2_shape_4_horizontal_lines, 35, 7),
        shape(frame_653_shape_group_2_shape_5_horizontal_lines, 36, 6),
        shape(frame_653_shape_group_2_shape_6_horizontal_lines, 37, 7),
    };

    constexpr const horizontal_line frame_653_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(20, 82),
        horizontal_line(124, 132),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(115, 120),
        horizontal_line(16, 78),
        horizontal_line(114, 119),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(106, 107),
        horizontal_line(106, 107),
        horizontal_line(105, 106),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(103, 103),
        horizontal_line(103, 103),
        horizontal_line(102, 102),
        horizontal_line(73, 86),
        horizontal_line(73, 86),
        horizontal_line(72, 86),
        horizontal_line(72, 85),
        horizontal_line(72, 85),
        horizontal_line(72, 85),
        horizontal_line(72, 85),
        horizontal_line(72, 84),
        horizontal_line(71, 84),
        horizontal_line(71, 84),
        horizontal_line(71, 84),
        horizontal_line(71, 83),
        horizontal_line(71, 83),
        horizontal_line(71, 83),
        horizontal_line(71, 83),
        horizontal_line(70, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 81),
        horizontal_line(70, 81),
        horizontal_line(69, 81),
        horizontal_line(69, 81),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(69, 79),
        horizontal_line(68, 79),
        horizontal_line(68, 79),
        horizontal_line(68, 79),
        horizontal_line(68, 78),
        horizontal_line(68, 78),
        horizontal_line(68, 78),
        horizontal_line(67, 78),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(64, 73),
        horizontal_line(64, 73),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_653_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(131, 160),
        horizontal_line(131, 160),
        horizontal_line(130, 159),
        horizontal_line(130, 159),
        horizontal_line(130, 159),
        horizontal_line(129, 158),
        horizontal_line(129, 158),
        horizontal_line(128, 158),
        horizontal_line(128, 158),
    };

    constexpr const horizontal_line frame_653_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(73, 77),
        horizontal_line(73, 81),
        horizontal_line(72, 85),
        horizontal_line(72, 89),
        horizontal_line(72, 93),
        horizontal_line(71, 98),
        horizontal_line(71, 102),
        horizontal_line(71, 106),
        horizontal_line(70, 110),
        horizontal_line(70, 114),
        horizontal_line(69, 118),
        horizontal_line(69, 122),
        horizontal_line(69, 122),
        horizontal_line(68, 122),
        horizontal_line(68, 122),
        horizontal_line(68, 123),
    };

    constexpr const shape frame_653_shape_group_3_shapes[] = {
        shape(frame_653_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_653_shape_group_3_shape_1_horizontal_lines, 135, 4),
        shape(frame_653_shape_group_3_shape_2_horizontal_lines, 144, 1),
    };

    constexpr const horizontal_line frame_653_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(84, 104),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 103),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(82, 102),
        horizontal_line(82, 101),
        horizontal_line(82, 101),
        horizontal_line(82, 101),
        horizontal_line(82, 101),
        horizontal_line(124, 132),
        horizontal_line(81, 100),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 129),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(120, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(115, 120),
        horizontal_line(78, 95),
        horizontal_line(115, 119),
        horizontal_line(78, 94),
        horizontal_line(78, 94),
        horizontal_line(77, 94),
        horizontal_line(77, 93),
        horizontal_line(77, 93),
        horizontal_line(77, 93),
        horizontal_line(77, 93),
        horizontal_line(77, 92),
        horizontal_line(76, 92),
        horizontal_line(76, 92),
        horizontal_line(76, 92),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(74, 89),
        horizontal_line(74, 89),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 86),
    };

    constexpr const horizontal_line frame_653_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(105, 117),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(100, 112),
        horizontal_line(99, 111),
        horizontal_line(99, 110),
        horizontal_line(99, 109),
        horizontal_line(98, 108),
        horizontal_line(98, 107),
        horizontal_line(97, 107),
        horizontal_line(97, 106),
        horizontal_line(97, 105),
        horizontal_line(96, 104),
        horizontal_line(96, 103),
        horizontal_line(95, 102),
        horizontal_line(95, 101),
        horizontal_line(95, 100),
        horizontal_line(94, 99),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(92, 95),
        horizontal_line(92, 94),
        horizontal_line(92, 93),
        horizontal_line(91, 92),
        horizontal_line(91, 91),
        horizontal_line(90, 90),
        horizontal_line(109, 127),
        horizontal_line(108, 126),
        horizontal_line(107, 126),
        horizontal_line(107, 125),
        horizontal_line(106, 125),
        horizontal_line(105, 124),
        horizontal_line(104, 123),
        horizontal_line(104, 123),
        horizontal_line(103, 122),
    };

    constexpr const horizontal_line frame_653_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(87, 88),
        horizontal_line(86, 90),
        horizontal_line(86, 92),
        horizontal_line(85, 94),
        horizontal_line(85, 96),
        horizontal_line(85, 98),
        horizontal_line(84, 98),
        horizontal_line(84, 99),
        horizontal_line(84, 100),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(82, 102),
        horizontal_line(82, 103),
        horizontal_line(85, 104),
        horizontal_line(89, 104),
        horizontal_line(92, 105),
        horizontal_line(95, 106),
        horizontal_line(98, 107),
        horizontal_line(102, 107),
        horizontal_line(105, 108),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_653_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(134, 162),
        horizontal_line(133, 161),
        horizontal_line(133, 161),
        horizontal_line(132, 161),
        horizontal_line(132, 160),
    };

    constexpr const horizontal_line frame_653_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(126, 157),
        horizontal_line(126, 156),
        horizontal_line(126, 156),
        horizontal_line(125, 156),
        horizontal_line(125, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(123, 154),
        horizontal_line(123, 154),
        horizontal_line(123, 154),
        horizontal_line(123, 153),
        horizontal_line(123, 153),
        horizontal_line(123, 153),
        horizontal_line(124, 153),
    };

    constexpr const shape frame_653_shape_group_4_shapes[] = {
        shape(frame_653_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_653_shape_group_4_shape_1_horizontal_lines, 69, 4),
        shape(frame_653_shape_group_4_shape_2_horizontal_lines, 109, 1),
        shape(frame_653_shape_group_4_shape_3_horizontal_lines, 130, 4),
        shape(frame_653_shape_group_4_shape_4_horizontal_lines, 144, 4),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(188, 191),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(191, 202),
        horizontal_line(190, 202),
        horizontal_line(190, 202),
        horizontal_line(189, 201),
        horizontal_line(189, 201),
        horizontal_line(188, 201),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(134, 141),
        horizontal_line(134, 142),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(82, 100),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(133, 145),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(81, 100),
        horizontal_line(81, 100),
        horizontal_line(81, 99),
        horizontal_line(81, 99),
        horizontal_line(81, 99),
        horizontal_line(81, 99),
        horizontal_line(80, 98),
        horizontal_line(80, 98),
        horizontal_line(80, 98),
        horizontal_line(80, 98),
        horizontal_line(80, 97),
        horizontal_line(80, 97),
        horizontal_line(79, 97),
        horizontal_line(79, 97),
        horizontal_line(79, 96),
        horizontal_line(79, 96),
        horizontal_line(79, 96),
        horizontal_line(79, 96),
        horizontal_line(79, 95),
        horizontal_line(78, 95),
        horizontal_line(78, 95),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(78, 94),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(119, 129),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(119, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 134),
        horizontal_line(121, 135),
        horizontal_line(121, 136),
        horizontal_line(122, 137),
        horizontal_line(122, 133),
        horizontal_line(123, 128),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(122, 133),
        horizontal_line(121, 132),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_653_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(108, 120),
        horizontal_line(107, 119),
        horizontal_line(106, 118),
        horizontal_line(132, 145),
        horizontal_line(131, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 137),
        horizontal_line(121, 136),
        horizontal_line(120, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
        horizontal_line(118, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(116, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
        horizontal_line(112, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(147, 171),
        horizontal_line(146, 171),
        horizontal_line(146, 170),
        horizontal_line(145, 170),
        horizontal_line(145, 170),
        horizontal_line(145, 169),
        horizontal_line(144, 169),
        horizontal_line(144, 169),
        horizontal_line(143, 169),
        horizontal_line(102, 122),
        horizontal_line(101, 121),
        horizontal_line(101, 120),
        horizontal_line(100, 120),
        horizontal_line(99, 119),
        horizontal_line(99, 119),
        horizontal_line(99, 118),
        horizontal_line(100, 118),
        horizontal_line(101, 117),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(103, 115),
        horizontal_line(104, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 114),
        horizontal_line(106, 113),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(109, 111),
        horizontal_line(110, 110),
    };

    constexpr const shape frame_653_shape_group_5_shapes[] = {
        shape(frame_653_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_653_shape_group_5_shape_1_horizontal_lines, 1, 4),
        shape(frame_653_shape_group_5_shape_2_horizontal_lines, 7, 1),
        shape(frame_653_shape_group_5_shape_3_horizontal_lines, 12, 7),
        shape(frame_653_shape_group_5_shape_4_horizontal_lines, 13, 1),
        shape(frame_653_shape_group_5_shape_5_horizontal_lines, 14, 7),
        shape(frame_653_shape_group_5_shape_6_horizontal_lines, 35, 1),
        shape(frame_653_shape_group_5_shape_7_horizontal_lines, 36, 7),
        shape(frame_653_shape_group_5_shape_8_horizontal_lines, 37, 1),
        shape(frame_653_shape_group_5_shape_9_horizontal_lines, 52, 4),
        shape(frame_653_shape_group_5_shape_10_horizontal_lines, 54, 1),
        shape(frame_653_shape_group_5_shape_11_horizontal_lines, 55, 4),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(192, 203),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(188, 200),
        horizontal_line(187, 200),
        horizontal_line(187, 200),
        horizontal_line(187, 199),
        horizontal_line(186, 199),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(134, 144),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(185, 198),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(133, 147),
        horizontal_line(133, 148),
        horizontal_line(132, 150),
        horizontal_line(132, 152),
        horizontal_line(132, 153),
        horizontal_line(131, 155),
        horizontal_line(131, 156),
        horizontal_line(131, 158),
        horizontal_line(132, 159),
        horizontal_line(133, 161),
        horizontal_line(134, 162),
        horizontal_line(135, 164),
        horizontal_line(136, 165),
        horizontal_line(137, 167),
        horizontal_line(138, 169),
        horizontal_line(139, 168),
        horizontal_line(140, 167),
        horizontal_line(142, 166),
        horizontal_line(124, 124),
        horizontal_line(123, 125),
        horizontal_line(122, 126),
        horizontal_line(146, 160),
        horizontal_line(121, 127),
        horizontal_line(148, 158),
        horizontal_line(149, 156),
        horizontal_line(150, 155),
        horizontal_line(151, 154),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(147, 157),
        horizontal_line(134, 136),
        horizontal_line(129, 135),
        horizontal_line(125, 134),
        horizontal_line(144, 155),
        horizontal_line(144, 154),
        horizontal_line(120, 131),
        horizontal_line(142, 153),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(140, 151),
        horizontal_line(139, 151),
        horizontal_line(138, 150),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(160, 181),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(157, 179),
        horizontal_line(157, 178),
        horizontal_line(157, 178),
        horizontal_line(156, 178),
        horizontal_line(156, 177),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(153, 176),
        horizontal_line(153, 175),
        horizontal_line(153, 175),
        horizontal_line(152, 175),
        horizontal_line(152, 175),
        horizontal_line(151, 174),
        horizontal_line(151, 174),
        horizontal_line(150, 174),
        horizontal_line(150, 173),
        horizontal_line(149, 173),
        horizontal_line(149, 173),
        horizontal_line(149, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 172),
        horizontal_line(147, 171),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 90),
        horizontal_line(88, 91),
        horizontal_line(88, 92),
        horizontal_line(87, 93),
        horizontal_line(87, 94),
    };

    constexpr const horizontal_line frame_653_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(143, 168),
        horizontal_line(142, 168),
        horizontal_line(142, 168),
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(140, 166),
        horizontal_line(140, 166),
        horizontal_line(139, 166),
        horizontal_line(139, 165),
        horizontal_line(138, 165),
        horizontal_line(138, 165),
        horizontal_line(138, 164),
        horizontal_line(137, 164),
        horizontal_line(137, 164),
        horizontal_line(136, 164),
        horizontal_line(136, 163),
        horizontal_line(135, 163),
        horizontal_line(135, 163),
        horizontal_line(134, 162),
        horizontal_line(134, 162),
    };

    constexpr const shape frame_653_shape_group_6_shapes[] = {
        shape(frame_653_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_653_shape_group_6_shape_1_horizontal_lines, 7, 4),
        shape(frame_653_shape_group_6_shape_2_horizontal_lines, 12, 1),
        shape(frame_653_shape_group_6_shape_3_horizontal_lines, 13, 4),
        shape(frame_653_shape_group_6_shape_4_horizontal_lines, 14, 1),
        shape(frame_653_shape_group_6_shape_5_horizontal_lines, 42, 4),
        shape(frame_653_shape_group_6_shape_6_horizontal_lines, 102, 5),
        shape(frame_653_shape_group_6_shape_7_horizontal_lines, 109, 4),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(186, 199),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(185, 198),
        horizontal_line(184, 198),
        horizontal_line(184, 197),
        horizontal_line(183, 197),
        horizontal_line(183, 197),
        horizontal_line(183, 197),
        horizontal_line(182, 196),
        horizontal_line(182, 196),
        horizontal_line(181, 196),
        horizontal_line(181, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 195),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(143, 164),
        horizontal_line(144, 163),
        horizontal_line(145, 162),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(157, 163),
        horizontal_line(156, 162),
        horizontal_line(155, 162),
        horizontal_line(154, 161),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(170, 188),
        horizontal_line(170, 187),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(145, 155),
        horizontal_line(168, 186),
        horizontal_line(168, 186),
        horizontal_line(143, 153),
        horizontal_line(167, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 185),
        horizontal_line(165, 184),
        horizontal_line(165, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(163, 183),
        horizontal_line(163, 182),
        horizontal_line(162, 182),
        horizontal_line(162, 182),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
    };

    constexpr const horizontal_line frame_653_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(89, 94),
        horizontal_line(91, 95),
        horizontal_line(93, 96),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
    };

    constexpr const shape frame_653_shape_group_7_shapes[] = {
        shape(frame_653_shape_group_7_shape_0_horizontal_lines, 12, 4),
        shape(frame_653_shape_group_7_shape_1_horizontal_lines, 14, 4),
        shape(frame_653_shape_group_7_shape_2_horizontal_lines, 32, 1),
        shape(frame_653_shape_group_7_shape_3_horizontal_lines, 35, 4),
        shape(frame_653_shape_group_7_shape_4_horizontal_lines, 36, 1),
        shape(frame_653_shape_group_7_shape_5_horizontal_lines, 37, 4),
        shape(frame_653_shape_group_7_shape_6_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(130, 132),
        horizontal_line(129, 133),
        horizontal_line(129, 134),
        horizontal_line(128, 135),
        horizontal_line(127, 136),
        horizontal_line(126, 137),
        horizontal_line(126, 138),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(177, 193),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 165),
        horizontal_line(175, 191),
        horizontal_line(160, 164),
        horizontal_line(175, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 190),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(116, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(169, 187),
        horizontal_line(169, 187),
        horizontal_line(168, 186),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_653_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(167, 186),
    };

    constexpr const shape frame_653_shape_group_8_shapes[] = {
        shape(frame_653_shape_group_8_shape_0_horizontal_lines, 22, 5),
        shape(frame_653_shape_group_8_shape_1_horizontal_lines, 31, 4),
        shape(frame_653_shape_group_8_shape_2_horizontal_lines, 42, 5),
        shape(frame_653_shape_group_8_shape_3_horizontal_lines, 49, 4),
        shape(frame_653_shape_group_8_shape_4_horizontal_lines, 52, 5),
        shape(frame_653_shape_group_8_shape_5_horizontal_lines, 54, 4),
    };

    constexpr const horizontal_line frame_653_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_653_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(177, 192),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_653_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(127, 145),
    };

    constexpr const horizontal_line frame_653_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(175, 191),
    };

    constexpr const horizontal_line frame_653_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(129, 147),
        horizontal_line(130, 148),
        horizontal_line(131, 149),
        horizontal_line(131, 150),
        horizontal_line(132, 152),
        horizontal_line(133, 150),
        horizontal_line(134, 148),
        horizontal_line(134, 146),
        horizontal_line(135, 144),
        horizontal_line(136, 142),
        horizontal_line(137, 140),
        horizontal_line(138, 138),
        horizontal_line(113, 121),
        horizontal_line(113, 122),
        horizontal_line(112, 123),
    };

    constexpr const shape frame_653_shape_group_9_shapes[] = {
        shape(frame_653_shape_group_9_shape_0_horizontal_lines, 31, 5),
        shape(frame_653_shape_group_9_shape_1_horizontal_lines, 32, 4),
        shape(frame_653_shape_group_9_shape_2_horizontal_lines, 35, 5),
        shape(frame_653_shape_group_9_shape_3_horizontal_lines, 36, 4),
        shape(frame_653_shape_group_9_shape_4_horizontal_lines, 37, 5),
    };

    constexpr const horizontal_line frame_653_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(125, 142),
        horizontal_line(126, 143),
        horizontal_line(127, 144),
    };

    constexpr const horizontal_line frame_653_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(128, 146),
    };

    constexpr const shape frame_653_shape_group_10_shapes[] = {
        shape(frame_653_shape_group_10_shape_0_horizontal_lines, 32, 5),
        shape(frame_653_shape_group_10_shape_1_horizontal_lines, 36, 5),
    };

    constexpr const shape_group frame_653_shape_groups[] = {
        shape_group(frame_653_shape_group_0_shapes),
        shape_group(frame_653_shape_group_1_shapes),
        shape_group(frame_653_shape_group_2_shapes),
        shape_group(frame_653_shape_group_3_shapes),
        shape_group(frame_653_shape_group_4_shapes),
        shape_group(frame_653_shape_group_5_shapes),
        shape_group(frame_653_shape_group_6_shapes),
        shape_group(frame_653_shape_group_7_shapes),
        shape_group(frame_653_shape_group_8_shapes),
        shape_group(frame_653_shape_group_9_shapes),
        shape_group(frame_653_shape_group_10_shapes),
    };

    constexpr const frame frame_653_impl(frame_653_colors, frame_653_shape_groups);
} 

const frame& frame_653()
{
    return frame_653_impl;
}

namespace
{
    constexpr const bn::color frame_654_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_654_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
    };

    constexpr const shape frame_654_shape_group_0_shapes[] = {
        shape(frame_654_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_654_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 122),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(111, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 114),
        horizontal_line(109, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
        horizontal_line(105, 108),
        horizontal_line(104, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 102),
        horizontal_line(100, 101),
        horizontal_line(100, 101),
        horizontal_line(99, 100),
        horizontal_line(99, 100),
        horizontal_line(99, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(96, 96),
        horizontal_line(62, 78),
        horizontal_line(95, 95),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_654_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(61, 68),
        horizontal_line(61, 68),
        horizontal_line(61, 68),
        horizontal_line(61, 67),
        horizontal_line(60, 67),
        horizontal_line(60, 67),
        horizontal_line(60, 66),
        horizontal_line(60, 66),
        horizontal_line(59, 66),
        horizontal_line(59, 65),
        horizontal_line(59, 65),
        horizontal_line(59, 65),
    };

    constexpr const shape frame_654_shape_group_1_shapes[] = {
        shape(frame_654_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_654_shape_group_1_shape_1_horizontal_lines, 144, 6),
    };

    constexpr const horizontal_line frame_654_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_654_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(79, 95),
    };

    constexpr const horizontal_line frame_654_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_654_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(78, 94),
        horizontal_line(78, 94),
        horizontal_line(78, 93),
        horizontal_line(77, 93),
        horizontal_line(77, 93),
        horizontal_line(77, 92),
        horizontal_line(77, 92),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(76, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 86),
        horizontal_line(73, 86),
        horizontal_line(73, 86),
        horizontal_line(72, 85),
        horizontal_line(72, 85),
        horizontal_line(72, 84),
        horizontal_line(72, 84),
        horizontal_line(71, 84),
        horizontal_line(71, 83),
        horizontal_line(71, 83),
        horizontal_line(71, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 81),
        horizontal_line(70, 81),
        horizontal_line(69, 81),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(69, 79),
        horizontal_line(68, 79),
        horizontal_line(68, 79),
        horizontal_line(68, 78),
        horizontal_line(68, 78),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 73),
        horizontal_line(64, 73),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_654_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(130, 161),
        horizontal_line(130, 161),
        horizontal_line(129, 161),
        horizontal_line(129, 160),
        horizontal_line(128, 160),
        horizontal_line(128, 160),
        horizontal_line(127, 159),
        horizontal_line(127, 159),
        horizontal_line(127, 159),
        horizontal_line(126, 158),
        horizontal_line(126, 158),
        horizontal_line(125, 158),
        horizontal_line(125, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
    };

    constexpr const shape frame_654_shape_group_2_shapes[] = {
        shape(frame_654_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_654_shape_group_2_shape_1_horizontal_lines, 79, 6),
        shape(frame_654_shape_group_2_shape_2_horizontal_lines, 80, 7),
        shape(frame_654_shape_group_2_shape_3_horizontal_lines, 81, 6),
        shape(frame_654_shape_group_2_shape_4_horizontal_lines, 144, 4),
    };

    constexpr const horizontal_line frame_654_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(99, 126),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
        horizontal_line(98, 124),
        horizontal_line(97, 124),
        horizontal_line(97, 124),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(96, 122),
        horizontal_line(96, 122),
        horizontal_line(96, 122),
        horizontal_line(96, 121),
        horizontal_line(95, 121),
        horizontal_line(95, 120),
        horizontal_line(95, 120),
        horizontal_line(95, 120),
        horizontal_line(94, 119),
        horizontal_line(94, 119),
        horizontal_line(94, 119),
        horizontal_line(94, 118),
        horizontal_line(93, 118),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 115),
        horizontal_line(92, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 114),
        horizontal_line(91, 114),
        horizontal_line(91, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 113),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 110),
        horizontal_line(88, 110),
        horizontal_line(88, 110),
        horizontal_line(88, 109),
        horizontal_line(88, 109),
        horizontal_line(87, 108),
        horizontal_line(87, 108),
        horizontal_line(87, 108),
        horizontal_line(87, 107),
        horizontal_line(86, 107),
        horizontal_line(86, 107),
        horizontal_line(86, 106),
        horizontal_line(86, 106),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 105),
        horizontal_line(85, 104),
        horizontal_line(84, 104),
        horizontal_line(84, 103),
        horizontal_line(84, 103),
        horizontal_line(84, 103),
        horizontal_line(83, 102),
        horizontal_line(83, 102),
        horizontal_line(83, 101),
        horizontal_line(83, 101),
        horizontal_line(82, 101),
        horizontal_line(82, 100),
        horizontal_line(82, 100),
        horizontal_line(82, 100),
        horizontal_line(81, 99),
        horizontal_line(81, 99),
        horizontal_line(81, 98),
        horizontal_line(81, 98),
        horizontal_line(80, 98),
        horizontal_line(80, 97),
        horizontal_line(80, 97),
        horizontal_line(80, 96),
        horizontal_line(79, 96),
        horizontal_line(79, 96),
        horizontal_line(79, 95),
    };

    constexpr const horizontal_line frame_654_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(96, 109),
    };

    constexpr const horizontal_line frame_654_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(78, 94),
    };

    constexpr const horizontal_line frame_654_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(94, 106),
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(93, 103),
        horizontal_line(93, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 101),
        horizontal_line(92, 100),
        horizontal_line(91, 99),
        horizontal_line(91, 98),
        horizontal_line(90, 97),
        horizontal_line(90, 96),
        horizontal_line(90, 95),
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(88, 92),
        horizontal_line(88, 91),
        horizontal_line(87, 90),
        horizontal_line(88, 89),
        horizontal_line(108, 126),
        horizontal_line(107, 125),
        horizontal_line(107, 125),
        horizontal_line(106, 124),
        horizontal_line(105, 124),
        horizontal_line(104, 123),
        horizontal_line(104, 122),
        horizontal_line(103, 122),
        horizontal_line(102, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 120),
        horizontal_line(100, 120),
        horizontal_line(99, 119),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(101, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 111),
        horizontal_line(107, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(109, 109),
        horizontal_line(135, 165),
        horizontal_line(135, 164),
        horizontal_line(134, 164),
        horizontal_line(134, 164),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(132, 163),
        horizontal_line(132, 162),
        horizontal_line(131, 162),
        horizontal_line(131, 162),
        horizontal_line(131, 162),
    };

    constexpr const horizontal_line frame_654_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(69, 76),
        horizontal_line(69, 80),
        horizontal_line(68, 84),
        horizontal_line(68, 88),
        horizontal_line(68, 92),
        horizontal_line(67, 96),
        horizontal_line(67, 100),
        horizontal_line(67, 104),
        horizontal_line(66, 108),
        horizontal_line(66, 112),
        horizontal_line(66, 116),
    };

    constexpr const shape frame_654_shape_group_3_shapes[] = {
        shape(frame_654_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_654_shape_group_3_shape_1_horizontal_lines, 79, 4),
        shape(frame_654_shape_group_3_shape_2_horizontal_lines, 80, 6),
        shape(frame_654_shape_group_3_shape_3_horizontal_lines, 81, 4),
        shape(frame_654_shape_group_3_shape_4_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(194, 207),
        horizontal_line(193, 206),
        horizontal_line(193, 206),
        horizontal_line(192, 206),
        horizontal_line(192, 205),
        horizontal_line(191, 205),
        horizontal_line(191, 205),
        horizontal_line(190, 204),
        horizontal_line(190, 204),
        horizontal_line(190, 204),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(189, 203),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(132, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_654_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(158, 164),
        horizontal_line(157, 163),
        horizontal_line(156, 162),
        horizontal_line(154, 162),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 160),
        horizontal_line(151, 159),
        horizontal_line(150, 159),
        horizontal_line(149, 158),
        horizontal_line(136, 137),
        horizontal_line(133, 136),
        horizontal_line(130, 135),
        horizontal_line(127, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 127),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(108, 120),
        horizontal_line(107, 119),
        horizontal_line(106, 118),
        horizontal_line(105, 117),
        horizontal_line(104, 116),
        horizontal_line(103, 116),
        horizontal_line(101, 115),
        horizontal_line(100, 114),
        horizontal_line(99, 113),
        horizontal_line(98, 112),
        horizontal_line(98, 111),
        horizontal_line(97, 110),
        horizontal_line(126, 140),
        horizontal_line(96, 109),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(120, 135),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 126),
        horizontal_line(148, 174),
        horizontal_line(148, 174),
        horizontal_line(147, 173),
        horizontal_line(147, 173),
        horizontal_line(146, 173),
        horizontal_line(146, 173),
        horizontal_line(146, 172),
        horizontal_line(145, 172),
        horizontal_line(145, 172),
        horizontal_line(144, 171),
        horizontal_line(144, 171),
        horizontal_line(143, 171),
        horizontal_line(143, 170),
        horizontal_line(142, 170),
        horizontal_line(142, 170),
        horizontal_line(142, 169),
        horizontal_line(141, 169),
        horizontal_line(141, 169),
        horizontal_line(140, 168),
        horizontal_line(140, 168),
        horizontal_line(139, 168),
        horizontal_line(139, 168),
        horizontal_line(138, 167),
        horizontal_line(138, 167),
        horizontal_line(138, 167),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(136, 166),
        horizontal_line(136, 165),
        horizontal_line(135, 165),
    };

    constexpr const shape frame_654_shape_group_4_shapes[] = {
        shape(frame_654_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_654_shape_group_4_shape_1_horizontal_lines, 10, 6),
        shape(frame_654_shape_group_4_shape_2_horizontal_lines, 11, 4),
        shape(frame_654_shape_group_4_shape_3_horizontal_lines, 12, 6),
        shape(frame_654_shape_group_4_shape_4_horizontal_lines, 35, 4),
        shape(frame_654_shape_group_4_shape_5_horizontal_lines, 37, 6),
        shape(frame_654_shape_group_4_shape_6_horizontal_lines, 38, 4),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 139),
        horizontal_line(136, 140),
        horizontal_line(135, 142),
        horizontal_line(135, 143),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(189, 203),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(188, 203),
        horizontal_line(188, 202),
        horizontal_line(187, 202),
        horizontal_line(187, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(183, 199),
        horizontal_line(183, 199),
        horizontal_line(182, 199),
        horizontal_line(182, 198),
        horizontal_line(182, 198),
        horizontal_line(181, 198),
        horizontal_line(169, 169),
        horizontal_line(168, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(163, 166),
        horizontal_line(178, 195),
        horizontal_line(178, 195),
        horizontal_line(159, 164),
        horizontal_line(177, 195),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
        horizontal_line(175, 194),
        horizontal_line(175, 193),
        horizontal_line(175, 193),
        horizontal_line(174, 193),
        horizontal_line(174, 192),
        horizontal_line(173, 192),
        horizontal_line(173, 192),
        horizontal_line(149, 158),
        horizontal_line(148, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 153),
        horizontal_line(142, 153),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(140, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(135, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 140),
        horizontal_line(159, 182),
        horizontal_line(125, 139),
        horizontal_line(158, 181),
        horizontal_line(157, 181),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 179),
        horizontal_line(154, 179),
        horizontal_line(154, 178),
        horizontal_line(153, 178),
        horizontal_line(153, 178),
        horizontal_line(153, 177),
        horizontal_line(152, 177),
        horizontal_line(152, 177),
        horizontal_line(151, 176),
        horizontal_line(151, 176),
        horizontal_line(150, 176),
        horizontal_line(150, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 174),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(85, 90),
        horizontal_line(85, 91),
        horizontal_line(85, 92),
    };

    constexpr const horizontal_line frame_654_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(84, 84),
        horizontal_line(84, 86),
        horizontal_line(83, 88),
        horizontal_line(83, 90),
        horizontal_line(83, 92),
        horizontal_line(82, 94),
        horizontal_line(82, 96),
        horizontal_line(82, 98),
        horizontal_line(81, 98),
        horizontal_line(81, 99),
        horizontal_line(80, 99),
        horizontal_line(80, 100),
        horizontal_line(80, 101),
        horizontal_line(79, 101),
        horizontal_line(80, 102),
        horizontal_line(83, 103),
        horizontal_line(86, 103),
        horizontal_line(89, 104),
        horizontal_line(92, 105),
        horizontal_line(95, 105),
        horizontal_line(98, 106),
        horizontal_line(101, 107),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const shape frame_654_shape_group_5_shapes[] = {
        shape(frame_654_shape_group_5_shape_0_horizontal_lines, 5, 1),
        shape(frame_654_shape_group_5_shape_1_horizontal_lines, 10, 4),
        shape(frame_654_shape_group_5_shape_2_horizontal_lines, 11, 1),
        shape(frame_654_shape_group_5_shape_3_horizontal_lines, 12, 4),
        shape(frame_654_shape_group_5_shape_4_horizontal_lines, 103, 1),
        shape(frame_654_shape_group_5_shape_5_horizontal_lines, 104, 5),
        shape(frame_654_shape_group_5_shape_6_horizontal_lines, 109, 1),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(135, 145),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(134, 148),
        horizontal_line(134, 150),
        horizontal_line(133, 151),
        horizontal_line(133, 153),
        horizontal_line(133, 155),
        horizontal_line(132, 156),
        horizontal_line(132, 158),
        horizontal_line(132, 159),
        horizontal_line(133, 161),
        horizontal_line(134, 163),
        horizontal_line(135, 164),
        horizontal_line(136, 166),
        horizontal_line(137, 167),
        horizontal_line(138, 169),
        horizontal_line(139, 171),
        horizontal_line(140, 170),
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(181, 197),
        horizontal_line(180, 197),
        horizontal_line(180, 197),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
        horizontal_line(179, 196),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(121, 129),
        horizontal_line(120, 129),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(177, 195),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(119, 131),
        horizontal_line(119, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 133),
        horizontal_line(121, 134),
        horizontal_line(121, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
        horizontal_line(123, 137),
        horizontal_line(123, 138),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(172, 191),
        horizontal_line(172, 191),
        horizontal_line(171, 191),
        horizontal_line(171, 190),
        horizontal_line(171, 190),
        horizontal_line(170, 190),
        horizontal_line(170, 190),
        horizontal_line(169, 189),
        horizontal_line(169, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 188),
        horizontal_line(168, 188),
        horizontal_line(167, 188),
        horizontal_line(167, 187),
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(164, 186),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 182),
        horizontal_line(159, 182),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(158, 181),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_654_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(85, 93),
        horizontal_line(87, 94),
        horizontal_line(89, 94),
        horizontal_line(91, 95),
        horizontal_line(93, 96),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
    };

    constexpr const shape frame_654_shape_group_6_shapes[] = {
        shape(frame_654_shape_group_6_shape_0_horizontal_lines, 10, 1),
        shape(frame_654_shape_group_6_shape_1_horizontal_lines, 12, 1),
        shape(frame_654_shape_group_6_shape_2_horizontal_lines, 29, 4),
        shape(frame_654_shape_group_6_shape_3_horizontal_lines, 35, 1),
        shape(frame_654_shape_group_6_shape_4_horizontal_lines, 37, 4),
        shape(frame_654_shape_group_6_shape_5_horizontal_lines, 38, 1),
        shape(frame_654_shape_group_6_shape_6_horizontal_lines, 48, 4),
        shape(frame_654_shape_group_6_shape_7_horizontal_lines, 80, 4),
        shape(frame_654_shape_group_6_shape_8_horizontal_lines, 102, 1),
        shape(frame_654_shape_group_6_shape_9_horizontal_lines, 103, 5),
        shape(frame_654_shape_group_6_shape_10_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(131, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
        horizontal_line(129, 136),
        horizontal_line(128, 137),
        horizontal_line(128, 138),
        horizontal_line(127, 139),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(142, 168),
        horizontal_line(125, 125),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 127),
        horizontal_line(122, 128),
        horizontal_line(149, 161),
        horizontal_line(150, 159),
        horizontal_line(120, 130),
        horizontal_line(152, 157),
        horizontal_line(153, 156),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(114, 122),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 132),
        horizontal_line(125, 129),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(111, 120),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_654_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(110, 111),
    };

    constexpr const shape frame_654_shape_group_7_shapes[] = {
        shape(frame_654_shape_group_7_shape_0_horizontal_lines, 20, 5),
        shape(frame_654_shape_group_7_shape_1_horizontal_lines, 29, 1),
        shape(frame_654_shape_group_7_shape_2_horizontal_lines, 41, 5),
        shape(frame_654_shape_group_7_shape_3_horizontal_lines, 48, 1),
        shape(frame_654_shape_group_7_shape_4_horizontal_lines, 52, 5),
        shape(frame_654_shape_group_7_shape_5_horizontal_lines, 54, 1),
    };

    constexpr const horizontal_line frame_654_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(125, 141),
    };

    constexpr const horizontal_line frame_654_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(144, 167),
        horizontal_line(145, 165),
        horizontal_line(146, 164),
        horizontal_line(147, 163),
        horizontal_line(148, 162),
    };

    constexpr const horizontal_line frame_654_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(130, 148),
        horizontal_line(130, 149),
    };

    constexpr const horizontal_line frame_654_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(151, 158),
    };

    constexpr const horizontal_line frame_654_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(132, 151),
        horizontal_line(118, 118),
        horizontal_line(118, 119),
        horizontal_line(134, 152),
        horizontal_line(135, 150),
        horizontal_line(136, 148),
        horizontal_line(136, 145),
        horizontal_line(137, 143),
        horizontal_line(138, 141),
        horizontal_line(139, 139),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(112, 124),
        horizontal_line(112, 125),
    };

    constexpr const shape frame_654_shape_group_8_shapes[] = {
        shape(frame_654_shape_group_8_shape_0_horizontal_lines, 29, 5),
        shape(frame_654_shape_group_8_shape_1_horizontal_lines, 30, 1),
        shape(frame_654_shape_group_8_shape_2_horizontal_lines, 35, 5),
        shape(frame_654_shape_group_8_shape_3_horizontal_lines, 37, 1),
        shape(frame_654_shape_group_8_shape_4_horizontal_lines, 38, 5),
    };

    constexpr const horizontal_line frame_654_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(127, 144),
        horizontal_line(127, 145),
        horizontal_line(128, 146),
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_654_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(131, 150),
    };

    constexpr const horizontal_line frame_654_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(133, 152),
        horizontal_line(133, 154),
    };

    constexpr const shape frame_654_shape_group_9_shapes[] = {
        shape(frame_654_shape_group_9_shape_0_horizontal_lines, 30, 5),
        shape(frame_654_shape_group_9_shape_1_horizontal_lines, 37, 5),
        shape(frame_654_shape_group_9_shape_2_horizontal_lines, 39, 5),
    };

    constexpr const shape_group frame_654_shape_groups[] = {
        shape_group(frame_654_shape_group_0_shapes),
        shape_group(frame_654_shape_group_1_shapes),
        shape_group(frame_654_shape_group_2_shapes),
        shape_group(frame_654_shape_group_3_shapes),
        shape_group(frame_654_shape_group_4_shapes),
        shape_group(frame_654_shape_group_5_shapes),
        shape_group(frame_654_shape_group_6_shapes),
        shape_group(frame_654_shape_group_7_shapes),
        shape_group(frame_654_shape_group_8_shapes),
        shape_group(frame_654_shape_group_9_shapes),
    };

    constexpr const frame frame_654_impl(frame_654_colors, frame_654_shape_groups);
} 

const frame& frame_654()
{
    return frame_654_impl;
}

namespace
{
    constexpr const bn::color frame_655_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_655_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
    };

    constexpr const shape frame_655_shape_group_0_shapes[] = {
        shape(frame_655_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_655_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
        horizontal_line(121, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 110),
        horizontal_line(104, 109),
        horizontal_line(104, 109),
        horizontal_line(103, 108),
        horizontal_line(103, 108),
        horizontal_line(103, 107),
        horizontal_line(102, 107),
        horizontal_line(102, 106),
        horizontal_line(102, 106),
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(100, 104),
        horizontal_line(100, 104),
        horizontal_line(100, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 97),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(94, 95),
        horizontal_line(94, 95),
        horizontal_line(94, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 93),
        horizontal_line(93, 93),
        horizontal_line(92, 92),
        horizontal_line(92, 92),
        horizontal_line(91, 91),
        horizontal_line(91, 91),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_655_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(61, 76),
        horizontal_line(61, 76),
        horizontal_line(61, 76),
        horizontal_line(61, 75),
        horizontal_line(60, 75),
        horizontal_line(60, 75),
        horizontal_line(60, 74),
        horizontal_line(60, 74),
        horizontal_line(59, 73),
        horizontal_line(59, 73),
        horizontal_line(59, 73),
        horizontal_line(59, 72),
        horizontal_line(58, 72),
        horizontal_line(58, 72),
        horizontal_line(58, 71),
        horizontal_line(58, 71),
        horizontal_line(58, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(56, 69),
        horizontal_line(56, 68),
        horizontal_line(56, 68),
        horizontal_line(56, 67),
        horizontal_line(55, 67),
        horizontal_line(55, 67),
        horizontal_line(55, 66),
        horizontal_line(55, 66),
        horizontal_line(54, 66),
        horizontal_line(54, 65),
        horizontal_line(54, 65),
        horizontal_line(54, 64),
        horizontal_line(53, 64),
        horizontal_line(53, 64),
        horizontal_line(53, 63),
        horizontal_line(53, 63),
        horizontal_line(53, 63),
    };

    constexpr const shape frame_655_shape_group_1_shapes[] = {
        shape(frame_655_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_655_shape_group_1_shape_1_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_655_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_655_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(70, 90),
        horizontal_line(69, 89),
        horizontal_line(69, 89),
        horizontal_line(69, 89),
        horizontal_line(69, 88),
        horizontal_line(69, 88),
        horizontal_line(68, 87),
        horizontal_line(68, 87),
        horizontal_line(68, 87),
        horizontal_line(68, 86),
        horizontal_line(67, 86),
        horizontal_line(67, 86),
        horizontal_line(67, 85),
        horizontal_line(67, 85),
        horizontal_line(66, 84),
        horizontal_line(66, 84),
        horizontal_line(66, 84),
        horizontal_line(66, 83),
        horizontal_line(65, 83),
        horizontal_line(65, 82),
        horizontal_line(65, 82),
        horizontal_line(65, 82),
        horizontal_line(64, 81),
        horizontal_line(64, 81),
        horizontal_line(64, 81),
        horizontal_line(64, 80),
        horizontal_line(63, 80),
        horizontal_line(63, 79),
        horizontal_line(63, 79),
        horizontal_line(63, 79),
        horizontal_line(63, 78),
    };

    constexpr const horizontal_line frame_655_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(99, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(101, 117),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 111),
        horizontal_line(107, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(109, 109),
        horizontal_line(136, 167),
        horizontal_line(136, 167),
        horizontal_line(135, 167),
        horizontal_line(135, 166),
        horizontal_line(134, 166),
        horizontal_line(134, 166),
        horizontal_line(133, 165),
        horizontal_line(133, 165),
        horizontal_line(133, 165),
        horizontal_line(132, 164),
        horizontal_line(132, 164),
        horizontal_line(131, 164),
        horizontal_line(131, 163),
        horizontal_line(130, 163),
        horizontal_line(130, 163),
        horizontal_line(129, 162),
        horizontal_line(129, 162),
        horizontal_line(129, 162),
        horizontal_line(128, 161),
        horizontal_line(128, 161),
        horizontal_line(127, 161),
        horizontal_line(127, 160),
        horizontal_line(126, 160),
        horizontal_line(126, 160),
        horizontal_line(126, 160),
    };

    constexpr const shape frame_655_shape_group_2_shapes[] = {
        shape(frame_655_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_655_shape_group_2_shape_1_horizontal_lines, 87, 6),
        shape(frame_655_shape_group_2_shape_2_horizontal_lines, 118, 4),
    };

    constexpr const horizontal_line frame_655_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(91, 123),
        horizontal_line(90, 122),
        horizontal_line(90, 122),
        horizontal_line(90, 121),
        horizontal_line(90, 121),
        horizontal_line(89, 121),
        horizontal_line(89, 120),
        horizontal_line(89, 120),
        horizontal_line(89, 119),
        horizontal_line(88, 119),
        horizontal_line(88, 119),
        horizontal_line(88, 118),
        horizontal_line(88, 118),
        horizontal_line(87, 118),
        horizontal_line(87, 117),
        horizontal_line(87, 117),
        horizontal_line(87, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 115),
        horizontal_line(86, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 114),
        horizontal_line(85, 114),
        horizontal_line(85, 113),
        horizontal_line(85, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
        horizontal_line(82, 110),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(80, 107),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 104),
        horizontal_line(79, 104),
        horizontal_line(79, 104),
        horizontal_line(78, 103),
        horizontal_line(78, 103),
        horizontal_line(78, 102),
        horizontal_line(78, 102),
        horizontal_line(77, 102),
        horizontal_line(77, 101),
        horizontal_line(77, 101),
        horizontal_line(77, 101),
        horizontal_line(76, 100),
        horizontal_line(76, 100),
        horizontal_line(76, 99),
        horizontal_line(76, 99),
        horizontal_line(75, 99),
        horizontal_line(75, 98),
        horizontal_line(75, 98),
        horizontal_line(75, 98),
        horizontal_line(74, 97),
        horizontal_line(74, 97),
        horizontal_line(74, 96),
        horizontal_line(74, 96),
        horizontal_line(74, 96),
        horizontal_line(73, 95),
        horizontal_line(73, 95),
        horizontal_line(73, 95),
        horizontal_line(73, 94),
        horizontal_line(72, 94),
        horizontal_line(72, 93),
        horizontal_line(72, 93),
        horizontal_line(72, 93),
        horizontal_line(71, 92),
        horizontal_line(71, 92),
        horizontal_line(71, 92),
        horizontal_line(71, 91),
        horizontal_line(70, 91),
        horizontal_line(70, 90),
        horizontal_line(70, 90),
    };

    constexpr const horizontal_line frame_655_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(91, 104),
        horizontal_line(90, 103),
        horizontal_line(90, 102),
        horizontal_line(90, 101),
        horizontal_line(89, 100),
        horizontal_line(89, 99),
        horizontal_line(88, 98),
        horizontal_line(88, 97),
        horizontal_line(88, 96),
        horizontal_line(87, 96),
        horizontal_line(87, 95),
        horizontal_line(87, 94),
        horizontal_line(86, 93),
        horizontal_line(86, 92),
        horizontal_line(86, 91),
        horizontal_line(87, 90),
        horizontal_line(88, 89),
        horizontal_line(108, 126),
        horizontal_line(107, 126),
        horizontal_line(107, 125),
        horizontal_line(106, 125),
        horizontal_line(105, 124),
        horizontal_line(104, 123),
        horizontal_line(104, 123),
        horizontal_line(103, 122),
        horizontal_line(102, 122),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(100, 120),
        horizontal_line(99, 119),
        horizontal_line(99, 119),
        horizontal_line(144, 173),
        horizontal_line(143, 173),
        horizontal_line(143, 172),
        horizontal_line(142, 172),
        horizontal_line(142, 172),
        horizontal_line(141, 171),
        horizontal_line(141, 171),
        horizontal_line(140, 171),
        horizontal_line(140, 170),
        horizontal_line(140, 170),
        horizontal_line(139, 170),
        horizontal_line(139, 169),
        horizontal_line(138, 169),
        horizontal_line(138, 169),
        horizontal_line(137, 168),
        horizontal_line(137, 168),
        horizontal_line(137, 168),
    };

    constexpr const horizontal_line frame_655_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(66, 72),
        horizontal_line(65, 76),
        horizontal_line(65, 80),
        horizontal_line(65, 83),
        horizontal_line(64, 87),
        horizontal_line(64, 91),
        horizontal_line(64, 95),
    };

    constexpr const shape frame_655_shape_group_3_shapes[] = {
        shape(frame_655_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_655_shape_group_3_shape_1_horizontal_lines, 87, 4),
        shape(frame_655_shape_group_3_shape_2_horizontal_lines, 152, 1),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(196, 212),
        horizontal_line(195, 211),
        horizontal_line(195, 211),
        horizontal_line(194, 211),
        horizontal_line(194, 210),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(133, 134),
        horizontal_line(133, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
        horizontal_line(127, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(118, 119),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(153, 161),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(151, 160),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(138, 139),
        horizontal_line(135, 138),
        horizontal_line(131, 137),
        horizontal_line(128, 136),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 133),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(107, 108),
        horizontal_line(107, 107),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(107, 120),
        horizontal_line(106, 119),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(100, 114),
        horizontal_line(99, 113),
        horizontal_line(98, 112),
        horizontal_line(97, 111),
        horizontal_line(96, 110),
        horizontal_line(94, 109),
        horizontal_line(94, 108),
        horizontal_line(93, 107),
        horizontal_line(93, 106),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(120, 136),
        horizontal_line(120, 135),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
        horizontal_line(118, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(112, 130),
        horizontal_line(112, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 128),
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(150, 177),
        horizontal_line(149, 177),
        horizontal_line(149, 177),
        horizontal_line(148, 177),
        horizontal_line(148, 176),
        horizontal_line(148, 176),
        horizontal_line(147, 176),
        horizontal_line(147, 175),
        horizontal_line(146, 175),
        horizontal_line(146, 175),
        horizontal_line(145, 174),
        horizontal_line(145, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 173),
    };

    constexpr const horizontal_line frame_655_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(79, 98),
        horizontal_line(79, 99),
        horizontal_line(78, 99),
        horizontal_line(78, 100),
        horizontal_line(77, 101),
        horizontal_line(77, 101),
        horizontal_line(77, 102),
        horizontal_line(78, 102),
        horizontal_line(81, 103),
        horizontal_line(85, 104),
        horizontal_line(88, 104),
        horizontal_line(91, 105),
        horizontal_line(94, 105),
        horizontal_line(98, 106),
        horizontal_line(101, 107),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const shape frame_655_shape_group_4_shapes[] = {
        shape(frame_655_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_655_shape_group_4_shape_1_horizontal_lines, 5, 6),
        shape(frame_655_shape_group_4_shape_2_horizontal_lines, 6, 4),
        shape(frame_655_shape_group_4_shape_3_horizontal_lines, 7, 6),
        shape(frame_655_shape_group_4_shape_4_horizontal_lines, 43, 4),
        shape(frame_655_shape_group_4_shape_5_horizontal_lines, 44, 6),
        shape(frame_655_shape_group_4_shape_6_horizontal_lines, 45, 4),
        shape(frame_655_shape_group_4_shape_7_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 139),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(192, 209),
        horizontal_line(192, 209),
        horizontal_line(192, 209),
        horizontal_line(191, 208),
        horizontal_line(191, 208),
        horizontal_line(190, 208),
        horizontal_line(190, 207),
        horizontal_line(189, 207),
        horizontal_line(189, 207),
        horizontal_line(188, 206),
        horizontal_line(188, 206),
        horizontal_line(188, 206),
        horizontal_line(187, 205),
        horizontal_line(187, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(185, 204),
        horizontal_line(185, 204),
        horizontal_line(184, 203),
        horizontal_line(171, 171),
        horizontal_line(170, 170),
        horizontal_line(169, 170),
        horizontal_line(168, 169),
        horizontal_line(167, 169),
        horizontal_line(166, 168),
        horizontal_line(164, 167),
        horizontal_line(163, 167),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 164),
        horizontal_line(157, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(177, 197),
        horizontal_line(152, 161),
        horizontal_line(176, 197),
        horizontal_line(175, 196),
        horizontal_line(175, 196),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(141, 152),
        horizontal_line(140, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 148),
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 145),
        horizontal_line(131, 145),
        horizontal_line(131, 144),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 137),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
        horizontal_line(156, 182),
        horizontal_line(156, 182),
        horizontal_line(155, 182),
        horizontal_line(155, 181),
        horizontal_line(155, 181),
        horizontal_line(154, 181),
        horizontal_line(154, 180),
        horizontal_line(153, 180),
        horizontal_line(153, 180),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(151, 179),
        horizontal_line(151, 178),
        horizontal_line(151, 178),
        horizontal_line(150, 178),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(84, 89),
        horizontal_line(83, 89),
        horizontal_line(83, 90),
        horizontal_line(83, 91),
        horizontal_line(82, 92),
    };

    constexpr const horizontal_line frame_655_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(82, 83),
        horizontal_line(82, 86),
        horizontal_line(81, 88),
        horizontal_line(81, 90),
        horizontal_line(80, 92),
        horizontal_line(80, 94),
        horizontal_line(80, 96),
        horizontal_line(79, 98),
    };

    constexpr const shape frame_655_shape_group_5_shapes[] = {
        shape(frame_655_shape_group_5_shape_0_horizontal_lines, 2, 1),
        shape(frame_655_shape_group_5_shape_1_horizontal_lines, 5, 4),
        shape(frame_655_shape_group_5_shape_2_horizontal_lines, 6, 1),
        shape(frame_655_shape_group_5_shape_3_horizontal_lines, 7, 4),
        shape(frame_655_shape_group_5_shape_4_horizontal_lines, 104, 1),
        shape(frame_655_shape_group_5_shape_5_horizontal_lines, 105, 5),
        shape(frame_655_shape_group_5_shape_6_horizontal_lines, 110, 1),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(135, 146),
        horizontal_line(135, 147),
        horizontal_line(135, 149),
        horizontal_line(134, 151),
        horizontal_line(134, 152),
        horizontal_line(134, 154),
        horizontal_line(134, 156),
        horizontal_line(133, 157),
        horizontal_line(133, 159),
        horizontal_line(133, 161),
        horizontal_line(133, 162),
        horizontal_line(133, 164),
        horizontal_line(134, 166),
        horizontal_line(135, 167),
        horizontal_line(136, 169),
        horizontal_line(137, 171),
        horizontal_line(138, 173),
        horizontal_line(139, 172),
        horizontal_line(140, 171),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(184, 203),
        horizontal_line(184, 203),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(182, 202),
        horizontal_line(182, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 200),
        horizontal_line(180, 200),
        horizontal_line(180, 200),
        horizontal_line(179, 199),
        horizontal_line(179, 199),
        horizontal_line(178, 199),
        horizontal_line(178, 198),
        horizontal_line(177, 198),
        horizontal_line(177, 198),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(176, 197),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(174, 196),
        horizontal_line(174, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 195),
        horizontal_line(173, 194),
        horizontal_line(172, 194),
        horizontal_line(172, 194),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 153),
        horizontal_line(170, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 192),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(167, 191),
        horizontal_line(167, 190),
        horizontal_line(166, 190),
        horizontal_line(166, 190),
        horizontal_line(166, 189),
        horizontal_line(165, 189),
        horizontal_line(165, 189),
        horizontal_line(164, 188),
        horizontal_line(164, 188),
        horizontal_line(163, 188),
        horizontal_line(163, 187),
        horizontal_line(162, 187),
        horizontal_line(162, 187),
        horizontal_line(162, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(160, 185),
        horizontal_line(160, 185),
        horizontal_line(159, 185),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(158, 184),
        horizontal_line(158, 183),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(85, 86),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_655_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(84, 93),
        horizontal_line(87, 94),
        horizontal_line(89, 94),
        horizontal_line(91, 95),
        horizontal_line(93, 96),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
    };

    constexpr const shape frame_655_shape_group_6_shapes[] = {
        shape(frame_655_shape_group_6_shape_0_horizontal_lines, 5, 1),
        shape(frame_655_shape_group_6_shape_1_horizontal_lines, 7, 1),
        shape(frame_655_shape_group_6_shape_2_horizontal_lines, 26, 4),
        shape(frame_655_shape_group_6_shape_3_horizontal_lines, 43, 1),
        shape(frame_655_shape_group_6_shape_4_horizontal_lines, 44, 4),
        shape(frame_655_shape_group_6_shape_5_horizontal_lines, 45, 1),
        shape(frame_655_shape_group_6_shape_6_horizontal_lines, 48, 4),
        shape(frame_655_shape_group_6_shape_7_horizontal_lines, 101, 1),
        shape(frame_655_shape_group_6_shape_8_horizontal_lines, 104, 5),
        shape(frame_655_shape_group_6_shape_9_horizontal_lines, 110, 5),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(132, 134),
        horizontal_line(131, 135),
        horizontal_line(131, 136),
        horizontal_line(130, 137),
        horizontal_line(129, 138),
        horizontal_line(128, 139),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(141, 170),
        horizontal_line(142, 169),
        horizontal_line(143, 168),
        horizontal_line(126, 126),
        horizontal_line(125, 127),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
        horizontal_line(122, 130),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(120, 132),
        horizontal_line(120, 133),
        horizontal_line(121, 134),
        horizontal_line(121, 134),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(114, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(125, 137),
        horizontal_line(126, 134),
        horizontal_line(111, 111),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(171, 194),
        horizontal_line(171, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
    };

    constexpr const horizontal_line frame_655_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(85, 86),
    };

    constexpr const shape frame_655_shape_group_7_shapes[] = {
        shape(frame_655_shape_group_7_shape_0_horizontal_lines, 19, 5),
        shape(frame_655_shape_group_7_shape_1_horizontal_lines, 26, 1),
        shape(frame_655_shape_group_7_shape_2_horizontal_lines, 43, 5),
        shape(frame_655_shape_group_7_shape_3_horizontal_lines, 44, 1),
        shape(frame_655_shape_group_7_shape_4_horizontal_lines, 45, 5),
        shape(frame_655_shape_group_7_shape_5_horizontal_lines, 48, 1),
        shape(frame_655_shape_group_7_shape_6_horizontal_lines, 55, 4),
        shape(frame_655_shape_group_7_shape_7_horizontal_lines, 103, 5),
    };

    constexpr const horizontal_line frame_655_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 140),
        horizontal_line(127, 141),
        horizontal_line(126, 142),
    };

    constexpr const horizontal_line frame_655_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(145, 167),
        horizontal_line(146, 166),
        horizontal_line(147, 165),
        horizontal_line(148, 163),
        horizontal_line(149, 162),
        horizontal_line(150, 161),
        horizontal_line(151, 160),
        horizontal_line(152, 159),
        horizontal_line(153, 158),
        horizontal_line(154, 157),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_655_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(117, 121),
        horizontal_line(116, 121),
        horizontal_line(138, 148),
        horizontal_line(115, 122),
        horizontal_line(139, 144),
        horizontal_line(140, 142),
        horizontal_line(141, 141),
        horizontal_line(112, 124),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_655_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(126, 130),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_655_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(113, 122),
        horizontal_line(113, 118),
        horizontal_line(114, 114),
    };

    constexpr const shape frame_655_shape_group_8_shapes[] = {
        shape(frame_655_shape_group_8_shape_0_horizontal_lines, 26, 5),
        shape(frame_655_shape_group_8_shape_1_horizontal_lines, 29, 1),
        shape(frame_655_shape_group_8_shape_2_horizontal_lines, 40, 5),
        shape(frame_655_shape_group_8_shape_3_horizontal_lines, 50, 1),
        shape(frame_655_shape_group_8_shape_4_horizontal_lines, 52, 5),
    };

    constexpr const horizontal_line frame_655_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(127, 144),
        horizontal_line(128, 145),
        horizontal_line(129, 146),
        horizontal_line(129, 147),
        horizontal_line(130, 148),
        horizontal_line(131, 149),
        horizontal_line(132, 150),
        horizontal_line(132, 151),
        horizontal_line(133, 152),
        horizontal_line(119, 119),
        horizontal_line(118, 120),
        horizontal_line(135, 154),
        horizontal_line(136, 152),
        horizontal_line(137, 150),
    };

    constexpr const horizontal_line frame_655_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(138, 146),
    };

    constexpr const horizontal_line frame_655_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(112, 125),
        horizontal_line(113, 126),
    };

    constexpr const shape frame_655_shape_group_9_shapes[] = {
        shape(frame_655_shape_group_9_shape_0_horizontal_lines, 29, 5),
        shape(frame_655_shape_group_9_shape_1_horizontal_lines, 44, 5),
        shape(frame_655_shape_group_9_shape_2_horizontal_lines, 50, 5),
    };

    constexpr const horizontal_line frame_655_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(134, 153),
        horizontal_line(135, 155),
    };

    constexpr const shape frame_655_shape_group_10_shapes[] = {
        shape(frame_655_shape_group_10_shape_0_horizontal_lines, 38, 5),
    };

    constexpr const shape_group frame_655_shape_groups[] = {
        shape_group(frame_655_shape_group_0_shapes),
        shape_group(frame_655_shape_group_1_shapes),
        shape_group(frame_655_shape_group_2_shapes),
        shape_group(frame_655_shape_group_3_shapes),
        shape_group(frame_655_shape_group_4_shapes),
        shape_group(frame_655_shape_group_5_shapes),
        shape_group(frame_655_shape_group_6_shapes),
        shape_group(frame_655_shape_group_7_shapes),
        shape_group(frame_655_shape_group_8_shapes),
        shape_group(frame_655_shape_group_9_shapes),
        shape_group(frame_655_shape_group_10_shapes),
    };

    constexpr const frame frame_655_impl(frame_655_colors, frame_655_shape_groups);
} 

const frame& frame_655()
{
    return frame_655_impl;
}

namespace
{
    constexpr const bn::color frame_656_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_656_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
    };

    constexpr const shape frame_656_shape_group_0_shapes[] = {
        shape(frame_656_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(121, 136),
        horizontal_line(120, 135),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 132),
        horizontal_line(118, 132),
        horizontal_line(118, 131),
        horizontal_line(117, 131),
        horizontal_line(117, 130),
        horizontal_line(116, 130),
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(110, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 118),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 111),
        horizontal_line(103, 111),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(102, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 106),
        horizontal_line(100, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 101),
        horizontal_line(96, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(93, 95),
        horizontal_line(92, 95),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(91, 93),
        horizontal_line(91, 93),
        horizontal_line(90, 92),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(89, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 88),
        horizontal_line(87, 88),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
        horizontal_line(86, 86),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(60, 85),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(59, 84),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(84, 84),
    };

    constexpr const horizontal_line frame_656_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(59, 83),
        horizontal_line(58, 83),
        horizontal_line(58, 82),
        horizontal_line(58, 82),
        horizontal_line(58, 82),
        horizontal_line(58, 81),
        horizontal_line(57, 81),
        horizontal_line(57, 80),
        horizontal_line(57, 80),
        horizontal_line(57, 80),
        horizontal_line(56, 79),
        horizontal_line(56, 79),
        horizontal_line(56, 79),
        horizontal_line(56, 78),
        horizontal_line(55, 78),
        horizontal_line(55, 77),
        horizontal_line(55, 77),
        horizontal_line(55, 77),
        horizontal_line(55, 76),
        horizontal_line(54, 76),
        horizontal_line(54, 76),
        horizontal_line(54, 75),
        horizontal_line(54, 75),
        horizontal_line(53, 75),
        horizontal_line(53, 74),
        horizontal_line(53, 74),
        horizontal_line(53, 73),
        horizontal_line(52, 73),
        horizontal_line(52, 73),
        horizontal_line(52, 72),
        horizontal_line(52, 72),
        horizontal_line(51, 72),
        horizontal_line(51, 71),
        horizontal_line(51, 71),
        horizontal_line(51, 70),
        horizontal_line(51, 70),
        horizontal_line(50, 70),
        horizontal_line(50, 69),
        horizontal_line(50, 69),
        horizontal_line(50, 69),
        horizontal_line(49, 68),
        horizontal_line(49, 68),
        horizontal_line(49, 67),
        horizontal_line(49, 67),
        horizontal_line(48, 67),
        horizontal_line(48, 66),
        horizontal_line(48, 66),
        horizontal_line(48, 66),
        horizontal_line(48, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 64),
        horizontal_line(47, 64),
        horizontal_line(47, 64),
        horizontal_line(46, 63),
        horizontal_line(46, 63),
        horizontal_line(46, 63),
        horizontal_line(46, 62),
        horizontal_line(45, 62),
        horizontal_line(45, 62),
        horizontal_line(45, 61),
        horizontal_line(45, 61),
        horizontal_line(45, 61),
    };

    constexpr const shape frame_656_shape_group_1_shapes[] = {
        shape(frame_656_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_656_shape_group_1_shape_1_horizontal_lines, 94, 6),
        shape(frame_656_shape_group_1_shape_2_horizontal_lines, 95, 7),
        shape(frame_656_shape_group_1_shape_3_horizontal_lines, 96, 6),
        shape(frame_656_shape_group_1_shape_4_horizontal_lines, 97, 7),
        shape(frame_656_shape_group_1_shape_5_horizontal_lines, 98, 6),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(61, 88),
        horizontal_line(61, 87),
        horizontal_line(61, 87),
        horizontal_line(61, 86),
        horizontal_line(61, 86),
        horizontal_line(60, 86),
        horizontal_line(60, 85),
        horizontal_line(60, 85),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(86, 98),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(59, 84),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(85, 96),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(59, 83),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(84, 95),
        horizontal_line(84, 94),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(83, 84),
        horizontal_line(84, 85),
        horizontal_line(85, 86),
        horizontal_line(87, 87),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(107, 127),
        horizontal_line(107, 126),
        horizontal_line(106, 126),
        horizontal_line(105, 125),
        horizontal_line(104, 125),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(79, 82),
        horizontal_line(79, 84),
        horizontal_line(78, 86),
        horizontal_line(78, 89),
        horizontal_line(78, 91),
        horizontal_line(77, 94),
        horizontal_line(77, 96),
        horizontal_line(77, 98),
        horizontal_line(76, 98),
        horizontal_line(76, 99),
        horizontal_line(76, 99),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 102),
        horizontal_line(76, 102),
        horizontal_line(79, 103),
        horizontal_line(82, 104),
        horizontal_line(85, 104),
        horizontal_line(88, 105),
        horizontal_line(92, 105),
        horizontal_line(95, 106),
        horizontal_line(98, 106),
        horizontal_line(101, 107),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(137, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(135, 171),
        horizontal_line(135, 171),
        horizontal_line(135, 171),
        horizontal_line(134, 170),
        horizontal_line(134, 170),
        horizontal_line(133, 170),
        horizontal_line(133, 169),
        horizontal_line(132, 169),
        horizontal_line(132, 169),
        horizontal_line(131, 168),
        horizontal_line(131, 168),
        horizontal_line(131, 168),
        horizontal_line(130, 167),
        horizontal_line(130, 167),
        horizontal_line(129, 167),
        horizontal_line(129, 166),
    };

    constexpr const horizontal_line frame_656_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
        horizontal_line(62, 72),
    };

    constexpr const shape frame_656_shape_group_2_shapes[] = {
        shape(frame_656_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_656_shape_group_2_shape_1_horizontal_lines, 82, 6),
        shape(frame_656_shape_group_2_shape_2_horizontal_lines, 94, 4),
        shape(frame_656_shape_group_2_shape_3_horizontal_lines, 95, 6),
        shape(frame_656_shape_group_2_shape_4_horizontal_lines, 96, 4),
        shape(frame_656_shape_group_2_shape_5_horizontal_lines, 97, 6),
        shape(frame_656_shape_group_2_shape_6_horizontal_lines, 98, 4),
        shape(frame_656_shape_group_2_shape_7_horizontal_lines, 100, 1),
        shape(frame_656_shape_group_2_shape_8_horizontal_lines, 106, 4),
        shape(frame_656_shape_group_2_shape_9_horizontal_lines, 111, 1),
        shape(frame_656_shape_group_2_shape_10_horizontal_lines, 138, 4),
        shape(frame_656_shape_group_2_shape_11_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_656_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(82, 120),
        horizontal_line(81, 119),
        horizontal_line(81, 119),
        horizontal_line(81, 118),
        horizontal_line(81, 118),
        horizontal_line(80, 118),
        horizontal_line(80, 117),
        horizontal_line(80, 117),
        horizontal_line(80, 117),
        horizontal_line(79, 116),
        horizontal_line(79, 116),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(78, 115),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 114),
        horizontal_line(78, 113),
        horizontal_line(77, 113),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(77, 112),
        horizontal_line(76, 111),
        horizontal_line(76, 111),
        horizontal_line(76, 111),
        horizontal_line(76, 110),
        horizontal_line(75, 110),
        horizontal_line(75, 109),
        horizontal_line(75, 109),
        horizontal_line(75, 109),
        horizontal_line(75, 108),
        horizontal_line(74, 108),
        horizontal_line(74, 108),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(73, 106),
        horizontal_line(73, 106),
        horizontal_line(73, 106),
        horizontal_line(73, 105),
        horizontal_line(72, 105),
        horizontal_line(72, 105),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 103),
        horizontal_line(71, 103),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(70, 102),
        horizontal_line(70, 101),
        horizontal_line(70, 101),
        horizontal_line(70, 101),
        horizontal_line(69, 100),
        horizontal_line(69, 100),
        horizontal_line(69, 99),
        horizontal_line(69, 99),
        horizontal_line(68, 99),
        horizontal_line(68, 98),
        horizontal_line(68, 98),
        horizontal_line(68, 98),
        horizontal_line(68, 97),
        horizontal_line(67, 97),
        horizontal_line(67, 96),
        horizontal_line(67, 96),
        horizontal_line(67, 96),
        horizontal_line(66, 95),
        horizontal_line(66, 95),
        horizontal_line(66, 95),
        horizontal_line(66, 94),
        horizontal_line(65, 94),
        horizontal_line(65, 93),
        horizontal_line(65, 93),
        horizontal_line(65, 93),
        horizontal_line(65, 92),
        horizontal_line(64, 92),
        horizontal_line(64, 92),
        horizontal_line(64, 91),
        horizontal_line(64, 91),
        horizontal_line(63, 91),
        horizontal_line(63, 90),
        horizontal_line(63, 90),
        horizontal_line(63, 89),
    };

    constexpr const horizontal_line frame_656_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(94, 109),
        horizontal_line(93, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 104),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(88, 102),
        horizontal_line(88, 101),
        horizontal_line(87, 100),
        horizontal_line(87, 99),
        horizontal_line(116, 134),
        horizontal_line(86, 97),
        horizontal_line(115, 133),
        horizontal_line(85, 95),
        horizontal_line(113, 131),
        horizontal_line(113, 131),
        horizontal_line(84, 93),
        horizontal_line(85, 92),
        horizontal_line(86, 91),
        horizontal_line(87, 90),
        horizontal_line(88, 89),
        horizontal_line(108, 127),
        horizontal_line(151, 183),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(149, 181),
        horizontal_line(104, 124),
        horizontal_line(103, 123),
        horizontal_line(102, 123),
        horizontal_line(101, 122),
        horizontal_line(101, 122),
        horizontal_line(100, 121),
        horizontal_line(99, 121),
        horizontal_line(99, 120),
        horizontal_line(99, 119),
        horizontal_line(100, 119),
        horizontal_line(100, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_656_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(128, 166),
        horizontal_line(128, 166),
        horizontal_line(128, 166),
    };

    constexpr const shape frame_656_shape_group_3_shapes[] = {
        shape(frame_656_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_656_shape_group_3_shape_1_horizontal_lines, 82, 4),
        shape(frame_656_shape_group_3_shape_2_horizontal_lines, 157, 4),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(137, 142),
        horizontal_line(136, 143),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 132),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
        horizontal_line(125, 130),
        horizontal_line(125, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(123, 127),
        horizontal_line(123, 126),
        horizontal_line(122, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(109, 113),
        horizontal_line(108, 113),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(107, 112),
        horizontal_line(106, 111),
        horizontal_line(106, 109),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(108, 120),
        horizontal_line(107, 119),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(100, 113),
        horizontal_line(99, 112),
        horizontal_line(98, 111),
        horizontal_line(97, 110),
        horizontal_line(96, 110),
        horizontal_line(125, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(123, 139),
        horizontal_line(122, 138),
        horizontal_line(121, 138),
        horizontal_line(121, 137),
        horizontal_line(120, 137),
        horizontal_line(119, 136),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(117, 134),
        horizontal_line(156, 186),
        horizontal_line(115, 133),
        horizontal_line(155, 186),
        horizontal_line(114, 132),
        horizontal_line(154, 185),
        horizontal_line(154, 185),
        horizontal_line(112, 130),
        horizontal_line(111, 130),
        horizontal_line(110, 129),
        horizontal_line(110, 129),
        horizontal_line(109, 128),
        horizontal_line(151, 183),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(81, 89),
        horizontal_line(81, 89),
        horizontal_line(80, 90),
        horizontal_line(80, 91),
        horizontal_line(80, 92),
    };

    constexpr const horizontal_line frame_656_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 181),
        horizontal_line(148, 181),
        horizontal_line(148, 180),
        horizontal_line(147, 180),
        horizontal_line(147, 180),
        horizontal_line(146, 179),
        horizontal_line(146, 179),
        horizontal_line(146, 179),
        horizontal_line(145, 178),
        horizontal_line(145, 178),
        horizontal_line(144, 178),
        horizontal_line(144, 177),
        horizontal_line(143, 177),
        horizontal_line(143, 177),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(140, 175),
        horizontal_line(140, 174),
        horizontal_line(139, 174),
        horizontal_line(139, 174),
        horizontal_line(139, 174),
        horizontal_line(138, 173),
        horizontal_line(138, 173),
        horizontal_line(137, 173),
    };

    constexpr const shape frame_656_shape_group_4_shapes[] = {
        shape(frame_656_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_656_shape_group_4_shape_1_horizontal_lines, 2, 6),
        shape(frame_656_shape_group_4_shape_2_horizontal_lines, 50, 1),
        shape(frame_656_shape_group_4_shape_3_horizontal_lines, 51, 6),
        shape(frame_656_shape_group_4_shape_4_horizontal_lines, 52, 1),
        shape(frame_656_shape_group_4_shape_5_horizontal_lines, 55, 4),
        shape(frame_656_shape_group_4_shape_6_horizontal_lines, 106, 5),
        shape(frame_656_shape_group_4_shape_7_horizontal_lines, 111, 4),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(198, 217),
        horizontal_line(197, 216),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(136, 145),
        horizontal_line(136, 147),
        horizontal_line(136, 148),
        horizontal_line(136, 150),
        horizontal_line(135, 152),
        horizontal_line(135, 153),
        horizontal_line(135, 155),
        horizontal_line(135, 157),
        horizontal_line(135, 158),
        horizontal_line(134, 160),
        horizontal_line(134, 162),
        horizontal_line(134, 163),
        horizontal_line(134, 165),
        horizontal_line(134, 167),
        horizontal_line(134, 168),
        horizontal_line(135, 170),
        horizontal_line(136, 172),
        horizontal_line(137, 173),
        horizontal_line(138, 175),
        horizontal_line(139, 176),
        horizontal_line(140, 175),
        horizontal_line(141, 174),
        horizontal_line(142, 173),
        horizontal_line(143, 172),
        horizontal_line(144, 171),
        horizontal_line(146, 170),
        horizontal_line(126, 127),
        horizontal_line(125, 128),
        horizontal_line(125, 129),
        horizontal_line(124, 129),
        horizontal_line(123, 130),
        horizontal_line(122, 131),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 133),
        horizontal_line(121, 134),
        horizontal_line(121, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
        horizontal_line(123, 137),
        horizontal_line(123, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(125, 140),
        horizontal_line(125, 141),
        horizontal_line(126, 139),
        horizontal_line(112, 112),
        horizontal_line(111, 112),
        horizontal_line(127, 130),
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 127),
        horizontal_line(140, 152),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(135, 148),
        horizontal_line(134, 147),
        horizontal_line(133, 147),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(131, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 144),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(126, 141),
        horizontal_line(161, 190),
        horizontal_line(161, 190),
        horizontal_line(161, 190),
        horizontal_line(160, 189),
        horizontal_line(160, 189),
        horizontal_line(159, 189),
        horizontal_line(159, 188),
        horizontal_line(158, 188),
        horizontal_line(158, 188),
        horizontal_line(157, 187),
        horizontal_line(157, 187),
        horizontal_line(157, 187),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(156, 186),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(155, 185),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(153, 184),
        horizontal_line(153, 184),
        horizontal_line(153, 184),
        horizontal_line(152, 183),
        horizontal_line(152, 183),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(81, 87),
    };

    constexpr const horizontal_line frame_656_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(83, 93),
        horizontal_line(85, 94),
        horizontal_line(87, 94),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
    };

    constexpr const shape frame_656_shape_group_5_shapes[] = {
        shape(frame_656_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_656_shape_group_5_shape_1_horizontal_lines, 2, 1),
        shape(frame_656_shape_group_5_shape_2_horizontal_lines, 52, 4),
        shape(frame_656_shape_group_5_shape_3_horizontal_lines, 95, 4),
        shape(frame_656_shape_group_5_shape_4_horizontal_lines, 97, 4),
        shape(frame_656_shape_group_5_shape_5_horizontal_lines, 100, 4),
        shape(frame_656_shape_group_5_shape_6_horizontal_lines, 105, 5),
        shape(frame_656_shape_group_5_shape_7_horizontal_lines, 111, 5),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(197, 216),
        horizontal_line(196, 216),
        horizontal_line(196, 215),
        horizontal_line(195, 215),
        horizontal_line(195, 215),
        horizontal_line(194, 214),
        horizontal_line(194, 214),
        horizontal_line(194, 214),
        horizontal_line(193, 213),
        horizontal_line(193, 213),
        horizontal_line(192, 213),
        horizontal_line(192, 212),
        horizontal_line(191, 212),
        horizontal_line(191, 212),
        horizontal_line(190, 211),
        horizontal_line(190, 211),
        horizontal_line(190, 211),
        horizontal_line(189, 210),
        horizontal_line(189, 210),
        horizontal_line(188, 210),
        horizontal_line(188, 209),
        horizontal_line(187, 209),
        horizontal_line(174, 174),
        horizontal_line(173, 173),
        horizontal_line(172, 173),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(147, 169),
        horizontal_line(148, 168),
        horizontal_line(149, 166),
        horizontal_line(150, 165),
        horizontal_line(151, 164),
        horizontal_line(152, 163),
        horizontal_line(153, 162),
        horizontal_line(154, 161),
        horizontal_line(155, 160),
        horizontal_line(156, 159),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(156, 165),
        horizontal_line(155, 164),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 161),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 136),
        horizontal_line(127, 133),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(147, 158),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 156),
        horizontal_line(144, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 154),
        horizontal_line(142, 154),
        horizontal_line(141, 153),
        horizontal_line(141, 153),
        horizontal_line(170, 197),
        horizontal_line(170, 196),
        horizontal_line(169, 196),
        horizontal_line(169, 196),
        horizontal_line(168, 195),
        horizontal_line(168, 195),
        horizontal_line(168, 195),
        horizontal_line(167, 194),
        horizontal_line(167, 194),
        horizontal_line(166, 194),
        horizontal_line(166, 193),
        horizontal_line(165, 193),
        horizontal_line(165, 193),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(164, 192),
        horizontal_line(163, 191),
        horizontal_line(163, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 191),
    };

    constexpr const horizontal_line frame_656_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(82, 84),
        horizontal_line(82, 86),
    };

    constexpr const shape frame_656_shape_group_6_shapes[] = {
        shape(frame_656_shape_group_6_shape_0_horizontal_lines, 2, 4),
        shape(frame_656_shape_group_6_shape_1_horizontal_lines, 28, 1),
        shape(frame_656_shape_group_6_shape_2_horizontal_lines, 39, 4),
        shape(frame_656_shape_group_6_shape_3_horizontal_lines, 48, 1),
        shape(frame_656_shape_group_6_shape_4_horizontal_lines, 50, 4),
        shape(frame_656_shape_group_6_shape_5_horizontal_lines, 51, 1),
        shape(frame_656_shape_group_6_shape_6_horizontal_lines, 52, 4),
        shape(frame_656_shape_group_6_shape_7_horizontal_lines, 102, 5),
    };

    constexpr const horizontal_line frame_656_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 135),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(131, 138),
        horizontal_line(130, 139),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_656_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(187, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 208),
        horizontal_line(186, 208),
        horizontal_line(170, 171),
        horizontal_line(169, 171),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(165, 169),
        horizontal_line(164, 169),
        horizontal_line(163, 168),
        horizontal_line(162, 167),
        horizontal_line(161, 167),
        horizontal_line(160, 166),
        horizontal_line(159, 166),
        horizontal_line(180, 204),
        horizontal_line(180, 204),
        horizontal_line(179, 203),
        horizontal_line(179, 203),
        horizontal_line(179, 203),
        horizontal_line(178, 202),
        horizontal_line(178, 202),
        horizontal_line(177, 202),
        horizontal_line(151, 161),
        horizontal_line(137, 139),
        horizontal_line(134, 138),
        horizontal_line(149, 159),
        horizontal_line(129, 136),
        horizontal_line(175, 200),
        horizontal_line(174, 200),
        horizontal_line(174, 199),
        horizontal_line(173, 199),
        horizontal_line(173, 199),
        horizontal_line(172, 198),
        horizontal_line(172, 198),
        horizontal_line(172, 198),
        horizontal_line(171, 197),
        horizontal_line(171, 197),
    };

    constexpr const shape frame_656_shape_group_7_shapes[] = {
        shape(frame_656_shape_group_7_shape_0_horizontal_lines, 17, 5),
        shape(frame_656_shape_group_7_shape_1_horizontal_lines, 24, 4),
    };

    constexpr const horizontal_line frame_656_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(128, 142),
        horizontal_line(127, 143),
        horizontal_line(127, 145),
    };

    constexpr const horizontal_line frame_656_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(185, 208),
        horizontal_line(185, 207),
        horizontal_line(184, 207),
        horizontal_line(184, 207),
        horizontal_line(183, 206),
        horizontal_line(183, 206),
        horizontal_line(183, 206),
        horizontal_line(182, 205),
        horizontal_line(182, 205),
        horizontal_line(181, 205),
        horizontal_line(181, 204),
    };

    constexpr const horizontal_line frame_656_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(118, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 122),
        horizontal_line(116, 122),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(114, 124),
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_656_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(177, 201),
        horizontal_line(150, 160),
        horizontal_line(149, 159),
        horizontal_line(175, 200),
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_656_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(114, 123),
        horizontal_line(114, 119),
        horizontal_line(115, 115),
    };

    constexpr const shape frame_656_shape_group_8_shapes[] = {
        shape(frame_656_shape_group_8_shape_0_horizontal_lines, 24, 5),
        shape(frame_656_shape_group_8_shape_1_horizontal_lines, 28, 4),
        shape(frame_656_shape_group_8_shape_2_horizontal_lines, 39, 5),
        shape(frame_656_shape_group_8_shape_3_horizontal_lines, 47, 4),
        shape(frame_656_shape_group_8_shape_4_horizontal_lines, 52, 5),
    };

    constexpr const horizontal_line frame_656_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(129, 147),
        horizontal_line(130, 148),
        horizontal_line(130, 149),
        horizontal_line(131, 150),
        horizontal_line(132, 151),
        horizontal_line(133, 152),
        horizontal_line(133, 153),
        horizontal_line(134, 154),
        horizontal_line(120, 120),
        horizontal_line(119, 120),
        horizontal_line(136, 156),
        horizontal_line(137, 154),
        horizontal_line(138, 152),
        horizontal_line(139, 150),
        horizontal_line(139, 148),
        horizontal_line(140, 146),
        horizontal_line(141, 144),
        horizontal_line(142, 142),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_656_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(176, 201),
        horizontal_line(176, 201),
    };

    constexpr const horizontal_line frame_656_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_656_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(175, 200),
    };

    constexpr const shape frame_656_shape_group_9_shapes[] = {
        shape(frame_656_shape_group_9_shape_0_horizontal_lines, 28, 5),
        shape(frame_656_shape_group_9_shape_1_horizontal_lines, 48, 4),
        shape(frame_656_shape_group_9_shape_2_horizontal_lines, 50, 5),
        shape(frame_656_shape_group_9_shape_3_horizontal_lines, 51, 4),
    };

    constexpr const horizontal_line frame_656_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(135, 155),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_656_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(113, 125),
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_656_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(114, 127),
    };

    constexpr const shape frame_656_shape_group_10_shapes[] = {
        shape(frame_656_shape_group_10_shape_0_horizontal_lines, 37, 5),
        shape(frame_656_shape_group_10_shape_1_horizontal_lines, 48, 5),
        shape(frame_656_shape_group_10_shape_2_horizontal_lines, 51, 5),
    };

    constexpr const shape_group frame_656_shape_groups[] = {
        shape_group(frame_656_shape_group_0_shapes),
        shape_group(frame_656_shape_group_1_shapes),
        shape_group(frame_656_shape_group_2_shapes),
        shape_group(frame_656_shape_group_3_shapes),
        shape_group(frame_656_shape_group_4_shapes),
        shape_group(frame_656_shape_group_5_shapes),
        shape_group(frame_656_shape_group_6_shapes),
        shape_group(frame_656_shape_group_7_shapes),
        shape_group(frame_656_shape_group_8_shapes),
        shape_group(frame_656_shape_group_9_shapes),
        shape_group(frame_656_shape_group_10_shapes),
    };

    constexpr const frame frame_656_impl(frame_656_colors, frame_656_shape_groups);
} 

const frame& frame_656()
{
    return frame_656_impl;
}

namespace
{
    constexpr const bn::color frame_657_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_657_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const shape frame_657_shape_group_0_shapes[] = {
        shape(frame_657_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_657_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(116, 134),
        horizontal_line(115, 133),
        horizontal_line(115, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(111, 127),
        horizontal_line(111, 127),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(109, 124),
        horizontal_line(109, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 122),
        horizontal_line(108, 122),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(106, 120),
        horizontal_line(106, 119),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(102, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(100, 110),
        horizontal_line(99, 110),
        horizontal_line(99, 109),
        horizontal_line(99, 109),
        horizontal_line(98, 108),
        horizontal_line(98, 108),
        horizontal_line(98, 107),
        horizontal_line(97, 109),
        horizontal_line(97, 106),
        horizontal_line(97, 108),
        horizontal_line(96, 107),
        horizontal_line(96, 104),
        horizontal_line(95, 105),
        horizontal_line(95, 105),
        horizontal_line(95, 104),
        horizontal_line(94, 103),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(93, 101),
        horizontal_line(93, 100),
        horizontal_line(93, 100),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 96),
        horizontal_line(90, 96),
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 91),
        horizontal_line(86, 91),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(84, 87),
        horizontal_line(83, 86),
        horizontal_line(83, 85),
        horizontal_line(83, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 84),
        horizontal_line(81, 83),
        horizontal_line(81, 83),
        horizontal_line(81, 82),
        horizontal_line(80, 82),
        horizontal_line(80, 81),
        horizontal_line(80, 81),
        horizontal_line(79, 80),
        horizontal_line(79, 80),
        horizontal_line(79, 79),
        horizontal_line(78, 79),
        horizontal_line(78, 78),
        horizontal_line(78, 78),
        horizontal_line(77, 77),
        horizontal_line(77, 77),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_657_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(45, 75),
        horizontal_line(45, 75),
        horizontal_line(45, 74),
        horizontal_line(44, 74),
        horizontal_line(44, 74),
        horizontal_line(44, 73),
        horizontal_line(44, 73),
        horizontal_line(43, 73),
        horizontal_line(43, 72),
        horizontal_line(43, 72),
        horizontal_line(43, 71),
        horizontal_line(43, 71),
        horizontal_line(42, 71),
        horizontal_line(42, 70),
        horizontal_line(42, 70),
        horizontal_line(42, 70),
        horizontal_line(42, 69),
        horizontal_line(41, 69),
        horizontal_line(41, 69),
        horizontal_line(41, 68),
        horizontal_line(41, 68),
        horizontal_line(40, 68),
        horizontal_line(40, 67),
        horizontal_line(40, 67),
        horizontal_line(40, 66),
        horizontal_line(40, 66),
        horizontal_line(39, 66),
        horizontal_line(39, 65),
        horizontal_line(39, 65),
        horizontal_line(39, 65),
        horizontal_line(39, 64),
        horizontal_line(38, 64),
        horizontal_line(38, 64),
        horizontal_line(38, 63),
        horizontal_line(38, 63),
        horizontal_line(37, 63),
        horizontal_line(37, 62),
        horizontal_line(37, 62),
        horizontal_line(37, 61),
        horizontal_line(37, 61),
        horizontal_line(36, 61),
        horizontal_line(36, 60),
        horizontal_line(36, 60),
        horizontal_line(36, 60),
        horizontal_line(36, 59),
        horizontal_line(35, 59),
        horizontal_line(35, 59),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
    };

    constexpr const shape frame_657_shape_group_1_shapes[] = {
        shape(frame_657_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_657_shape_group_1_shape_1_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(130, 130),
        horizontal_line(62, 63),
        horizontal_line(129, 129),
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(126, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(124, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(117, 118),
        horizontal_line(116, 117),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 115),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(111, 112),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(58, 96),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(57, 96),
        horizontal_line(57, 95),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(57, 94),
        horizontal_line(56, 94),
        horizontal_line(56, 94),
        horizontal_line(56, 93),
        horizontal_line(56, 93),
        horizontal_line(55, 93),
        horizontal_line(55, 92),
        horizontal_line(55, 92),
        horizontal_line(55, 92),
        horizontal_line(55, 91),
        horizontal_line(54, 91),
        horizontal_line(54, 90),
        horizontal_line(54, 90),
        horizontal_line(54, 90),
        horizontal_line(54, 89),
        horizontal_line(53, 89),
        horizontal_line(53, 89),
        horizontal_line(53, 88),
        horizontal_line(53, 88),
        horizontal_line(52, 88),
        horizontal_line(52, 87),
        horizontal_line(52, 87),
        horizontal_line(52, 87),
        horizontal_line(52, 86),
        horizontal_line(51, 86),
        horizontal_line(51, 85),
        horizontal_line(51, 85),
        horizontal_line(51, 85),
        horizontal_line(51, 84),
        horizontal_line(50, 84),
        horizontal_line(50, 84),
        horizontal_line(50, 83),
        horizontal_line(50, 83),
        horizontal_line(49, 83),
        horizontal_line(49, 82),
        horizontal_line(49, 82),
        horizontal_line(49, 82),
        horizontal_line(49, 81),
        horizontal_line(48, 81),
        horizontal_line(48, 80),
        horizontal_line(48, 80),
        horizontal_line(48, 80),
        horizontal_line(48, 79),
        horizontal_line(47, 79),
        horizontal_line(47, 79),
        horizontal_line(47, 78),
        horizontal_line(47, 78),
        horizontal_line(46, 78),
        horizontal_line(46, 77),
        horizontal_line(46, 77),
        horizontal_line(46, 77),
        horizontal_line(46, 76),
        horizontal_line(45, 76),
        horizontal_line(45, 75),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(76, 77),
        horizontal_line(76, 79),
        horizontal_line(75, 81),
        horizontal_line(75, 83),
        horizontal_line(75, 85),
        horizontal_line(74, 87),
        horizontal_line(74, 89),
        horizontal_line(74, 91),
        horizontal_line(73, 93),
        horizontal_line(73, 95),
        horizontal_line(72, 97),
        horizontal_line(72, 98),
        horizontal_line(72, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 101),
        horizontal_line(73, 101),
        horizontal_line(76, 102),
        horizontal_line(79, 102),
        horizontal_line(82, 103),
        horizontal_line(84, 103),
        horizontal_line(87, 104),
        horizontal_line(90, 104),
        horizontal_line(93, 105),
        horizontal_line(96, 105),
        horizontal_line(98, 106),
        horizontal_line(101, 106),
        horizontal_line(104, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_657_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(136, 177),
        horizontal_line(136, 177),
        horizontal_line(135, 176),
        horizontal_line(135, 176),
        horizontal_line(134, 176),
        horizontal_line(134, 175),
        horizontal_line(133, 175),
        horizontal_line(133, 175),
        horizontal_line(133, 174),
        horizontal_line(132, 174),
        horizontal_line(132, 174),
        horizontal_line(131, 173),
        horizontal_line(131, 173),
        horizontal_line(130, 173),
        horizontal_line(130, 172),
        horizontal_line(129, 172),
        horizontal_line(129, 172),
        horizontal_line(129, 172),
    };

    constexpr const shape frame_657_shape_group_2_shapes[] = {
        shape(frame_657_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_657_shape_group_2_shape_1_horizontal_lines, 51, 6),
        shape(frame_657_shape_group_2_shape_2_horizontal_lines, 52, 7),
        shape(frame_657_shape_group_2_shape_3_horizontal_lines, 53, 6),
        shape(frame_657_shape_group_2_shape_4_horizontal_lines, 55, 7),
        shape(frame_657_shape_group_2_shape_5_horizontal_lines, 56, 6),
        shape(frame_657_shape_group_2_shape_6_horizontal_lines, 110, 1),
        shape(frame_657_shape_group_2_shape_7_horizontal_lines, 142, 4),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(69, 115),
        horizontal_line(68, 114),
        horizontal_line(68, 114),
        horizontal_line(68, 113),
        horizontal_line(68, 113),
        horizontal_line(67, 113),
        horizontal_line(67, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 112),
        horizontal_line(67, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 111),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 109),
        horizontal_line(65, 109),
        horizontal_line(65, 109),
        horizontal_line(65, 108),
        horizontal_line(65, 108),
        horizontal_line(64, 108),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(64, 107),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 101),
        horizontal_line(60, 100),
        horizontal_line(60, 100),
        horizontal_line(60, 99),
        horizontal_line(59, 99),
        horizontal_line(59, 99),
        horizontal_line(59, 98),
        horizontal_line(59, 98),
        horizontal_line(58, 98),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(57, 96),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(109, 114),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(57, 95),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(106, 110),
        horizontal_line(105, 109),
        horizontal_line(104, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(102, 103),
        horizontal_line(101, 102),
        horizontal_line(114, 125),
        horizontal_line(113, 124),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(107, 120),
        horizontal_line(106, 119),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 115),
        horizontal_line(100, 114),
        horizontal_line(99, 113),
        horizontal_line(98, 112),
        horizontal_line(97, 111),
        horizontal_line(95, 110),
        horizontal_line(94, 109),
        horizontal_line(93, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 106),
        horizontal_line(89, 105),
        horizontal_line(88, 104),
        horizontal_line(88, 103),
        horizontal_line(87, 102),
        horizontal_line(86, 101),
        horizontal_line(86, 100),
        horizontal_line(85, 99),
        horizontal_line(85, 98),
        horizontal_line(84, 97),
        horizontal_line(84, 97),
        horizontal_line(83, 96),
        horizontal_line(83, 95),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(82, 83),
        horizontal_line(82, 84),
        horizontal_line(84, 85),
        horizontal_line(85, 86),
        horizontal_line(87, 87),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_657_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(108, 127),
        horizontal_line(107, 127),
        horizontal_line(106, 126),
        horizontal_line(106, 126),
        horizontal_line(105, 125),
        horizontal_line(104, 124),
        horizontal_line(104, 124),
        horizontal_line(103, 123),
        horizontal_line(102, 123),
        horizontal_line(101, 122),
        horizontal_line(101, 121),
        horizontal_line(100, 121),
        horizontal_line(99, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 119),
        horizontal_line(99, 119),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(101, 117),
        horizontal_line(101, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(103, 114),
        horizontal_line(103, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(106, 111),
        horizontal_line(106, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
    };

    constexpr const shape frame_657_shape_group_3_shapes[] = {
        shape(frame_657_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_657_shape_group_3_shape_1_horizontal_lines, 20, 7),
        shape(frame_657_shape_group_3_shape_2_horizontal_lines, 21, 6),
        shape(frame_657_shape_group_3_shape_3_horizontal_lines, 22, 7),
        shape(frame_657_shape_group_3_shape_4_horizontal_lines, 29, 6),
        shape(frame_657_shape_group_3_shape_5_horizontal_lines, 51, 1),
        shape(frame_657_shape_group_3_shape_6_horizontal_lines, 52, 6),
        shape(frame_657_shape_group_3_shape_7_horizontal_lines, 53, 1),
        shape(frame_657_shape_group_3_shape_8_horizontal_lines, 55, 6),
        shape(frame_657_shape_group_3_shape_9_horizontal_lines, 56, 4),
        shape(frame_657_shape_group_3_shape_10_horizontal_lines, 99, 1),
        shape(frame_657_shape_group_3_shape_11_horizontal_lines, 106, 4),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 132),
        horizontal_line(126, 131),
        horizontal_line(125, 131),
        horizontal_line(124, 130),
        horizontal_line(64, 107),
        horizontal_line(123, 129),
        horizontal_line(64, 107),
        horizontal_line(64, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 106),
        horizontal_line(63, 105),
        horizontal_line(63, 105),
        horizontal_line(63, 104),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(110, 111),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(127, 137),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_657_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(122, 133),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(116, 127),
        horizontal_line(115, 126),
        horizontal_line(139, 153),
        horizontal_line(139, 152),
        horizontal_line(138, 152),
        horizontal_line(137, 151),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(128, 144),
        horizontal_line(127, 143),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(125, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(123, 139),
        horizontal_line(122, 139),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
        horizontal_line(120, 137),
        horizontal_line(119, 137),
        horizontal_line(119, 136),
        horizontal_line(118, 135),
        horizontal_line(117, 135),
        horizontal_line(116, 134),
        horizontal_line(116, 134),
        horizontal_line(115, 133),
        horizontal_line(83, 94),
        horizontal_line(84, 93),
        horizontal_line(85, 92),
        horizontal_line(86, 91),
        horizontal_line(87, 90),
        horizontal_line(88, 89),
        horizontal_line(110, 129),
        horizontal_line(152, 189),
        horizontal_line(152, 189),
        horizontal_line(151, 188),
        horizontal_line(151, 188),
        horizontal_line(150, 188),
        horizontal_line(150, 187),
        horizontal_line(149, 187),
        horizontal_line(149, 187),
        horizontal_line(149, 186),
        horizontal_line(148, 186),
        horizontal_line(148, 186),
        horizontal_line(147, 185),
        horizontal_line(147, 185),
        horizontal_line(146, 185),
        horizontal_line(146, 184),
        horizontal_line(145, 184),
        horizontal_line(145, 184),
        horizontal_line(145, 183),
        horizontal_line(144, 183),
        horizontal_line(144, 183),
        horizontal_line(143, 182),
        horizontal_line(143, 182),
        horizontal_line(142, 182),
        horizontal_line(142, 181),
        horizontal_line(141, 181),
        horizontal_line(141, 181),
        horizontal_line(141, 180),
        horizontal_line(140, 180),
        horizontal_line(140, 180),
        horizontal_line(139, 179),
        horizontal_line(139, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 178),
        horizontal_line(137, 178),
        horizontal_line(137, 178),
        horizontal_line(137, 177),
    };

    constexpr const shape frame_657_shape_group_4_shapes[] = {
        shape(frame_657_shape_group_4_shape_0_horizontal_lines, 0, 6),
        shape(frame_657_shape_group_4_shape_1_horizontal_lines, 51, 4),
        shape(frame_657_shape_group_4_shape_2_horizontal_lines, 52, 6),
        shape(frame_657_shape_group_4_shape_3_horizontal_lines, 53, 4),
        shape(frame_657_shape_group_4_shape_4_horizontal_lines, 55, 6),
        shape(frame_657_shape_group_4_shape_5_horizontal_lines, 56, 4),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 149),
        horizontal_line(136, 150),
        horizontal_line(136, 152),
        horizontal_line(136, 154),
        horizontal_line(136, 156),
        horizontal_line(135, 157),
        horizontal_line(135, 159),
        horizontal_line(135, 161),
        horizontal_line(135, 163),
        horizontal_line(135, 165),
        horizontal_line(134, 166),
        horizontal_line(134, 168),
        horizontal_line(134, 170),
        horizontal_line(134, 172),
        horizontal_line(134, 173),
        horizontal_line(135, 175),
        horizontal_line(136, 177),
        horizontal_line(137, 179),
        horizontal_line(138, 180),
        horizontal_line(139, 179),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(141, 177),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(123, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(125, 130),
        horizontal_line(124, 131),
        horizontal_line(123, 132),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(122, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(126, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(149, 160),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(109, 114),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(107, 113),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 154),
        horizontal_line(140, 153),
        horizontal_line(171, 203),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(169, 201),
        horizontal_line(169, 201),
        horizontal_line(168, 201),
        horizontal_line(168, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(165, 198),
        horizontal_line(165, 198),
        horizontal_line(164, 198),
        horizontal_line(164, 197),
        horizontal_line(163, 197),
        horizontal_line(163, 197),
        horizontal_line(162, 196),
        horizontal_line(162, 196),
        horizontal_line(162, 196),
        horizontal_line(161, 195),
        horizontal_line(161, 195),
        horizontal_line(160, 195),
        horizontal_line(160, 194),
        horizontal_line(159, 194),
        horizontal_line(159, 194),
        horizontal_line(158, 193),
        horizontal_line(158, 193),
        horizontal_line(158, 193),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 191),
        horizontal_line(114, 132),
        horizontal_line(114, 132),
        horizontal_line(113, 131),
        horizontal_line(112, 131),
        horizontal_line(111, 130),
        horizontal_line(111, 130),
        horizontal_line(153, 189),
    };

    constexpr const horizontal_line frame_657_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(79, 89),
        horizontal_line(78, 89),
        horizontal_line(78, 90),
        horizontal_line(77, 91),
        horizontal_line(78, 91),
        horizontal_line(80, 92),
        horizontal_line(82, 93),
        horizontal_line(84, 93),
        horizontal_line(86, 94),
        horizontal_line(88, 95),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(94, 97),
        horizontal_line(96, 97),
        horizontal_line(98, 98),
    };

    constexpr const shape frame_657_shape_group_5_shapes[] = {
        shape(frame_657_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_657_shape_group_5_shape_1_horizontal_lines, 20, 6),
        shape(frame_657_shape_group_5_shape_2_horizontal_lines, 21, 1),
        shape(frame_657_shape_group_5_shape_3_horizontal_lines, 22, 6),
        shape(frame_657_shape_group_5_shape_4_horizontal_lines, 29, 1),
        shape(frame_657_shape_group_5_shape_5_horizontal_lines, 51, 4),
        shape(frame_657_shape_group_5_shape_6_horizontal_lines, 52, 1),
        shape(frame_657_shape_group_5_shape_7_horizontal_lines, 53, 4),
        shape(frame_657_shape_group_5_shape_8_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(200, 224),
        horizontal_line(199, 223),
        horizontal_line(199, 223),
        horizontal_line(198, 223),
        horizontal_line(198, 222),
        horizontal_line(197, 222),
        horizontal_line(197, 222),
        horizontal_line(196, 221),
        horizontal_line(196, 221),
        horizontal_line(195, 221),
        horizontal_line(195, 220),
        horizontal_line(195, 220),
        horizontal_line(194, 220),
        horizontal_line(194, 219),
        horizontal_line(193, 219),
        horizontal_line(193, 219),
        horizontal_line(192, 218),
        horizontal_line(192, 218),
        horizontal_line(191, 218),
        horizontal_line(191, 217),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(140, 178),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(142, 176),
        horizontal_line(143, 175),
        horizontal_line(144, 174),
        horizontal_line(145, 172),
        horizontal_line(147, 171),
        horizontal_line(148, 170),
        horizontal_line(127, 128),
        horizontal_line(150, 168),
        horizontal_line(151, 167),
        horizontal_line(152, 165),
        horizontal_line(153, 164),
        horizontal_line(154, 163),
        horizontal_line(155, 162),
        horizontal_line(156, 161),
        horizontal_line(157, 160),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(158, 168),
        horizontal_line(157, 167),
        horizontal_line(156, 167),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
        horizontal_line(154, 165),
        horizontal_line(154, 164),
        horizontal_line(153, 164),
        horizontal_line(152, 163),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(128, 136),
        horizontal_line(128, 132),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(177, 207),
        horizontal_line(126, 136),
        horizontal_line(176, 206),
        horizontal_line(175, 206),
        horizontal_line(123, 133),
        horizontal_line(174, 205),
        horizontal_line(174, 205),
        horizontal_line(174, 205),
        horizontal_line(173, 204),
        horizontal_line(173, 204),
        horizontal_line(172, 204),
        horizontal_line(172, 203),
        horizontal_line(171, 203),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 191),
        horizontal_line(155, 191),
        horizontal_line(154, 190),
        horizontal_line(154, 190),
        horizontal_line(154, 190),
        horizontal_line(153, 189),
    };

    constexpr const horizontal_line frame_657_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(79, 87),
    };

    constexpr const shape frame_657_shape_group_6_shapes[] = {
        shape(frame_657_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_657_shape_group_6_shape_1_horizontal_lines, 20, 1),
        shape(frame_657_shape_group_6_shape_2_horizontal_lines, 21, 4),
        shape(frame_657_shape_group_6_shape_3_horizontal_lines, 22, 1),
        shape(frame_657_shape_group_6_shape_4_horizontal_lines, 38, 4),
        shape(frame_657_shape_group_6_shape_5_horizontal_lines, 47, 1),
        shape(frame_657_shape_group_6_shape_6_horizontal_lines, 51, 4),
        shape(frame_657_shape_group_6_shape_7_horizontal_lines, 99, 4),
        shape(frame_657_shape_group_6_shape_8_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 135),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(191, 217),
        horizontal_line(190, 217),
        horizontal_line(177, 177),
        horizontal_line(176, 177),
        horizontal_line(175, 176),
        horizontal_line(173, 175),
        horizontal_line(172, 175),
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(149, 169),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(169, 173),
        horizontal_line(168, 173),
        horizontal_line(166, 172),
        horizontal_line(165, 171),
        horizontal_line(164, 171),
        horizontal_line(163, 170),
        horizontal_line(162, 170),
        horizontal_line(161, 169),
        horizontal_line(160, 168),
        horizontal_line(183, 211),
        horizontal_line(182, 211),
        horizontal_line(182, 210),
        horizontal_line(181, 210),
        horizontal_line(181, 210),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 208),
        horizontal_line(140, 141),
        horizontal_line(137, 140),
        horizontal_line(133, 139),
        horizontal_line(130, 138),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(115, 125),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(148, 160),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(146, 158),
    };

    constexpr const horizontal_line frame_657_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(81, 83),
        horizontal_line(80, 84),
        horizontal_line(80, 86),
    };

    constexpr const shape frame_657_shape_group_7_shapes[] = {
        shape(frame_657_shape_group_7_shape_0_horizontal_lines, 15, 5),
        shape(frame_657_shape_group_7_shape_1_horizontal_lines, 20, 4),
        shape(frame_657_shape_group_7_shape_2_horizontal_lines, 28, 1),
        shape(frame_657_shape_group_7_shape_3_horizontal_lines, 29, 4),
        shape(frame_657_shape_group_7_shape_4_horizontal_lines, 51, 5),
        shape(frame_657_shape_group_7_shape_5_horizontal_lines, 52, 4),
        shape(frame_657_shape_group_7_shape_6_horizontal_lines, 53, 5),
        shape(frame_657_shape_group_7_shape_7_horizontal_lines, 55, 4),
        shape(frame_657_shape_group_7_shape_8_horizontal_lines, 101, 5),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(131, 139),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(190, 216),
        horizontal_line(189, 216),
        horizontal_line(189, 216),
        horizontal_line(188, 215),
        horizontal_line(188, 215),
        horizontal_line(187, 215),
        horizontal_line(170, 174),
        horizontal_line(187, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(185, 213),
        horizontal_line(185, 213),
        horizontal_line(184, 212),
        horizontal_line(184, 212),
        horizontal_line(183, 212),
        horizontal_line(183, 211),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(118, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 124),
        horizontal_line(116, 124),
        horizontal_line(115, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 126),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(151, 163),
        horizontal_line(151, 162),
        horizontal_line(150, 162),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(176, 206),
    };

    constexpr const horizontal_line frame_657_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(175, 206),
    };

    constexpr const shape frame_657_shape_group_8_shapes[] = {
        shape(frame_657_shape_group_8_shape_0_horizontal_lines, 20, 5),
        shape(frame_657_shape_group_8_shape_1_horizontal_lines, 22, 4),
        shape(frame_657_shape_group_8_shape_2_horizontal_lines, 38, 5),
        shape(frame_657_shape_group_8_shape_3_horizontal_lines, 47, 4),
        shape(frame_657_shape_group_8_shape_4_horizontal_lines, 52, 4),
        shape(frame_657_shape_group_8_shape_5_horizontal_lines, 55, 4),
    };

    constexpr const horizontal_line frame_657_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(130, 141),
        horizontal_line(129, 142),
        horizontal_line(129, 143),
        horizontal_line(128, 144),
        horizontal_line(128, 146),
        horizontal_line(128, 147),
    };

    constexpr const horizontal_line frame_657_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(187, 214),
    };

    constexpr const horizontal_line frame_657_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(131, 150),
        horizontal_line(131, 151),
        horizontal_line(132, 152),
        horizontal_line(133, 153),
        horizontal_line(134, 154),
        horizontal_line(134, 155),
        horizontal_line(121, 121),
        horizontal_line(120, 121),
        horizontal_line(137, 157),
        horizontal_line(137, 155),
        horizontal_line(138, 153),
        horizontal_line(139, 151),
        horizontal_line(140, 150),
        horizontal_line(140, 148),
        horizontal_line(141, 146),
        horizontal_line(142, 144),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_657_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(179, 208),
        horizontal_line(178, 208),
        horizontal_line(178, 207),
        horizontal_line(177, 207),
    };

    constexpr const horizontal_line frame_657_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(115, 122),
    };

    constexpr const shape frame_657_shape_group_9_shapes[] = {
        shape(frame_657_shape_group_9_shape_0_horizontal_lines, 22, 5),
        shape(frame_657_shape_group_9_shape_1_horizontal_lines, 28, 4),
        shape(frame_657_shape_group_9_shape_2_horizontal_lines, 29, 5),
        shape(frame_657_shape_group_9_shape_3_horizontal_lines, 47, 4),
        shape(frame_657_shape_group_9_shape_4_horizontal_lines, 52, 5),
    };

    constexpr const horizontal_line frame_657_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(129, 148),
    };

    constexpr const horizontal_line frame_657_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(135, 156),
        horizontal_line(136, 158),
    };

    constexpr const horizontal_line frame_657_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(114, 126),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 128),
    };

    constexpr const shape frame_657_shape_group_10_shapes[] = {
        shape(frame_657_shape_group_10_shape_0_horizontal_lines, 28, 5),
        shape(frame_657_shape_group_10_shape_1_horizontal_lines, 36, 5),
        shape(frame_657_shape_group_10_shape_2_horizontal_lines, 47, 5),
    };

    constexpr const shape_group frame_657_shape_groups[] = {
        shape_group(frame_657_shape_group_0_shapes),
        shape_group(frame_657_shape_group_1_shapes),
        shape_group(frame_657_shape_group_2_shapes),
        shape_group(frame_657_shape_group_3_shapes),
        shape_group(frame_657_shape_group_4_shapes),
        shape_group(frame_657_shape_group_5_shapes),
        shape_group(frame_657_shape_group_6_shapes),
        shape_group(frame_657_shape_group_7_shapes),
        shape_group(frame_657_shape_group_8_shapes),
        shape_group(frame_657_shape_group_9_shapes),
        shape_group(frame_657_shape_group_10_shapes),
    };

    constexpr const frame frame_657_impl(frame_657_colors, frame_657_shape_groups);
} 

const frame& frame_657()
{
    return frame_657_impl;
}

namespace
{
    constexpr const bn::color frame_658_colors[] = {
        bn::color(4, 8, 4),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(8, 12, 8),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_658_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const shape frame_658_shape_group_0_shapes[] = {
        shape(frame_658_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_658_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(113, 132),
        horizontal_line(112, 131),
        horizontal_line(112, 130),
        horizontal_line(111, 130),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 128),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 127),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 120),
        horizontal_line(104, 120),
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 116),
        horizontal_line(101, 116),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 110),
        horizontal_line(97, 110),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 106),
        horizontal_line(95, 106),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(93, 104),
        horizontal_line(93, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 102),
        horizontal_line(92, 103),
        horizontal_line(91, 101),
        horizontal_line(91, 102),
        horizontal_line(91, 101),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 99),
        horizontal_line(89, 98),
        horizontal_line(89, 98),
        horizontal_line(88, 97),
        horizontal_line(88, 96),
        horizontal_line(88, 96),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 94),
        horizontal_line(86, 94),
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(85, 91),
        horizontal_line(84, 91),
        horizontal_line(84, 90),
        horizontal_line(83, 90),
        horizontal_line(83, 89),
        horizontal_line(83, 89),
        horizontal_line(82, 88),
        horizontal_line(82, 88),
        horizontal_line(82, 87),
        horizontal_line(81, 87),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 84),
        horizontal_line(79, 84),
        horizontal_line(79, 83),
        horizontal_line(78, 83),
        horizontal_line(78, 82),
        horizontal_line(78, 82),
        horizontal_line(77, 81),
        horizontal_line(77, 80),
        horizontal_line(77, 80),
        horizontal_line(76, 79),
        horizontal_line(76, 79),
        horizontal_line(76, 78),
        horizontal_line(75, 78),
        horizontal_line(75, 77),
        horizontal_line(75, 77),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(73, 75),
        horizontal_line(73, 75),
        horizontal_line(73, 74),
        horizontal_line(72, 74),
        horizontal_line(72, 73),
        horizontal_line(72, 73),
        horizontal_line(71, 72),
        horizontal_line(71, 72),
        horizontal_line(71, 71),
        horizontal_line(70, 71),
        horizontal_line(70, 70),
        horizontal_line(69, 70),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
        horizontal_line(68, 68),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_658_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(29, 67),
    };

    constexpr const horizontal_line frame_658_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_658_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(28, 66),
        horizontal_line(28, 66),
        horizontal_line(28, 65),
        horizontal_line(28, 65),
        horizontal_line(27, 65),
        horizontal_line(27, 64),
        horizontal_line(27, 64),
        horizontal_line(27, 63),
        horizontal_line(26, 63),
        horizontal_line(26, 63),
        horizontal_line(26, 62),
        horizontal_line(26, 62),
        horizontal_line(26, 62),
        horizontal_line(25, 61),
        horizontal_line(25, 61),
        horizontal_line(25, 61),
        horizontal_line(25, 60),
        horizontal_line(25, 60),
        horizontal_line(24, 60),
        horizontal_line(24, 59),
        horizontal_line(24, 59),
        horizontal_line(24, 58),
        horizontal_line(24, 58),
        horizontal_line(23, 58),
        horizontal_line(23, 57),
        horizontal_line(23, 57),
        horizontal_line(23, 57),
        horizontal_line(23, 56),
        horizontal_line(22, 56),
        horizontal_line(22, 56),
        horizontal_line(22, 55),
        horizontal_line(22, 55),
        horizontal_line(22, 55),
    };

    constexpr const shape frame_658_shape_group_1_shapes[] = {
        shape(frame_658_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_658_shape_group_1_shape_1_horizontal_lines, 125, 6),
        shape(frame_658_shape_group_1_shape_2_horizontal_lines, 126, 7),
        shape(frame_658_shape_group_1_shape_3_horizontal_lines, 127, 6),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(55, 112),
        horizontal_line(54, 111),
        horizontal_line(54, 111),
        horizontal_line(54, 110),
        horizontal_line(54, 110),
        horizontal_line(53, 110),
        horizontal_line(53, 109),
        horizontal_line(53, 109),
        horizontal_line(53, 109),
        horizontal_line(53, 108),
        horizontal_line(52, 108),
        horizontal_line(52, 108),
        horizontal_line(52, 107),
        horizontal_line(52, 107),
        horizontal_line(52, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 105),
        horizontal_line(51, 105),
        horizontal_line(51, 105),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 104),
        horizontal_line(50, 103),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 126),
        horizontal_line(125, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
        horizontal_line(121, 121),
        horizontal_line(120, 120),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
        horizontal_line(105, 105),
        horizontal_line(105, 105),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(42, 91),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(42, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 88),
        horizontal_line(41, 88),
        horizontal_line(41, 87),
        horizontal_line(40, 87),
        horizontal_line(40, 87),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(40, 86),
        horizontal_line(39, 85),
        horizontal_line(39, 85),
        horizontal_line(39, 85),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(38, 84),
        horizontal_line(38, 83),
        horizontal_line(38, 83),
        horizontal_line(38, 82),
        horizontal_line(37, 82),
        horizontal_line(37, 82),
        horizontal_line(37, 81),
        horizontal_line(37, 81),
        horizontal_line(37, 81),
        horizontal_line(36, 80),
        horizontal_line(36, 80),
        horizontal_line(36, 80),
        horizontal_line(36, 79),
        horizontal_line(36, 79),
        horizontal_line(35, 79),
        horizontal_line(35, 78),
        horizontal_line(35, 78),
        horizontal_line(35, 77),
        horizontal_line(35, 77),
        horizontal_line(34, 77),
        horizontal_line(34, 76),
        horizontal_line(34, 76),
        horizontal_line(34, 76),
        horizontal_line(34, 75),
        horizontal_line(33, 75),
        horizontal_line(33, 75),
        horizontal_line(33, 74),
        horizontal_line(33, 74),
        horizontal_line(33, 74),
        horizontal_line(32, 73),
        horizontal_line(32, 73),
        horizontal_line(32, 72),
        horizontal_line(32, 72),
        horizontal_line(31, 72),
        horizontal_line(31, 71),
        horizontal_line(31, 71),
        horizontal_line(31, 71),
        horizontal_line(31, 70),
        horizontal_line(30, 70),
        horizontal_line(30, 70),
        horizontal_line(30, 69),
        horizontal_line(30, 69),
        horizontal_line(30, 68),
        horizontal_line(29, 68),
        horizontal_line(29, 68),
        horizontal_line(29, 67),
        horizontal_line(29, 67),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(68, 98),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(28, 66),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(67, 99),
        horizontal_line(67, 99),
        horizontal_line(66, 100),
        horizontal_line(66, 100),
        horizontal_line(68, 101),
        horizontal_line(71, 101),
        horizontal_line(74, 102),
        horizontal_line(77, 102),
        horizontal_line(80, 103),
        horizontal_line(83, 103),
        horizontal_line(86, 104),
        horizontal_line(89, 104),
        horizontal_line(92, 105),
        horizontal_line(95, 105),
        horizontal_line(98, 106),
        horizontal_line(101, 106),
        horizontal_line(104, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_658_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(137, 185),
        horizontal_line(136, 185),
        horizontal_line(136, 185),
        horizontal_line(135, 184),
        horizontal_line(135, 184),
        horizontal_line(135, 184),
        horizontal_line(134, 183),
        horizontal_line(134, 183),
        horizontal_line(133, 183),
        horizontal_line(133, 182),
        horizontal_line(132, 182),
        horizontal_line(132, 182),
        horizontal_line(131, 181),
        horizontal_line(131, 181),
        horizontal_line(131, 181),
    };

    constexpr const shape frame_658_shape_group_2_shapes[] = {
        shape(frame_658_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_658_shape_group_2_shape_1_horizontal_lines, 24, 7),
        shape(frame_658_shape_group_2_shape_2_horizontal_lines, 58, 6),
        shape(frame_658_shape_group_2_shape_3_horizontal_lines, 59, 7),
        shape(frame_658_shape_group_2_shape_4_horizontal_lines, 60, 6),
        shape(frame_658_shape_group_2_shape_5_horizontal_lines, 125, 1),
        shape(frame_658_shape_group_2_shape_6_horizontal_lines, 126, 6),
        shape(frame_658_shape_group_2_shape_7_horizontal_lines, 127, 1),
        shape(frame_658_shape_group_2_shape_8_horizontal_lines, 145, 4),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(132, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(121, 128),
        horizontal_line(121, 127),
        horizontal_line(50, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 102),
        horizontal_line(49, 102),
        horizontal_line(49, 101),
        horizontal_line(48, 101),
        horizontal_line(48, 101),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(47, 99),
        horizontal_line(47, 99),
        horizontal_line(47, 99),
        horizontal_line(47, 98),
        horizontal_line(47, 98),
        horizontal_line(46, 98),
        horizontal_line(46, 97),
        horizontal_line(46, 97),
        horizontal_line(46, 96),
        horizontal_line(46, 96),
        horizontal_line(45, 96),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(45, 94),
        horizontal_line(44, 94),
        horizontal_line(44, 94),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(43, 92),
        horizontal_line(43, 92),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(104, 110),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(42, 90),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(103, 107),
        horizontal_line(102, 106),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(100, 102),
        horizontal_line(99, 100),
        horizontal_line(99, 99),
        horizontal_line(98, 98),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(107, 120),
        horizontal_line(106, 120),
        horizontal_line(104, 119),
        horizontal_line(103, 118),
        horizontal_line(102, 117),
        horizontal_line(101, 116),
        horizontal_line(100, 115),
        horizontal_line(99, 114),
        horizontal_line(98, 113),
        horizontal_line(97, 112),
        horizontal_line(96, 112),
        horizontal_line(95, 111),
        horizontal_line(94, 110),
        horizontal_line(93, 109),
        horizontal_line(92, 108),
        horizontal_line(91, 107),
        horizontal_line(90, 106),
        horizontal_line(89, 105),
        horizontal_line(88, 104),
        horizontal_line(87, 104),
        horizontal_line(86, 103),
        horizontal_line(85, 102),
        horizontal_line(84, 101),
        horizontal_line(84, 100),
        horizontal_line(83, 99),
        horizontal_line(83, 98),
        horizontal_line(82, 97),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(81, 82),
        horizontal_line(81, 83),
        horizontal_line(80, 84),
        horizontal_line(81, 85),
        horizontal_line(83, 85),
        horizontal_line(84, 86),
        horizontal_line(86, 87),
        horizontal_line(87, 88),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(108, 129),
        horizontal_line(107, 128),
        horizontal_line(106, 128),
        horizontal_line(106, 127),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(74, 78),
        horizontal_line(74, 80),
        horizontal_line(73, 83),
        horizontal_line(73, 85),
        horizontal_line(72, 87),
        horizontal_line(72, 89),
        horizontal_line(71, 91),
        horizontal_line(71, 93),
        horizontal_line(70, 95),
        horizontal_line(70, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(99, 119),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(68, 98),
    };

    constexpr const horizontal_line frame_658_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(101, 117),
        horizontal_line(101, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(103, 114),
        horizontal_line(103, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(106, 111),
        horizontal_line(106, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
    };

    constexpr const shape frame_658_shape_group_3_shapes[] = {
        shape(frame_658_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_658_shape_group_3_shape_1_horizontal_lines, 58, 4),
        shape(frame_658_shape_group_3_shape_2_horizontal_lines, 59, 6),
        shape(frame_658_shape_group_3_shape_3_horizontal_lines, 60, 4),
        shape(frame_658_shape_group_3_shape_4_horizontal_lines, 99, 1),
        shape(frame_658_shape_group_3_shape_5_horizontal_lines, 108, 4),
        shape(frame_658_shape_group_3_shape_6_horizontal_lines, 112, 1),
        shape(frame_658_shape_group_3_shape_7_horizontal_lines, 125, 4),
        shape(frame_658_shape_group_3_shape_8_horizontal_lines, 126, 1),
        shape(frame_658_shape_group_3_shape_9_horizontal_lines, 127, 4),
    };

    constexpr const horizontal_line frame_658_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(137, 157),
        horizontal_line(136, 158),
        horizontal_line(136, 160),
        horizontal_line(136, 162),
        horizontal_line(136, 164),
        horizontal_line(136, 166),
        horizontal_line(136, 167),
        horizontal_line(135, 169),
        horizontal_line(135, 171),
        horizontal_line(135, 173),
        horizontal_line(135, 175),
        horizontal_line(135, 176),
        horizontal_line(135, 178),
        horizontal_line(136, 180),
        horizontal_line(137, 182),
        horizontal_line(138, 183),
        horizontal_line(139, 182),
        horizontal_line(140, 181),
        horizontal_line(142, 180),
        horizontal_line(143, 179),
        horizontal_line(144, 178),
        horizontal_line(145, 177),
        horizontal_line(146, 176),
        horizontal_line(147, 175),
    };

    constexpr const horizontal_line frame_658_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(116, 121),
        horizontal_line(115, 120),
        horizontal_line(115, 119),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 109),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(106, 107),
        horizontal_line(106, 107),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_658_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_658_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_658_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(137, 152),
        horizontal_line(136, 151),
        horizontal_line(136, 151),
        horizontal_line(135, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(132, 148),
        horizontal_line(131, 147),
        horizontal_line(131, 147),
        horizontal_line(130, 146),
        horizontal_line(129, 146),
        horizontal_line(128, 145),
        horizontal_line(128, 144),
        horizontal_line(127, 144),
        horizontal_line(126, 143),
        horizontal_line(125, 143),
        horizontal_line(125, 142),
        horizontal_line(124, 142),
        horizontal_line(123, 141),
        horizontal_line(123, 140),
        horizontal_line(122, 140),
        horizontal_line(121, 139),
        horizontal_line(120, 139),
        horizontal_line(120, 138),
        horizontal_line(119, 138),
        horizontal_line(118, 137),
        horizontal_line(117, 136),
        horizontal_line(117, 136),
        horizontal_line(116, 135),
        horizontal_line(115, 135),
        horizontal_line(83, 96),
        horizontal_line(84, 96),
        horizontal_line(85, 95),
        horizontal_line(86, 94),
        horizontal_line(86, 93),
        horizontal_line(87, 92),
        horizontal_line(88, 91),
        horizontal_line(89, 90),
        horizontal_line(109, 129),
        horizontal_line(153, 198),
        horizontal_line(153, 197),
        horizontal_line(152, 197),
        horizontal_line(152, 197),
        horizontal_line(105, 127),
        horizontal_line(104, 126),
        horizontal_line(103, 125),
        horizontal_line(103, 125),
        horizontal_line(102, 124),
        horizontal_line(101, 124),
        horizontal_line(100, 123),
        horizontal_line(100, 123),
        horizontal_line(99, 122),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(146, 192),
        horizontal_line(99, 118),
        horizontal_line(145, 191),
        horizontal_line(144, 191),
        horizontal_line(144, 191),
        horizontal_line(143, 190),
        horizontal_line(143, 190),
        horizontal_line(143, 190),
        horizontal_line(142, 189),
        horizontal_line(142, 189),
        horizontal_line(141, 189),
        horizontal_line(141, 188),
        horizontal_line(140, 188),
        horizontal_line(140, 188),
        horizontal_line(139, 187),
        horizontal_line(139, 187),
        horizontal_line(139, 187),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(137, 186),
    };

    constexpr const shape frame_658_shape_group_4_shapes[] = {
        shape(frame_658_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_658_shape_group_4_shape_1_horizontal_lines, 24, 6),
        shape(frame_658_shape_group_4_shape_2_horizontal_lines, 58, 4),
        shape(frame_658_shape_group_4_shape_3_horizontal_lines, 59, 6),
        shape(frame_658_shape_group_4_shape_4_horizontal_lines, 60, 4),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 234),
        horizontal_line(201, 233),
        horizontal_line(201, 233),
        horizontal_line(200, 233),
        horizontal_line(200, 232),
        horizontal_line(199, 232),
        horizontal_line(199, 232),
        horizontal_line(198, 231),
        horizontal_line(198, 231),
        horizontal_line(197, 231),
        horizontal_line(197, 230),
        horizontal_line(197, 230),
        horizontal_line(196, 230),
        horizontal_line(196, 229),
        horizontal_line(195, 229),
        horizontal_line(195, 229),
        horizontal_line(194, 228),
        horizontal_line(194, 228),
        horizontal_line(181, 181),
        horizontal_line(180, 180),
        horizontal_line(179, 180),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(149, 174),
        horizontal_line(150, 173),
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(125, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(122, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 141),
        horizontal_line(127, 142),
        horizontal_line(127, 143),
        horizontal_line(113, 113),
        horizontal_line(112, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(110, 114),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(108, 115),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(105, 111),
        horizontal_line(145, 158),
        horizontal_line(104, 109),
        horizontal_line(143, 157),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(140, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 153),
        horizontal_line(138, 153),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
        horizontal_line(170, 210),
        horizontal_line(170, 210),
        horizontal_line(169, 210),
        horizontal_line(169, 209),
        horizontal_line(168, 209),
        horizontal_line(168, 209),
        horizontal_line(168, 208),
        horizontal_line(167, 208),
        horizontal_line(167, 208),
        horizontal_line(166, 207),
        horizontal_line(166, 207),
        horizontal_line(165, 207),
        horizontal_line(165, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 206),
        horizontal_line(164, 205),
        horizontal_line(163, 205),
        horizontal_line(163, 205),
        horizontal_line(162, 204),
        horizontal_line(162, 204),
        horizontal_line(161, 204),
        horizontal_line(161, 203),
        horizontal_line(160, 203),
        horizontal_line(160, 203),
        horizontal_line(160, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(158, 201),
        horizontal_line(158, 201),
        horizontal_line(114, 134),
        horizontal_line(114, 133),
        horizontal_line(113, 133),
        horizontal_line(112, 132),
        horizontal_line(111, 132),
        horizontal_line(111, 131),
        horizontal_line(110, 131),
        horizontal_line(109, 130),
        horizontal_line(154, 198),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(77, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 91),
        horizontal_line(75, 91),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(151, 196),
        horizontal_line(151, 196),
        horizontal_line(151, 196),
        horizontal_line(150, 195),
        horizontal_line(150, 195),
        horizontal_line(149, 195),
        horizontal_line(149, 194),
        horizontal_line(148, 194),
        horizontal_line(148, 194),
        horizontal_line(147, 193),
        horizontal_line(147, 193),
        horizontal_line(147, 193),
        horizontal_line(146, 192),
    };

    constexpr const horizontal_line frame_658_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(145, 192),
    };

    constexpr const shape frame_658_shape_group_5_shapes[] = {
        shape(frame_658_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_658_shape_group_5_shape_1_horizontal_lines, 24, 1),
        shape(frame_658_shape_group_5_shape_2_horizontal_lines, 55, 4),
        shape(frame_658_shape_group_5_shape_3_horizontal_lines, 108, 5),
        shape(frame_658_shape_group_5_shape_4_horizontal_lines, 112, 4),
        shape(frame_658_shape_group_5_shape_5_horizontal_lines, 126, 4),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(134, 136),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(193, 228),
        horizontal_line(193, 227),
        horizontal_line(193, 227),
        horizontal_line(192, 227),
        horizontal_line(192, 226),
        horizontal_line(191, 226),
        horizontal_line(175, 177),
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(151, 171),
        horizontal_line(152, 170),
        horizontal_line(153, 169),
        horizontal_line(154, 168),
        horizontal_line(156, 167),
        horizontal_line(157, 166),
        horizontal_line(158, 165),
        horizontal_line(159, 164),
        horizontal_line(160, 163),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(160, 170),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(158, 168),
        horizontal_line(157, 168),
        horizontal_line(156, 167),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
        horizontal_line(154, 165),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(128, 144),
        horizontal_line(128, 141),
        horizontal_line(129, 137),
        horizontal_line(129, 133),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(127, 138),
        horizontal_line(126, 137),
        horizontal_line(125, 136),
        horizontal_line(124, 136),
        horizontal_line(123, 135),
        horizontal_line(122, 134),
        horizontal_line(176, 214),
        horizontal_line(120, 132),
        horizontal_line(175, 214),
        horizontal_line(174, 213),
        horizontal_line(174, 213),
        horizontal_line(173, 213),
        horizontal_line(173, 212),
        horizontal_line(172, 212),
        horizontal_line(172, 212),
        horizontal_line(172, 211),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(157, 201),
        horizontal_line(157, 200),
        horizontal_line(156, 200),
        horizontal_line(156, 200),
        horizontal_line(156, 199),
        horizontal_line(155, 199),
        horizontal_line(155, 199),
        horizontal_line(154, 198),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_658_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(77, 92),
        horizontal_line(79, 92),
        horizontal_line(81, 93),
        horizontal_line(84, 94),
        horizontal_line(86, 94),
        horizontal_line(88, 95),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(94, 96),
        horizontal_line(96, 97),
    };

    constexpr const shape frame_658_shape_group_6_shapes[] = {
        shape(frame_658_shape_group_6_shape_0_horizontal_lines, 13, 5),
        shape(frame_658_shape_group_6_shape_1_horizontal_lines, 18, 4),
        shape(frame_658_shape_group_6_shape_2_horizontal_lines, 26, 1),
        shape(frame_658_shape_group_6_shape_3_horizontal_lines, 36, 4),
        shape(frame_658_shape_group_6_shape_4_horizontal_lines, 46, 1),
        shape(frame_658_shape_group_6_shape_5_horizontal_lines, 51, 4),
        shape(frame_658_shape_group_6_shape_6_horizontal_lines, 99, 4),
        shape(frame_658_shape_group_6_shape_7_horizontal_lines, 107, 5),
        shape(frame_658_shape_group_6_shape_8_horizontal_lines, 112, 5),
    };

    constexpr const horizontal_line frame_658_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(131, 141),
        horizontal_line(131, 142),
        horizontal_line(130, 143),
        horizontal_line(129, 144),
        horizontal_line(129, 145),
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_658_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(191, 226),
        horizontal_line(190, 225),
        horizontal_line(172, 176),
        horizontal_line(171, 176),
        horizontal_line(170, 175),
        horizontal_line(169, 174),
        horizontal_line(168, 174),
        horizontal_line(167, 173),
        horizontal_line(166, 173),
        horizontal_line(165, 172),
        horizontal_line(164, 172),
        horizontal_line(163, 171),
        horizontal_line(185, 222),
        horizontal_line(185, 221),
        horizontal_line(185, 221),
        horizontal_line(184, 221),
        horizontal_line(184, 220),
        horizontal_line(183, 220),
        horizontal_line(183, 220),
        horizontal_line(182, 219),
        horizontal_line(182, 219),
        horizontal_line(181, 219),
        horizontal_line(153, 165),
        horizontal_line(142, 143),
        horizontal_line(138, 142),
        horizontal_line(134, 141),
        horizontal_line(131, 140),
        horizontal_line(150, 162),
        horizontal_line(149, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 160),
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(145, 158),
    };

    constexpr const horizontal_line frame_658_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(144, 157),
    };

    constexpr const horizontal_line frame_658_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(80, 80),
        horizontal_line(79, 82),
        horizontal_line(79, 83),
        horizontal_line(78, 85),
        horizontal_line(78, 86),
    };

    constexpr const shape frame_658_shape_group_7_shapes[] = {
        shape(frame_658_shape_group_7_shape_0_horizontal_lines, 18, 5),
        shape(frame_658_shape_group_7_shape_1_horizontal_lines, 24, 4),
        shape(frame_658_shape_group_7_shape_2_horizontal_lines, 59, 4),
        shape(frame_658_shape_group_7_shape_3_horizontal_lines, 102, 5),
    };

    constexpr const horizontal_line frame_658_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 148),
        horizontal_line(128, 149),
    };

    constexpr const horizontal_line frame_658_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(190, 225),
        horizontal_line(189, 225),
        horizontal_line(189, 224),
        horizontal_line(189, 224),
        horizontal_line(188, 224),
        horizontal_line(188, 223),
        horizontal_line(187, 223),
        horizontal_line(187, 223),
        horizontal_line(186, 222),
        horizontal_line(186, 222),
    };

    constexpr const horizontal_line frame_658_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
        horizontal_line(117, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
    };

    constexpr const horizontal_line frame_658_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(181, 218),
        horizontal_line(153, 164),
        horizontal_line(152, 163),
        horizontal_line(151, 163),
        horizontal_line(150, 162),
        horizontal_line(179, 217),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(177, 216),
        horizontal_line(177, 215),
        horizontal_line(176, 215),
        horizontal_line(176, 215),
    };

    constexpr const horizontal_line frame_658_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(175, 214),
    };

    constexpr const shape frame_658_shape_group_8_shapes[] = {
        shape(frame_658_shape_group_8_shape_0_horizontal_lines, 24, 5),
        shape(frame_658_shape_group_8_shape_1_horizontal_lines, 26, 4),
        shape(frame_658_shape_group_8_shape_2_horizontal_lines, 36, 5),
        shape(frame_658_shape_group_8_shape_3_horizontal_lines, 46, 4),
        shape(frame_658_shape_group_8_shape_4_horizontal_lines, 59, 4),
    };

    constexpr const horizontal_line frame_658_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(129, 150),
        horizontal_line(130, 151),
        horizontal_line(131, 152),
        horizontal_line(131, 153),
        horizontal_line(132, 155),
        horizontal_line(133, 156),
        horizontal_line(134, 157),
        horizontal_line(134, 158),
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(137, 160),
        horizontal_line(138, 158),
        horizontal_line(138, 157),
        horizontal_line(139, 155),
        horizontal_line(140, 154),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(142, 149),
        horizontal_line(143, 148),
        horizontal_line(144, 146),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_658_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(181, 218),
        horizontal_line(180, 218),
        horizontal_line(180, 217),
        horizontal_line(179, 217),
    };

    constexpr const horizontal_line frame_658_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(116, 123),
        horizontal_line(116, 120),
        horizontal_line(117, 117),
    };

    constexpr const shape frame_658_shape_group_9_shapes[] = {
        shape(frame_658_shape_group_9_shape_0_horizontal_lines, 26, 5),
        shape(frame_658_shape_group_9_shape_1_horizontal_lines, 47, 4),
        shape(frame_658_shape_group_9_shape_2_horizontal_lines, 51, 5),
    };

    constexpr const horizontal_line frame_658_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(135, 159),
        horizontal_line(136, 161),
    };

    constexpr const horizontal_line frame_658_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(115, 127),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 129),
    };

    constexpr const shape frame_658_shape_group_10_shapes[] = {
        shape(frame_658_shape_group_10_shape_0_horizontal_lines, 34, 5),
        shape(frame_658_shape_group_10_shape_1_horizontal_lines, 46, 5),
    };

    constexpr const shape_group frame_658_shape_groups[] = {
        shape_group(frame_658_shape_group_0_shapes),
        shape_group(frame_658_shape_group_1_shapes),
        shape_group(frame_658_shape_group_2_shapes),
        shape_group(frame_658_shape_group_3_shapes),
        shape_group(frame_658_shape_group_4_shapes),
        shape_group(frame_658_shape_group_5_shapes),
        shape_group(frame_658_shape_group_6_shapes),
        shape_group(frame_658_shape_group_7_shapes),
        shape_group(frame_658_shape_group_8_shapes),
        shape_group(frame_658_shape_group_9_shapes),
        shape_group(frame_658_shape_group_10_shapes),
    };

    constexpr const frame frame_658_impl(frame_658_colors, frame_658_shape_groups);
} 

const frame& frame_658()
{
    return frame_658_impl;
}

namespace
{
    constexpr const bn::color frame_659_colors[] = {
        bn::color(8, 12, 8),
        bn::color(28, 28, 0),
        bn::color(4, 8, 4),
        bn::color(24, 24, 20),
        bn::color(0, 0, 0),
        bn::color(0, 4, 0),
        bn::color(20, 24, 20),
        bn::color(16, 20, 16),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_659_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const shape frame_659_shape_group_0_shapes[] = {
        shape(frame_659_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(107, 130),
        horizontal_line(106, 129),
        horizontal_line(106, 128),
        horizontal_line(105, 128),
        horizontal_line(105, 127),
        horizontal_line(105, 127),
        horizontal_line(104, 126),
        horizontal_line(104, 126),
        horizontal_line(104, 125),
        horizontal_line(103, 125),
        horizontal_line(103, 124),
        horizontal_line(103, 124),
        horizontal_line(102, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 122),
        horizontal_line(101, 122),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(100, 120),
        horizontal_line(100, 120),
        horizontal_line(100, 119),
        horizontal_line(99, 119),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 116),
        horizontal_line(97, 116),
        horizontal_line(97, 115),
        horizontal_line(97, 115),
        horizontal_line(96, 114),
        horizontal_line(96, 114),
        horizontal_line(96, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 112),
        horizontal_line(95, 112),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 110),
        horizontal_line(93, 110),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
        horizontal_line(91, 106),
        horizontal_line(91, 105),
        horizontal_line(90, 105),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(89, 102),
        horizontal_line(88, 102),
        horizontal_line(88, 101),
        horizontal_line(87, 101),
        horizontal_line(87, 100),
        horizontal_line(87, 100),
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(86, 98),
        horizontal_line(85, 98),
        horizontal_line(85, 97),
        horizontal_line(85, 97),
        horizontal_line(84, 96),
        horizontal_line(84, 96),
        horizontal_line(84, 95),
        horizontal_line(83, 96),
        horizontal_line(83, 94),
        horizontal_line(83, 95),
        horizontal_line(82, 94),
        horizontal_line(82, 94),
        horizontal_line(82, 93),
        horizontal_line(81, 92),
        horizontal_line(81, 91),
        horizontal_line(81, 91),
        horizontal_line(80, 90),
        horizontal_line(80, 90),
        horizontal_line(80, 89),
        horizontal_line(79, 89),
        horizontal_line(79, 88),
        horizontal_line(79, 88),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(78, 86),
        horizontal_line(77, 86),
        horizontal_line(77, 85),
        horizontal_line(77, 85),
        horizontal_line(76, 84),
        horizontal_line(76, 83),
        horizontal_line(76, 83),
        horizontal_line(75, 82),
        horizontal_line(75, 82),
        horizontal_line(75, 81),
        horizontal_line(74, 81),
        horizontal_line(74, 80),
        horizontal_line(74, 80),
        horizontal_line(73, 79),
        horizontal_line(73, 79),
        horizontal_line(73, 78),
        horizontal_line(72, 78),
        horizontal_line(72, 77),
        horizontal_line(72, 77),
        horizontal_line(71, 76),
        horizontal_line(71, 76),
        horizontal_line(71, 75),
        horizontal_line(70, 75),
        horizontal_line(70, 74),
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(68, 71),
        horizontal_line(67, 71),
        horizontal_line(67, 70),
        horizontal_line(67, 70),
        horizontal_line(66, 69),
        horizontal_line(66, 69),
        horizontal_line(66, 68),
        horizontal_line(65, 68),
        horizontal_line(65, 67),
        horizontal_line(65, 67),
        horizontal_line(64, 66),
        horizontal_line(64, 66),
        horizontal_line(64, 65),
        horizontal_line(63, 65),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(9, 58),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(8, 57),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(8, 56),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(7, 55),
        horizontal_line(7, 55),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_659_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(7, 54),
        horizontal_line(7, 54),
        horizontal_line(6, 53),
        horizontal_line(6, 53),
        horizontal_line(6, 53),
        horizontal_line(6, 52),
        horizontal_line(6, 52),
        horizontal_line(6, 52),
    };

    constexpr const shape frame_659_shape_group_1_shapes[] = {
        shape(frame_659_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_659_shape_group_1_shape_1_horizontal_lines, 141, 6),
        shape(frame_659_shape_group_1_shape_2_horizontal_lines, 142, 7),
        shape(frame_659_shape_group_1_shape_3_horizontal_lines, 144, 6),
        shape(frame_659_shape_group_1_shape_4_horizontal_lines, 145, 7),
        shape(frame_659_shape_group_1_shape_5_horizontal_lines, 147, 6),
        shape(frame_659_shape_group_1_shape_6_horizontal_lines, 148, 7),
        shape(frame_659_shape_group_1_shape_7_horizontal_lines, 149, 6),
        shape(frame_659_shape_group_1_shape_8_horizontal_lines, 151, 7),
        shape(frame_659_shape_group_1_shape_9_horizontal_lines, 152, 6),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(124, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
        horizontal_line(122, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
        horizontal_line(119, 119),
        horizontal_line(118, 119),
        horizontal_line(117, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
        horizontal_line(111, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
        horizontal_line(104, 104),
        horizontal_line(103, 104),
        horizontal_line(103, 103),
        horizontal_line(102, 102),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
        horizontal_line(100, 100),
        horizontal_line(99, 99),
        horizontal_line(99, 99),
        horizontal_line(98, 98),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(23, 82),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(22, 82),
        horizontal_line(22, 81),
        horizontal_line(22, 81),
        horizontal_line(22, 81),
        horizontal_line(22, 80),
        horizontal_line(21, 80),
        horizontal_line(21, 80),
        horizontal_line(21, 79),
        horizontal_line(21, 79),
        horizontal_line(21, 79),
        horizontal_line(20, 78),
        horizontal_line(20, 78),
        horizontal_line(20, 78),
        horizontal_line(20, 77),
        horizontal_line(20, 77),
        horizontal_line(19, 77),
        horizontal_line(19, 76),
        horizontal_line(19, 76),
        horizontal_line(19, 76),
        horizontal_line(19, 75),
        horizontal_line(19, 75),
        horizontal_line(18, 75),
        horizontal_line(18, 74),
        horizontal_line(18, 74),
        horizontal_line(18, 74),
        horizontal_line(18, 73),
        horizontal_line(17, 73),
        horizontal_line(17, 73),
        horizontal_line(17, 72),
        horizontal_line(17, 72),
        horizontal_line(17, 72),
        horizontal_line(16, 71),
        horizontal_line(16, 71),
        horizontal_line(16, 71),
        horizontal_line(16, 70),
        horizontal_line(16, 70),
        horizontal_line(16, 70),
        horizontal_line(15, 69),
        horizontal_line(15, 69),
        horizontal_line(15, 68),
        horizontal_line(15, 68),
        horizontal_line(15, 68),
        horizontal_line(14, 67),
        horizontal_line(14, 67),
        horizontal_line(14, 67),
        horizontal_line(14, 66),
        horizontal_line(14, 66),
        horizontal_line(13, 66),
        horizontal_line(13, 65),
        horizontal_line(13, 65),
        horizontal_line(13, 65),
        horizontal_line(13, 64),
        horizontal_line(12, 64),
        horizontal_line(12, 64),
        horizontal_line(12, 63),
        horizontal_line(12, 63),
        horizontal_line(12, 63),
        horizontal_line(12, 62),
        horizontal_line(11, 62),
        horizontal_line(11, 62),
        horizontal_line(11, 61),
        horizontal_line(11, 61),
        horizontal_line(11, 61),
        horizontal_line(10, 60),
        horizontal_line(10, 60),
        horizontal_line(10, 60),
        horizontal_line(10, 59),
        horizontal_line(10, 59),
        horizontal_line(9, 59),
        horizontal_line(9, 58),
        horizontal_line(9, 58),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(87, 104),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(9, 57),
        horizontal_line(9, 57),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(96, 105),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(8, 56),
        horizontal_line(8, 56),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(8, 55),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(56, 118),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(7, 54),
    };

    constexpr const horizontal_line frame_659_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
    };

    constexpr const shape frame_659_shape_group_2_shapes[] = {
        shape(frame_659_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_659_shape_group_2_shape_1_horizontal_lines, 19, 7),
        shape(frame_659_shape_group_2_shape_2_horizontal_lines, 20, 6),
        shape(frame_659_shape_group_2_shape_3_horizontal_lines, 21, 7),
        shape(frame_659_shape_group_2_shape_4_horizontal_lines, 68, 6),
        shape(frame_659_shape_group_2_shape_5_horizontal_lines, 69, 7),
        shape(frame_659_shape_group_2_shape_6_horizontal_lines, 70, 6),
        shape(frame_659_shape_group_2_shape_7_horizontal_lines, 141, 1),
        shape(frame_659_shape_group_2_shape_8_horizontal_lines, 142, 6),
        shape(frame_659_shape_group_2_shape_9_horizontal_lines, 144, 1),
        shape(frame_659_shape_group_2_shape_10_horizontal_lines, 145, 6),
        shape(frame_659_shape_group_2_shape_11_horizontal_lines, 147, 1),
        shape(frame_659_shape_group_2_shape_12_horizontal_lines, 148, 6),
        shape(frame_659_shape_group_2_shape_13_horizontal_lines, 149, 2),
        shape(frame_659_shape_group_2_shape_14_horizontal_lines, 151, 6),
        shape(frame_659_shape_group_2_shape_15_horizontal_lines, 152, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(32, 94),
        horizontal_line(120, 129),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(25, 86),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(24, 85),
        horizontal_line(24, 84),
        horizontal_line(24, 84),
        horizontal_line(23, 84),
        horizontal_line(23, 83),
        horizontal_line(23, 83),
        horizontal_line(23, 83),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(99, 111),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(22, 82),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(96, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(94, 106),
        horizontal_line(93, 105),
        horizontal_line(92, 104),
        horizontal_line(92, 103),
        horizontal_line(91, 102),
        horizontal_line(91, 101),
        horizontal_line(90, 100),
        horizontal_line(90, 99),
        horizontal_line(89, 98),
        horizontal_line(89, 97),
        horizontal_line(88, 95),
        horizontal_line(88, 94),
        horizontal_line(87, 93),
        horizontal_line(87, 92),
        horizontal_line(86, 91),
        horizontal_line(86, 90),
        horizontal_line(85, 89),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(83, 86),
        horizontal_line(83, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 83),
        horizontal_line(81, 82),
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(80, 81),
        horizontal_line(80, 81),
        horizontal_line(79, 82),
        horizontal_line(79, 83),
        horizontal_line(79, 84),
        horizontal_line(81, 85),
        horizontal_line(83, 85),
        horizontal_line(84, 86),
        horizontal_line(86, 87),
        horizontal_line(87, 88),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(91, 108),
        horizontal_line(91, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 105),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(72, 75),
        horizontal_line(72, 78),
        horizontal_line(71, 80),
        horizontal_line(71, 82),
        horizontal_line(70, 84),
        horizontal_line(70, 86),
        horizontal_line(69, 89),
        horizontal_line(69, 91),
        horizontal_line(68, 93),
        horizontal_line(68, 95),
        horizontal_line(67, 97),
        horizontal_line(67, 97),
        horizontal_line(66, 97),
        horizontal_line(66, 98),
        horizontal_line(65, 98),
        horizontal_line(65, 99),
        horizontal_line(64, 99),
        horizontal_line(64, 99),
        horizontal_line(63, 100),
        horizontal_line(63, 100),
        horizontal_line(66, 101),
        horizontal_line(69, 101),
        horizontal_line(72, 102),
        horizontal_line(75, 102),
        horizontal_line(78, 102),
        horizontal_line(81, 103),
        horizontal_line(84, 103),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(59, 86),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(90, 104),
        horizontal_line(93, 104),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(58, 95),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(99, 105),
        horizontal_line(102, 106),
    };

    constexpr const horizontal_line frame_659_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(57, 104),
        horizontal_line(57, 119),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(56, 118),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_659_shape_group_3_shapes[] = {
        shape(frame_659_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_659_shape_group_3_shape_1_horizontal_lines, 68, 2),
        shape(frame_659_shape_group_3_shape_2_horizontal_lines, 69, 6),
        shape(frame_659_shape_group_3_shape_3_horizontal_lines, 70, 2),
        shape(frame_659_shape_group_3_shape_4_horizontal_lines, 98, 1),
        shape(frame_659_shape_group_3_shape_5_horizontal_lines, 109, 2),
        shape(frame_659_shape_group_3_shape_6_horizontal_lines, 113, 1),
        shape(frame_659_shape_group_3_shape_7_horizontal_lines, 141, 2),
        shape(frame_659_shape_group_3_shape_8_horizontal_lines, 142, 1),
        shape(frame_659_shape_group_3_shape_9_horizontal_lines, 144, 2),
        shape(frame_659_shape_group_3_shape_10_horizontal_lines, 145, 1),
        shape(frame_659_shape_group_3_shape_11_horizontal_lines, 147, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(98, 106),
        horizontal_line(97, 105),
        horizontal_line(97, 105),
        horizontal_line(97, 104),
        horizontal_line(97, 104),
        horizontal_line(97, 104),
        horizontal_line(96, 103),
        horizontal_line(96, 103),
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(96, 102),
        horizontal_line(95, 102),
        horizontal_line(95, 101),
        horizontal_line(95, 101),
        horizontal_line(95, 101),
        horizontal_line(95, 100),
        horizontal_line(94, 100),
        horizontal_line(94, 100),
        horizontal_line(94, 99),
        horizontal_line(121, 129),
        horizontal_line(94, 99),
        horizontal_line(120, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(113, 119),
        horizontal_line(113, 118),
        horizontal_line(112, 118),
        horizontal_line(112, 117),
        horizontal_line(111, 116),
        horizontal_line(111, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 114),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(108, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
        horizontal_line(105, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 101),
        horizontal_line(99, 100),
        horizontal_line(99, 100),
        horizontal_line(98, 99),
        horizontal_line(98, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 97),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_659_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 138),
    };

    constexpr const horizontal_line frame_659_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_659_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 136),
        horizontal_line(123, 135),
        horizontal_line(122, 135),
        horizontal_line(121, 134),
        horizontal_line(120, 133),
        horizontal_line(119, 132),
        horizontal_line(118, 132),
        horizontal_line(118, 131),
        horizontal_line(117, 130),
        horizontal_line(116, 130),
        horizontal_line(115, 129),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
        horizontal_line(112, 127),
        horizontal_line(111, 126),
        horizontal_line(111, 125),
        horizontal_line(110, 124),
        horizontal_line(109, 124),
        horizontal_line(108, 123),
        horizontal_line(107, 122),
        horizontal_line(106, 121),
        horizontal_line(105, 121),
        horizontal_line(104, 120),
        horizontal_line(104, 119),
        horizontal_line(103, 119),
        horizontal_line(102, 118),
        horizontal_line(101, 117),
        horizontal_line(100, 116),
        horizontal_line(99, 116),
        horizontal_line(98, 115),
        horizontal_line(97, 114),
        horizontal_line(97, 113),
        horizontal_line(96, 113),
        horizontal_line(95, 112),
        horizontal_line(94, 111),
        horizontal_line(93, 110),
        horizontal_line(92, 110),
        horizontal_line(91, 109),
        horizontal_line(90, 108),
        horizontal_line(130, 155),
        horizontal_line(130, 154),
        horizontal_line(129, 154),
        horizontal_line(129, 153),
        horizontal_line(93, 105),
        horizontal_line(93, 104),
        horizontal_line(94, 103),
        horizontal_line(94, 102),
        horizontal_line(95, 102),
        horizontal_line(95, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 98),
        horizontal_line(122, 149),
        horizontal_line(122, 148),
        horizontal_line(121, 148),
        horizontal_line(120, 147),
        horizontal_line(120, 147),
        horizontal_line(119, 146),
        horizontal_line(119, 146),
        horizontal_line(118, 145),
        horizontal_line(117, 145),
        horizontal_line(117, 145),
        horizontal_line(116, 144),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(61, 71),
        horizontal_line(61, 74),
        horizontal_line(61, 77),
        horizontal_line(60, 80),
        horizontal_line(60, 83),
        horizontal_line(112, 141),
        horizontal_line(59, 89),
        horizontal_line(59, 92),
        horizontal_line(110, 139),
        horizontal_line(58, 98),
        horizontal_line(58, 101),
        horizontal_line(108, 138),
        horizontal_line(198, 239),
        horizontal_line(118, 137),
        horizontal_line(118, 137),
        horizontal_line(197, 239),
        horizontal_line(117, 136),
        horizontal_line(117, 135),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
        horizontal_line(116, 134),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
    };

    constexpr const shape frame_659_shape_group_4_shapes[] = {
        shape(frame_659_shape_group_4_shape_0_horizontal_lines, 0, 6),
        shape(frame_659_shape_group_4_shape_1_horizontal_lines, 68, 2),
        shape(frame_659_shape_group_4_shape_2_horizontal_lines, 69, 6),
        shape(frame_659_shape_group_4_shape_3_horizontal_lines, 70, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 166),
        horizontal_line(136, 168),
        horizontal_line(136, 170),
        horizontal_line(136, 172),
        horizontal_line(136, 174),
        horizontal_line(136, 176),
        horizontal_line(136, 178),
        horizontal_line(136, 180),
        horizontal_line(136, 182),
        horizontal_line(136, 184),
        horizontal_line(136, 186),
        horizontal_line(137, 187),
        horizontal_line(138, 186),
        horizontal_line(139, 185),
        horizontal_line(140, 184),
        horizontal_line(141, 183),
        horizontal_line(143, 182),
        horizontal_line(144, 181),
        horizontal_line(145, 180),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(147, 178),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(94, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 94),
        horizontal_line(91, 94),
        horizontal_line(91, 94),
        horizontal_line(91, 93),
        horizontal_line(91, 93),
        horizontal_line(90, 93),
        horizontal_line(90, 92),
        horizontal_line(90, 92),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(89, 91),
        horizontal_line(89, 91),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(88, 88),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(116, 124),
        horizontal_line(114, 123),
        horizontal_line(113, 122),
        horizontal_line(112, 121),
        horizontal_line(110, 120),
        horizontal_line(109, 119),
        horizontal_line(107, 118),
        horizontal_line(106, 117),
        horizontal_line(105, 116),
        horizontal_line(103, 115),
        horizontal_line(102, 114),
        horizontal_line(100, 112),
        horizontal_line(154, 173),
        horizontal_line(98, 110),
        horizontal_line(153, 172),
        horizontal_line(152, 172),
        horizontal_line(152, 171),
        horizontal_line(151, 171),
        horizontal_line(151, 170),
        horizontal_line(150, 170),
        horizontal_line(150, 170),
        horizontal_line(149, 169),
        horizontal_line(148, 169),
        horizontal_line(148, 168),
        horizontal_line(147, 168),
        horizontal_line(147, 167),
        horizontal_line(146, 167),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(144, 166),
        horizontal_line(144, 165),
        horizontal_line(143, 165),
        horizontal_line(143, 164),
        horizontal_line(142, 164),
        horizontal_line(141, 163),
        horizontal_line(141, 163),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(139, 162),
        horizontal_line(138, 161),
        horizontal_line(138, 161),
        horizontal_line(137, 160),
        horizontal_line(137, 160),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(135, 158),
        horizontal_line(134, 158),
        horizontal_line(134, 158),
        horizontal_line(133, 157),
        horizontal_line(133, 157),
        horizontal_line(132, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 155),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(128, 153),
        horizontal_line(127, 153),
        horizontal_line(127, 152),
        horizontal_line(126, 152),
        horizontal_line(126, 151),
        horizontal_line(125, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(123, 149),
        horizontal_line(123, 149),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(116, 144),
        horizontal_line(115, 143),
        horizontal_line(115, 143),
        horizontal_line(114, 142),
        horizontal_line(113, 142),
        horizontal_line(113, 141),
        horizontal_line(112, 141),
        horizontal_line(201, 239),
        horizontal_line(111, 140),
        horizontal_line(110, 140),
        horizontal_line(200, 239),
        horizontal_line(109, 139),
        horizontal_line(109, 138),
        horizontal_line(199, 239),
        horizontal_line(119, 137),
    };

    constexpr const horizontal_line frame_659_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(118, 136),
    };

    constexpr const shape frame_659_shape_group_5_shapes[] = {
        shape(frame_659_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_659_shape_group_5_shape_1_horizontal_lines, 19, 6),
        shape(frame_659_shape_group_5_shape_2_horizontal_lines, 20, 1),
        shape(frame_659_shape_group_5_shape_3_horizontal_lines, 21, 6),
        shape(frame_659_shape_group_5_shape_4_horizontal_lines, 56, 2),
        shape(frame_659_shape_group_5_shape_5_horizontal_lines, 151, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(167, 204),
        horizontal_line(169, 203),
        horizontal_line(171, 203),
        horizontal_line(173, 202),
        horizontal_line(175, 202),
        horizontal_line(177, 201),
        horizontal_line(179, 201),
        horizontal_line(181, 200),
        horizontal_line(183, 200),
        horizontal_line(185, 199),
        horizontal_line(187, 199),
        horizontal_line(188, 199),
        horizontal_line(187, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(185, 197),
        horizontal_line(185, 196),
        horizontal_line(184, 196),
        horizontal_line(183, 195),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(146, 179),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(182, 195),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(148, 177),
        horizontal_line(150, 176),
        horizontal_line(151, 175),
        horizontal_line(152, 174),
        horizontal_line(128, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(126, 131),
        horizontal_line(125, 132),
        horizontal_line(125, 133),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(123, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(126, 139),
        horizontal_line(126, 140),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(128, 142),
        horizontal_line(128, 143),
        horizontal_line(129, 144),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(111, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(109, 117),
        horizontal_line(108, 117),
        horizontal_line(107, 118),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(117, 125),
        horizontal_line(136, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 145),
        horizontal_line(133, 144),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 142),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 138),
        horizontal_line(227, 239),
        horizontal_line(125, 137),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(75, 90),
        horizontal_line(74, 90),
        horizontal_line(74, 91),
        horizontal_line(73, 91),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(96, 97),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_659_shape_group_6_shapes[] = {
        shape(frame_659_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_659_shape_group_6_shape_1_horizontal_lines, 19, 1),
        shape(frame_659_shape_group_6_shape_2_horizontal_lines, 20, 2),
        shape(frame_659_shape_group_6_shape_3_horizontal_lines, 21, 1),
        shape(frame_659_shape_group_6_shape_4_horizontal_lines, 55, 2),
        shape(frame_659_shape_group_6_shape_5_horizontal_lines, 109, 5),
        shape(frame_659_shape_group_6_shape_6_horizontal_lines, 113, 2),
        shape(frame_659_shape_group_6_shape_7_horizontal_lines, 123, 5),
        shape(frame_659_shape_group_6_shape_8_horizontal_lines, 134, 2),
        shape(frame_659_shape_group_6_shape_9_horizontal_lines, 142, 2),
        shape(frame_659_shape_group_6_shape_10_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 137),
        horizontal_line(134, 138),
        horizontal_line(134, 139),
        horizontal_line(133, 140),
        horizontal_line(132, 142),
        horizontal_line(132, 143),
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(183, 195),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(130, 146),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(182, 194),
        horizontal_line(181, 194),
        horizontal_line(180, 193),
        horizontal_line(180, 193),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(153, 173),
        horizontal_line(154, 172),
        horizontal_line(155, 171),
        horizontal_line(157, 170),
        horizontal_line(158, 169),
        horizontal_line(159, 168),
        horizontal_line(160, 167),
        horizontal_line(161, 166),
        horizontal_line(162, 165),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(173, 188),
        horizontal_line(161, 161),
        horizontal_line(160, 160),
        horizontal_line(158, 160),
        horizontal_line(156, 159),
        horizontal_line(155, 158),
        horizontal_line(153, 157),
        horizontal_line(151, 157),
        horizontal_line(150, 156),
        horizontal_line(148, 155),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(129, 145),
        horizontal_line(130, 143),
        horizontal_line(130, 140),
        horizontal_line(131, 137),
        horizontal_line(131, 134),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(126, 128),
        horizontal_line(123, 127),
        horizontal_line(120, 126),
        horizontal_line(137, 147),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(160, 178),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(158, 176),
        horizontal_line(158, 176),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(156, 174),
        horizontal_line(155, 174),
        horizontal_line(155, 174),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(154, 173),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(78, 78),
        horizontal_line(78, 80),
        horizontal_line(77, 82),
        horizontal_line(77, 83),
        horizontal_line(76, 85),
        horizontal_line(76, 86),
        horizontal_line(75, 88),
    };

    constexpr const horizontal_line frame_659_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(74, 92),
        horizontal_line(76, 92),
        horizontal_line(79, 93),
        horizontal_line(81, 93),
        horizontal_line(83, 94),
        horizontal_line(85, 94),
        horizontal_line(87, 95),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(94, 96),
    };

    constexpr const shape frame_659_shape_group_7_shapes[] = {
        shape(frame_659_shape_group_7_shape_0_horizontal_lines, 11, 5),
        shape(frame_659_shape_group_7_shape_1_horizontal_lines, 19, 2),
        shape(frame_659_shape_group_7_shape_2_horizontal_lines, 20, 5),
        shape(frame_659_shape_group_7_shape_3_horizontal_lines, 21, 2),
        shape(frame_659_shape_group_7_shape_4_horizontal_lines, 25, 1),
        shape(frame_659_shape_group_7_shape_5_horizontal_lines, 35, 2),
        shape(frame_659_shape_group_7_shape_6_horizontal_lines, 45, 1),
        shape(frame_659_shape_group_7_shape_7_horizontal_lines, 51, 2),
        shape(frame_659_shape_group_7_shape_8_horizontal_lines, 69, 2),
        shape(frame_659_shape_group_7_shape_9_horizontal_lines, 102, 5),
        shape(frame_659_shape_group_7_shape_10_horizontal_lines, 113, 5),
    };

    constexpr const horizontal_line frame_659_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_659_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(130, 147),
        horizontal_line(129, 149),
        horizontal_line(129, 150),
        horizontal_line(129, 151),
    };

    constexpr const horizontal_line frame_659_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(179, 192),
        horizontal_line(179, 192),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
        horizontal_line(177, 191),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(174, 188),
        horizontal_line(238, 239),
        horizontal_line(173, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(171, 186),
        horizontal_line(171, 186),
        horizontal_line(170, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 184),
        horizontal_line(168, 184),
        horizontal_line(147, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 153),
        horizontal_line(143, 152),
        horizontal_line(142, 152),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
        horizontal_line(162, 179),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const shape frame_659_shape_group_8_shapes[] = {
        shape(frame_659_shape_group_8_shape_0_horizontal_lines, 19, 5),
        shape(frame_659_shape_group_8_shape_1_horizontal_lines, 21, 5),
        shape(frame_659_shape_group_8_shape_2_horizontal_lines, 25, 2),
        shape(frame_659_shape_group_8_shape_3_horizontal_lines, 69, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(130, 152),
        horizontal_line(131, 153),
        horizontal_line(132, 154),
        horizontal_line(132, 156),
        horizontal_line(133, 157),
        horizontal_line(134, 158),
        horizontal_line(135, 159),
        horizontal_line(135, 160),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_659_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_659_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_659_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(168, 183),
        horizontal_line(167, 183),
        horizontal_line(166, 183),
        horizontal_line(166, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 181),
        horizontal_line(164, 181),
        horizontal_line(164, 180),
        horizontal_line(163, 180),
        horizontal_line(162, 179),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_659_shape_group_9_shapes[] = {
        shape(frame_659_shape_group_9_shape_0_horizontal_lines, 25, 5),
        shape(frame_659_shape_group_9_shape_1_horizontal_lines, 34, 2),
        shape(frame_659_shape_group_9_shape_2_horizontal_lines, 35, 5),
        shape(frame_659_shape_group_9_shape_3_horizontal_lines, 36, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(122, 123),
        horizontal_line(138, 162),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(119, 125),
        horizontal_line(118, 125),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(116, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 128),
    };

    constexpr const horizontal_line frame_659_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_659_shape_group_10_shapes[] = {
        shape(frame_659_shape_group_10_shape_0_horizontal_lines, 33, 5),
        shape(frame_659_shape_group_10_shape_1_horizontal_lines, 45, 2),
    };

    constexpr const horizontal_line frame_659_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(137, 163),
    };

    constexpr const horizontal_line frame_659_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(139, 160),
        horizontal_line(139, 159),
        horizontal_line(140, 157),
        horizontal_line(141, 155),
        horizontal_line(142, 154),
        horizontal_line(142, 152),
        horizontal_line(143, 150),
        horizontal_line(144, 149),
        horizontal_line(145, 147),
        horizontal_line(115, 128),
        horizontal_line(115, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 131),
        horizontal_line(117, 128),
        horizontal_line(118, 125),
        horizontal_line(118, 122),
        horizontal_line(119, 119),
    };

    constexpr const shape frame_659_shape_group_11_shapes[] = {
        shape(frame_659_shape_group_11_shape_0_horizontal_lines, 34, 5),
        shape(frame_659_shape_group_11_shape_1_horizontal_lines, 36, 5),
    };

    constexpr const horizontal_line frame_659_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const shape frame_659_shape_group_12_shapes[] = {
        shape(frame_659_shape_group_12_shape_0_horizontal_lines, 45, 5),
    };

    constexpr const shape_group frame_659_shape_groups[] = {
        shape_group(frame_659_shape_group_0_shapes),
        shape_group(frame_659_shape_group_1_shapes),
        shape_group(frame_659_shape_group_2_shapes),
        shape_group(frame_659_shape_group_3_shapes),
        shape_group(frame_659_shape_group_4_shapes),
        shape_group(frame_659_shape_group_5_shapes),
        shape_group(frame_659_shape_group_6_shapes),
        shape_group(frame_659_shape_group_7_shapes),
        shape_group(frame_659_shape_group_8_shapes),
        shape_group(frame_659_shape_group_9_shapes),
        shape_group(frame_659_shape_group_10_shapes),
        shape_group(frame_659_shape_group_11_shapes),
        shape_group(frame_659_shape_group_12_shapes),
    };

    constexpr const frame frame_659_impl(frame_659_colors, frame_659_shape_groups);
} 

const frame& frame_659()
{
    return frame_659_impl;
}

