#include "frames_13_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_780_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_780_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 105),
        horizontal_line(50, 105),
        horizontal_line(53, 105),
        horizontal_line(57, 105),
        horizontal_line(61, 104),
        horizontal_line(64, 104),
        horizontal_line(68, 104),
        horizontal_line(72, 104),
        horizontal_line(75, 104),
        horizontal_line(79, 104),
        horizontal_line(83, 104),
        horizontal_line(86, 104),
        horizontal_line(90, 104),
        horizontal_line(94, 104),
        horizontal_line(97, 104),
        horizontal_line(101, 104),
        horizontal_line(106, 125),
        horizontal_line(104, 126),
        horizontal_line(104, 126),
        horizontal_line(104, 126),
        horizontal_line(103, 126),
        horizontal_line(103, 126),
        horizontal_line(103, 126),
        horizontal_line(102, 127),
        horizontal_line(102, 126),
        horizontal_line(102, 126),
        horizontal_line(101, 125),
        horizontal_line(101, 125),
        horizontal_line(101, 124),
        horizontal_line(100, 124),
        horizontal_line(100, 123),
        horizontal_line(100, 123),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(97, 119),
        horizontal_line(97, 119),
        horizontal_line(97, 118),
        horizontal_line(96, 118),
        horizontal_line(96, 117),
        horizontal_line(96, 117),
        horizontal_line(95, 116),
        horizontal_line(95, 116),
        horizontal_line(95, 115),
        horizontal_line(94, 115),
        horizontal_line(94, 114),
        horizontal_line(94, 114),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(93, 113),
        horizontal_line(92, 112),
        horizontal_line(92, 112),
        horizontal_line(92, 111),
        horizontal_line(91, 111),
        horizontal_line(91, 110),
        horizontal_line(91, 110),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 108),
        horizontal_line(89, 108),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(88, 106),
        horizontal_line(88, 106),
        horizontal_line(88, 105),
        horizontal_line(87, 105),
        horizontal_line(87, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 103),
        horizontal_line(88, 103),
        horizontal_line(89, 102),
        horizontal_line(89, 102),
        horizontal_line(89, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 100),
        horizontal_line(91, 100),
        horizontal_line(91, 100),
        horizontal_line(91, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(95, 95),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_780_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(90, 91),
        horizontal_line(82, 91),
        horizontal_line(75, 91),
        horizontal_line(67, 92),
        horizontal_line(60, 92),
        horizontal_line(53, 93),
        horizontal_line(45, 93),
        horizontal_line(38, 94),
        horizontal_line(30, 92),
        horizontal_line(23, 85),
        horizontal_line(15, 77),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_780_shape_group_0_shapes[] = {
        shape(frame_780_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_780_shape_group_0_shape_1_horizontal_lines, 112, 12),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(63, 106),
        horizontal_line(64, 106),
        horizontal_line(65, 106),
        horizontal_line(66, 106),
        horizontal_line(67, 106),
        horizontal_line(68, 106),
        horizontal_line(69, 106),
        horizontal_line(70, 106),
        horizontal_line(72, 106),
        horizontal_line(75, 105),
        horizontal_line(79, 105),
        horizontal_line(82, 105),
        horizontal_line(86, 105),
        horizontal_line(90, 105),
        horizontal_line(93, 105),
        horizontal_line(97, 105),
        horizontal_line(123, 123),
        horizontal_line(122, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
        horizontal_line(117, 124),
        horizontal_line(116, 124),
        horizontal_line(115, 124),
        horizontal_line(114, 124),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(111, 124),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(108, 125),
        horizontal_line(107, 125),
        horizontal_line(106, 125),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(15, 77),
        horizontal_line(22, 84),
        horizontal_line(29, 91),
        horizontal_line(37, 92),
        horizontal_line(44, 92),
        horizontal_line(51, 92),
        horizontal_line(58, 91),
        horizontal_line(66, 91),
        horizontal_line(73, 91),
        horizontal_line(80, 90),
        horizontal_line(87, 90),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_780_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
    };

    constexpr const shape frame_780_shape_group_1_shapes[] = {
        shape(frame_780_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_780_shape_group_1_shape_1_horizontal_lines, 38, 4),
        shape(frame_780_shape_group_1_shape_2_horizontal_lines, 68, 1),
        shape(frame_780_shape_group_1_shape_3_horizontal_lines, 80, 12),
        shape(frame_780_shape_group_1_shape_4_horizontal_lines, 112, 6),
        shape(frame_780_shape_group_1_shape_5_horizontal_lines, 137, 12),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(108, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(101, 105),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(86, 105),
        horizontal_line(89, 103),
        horizontal_line(91, 103),
        horizontal_line(94, 103),
        horizontal_line(97, 102),
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(150, 212),
        horizontal_line(172, 234),
        horizontal_line(194, 238),
        horizontal_line(216, 237),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(70, 94),
        horizontal_line(77, 93),
        horizontal_line(84, 93),
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 52),
        horizontal_line(0, 44),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_780_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(85, 95),
        horizontal_line(77, 95),
        horizontal_line(70, 96),
        horizontal_line(63, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
    };

    constexpr const shape frame_780_shape_group_2_shapes[] = {
        shape(frame_780_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_780_shape_group_2_shape_1_horizontal_lines, 20, 2),
        shape(frame_780_shape_group_2_shape_2_horizontal_lines, 22, 4),
        shape(frame_780_shape_group_2_shape_3_horizontal_lines, 44, 11),
        shape(frame_780_shape_group_2_shape_4_horizontal_lines, 50, 1),
        shape(frame_780_shape_group_2_shape_5_horizontal_lines, 72, 12),
        shape(frame_780_shape_group_2_shape_6_horizontal_lines, 80, 8),
        shape(frame_780_shape_group_2_shape_7_horizontal_lines, 93, 6),
        shape(frame_780_shape_group_2_shape_8_horizontal_lines, 145, 12),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(12, 12),
        horizontal_line(15, 16),
        horizontal_line(18, 19),
        horizontal_line(21, 23),
        horizontal_line(24, 27),
        horizontal_line(27, 30),
        horizontal_line(30, 34),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(39, 45),
        horizontal_line(42, 49),
        horizontal_line(45, 52),
        horizontal_line(48, 56),
        horizontal_line(50, 60),
        horizontal_line(53, 63),
        horizontal_line(56, 67),
        horizontal_line(59, 71),
        horizontal_line(62, 74),
        horizontal_line(65, 78),
        horizontal_line(68, 82),
        horizontal_line(71, 85),
        horizontal_line(74, 89),
        horizontal_line(77, 93),
        horizontal_line(80, 96),
        horizontal_line(83, 100),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(212, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(66, 100),
        horizontal_line(66, 99),
        horizontal_line(66, 99),
        horizontal_line(66, 99),
        horizontal_line(66, 98),
        horizontal_line(65, 98),
        horizontal_line(65, 98),
        horizontal_line(65, 97),
        horizontal_line(65, 97),
        horizontal_line(65, 97),
        horizontal_line(65, 96),
        horizontal_line(64, 96),
        horizontal_line(64, 96),
        horizontal_line(64, 95),
        horizontal_line(64, 95),
        horizontal_line(64, 95),
        horizontal_line(64, 94),
        horizontal_line(64, 94),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(46, 90),
        horizontal_line(50, 89),
        horizontal_line(53, 89),
        horizontal_line(57, 89),
        horizontal_line(60, 88),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 80),
        horizontal_line(62, 83),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 81),
        horizontal_line(62, 74),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 22),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_780_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_780_shape_group_3_shapes[] = {
        shape(frame_780_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_780_shape_group_3_shape_1_horizontal_lines, 4, 4),
        shape(frame_780_shape_group_3_shape_2_horizontal_lines, 38, 11),
        shape(frame_780_shape_group_3_shape_3_horizontal_lines, 48, 1),
        shape(frame_780_shape_group_3_shape_4_horizontal_lines, 68, 12),
        shape(frame_780_shape_group_3_shape_5_horizontal_lines, 72, 8),
        shape(frame_780_shape_group_3_shape_6_horizontal_lines, 80, 6),
        shape(frame_780_shape_group_3_shape_7_horizontal_lines, 85, 8),
        shape(frame_780_shape_group_3_shape_8_horizontal_lines, 93, 6),
        shape(frame_780_shape_group_3_shape_9_horizontal_lines, 137, 6),
        shape(frame_780_shape_group_3_shape_10_horizontal_lines, 145, 6),
        shape(frame_780_shape_group_3_shape_11_horizontal_lines, 148, 12),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(33, 38),
        horizontal_line(36, 41),
        horizontal_line(106, 120),
        horizontal_line(106, 119),
        horizontal_line(106, 118),
        horizontal_line(106, 117),
        horizontal_line(105, 116),
        horizontal_line(105, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 110),
        horizontal_line(105, 109),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 106),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(67, 100),
        horizontal_line(66, 100),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(19, 36),
        horizontal_line(22, 43),
        horizontal_line(26, 50),
        horizontal_line(29, 57),
        horizontal_line(32, 65),
        horizontal_line(36, 72),
        horizontal_line(39, 79),
        horizontal_line(43, 86),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(63, 88),
        horizontal_line(67, 88),
        horizontal_line(70, 87),
        horizontal_line(74, 87),
        horizontal_line(77, 87),
        horizontal_line(81, 86),
        horizontal_line(84, 86),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_780_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_780_shape_group_4_shapes[] = {
        shape(frame_780_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_780_shape_group_4_shape_1_horizontal_lines, 13, 4),
        shape(frame_780_shape_group_4_shape_2_horizontal_lines, 38, 11),
        shape(frame_780_shape_group_4_shape_3_horizontal_lines, 44, 1),
        shape(frame_780_shape_group_4_shape_4_horizontal_lines, 50, 15),
        shape(frame_780_shape_group_4_shape_5_horizontal_lines, 51, 12),
        shape(frame_780_shape_group_4_shape_6_horizontal_lines, 68, 8),
        shape(frame_780_shape_group_4_shape_7_horizontal_lines, 72, 6),
        shape(frame_780_shape_group_4_shape_8_horizontal_lines, 85, 6),
        shape(frame_780_shape_group_4_shape_9_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(106, 122),
        horizontal_line(106, 121),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(67, 102),
        horizontal_line(67, 101),
        horizontal_line(67, 101),
        horizontal_line(67, 101),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(1, 1),
    };

    constexpr const horizontal_line frame_780_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(5, 7),
        horizontal_line(8, 14),
        horizontal_line(12, 21),
        horizontal_line(15, 28),
    };

    constexpr const shape frame_780_shape_group_5_shapes[] = {
        shape(frame_780_shape_group_5_shape_0_horizontal_lines, 4, 11),
        shape(frame_780_shape_group_5_shape_1_horizontal_lines, 20, 4),
        shape(frame_780_shape_group_5_shape_2_horizontal_lines, 22, 11),
        shape(frame_780_shape_group_5_shape_3_horizontal_lines, 38, 1),
        shape(frame_780_shape_group_5_shape_4_horizontal_lines, 48, 15),
        shape(frame_780_shape_group_5_shape_5_horizontal_lines, 67, 8),
        shape(frame_780_shape_group_5_shape_6_horizontal_lines, 68, 6),
    };

    constexpr const horizontal_line frame_780_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(68, 85),
        horizontal_line(68, 88),
        horizontal_line(68, 90),
        horizontal_line(68, 93),
        horizontal_line(68, 96),
        horizontal_line(67, 99),
    };

    constexpr const shape frame_780_shape_group_6_shapes[] = {
        shape(frame_780_shape_group_6_shape_0_horizontal_lines, 13, 11),
        shape(frame_780_shape_group_6_shape_1_horizontal_lines, 38, 1),
    };

    constexpr const horizontal_line frame_780_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(10, 11),
        horizontal_line(10, 14),
        horizontal_line(10, 17),
        horizontal_line(10, 20),
        horizontal_line(10, 23),
        horizontal_line(10, 26),
        horizontal_line(9, 29),
    };

    constexpr const horizontal_line frame_780_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_780_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(9, 38),
        horizontal_line(9, 41),
        horizontal_line(9, 44),
        horizontal_line(8, 47),
        horizontal_line(8, 49),
        horizontal_line(8, 52),
        horizontal_line(8, 55),
        horizontal_line(8, 58),
        horizontal_line(8, 61),
        horizontal_line(7, 64),
        horizontal_line(7, 67),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
    };

    constexpr const shape frame_780_shape_group_7_shapes[] = {
        shape(frame_780_shape_group_7_shape_0_horizontal_lines, 13, 1),
        shape(frame_780_shape_group_7_shape_1_horizontal_lines, 20, 11),
        shape(frame_780_shape_group_7_shape_2_horizontal_lines, 22, 1),
    };

    constexpr const horizontal_line frame_780_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(9, 32),
        horizontal_line(9, 35),
    };

    constexpr const horizontal_line frame_780_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(69, 70),
        horizontal_line(69, 73),
        horizontal_line(69, 76),
        horizontal_line(69, 79),
        horizontal_line(68, 82),
    };

    constexpr const shape frame_780_shape_group_8_shapes[] = {
        shape(frame_780_shape_group_8_shape_0_horizontal_lines, 20, 1),
        shape(frame_780_shape_group_8_shape_1_horizontal_lines, 33, 1),
    };

    constexpr const shape_group frame_780_shape_groups[] = {
        shape_group(frame_780_shape_group_0_shapes),
        shape_group(frame_780_shape_group_1_shapes),
        shape_group(frame_780_shape_group_2_shapes),
        shape_group(frame_780_shape_group_3_shapes),
        shape_group(frame_780_shape_group_4_shapes),
        shape_group(frame_780_shape_group_5_shapes),
        shape_group(frame_780_shape_group_6_shapes),
        shape_group(frame_780_shape_group_7_shapes),
        shape_group(frame_780_shape_group_8_shapes),
    };

    constexpr const frame frame_780_impl(frame_780_colors, frame_780_shape_groups);
} 

const frame& frame_780()
{
    return frame_780_impl;
}

namespace
{
    constexpr const bn::color frame_781_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_781_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(46, 106),
        horizontal_line(50, 106),
        horizontal_line(54, 106),
        horizontal_line(57, 106),
        horizontal_line(61, 106),
        horizontal_line(65, 106),
        horizontal_line(68, 106),
        horizontal_line(72, 105),
        horizontal_line(76, 105),
        horizontal_line(80, 105),
        horizontal_line(83, 105),
        horizontal_line(87, 105),
        horizontal_line(91, 105),
        horizontal_line(94, 105),
        horizontal_line(98, 105),
        horizontal_line(102, 105),
        horizontal_line(107, 130),
        horizontal_line(105, 130),
        horizontal_line(105, 130),
        horizontal_line(105, 130),
        horizontal_line(104, 130),
        horizontal_line(104, 130),
        horizontal_line(104, 130),
        horizontal_line(103, 131),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(102, 129),
        horizontal_line(102, 129),
        horizontal_line(102, 128),
        horizontal_line(101, 128),
        horizontal_line(101, 127),
        horizontal_line(101, 127),
        horizontal_line(100, 126),
        horizontal_line(100, 126),
        horizontal_line(100, 125),
        horizontal_line(99, 125),
        horizontal_line(99, 124),
        horizontal_line(99, 124),
        horizontal_line(98, 123),
        horizontal_line(98, 123),
        horizontal_line(98, 122),
        horizontal_line(97, 122),
        horizontal_line(97, 121),
        horizontal_line(97, 121),
        horizontal_line(97, 120),
        horizontal_line(96, 120),
        horizontal_line(96, 119),
        horizontal_line(96, 119),
        horizontal_line(95, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 116),
        horizontal_line(94, 116),
        horizontal_line(93, 116),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(92, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 112),
        horizontal_line(91, 112),
        horizontal_line(90, 111),
        horizontal_line(90, 111),
        horizontal_line(90, 110),
        horizontal_line(89, 110),
        horizontal_line(89, 109),
        horizontal_line(89, 109),
        horizontal_line(88, 108),
        horizontal_line(88, 108),
        horizontal_line(88, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 106),
        horizontal_line(89, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 102),
        horizontal_line(93, 102),
        horizontal_line(93, 102),
        horizontal_line(93, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 100),
        horizontal_line(95, 100),
        horizontal_line(95, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_781_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 56),
        horizontal_line(0, 50),
        horizontal_line(0, 45),
        horizontal_line(0, 39),
        horizontal_line(0, 33),
        horizontal_line(0, 28),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_781_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const shape frame_781_shape_group_0_shapes[] = {
        shape(frame_781_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_781_shape_group_0_shape_1_horizontal_lines, 115, 6),
        shape(frame_781_shape_group_0_shape_2_horizontal_lines, 159, 12),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(63, 108),
        horizontal_line(64, 108),
        horizontal_line(65, 108),
        horizontal_line(66, 108),
        horizontal_line(67, 108),
        horizontal_line(68, 107),
        horizontal_line(71, 107),
        horizontal_line(75, 107),
        horizontal_line(79, 107),
        horizontal_line(82, 107),
        horizontal_line(86, 107),
        horizontal_line(90, 107),
        horizontal_line(127, 127),
        horizontal_line(126, 128),
        horizontal_line(125, 128),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(122, 128),
        horizontal_line(121, 128),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(118, 128),
        horizontal_line(117, 129),
        horizontal_line(116, 129),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 129),
        horizontal_line(109, 129),
        horizontal_line(108, 130),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(168, 230),
        horizontal_line(186, 239),
        horizontal_line(204, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(14, 76),
        horizontal_line(21, 83),
        horizontal_line(29, 91),
        horizontal_line(36, 93),
        horizontal_line(43, 93),
        horizontal_line(50, 92),
        horizontal_line(58, 92),
        horizontal_line(65, 92),
        horizontal_line(72, 91),
        horizontal_line(80, 91),
        horizontal_line(87, 91),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 84),
        horizontal_line(62, 78),
        horizontal_line(62, 73),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_781_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(62, 95),
        horizontal_line(57, 95),
        horizontal_line(51, 96),
        horizontal_line(46, 96),
        horizontal_line(40, 97),
        horizontal_line(34, 96),
        horizontal_line(29, 91),
        horizontal_line(23, 85),
        horizontal_line(17, 79),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_781_shape_group_1_shapes[] = {
        shape(frame_781_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_781_shape_group_1_shape_1_horizontal_lines, 37, 4),
        shape(frame_781_shape_group_1_shape_2_horizontal_lines, 45, 11),
        shape(frame_781_shape_group_1_shape_3_horizontal_lines, 50, 1),
        shape(frame_781_shape_group_1_shape_4_horizontal_lines, 81, 8),
        shape(frame_781_shape_group_1_shape_5_horizontal_lines, 96, 6),
        shape(frame_781_shape_group_1_shape_6_horizontal_lines, 147, 12),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(110, 144),
        horizontal_line(109, 142),
        horizontal_line(109, 141),
        horizontal_line(109, 140),
        horizontal_line(109, 139),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(93, 107),
        horizontal_line(97, 107),
        horizontal_line(101, 106),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(84, 106),
        horizontal_line(87, 104),
        horizontal_line(89, 104),
        horizontal_line(92, 104),
        horizontal_line(95, 103),
        horizontal_line(98, 103),
        horizontal_line(101, 103),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(212, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(63, 95),
        horizontal_line(69, 94),
        horizontal_line(76, 94),
        horizontal_line(83, 94),
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(46, 90),
        horizontal_line(50, 90),
        horizontal_line(53, 90),
        horizontal_line(57, 89),
        horizontal_line(60, 89),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 70),
        horizontal_line(62, 73),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 87),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(58, 88),
        horizontal_line(29, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_781_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(91, 92),
        horizontal_line(85, 93),
        horizontal_line(79, 93),
        horizontal_line(74, 94),
        horizontal_line(68, 94),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(62, 101),
    };

    constexpr const shape frame_781_shape_group_2_shapes[] = {
        shape(frame_781_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_781_shape_group_2_shape_1_horizontal_lines, 17, 2),
        shape(frame_781_shape_group_2_shape_2_horizontal_lines, 21, 4),
        shape(frame_781_shape_group_2_shape_3_horizontal_lines, 44, 11),
        shape(frame_781_shape_group_2_shape_4_horizontal_lines, 47, 1),
        shape(frame_781_shape_group_2_shape_5_horizontal_lines, 73, 8),
        shape(frame_781_shape_group_2_shape_6_horizontal_lines, 81, 6),
        shape(frame_781_shape_group_2_shape_7_horizontal_lines, 86, 8),
        shape(frame_781_shape_group_2_shape_8_horizontal_lines, 94, 6),
        shape(frame_781_shape_group_2_shape_9_horizontal_lines, 115, 12),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(109, 138),
        horizontal_line(109, 137),
        horizontal_line(109, 136),
        horizontal_line(109, 135),
        horizontal_line(109, 134),
        horizontal_line(108, 133),
        horizontal_line(8, 8),
        horizontal_line(11, 12),
        horizontal_line(14, 16),
        horizontal_line(17, 19),
        horizontal_line(20, 23),
        horizontal_line(23, 27),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(37, 45),
        horizontal_line(40, 49),
        horizontal_line(43, 53),
        horizontal_line(46, 56),
        horizontal_line(49, 60),
        horizontal_line(52, 64),
        horizontal_line(55, 67),
        horizontal_line(58, 71),
        horizontal_line(61, 75),
        horizontal_line(63, 79),
        horizontal_line(66, 82),
        horizontal_line(69, 86),
        horizontal_line(72, 90),
        horizontal_line(75, 93),
        horizontal_line(78, 97),
        horizontal_line(81, 101),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(18, 35),
        horizontal_line(22, 42),
        horizontal_line(25, 49),
        horizontal_line(29, 57),
        horizontal_line(32, 64),
        horizontal_line(36, 71),
        horizontal_line(39, 79),
        horizontal_line(43, 86),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(64, 89),
        horizontal_line(67, 88),
        horizontal_line(71, 88),
        horizontal_line(74, 88),
        horizontal_line(78, 87),
        horizontal_line(81, 87),
        horizontal_line(85, 87),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(91, 98),
        horizontal_line(85, 98),
        horizontal_line(79, 99),
        horizontal_line(74, 99),
        horizontal_line(68, 100),
        horizontal_line(63, 100),
    };

    constexpr const shape frame_781_shape_group_3_shapes[] = {
        shape(frame_781_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_781_shape_group_3_shape_1_horizontal_lines, 5, 4),
        shape(frame_781_shape_group_3_shape_2_horizontal_lines, 37, 11),
        shape(frame_781_shape_group_3_shape_3_horizontal_lines, 45, 1),
        shape(frame_781_shape_group_3_shape_4_horizontal_lines, 68, 8),
        shape(frame_781_shape_group_3_shape_5_horizontal_lines, 73, 6),
        shape(frame_781_shape_group_3_shape_6_horizontal_lines, 86, 6),
        shape(frame_781_shape_group_3_shape_7_horizontal_lines, 94, 12),
        shape(frame_781_shape_group_3_shape_8_horizontal_lines, 142, 12),
        shape(frame_781_shape_group_3_shape_9_horizontal_lines, 152, 12),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(108, 132),
        horizontal_line(108, 131),
        horizontal_line(108, 130),
        horizontal_line(108, 129),
        horizontal_line(108, 128),
        horizontal_line(108, 127),
        horizontal_line(26, 30),
        horizontal_line(29, 34),
        horizontal_line(32, 38),
        horizontal_line(34, 42),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 117),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(106, 107),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(4, 6),
        horizontal_line(8, 13),
        horizontal_line(11, 20),
        horizontal_line(15, 28),
    };

    constexpr const horizontal_line frame_781_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const shape frame_781_shape_group_4_shapes[] = {
        shape(frame_781_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_781_shape_group_4_shape_1_horizontal_lines, 11, 4),
        shape(frame_781_shape_group_4_shape_2_horizontal_lines, 37, 11),
        shape(frame_781_shape_group_4_shape_3_horizontal_lines, 44, 1),
        shape(frame_781_shape_group_4_shape_4_horizontal_lines, 69, 6),
        shape(frame_781_shape_group_4_shape_5_horizontal_lines, 93, 12),
    };

    constexpr const horizontal_line frame_781_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
    };

    constexpr const horizontal_line frame_781_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(108, 126),
        horizontal_line(108, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 123),
    };

    constexpr const horizontal_line frame_781_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
    };

    constexpr const horizontal_line frame_781_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(63, 102),
    };

    constexpr const shape frame_781_shape_group_5_shapes[] = {
        shape(frame_781_shape_group_5_shape_0_horizontal_lines, 5, 11),
        shape(frame_781_shape_group_5_shape_1_horizontal_lines, 17, 4),
        shape(frame_781_shape_group_5_shape_2_horizontal_lines, 21, 11),
        shape(frame_781_shape_group_5_shape_3_horizontal_lines, 37, 1),
    };

    constexpr const horizontal_line frame_781_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(64, 83),
        horizontal_line(63, 86),
        horizontal_line(63, 88),
        horizontal_line(63, 91),
        horizontal_line(63, 94),
        horizontal_line(63, 97),
        horizontal_line(63, 100),
    };

    constexpr const shape frame_781_shape_group_6_shapes[] = {
        shape(frame_781_shape_group_6_shape_0_horizontal_lines, 11, 11),
        shape(frame_781_shape_group_6_shape_1_horizontal_lines, 37, 1),
    };

    constexpr const horizontal_line frame_781_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(5, 7),
        horizontal_line(5, 10),
        horizontal_line(5, 13),
        horizontal_line(5, 16),
        horizontal_line(5, 19),
        horizontal_line(5, 22),
    };

    constexpr const horizontal_line frame_781_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_781_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(4, 36),
        horizontal_line(4, 39),
        horizontal_line(4, 42),
        horizontal_line(3, 45),
        horizontal_line(3, 48),
        horizontal_line(3, 51),
        horizontal_line(3, 54),
        horizontal_line(3, 57),
        horizontal_line(3, 60),
        horizontal_line(3, 62),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
    };

    constexpr const shape frame_781_shape_group_7_shapes[] = {
        shape(frame_781_shape_group_7_shape_0_horizontal_lines, 11, 1),
        shape(frame_781_shape_group_7_shape_1_horizontal_lines, 17, 11),
        shape(frame_781_shape_group_7_shape_2_horizontal_lines, 21, 1),
    };

    constexpr const horizontal_line frame_781_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(4, 25),
        horizontal_line(4, 28),
        horizontal_line(4, 31),
        horizontal_line(4, 33),
    };

    constexpr const horizontal_line frame_781_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(64, 65),
        horizontal_line(64, 68),
        horizontal_line(64, 71),
        horizontal_line(64, 74),
        horizontal_line(64, 77),
        horizontal_line(64, 80),
    };

    constexpr const shape frame_781_shape_group_8_shapes[] = {
        shape(frame_781_shape_group_8_shape_0_horizontal_lines, 17, 1),
        shape(frame_781_shape_group_8_shape_1_horizontal_lines, 31, 1),
    };

    constexpr const shape_group frame_781_shape_groups[] = {
        shape_group(frame_781_shape_group_0_shapes),
        shape_group(frame_781_shape_group_1_shapes),
        shape_group(frame_781_shape_group_2_shapes),
        shape_group(frame_781_shape_group_3_shapes),
        shape_group(frame_781_shape_group_4_shapes),
        shape_group(frame_781_shape_group_5_shapes),
        shape_group(frame_781_shape_group_6_shapes),
        shape_group(frame_781_shape_group_7_shapes),
        shape_group(frame_781_shape_group_8_shapes),
    };

    constexpr const frame frame_781_impl(frame_781_colors, frame_781_shape_groups);
} 

const frame& frame_781()
{
    return frame_781_impl;
}

namespace
{
    constexpr const bn::color frame_782_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_782_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 108),
        horizontal_line(53, 108),
        horizontal_line(56, 108),
        horizontal_line(60, 108),
        horizontal_line(64, 108),
        horizontal_line(67, 108),
        horizontal_line(71, 108),
        horizontal_line(75, 108),
        horizontal_line(78, 107),
        horizontal_line(82, 107),
        horizontal_line(86, 107),
        horizontal_line(89, 107),
        horizontal_line(93, 107),
        horizontal_line(97, 107),
        horizontal_line(100, 107),
        horizontal_line(104, 107),
        horizontal_line(109, 135),
        horizontal_line(107, 135),
        horizontal_line(107, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 136),
        horizontal_line(104, 135),
        horizontal_line(104, 135),
        horizontal_line(104, 134),
        horizontal_line(103, 134),
        horizontal_line(103, 133),
        horizontal_line(103, 133),
        horizontal_line(102, 132),
        horizontal_line(102, 132),
        horizontal_line(102, 131),
        horizontal_line(101, 131),
        horizontal_line(101, 130),
        horizontal_line(101, 130),
        horizontal_line(100, 129),
        horizontal_line(100, 129),
        horizontal_line(100, 128),
        horizontal_line(99, 128),
        horizontal_line(99, 127),
        horizontal_line(99, 127),
        horizontal_line(98, 126),
        horizontal_line(98, 126),
        horizontal_line(98, 125),
        horizontal_line(97, 125),
        horizontal_line(97, 124),
        horizontal_line(96, 124),
        horizontal_line(96, 123),
        horizontal_line(96, 123),
        horizontal_line(95, 122),
        horizontal_line(95, 122),
        horizontal_line(95, 121),
        horizontal_line(94, 121),
        horizontal_line(94, 120),
        horizontal_line(94, 120),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
        horizontal_line(93, 118),
        horizontal_line(92, 118),
        horizontal_line(92, 117),
        horizontal_line(92, 117),
        horizontal_line(91, 116),
        horizontal_line(91, 116),
        horizontal_line(91, 115),
        horizontal_line(90, 115),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(89, 113),
        horizontal_line(89, 113),
        horizontal_line(89, 112),
        horizontal_line(88, 112),
        horizontal_line(88, 111),
        horizontal_line(89, 111),
        horizontal_line(89, 110),
        horizontal_line(89, 110),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 106),
        horizontal_line(93, 106),
        horizontal_line(93, 105),
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 103),
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(96, 102),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(99, 99),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_782_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 53),
        horizontal_line(0, 48),
        horizontal_line(0, 43),
        horizontal_line(0, 39),
    };

    constexpr const shape frame_782_shape_group_0_shapes[] = {
        shape(frame_782_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_782_shape_group_0_shape_1_horizontal_lines, 119, 6),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(63, 110),
        horizontal_line(64, 110),
        horizontal_line(67, 110),
        horizontal_line(71, 110),
        horizontal_line(74, 109),
        horizontal_line(78, 109),
        horizontal_line(82, 109),
        horizontal_line(85, 109),
        horizontal_line(132, 132),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(121, 133),
        horizontal_line(120, 133),
        horizontal_line(119, 133),
        horizontal_line(118, 134),
        horizontal_line(117, 134),
        horizontal_line(116, 134),
        horizontal_line(115, 134),
        horizontal_line(114, 134),
        horizontal_line(113, 134),
        horizontal_line(112, 134),
        horizontal_line(111, 134),
        horizontal_line(110, 134),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(84, 108),
        horizontal_line(87, 106),
        horizontal_line(89, 106),
        horizontal_line(92, 105),
        horizontal_line(95, 105),
        horizontal_line(98, 105),
        horizontal_line(101, 104),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(158, 220),
        horizontal_line(178, 239),
        horizontal_line(199, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(7, 69),
        horizontal_line(15, 77),
        horizontal_line(22, 84),
        horizontal_line(30, 92),
        horizontal_line(38, 93),
        horizontal_line(45, 93),
        horizontal_line(53, 93),
        horizontal_line(60, 92),
        horizontal_line(68, 92),
        horizontal_line(76, 92),
        horizontal_line(83, 91),
        horizontal_line(91, 91),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 43),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 91),
        horizontal_line(62, 86),
        horizontal_line(62, 81),
        horizontal_line(62, 76),
        horizontal_line(62, 72),
        horizontal_line(62, 67),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_782_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(58, 99),
        horizontal_line(54, 99),
        horizontal_line(49, 100),
        horizontal_line(44, 100),
        horizontal_line(40, 101),
    };

    constexpr const shape frame_782_shape_group_1_shapes[] = {
        shape(frame_782_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_782_shape_group_1_shape_1_horizontal_lines, 36, 4),
        shape(frame_782_shape_group_1_shape_2_horizontal_lines, 44, 11),
        shape(frame_782_shape_group_1_shape_3_horizontal_lines, 49, 1),
        shape(frame_782_shape_group_1_shape_4_horizontal_lines, 82, 8),
        shape(frame_782_shape_group_1_shape_5_horizontal_lines, 98, 6),
        shape(frame_782_shape_group_1_shape_6_horizontal_lines, 155, 12),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(112, 146),
        horizontal_line(111, 144),
        horizontal_line(111, 143),
        horizontal_line(111, 142),
        horizontal_line(111, 141),
        horizontal_line(111, 140),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(89, 109),
        horizontal_line(93, 109),
        horizontal_line(96, 109),
        horizontal_line(100, 109),
        horizontal_line(104, 109),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(38, 48),
        horizontal_line(41, 52),
        horizontal_line(44, 55),
        horizontal_line(47, 59),
        horizontal_line(50, 63),
        horizontal_line(53, 66),
        horizontal_line(55, 70),
        horizontal_line(58, 74),
        horizontal_line(61, 77),
        horizontal_line(64, 81),
        horizontal_line(67, 85),
        horizontal_line(70, 88),
        horizontal_line(72, 92),
        horizontal_line(75, 96),
        horizontal_line(78, 99),
        horizontal_line(81, 103),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(200, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(69, 95),
        horizontal_line(77, 94),
        horizontal_line(84, 94),
        horizontal_line(92, 94),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(45, 91),
        horizontal_line(48, 90),
        horizontal_line(52, 90),
        horizontal_line(56, 90),
        horizontal_line(59, 89),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 87),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(44, 88),
        horizontal_line(22, 84),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_782_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(92, 95),
        horizontal_line(87, 96),
        horizontal_line(82, 96),
        horizontal_line(77, 97),
        horizontal_line(73, 97),
        horizontal_line(68, 98),
        horizontal_line(63, 98),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_782_shape_group_2_shapes[] = {
        shape(frame_782_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_782_shape_group_2_shape_1_horizontal_lines, 14, 2),
        shape(frame_782_shape_group_2_shape_2_horizontal_lines, 20, 4),
        shape(frame_782_shape_group_2_shape_3_horizontal_lines, 36, 11),
        shape(frame_782_shape_group_2_shape_4_horizontal_lines, 46, 1),
        shape(frame_782_shape_group_2_shape_5_horizontal_lines, 74, 8),
        shape(frame_782_shape_group_2_shape_6_horizontal_lines, 82, 6),
        shape(frame_782_shape_group_2_shape_7_horizontal_lines, 87, 8),
        shape(frame_782_shape_group_2_shape_8_horizontal_lines, 96, 6),
        shape(frame_782_shape_group_2_shape_9_horizontal_lines, 144, 12),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(111, 139),
        horizontal_line(111, 138),
        horizontal_line(4, 4),
        horizontal_line(7, 8),
        horizontal_line(10, 11),
        horizontal_line(13, 15),
        horizontal_line(16, 19),
        horizontal_line(19, 22),
        horizontal_line(0, 0),
        horizontal_line(24, 30),
        horizontal_line(27, 33),
        horizontal_line(30, 37),
        horizontal_line(33, 41),
        horizontal_line(36, 44),
        horizontal_line(109, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 122),
        horizontal_line(109, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 119),
        horizontal_line(109, 118),
        horizontal_line(109, 117),
        horizontal_line(108, 116),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(15, 37),
        horizontal_line(19, 44),
        horizontal_line(23, 52),
        horizontal_line(26, 59),
        horizontal_line(30, 67),
        horizontal_line(34, 75),
        horizontal_line(37, 82),
        horizontal_line(41, 90),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(63, 89),
        horizontal_line(67, 89),
        horizontal_line(70, 88),
        horizontal_line(74, 88),
        horizontal_line(78, 88),
        horizontal_line(81, 87),
        horizontal_line(85, 87),
        horizontal_line(88, 88),
        horizontal_line(66, 88),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_782_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_782_shape_group_3_shapes[] = {
        shape(frame_782_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_782_shape_group_3_shape_1_horizontal_lines, 6, 4),
        shape(frame_782_shape_group_3_shape_2_horizontal_lines, 36, 11),
        shape(frame_782_shape_group_3_shape_3_horizontal_lines, 44, 1),
        shape(frame_782_shape_group_3_shape_4_horizontal_lines, 70, 8),
        shape(frame_782_shape_group_3_shape_5_horizontal_lines, 74, 6),
        shape(frame_782_shape_group_3_shape_6_horizontal_lines, 87, 6),
        shape(frame_782_shape_group_3_shape_7_horizontal_lines, 97, 6),
        shape(frame_782_shape_group_3_shape_8_horizontal_lines, 148, 12),
    };

    constexpr const horizontal_line frame_782_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
    };

    constexpr const horizontal_line frame_782_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(111, 137),
        horizontal_line(111, 136),
        horizontal_line(110, 135),
        horizontal_line(110, 134),
        horizontal_line(110, 133),
        horizontal_line(110, 132),
        horizontal_line(21, 26),
        horizontal_line(110, 130),
        horizontal_line(110, 129),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(109, 125),
    };

    constexpr const horizontal_line frame_782_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_782_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_782_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(4, 14),
        horizontal_line(8, 21),
        horizontal_line(12, 29),
    };

    constexpr const shape frame_782_shape_group_4_shapes[] = {
        shape(frame_782_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_782_shape_group_4_shape_1_horizontal_lines, 8, 4),
        shape(frame_782_shape_group_4_shape_2_horizontal_lines, 20, 11),
        shape(frame_782_shape_group_4_shape_3_horizontal_lines, 36, 1),
        shape(frame_782_shape_group_4_shape_4_horizontal_lines, 70, 6),
    };

    constexpr const horizontal_line frame_782_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
    };

    constexpr const horizontal_line frame_782_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(110, 131),
    };

    constexpr const horizontal_line frame_782_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(62, 83),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 91),
        horizontal_line(62, 94),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_782_shape_group_5_shapes[] = {
        shape(frame_782_shape_group_5_shape_0_horizontal_lines, 6, 11),
        shape(frame_782_shape_group_5_shape_1_horizontal_lines, 14, 4),
        shape(frame_782_shape_group_5_shape_2_horizontal_lines, 15, 11),
        shape(frame_782_shape_group_5_shape_3_horizontal_lines, 36, 1),
    };

    constexpr const horizontal_line frame_782_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(133, 195),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_782_shape_group_6_shapes[] = {
        shape(frame_782_shape_group_6_shape_0_horizontal_lines, 8, 11),
        shape(frame_782_shape_group_6_shape_1_horizontal_lines, 20, 1),
    };

    constexpr const horizontal_line frame_782_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(1, 3),
        horizontal_line(1, 6),
        horizontal_line(1, 9),
        horizontal_line(1, 12),
        horizontal_line(1, 15),
        horizontal_line(1, 18),
    };

    constexpr const horizontal_line frame_782_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_782_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_782_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
    };

    constexpr const shape frame_782_shape_group_7_shapes[] = {
        shape(frame_782_shape_group_7_shape_0_horizontal_lines, 8, 1),
        shape(frame_782_shape_group_7_shape_1_horizontal_lines, 14, 11),
        shape(frame_782_shape_group_7_shape_2_horizontal_lines, 15, 1),
        shape(frame_782_shape_group_7_shape_3_horizontal_lines, 29, 1),
    };

    constexpr const horizontal_line frame_782_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(1, 20),
    };

    constexpr const shape frame_782_shape_group_8_shapes[] = {
        shape(frame_782_shape_group_8_shape_0_horizontal_lines, 14, 1),
    };

    constexpr const shape_group frame_782_shape_groups[] = {
        shape_group(frame_782_shape_group_0_shapes),
        shape_group(frame_782_shape_group_1_shapes),
        shape_group(frame_782_shape_group_2_shapes),
        shape_group(frame_782_shape_group_3_shapes),
        shape_group(frame_782_shape_group_4_shapes),
        shape_group(frame_782_shape_group_5_shapes),
        shape_group(frame_782_shape_group_6_shapes),
        shape_group(frame_782_shape_group_7_shapes),
        shape_group(frame_782_shape_group_8_shapes),
    };

    constexpr const frame frame_782_impl(frame_782_colors, frame_782_shape_groups);
} 

const frame& frame_782()
{
    return frame_782_impl;
}

namespace
{
    constexpr const bn::color frame_783_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_783_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(14, 76),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(47, 109),
        horizontal_line(50, 110),
        horizontal_line(54, 110),
        horizontal_line(58, 110),
        horizontal_line(61, 109),
        horizontal_line(65, 109),
        horizontal_line(69, 109),
        horizontal_line(72, 109),
        horizontal_line(76, 109),
        horizontal_line(79, 109),
        horizontal_line(83, 109),
        horizontal_line(87, 108),
        horizontal_line(90, 108),
        horizontal_line(94, 108),
        horizontal_line(98, 108),
        horizontal_line(101, 108),
        horizontal_line(105, 108),
        horizontal_line(110, 140),
        horizontal_line(108, 140),
        horizontal_line(108, 140),
        horizontal_line(108, 140),
        horizontal_line(107, 140),
        horizontal_line(107, 140),
        horizontal_line(107, 140),
        horizontal_line(106, 140),
        horizontal_line(106, 141),
        horizontal_line(106, 140),
        horizontal_line(105, 140),
        horizontal_line(105, 139),
        horizontal_line(105, 139),
        horizontal_line(104, 138),
        horizontal_line(104, 138),
        horizontal_line(104, 137),
        horizontal_line(103, 137),
        horizontal_line(103, 136),
        horizontal_line(103, 136),
        horizontal_line(102, 135),
        horizontal_line(102, 135),
        horizontal_line(102, 134),
        horizontal_line(101, 134),
        horizontal_line(101, 133),
        horizontal_line(101, 133),
        horizontal_line(100, 132),
        horizontal_line(100, 132),
        horizontal_line(100, 131),
        horizontal_line(99, 131),
        horizontal_line(99, 130),
        horizontal_line(99, 130),
        horizontal_line(98, 129),
        horizontal_line(98, 129),
        horizontal_line(98, 128),
        horizontal_line(97, 128),
        horizontal_line(97, 127),
        horizontal_line(97, 127),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 124),
        horizontal_line(95, 124),
        horizontal_line(94, 123),
        horizontal_line(94, 123),
        horizontal_line(94, 122),
        horizontal_line(93, 122),
        horizontal_line(93, 121),
        horizontal_line(93, 121),
        horizontal_line(92, 120),
        horizontal_line(92, 120),
        horizontal_line(92, 119),
        horizontal_line(91, 119),
        horizontal_line(91, 118),
        horizontal_line(91, 118),
        horizontal_line(90, 117),
        horizontal_line(90, 117),
        horizontal_line(90, 116),
        horizontal_line(89, 116),
        horizontal_line(89, 115),
        horizontal_line(89, 115),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 112),
        horizontal_line(92, 112),
        horizontal_line(92, 111),
        horizontal_line(93, 111),
        horizontal_line(93, 110),
        horizontal_line(93, 110),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 106),
        horizontal_line(97, 106),
        horizontal_line(97, 105),
        horizontal_line(98, 105),
        horizontal_line(98, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_783_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_783_shape_group_0_shapes[] = {
        shape(frame_783_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_783_shape_group_0_shape_1_horizontal_lines, 124, 6),
    };

    constexpr const horizontal_line frame_783_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(65, 112),
        horizontal_line(69, 112),
        horizontal_line(72, 111),
        horizontal_line(138, 138),
        horizontal_line(137, 138),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
        horizontal_line(134, 138),
        horizontal_line(133, 138),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(128, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 139),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(120, 139),
        horizontal_line(118, 139),
        horizontal_line(117, 139),
        horizontal_line(116, 140),
        horizontal_line(115, 140),
        horizontal_line(114, 140),
        horizontal_line(113, 140),
        horizontal_line(112, 140),
        horizontal_line(111, 140),
    };

    constexpr const horizontal_line frame_783_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(84, 109),
        horizontal_line(87, 107),
        horizontal_line(90, 107),
        horizontal_line(93, 107),
        horizontal_line(95, 106),
        horizontal_line(98, 106),
        horizontal_line(101, 106),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_783_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(162, 224),
        horizontal_line(181, 239),
        horizontal_line(201, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_783_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(8, 70),
        horizontal_line(16, 78),
        horizontal_line(24, 86),
        horizontal_line(32, 94),
        horizontal_line(40, 94),
        horizontal_line(48, 94),
        horizontal_line(56, 94),
        horizontal_line(64, 93),
        horizontal_line(72, 93),
        horizontal_line(80, 93),
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_783_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(38, 92),
        horizontal_line(41, 92),
        horizontal_line(45, 91),
        horizontal_line(49, 91),
        horizontal_line(52, 91),
        horizontal_line(56, 90),
        horizontal_line(60, 90),
        horizontal_line(64, 90),
        horizontal_line(67, 89),
        horizontal_line(71, 89),
        horizontal_line(75, 89),
        horizontal_line(78, 88),
        horizontal_line(82, 88),
        horizontal_line(86, 88),
        horizontal_line(89, 89),
        horizontal_line(74, 89),
        horizontal_line(59, 89),
        horizontal_line(44, 90),
        horizontal_line(29, 90),
        horizontal_line(14, 76),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 108),
        horizontal_line(62, 104),
        horizontal_line(62, 100),
        horizontal_line(62, 97),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 82),
        horizontal_line(62, 78),
        horizontal_line(62, 75),
    };

    constexpr const shape frame_783_shape_group_1_shapes[] = {
        shape(frame_783_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_783_shape_group_1_shape_1_horizontal_lines, 35, 4),
        shape(frame_783_shape_group_1_shape_2_horizontal_lines, 43, 11),
        shape(frame_783_shape_group_1_shape_3_horizontal_lines, 48, 1),
        shape(frame_783_shape_group_1_shape_4_horizontal_lines, 82, 6),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(114, 148),
        horizontal_line(113, 146),
        horizontal_line(113, 145),
        horizontal_line(113, 144),
        horizontal_line(113, 143),
        horizontal_line(113, 142),
        horizontal_line(2, 2),
        horizontal_line(5, 6),
        horizontal_line(8, 9),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(76, 111),
        horizontal_line(80, 111),
        horizontal_line(83, 111),
        horizontal_line(87, 111),
        horizontal_line(91, 111),
        horizontal_line(94, 111),
        horizontal_line(98, 110),
        horizontal_line(101, 110),
        horizontal_line(105, 110),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(39, 49),
        horizontal_line(42, 53),
        horizontal_line(45, 57),
        horizontal_line(47, 60),
        horizontal_line(50, 64),
        horizontal_line(53, 68),
        horizontal_line(56, 71),
        horizontal_line(59, 75),
        horizontal_line(62, 78),
        horizontal_line(64, 82),
        horizontal_line(67, 86),
        horizontal_line(70, 89),
        horizontal_line(73, 93),
        horizontal_line(76, 97),
        horizontal_line(78, 100),
        horizontal_line(81, 104),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(205, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(70, 96),
        horizontal_line(78, 95),
        horizontal_line(86, 95),
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(12, 39),
        horizontal_line(15, 47),
        horizontal_line(19, 55),
        horizontal_line(23, 63),
        horizontal_line(26, 71),
        horizontal_line(30, 79),
        horizontal_line(34, 87),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 44),
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 43),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(76, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_783_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(94, 98),
        horizontal_line(90, 98),
        horizontal_line(87, 99),
        horizontal_line(83, 99),
        horizontal_line(79, 100),
        horizontal_line(76, 101),
    };

    constexpr const shape frame_783_shape_group_2_shapes[] = {
        shape(frame_783_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_783_shape_group_2_shape_1_horizontal_lines, 9, 2),
        shape(frame_783_shape_group_2_shape_2_horizontal_lines, 19, 4),
        shape(frame_783_shape_group_2_shape_3_horizontal_lines, 35, 11),
        shape(frame_783_shape_group_2_shape_4_horizontal_lines, 45, 1),
        shape(frame_783_shape_group_2_shape_5_horizontal_lines, 75, 6),
        shape(frame_783_shape_group_2_shape_6_horizontal_lines, 82, 8),
        shape(frame_783_shape_group_2_shape_7_horizontal_lines, 101, 6),
        shape(frame_783_shape_group_2_shape_8_horizontal_lines, 154, 12),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(113, 141),
        horizontal_line(113, 140),
        horizontal_line(112, 139),
        horizontal_line(11, 13),
        horizontal_line(14, 17),
        horizontal_line(16, 20),
        horizontal_line(19, 24),
        horizontal_line(22, 28),
        horizontal_line(25, 31),
        horizontal_line(28, 35),
        horizontal_line(31, 38),
        horizontal_line(33, 42),
        horizontal_line(36, 46),
        horizontal_line(111, 126),
        horizontal_line(111, 125),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(110, 122),
        horizontal_line(110, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(110, 117),
        horizontal_line(110, 116),
        horizontal_line(109, 115),
        horizontal_line(109, 114),
        horizontal_line(109, 113),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(1, 15),
        horizontal_line(4, 23),
        horizontal_line(8, 31),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 70),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 81),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_783_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const shape frame_783_shape_group_3_shapes[] = {
        shape(frame_783_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_783_shape_group_3_shape_1_horizontal_lines, 6, 4),
        shape(frame_783_shape_group_3_shape_2_horizontal_lines, 35, 11),
        shape(frame_783_shape_group_3_shape_3_horizontal_lines, 43, 1),
        shape(frame_783_shape_group_3_shape_4_horizontal_lines, 71, 6),
        shape(frame_783_shape_group_3_shape_5_horizontal_lines, 75, 8),
        shape(frame_783_shape_group_3_shape_6_horizontal_lines, 89, 8),
        shape(frame_783_shape_group_3_shape_7_horizontal_lines, 101, 8),
    };

    constexpr const horizontal_line frame_783_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_783_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(112, 137),
        horizontal_line(112, 136),
        horizontal_line(112, 135),
        horizontal_line(112, 134),
        horizontal_line(112, 133),
        horizontal_line(112, 132),
        horizontal_line(111, 131),
        horizontal_line(111, 130),
        horizontal_line(111, 129),
        horizontal_line(111, 127),
    };

    constexpr const horizontal_line frame_783_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_783_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
    };

    constexpr const horizontal_line frame_783_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_783_shape_group_4_shapes[] = {
        shape(frame_783_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_783_shape_group_4_shape_1_horizontal_lines, 9, 4),
        shape(frame_783_shape_group_4_shape_2_horizontal_lines, 19, 11),
        shape(frame_783_shape_group_4_shape_3_horizontal_lines, 35, 1),
        shape(frame_783_shape_group_4_shape_4_horizontal_lines, 72, 8),
    };

    constexpr const horizontal_line frame_783_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_783_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 83),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_783_shape_group_5_shapes[] = {
        shape(frame_783_shape_group_5_shape_0_horizontal_lines, 6, 11),
        shape(frame_783_shape_group_5_shape_1_horizontal_lines, 35, 1),
    };

    constexpr const horizontal_line frame_783_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_783_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_783_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_783_shape_group_6_shapes[] = {
        shape(frame_783_shape_group_6_shape_0_horizontal_lines, 6, 1),
        shape(frame_783_shape_group_6_shape_1_horizontal_lines, 9, 11),
        shape(frame_783_shape_group_6_shape_2_horizontal_lines, 19, 1),
    };

    constexpr const horizontal_line frame_783_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_783_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
    };

    constexpr const shape frame_783_shape_group_7_shapes[] = {
        shape(frame_783_shape_group_7_shape_0_horizontal_lines, 9, 1),
        shape(frame_783_shape_group_7_shape_1_horizontal_lines, 28, 1),
    };

    constexpr const shape_group frame_783_shape_groups[] = {
        shape_group(frame_783_shape_group_0_shapes),
        shape_group(frame_783_shape_group_1_shapes),
        shape_group(frame_783_shape_group_2_shapes),
        shape_group(frame_783_shape_group_3_shapes),
        shape_group(frame_783_shape_group_4_shapes),
        shape_group(frame_783_shape_group_5_shapes),
        shape_group(frame_783_shape_group_6_shapes),
        shape_group(frame_783_shape_group_7_shapes),
    };

    constexpr const frame frame_783_impl(frame_783_colors, frame_783_shape_groups);
} 

const frame& frame_783()
{
    return frame_783_impl;
}

namespace
{
    constexpr const bn::color frame_784_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_784_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
        horizontal_line(50, 112),
        horizontal_line(53, 112),
        horizontal_line(57, 112),
        horizontal_line(60, 112),
        horizontal_line(64, 111),
        horizontal_line(68, 111),
        horizontal_line(71, 111),
        horizontal_line(75, 111),
        horizontal_line(78, 111),
        horizontal_line(82, 111),
        horizontal_line(85, 111),
        horizontal_line(89, 110),
        horizontal_line(93, 110),
        horizontal_line(96, 110),
        horizontal_line(100, 110),
        horizontal_line(103, 110),
        horizontal_line(107, 110),
        horizontal_line(112, 146),
        horizontal_line(110, 146),
        horizontal_line(110, 146),
        horizontal_line(110, 146),
        horizontal_line(109, 146),
        horizontal_line(109, 146),
        horizontal_line(109, 146),
        horizontal_line(108, 146),
        horizontal_line(108, 147),
        horizontal_line(108, 146),
        horizontal_line(107, 146),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(106, 144),
        horizontal_line(106, 144),
        horizontal_line(106, 143),
        horizontal_line(105, 143),
        horizontal_line(105, 142),
        horizontal_line(105, 142),
        horizontal_line(104, 141),
        horizontal_line(104, 141),
        horizontal_line(104, 140),
        horizontal_line(103, 140),
        horizontal_line(103, 139),
        horizontal_line(103, 139),
        horizontal_line(102, 138),
        horizontal_line(102, 138),
        horizontal_line(102, 137),
        horizontal_line(101, 137),
        horizontal_line(101, 136),
        horizontal_line(101, 136),
        horizontal_line(100, 135),
        horizontal_line(100, 135),
        horizontal_line(100, 134),
        horizontal_line(99, 134),
        horizontal_line(99, 133),
        horizontal_line(99, 133),
        horizontal_line(98, 132),
        horizontal_line(98, 132),
        horizontal_line(98, 131),
        horizontal_line(97, 131),
        horizontal_line(97, 130),
        horizontal_line(97, 130),
        horizontal_line(96, 129),
        horizontal_line(96, 129),
        horizontal_line(96, 128),
        horizontal_line(95, 128),
        horizontal_line(95, 127),
        horizontal_line(95, 127),
        horizontal_line(94, 126),
        horizontal_line(94, 126),
        horizontal_line(94, 125),
        horizontal_line(93, 125),
        horizontal_line(93, 124),
        horizontal_line(93, 124),
        horizontal_line(92, 123),
        horizontal_line(92, 123),
        horizontal_line(92, 122),
        horizontal_line(91, 122),
        horizontal_line(91, 121),
        horizontal_line(91, 121),
        horizontal_line(90, 121),
        horizontal_line(90, 120),
        horizontal_line(90, 120),
        horizontal_line(91, 119),
        horizontal_line(91, 119),
        horizontal_line(91, 118),
        horizontal_line(92, 118),
        horizontal_line(92, 117),
        horizontal_line(93, 117),
        horizontal_line(93, 116),
        horizontal_line(94, 116),
        horizontal_line(94, 115),
        horizontal_line(95, 115),
        horizontal_line(95, 114),
        horizontal_line(96, 114),
        horizontal_line(96, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(102, 107),
        horizontal_line(102, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(104, 105),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_784_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_784_shape_group_0_shapes[] = {
        shape(frame_784_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_784_shape_group_0_shape_1_horizontal_lines, 129, 6),
    };

    constexpr const horizontal_line frame_784_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(65, 114),
        horizontal_line(145, 145),
        horizontal_line(144, 145),
        horizontal_line(142, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(131, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 145),
        horizontal_line(128, 145),
        horizontal_line(126, 146),
        horizontal_line(125, 146),
        horizontal_line(124, 146),
        horizontal_line(123, 146),
        horizontal_line(122, 146),
        horizontal_line(121, 146),
        horizontal_line(120, 146),
        horizontal_line(118, 146),
        horizontal_line(117, 146),
        horizontal_line(116, 146),
        horizontal_line(115, 146),
        horizontal_line(114, 146),
        horizontal_line(113, 146),
    };

    constexpr const horizontal_line frame_784_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(83, 111),
        horizontal_line(86, 109),
        horizontal_line(88, 109),
        horizontal_line(91, 109),
        horizontal_line(94, 108),
        horizontal_line(97, 108),
        horizontal_line(99, 108),
        horizontal_line(102, 107),
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_784_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(185, 239),
        horizontal_line(203, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_784_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(8, 70),
        horizontal_line(16, 78),
        horizontal_line(25, 87),
        horizontal_line(33, 95),
        horizontal_line(42, 96),
        horizontal_line(50, 95),
        horizontal_line(59, 95),
        horizontal_line(67, 95),
        horizontal_line(76, 94),
        horizontal_line(84, 94),
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_784_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(34, 93),
        horizontal_line(38, 93),
        horizontal_line(42, 93),
        horizontal_line(46, 92),
        horizontal_line(49, 92),
        horizontal_line(53, 92),
        horizontal_line(57, 91),
        horizontal_line(61, 91),
        horizontal_line(64, 91),
        horizontal_line(68, 90),
        horizontal_line(72, 90),
        horizontal_line(76, 90),
        horizontal_line(79, 89),
        horizontal_line(83, 89),
        horizontal_line(87, 89),
        horizontal_line(90, 90),
        horizontal_line(78, 90),
        horizontal_line(67, 90),
        horizontal_line(56, 91),
        horizontal_line(45, 91),
        horizontal_line(33, 92),
        horizontal_line(22, 84),
        horizontal_line(11, 73),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
    };

    constexpr const shape frame_784_shape_group_1_shapes[] = {
        shape(frame_784_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_784_shape_group_1_shape_1_horizontal_lines, 34, 4),
        shape(frame_784_shape_group_1_shape_2_horizontal_lines, 43, 11),
        shape(frame_784_shape_group_1_shape_3_horizontal_lines, 47, 1),
        shape(frame_784_shape_group_1_shape_4_horizontal_lines, 83, 6),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(116, 150),
        horizontal_line(115, 148),
        horizontal_line(115, 147),
        horizontal_line(115, 146),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(69, 114),
        horizontal_line(72, 114),
        horizontal_line(76, 113),
        horizontal_line(79, 113),
        horizontal_line(83, 113),
        horizontal_line(87, 113),
        horizontal_line(90, 113),
        horizontal_line(94, 113),
        horizontal_line(97, 113),
        horizontal_line(101, 112),
        horizontal_line(104, 112),
        horizontal_line(108, 112),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(38, 52),
        horizontal_line(41, 56),
        horizontal_line(44, 59),
        horizontal_line(47, 63),
        horizontal_line(49, 67),
        horizontal_line(52, 70),
        horizontal_line(55, 74),
        horizontal_line(58, 77),
        horizontal_line(61, 81),
        horizontal_line(63, 84),
        horizontal_line(66, 88),
        horizontal_line(69, 92),
        horizontal_line(72, 95),
        horizontal_line(74, 99),
        horizontal_line(77, 102),
        horizontal_line(80, 106),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(70, 97),
        horizontal_line(78, 97),
        horizontal_line(87, 96),
        horizontal_line(95, 96),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(8, 41),
        horizontal_line(12, 49),
        horizontal_line(16, 58),
        horizontal_line(19, 66),
        horizontal_line(23, 75),
        horizontal_line(27, 83),
        horizontal_line(31, 92),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 52),
        horizontal_line(0, 56),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 55),
        horizontal_line(0, 44),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_784_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(84, 92),
        horizontal_line(73, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_784_shape_group_2_shapes[] = {
        shape(frame_784_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_784_shape_group_2_shape_1_horizontal_lines, 5, 2),
        shape(frame_784_shape_group_2_shape_2_horizontal_lines, 18, 4),
        shape(frame_784_shape_group_2_shape_3_horizontal_lines, 34, 11),
        shape(frame_784_shape_group_2_shape_4_horizontal_lines, 44, 1),
        shape(frame_784_shape_group_2_shape_5_horizontal_lines, 76, 6),
        shape(frame_784_shape_group_2_shape_6_horizontal_lines, 83, 8),
        shape(frame_784_shape_group_2_shape_7_horizontal_lines, 104, 6),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(115, 145),
        horizontal_line(2, 6),
        horizontal_line(5, 9),
        horizontal_line(8, 13),
        horizontal_line(11, 16),
        horizontal_line(13, 20),
        horizontal_line(16, 24),
        horizontal_line(19, 27),
        horizontal_line(22, 31),
        horizontal_line(24, 34),
        horizontal_line(27, 38),
        horizontal_line(30, 41),
        horizontal_line(33, 45),
        horizontal_line(36, 49),
        horizontal_line(113, 129),
        horizontal_line(113, 128),
        horizontal_line(113, 127),
        horizontal_line(112, 125),
        horizontal_line(112, 124),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(111, 117),
        horizontal_line(111, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 15),
        horizontal_line(1, 24),
        horizontal_line(4, 32),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 71),
        horizontal_line(62, 75),
        horizontal_line(62, 78),
        horizontal_line(62, 82),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 77),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_784_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 10),
    };

    constexpr const shape frame_784_shape_group_3_shapes[] = {
        shape(frame_784_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_784_shape_group_3_shape_1_horizontal_lines, 4, 4),
        shape(frame_784_shape_group_3_shape_2_horizontal_lines, 34, 11),
        shape(frame_784_shape_group_3_shape_3_horizontal_lines, 43, 1),
        shape(frame_784_shape_group_3_shape_4_horizontal_lines, 72, 6),
        shape(frame_784_shape_group_3_shape_5_horizontal_lines, 76, 8),
        shape(frame_784_shape_group_3_shape_6_horizontal_lines, 91, 8),
        shape(frame_784_shape_group_3_shape_7_horizontal_lines, 104, 8),
    };

    constexpr const horizontal_line frame_784_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_784_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(115, 144),
        horizontal_line(115, 143),
        horizontal_line(114, 141),
        horizontal_line(114, 140),
        horizontal_line(114, 139),
        horizontal_line(114, 138),
        horizontal_line(114, 137),
        horizontal_line(114, 136),
        horizontal_line(114, 135),
        horizontal_line(113, 133),
        horizontal_line(113, 132),
        horizontal_line(113, 131),
        horizontal_line(113, 130),
    };

    constexpr const horizontal_line frame_784_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_784_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_784_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
    };

    constexpr const shape frame_784_shape_group_4_shapes[] = {
        shape(frame_784_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_784_shape_group_4_shape_1_horizontal_lines, 5, 4),
        shape(frame_784_shape_group_4_shape_2_horizontal_lines, 18, 11),
        shape(frame_784_shape_group_4_shape_3_horizontal_lines, 34, 1),
        shape(frame_784_shape_group_4_shape_4_horizontal_lines, 74, 8),
    };

    constexpr const horizontal_line frame_784_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_784_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 101),
        horizontal_line(62, 104),
    };

    constexpr const shape frame_784_shape_group_5_shapes[] = {
        shape(frame_784_shape_group_5_shape_0_horizontal_lines, 4, 11),
        shape(frame_784_shape_group_5_shape_1_horizontal_lines, 34, 1),
    };

    constexpr const horizontal_line frame_784_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_784_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_784_shape_group_6_shapes[] = {
        shape(frame_784_shape_group_6_shape_0_horizontal_lines, 5, 11),
        shape(frame_784_shape_group_6_shape_1_horizontal_lines, 18, 1),
    };

    constexpr const horizontal_line frame_784_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_784_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
    };

    constexpr const shape frame_784_shape_group_7_shapes[] = {
        shape(frame_784_shape_group_7_shape_0_horizontal_lines, 5, 1),
        shape(frame_784_shape_group_7_shape_1_horizontal_lines, 27, 1),
    };

    constexpr const shape_group frame_784_shape_groups[] = {
        shape_group(frame_784_shape_group_0_shapes),
        shape_group(frame_784_shape_group_1_shapes),
        shape_group(frame_784_shape_group_2_shapes),
        shape_group(frame_784_shape_group_3_shapes),
        shape_group(frame_784_shape_group_4_shapes),
        shape_group(frame_784_shape_group_5_shapes),
        shape_group(frame_784_shape_group_6_shapes),
        shape_group(frame_784_shape_group_7_shapes),
    };

    constexpr const frame frame_784_impl(frame_784_colors, frame_784_shape_groups);
} 

const frame& frame_784()
{
    return frame_784_impl;
}

namespace
{
    constexpr const bn::color frame_785_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_785_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(21, 83),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(56, 114),
        horizontal_line(60, 114),
        horizontal_line(63, 114),
        horizontal_line(67, 114),
        horizontal_line(70, 114),
        horizontal_line(74, 113),
        horizontal_line(77, 113),
        horizontal_line(81, 113),
        horizontal_line(84, 113),
        horizontal_line(88, 113),
        horizontal_line(91, 113),
        horizontal_line(95, 112),
        horizontal_line(98, 112),
        horizontal_line(102, 112),
        horizontal_line(105, 112),
        horizontal_line(109, 112),
        horizontal_line(114, 155),
        horizontal_line(112, 155),
        horizontal_line(112, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(110, 155),
        horizontal_line(110, 155),
        horizontal_line(110, 155),
        horizontal_line(109, 154),
        horizontal_line(109, 153),
        horizontal_line(109, 153),
        horizontal_line(108, 152),
        horizontal_line(108, 152),
        horizontal_line(108, 151),
        horizontal_line(107, 151),
        horizontal_line(107, 150),
        horizontal_line(107, 150),
        horizontal_line(106, 149),
        horizontal_line(106, 149),
        horizontal_line(106, 148),
        horizontal_line(105, 148),
        horizontal_line(105, 147),
        horizontal_line(105, 147),
        horizontal_line(104, 146),
        horizontal_line(104, 146),
        horizontal_line(104, 145),
        horizontal_line(103, 145),
        horizontal_line(103, 144),
        horizontal_line(103, 144),
        horizontal_line(102, 143),
        horizontal_line(102, 143),
        horizontal_line(102, 142),
        horizontal_line(101, 142),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(100, 140),
        horizontal_line(100, 140),
        horizontal_line(100, 139),
        horizontal_line(99, 139),
        horizontal_line(99, 138),
        horizontal_line(99, 138),
        horizontal_line(98, 137),
        horizontal_line(98, 137),
        horizontal_line(98, 136),
        horizontal_line(97, 136),
        horizontal_line(97, 135),
        horizontal_line(97, 135),
        horizontal_line(96, 134),
        horizontal_line(96, 134),
        horizontal_line(96, 133),
        horizontal_line(95, 133),
        horizontal_line(95, 132),
        horizontal_line(95, 132),
        horizontal_line(94, 131),
        horizontal_line(94, 131),
        horizontal_line(94, 130),
        horizontal_line(93, 130),
        horizontal_line(93, 129),
        horizontal_line(93, 129),
        horizontal_line(92, 128),
        horizontal_line(92, 128),
        horizontal_line(92, 127),
        horizontal_line(91, 127),
        horizontal_line(91, 126),
        horizontal_line(92, 125),
        horizontal_line(92, 125),
        horizontal_line(92, 124),
        horizontal_line(93, 124),
        horizontal_line(93, 123),
        horizontal_line(94, 123),
        horizontal_line(94, 122),
        horizontal_line(95, 122),
        horizontal_line(95, 121),
        horizontal_line(96, 121),
        horizontal_line(96, 120),
        horizontal_line(97, 120),
        horizontal_line(97, 119),
        horizontal_line(98, 119),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(101, 116),
        horizontal_line(101, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 114),
        horizontal_line(103, 114),
        horizontal_line(103, 113),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 111),
        horizontal_line(106, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_785_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_785_shape_group_0_shapes[] = {
        shape(frame_785_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_785_shape_group_0_shape_1_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(151, 155),
        horizontal_line(150, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(144, 155),
        horizontal_line(143, 155),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(140, 155),
        horizontal_line(139, 155),
        horizontal_line(138, 155),
        horizontal_line(136, 155),
        horizontal_line(135, 155),
        horizontal_line(134, 155),
        horizontal_line(133, 155),
        horizontal_line(132, 155),
        horizontal_line(131, 155),
        horizontal_line(130, 155),
        horizontal_line(128, 155),
        horizontal_line(127, 155),
        horizontal_line(126, 155),
        horizontal_line(125, 155),
        horizontal_line(124, 155),
        horizontal_line(123, 155),
        horizontal_line(122, 155),
        horizontal_line(120, 155),
        horizontal_line(119, 155),
        horizontal_line(118, 155),
        horizontal_line(117, 155),
        horizontal_line(116, 155),
        horizontal_line(115, 155),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(86, 113),
        horizontal_line(88, 111),
        horizontal_line(91, 111),
        horizontal_line(94, 110),
        horizontal_line(96, 110),
        horizontal_line(99, 110),
        horizontal_line(102, 109),
        horizontal_line(104, 109),
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(198, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(8, 70),
        horizontal_line(17, 79),
        horizontal_line(26, 88),
        horizontal_line(35, 97),
        horizontal_line(44, 97),
        horizontal_line(53, 97),
        horizontal_line(62, 96),
        horizontal_line(71, 96),
        horizontal_line(80, 96),
        horizontal_line(89, 95),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(35, 95),
        horizontal_line(38, 94),
        horizontal_line(42, 94),
        horizontal_line(46, 94),
        horizontal_line(50, 93),
        horizontal_line(54, 93),
        horizontal_line(57, 93),
        horizontal_line(61, 92),
        horizontal_line(65, 92),
        horizontal_line(69, 92),
        horizontal_line(73, 91),
        horizontal_line(76, 91),
        horizontal_line(80, 91),
        horizontal_line(84, 90),
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_785_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(83, 91),
        horizontal_line(75, 91),
        horizontal_line(67, 92),
        horizontal_line(58, 92),
        horizontal_line(50, 93),
        horizontal_line(42, 93),
        horizontal_line(34, 94),
        horizontal_line(25, 87),
        horizontal_line(17, 79),
        horizontal_line(9, 71),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 87),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
    };

    constexpr const shape frame_785_shape_group_1_shapes[] = {
        shape(frame_785_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_785_shape_group_1_shape_1_horizontal_lines, 34, 4),
        shape(frame_785_shape_group_1_shape_2_horizontal_lines, 43, 11),
        shape(frame_785_shape_group_1_shape_3_horizontal_lines, 46, 1),
        shape(frame_785_shape_group_1_shape_4_horizontal_lines, 83, 6),
        shape(frame_785_shape_group_1_shape_5_horizontal_lines, 99, 8),
        shape(frame_785_shape_group_1_shape_6_horizontal_lines, 100, 6),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(65, 117),
        horizontal_line(69, 117),
        horizontal_line(72, 117),
        horizontal_line(76, 116),
        horizontal_line(79, 116),
        horizontal_line(83, 116),
        horizontal_line(86, 116),
        horizontal_line(90, 116),
        horizontal_line(93, 116),
        horizontal_line(97, 115),
        horizontal_line(100, 115),
        horizontal_line(104, 115),
        horizontal_line(107, 115),
        horizontal_line(111, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(43, 55),
        horizontal_line(45, 59),
        horizontal_line(48, 62),
        horizontal_line(51, 66),
        horizontal_line(53, 69),
        horizontal_line(56, 73),
        horizontal_line(59, 76),
        horizontal_line(61, 80),
        horizontal_line(64, 83),
        horizontal_line(67, 87),
        horizontal_line(69, 90),
        horizontal_line(72, 94),
        horizontal_line(75, 97),
        horizontal_line(77, 101),
        horizontal_line(80, 104),
        horizontal_line(83, 108),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(70, 98),
        horizontal_line(79, 98),
        horizontal_line(88, 98),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(8, 43),
        horizontal_line(12, 52),
        horizontal_line(16, 61),
        horizontal_line(19, 70),
        horizontal_line(23, 79),
        horizontal_line(27, 88),
        horizontal_line(93, 95),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
        horizontal_line(0, 45),
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 91),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 49),
        horizontal_line(0, 41),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(87, 94),
        horizontal_line(79, 95),
        horizontal_line(71, 95),
        horizontal_line(63, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_785_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(95, 98),
        horizontal_line(92, 98),
        horizontal_line(88, 99),
        horizontal_line(85, 99),
        horizontal_line(82, 100),
    };

    constexpr const shape frame_785_shape_group_2_shapes[] = {
        shape(frame_785_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_785_shape_group_2_shape_1_horizontal_lines, 18, 4),
        shape(frame_785_shape_group_2_shape_2_horizontal_lines, 34, 11),
        shape(frame_785_shape_group_2_shape_3_horizontal_lines, 44, 1),
        shape(frame_785_shape_group_2_shape_4_horizontal_lines, 77, 6),
        shape(frame_785_shape_group_2_shape_5_horizontal_lines, 84, 8),
        shape(frame_785_shape_group_2_shape_6_horizontal_lines, 107, 6),
        shape(frame_785_shape_group_2_shape_7_horizontal_lines, 155, 12),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(119, 152),
        horizontal_line(118, 150),
        horizontal_line(118, 149),
        horizontal_line(2, 2),
        horizontal_line(5, 6),
        horizontal_line(8, 9),
        horizontal_line(10, 13),
        horizontal_line(13, 16),
        horizontal_line(16, 20),
        horizontal_line(18, 23),
        horizontal_line(21, 27),
        horizontal_line(24, 30),
        horizontal_line(26, 34),
        horizontal_line(29, 37),
        horizontal_line(32, 41),
        horizontal_line(34, 44),
        horizontal_line(37, 48),
        horizontal_line(40, 51),
        horizontal_line(115, 131),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 119),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 16),
        horizontal_line(1, 25),
        horizontal_line(4, 34),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 79),
        horizontal_line(62, 83),
        horizontal_line(62, 87),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 74),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_785_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 16),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_785_shape_group_3_shapes[] = {
        shape(frame_785_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_785_shape_group_3_shape_1_horizontal_lines, 34, 11),
        shape(frame_785_shape_group_3_shape_2_horizontal_lines, 43, 1),
        shape(frame_785_shape_group_3_shape_3_horizontal_lines, 73, 6),
        shape(frame_785_shape_group_3_shape_4_horizontal_lines, 77, 8),
        shape(frame_785_shape_group_3_shape_5_horizontal_lines, 92, 8),
        shape(frame_785_shape_group_3_shape_6_horizontal_lines, 100, 8),
        shape(frame_785_shape_group_3_shape_7_horizontal_lines, 107, 8),
    };

    constexpr const horizontal_line frame_785_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_785_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 148),
        horizontal_line(118, 147),
        horizontal_line(118, 146),
        horizontal_line(117, 145),
        horizontal_line(117, 143),
        horizontal_line(117, 142),
        horizontal_line(117, 141),
        horizontal_line(117, 140),
        horizontal_line(117, 139),
        horizontal_line(116, 138),
        horizontal_line(116, 137),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
        horizontal_line(116, 133),
        horizontal_line(116, 132),
    };

    constexpr const horizontal_line frame_785_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_785_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_785_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
    };

    constexpr const shape frame_785_shape_group_4_shapes[] = {
        shape(frame_785_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_785_shape_group_4_shape_1_horizontal_lines, 3, 4),
        shape(frame_785_shape_group_4_shape_2_horizontal_lines, 18, 11),
        shape(frame_785_shape_group_4_shape_3_horizontal_lines, 34, 1),
        shape(frame_785_shape_group_4_shape_4_horizontal_lines, 75, 8),
    };

    constexpr const horizontal_line frame_785_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_785_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 106),
    };

    constexpr const shape frame_785_shape_group_5_shapes[] = {
        shape(frame_785_shape_group_5_shape_0_horizontal_lines, 0, 11),
        shape(frame_785_shape_group_5_shape_1_horizontal_lines, 34, 1),
    };

    constexpr const horizontal_line frame_785_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_785_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_785_shape_group_6_shapes[] = {
        shape(frame_785_shape_group_6_shape_0_horizontal_lines, 3, 11),
        shape(frame_785_shape_group_6_shape_1_horizontal_lines, 18, 1),
    };

    constexpr const horizontal_line frame_785_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_785_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
    };

    constexpr const shape frame_785_shape_group_7_shapes[] = {
        shape(frame_785_shape_group_7_shape_0_horizontal_lines, 3, 1),
        shape(frame_785_shape_group_7_shape_1_horizontal_lines, 26, 1),
    };

    constexpr const shape_group frame_785_shape_groups[] = {
        shape_group(frame_785_shape_group_0_shapes),
        shape_group(frame_785_shape_group_1_shapes),
        shape_group(frame_785_shape_group_2_shapes),
        shape_group(frame_785_shape_group_3_shapes),
        shape_group(frame_785_shape_group_4_shapes),
        shape_group(frame_785_shape_group_5_shapes),
        shape_group(frame_785_shape_group_6_shapes),
        shape_group(frame_785_shape_group_7_shapes),
    };

    constexpr const frame frame_785_impl(frame_785_colors, frame_785_shape_groups);
} 

const frame& frame_785()
{
    return frame_785_impl;
}

namespace
{
    constexpr const bn::color frame_786_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_786_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(59, 117),
        horizontal_line(62, 117),
        horizontal_line(66, 117),
        horizontal_line(69, 117),
        horizontal_line(73, 116),
        horizontal_line(76, 116),
        horizontal_line(80, 116),
        horizontal_line(83, 116),
        horizontal_line(87, 115),
        horizontal_line(90, 115),
        horizontal_line(94, 115),
        horizontal_line(97, 115),
        horizontal_line(101, 114),
        horizontal_line(104, 114),
        horizontal_line(108, 114),
        horizontal_line(111, 114),
        horizontal_line(116, 163),
        horizontal_line(114, 163),
        horizontal_line(114, 163),
        horizontal_line(114, 163),
        horizontal_line(113, 163),
        horizontal_line(113, 163),
        horizontal_line(113, 163),
        horizontal_line(112, 163),
        horizontal_line(112, 163),
        horizontal_line(112, 163),
        horizontal_line(111, 162),
        horizontal_line(111, 161),
        horizontal_line(111, 161),
        horizontal_line(110, 160),
        horizontal_line(110, 160),
        horizontal_line(110, 159),
        horizontal_line(109, 159),
        horizontal_line(109, 158),
        horizontal_line(109, 158),
        horizontal_line(108, 157),
        horizontal_line(108, 157),
        horizontal_line(108, 156),
        horizontal_line(107, 156),
        horizontal_line(107, 155),
        horizontal_line(107, 155),
        horizontal_line(106, 154),
        horizontal_line(106, 154),
        horizontal_line(106, 153),
        horizontal_line(105, 153),
        horizontal_line(105, 152),
        horizontal_line(105, 152),
        horizontal_line(104, 151),
        horizontal_line(104, 151),
        horizontal_line(104, 150),
        horizontal_line(103, 150),
        horizontal_line(103, 149),
        horizontal_line(103, 149),
        horizontal_line(102, 148),
        horizontal_line(102, 148),
        horizontal_line(102, 147),
        horizontal_line(101, 147),
        horizontal_line(101, 146),
        horizontal_line(101, 146),
        horizontal_line(100, 145),
        horizontal_line(100, 145),
        horizontal_line(100, 144),
        horizontal_line(99, 144),
        horizontal_line(99, 143),
        horizontal_line(99, 143),
        horizontal_line(98, 142),
        horizontal_line(98, 141),
        horizontal_line(98, 141),
        horizontal_line(97, 140),
        horizontal_line(97, 140),
        horizontal_line(97, 139),
        horizontal_line(96, 139),
        horizontal_line(96, 138),
        horizontal_line(96, 138),
        horizontal_line(95, 137),
        horizontal_line(95, 137),
        horizontal_line(95, 136),
        horizontal_line(94, 136),
        horizontal_line(94, 135),
        horizontal_line(94, 135),
        horizontal_line(93, 134),
        horizontal_line(93, 134),
        horizontal_line(93, 133),
        horizontal_line(92, 133),
        horizontal_line(92, 132),
        horizontal_line(93, 132),
        horizontal_line(93, 131),
        horizontal_line(94, 131),
        horizontal_line(94, 130),
        horizontal_line(95, 130),
        horizontal_line(95, 129),
        horizontal_line(96, 129),
        horizontal_line(96, 128),
        horizontal_line(97, 128),
        horizontal_line(97, 127),
        horizontal_line(98, 127),
        horizontal_line(98, 126),
        horizontal_line(99, 126),
        horizontal_line(99, 125),
        horizontal_line(100, 125),
        horizontal_line(100, 124),
        horizontal_line(101, 124),
        horizontal_line(101, 123),
        horizontal_line(102, 123),
        horizontal_line(102, 122),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 119),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_786_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_786_shape_group_0_shapes[] = {
        shape(frame_786_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_786_shape_group_0_shape_1_horizontal_lines, 142, 6),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(156, 165),
        horizontal_line(154, 164),
        horizontal_line(153, 164),
        horizontal_line(152, 164),
        horizontal_line(151, 164),
        horizontal_line(149, 164),
        horizontal_line(148, 164),
        horizontal_line(147, 164),
        horizontal_line(146, 164),
        horizontal_line(145, 164),
        horizontal_line(143, 164),
        horizontal_line(142, 164),
        horizontal_line(141, 164),
        horizontal_line(140, 164),
        horizontal_line(139, 164),
        horizontal_line(137, 164),
        horizontal_line(136, 164),
        horizontal_line(135, 164),
        horizontal_line(134, 164),
        horizontal_line(132, 164),
        horizontal_line(131, 164),
        horizontal_line(130, 164),
        horizontal_line(129, 163),
        horizontal_line(128, 163),
        horizontal_line(126, 163),
        horizontal_line(125, 163),
        horizontal_line(124, 163),
        horizontal_line(123, 163),
        horizontal_line(122, 163),
        horizontal_line(120, 163),
        horizontal_line(119, 163),
        horizontal_line(118, 163),
        horizontal_line(117, 163),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(85, 115),
        horizontal_line(87, 113),
        horizontal_line(90, 113),
        horizontal_line(93, 113),
        horizontal_line(95, 112),
        horizontal_line(98, 112),
        horizontal_line(101, 112),
        horizontal_line(103, 111),
        horizontal_line(106, 111),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(10, 72),
        horizontal_line(20, 82),
        horizontal_line(30, 92),
        horizontal_line(40, 99),
        horizontal_line(50, 98),
        horizontal_line(60, 98),
        horizontal_line(70, 98),
        horizontal_line(81, 97),
        horizontal_line(91, 97),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(35, 96),
        horizontal_line(39, 95),
        horizontal_line(43, 95),
        horizontal_line(47, 95),
        horizontal_line(50, 94),
        horizontal_line(54, 94),
        horizontal_line(58, 94),
        horizontal_line(62, 93),
        horizontal_line(66, 93),
        horizontal_line(70, 93),
        horizontal_line(73, 92),
        horizontal_line(77, 92),
        horizontal_line(81, 92),
        horizontal_line(85, 91),
        horizontal_line(89, 91),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_786_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 92),
        horizontal_line(77, 93),
        horizontal_line(70, 93),
        horizontal_line(62, 94),
        horizontal_line(54, 94),
        horizontal_line(47, 95),
        horizontal_line(39, 95),
        horizontal_line(31, 93),
        horizontal_line(24, 86),
        horizontal_line(16, 78),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_786_shape_group_1_shapes[] = {
        shape(frame_786_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_786_shape_group_1_shape_1_horizontal_lines, 33, 4),
        shape(frame_786_shape_group_1_shape_2_horizontal_lines, 43, 11),
        shape(frame_786_shape_group_1_shape_3_horizontal_lines, 45, 1),
        shape(frame_786_shape_group_1_shape_4_horizontal_lines, 84, 6),
        shape(frame_786_shape_group_1_shape_5_horizontal_lines, 102, 8),
        shape(frame_786_shape_group_1_shape_6_horizontal_lines, 103, 6),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 122),
        horizontal_line(65, 121),
        horizontal_line(68, 121),
        horizontal_line(72, 121),
        horizontal_line(75, 121),
        horizontal_line(79, 120),
        horizontal_line(82, 120),
        horizontal_line(86, 120),
        horizontal_line(89, 120),
        horizontal_line(93, 119),
        horizontal_line(96, 119),
        horizontal_line(100, 119),
        horizontal_line(103, 119),
        horizontal_line(107, 118),
        horizontal_line(110, 118),
        horizontal_line(114, 118),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(42, 58),
        horizontal_line(45, 61),
        horizontal_line(47, 65),
        horizontal_line(50, 68),
        horizontal_line(53, 72),
        horizontal_line(55, 75),
        horizontal_line(58, 79),
        horizontal_line(61, 82),
        horizontal_line(63, 86),
        horizontal_line(66, 89),
        horizontal_line(69, 93),
        horizontal_line(71, 96),
        horizontal_line(74, 100),
        horizontal_line(77, 103),
        horizontal_line(79, 107),
        horizontal_line(82, 110),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(72, 100),
        horizontal_line(82, 99),
        horizontal_line(92, 99),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(1, 39),
        horizontal_line(4, 49),
        horizontal_line(8, 59),
        horizontal_line(12, 69),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(86, 97),
        horizontal_line(89, 96),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 92),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 53),
        horizontal_line(0, 46),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_786_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(86, 96),
        horizontal_line(78, 97),
        horizontal_line(70, 97),
        horizontal_line(63, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
    };

    constexpr const shape frame_786_shape_group_2_shapes[] = {
        shape(frame_786_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_786_shape_group_2_shape_1_horizontal_lines, 17, 4),
        shape(frame_786_shape_group_2_shape_2_horizontal_lines, 33, 11),
        shape(frame_786_shape_group_2_shape_3_horizontal_lines, 43, 1),
        shape(frame_786_shape_group_2_shape_4_horizontal_lines, 78, 6),
        shape(frame_786_shape_group_2_shape_5_horizontal_lines, 87, 8),
        shape(frame_786_shape_group_2_shape_6_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(123, 155),
        horizontal_line(0, 2),
        horizontal_line(2, 5),
        horizontal_line(5, 9),
        horizontal_line(7, 12),
        horizontal_line(10, 16),
        horizontal_line(13, 19),
        horizontal_line(15, 23),
        horizontal_line(18, 26),
        horizontal_line(21, 30),
        horizontal_line(23, 33),
        horizontal_line(26, 37),
        horizontal_line(29, 40),
        horizontal_line(31, 44),
        horizontal_line(34, 47),
        horizontal_line(37, 51),
        horizontal_line(39, 54),
        horizontal_line(118, 134),
        horizontal_line(118, 133),
        horizontal_line(118, 131),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(117, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(116, 121),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(62, 110),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 19),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(78, 80),
        horizontal_line(82, 90),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 76),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_786_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 23),
        horizontal_line(0, 15),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_786_shape_group_3_shapes[] = {
        shape(frame_786_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_786_shape_group_3_shape_1_horizontal_lines, 33, 11),
        shape(frame_786_shape_group_3_shape_2_horizontal_lines, 43, 1),
        shape(frame_786_shape_group_3_shape_3_horizontal_lines, 75, 6),
        shape(frame_786_shape_group_3_shape_4_horizontal_lines, 78, 8),
        shape(frame_786_shape_group_3_shape_5_horizontal_lines, 82, 6),
        shape(frame_786_shape_group_3_shape_6_horizontal_lines, 84, 8),
        shape(frame_786_shape_group_3_shape_7_horizontal_lines, 95, 8),
        shape(frame_786_shape_group_3_shape_8_horizontal_lines, 103, 8),
        shape(frame_786_shape_group_3_shape_9_horizontal_lines, 110, 8),
    };

    constexpr const horizontal_line frame_786_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_786_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(122, 153),
        horizontal_line(122, 152),
        horizontal_line(122, 151),
        horizontal_line(122, 150),
        horizontal_line(121, 148),
        horizontal_line(121, 147),
        horizontal_line(121, 146),
        horizontal_line(121, 145),
        horizontal_line(120, 144),
        horizontal_line(120, 142),
        horizontal_line(120, 141),
        horizontal_line(120, 140),
        horizontal_line(119, 139),
        horizontal_line(119, 138),
        horizontal_line(119, 136),
        horizontal_line(119, 135),
    };

    constexpr const horizontal_line frame_786_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_786_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_786_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 19),
    };

    constexpr const shape frame_786_shape_group_4_shapes[] = {
        shape(frame_786_shape_group_4_shape_0_horizontal_lines, 0, 11),
        shape(frame_786_shape_group_4_shape_1_horizontal_lines, 1, 4),
        shape(frame_786_shape_group_4_shape_2_horizontal_lines, 17, 11),
        shape(frame_786_shape_group_4_shape_3_horizontal_lines, 33, 1),
        shape(frame_786_shape_group_4_shape_4_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_786_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_786_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 105),
        horizontal_line(62, 108),
    };

    constexpr const shape frame_786_shape_group_5_shapes[] = {
        shape(frame_786_shape_group_5_shape_0_horizontal_lines, 0, 11),
        shape(frame_786_shape_group_5_shape_1_horizontal_lines, 33, 1),
    };

    constexpr const horizontal_line frame_786_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_786_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_786_shape_group_6_shapes[] = {
        shape(frame_786_shape_group_6_shape_0_horizontal_lines, 1, 11),
        shape(frame_786_shape_group_6_shape_1_horizontal_lines, 17, 1),
    };

    constexpr const horizontal_line frame_786_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_786_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 81),
    };

    constexpr const shape frame_786_shape_group_7_shapes[] = {
        shape(frame_786_shape_group_7_shape_0_horizontal_lines, 2, 1),
        shape(frame_786_shape_group_7_shape_1_horizontal_lines, 25, 1),
    };

    constexpr const shape_group frame_786_shape_groups[] = {
        shape_group(frame_786_shape_group_0_shapes),
        shape_group(frame_786_shape_group_1_shapes),
        shape_group(frame_786_shape_group_2_shapes),
        shape_group(frame_786_shape_group_3_shapes),
        shape_group(frame_786_shape_group_4_shapes),
        shape_group(frame_786_shape_group_5_shapes),
        shape_group(frame_786_shape_group_6_shapes),
        shape_group(frame_786_shape_group_7_shapes),
    };

    constexpr const frame frame_786_impl(frame_786_colors, frame_786_shape_groups);
} 

const frame& frame_786()
{
    return frame_786_impl;
}

namespace
{
    constexpr const bn::color frame_787_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_787_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(2, 10),
        horizontal_line(5, 13),
        horizontal_line(7, 17),
        horizontal_line(10, 20),
        horizontal_line(13, 24),
        horizontal_line(15, 27),
        horizontal_line(18, 31),
        horizontal_line(20, 34),
        horizontal_line(23, 37),
        horizontal_line(26, 41),
        horizontal_line(28, 44),
        horizontal_line(31, 48),
        horizontal_line(34, 51),
        horizontal_line(36, 55),
        horizontal_line(39, 58),
        horizontal_line(41, 62),
        horizontal_line(44, 65),
        horizontal_line(47, 68),
        horizontal_line(49, 72),
        horizontal_line(52, 75),
        horizontal_line(55, 79),
        horizontal_line(57, 82),
        horizontal_line(60, 86),
        horizontal_line(62, 89),
        horizontal_line(65, 92),
        horizontal_line(68, 96),
        horizontal_line(70, 99),
        horizontal_line(73, 103),
        horizontal_line(76, 106),
        horizontal_line(78, 110),
        horizontal_line(81, 113),
        horizontal_line(83, 118),
        horizontal_line(86, 116),
        horizontal_line(89, 116),
        horizontal_line(91, 115),
        horizontal_line(94, 115),
        horizontal_line(96, 115),
        horizontal_line(99, 114),
        horizontal_line(102, 114),
        horizontal_line(104, 114),
        horizontal_line(107, 113),
        horizontal_line(110, 113),
        horizontal_line(112, 113),
    };

    constexpr const horizontal_line frame_787_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(113, 170),
        horizontal_line(113, 170),
        horizontal_line(113, 169),
        horizontal_line(112, 169),
        horizontal_line(112, 168),
        horizontal_line(112, 168),
        horizontal_line(111, 167),
        horizontal_line(111, 167),
        horizontal_line(110, 166),
        horizontal_line(110, 166),
        horizontal_line(110, 165),
        horizontal_line(109, 165),
        horizontal_line(109, 164),
        horizontal_line(109, 164),
        horizontal_line(108, 163),
        horizontal_line(108, 163),
        horizontal_line(108, 162),
        horizontal_line(107, 162),
        horizontal_line(107, 161),
        horizontal_line(107, 161),
        horizontal_line(106, 160),
        horizontal_line(106, 160),
        horizontal_line(106, 159),
        horizontal_line(105, 158),
        horizontal_line(105, 158),
        horizontal_line(104, 157),
        horizontal_line(104, 157),
        horizontal_line(104, 156),
        horizontal_line(103, 156),
        horizontal_line(103, 155),
        horizontal_line(103, 155),
        horizontal_line(102, 154),
        horizontal_line(102, 154),
        horizontal_line(102, 153),
        horizontal_line(101, 153),
        horizontal_line(101, 152),
        horizontal_line(101, 152),
        horizontal_line(100, 151),
        horizontal_line(100, 151),
        horizontal_line(100, 150),
        horizontal_line(99, 150),
        horizontal_line(99, 149),
        horizontal_line(98, 149),
        horizontal_line(98, 148),
        horizontal_line(98, 148),
        horizontal_line(97, 147),
        horizontal_line(97, 146),
        horizontal_line(97, 146),
        horizontal_line(96, 145),
        horizontal_line(96, 145),
        horizontal_line(96, 144),
        horizontal_line(95, 144),
        horizontal_line(95, 143),
        horizontal_line(95, 143),
        horizontal_line(94, 142),
        horizontal_line(94, 142),
        horizontal_line(94, 141),
        horizontal_line(93, 141),
        horizontal_line(93, 140),
        horizontal_line(94, 140),
        horizontal_line(94, 139),
        horizontal_line(95, 139),
        horizontal_line(95, 138),
        horizontal_line(96, 138),
        horizontal_line(96, 137),
        horizontal_line(97, 137),
        horizontal_line(97, 136),
        horizontal_line(98, 136),
        horizontal_line(98, 135),
        horizontal_line(99, 134),
        horizontal_line(99, 134),
        horizontal_line(100, 133),
        horizontal_line(100, 133),
        horizontal_line(101, 132),
        horizontal_line(102, 132),
        horizontal_line(102, 131),
        horizontal_line(103, 131),
        horizontal_line(103, 130),
        horizontal_line(104, 130),
        horizontal_line(104, 129),
        horizontal_line(105, 129),
        horizontal_line(105, 128),
        horizontal_line(106, 128),
        horizontal_line(106, 127),
        horizontal_line(107, 127),
        horizontal_line(107, 126),
        horizontal_line(108, 126),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(111, 123),
        horizontal_line(111, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_787_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_787_shape_group_0_shapes[] = {
        shape(frame_787_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_787_shape_group_0_shape_1_horizontal_lines, 44, 2),
        shape(frame_787_shape_group_0_shape_2_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(126, 158),
        horizontal_line(125, 156),
        horizontal_line(125, 155),
        horizontal_line(125, 154),
        horizontal_line(125, 153),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(123, 146),
        horizontal_line(123, 145),
        horizontal_line(123, 144),
        horizontal_line(123, 143),
        horizontal_line(122, 141),
        horizontal_line(122, 140),
        horizontal_line(122, 139),
        horizontal_line(122, 138),
        horizontal_line(121, 136),
        horizontal_line(121, 135),
        horizontal_line(121, 134),
        horizontal_line(121, 133),
        horizontal_line(120, 131),
        horizontal_line(120, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(119, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(116, 172),
        horizontal_line(116, 172),
        horizontal_line(116, 172),
        horizontal_line(115, 172),
        horizontal_line(115, 172),
        horizontal_line(115, 172),
        horizontal_line(114, 172),
        horizontal_line(114, 172),
        horizontal_line(114, 171),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(10, 72),
        horizontal_line(20, 82),
        horizontal_line(30, 92),
        horizontal_line(40, 100),
        horizontal_line(50, 100),
        horizontal_line(60, 100),
        horizontal_line(70, 99),
        horizontal_line(81, 99),
        horizontal_line(91, 99),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(29, 91),
        horizontal_line(33, 95),
        horizontal_line(37, 96),
        horizontal_line(41, 96),
        horizontal_line(45, 96),
        horizontal_line(49, 95),
        horizontal_line(53, 95),
        horizontal_line(57, 95),
        horizontal_line(61, 94),
        horizontal_line(65, 94),
        horizontal_line(69, 94),
        horizontal_line(73, 93),
        horizontal_line(77, 93),
        horizontal_line(81, 93),
        horizontal_line(85, 92),
        horizontal_line(89, 92),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_787_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(87, 93),
        horizontal_line(81, 94),
        horizontal_line(75, 94),
        horizontal_line(69, 95),
        horizontal_line(63, 95),
        horizontal_line(56, 96),
        horizontal_line(50, 96),
        horizontal_line(44, 97),
        horizontal_line(38, 97),
        horizontal_line(32, 94),
        horizontal_line(25, 87),
        horizontal_line(19, 81),
        horizontal_line(13, 75),
        horizontal_line(7, 69),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
    };

    constexpr const shape frame_787_shape_group_1_shapes[] = {
        shape(frame_787_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_787_shape_group_1_shape_1_horizontal_lines, 32, 2),
        shape(frame_787_shape_group_1_shape_2_horizontal_lines, 44, 1),
        shape(frame_787_shape_group_1_shape_3_horizontal_lines, 84, 6),
        shape(frame_787_shape_group_1_shape_4_horizontal_lines, 103, 8),
        shape(frame_787_shape_group_1_shape_5_horizontal_lines, 104, 6),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(63, 121),
        horizontal_line(66, 120),
        horizontal_line(69, 120),
        horizontal_line(73, 120),
        horizontal_line(76, 120),
        horizontal_line(80, 119),
        horizontal_line(83, 119),
        horizontal_line(87, 119),
        horizontal_line(90, 119),
        horizontal_line(93, 118),
        horizontal_line(97, 118),
        horizontal_line(100, 118),
        horizontal_line(104, 118),
        horizontal_line(107, 117),
        horizontal_line(111, 117),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(72, 101),
        horizontal_line(82, 101),
        horizontal_line(92, 101),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 49),
        horizontal_line(1, 59),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(79, 98),
        horizontal_line(83, 98),
        horizontal_line(87, 97),
        horizontal_line(91, 97),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 40),
        horizontal_line(0, 44),
        horizontal_line(0, 48),
        horizontal_line(0, 52),
        horizontal_line(0, 56),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 93),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 55),
        horizontal_line(0, 49),
        horizontal_line(0, 43),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_787_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(94, 98),
        horizontal_line(87, 98),
        horizontal_line(81, 99),
        horizontal_line(75, 99),
        horizontal_line(69, 100),
        horizontal_line(63, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
    };

    constexpr const shape frame_787_shape_group_2_shapes[] = {
        shape(frame_787_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_787_shape_group_2_shape_1_horizontal_lines, 32, 11),
        shape(frame_787_shape_group_2_shape_2_horizontal_lines, 44, 1),
        shape(frame_787_shape_group_2_shape_3_horizontal_lines, 78, 6),
        shape(frame_787_shape_group_2_shape_4_horizontal_lines, 89, 8),
        shape(frame_787_shape_group_2_shape_5_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(159, 176),
        horizontal_line(157, 175),
        horizontal_line(156, 175),
        horizontal_line(155, 175),
        horizontal_line(154, 175),
        horizontal_line(152, 175),
        horizontal_line(151, 175),
        horizontal_line(150, 175),
        horizontal_line(149, 175),
        horizontal_line(147, 175),
        horizontal_line(146, 175),
        horizontal_line(145, 174),
        horizontal_line(144, 174),
        horizontal_line(142, 174),
        horizontal_line(141, 174),
        horizontal_line(140, 174),
        horizontal_line(139, 174),
        horizontal_line(137, 174),
        horizontal_line(136, 174),
        horizontal_line(135, 174),
        horizontal_line(134, 174),
        horizontal_line(132, 174),
        horizontal_line(131, 173),
        horizontal_line(130, 173),
        horizontal_line(129, 173),
        horizontal_line(127, 173),
        horizontal_line(126, 173),
        horizontal_line(125, 173),
        horizontal_line(124, 173),
        horizontal_line(122, 173),
        horizontal_line(121, 173),
        horizontal_line(120, 173),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 19),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(67, 69),
        horizontal_line(71, 80),
        horizontal_line(75, 90),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 86),
        horizontal_line(62, 80),
        horizontal_line(62, 74),
        horizontal_line(62, 68),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_787_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 24),
        horizontal_line(0, 18),
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_787_shape_group_3_shapes[] = {
        shape(frame_787_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_787_shape_group_3_shape_1_horizontal_lines, 32, 11),
        shape(frame_787_shape_group_3_shape_2_horizontal_lines, 43, 1),
        shape(frame_787_shape_group_3_shape_3_horizontal_lines, 75, 6),
        shape(frame_787_shape_group_3_shape_4_horizontal_lines, 80, 8),
        shape(frame_787_shape_group_3_shape_5_horizontal_lines, 81, 6),
        shape(frame_787_shape_group_3_shape_6_horizontal_lines, 84, 8),
        shape(frame_787_shape_group_3_shape_7_horizontal_lines, 96, 8),
        shape(frame_787_shape_group_3_shape_8_horizontal_lines, 104, 8),
        shape(frame_787_shape_group_3_shape_9_horizontal_lines, 113, 8),
    };

    constexpr const horizontal_line frame_787_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(70, 125),
        horizontal_line(73, 124),
        horizontal_line(76, 124),
        horizontal_line(80, 124),
        horizontal_line(83, 124),
        horizontal_line(87, 123),
        horizontal_line(90, 123),
        horizontal_line(94, 123),
        horizontal_line(97, 123),
        horizontal_line(100, 122),
        horizontal_line(104, 122),
        horizontal_line(107, 122),
        horizontal_line(111, 122),
        horizontal_line(114, 121),
        horizontal_line(118, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_787_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_787_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 111),
    };

    constexpr const horizontal_line frame_787_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
    };

    constexpr const shape frame_787_shape_group_4_shapes[] = {
        shape(frame_787_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_787_shape_group_4_shape_1_horizontal_lines, 16, 11),
        shape(frame_787_shape_group_4_shape_2_horizontal_lines, 32, 1),
        shape(frame_787_shape_group_4_shape_3_horizontal_lines, 81, 8),
    };

    constexpr const horizontal_line frame_787_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_787_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 106),
        horizontal_line(62, 109),
    };

    constexpr const shape frame_787_shape_group_5_shapes[] = {
        shape(frame_787_shape_group_5_shape_0_horizontal_lines, 0, 11),
        shape(frame_787_shape_group_5_shape_1_horizontal_lines, 32, 1),
    };

    constexpr const horizontal_line frame_787_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_787_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_787_shape_group_6_shapes[] = {
        shape(frame_787_shape_group_6_shape_0_horizontal_lines, 0, 11),
        shape(frame_787_shape_group_6_shape_1_horizontal_lines, 16, 1),
    };

    constexpr const horizontal_line frame_787_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_787_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
    };

    constexpr const shape frame_787_shape_group_7_shapes[] = {
        shape(frame_787_shape_group_7_shape_0_horizontal_lines, 1, 1),
        shape(frame_787_shape_group_7_shape_1_horizontal_lines, 25, 1),
    };

    constexpr const shape_group frame_787_shape_groups[] = {
        shape_group(frame_787_shape_group_0_shapes),
        shape_group(frame_787_shape_group_1_shapes),
        shape_group(frame_787_shape_group_2_shapes),
        shape_group(frame_787_shape_group_3_shapes),
        shape_group(frame_787_shape_group_4_shapes),
        shape_group(frame_787_shape_group_5_shapes),
        shape_group(frame_787_shape_group_6_shapes),
        shape_group(frame_787_shape_group_7_shapes),
    };

    constexpr const frame frame_787_impl(frame_787_colors, frame_787_shape_groups);
} 

const frame& frame_787()
{
    return frame_787_impl;
}

namespace
{
    constexpr const bn::color frame_788_colors[] = {
        bn::color(24, 16, 12),
        bn::color(12, 16, 12),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(0, 0, 0),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_788_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(11, 73),
        horizontal_line(23, 85),
        horizontal_line(34, 96),
        horizontal_line(46, 103),
        horizontal_line(58, 102),
        horizontal_line(69, 102),
        horizontal_line(81, 101),
        horizontal_line(93, 101),
    };

    constexpr const horizontal_line frame_788_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(102, 160),
        horizontal_line(101, 159),
        horizontal_line(101, 159),
        horizontal_line(101, 158),
        horizontal_line(100, 158),
        horizontal_line(100, 157),
        horizontal_line(100, 157),
        horizontal_line(99, 156),
        horizontal_line(99, 156),
        horizontal_line(99, 155),
        horizontal_line(98, 155),
        horizontal_line(98, 154),
        horizontal_line(98, 154),
        horizontal_line(97, 153),
        horizontal_line(97, 153),
        horizontal_line(97, 152),
        horizontal_line(96, 151),
        horizontal_line(96, 151),
        horizontal_line(96, 150),
        horizontal_line(95, 150),
        horizontal_line(95, 149),
        horizontal_line(96, 149),
        horizontal_line(96, 148),
        horizontal_line(97, 148),
        horizontal_line(97, 147),
        horizontal_line(98, 147),
        horizontal_line(98, 146),
        horizontal_line(99, 146),
        horizontal_line(99, 145),
        horizontal_line(100, 145),
        horizontal_line(100, 144),
        horizontal_line(101, 143),
        horizontal_line(102, 143),
        horizontal_line(102, 142),
        horizontal_line(103, 142),
        horizontal_line(103, 141),
        horizontal_line(104, 141),
        horizontal_line(104, 140),
        horizontal_line(105, 140),
        horizontal_line(105, 139),
        horizontal_line(106, 139),
        horizontal_line(106, 138),
        horizontal_line(107, 138),
        horizontal_line(108, 137),
        horizontal_line(108, 137),
        horizontal_line(109, 136),
        horizontal_line(109, 135),
        horizontal_line(110, 135),
        horizontal_line(110, 134),
        horizontal_line(111, 134),
        horizontal_line(111, 133),
        horizontal_line(112, 133),
        horizontal_line(112, 132),
        horizontal_line(113, 132),
        horizontal_line(114, 131),
        horizontal_line(114, 131),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(119, 126),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_788_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_788_shape_group_0_shapes[] = {
        shape(frame_788_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_788_shape_group_0_shape_1_horizontal_lines, 85, 2),
        shape(frame_788_shape_group_0_shape_2_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(4, 14),
        horizontal_line(6, 17),
        horizontal_line(9, 20),
        horizontal_line(11, 24),
        horizontal_line(14, 27),
        horizontal_line(16, 31),
        horizontal_line(19, 34),
        horizontal_line(22, 37),
        horizontal_line(24, 41),
        horizontal_line(27, 44),
        horizontal_line(29, 48),
        horizontal_line(32, 51),
        horizontal_line(34, 55),
        horizontal_line(37, 58),
        horizontal_line(40, 61),
        horizontal_line(42, 65),
        horizontal_line(45, 68),
        horizontal_line(47, 72),
        horizontal_line(50, 75),
        horizontal_line(52, 78),
        horizontal_line(55, 82),
        horizontal_line(58, 85),
        horizontal_line(60, 89),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
        horizontal_line(62, 106),
        horizontal_line(62, 108),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(73, 104),
        horizontal_line(85, 103),
        horizontal_line(96, 103),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(104, 163),
        horizontal_line(103, 162),
        horizontal_line(103, 162),
        horizontal_line(102, 161),
        horizontal_line(102, 161),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(40, 98),
        horizontal_line(44, 98),
        horizontal_line(48, 98),
        horizontal_line(52, 97),
        horizontal_line(56, 97),
        horizontal_line(60, 97),
        horizontal_line(64, 96),
        horizontal_line(68, 96),
        horizontal_line(72, 96),
        horizontal_line(76, 95),
        horizontal_line(80, 95),
        horizontal_line(84, 95),
        horizontal_line(88, 94),
        horizontal_line(92, 94),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_788_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(90, 95),
        horizontal_line(84, 96),
        horizontal_line(79, 96),
        horizontal_line(73, 97),
        horizontal_line(68, 97),
        horizontal_line(62, 98),
        horizontal_line(56, 98),
        horizontal_line(51, 99),
        horizontal_line(45, 99),
        horizontal_line(40, 100),
        horizontal_line(34, 96),
        horizontal_line(28, 90),
        horizontal_line(23, 85),
        horizontal_line(17, 79),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
    };

    constexpr const shape frame_788_shape_group_1_shapes[] = {
        shape(frame_788_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_788_shape_group_1_shape_1_horizontal_lines, 23, 1),
        shape(frame_788_shape_group_1_shape_2_horizontal_lines, 80, 2),
        shape(frame_788_shape_group_1_shape_3_horizontal_lines, 85, 6),
        shape(frame_788_shape_group_1_shape_4_horizontal_lines, 106, 8),
        shape(frame_788_shape_group_1_shape_5_horizontal_lines, 107, 6),
    };

    constexpr const horizontal_line frame_788_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(129, 160),
        horizontal_line(128, 158),
        horizontal_line(128, 157),
        horizontal_line(128, 156),
        horizontal_line(127, 154),
        horizontal_line(127, 153),
        horizontal_line(127, 152),
        horizontal_line(127, 151),
        horizontal_line(126, 149),
        horizontal_line(126, 148),
        horizontal_line(126, 147),
        horizontal_line(126, 146),
        horizontal_line(125, 144),
        horizontal_line(125, 143),
        horizontal_line(125, 142),
        horizontal_line(125, 141),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(63, 92),
        horizontal_line(65, 96),
        horizontal_line(68, 99),
        horizontal_line(70, 102),
        horizontal_line(73, 106),
        horizontal_line(76, 109),
        horizontal_line(78, 113),
        horizontal_line(81, 116),
        horizontal_line(83, 121),
        horizontal_line(86, 119),
        horizontal_line(89, 119),
        horizontal_line(91, 118),
        horizontal_line(94, 118),
        horizontal_line(96, 118),
        horizontal_line(99, 117),
        horizontal_line(101, 117),
        horizontal_line(104, 117),
        horizontal_line(107, 116),
        horizontal_line(109, 116),
        horizontal_line(112, 116),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_788_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(114, 176),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(111, 173),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(110, 172),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(109, 171),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(108, 170),
        horizontal_line(108, 169),
        horizontal_line(107, 169),
        horizontal_line(107, 168),
        horizontal_line(107, 167),
        horizontal_line(106, 167),
        horizontal_line(106, 166),
        horizontal_line(106, 166),
        horizontal_line(105, 165),
        horizontal_line(105, 165),
        horizontal_line(105, 164),
        horizontal_line(104, 164),
        horizontal_line(104, 163),
    };

    constexpr const horizontal_line frame_788_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 57),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(74, 101),
        horizontal_line(78, 100),
        horizontal_line(82, 100),
        horizontal_line(86, 100),
        horizontal_line(90, 99),
        horizontal_line(94, 99),
        horizontal_line(98, 99),
    };

    constexpr const horizontal_line frame_788_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(0, 47),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 95),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 55),
        horizontal_line(0, 50),
        horizontal_line(0, 44),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_788_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(96, 101),
        horizontal_line(90, 101),
        horizontal_line(85, 102),
        horizontal_line(79, 102),
        horizontal_line(74, 103),
        horizontal_line(68, 103),
        horizontal_line(63, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
    };

    constexpr const shape frame_788_shape_group_2_shapes[] = {
        shape(frame_788_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_788_shape_group_2_shape_1_horizontal_lines, 44, 2),
        shape(frame_788_shape_group_2_shape_2_horizontal_lines, 80, 6),
        shape(frame_788_shape_group_2_shape_3_horizontal_lines, 92, 8),
        shape(frame_788_shape_group_2_shape_4_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(66, 124),
        horizontal_line(69, 123),
        horizontal_line(73, 123),
        horizontal_line(76, 123),
        horizontal_line(79, 123),
        horizontal_line(83, 122),
        horizontal_line(86, 122),
        horizontal_line(90, 122),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(123, 131),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(178, 182),
        horizontal_line(178, 181),
        horizontal_line(177, 181),
        horizontal_line(177, 180),
        horizontal_line(177, 180),
        horizontal_line(176, 179),
        horizontal_line(176, 179),
        horizontal_line(176, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(174, 176),
        horizontal_line(174, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 174),
        horizontal_line(173, 174),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 172),
        horizontal_line(171, 172),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(170, 170),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 22),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(63, 68),
        horizontal_line(66, 80),
        horizontal_line(70, 92),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 31),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 71),
        horizontal_line(62, 75),
        horizontal_line(62, 79),
        horizontal_line(62, 83),
        horizontal_line(62, 87),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 83),
        horizontal_line(62, 78),
        horizontal_line(62, 72),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_788_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 27),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_788_shape_group_3_shapes[] = {
        shape(frame_788_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_788_shape_group_3_shape_1_horizontal_lines, 23, 4),
        shape(frame_788_shape_group_3_shape_2_horizontal_lines, 31, 2),
        shape(frame_788_shape_group_3_shape_3_horizontal_lines, 69, 2),
        shape(frame_788_shape_group_3_shape_4_horizontal_lines, 77, 6),
        shape(frame_788_shape_group_3_shape_5_horizontal_lines, 82, 6),
        shape(frame_788_shape_group_3_shape_6_horizontal_lines, 85, 8),
        shape(frame_788_shape_group_3_shape_7_horizontal_lines, 98, 8),
        shape(frame_788_shape_group_3_shape_8_horizontal_lines, 107, 8),
        shape(frame_788_shape_group_3_shape_9_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_788_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(161, 190),
        horizontal_line(159, 189),
        horizontal_line(158, 189),
        horizontal_line(157, 189),
        horizontal_line(155, 189),
        horizontal_line(154, 189),
        horizontal_line(153, 189),
        horizontal_line(152, 188),
        horizontal_line(150, 188),
        horizontal_line(149, 188),
        horizontal_line(148, 188),
        horizontal_line(147, 188),
        horizontal_line(145, 188),
        horizontal_line(144, 188),
        horizontal_line(143, 187),
        horizontal_line(142, 187),
        horizontal_line(140, 187),
        horizontal_line(139, 187),
        horizontal_line(138, 187),
        horizontal_line(137, 187),
        horizontal_line(135, 187),
        horizontal_line(134, 186),
        horizontal_line(133, 186),
        horizontal_line(93, 122),
        horizontal_line(97, 121),
        horizontal_line(100, 121),
        horizontal_line(103, 121),
        horizontal_line(107, 121),
        horizontal_line(110, 120),
        horizontal_line(114, 120),
        horizontal_line(117, 120),
        horizontal_line(184, 185),
        horizontal_line(182, 185),
        horizontal_line(182, 185),
        horizontal_line(181, 185),
        horizontal_line(181, 184),
        horizontal_line(181, 184),
        horizontal_line(180, 184),
        horizontal_line(180, 184),
        horizontal_line(180, 184),
        horizontal_line(179, 184),
        horizontal_line(179, 184),
        horizontal_line(179, 183),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_788_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_788_shape_group_4_shapes[] = {
        shape(frame_788_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_788_shape_group_4_shape_1_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_788_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(77, 128),
        horizontal_line(80, 127),
        horizontal_line(83, 127),
        horizontal_line(87, 127),
        horizontal_line(90, 126),
        horizontal_line(94, 126),
        horizontal_line(97, 126),
        horizontal_line(100, 126),
        horizontal_line(104, 125),
        horizontal_line(107, 125),
        horizontal_line(111, 125),
        horizontal_line(114, 125),
        horizontal_line(118, 124),
        horizontal_line(121, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_788_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_788_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(132, 186),
        horizontal_line(130, 186),
        horizontal_line(129, 186),
        horizontal_line(128, 186),
        horizontal_line(127, 186),
        horizontal_line(125, 185),
        horizontal_line(124, 185),
        horizontal_line(123, 185),
    };

    constexpr const horizontal_line frame_788_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_788_shape_group_5_shapes[] = {
        shape(frame_788_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_788_shape_group_5_shape_1_horizontal_lines, 15, 11),
        shape(frame_788_shape_group_5_shape_2_horizontal_lines, 23, 2),
        shape(frame_788_shape_group_5_shape_3_horizontal_lines, 31, 11),
    };

    constexpr const horizontal_line frame_788_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_788_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_788_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const shape frame_788_shape_group_6_shapes[] = {
        shape(frame_788_shape_group_6_shape_0_horizontal_lines, 0, 11),
        shape(frame_788_shape_group_6_shape_1_horizontal_lines, 23, 11),
        shape(frame_788_shape_group_6_shape_2_horizontal_lines, 30, 2),
    };

    constexpr const horizontal_line frame_788_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const shape frame_788_shape_group_7_shapes[] = {
        shape(frame_788_shape_group_7_shape_0_horizontal_lines, 30, 11),
    };

    constexpr const shape_group frame_788_shape_groups[] = {
        shape_group(frame_788_shape_group_0_shapes),
        shape_group(frame_788_shape_group_1_shapes),
        shape_group(frame_788_shape_group_2_shapes),
        shape_group(frame_788_shape_group_3_shapes),
        shape_group(frame_788_shape_group_4_shapes),
        shape_group(frame_788_shape_group_5_shapes),
        shape_group(frame_788_shape_group_6_shapes),
        shape_group(frame_788_shape_group_7_shapes),
    };

    constexpr const frame frame_788_impl(frame_788_colors, frame_788_shape_groups);
} 

const frame& frame_788()
{
    return frame_788_impl;
}

namespace
{
    constexpr const bn::color frame_789_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_789_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(13, 75),
        horizontal_line(27, 89),
        horizontal_line(40, 102),
        horizontal_line(54, 105),
        horizontal_line(67, 104),
        horizontal_line(81, 104),
        horizontal_line(95, 103),
    };

    constexpr const horizontal_line frame_789_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
    };

    constexpr const shape frame_789_shape_group_0_shapes[] = {
        shape(frame_789_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_789_shape_group_0_shape_1_horizontal_lines, 86, 14),
    };

    constexpr const horizontal_line frame_789_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(8, 22),
        horizontal_line(10, 25),
        horizontal_line(13, 28),
        horizontal_line(15, 32),
        horizontal_line(18, 35),
        horizontal_line(20, 38),
        horizontal_line(23, 42),
        horizontal_line(25, 45),
        horizontal_line(28, 48),
        horizontal_line(30, 52),
        horizontal_line(33, 55),
        horizontal_line(35, 59),
        horizontal_line(38, 62),
        horizontal_line(40, 65),
        horizontal_line(43, 69),
        horizontal_line(45, 72),
        horizontal_line(48, 75),
        horizontal_line(50, 79),
        horizontal_line(53, 82),
        horizontal_line(55, 85),
        horizontal_line(58, 89),
        horizontal_line(60, 92),
    };

    constexpr const horizontal_line frame_789_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 87),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(75, 106),
        horizontal_line(89, 105),
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_789_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_789_shape_group_1_shapes[] = {
        shape(frame_789_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_789_shape_group_1_shape_1_horizontal_lines, 22, 1),
        shape(frame_789_shape_group_1_shape_2_horizontal_lines, 82, 14),
    };

    constexpr const horizontal_line frame_789_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(134, 164),
        horizontal_line(133, 162),
        horizontal_line(133, 161),
        horizontal_line(133, 160),
        horizontal_line(132, 158),
        horizontal_line(132, 157),
        horizontal_line(132, 156),
        horizontal_line(131, 154),
        horizontal_line(131, 153),
        horizontal_line(131, 152),
        horizontal_line(130, 150),
        horizontal_line(130, 149),
        horizontal_line(130, 148),
        horizontal_line(129, 146),
        horizontal_line(129, 145),
        horizontal_line(129, 144),
        horizontal_line(128, 142),
        horizontal_line(128, 141),
        horizontal_line(128, 140),
        horizontal_line(127, 138),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(63, 96),
        horizontal_line(65, 99),
        horizontal_line(68, 102),
        horizontal_line(70, 106),
        horizontal_line(73, 109),
        horizontal_line(75, 112),
        horizontal_line(78, 116),
        horizontal_line(80, 119),
        horizontal_line(83, 124),
        horizontal_line(85, 122),
        horizontal_line(88, 122),
        horizontal_line(91, 121),
        horizontal_line(93, 121),
        horizontal_line(96, 121),
        horizontal_line(98, 120),
        horizontal_line(101, 120),
        horizontal_line(103, 120),
        horizontal_line(106, 119),
        horizontal_line(108, 119),
        horizontal_line(111, 119),
        horizontal_line(113, 118),
        horizontal_line(116, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_789_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(22, 84),
        horizontal_line(26, 88),
        horizontal_line(30, 92),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(43, 100),
        horizontal_line(47, 100),
        horizontal_line(51, 99),
        horizontal_line(55, 99),
        horizontal_line(60, 99),
        horizontal_line(64, 98),
        horizontal_line(68, 98),
        horizontal_line(72, 98),
        horizontal_line(76, 97),
        horizontal_line(81, 97),
        horizontal_line(85, 97),
        horizontal_line(89, 96),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_789_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_789_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(89, 97),
        horizontal_line(84, 97),
        horizontal_line(80, 98),
        horizontal_line(75, 98),
        horizontal_line(71, 99),
        horizontal_line(67, 99),
        horizontal_line(62, 100),
        horizontal_line(58, 101),
        horizontal_line(53, 101),
        horizontal_line(49, 102),
        horizontal_line(45, 102),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(31, 93),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(18, 80),
        horizontal_line(14, 76),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_789_shape_group_2_shapes[] = {
        shape(frame_789_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_789_shape_group_2_shape_1_horizontal_lines, 45, 14),
        shape(frame_789_shape_group_2_shape_2_horizontal_lines, 86, 6),
        shape(frame_789_shape_group_2_shape_3_horizontal_lines, 108, 8),
        shape(frame_789_shape_group_2_shape_4_horizontal_lines, 109, 6),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(126, 133),
        horizontal_line(126, 132),
        horizontal_line(125, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 128),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(67, 103),
        horizontal_line(71, 103),
        horizontal_line(75, 102),
        horizontal_line(79, 102),
        horizontal_line(84, 102),
        horizontal_line(88, 101),
        horizontal_line(92, 101),
        horizontal_line(96, 101),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 50),
        horizontal_line(0, 54),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 97),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 57),
        horizontal_line(0, 52),
        horizontal_line(0, 48),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_789_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(102, 103),
        horizontal_line(98, 103),
        horizontal_line(93, 104),
        horizontal_line(89, 105),
        horizontal_line(85, 105),
        horizontal_line(80, 106),
        horizontal_line(76, 106),
        horizontal_line(71, 107),
        horizontal_line(67, 107),
        horizontal_line(63, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_789_shape_group_3_shapes[] = {
        shape(frame_789_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_789_shape_group_3_shape_1_horizontal_lines, 22, 4),
        shape(frame_789_shape_group_3_shape_2_horizontal_lines, 30, 11),
        shape(frame_789_shape_group_3_shape_3_horizontal_lines, 43, 14),
        shape(frame_789_shape_group_3_shape_4_horizontal_lines, 79, 14),
        shape(frame_789_shape_group_3_shape_5_horizontal_lines, 82, 6),
        shape(frame_789_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_789_shape_group_3_shape_7_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(198, 238),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 26),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 80),
        horizontal_line(63, 94),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 71),
        horizontal_line(62, 75),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(62, 92),
        horizontal_line(62, 88),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
        horizontal_line(62, 74),
        horizontal_line(62, 70),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 35),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 22),
        horizontal_line(0, 17),
        horizontal_line(0, 13),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_789_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_789_shape_group_4_shapes[] = {
        shape(frame_789_shape_group_4_shape_0_horizontal_lines, 22, 11),
        shape(frame_789_shape_group_4_shape_1_horizontal_lines, 42, 14),
        shape(frame_789_shape_group_4_shape_2_horizontal_lines, 79, 6),
        shape(frame_789_shape_group_4_shape_3_horizontal_lines, 83, 6),
        shape(frame_789_shape_group_4_shape_4_horizontal_lines, 86, 8),
        shape(frame_789_shape_group_4_shape_5_horizontal_lines, 100, 8),
        shape(frame_789_shape_group_4_shape_6_horizontal_lines, 109, 8),
        shape(frame_789_shape_group_4_shape_7_horizontal_lines, 121, 8),
        shape(frame_789_shape_group_4_shape_8_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_789_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_789_shape_group_5_shapes[] = {
        shape(frame_789_shape_group_5_shape_0_horizontal_lines, 85, 8),
    };

    constexpr const shape_group frame_789_shape_groups[] = {
        shape_group(frame_789_shape_group_0_shapes),
        shape_group(frame_789_shape_group_1_shapes),
        shape_group(frame_789_shape_group_2_shapes),
        shape_group(frame_789_shape_group_3_shapes),
        shape_group(frame_789_shape_group_4_shapes),
        shape_group(frame_789_shape_group_5_shapes),
    };

    constexpr const frame frame_789_impl(frame_789_colors, frame_789_shape_groups);
} 

const frame& frame_789()
{
    return frame_789_impl;
}

namespace
{
    constexpr const bn::color frame_790_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_790_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(14, 76),
        horizontal_line(29, 91),
        horizontal_line(44, 106),
        horizontal_line(59, 107),
        horizontal_line(74, 106),
        horizontal_line(88, 106),
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_790_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
    };

    constexpr const shape frame_790_shape_group_0_shapes[] = {
        shape(frame_790_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_790_shape_group_0_shape_1_horizontal_lines, 87, 14),
    };

    constexpr const horizontal_line frame_790_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(12, 32),
        horizontal_line(14, 35),
        horizontal_line(16, 38),
        horizontal_line(19, 41),
        horizontal_line(21, 45),
        horizontal_line(24, 48),
        horizontal_line(26, 51),
        horizontal_line(29, 54),
        horizontal_line(31, 58),
        horizontal_line(34, 61),
        horizontal_line(36, 64),
        horizontal_line(39, 68),
        horizontal_line(41, 71),
        horizontal_line(44, 74),
        horizontal_line(46, 77),
        horizontal_line(49, 81),
        horizontal_line(51, 84),
        horizontal_line(53, 87),
        horizontal_line(56, 90),
        horizontal_line(58, 94),
        horizontal_line(61, 97),
    };

    constexpr const horizontal_line frame_790_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(76, 108),
        horizontal_line(91, 107),
        horizontal_line(106, 107),
    };

    constexpr const horizontal_line frame_790_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(18, 80),
        horizontal_line(22, 84),
        horizontal_line(26, 88),
        horizontal_line(30, 92),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(43, 101),
        horizontal_line(47, 101),
        horizontal_line(52, 101),
        horizontal_line(56, 100),
        horizontal_line(60, 100),
        horizontal_line(64, 99),
        horizontal_line(69, 99),
    };

    constexpr const horizontal_line frame_790_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const shape frame_790_shape_group_1_shapes[] = {
        shape(frame_790_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_790_shape_group_1_shape_1_horizontal_lines, 21, 1),
        shape(frame_790_shape_group_1_shape_2_horizontal_lines, 83, 14),
        shape(frame_790_shape_group_1_shape_3_horizontal_lines, 87, 6),
        shape(frame_790_shape_group_1_shape_4_horizontal_lines, 104, 14),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(138, 168),
        horizontal_line(137, 166),
        horizontal_line(137, 165),
        horizontal_line(136, 163),
        horizontal_line(136, 162),
        horizontal_line(136, 161),
        horizontal_line(135, 159),
        horizontal_line(135, 158),
        horizontal_line(135, 156),
        horizontal_line(134, 155),
        horizontal_line(134, 154),
        horizontal_line(134, 152),
        horizontal_line(133, 151),
        horizontal_line(133, 150),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 143),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(63, 100),
        horizontal_line(66, 104),
        horizontal_line(68, 107),
        horizontal_line(71, 110),
        horizontal_line(73, 113),
        horizontal_line(76, 117),
        horizontal_line(78, 120),
        horizontal_line(81, 123),
        horizontal_line(83, 128),
        horizontal_line(86, 126),
        horizontal_line(88, 126),
        horizontal_line(91, 125),
        horizontal_line(93, 125),
        horizontal_line(95, 125),
        horizontal_line(98, 124),
        horizontal_line(100, 124),
        horizontal_line(103, 124),
        horizontal_line(105, 123),
        horizontal_line(108, 123),
        horizontal_line(110, 122),
        horizontal_line(113, 122),
        horizontal_line(115, 122),
        horizontal_line(118, 121),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(63, 105),
        horizontal_line(67, 105),
        horizontal_line(71, 104),
        horizontal_line(75, 104),
        horizontal_line(80, 104),
        horizontal_line(84, 103),
        horizontal_line(88, 103),
        horizontal_line(92, 102),
        horizontal_line(97, 102),
        horizontal_line(101, 102),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(73, 99),
        horizontal_line(77, 98),
        horizontal_line(81, 98),
        horizontal_line(86, 98),
        horizontal_line(90, 97),
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_790_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(95, 97),
        horizontal_line(91, 98),
        horizontal_line(87, 98),
        horizontal_line(83, 99),
        horizontal_line(80, 99),
        horizontal_line(76, 100),
        horizontal_line(72, 101),
        horizontal_line(68, 101),
        horizontal_line(65, 102),
        horizontal_line(61, 102),
        horizontal_line(57, 103),
        horizontal_line(53, 104),
        horizontal_line(50, 104),
        horizontal_line(46, 105),
        horizontal_line(42, 104),
        horizontal_line(38, 100),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_790_shape_group_2_shapes[] = {
        shape(frame_790_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_790_shape_group_2_shape_1_horizontal_lines, 45, 14),
        shape(frame_790_shape_group_2_shape_2_horizontal_lines, 83, 6),
        shape(frame_790_shape_group_2_shape_3_horizontal_lines, 97, 8),
        shape(frame_790_shape_group_2_shape_4_horizontal_lines, 104, 6),
        shape(frame_790_shape_group_2_shape_5_horizontal_lines, 110, 8),
        shape(frame_790_shape_group_2_shape_6_horizontal_lines, 111, 6),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(130, 139),
        horizontal_line(130, 137),
        horizontal_line(130, 136),
        horizontal_line(129, 134),
        horizontal_line(129, 133),
        horizontal_line(129, 132),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 28),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 87),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 68),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 98),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 56),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_790_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(100, 106),
        horizontal_line(96, 107),
        horizontal_line(93, 107),
        horizontal_line(89, 108),
        horizontal_line(85, 108),
        horizontal_line(81, 109),
        horizontal_line(78, 110),
        horizontal_line(74, 110),
        horizontal_line(70, 111),
        horizontal_line(66, 111),
        horizontal_line(63, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_790_shape_group_3_shapes[] = {
        shape(frame_790_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_790_shape_group_3_shape_1_horizontal_lines, 21, 4),
        shape(frame_790_shape_group_3_shape_2_horizontal_lines, 29, 11),
        shape(frame_790_shape_group_3_shape_3_horizontal_lines, 42, 14),
        shape(frame_790_shape_group_3_shape_4_horizontal_lines, 80, 6),
        shape(frame_790_shape_group_3_shape_5_horizontal_lines, 84, 6),
        shape(frame_790_shape_group_3_shape_6_horizontal_lines, 87, 8),
        shape(frame_790_shape_group_3_shape_7_horizontal_lines, 102, 8),
        shape(frame_790_shape_group_3_shape_8_horizontal_lines, 125, 6),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(213, 238),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 80),
        horizontal_line(62, 85),
        horizontal_line(62, 89),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 90),
        horizontal_line(62, 86),
        horizontal_line(62, 82),
        horizontal_line(62, 79),
        horizontal_line(62, 75),
        horizontal_line(62, 71),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 22),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_790_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
    };

    constexpr const shape frame_790_shape_group_4_shapes[] = {
        shape(frame_790_shape_group_4_shape_0_horizontal_lines, 21, 11),
        shape(frame_790_shape_group_4_shape_1_horizontal_lines, 41, 14),
        shape(frame_790_shape_group_4_shape_2_horizontal_lines, 104, 8),
        shape(frame_790_shape_group_4_shape_3_horizontal_lines, 111, 8),
        shape(frame_790_shape_group_4_shape_4_horizontal_lines, 125, 8),
        shape(frame_790_shape_group_4_shape_5_horizontal_lines, 156, 6),
    };

    constexpr const shape_group frame_790_shape_groups[] = {
        shape_group(frame_790_shape_group_0_shapes),
        shape_group(frame_790_shape_group_1_shapes),
        shape_group(frame_790_shape_group_2_shapes),
        shape_group(frame_790_shape_group_3_shapes),
        shape_group(frame_790_shape_group_4_shapes),
    };

    constexpr const frame frame_790_impl(frame_790_colors, frame_790_shape_groups);
} 

const frame& frame_790()
{
    return frame_790_impl;
}

namespace
{
    constexpr const bn::color frame_791_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_791_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(18, 80),
        horizontal_line(36, 98),
        horizontal_line(54, 110),
        horizontal_line(72, 109),
        horizontal_line(91, 109),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_791_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
    };

    constexpr const shape frame_791_shape_group_0_shapes[] = {
        shape(frame_791_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_791_shape_group_0_shape_1_horizontal_lines, 88, 14),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(17, 41),
        horizontal_line(19, 44),
        horizontal_line(21, 47),
        horizontal_line(24, 50),
        horizontal_line(26, 53),
        horizontal_line(28, 57),
        horizontal_line(31, 60),
        horizontal_line(33, 63),
        horizontal_line(36, 66),
        horizontal_line(38, 69),
        horizontal_line(40, 73),
        horizontal_line(43, 76),
        horizontal_line(45, 79),
        horizontal_line(48, 82),
        horizontal_line(50, 86),
        horizontal_line(52, 89),
        horizontal_line(55, 92),
        horizontal_line(57, 95),
        horizontal_line(60, 98),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(80, 110),
        horizontal_line(98, 110),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(21, 83),
        horizontal_line(26, 88),
        horizontal_line(30, 92),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(46, 103),
        horizontal_line(51, 103),
        horizontal_line(55, 103),
        horizontal_line(59, 102),
        horizontal_line(63, 102),
        horizontal_line(67, 101),
        horizontal_line(71, 101),
        horizontal_line(76, 101),
        horizontal_line(80, 100),
        horizontal_line(84, 100),
        horizontal_line(88, 100),
        horizontal_line(92, 99),
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(94, 100),
        horizontal_line(91, 100),
        horizontal_line(87, 101),
        horizontal_line(84, 102),
        horizontal_line(81, 102),
        horizontal_line(77, 103),
        horizontal_line(74, 103),
        horizontal_line(71, 104),
        horizontal_line(67, 105),
        horizontal_line(64, 105),
        horizontal_line(61, 106),
        horizontal_line(57, 107),
        horizontal_line(54, 107),
        horizontal_line(51, 108),
        horizontal_line(47, 108),
        horizontal_line(44, 106),
        horizontal_line(41, 103),
        horizontal_line(37, 99),
    };

    constexpr const horizontal_line frame_791_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const shape frame_791_shape_group_1_shapes[] = {
        shape(frame_791_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_791_shape_group_1_shape_1_horizontal_lines, 20, 1),
        shape(frame_791_shape_group_1_shape_2_horizontal_lines, 84, 14),
        shape(frame_791_shape_group_1_shape_3_horizontal_lines, 88, 6),
        shape(frame_791_shape_group_1_shape_4_horizontal_lines, 114, 8),
        shape(frame_791_shape_group_1_shape_5_horizontal_lines, 115, 6),
        shape(frame_791_shape_group_1_shape_6_horizontal_lines, 134, 14),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(142, 172),
        horizontal_line(141, 170),
        horizontal_line(141, 169),
        horizontal_line(140, 167),
        horizontal_line(140, 166),
        horizontal_line(140, 164),
        horizontal_line(139, 163),
        horizontal_line(139, 162),
        horizontal_line(139, 160),
        horizontal_line(138, 159),
        horizontal_line(138, 157),
        horizontal_line(138, 156),
        horizontal_line(137, 154),
        horizontal_line(137, 153),
        horizontal_line(137, 152),
        horizontal_line(136, 150),
        horizontal_line(136, 149),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(135, 144),
        horizontal_line(64, 105),
        horizontal_line(67, 108),
        horizontal_line(69, 111),
        horizontal_line(72, 114),
        horizontal_line(74, 118),
        horizontal_line(76, 121),
        horizontal_line(79, 124),
        horizontal_line(81, 127),
        horizontal_line(84, 132),
        horizontal_line(86, 130),
        horizontal_line(88, 130),
        horizontal_line(91, 129),
        horizontal_line(93, 129),
        horizontal_line(96, 129),
        horizontal_line(98, 128),
        horizontal_line(100, 128),
        horizontal_line(103, 128),
        horizontal_line(105, 127),
        horizontal_line(107, 127),
        horizontal_line(110, 126),
        horizontal_line(112, 126),
        horizontal_line(115, 126),
        horizontal_line(117, 125),
        horizontal_line(119, 125),
        horizontal_line(122, 125),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(63, 107),
        horizontal_line(67, 107),
        horizontal_line(71, 107),
        horizontal_line(75, 106),
        horizontal_line(79, 106),
        horizontal_line(83, 106),
        horizontal_line(88, 105),
        horizontal_line(92, 105),
        horizontal_line(96, 104),
        horizontal_line(100, 104),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 50),
        horizontal_line(0, 54),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 100),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_791_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(103, 110),
        horizontal_line(99, 110),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_791_shape_group_2_shapes[] = {
        shape(frame_791_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_791_shape_group_2_shape_1_horizontal_lines, 46, 1),
        shape(frame_791_shape_group_2_shape_2_horizontal_lines, 47, 14),
        shape(frame_791_shape_group_2_shape_3_horizontal_lines, 84, 6),
        shape(frame_791_shape_group_2_shape_4_horizontal_lines, 101, 8),
        shape(frame_791_shape_group_2_shape_5_horizontal_lines, 131, 6),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(134, 143),
        horizontal_line(134, 142),
        horizontal_line(134, 140),
        horizontal_line(133, 139),
        horizontal_line(133, 137),
        horizontal_line(133, 136),
        horizontal_line(132, 134),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 90),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 66),
        horizontal_line(62, 70),
        horizontal_line(62, 75),
        horizontal_line(62, 79),
        horizontal_line(62, 83),
        horizontal_line(62, 87),
        horizontal_line(62, 91),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 90),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 76),
        horizontal_line(62, 73),
        horizontal_line(62, 70),
        horizontal_line(62, 66),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_791_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(96, 111),
        horizontal_line(93, 112),
        horizontal_line(89, 112),
        horizontal_line(86, 113),
        horizontal_line(83, 113),
        horizontal_line(79, 114),
        horizontal_line(76, 115),
        horizontal_line(73, 115),
        horizontal_line(69, 116),
        horizontal_line(66, 117),
        horizontal_line(63, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_791_shape_group_3_shapes[] = {
        shape(frame_791_shape_group_3_shape_0_horizontal_lines, 20, 4),
        shape(frame_791_shape_group_3_shape_1_horizontal_lines, 28, 11),
        shape(frame_791_shape_group_3_shape_2_horizontal_lines, 41, 14),
        shape(frame_791_shape_group_3_shape_3_horizontal_lines, 82, 6),
        shape(frame_791_shape_group_3_shape_4_horizontal_lines, 85, 6),
        shape(frame_791_shape_group_3_shape_5_horizontal_lines, 90, 8),
        shape(frame_791_shape_group_3_shape_6_horizontal_lines, 105, 8),
        shape(frame_791_shape_group_3_shape_7_horizontal_lines, 115, 8),
        shape(frame_791_shape_group_3_shape_8_horizontal_lines, 131, 8),
        shape(frame_791_shape_group_3_shape_9_horizontal_lines, 134, 6),
    };

    constexpr const horizontal_line frame_791_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_791_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_791_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
    };

    constexpr const shape frame_791_shape_group_4_shapes[] = {
        shape(frame_791_shape_group_4_shape_0_horizontal_lines, 23, 11),
        shape(frame_791_shape_group_4_shape_1_horizontal_lines, 134, 8),
        shape(frame_791_shape_group_4_shape_2_horizontal_lines, 155, 6),
    };

    constexpr const shape_group frame_791_shape_groups[] = {
        shape_group(frame_791_shape_group_0_shapes),
        shape_group(frame_791_shape_group_1_shapes),
        shape_group(frame_791_shape_group_2_shapes),
        shape_group(frame_791_shape_group_3_shapes),
        shape_group(frame_791_shape_group_4_shapes),
    };

    constexpr const frame frame_791_impl(frame_791_colors, frame_791_shape_groups);
} 

const frame& frame_791()
{
    return frame_791_impl;
}

namespace
{
    constexpr const bn::color frame_792_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_792_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(18, 80),
        horizontal_line(36, 98),
        horizontal_line(54, 113),
        horizontal_line(72, 113),
        horizontal_line(91, 112),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_792_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(10, 72),
        horizontal_line(15, 77),
        horizontal_line(19, 81),
        horizontal_line(24, 86),
        horizontal_line(29, 91),
        horizontal_line(33, 95),
        horizontal_line(38, 100),
        horizontal_line(43, 105),
        horizontal_line(47, 106),
        horizontal_line(52, 106),
        horizontal_line(57, 105),
        horizontal_line(61, 105),
        horizontal_line(66, 105),
        horizontal_line(71, 104),
        horizontal_line(75, 104),
        horizontal_line(80, 103),
        horizontal_line(85, 103),
        horizontal_line(89, 103),
        horizontal_line(94, 102),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_792_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_792_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(98, 103),
        horizontal_line(95, 103),
        horizontal_line(92, 104),
        horizontal_line(90, 105),
        horizontal_line(87, 105),
        horizontal_line(84, 106),
        horizontal_line(81, 106),
        horizontal_line(78, 107),
        horizontal_line(76, 108),
        horizontal_line(73, 108),
        horizontal_line(70, 109),
        horizontal_line(67, 109),
        horizontal_line(65, 110),
        horizontal_line(62, 111),
        horizontal_line(59, 111),
        horizontal_line(56, 112),
        horizontal_line(53, 112),
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_792_shape_group_0_shapes[] = {
        shape(frame_792_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_792_shape_group_0_shape_1_horizontal_lines, 89, 6),
        shape(frame_792_shape_group_0_shape_2_horizontal_lines, 116, 8),
        shape(frame_792_shape_group_0_shape_3_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_792_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(22, 51),
        horizontal_line(24, 54),
        horizontal_line(26, 57),
        horizontal_line(29, 60),
        horizontal_line(31, 64),
        horizontal_line(33, 67),
        horizontal_line(36, 70),
        horizontal_line(38, 73),
        horizontal_line(40, 77),
        horizontal_line(43, 80),
        horizontal_line(45, 83),
        horizontal_line(47, 86),
        horizontal_line(50, 90),
        horizontal_line(52, 93),
        horizontal_line(54, 96),
        horizontal_line(57, 100),
        horizontal_line(59, 103),
        horizontal_line(61, 106),
    };

    constexpr const horizontal_line frame_792_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 81),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(80, 114),
        horizontal_line(98, 114),
    };

    constexpr const horizontal_line frame_792_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(63, 110),
        horizontal_line(67, 109),
        horizontal_line(72, 109),
        horizontal_line(77, 109),
        horizontal_line(81, 108),
        horizontal_line(86, 108),
        horizontal_line(91, 108),
        horizontal_line(95, 107),
        horizontal_line(100, 107),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_792_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 51),
        horizontal_line(0, 56),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_792_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(110, 114),
        horizontal_line(107, 114),
        horizontal_line(104, 115),
        horizontal_line(101, 115),
        horizontal_line(99, 116),
        horizontal_line(96, 117),
        horizontal_line(93, 117),
        horizontal_line(90, 118),
        horizontal_line(88, 118),
        horizontal_line(85, 119),
        horizontal_line(82, 120),
        horizontal_line(79, 120),
        horizontal_line(76, 121),
        horizontal_line(74, 121),
        horizontal_line(71, 122),
        horizontal_line(68, 123),
        horizontal_line(65, 123),
        horizontal_line(63, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_792_shape_group_1_shapes[] = {
        shape(frame_792_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_792_shape_group_1_shape_1_horizontal_lines, 18, 1),
        shape(frame_792_shape_group_1_shape_2_horizontal_lines, 85, 6),
        shape(frame_792_shape_group_1_shape_3_horizontal_lines, 104, 8),
        shape(frame_792_shape_group_1_shape_4_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(148, 176),
        horizontal_line(147, 174),
        horizontal_line(147, 173),
        horizontal_line(146, 171),
        horizontal_line(146, 170),
        horizontal_line(145, 168),
        horizontal_line(145, 167),
        horizontal_line(145, 165),
        horizontal_line(144, 164),
        horizontal_line(144, 162),
        horizontal_line(143, 161),
        horizontal_line(143, 159),
        horizontal_line(142, 158),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(141, 153),
        horizontal_line(141, 152),
        horizontal_line(140, 150),
        horizontal_line(64, 109),
        horizontal_line(66, 113),
        horizontal_line(68, 116),
        horizontal_line(71, 119),
        horizontal_line(73, 122),
        horizontal_line(75, 126),
        horizontal_line(78, 129),
        horizontal_line(80, 132),
        horizontal_line(82, 137),
        horizontal_line(85, 135),
        horizontal_line(87, 135),
        horizontal_line(89, 134),
        horizontal_line(92, 134),
        horizontal_line(94, 134),
        horizontal_line(96, 133),
        horizontal_line(99, 133),
        horizontal_line(101, 132),
        horizontal_line(103, 132),
        horizontal_line(106, 132),
        horizontal_line(108, 131),
        horizontal_line(110, 131),
        horizontal_line(113, 131),
        horizontal_line(115, 130),
        horizontal_line(117, 130),
        horizontal_line(120, 129),
        horizontal_line(122, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 90),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 23),
        horizontal_line(0, 28),
        horizontal_line(0, 32),
        horizontal_line(0, 37),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 70),
        horizontal_line(62, 74),
        horizontal_line(62, 79),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
        horizontal_line(62, 93),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(62, 100),
        horizontal_line(62, 97),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 72),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_792_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
    };

    constexpr const shape frame_792_shape_group_2_shapes[] = {
        shape(frame_792_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_792_shape_group_2_shape_1_horizontal_lines, 45, 1),
        shape(frame_792_shape_group_2_shape_2_horizontal_lines, 83, 6),
        shape(frame_792_shape_group_2_shape_3_horizontal_lines, 86, 6),
        shape(frame_792_shape_group_2_shape_4_horizontal_lines, 94, 8),
        shape(frame_792_shape_group_2_shape_5_horizontal_lines, 108, 8),
        shape(frame_792_shape_group_2_shape_6_horizontal_lines, 117, 8),
        shape(frame_792_shape_group_2_shape_7_horizontal_lines, 131, 14),
        shape(frame_792_shape_group_2_shape_8_horizontal_lines, 135, 8),
        shape(frame_792_shape_group_2_shape_9_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_792_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(139, 147),
        horizontal_line(139, 146),
        horizontal_line(139, 144),
        horizontal_line(138, 143),
        horizontal_line(138, 141),
        horizontal_line(137, 140),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_792_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_792_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_792_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_792_shape_group_3_shapes[] = {
        shape(frame_792_shape_group_3_shape_0_horizontal_lines, 18, 4),
        shape(frame_792_shape_group_3_shape_1_horizontal_lines, 45, 4),
        shape(frame_792_shape_group_3_shape_2_horizontal_lines, 129, 14),
        shape(frame_792_shape_group_3_shape_3_horizontal_lines, 135, 14),
    };

    constexpr const shape_group frame_792_shape_groups[] = {
        shape_group(frame_792_shape_group_0_shapes),
        shape_group(frame_792_shape_group_1_shapes),
        shape_group(frame_792_shape_group_2_shapes),
        shape_group(frame_792_shape_group_3_shapes),
    };

    constexpr const frame frame_792_impl(frame_792_colors, frame_792_shape_groups);
} 

const frame& frame_792()
{
    return frame_792_impl;
}

namespace
{
    constexpr const bn::color frame_793_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_793_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(23, 85),
        horizontal_line(47, 109),
        horizontal_line(70, 116),
        horizontal_line(94, 116),
    };

    constexpr const horizontal_line frame_793_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(10, 72),
        horizontal_line(15, 77),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(29, 91),
        horizontal_line(34, 96),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(48, 108),
        horizontal_line(53, 108),
        horizontal_line(58, 107),
        horizontal_line(63, 107),
        horizontal_line(67, 107),
        horizontal_line(72, 106),
        horizontal_line(77, 106),
        horizontal_line(82, 105),
        horizontal_line(86, 105),
        horizontal_line(91, 105),
        horizontal_line(96, 104),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_793_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_793_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(101, 105),
        horizontal_line(98, 105),
        horizontal_line(96, 106),
        horizontal_line(93, 107),
        horizontal_line(91, 107),
        horizontal_line(89, 108),
        horizontal_line(86, 109),
        horizontal_line(84, 109),
        horizontal_line(81, 110),
        horizontal_line(79, 111),
        horizontal_line(76, 111),
        horizontal_line(74, 112),
        horizontal_line(72, 113),
        horizontal_line(69, 113),
        horizontal_line(67, 114),
        horizontal_line(64, 115),
        horizontal_line(62, 115),
        horizontal_line(59, 116),
        horizontal_line(57, 117),
        horizontal_line(55, 117),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
    };

    constexpr const shape frame_793_shape_group_0_shapes[] = {
        shape(frame_793_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_793_shape_group_0_shape_1_horizontal_lines, 89, 6),
        shape(frame_793_shape_group_0_shape_2_horizontal_lines, 119, 8),
        shape(frame_793_shape_group_0_shape_3_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_793_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(26, 61),
        horizontal_line(28, 64),
        horizontal_line(30, 67),
        horizontal_line(32, 70),
        horizontal_line(35, 73),
        horizontal_line(37, 76),
        horizontal_line(39, 79),
        horizontal_line(41, 82),
        horizontal_line(44, 85),
        horizontal_line(46, 88),
        horizontal_line(48, 91),
        horizontal_line(51, 94),
        horizontal_line(53, 97),
        horizontal_line(55, 101),
        horizontal_line(57, 104),
        horizontal_line(60, 107),
        horizontal_line(62, 110),
    };

    constexpr const horizontal_line frame_793_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 81),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 118),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(85, 117),
        horizontal_line(109, 117),
    };

    constexpr const horizontal_line frame_793_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(63, 112),
        horizontal_line(67, 112),
        horizontal_line(72, 111),
        horizontal_line(77, 111),
        horizontal_line(82, 111),
        horizontal_line(86, 110),
        horizontal_line(91, 110),
        horizontal_line(96, 109),
        horizontal_line(101, 109),
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_793_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 52),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 105),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_793_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(114, 118),
        horizontal_line(112, 118),
        horizontal_line(109, 119),
        horizontal_line(107, 120),
        horizontal_line(104, 120),
        horizontal_line(102, 121),
        horizontal_line(100, 122),
        horizontal_line(97, 122),
        horizontal_line(95, 123),
        horizontal_line(92, 124),
        horizontal_line(90, 124),
        horizontal_line(87, 125),
        horizontal_line(85, 126),
        horizontal_line(83, 126),
        horizontal_line(80, 127),
        horizontal_line(78, 128),
        horizontal_line(75, 128),
        horizontal_line(73, 129),
        horizontal_line(71, 130),
    };

    constexpr const shape frame_793_shape_group_1_shapes[] = {
        shape(frame_793_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_793_shape_group_1_shape_1_horizontal_lines, 17, 1),
        shape(frame_793_shape_group_1_shape_2_horizontal_lines, 87, 6),
        shape(frame_793_shape_group_1_shape_3_horizontal_lines, 107, 8),
        shape(frame_793_shape_group_1_shape_4_horizontal_lines, 140, 6),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(154, 181),
        horizontal_line(153, 179),
        horizontal_line(153, 178),
        horizontal_line(152, 176),
        horizontal_line(152, 175),
        horizontal_line(151, 173),
        horizontal_line(151, 172),
        horizontal_line(150, 170),
        horizontal_line(150, 169),
        horizontal_line(149, 167),
        horizontal_line(149, 166),
        horizontal_line(148, 164),
        horizontal_line(148, 163),
        horizontal_line(148, 161),
        horizontal_line(147, 160),
        horizontal_line(147, 158),
        horizontal_line(146, 157),
        horizontal_line(64, 113),
        horizontal_line(66, 116),
        horizontal_line(69, 119),
        horizontal_line(71, 122),
        horizontal_line(73, 125),
        horizontal_line(76, 128),
        horizontal_line(78, 131),
        horizontal_line(80, 134),
        horizontal_line(82, 137),
        horizontal_line(85, 142),
        horizontal_line(87, 140),
        horizontal_line(89, 140),
        horizontal_line(91, 139),
        horizontal_line(94, 139),
        horizontal_line(96, 139),
        horizontal_line(98, 138),
        horizontal_line(101, 138),
        horizontal_line(103, 137),
        horizontal_line(105, 137),
        horizontal_line(107, 137),
        horizontal_line(110, 136),
        horizontal_line(112, 136),
        horizontal_line(114, 135),
        horizontal_line(116, 135),
        horizontal_line(119, 135),
        horizontal_line(121, 134),
        horizontal_line(123, 134),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 46),
        horizontal_line(62, 69),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 28),
        horizontal_line(0, 33),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 66),
        horizontal_line(62, 71),
        horizontal_line(62, 76),
        horizontal_line(62, 81),
        horizontal_line(62, 85),
        horizontal_line(62, 90),
        horizontal_line(62, 95),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 102),
        horizontal_line(62, 100),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 88),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_793_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
    };

    constexpr const shape frame_793_shape_group_2_shapes[] = {
        shape(frame_793_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_793_shape_group_2_shape_1_horizontal_lines, 44, 1),
        shape(frame_793_shape_group_2_shape_2_horizontal_lines, 85, 6),
        shape(frame_793_shape_group_2_shape_3_horizontal_lines, 97, 8),
        shape(frame_793_shape_group_2_shape_4_horizontal_lines, 110, 8),
        shape(frame_793_shape_group_2_shape_5_horizontal_lines, 120, 8),
        shape(frame_793_shape_group_2_shape_6_horizontal_lines, 140, 8),
    };

    constexpr const horizontal_line frame_793_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(146, 155),
        horizontal_line(145, 154),
        horizontal_line(145, 152),
        horizontal_line(144, 151),
        horizontal_line(144, 149),
        horizontal_line(143, 148),
        horizontal_line(143, 146),
        horizontal_line(142, 145),
        horizontal_line(142, 143),
    };

    constexpr const horizontal_line frame_793_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 133),
        horizontal_line(128, 133),
        horizontal_line(130, 133),
        horizontal_line(132, 132),
    };

    constexpr const shape frame_793_shape_group_3_shapes[] = {
        shape(frame_793_shape_group_3_shape_0_horizontal_lines, 17, 4),
        shape(frame_793_shape_group_3_shape_1_horizontal_lines, 44, 4),
    };

    constexpr const shape_group frame_793_shape_groups[] = {
        shape_group(frame_793_shape_group_0_shapes),
        shape_group(frame_793_shape_group_1_shapes),
        shape_group(frame_793_shape_group_2_shapes),
        shape_group(frame_793_shape_group_3_shapes),
    };

    constexpr const frame frame_793_impl(frame_793_colors, frame_793_shape_groups);
} 

const frame& frame_793()
{
    return frame_793_impl;
}

namespace
{
    constexpr const bn::color frame_794_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_794_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(33, 95),
        horizontal_line(66, 120),
        horizontal_line(99, 120),
    };

    constexpr const horizontal_line frame_794_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(11, 73),
        horizontal_line(16, 78),
        horizontal_line(21, 83),
        horizontal_line(26, 88),
        horizontal_line(31, 93),
        horizontal_line(37, 99),
        horizontal_line(42, 104),
        horizontal_line(47, 109),
        horizontal_line(52, 111),
        horizontal_line(57, 110),
        horizontal_line(62, 110),
        horizontal_line(67, 110),
        horizontal_line(73, 109),
        horizontal_line(78, 109),
        horizontal_line(83, 108),
        horizontal_line(88, 108),
        horizontal_line(93, 108),
        horizontal_line(98, 107),
        horizontal_line(103, 107),
    };

    constexpr const horizontal_line frame_794_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_794_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(106, 107),
        horizontal_line(104, 108),
        horizontal_line(102, 108),
        horizontal_line(100, 109),
        horizontal_line(98, 110),
        horizontal_line(96, 110),
        horizontal_line(94, 111),
        horizontal_line(92, 112),
        horizontal_line(90, 112),
        horizontal_line(88, 113),
        horizontal_line(86, 114),
        horizontal_line(84, 114),
        horizontal_line(82, 115),
        horizontal_line(80, 116),
        horizontal_line(78, 116),
        horizontal_line(76, 117),
        horizontal_line(74, 118),
        horizontal_line(72, 118),
        horizontal_line(69, 119),
        horizontal_line(67, 119),
        horizontal_line(65, 120),
        horizontal_line(63, 121),
        horizontal_line(61, 121),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
    };

    constexpr const shape frame_794_shape_group_0_shapes[] = {
        shape(frame_794_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_794_shape_group_0_shape_1_horizontal_lines, 90, 6),
        shape(frame_794_shape_group_0_shape_2_horizontal_lines, 122, 8),
        shape(frame_794_shape_group_0_shape_3_horizontal_lines, 123, 6),
    };

    constexpr const horizontal_line frame_794_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(31, 72),
        horizontal_line(33, 75),
        horizontal_line(35, 78),
        horizontal_line(37, 81),
        horizontal_line(39, 84),
        horizontal_line(42, 87),
        horizontal_line(44, 90),
        horizontal_line(46, 93),
        horizontal_line(48, 96),
        horizontal_line(50, 99),
        horizontal_line(53, 102),
        horizontal_line(55, 105),
        horizontal_line(57, 109),
        horizontal_line(59, 112),
        horizontal_line(61, 115),
    };

    constexpr const horizontal_line frame_794_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(95, 120),
    };

    constexpr const horizontal_line frame_794_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(63, 115),
        horizontal_line(68, 114),
        horizontal_line(73, 114),
        horizontal_line(78, 114),
        horizontal_line(83, 113),
        horizontal_line(88, 113),
        horizontal_line(93, 112),
        horizontal_line(99, 112),
        horizontal_line(104, 112),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_794_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 56),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 108),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
    };

    constexpr const horizontal_line frame_794_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(119, 123),
        horizontal_line(117, 123),
        horizontal_line(115, 124),
        horizontal_line(113, 125),
        horizontal_line(111, 125),
        horizontal_line(109, 126),
        horizontal_line(107, 127),
        horizontal_line(105, 127),
        horizontal_line(103, 128),
        horizontal_line(101, 129),
        horizontal_line(99, 129),
        horizontal_line(97, 130),
        horizontal_line(95, 131),
    };

    constexpr const shape frame_794_shape_group_1_shapes[] = {
        shape(frame_794_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_794_shape_group_1_shape_1_horizontal_lines, 15, 1),
        shape(frame_794_shape_group_1_shape_2_horizontal_lines, 88, 6),
        shape(frame_794_shape_group_1_shape_3_horizontal_lines, 111, 8),
        shape(frame_794_shape_group_1_shape_4_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(160, 187),
        horizontal_line(159, 185),
        horizontal_line(158, 183),
        horizontal_line(158, 182),
        horizontal_line(157, 180),
        horizontal_line(157, 178),
        horizontal_line(156, 177),
        horizontal_line(156, 175),
        horizontal_line(155, 173),
        horizontal_line(155, 172),
        horizontal_line(154, 170),
        horizontal_line(154, 168),
        horizontal_line(153, 167),
        horizontal_line(152, 165),
        horizontal_line(152, 163),
        horizontal_line(64, 118),
        horizontal_line(66, 121),
        horizontal_line(68, 124),
        horizontal_line(70, 127),
        horizontal_line(73, 130),
        horizontal_line(75, 133),
        horizontal_line(77, 136),
        horizontal_line(79, 139),
        horizontal_line(81, 142),
        horizontal_line(84, 146),
        horizontal_line(86, 145),
        horizontal_line(88, 145),
        horizontal_line(90, 144),
        horizontal_line(92, 144),
        horizontal_line(95, 144),
        horizontal_line(97, 143),
        horizontal_line(99, 143),
        horizontal_line(101, 142),
        horizontal_line(104, 142),
        horizontal_line(106, 142),
        horizontal_line(108, 141),
        horizontal_line(110, 141),
        horizontal_line(112, 140),
        horizontal_line(115, 140),
        horizontal_line(117, 140),
        horizontal_line(119, 139),
        horizontal_line(121, 139),
        horizontal_line(123, 138),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(62, 65),
        horizontal_line(62, 98),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
        horizontal_line(0, 15),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
        horizontal_line(0, 30),
        horizontal_line(0, 36),
        horizontal_line(0, 41),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 72),
        horizontal_line(62, 77),
        horizontal_line(62, 82),
        horizontal_line(62, 87),
        horizontal_line(62, 92),
        horizontal_line(62, 97),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_794_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
    };

    constexpr const shape frame_794_shape_group_2_shapes[] = {
        shape(frame_794_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_794_shape_group_2_shape_1_horizontal_lines, 43, 1),
        shape(frame_794_shape_group_2_shape_2_horizontal_lines, 87, 6),
        shape(frame_794_shape_group_2_shape_3_horizontal_lines, 101, 8),
        shape(frame_794_shape_group_2_shape_4_horizontal_lines, 114, 8),
        shape(frame_794_shape_group_2_shape_5_horizontal_lines, 123, 8),
        shape(frame_794_shape_group_2_shape_6_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_794_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(151, 162),
        horizontal_line(151, 160),
        horizontal_line(150, 158),
        horizontal_line(150, 157),
        horizontal_line(149, 155),
        horizontal_line(149, 153),
        horizontal_line(148, 152),
        horizontal_line(148, 150),
        horizontal_line(147, 148),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_794_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(128, 138),
        horizontal_line(130, 137),
        horizontal_line(132, 137),
        horizontal_line(134, 136),
    };

    constexpr const shape frame_794_shape_group_3_shapes[] = {
        shape(frame_794_shape_group_3_shape_0_horizontal_lines, 15, 4),
        shape(frame_794_shape_group_3_shape_1_horizontal_lines, 43, 4),
    };

    constexpr const shape_group frame_794_shape_groups[] = {
        shape_group(frame_794_shape_group_0_shapes),
        shape_group(frame_794_shape_group_1_shapes),
        shape_group(frame_794_shape_group_2_shapes),
        shape_group(frame_794_shape_group_3_shapes),
    };

    constexpr const frame frame_794_impl(frame_794_colors, frame_794_shape_groups);
} 

const frame& frame_794()
{
    return frame_794_impl;
}

namespace
{
    constexpr const bn::color frame_795_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_795_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(55, 117),
        horizontal_line(110, 125),
    };

    constexpr const horizontal_line frame_795_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(11, 73),
        horizontal_line(17, 79),
        horizontal_line(22, 84),
        horizontal_line(27, 89),
        horizontal_line(33, 95),
        horizontal_line(38, 100),
        horizontal_line(43, 105),
        horizontal_line(49, 111),
        horizontal_line(54, 115),
        horizontal_line(59, 114),
        horizontal_line(65, 114),
        horizontal_line(70, 114),
        horizontal_line(75, 113),
        horizontal_line(81, 113),
        horizontal_line(86, 112),
        horizontal_line(91, 112),
        horizontal_line(97, 112),
        horizontal_line(102, 111),
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_795_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_795_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(109, 112),
        horizontal_line(107, 113),
        horizontal_line(105, 113),
        horizontal_line(103, 114),
        horizontal_line(102, 115),
        horizontal_line(100, 115),
        horizontal_line(98, 116),
        horizontal_line(96, 117),
        horizontal_line(94, 117),
        horizontal_line(93, 118),
        horizontal_line(91, 119),
        horizontal_line(89, 119),
        horizontal_line(87, 120),
        horizontal_line(85, 121),
        horizontal_line(83, 121),
        horizontal_line(82, 122),
        horizontal_line(80, 123),
        horizontal_line(78, 123),
        horizontal_line(76, 124),
        horizontal_line(74, 125),
        horizontal_line(73, 125),
        horizontal_line(71, 126),
        horizontal_line(69, 127),
        horizontal_line(67, 127),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
    };

    constexpr const shape frame_795_shape_group_0_shapes[] = {
        shape(frame_795_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_795_shape_group_0_shape_1_horizontal_lines, 91, 6),
        shape(frame_795_shape_group_0_shape_2_horizontal_lines, 126, 8),
        shape(frame_795_shape_group_0_shape_3_horizontal_lines, 127, 6),
    };

    constexpr const horizontal_line frame_795_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(36, 84),
        horizontal_line(38, 86),
        horizontal_line(40, 89),
        horizontal_line(42, 92),
        horizontal_line(44, 95),
        horizontal_line(46, 98),
        horizontal_line(48, 101),
        horizontal_line(51, 104),
        horizontal_line(53, 107),
        horizontal_line(55, 110),
        horizontal_line(57, 113),
        horizontal_line(59, 116),
        horizontal_line(61, 119),
    };

    constexpr const horizontal_line frame_795_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 106),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_795_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(63, 119),
        horizontal_line(68, 118),
        horizontal_line(73, 118),
        horizontal_line(79, 118),
        horizontal_line(84, 117),
        horizontal_line(89, 117),
        horizontal_line(95, 116),
        horizontal_line(100, 116),
        horizontal_line(105, 116),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_795_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 112),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_795_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(125, 129),
        horizontal_line(124, 129),
        horizontal_line(122, 130),
        horizontal_line(120, 131),
        horizontal_line(118, 131),
        horizontal_line(116, 132),
        horizontal_line(115, 133),
    };

    constexpr const shape frame_795_shape_group_1_shapes[] = {
        shape(frame_795_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_795_shape_group_1_shape_1_horizontal_lines, 13, 1),
        shape(frame_795_shape_group_1_shape_2_horizontal_lines, 90, 6),
        shape(frame_795_shape_group_1_shape_3_horizontal_lines, 115, 8),
        shape(frame_795_shape_group_1_shape_4_horizontal_lines, 152, 6),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(167, 191),
        horizontal_line(166, 189),
        horizontal_line(165, 187),
        horizontal_line(165, 186),
        horizontal_line(164, 184),
        horizontal_line(163, 182),
        horizontal_line(163, 181),
        horizontal_line(162, 179),
        horizontal_line(162, 177),
        horizontal_line(161, 176),
        horizontal_line(160, 174),
        horizontal_line(160, 172),
        horizontal_line(159, 171),
        horizontal_line(63, 122),
        horizontal_line(66, 125),
        horizontal_line(68, 128),
        horizontal_line(70, 131),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 150),
        horizontal_line(94, 150),
        horizontal_line(96, 150),
        horizontal_line(98, 149),
        horizontal_line(100, 149),
        horizontal_line(102, 148),
        horizontal_line(104, 148),
        horizontal_line(107, 148),
        horizontal_line(109, 147),
        horizontal_line(111, 147),
        horizontal_line(113, 146),
        horizontal_line(115, 146),
        horizontal_line(117, 146),
        horizontal_line(119, 145),
        horizontal_line(122, 145),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(62, 109),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
        horizontal_line(0, 37),
        horizontal_line(0, 42),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 69),
        horizontal_line(62, 74),
        horizontal_line(62, 80),
        horizontal_line(62, 85),
        horizontal_line(62, 90),
        horizontal_line(62, 96),
        horizontal_line(62, 101),
        horizontal_line(62, 106),
    };

    constexpr const horizontal_line frame_795_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
    };

    constexpr const shape frame_795_shape_group_2_shapes[] = {
        shape(frame_795_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_795_shape_group_2_shape_1_horizontal_lines, 42, 1),
        shape(frame_795_shape_group_2_shape_2_horizontal_lines, 89, 6),
        shape(frame_795_shape_group_2_shape_3_horizontal_lines, 105, 8),
        shape(frame_795_shape_group_2_shape_4_horizontal_lines, 117, 8),
        shape(frame_795_shape_group_2_shape_5_horizontal_lines, 127, 8),
    };

    constexpr const horizontal_line frame_795_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(158, 167),
        horizontal_line(157, 166),
        horizontal_line(157, 164),
        horizontal_line(156, 162),
        horizontal_line(156, 161),
        horizontal_line(155, 159),
        horizontal_line(154, 157),
        horizontal_line(154, 156),
        horizontal_line(153, 154),
        horizontal_line(147, 153),
        horizontal_line(149, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_795_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 144),
        horizontal_line(128, 144),
        horizontal_line(130, 143),
        horizontal_line(132, 143),
        horizontal_line(134, 142),
        horizontal_line(137, 142),
        horizontal_line(139, 142),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_795_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_795_shape_group_3_shapes[] = {
        shape(frame_795_shape_group_3_shape_0_horizontal_lines, 13, 4),
        shape(frame_795_shape_group_3_shape_1_horizontal_lines, 42, 4),
        shape(frame_795_shape_group_3_shape_2_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_795_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(136, 137),
        horizontal_line(138, 140),
        horizontal_line(141, 143),
        horizontal_line(143, 146),
        horizontal_line(145, 149),
    };

    constexpr const shape frame_795_shape_group_4_shapes[] = {
        shape(frame_795_shape_group_4_shape_0_horizontal_lines, 17, 4),
    };

    constexpr const shape_group frame_795_shape_groups[] = {
        shape_group(frame_795_shape_group_0_shapes),
        shape_group(frame_795_shape_group_1_shapes),
        shape_group(frame_795_shape_group_2_shapes),
        shape_group(frame_795_shape_group_3_shapes),
        shape_group(frame_795_shape_group_4_shapes),
    };

    constexpr const frame frame_795_impl(frame_795_colors, frame_795_shape_groups);
} 

const frame& frame_795()
{
    return frame_795_impl;
}

namespace
{
    constexpr const bn::color frame_796_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_796_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(83, 129),
    };

    constexpr const horizontal_line frame_796_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(12, 74),
        horizontal_line(18, 80),
        horizontal_line(24, 86),
        horizontal_line(29, 91),
        horizontal_line(35, 97),
        horizontal_line(41, 103),
        horizontal_line(47, 109),
        horizontal_line(52, 114),
        horizontal_line(58, 118),
        horizontal_line(64, 117),
        horizontal_line(70, 117),
        horizontal_line(75, 116),
        horizontal_line(81, 116),
        horizontal_line(87, 116),
        horizontal_line(93, 115),
        horizontal_line(98, 115),
        horizontal_line(104, 114),
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_796_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_796_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(112, 115),
        horizontal_line(111, 116),
        horizontal_line(109, 116),
        horizontal_line(108, 117),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(103, 119),
        horizontal_line(102, 120),
        horizontal_line(100, 120),
        horizontal_line(99, 121),
        horizontal_line(97, 122),
        horizontal_line(96, 122),
        horizontal_line(94, 123),
        horizontal_line(93, 124),
        horizontal_line(91, 125),
        horizontal_line(90, 125),
        horizontal_line(88, 126),
        horizontal_line(87, 127),
        horizontal_line(85, 127),
        horizontal_line(84, 128),
        horizontal_line(82, 129),
        horizontal_line(81, 129),
        horizontal_line(79, 130),
        horizontal_line(78, 131),
        horizontal_line(76, 131),
        horizontal_line(75, 132),
        horizontal_line(73, 133),
        horizontal_line(72, 134),
    };

    constexpr const shape frame_796_shape_group_0_shapes[] = {
        shape(frame_796_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_796_shape_group_0_shape_1_horizontal_lines, 92, 6),
        shape(frame_796_shape_group_0_shape_2_horizontal_lines, 130, 8),
        shape(frame_796_shape_group_0_shape_3_horizontal_lines, 131, 6),
    };

    constexpr const horizontal_line frame_796_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(40, 97),
        horizontal_line(42, 99),
        horizontal_line(44, 102),
        horizontal_line(46, 105),
        horizontal_line(48, 108),
        horizontal_line(50, 110),
        horizontal_line(52, 113),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_796_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_796_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(63, 122),
        horizontal_line(68, 121),
        horizontal_line(74, 121),
        horizontal_line(80, 120),
        horizontal_line(86, 120),
        horizontal_line(91, 120),
        horizontal_line(97, 119),
        horizontal_line(103, 119),
        horizontal_line(109, 118),
        horizontal_line(114, 118),
    };

    constexpr const horizontal_line frame_796_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 115),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_796_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const shape frame_796_shape_group_1_shapes[] = {
        shape(frame_796_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_796_shape_group_1_shape_1_horizontal_lines, 11, 1),
        shape(frame_796_shape_group_1_shape_2_horizontal_lines, 91, 6),
        shape(frame_796_shape_group_1_shape_3_horizontal_lines, 120, 8),
        shape(frame_796_shape_group_1_shape_4_horizontal_lines, 159, 6),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(173, 198),
        horizontal_line(172, 196),
        horizontal_line(171, 194),
        horizontal_line(171, 192),
        horizontal_line(170, 190),
        horizontal_line(169, 189),
        horizontal_line(169, 187),
        horizontal_line(168, 185),
        horizontal_line(167, 183),
        horizontal_line(167, 182),
        horizontal_line(166, 180),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 155),
        horizontal_line(98, 155),
        horizontal_line(100, 155),
        horizontal_line(102, 154),
        horizontal_line(104, 154),
        horizontal_line(106, 153),
        horizontal_line(109, 153),
        horizontal_line(111, 153),
        horizontal_line(113, 152),
        horizontal_line(115, 152),
        horizontal_line(117, 151),
        horizontal_line(119, 151),
        horizontal_line(121, 151),
        horizontal_line(123, 150),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 126),
        horizontal_line(124, 128),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 23),
        horizontal_line(0, 28),
        horizontal_line(0, 34),
        horizontal_line(0, 40),
        horizontal_line(0, 46),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 69),
        horizontal_line(62, 74),
        horizontal_line(62, 80),
        horizontal_line(62, 86),
        horizontal_line(62, 92),
        horizontal_line(62, 97),
        horizontal_line(62, 103),
        horizontal_line(62, 109),
    };

    constexpr const horizontal_line frame_796_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_796_shape_group_2_shapes[] = {
        shape(frame_796_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_796_shape_group_2_shape_1_horizontal_lines, 41, 1),
        shape(frame_796_shape_group_2_shape_2_horizontal_lines, 91, 6),
        shape(frame_796_shape_group_2_shape_3_horizontal_lines, 110, 8),
        shape(frame_796_shape_group_2_shape_4_horizontal_lines, 121, 8),
        shape(frame_796_shape_group_2_shape_5_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_796_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(118, 119),
        horizontal_line(120, 121),
        horizontal_line(122, 124),
        horizontal_line(166, 178),
        horizontal_line(165, 176),
        horizontal_line(164, 174),
        horizontal_line(164, 173),
        horizontal_line(163, 171),
        horizontal_line(162, 169),
        horizontal_line(162, 167),
        horizontal_line(161, 166),
        horizontal_line(160, 164),
        horizontal_line(160, 162),
        horizontal_line(159, 160),
        horizontal_line(148, 159),
        horizontal_line(150, 157),
        horizontal_line(152, 157),
        horizontal_line(154, 156),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_796_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 150),
        horizontal_line(127, 149),
        horizontal_line(129, 149),
        horizontal_line(132, 149),
        horizontal_line(134, 148),
        horizontal_line(136, 148),
        horizontal_line(138, 147),
        horizontal_line(140, 147),
        horizontal_line(142, 147),
        horizontal_line(144, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_796_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 71),
    };

    constexpr const shape frame_796_shape_group_3_shapes[] = {
        shape(frame_796_shape_group_3_shape_0_horizontal_lines, 7, 4),
        shape(frame_796_shape_group_3_shape_1_horizontal_lines, 41, 4),
        shape(frame_796_shape_group_3_shape_2_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_796_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(127, 130),
        horizontal_line(129, 133),
        horizontal_line(131, 135),
        horizontal_line(133, 138),
        horizontal_line(135, 141),
        horizontal_line(137, 144),
        horizontal_line(139, 146),
        horizontal_line(141, 149),
        horizontal_line(143, 152),
        horizontal_line(145, 155),
    };

    constexpr const shape frame_796_shape_group_4_shapes[] = {
        shape(frame_796_shape_group_4_shape_0_horizontal_lines, 11, 4),
    };

    constexpr const shape_group frame_796_shape_groups[] = {
        shape_group(frame_796_shape_group_0_shapes),
        shape_group(frame_796_shape_group_1_shapes),
        shape_group(frame_796_shape_group_2_shapes),
        shape_group(frame_796_shape_group_3_shapes),
        shape_group(frame_796_shape_group_4_shapes),
    };

    constexpr const frame frame_796_impl(frame_796_colors, frame_796_shape_groups);
} 

const frame& frame_796()
{
    return frame_796_impl;
}

namespace
{
    constexpr const bn::color frame_797_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_797_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_797_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(12, 74),
        horizontal_line(18, 80),
        horizontal_line(24, 86),
        horizontal_line(30, 92),
        horizontal_line(36, 98),
        horizontal_line(42, 104),
        horizontal_line(48, 110),
        horizontal_line(54, 116),
        horizontal_line(60, 122),
        horizontal_line(66, 121),
        horizontal_line(72, 121),
        horizontal_line(78, 120),
        horizontal_line(84, 120),
        horizontal_line(90, 120),
        horizontal_line(96, 119),
        horizontal_line(102, 119),
        horizontal_line(108, 118),
        horizontal_line(114, 118),
    };

    constexpr const horizontal_line frame_797_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_797_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(117, 119),
        horizontal_line(116, 120),
        horizontal_line(114, 120),
        horizontal_line(113, 121),
        horizontal_line(112, 122),
        horizontal_line(111, 123),
        horizontal_line(109, 123),
        horizontal_line(108, 124),
        horizontal_line(107, 125),
        horizontal_line(105, 125),
        horizontal_line(104, 126),
        horizontal_line(103, 127),
        horizontal_line(102, 128),
        horizontal_line(100, 128),
        horizontal_line(99, 129),
        horizontal_line(98, 130),
        horizontal_line(96, 130),
        horizontal_line(95, 131),
        horizontal_line(94, 132),
        horizontal_line(93, 133),
        horizontal_line(91, 133),
        horizontal_line(90, 134),
        horizontal_line(89, 135),
        horizontal_line(88, 136),
    };

    constexpr const shape frame_797_shape_group_0_shapes[] = {
        shape(frame_797_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_797_shape_group_0_shape_1_horizontal_lines, 93, 6),
        shape(frame_797_shape_group_0_shape_2_horizontal_lines, 134, 8),
        shape(frame_797_shape_group_0_shape_3_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_797_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_797_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 108),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_797_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(68, 126),
        horizontal_line(74, 125),
        horizontal_line(80, 125),
        horizontal_line(86, 124),
        horizontal_line(92, 124),
        horizontal_line(98, 123),
        horizontal_line(104, 123),
        horizontal_line(110, 123),
        horizontal_line(116, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_797_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 119),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_797_shape_group_1_shapes[] = {
        shape(frame_797_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_797_shape_group_1_shape_1_horizontal_lines, 9, 1),
        shape(frame_797_shape_group_1_shape_2_horizontal_lines, 93, 6),
        shape(frame_797_shape_group_1_shape_3_horizontal_lines, 125, 8),
    };

    constexpr const horizontal_line frame_797_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(181, 203),
        horizontal_line(180, 201),
        horizontal_line(179, 199),
        horizontal_line(178, 197),
        horizontal_line(178, 195),
        horizontal_line(177, 194),
        horizontal_line(176, 192),
        horizontal_line(176, 190),
        horizontal_line(175, 188),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(101, 162),
        horizontal_line(103, 162),
        horizontal_line(105, 161),
        horizontal_line(107, 161),
        horizontal_line(109, 160),
        horizontal_line(112, 160),
        horizontal_line(114, 160),
        horizontal_line(116, 159),
        horizontal_line(118, 159),
        horizontal_line(120, 158),
        horizontal_line(122, 158),
        horizontal_line(124, 158),
    };

    constexpr const horizontal_line frame_797_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
    };

    constexpr const horizontal_line frame_797_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_797_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 23),
        horizontal_line(0, 29),
        horizontal_line(0, 35),
        horizontal_line(0, 41),
        horizontal_line(0, 47),
        horizontal_line(0, 53),
        horizontal_line(0, 59),
        horizontal_line(62, 65),
        horizontal_line(62, 71),
        horizontal_line(62, 77),
        horizontal_line(62, 83),
        horizontal_line(62, 89),
        horizontal_line(62, 95),
        horizontal_line(62, 101),
        horizontal_line(62, 107),
        horizontal_line(62, 113),
    };

    constexpr const horizontal_line frame_797_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
    };

    constexpr const shape frame_797_shape_group_2_shapes[] = {
        shape(frame_797_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_797_shape_group_2_shape_1_horizontal_lines, 40, 1),
        shape(frame_797_shape_group_2_shape_2_horizontal_lines, 93, 6),
        shape(frame_797_shape_group_2_shape_3_horizontal_lines, 115, 8),
        shape(frame_797_shape_group_2_shape_4_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_797_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(107, 111),
        horizontal_line(109, 113),
        horizontal_line(111, 116),
        horizontal_line(113, 119),
        horizontal_line(115, 122),
        horizontal_line(117, 124),
        horizontal_line(119, 127),
        horizontal_line(121, 130),
        horizontal_line(123, 133),
        horizontal_line(174, 186),
        horizontal_line(174, 185),
        horizontal_line(173, 183),
        horizontal_line(172, 181),
        horizontal_line(171, 179),
        horizontal_line(171, 177),
        horizontal_line(170, 176),
        horizontal_line(169, 174),
        horizontal_line(169, 172),
        horizontal_line(168, 170),
        horizontal_line(167, 168),
        horizontal_line(147, 167),
        horizontal_line(149, 165),
        horizontal_line(151, 165),
        horizontal_line(153, 164),
        horizontal_line(155, 164),
        horizontal_line(157, 163),
        horizontal_line(159, 163),
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_797_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 157),
        horizontal_line(128, 157),
        horizontal_line(130, 156),
        horizontal_line(132, 156),
        horizontal_line(134, 155),
        horizontal_line(136, 155),
        horizontal_line(138, 155),
        horizontal_line(140, 154),
        horizontal_line(142, 154),
        horizontal_line(144, 153),
        horizontal_line(146, 153),
        horizontal_line(148, 152),
        horizontal_line(150, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_797_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_797_shape_group_3_shapes[] = {
        shape(frame_797_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_797_shape_group_3_shape_1_horizontal_lines, 40, 4),
        shape(frame_797_shape_group_3_shape_2_horizontal_lines, 114, 8),
    };

    constexpr const horizontal_line frame_797_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(127, 138),
        horizontal_line(129, 141),
        horizontal_line(131, 144),
        horizontal_line(133, 146),
        horizontal_line(135, 149),
        horizontal_line(137, 152),
        horizontal_line(139, 155),
        horizontal_line(141, 157),
        horizontal_line(143, 160),
        horizontal_line(145, 163),
    };

    constexpr const shape frame_797_shape_group_4_shapes[] = {
        shape(frame_797_shape_group_4_shape_0_horizontal_lines, 9, 4),
    };

    constexpr const shape_group frame_797_shape_groups[] = {
        shape_group(frame_797_shape_group_0_shapes),
        shape_group(frame_797_shape_group_1_shapes),
        shape_group(frame_797_shape_group_2_shapes),
        shape_group(frame_797_shape_group_3_shapes),
        shape_group(frame_797_shape_group_4_shapes),
    };

    constexpr const frame frame_797_impl(frame_797_colors, frame_797_shape_groups);
} 

const frame& frame_797()
{
    return frame_797_impl;
}

namespace
{
    constexpr const bn::color frame_798_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_798_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_798_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(13, 75),
        horizontal_line(20, 82),
        horizontal_line(26, 88),
        horizontal_line(33, 95),
        horizontal_line(39, 101),
        horizontal_line(46, 108),
        horizontal_line(52, 114),
        horizontal_line(59, 121),
        horizontal_line(65, 125),
        horizontal_line(72, 125),
        horizontal_line(78, 125),
        horizontal_line(85, 124),
        horizontal_line(91, 124),
        horizontal_line(98, 123),
        horizontal_line(104, 123),
        horizontal_line(111, 122),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_798_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_798_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 123),
        horizontal_line(120, 124),
        horizontal_line(119, 125),
        horizontal_line(118, 125),
        horizontal_line(117, 126),
        horizontal_line(116, 127),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 129),
        horizontal_line(111, 130),
        horizontal_line(110, 131),
        horizontal_line(109, 131),
        horizontal_line(108, 132),
        horizontal_line(107, 133),
        horizontal_line(106, 134),
        horizontal_line(105, 134),
        horizontal_line(104, 135),
        horizontal_line(103, 136),
        horizontal_line(102, 137),
    };

    constexpr const shape frame_798_shape_group_0_shapes[] = {
        shape(frame_798_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_798_shape_group_0_shape_1_horizontal_lines, 95, 6),
        shape(frame_798_shape_group_0_shape_2_horizontal_lines, 139, 8),
        shape(frame_798_shape_group_0_shape_3_horizontal_lines, 140, 6),
    };

    constexpr const horizontal_line frame_798_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_798_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_798_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(69, 129),
        horizontal_line(75, 129),
        horizontal_line(82, 128),
        horizontal_line(88, 128),
        horizontal_line(95, 128),
        horizontal_line(101, 127),
        horizontal_line(108, 127),
        horizontal_line(114, 126),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_798_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 123),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_798_shape_group_1_shapes[] = {
        shape(frame_798_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_798_shape_group_1_shape_1_horizontal_lines, 7, 1),
        shape(frame_798_shape_group_1_shape_2_horizontal_lines, 94, 6),
        shape(frame_798_shape_group_1_shape_3_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_798_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(189, 211),
        horizontal_line(188, 209),
        horizontal_line(187, 207),
        horizontal_line(186, 205),
        horizontal_line(185, 203),
        horizontal_line(185, 201),
        horizontal_line(184, 199),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(108, 168),
        horizontal_line(110, 168),
        horizontal_line(112, 167),
        horizontal_line(114, 167),
        horizontal_line(116, 167),
        horizontal_line(118, 166),
        horizontal_line(120, 166),
        horizontal_line(122, 165),
        horizontal_line(124, 165),
    };

    constexpr const horizontal_line frame_798_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(124, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_798_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(84, 141),
        horizontal_line(63, 125),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_798_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 25),
        horizontal_line(0, 32),
        horizontal_line(0, 38),
        horizontal_line(0, 45),
        horizontal_line(0, 51),
        horizontal_line(0, 58),
        horizontal_line(62, 64),
        horizontal_line(62, 71),
        horizontal_line(62, 77),
        horizontal_line(62, 84),
        horizontal_line(62, 90),
        horizontal_line(62, 97),
        horizontal_line(62, 103),
        horizontal_line(62, 110),
        horizontal_line(62, 116),
    };

    constexpr const horizontal_line frame_798_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
    };

    constexpr const shape frame_798_shape_group_2_shapes[] = {
        shape(frame_798_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_798_shape_group_2_shape_1_horizontal_lines, 39, 1),
        shape(frame_798_shape_group_2_shape_2_horizontal_lines, 93, 6),
        shape(frame_798_shape_group_2_shape_3_horizontal_lines, 121, 8),
        shape(frame_798_shape_group_2_shape_4_horizontal_lines, 140, 8),
    };

    constexpr const horizontal_line frame_798_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(112, 126),
        horizontal_line(113, 128),
        horizontal_line(115, 131),
        horizontal_line(117, 134),
        horizontal_line(119, 136),
        horizontal_line(121, 139),
        horizontal_line(123, 142),
        horizontal_line(183, 197),
        horizontal_line(182, 195),
        horizontal_line(182, 193),
        horizontal_line(181, 191),
        horizontal_line(180, 189),
        horizontal_line(179, 187),
        horizontal_line(178, 185),
        horizontal_line(178, 183),
        horizontal_line(177, 181),
        horizontal_line(176, 179),
        horizontal_line(175, 177),
        horizontal_line(147, 175),
        horizontal_line(149, 173),
        horizontal_line(151, 173),
        horizontal_line(153, 172),
        horizontal_line(155, 172),
        horizontal_line(156, 171),
        horizontal_line(158, 171),
        horizontal_line(160, 170),
        horizontal_line(162, 170),
        horizontal_line(164, 170),
        horizontal_line(166, 169),
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_798_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(126, 164),
        horizontal_line(128, 164),
        horizontal_line(130, 164),
        horizontal_line(132, 163),
        horizontal_line(134, 163),
        horizontal_line(136, 162),
        horizontal_line(137, 162),
        horizontal_line(139, 161),
        horizontal_line(141, 161),
        horizontal_line(143, 161),
        horizontal_line(145, 160),
        horizontal_line(147, 160),
        horizontal_line(149, 159),
        horizontal_line(151, 159),
        horizontal_line(153, 158),
        horizontal_line(155, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_798_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(125, 141),
    };

    constexpr const horizontal_line frame_798_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_798_shape_group_3_shapes[] = {
        shape(frame_798_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_798_shape_group_3_shape_1_horizontal_lines, 39, 4),
        shape(frame_798_shape_group_3_shape_2_horizontal_lines, 94, 6),
        shape(frame_798_shape_group_3_shape_3_horizontal_lines, 120, 8),
    };

    constexpr const horizontal_line frame_798_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 144),
        horizontal_line(127, 147),
        horizontal_line(129, 150),
        horizontal_line(131, 152),
        horizontal_line(133, 155),
        horizontal_line(135, 158),
        horizontal_line(137, 160),
        horizontal_line(139, 163),
        horizontal_line(141, 166),
        horizontal_line(143, 168),
        horizontal_line(145, 171),
    };

    constexpr const shape frame_798_shape_group_4_shapes[] = {
        shape(frame_798_shape_group_4_shape_0_horizontal_lines, 7, 4),
    };

    constexpr const shape_group frame_798_shape_groups[] = {
        shape_group(frame_798_shape_group_0_shapes),
        shape_group(frame_798_shape_group_1_shapes),
        shape_group(frame_798_shape_group_2_shapes),
        shape_group(frame_798_shape_group_3_shapes),
        shape_group(frame_798_shape_group_4_shapes),
    };

    constexpr const frame frame_798_impl(frame_798_colors, frame_798_shape_groups);
} 

const frame& frame_798()
{
    return frame_798_impl;
}

namespace
{
    constexpr const bn::color frame_799_colors[] = {
        bn::color(4, 8, 4),
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_799_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 33),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_799_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(15, 77),
        horizontal_line(22, 84),
        horizontal_line(29, 91),
        horizontal_line(36, 98),
        horizontal_line(43, 105),
        horizontal_line(50, 112),
        horizontal_line(57, 119),
        horizontal_line(65, 127),
        horizontal_line(72, 130),
        horizontal_line(79, 130),
        horizontal_line(86, 129),
        horizontal_line(93, 129),
        horizontal_line(100, 128),
        horizontal_line(107, 128),
        horizontal_line(114, 127),
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_799_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_799_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(125, 129),
        horizontal_line(124, 130),
        horizontal_line(123, 131),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
        horizontal_line(120, 133),
        horizontal_line(119, 134),
        horizontal_line(118, 135),
        horizontal_line(117, 135),
        horizontal_line(116, 136),
        horizontal_line(115, 137),
        horizontal_line(115, 138),
    };

    constexpr const shape frame_799_shape_group_0_shapes[] = {
        shape(frame_799_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_799_shape_group_0_shape_1_horizontal_lines, 98, 6),
        shape(frame_799_shape_group_0_shape_2_horizontal_lines, 144, 8),
        shape(frame_799_shape_group_0_shape_3_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_799_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_799_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 100),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_799_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(1, 63),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(70, 132),
        horizontal_line(77, 134),
        horizontal_line(84, 133),
        horizontal_line(91, 133),
        horizontal_line(98, 132),
        horizontal_line(105, 132),
        horizontal_line(112, 131),
        horizontal_line(119, 131),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_799_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_799_shape_group_1_shapes[] = {
        shape(frame_799_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_799_shape_group_1_shape_1_horizontal_lines, 5, 1),
        shape(frame_799_shape_group_1_shape_2_horizontal_lines, 96, 6),
        shape(frame_799_shape_group_1_shape_3_horizontal_lines, 136, 8),
    };

    constexpr const horizontal_line frame_799_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(199, 218),
        horizontal_line(198, 216),
        horizontal_line(197, 214),
        horizontal_line(196, 212),
        horizontal_line(195, 210),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(117, 176),
        horizontal_line(119, 176),
        horizontal_line(121, 175),
        horizontal_line(123, 175),
    };

    constexpr const horizontal_line frame_799_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 164),
        horizontal_line(124, 164),
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(124, 162),
        horizontal_line(124, 162),
        horizontal_line(124, 162),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 160),
        horizontal_line(124, 160),
        horizontal_line(124, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(124, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_799_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(101, 149),
        horizontal_line(67, 129),
        horizontal_line(96, 148),
        horizontal_line(63, 125),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_799_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(0, 35),
        horizontal_line(0, 42),
        horizontal_line(0, 49),
        horizontal_line(0, 56),
        horizontal_line(0, 62),
        horizontal_line(62, 71),
        horizontal_line(62, 78),
        horizontal_line(62, 85),
        horizontal_line(62, 92),
        horizontal_line(62, 99),
        horizontal_line(62, 106),
        horizontal_line(62, 113),
        horizontal_line(62, 120),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
    };

    constexpr const shape frame_799_shape_group_2_shapes[] = {
        shape(frame_799_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_799_shape_group_2_shape_1_horizontal_lines, 37, 1),
        shape(frame_799_shape_group_2_shape_2_horizontal_lines, 94, 6),
        shape(frame_799_shape_group_2_shape_3_horizontal_lines, 128, 8),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(117, 141),
        horizontal_line(118, 143),
        horizontal_line(120, 146),
        horizontal_line(122, 148),
        horizontal_line(124, 151),
        horizontal_line(194, 208),
        horizontal_line(194, 206),
        horizontal_line(193, 204),
        horizontal_line(192, 202),
        horizontal_line(191, 200),
        horizontal_line(190, 198),
        horizontal_line(189, 196),
        horizontal_line(189, 194),
        horizontal_line(188, 192),
        horizontal_line(187, 190),
        horizontal_line(186, 188),
        horizontal_line(185, 186),
        horizontal_line(149, 185),
        horizontal_line(151, 183),
        horizontal_line(152, 183),
        horizontal_line(154, 182),
        horizontal_line(156, 182),
        horizontal_line(158, 181),
        horizontal_line(160, 181),
        horizontal_line(162, 180),
        horizontal_line(164, 180),
        horizontal_line(166, 179),
        horizontal_line(168, 179),
        horizontal_line(170, 179),
        horizontal_line(171, 178),
        horizontal_line(173, 178),
        horizontal_line(175, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 175),
        horizontal_line(126, 174),
        horizontal_line(128, 174),
        horizontal_line(130, 173),
        horizontal_line(132, 173),
        horizontal_line(134, 172),
        horizontal_line(136, 172),
        horizontal_line(138, 171),
        horizontal_line(140, 171),
        horizontal_line(142, 170),
        horizontal_line(144, 170),
        horizontal_line(145, 170),
        horizontal_line(147, 169),
        horizontal_line(149, 169),
        horizontal_line(151, 168),
        horizontal_line(153, 168),
        horizontal_line(155, 167),
        horizontal_line(157, 167),
        horizontal_line(159, 166),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(134, 149),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(129, 148),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(125, 148),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_799_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
    };

    constexpr const shape frame_799_shape_group_3_shapes[] = {
        shape(frame_799_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_799_shape_group_3_shape_1_horizontal_lines, 37, 4),
        shape(frame_799_shape_group_3_shape_2_horizontal_lines, 93, 6),
        shape(frame_799_shape_group_3_shape_3_horizontal_lines, 95, 6),
        shape(frame_799_shape_group_3_shape_4_horizontal_lines, 97, 6),
        shape(frame_799_shape_group_3_shape_5_horizontal_lines, 126, 8),
        shape(frame_799_shape_group_3_shape_6_horizontal_lines, 135, 8),
        shape(frame_799_shape_group_3_shape_7_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_799_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(126, 153),
        horizontal_line(128, 156),
        horizontal_line(130, 158),
        horizontal_line(132, 161),
        horizontal_line(134, 163),
        horizontal_line(135, 166),
        horizontal_line(137, 168),
        horizontal_line(139, 171),
        horizontal_line(141, 173),
        horizontal_line(143, 176),
        horizontal_line(145, 178),
        horizontal_line(147, 181),
    };

    constexpr const shape frame_799_shape_group_4_shapes[] = {
        shape(frame_799_shape_group_4_shape_0_horizontal_lines, 5, 4),
    };

    constexpr const shape_group frame_799_shape_groups[] = {
        shape_group(frame_799_shape_group_0_shapes),
        shape_group(frame_799_shape_group_1_shapes),
        shape_group(frame_799_shape_group_2_shapes),
        shape_group(frame_799_shape_group_3_shapes),
        shape_group(frame_799_shape_group_4_shapes),
    };

    constexpr const frame frame_799_impl(frame_799_colors, frame_799_shape_groups);
} 

const frame& frame_799()
{
    return frame_799_impl;
}

namespace
{
    constexpr const bn::color frame_800_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_800_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(123, 184),
        horizontal_line(125, 183),
        horizontal_line(127, 183),
        horizontal_line(129, 182),
        horizontal_line(130, 182),
        horizontal_line(132, 181),
        horizontal_line(134, 181),
        horizontal_line(136, 181),
        horizontal_line(138, 180),
        horizontal_line(140, 180),
        horizontal_line(141, 179),
        horizontal_line(143, 179),
        horizontal_line(145, 178),
        horizontal_line(147, 178),
        horizontal_line(149, 177),
        horizontal_line(150, 177),
        horizontal_line(152, 176),
        horizontal_line(154, 176),
        horizontal_line(156, 175),
        horizontal_line(158, 175),
        horizontal_line(160, 175),
        horizontal_line(161, 174),
        horizontal_line(163, 174),
        horizontal_line(165, 173),
        horizontal_line(167, 173),
        horizontal_line(169, 172),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_800_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
    };

    constexpr const shape frame_800_shape_group_0_shapes[] = {
        shape(frame_800_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_800_shape_group_0_shape_1_horizontal_lines, 62, 2),
    };

    constexpr const horizontal_line frame_800_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(208, 224),
        horizontal_line(207, 221),
        horizontal_line(206, 219),
        horizontal_line(205, 217),
        horizontal_line(204, 215),
        horizontal_line(203, 213),
        horizontal_line(202, 211),
        horizontal_line(201, 209),
        horizontal_line(200, 206),
        horizontal_line(199, 204),
        horizontal_line(198, 202),
        horizontal_line(197, 200),
        horizontal_line(196, 198),
        horizontal_line(195, 196),
        horizontal_line(147, 194),
        horizontal_line(149, 193),
        horizontal_line(151, 193),
        horizontal_line(152, 192),
        horizontal_line(154, 192),
        horizontal_line(156, 191),
        horizontal_line(158, 191),
        horizontal_line(160, 190),
        horizontal_line(162, 190),
        horizontal_line(163, 189),
        horizontal_line(165, 189),
        horizontal_line(167, 188),
        horizontal_line(169, 188),
        horizontal_line(171, 187),
        horizontal_line(172, 187),
        horizontal_line(174, 187),
        horizontal_line(176, 186),
        horizontal_line(178, 186),
        horizontal_line(180, 185),
        horizontal_line(182, 185),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_800_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_800_shape_group_1_shapes[] = {
        shape(frame_800_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_800_shape_group_1_shape_1_horizontal_lines, 35, 2),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(122, 158),
        horizontal_line(123, 160),
        horizontal_line(125, 163),
        horizontal_line(127, 165),
        horizontal_line(129, 168),
        horizontal_line(131, 170),
        horizontal_line(132, 173),
        horizontal_line(134, 176),
        horizontal_line(136, 178),
        horizontal_line(138, 181),
        horizontal_line(140, 183),
        horizontal_line(142, 186),
        horizontal_line(143, 188),
        horizontal_line(145, 191),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(141, 156),
        horizontal_line(113, 156),
        horizontal_line(85, 147),
        horizontal_line(57, 119),
        horizontal_line(29, 91),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(16, 78),
        horizontal_line(24, 86),
        horizontal_line(32, 94),
        horizontal_line(39, 101),
        horizontal_line(47, 109),
        horizontal_line(55, 117),
        horizontal_line(63, 125),
        horizontal_line(70, 132),
        horizontal_line(78, 134),
        horizontal_line(86, 133),
        horizontal_line(94, 133),
        horizontal_line(101, 132),
        horizontal_line(109, 132),
        horizontal_line(117, 131),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_800_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(130, 134),
        horizontal_line(129, 135),
        horizontal_line(129, 136),
        horizontal_line(128, 137),
        horizontal_line(127, 138),
        horizontal_line(127, 139),
    };

    constexpr const shape frame_800_shape_group_2_shapes[] = {
        shape(frame_800_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_800_shape_group_2_shape_1_horizontal_lines, 14, 2),
        shape(frame_800_shape_group_2_shape_2_horizontal_lines, 51, 2),
        shape(frame_800_shape_group_2_shape_3_horizontal_lines, 94, 6),
        shape(frame_800_shape_group_2_shape_4_horizontal_lines, 150, 8),
        shape(frame_800_shape_group_2_shape_5_horizontal_lines, 152, 6),
    };

    constexpr const horizontal_line frame_800_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(159, 207),
        horizontal_line(161, 206),
        horizontal_line(164, 205),
        horizontal_line(166, 204),
        horizontal_line(169, 203),
        horizontal_line(171, 202),
        horizontal_line(174, 201),
        horizontal_line(177, 200),
        horizontal_line(179, 199),
        horizontal_line(182, 198),
        horizontal_line(184, 197),
        horizontal_line(187, 196),
        horizontal_line(189, 195),
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_800_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(147, 156),
        horizontal_line(119, 155),
        horizontal_line(91, 153),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(70, 132),
        horizontal_line(78, 137),
        horizontal_line(86, 137),
        horizontal_line(94, 137),
        horizontal_line(101, 136),
        horizontal_line(109, 136),
        horizontal_line(117, 135),
        horizontal_line(125, 135),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_800_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_800_shape_group_3_shapes[] = {
        shape(frame_800_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_800_shape_group_3_shape_1_horizontal_lines, 96, 6),
        shape(frame_800_shape_group_3_shape_2_horizontal_lines, 143, 8),
    };

    constexpr const horizontal_line frame_800_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(205, 239),
        horizontal_line(203, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_800_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(125, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(125, 138),
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_800_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 23),
        horizontal_line(0, 31),
        horizontal_line(0, 38),
        horizontal_line(0, 46),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 77),
        horizontal_line(62, 85),
        horizontal_line(62, 93),
        horizontal_line(62, 100),
        horizontal_line(62, 108),
        horizontal_line(62, 116),
        horizontal_line(62, 124),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_800_shape_group_4_shapes[] = {
        shape(frame_800_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_800_shape_group_4_shape_1_horizontal_lines, 98, 6),
        shape(frame_800_shape_group_4_shape_2_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_800_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_800_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_800_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_800_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
    };

    constexpr const shape frame_800_shape_group_5_shapes[] = {
        shape(frame_800_shape_group_5_shape_0_horizontal_lines, 133, 8),
        shape(frame_800_shape_group_5_shape_1_horizontal_lines, 141, 8),
        shape(frame_800_shape_group_5_shape_2_horizontal_lines, 149, 8),
        shape(frame_800_shape_group_5_shape_3_horizontal_lines, 152, 8),
    };

    constexpr const shape_group frame_800_shape_groups[] = {
        shape_group(frame_800_shape_group_0_shapes),
        shape_group(frame_800_shape_group_1_shapes),
        shape_group(frame_800_shape_group_2_shapes),
        shape_group(frame_800_shape_group_3_shapes),
        shape_group(frame_800_shape_group_4_shapes),
        shape_group(frame_800_shape_group_5_shapes),
    };

    constexpr const frame frame_800_impl(frame_800_colors, frame_800_shape_groups);
} 

const frame& frame_800()
{
    return frame_800_impl;
}

namespace
{
    constexpr const bn::color frame_801_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_801_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(121, 183),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(133, 192),
        horizontal_line(135, 192),
        horizontal_line(137, 191),
        horizontal_line(138, 191),
        horizontal_line(140, 190),
        horizontal_line(142, 190),
        horizontal_line(144, 189),
        horizontal_line(145, 189),
        horizontal_line(147, 188),
        horizontal_line(149, 188),
        horizontal_line(151, 187),
        horizontal_line(152, 187),
        horizontal_line(154, 186),
        horizontal_line(156, 186),
        horizontal_line(158, 185),
        horizontal_line(159, 185),
        horizontal_line(161, 184),
        horizontal_line(163, 184),
        horizontal_line(165, 183),
        horizontal_line(166, 183),
        horizontal_line(168, 182),
        horizontal_line(170, 182),
        horizontal_line(172, 182),
        horizontal_line(173, 181),
        horizontal_line(175, 181),
        horizontal_line(177, 180),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_801_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
    };

    constexpr const shape frame_801_shape_group_0_shapes[] = {
        shape(frame_801_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_801_shape_group_0_shape_1_horizontal_lines, 66, 2),
    };

    constexpr const horizontal_line frame_801_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(218, 232),
        horizontal_line(217, 229),
        horizontal_line(216, 227),
        horizontal_line(215, 225),
        horizontal_line(214, 223),
        horizontal_line(213, 221),
        horizontal_line(212, 219),
        horizontal_line(211, 217),
        horizontal_line(210, 215),
        horizontal_line(209, 213),
        horizontal_line(208, 211),
        horizontal_line(207, 209),
        horizontal_line(206, 207),
        horizontal_line(149, 205),
        horizontal_line(151, 204),
        horizontal_line(153, 204),
        horizontal_line(155, 203),
        horizontal_line(156, 203),
        horizontal_line(158, 202),
        horizontal_line(160, 202),
        horizontal_line(162, 201),
        horizontal_line(163, 201),
        horizontal_line(165, 200),
        horizontal_line(167, 200),
        horizontal_line(169, 199),
        horizontal_line(170, 199),
        horizontal_line(172, 198),
        horizontal_line(174, 198),
        horizontal_line(176, 197),
        horizontal_line(177, 197),
        horizontal_line(179, 196),
        horizontal_line(181, 196),
        horizontal_line(183, 195),
        horizontal_line(185, 195),
        horizontal_line(186, 194),
        horizontal_line(188, 194),
        horizontal_line(190, 193),
        horizontal_line(192, 193),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_801_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_801_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
    };

    constexpr const shape frame_801_shape_group_1_shapes[] = {
        shape(frame_801_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_801_shape_group_1_shape_1_horizontal_lines, 39, 2),
        shape(frame_801_shape_group_1_shape_2_horizontal_lines, 72, 2),
    };

    constexpr const horizontal_line frame_801_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(127, 176),
        horizontal_line(128, 178),
        horizontal_line(130, 180),
        horizontal_line(132, 182),
        horizontal_line(134, 184),
        horizontal_line(135, 187),
        horizontal_line(137, 189),
        horizontal_line(139, 191),
        horizontal_line(141, 193),
        horizontal_line(142, 196),
        horizontal_line(144, 198),
        horizontal_line(146, 200),
        horizontal_line(148, 202),
    };

    constexpr const horizontal_line frame_801_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_801_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(150, 166),
        horizontal_line(131, 165),
        horizontal_line(113, 165),
        horizontal_line(94, 156),
        horizontal_line(75, 137),
        horizontal_line(57, 119),
        horizontal_line(38, 100),
        horizontal_line(19, 81),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(10, 72),
        horizontal_line(20, 82),
        horizontal_line(30, 92),
        horizontal_line(40, 102),
        horizontal_line(50, 112),
        horizontal_line(60, 122),
        horizontal_line(70, 132),
        horizontal_line(79, 139),
        horizontal_line(89, 139),
        horizontal_line(99, 138),
        horizontal_line(109, 138),
        horizontal_line(119, 137),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_801_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_801_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(137, 139),
        horizontal_line(137, 140),
    };

    constexpr const shape frame_801_shape_group_2_shapes[] = {
        shape(frame_801_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_801_shape_group_2_shape_1_horizontal_lines, 13, 2),
        shape(frame_801_shape_group_2_shape_2_horizontal_lines, 94, 6),
        shape(frame_801_shape_group_2_shape_3_horizontal_lines, 155, 8),
        shape(frame_801_shape_group_2_shape_4_horizontal_lines, 157, 6),
    };

    constexpr const horizontal_line frame_801_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(177, 217),
        horizontal_line(179, 216),
        horizontal_line(181, 215),
        horizontal_line(183, 214),
        horizontal_line(185, 213),
        horizontal_line(188, 212),
        horizontal_line(190, 211),
        horizontal_line(192, 210),
        horizontal_line(194, 209),
        horizontal_line(197, 208),
        horizontal_line(199, 207),
        horizontal_line(201, 206),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_801_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(156, 164),
        horizontal_line(137, 164),
        horizontal_line(119, 163),
        horizontal_line(100, 162),
        horizontal_line(81, 143),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(82, 142),
        horizontal_line(92, 142),
        horizontal_line(102, 141),
        horizontal_line(112, 141),
        horizontal_line(122, 140),
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_801_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_801_shape_group_3_shapes[] = {
        shape(frame_801_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_801_shape_group_3_shape_1_horizontal_lines, 97, 6),
        shape(frame_801_shape_group_3_shape_2_horizontal_lines, 149, 8),
    };

    constexpr const horizontal_line frame_801_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_801_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(143, 162),
        horizontal_line(125, 162),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 160),
        horizontal_line(124, 160),
        horizontal_line(124, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(124, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(125, 143),
        horizontal_line(134, 143),
    };

    constexpr const horizontal_line frame_801_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 29),
        horizontal_line(0, 39),
        horizontal_line(0, 49),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(62, 78),
        horizontal_line(62, 88),
        horizontal_line(62, 98),
        horizontal_line(62, 108),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_801_shape_group_4_shapes[] = {
        shape(frame_801_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_801_shape_group_4_shape_1_horizontal_lines, 100, 6),
        shape(frame_801_shape_group_4_shape_2_horizontal_lines, 143, 8),
    };

    constexpr const horizontal_line frame_801_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_801_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_801_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_801_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
    };

    constexpr const shape frame_801_shape_group_5_shapes[] = {
        shape(frame_801_shape_group_5_shape_0_horizontal_lines, 141, 8),
        shape(frame_801_shape_group_5_shape_1_horizontal_lines, 148, 8),
        shape(frame_801_shape_group_5_shape_2_horizontal_lines, 154, 8),
        shape(frame_801_shape_group_5_shape_3_horizontal_lines, 157, 8),
    };

    constexpr const shape_group frame_801_shape_groups[] = {
        shape_group(frame_801_shape_group_0_shapes),
        shape_group(frame_801_shape_group_1_shapes),
        shape_group(frame_801_shape_group_2_shapes),
        shape_group(frame_801_shape_group_3_shapes),
        shape_group(frame_801_shape_group_4_shapes),
        shape_group(frame_801_shape_group_5_shapes),
    };

    constexpr const frame frame_801_impl(frame_801_colors, frame_801_shape_groups);
} 

const frame& frame_801()
{
    return frame_801_impl;
}

namespace
{
    constexpr const bn::color frame_802_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(24, 16, 8),
        bn::color(8, 12, 8),
        bn::color(20, 12, 8),
        bn::color(20, 24, 20),
        bn::color(16, 8, 0),
        bn::color(16, 20, 16),
        bn::color(8, 0, 0),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_802_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 201),
        horizontal_line(142, 200),
        horizontal_line(144, 200),
        horizontal_line(145, 199),
        horizontal_line(147, 199),
        horizontal_line(149, 198),
        horizontal_line(150, 198),
        horizontal_line(152, 197),
        horizontal_line(154, 197),
        horizontal_line(155, 196),
        horizontal_line(157, 196),
        horizontal_line(159, 195),
        horizontal_line(160, 195),
        horizontal_line(162, 194),
        horizontal_line(164, 194),
        horizontal_line(165, 193),
        horizontal_line(167, 193),
        horizontal_line(169, 192),
        horizontal_line(170, 192),
        horizontal_line(172, 191),
        horizontal_line(174, 191),
        horizontal_line(175, 190),
        horizontal_line(177, 190),
        horizontal_line(179, 189),
        horizontal_line(181, 189),
        horizontal_line(181, 181),
        horizontal_line(181, 183),
        horizontal_line(180, 184),
        horizontal_line(180, 186),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(177, 184),
        horizontal_line(177, 184),
        horizontal_line(176, 183),
        horizontal_line(176, 183),
        horizontal_line(175, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
        horizontal_line(173, 180),
        horizontal_line(173, 180),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(170, 177),
        horizontal_line(170, 177),
        horizontal_line(169, 176),
        horizontal_line(169, 173),
    };

    constexpr const horizontal_line frame_802_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
    };

    constexpr const shape frame_802_shape_group_0_shapes[] = {
        shape(frame_802_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_802_shape_group_0_shape_1_horizontal_lines, 93, 2),
    };

    constexpr const horizontal_line frame_802_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 238),
        horizontal_line(226, 235),
        horizontal_line(225, 232),
        horizontal_line(224, 230),
        horizontal_line(222, 227),
        horizontal_line(221, 224),
        horizontal_line(220, 222),
        horizontal_line(219, 219),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 215),
        horizontal_line(157, 214),
        horizontal_line(158, 214),
        horizontal_line(160, 213),
        horizontal_line(162, 213),
        horizontal_line(163, 212),
        horizontal_line(165, 212),
        horizontal_line(167, 211),
        horizontal_line(169, 211),
        horizontal_line(170, 210),
        horizontal_line(172, 210),
        horizontal_line(174, 209),
        horizontal_line(175, 209),
        horizontal_line(177, 208),
        horizontal_line(179, 208),
        horizontal_line(180, 207),
        horizontal_line(182, 207),
        horizontal_line(184, 206),
        horizontal_line(185, 206),
        horizontal_line(187, 205),
        horizontal_line(189, 205),
        horizontal_line(190, 204),
        horizontal_line(192, 204),
        horizontal_line(194, 203),
        horizontal_line(195, 203),
        horizontal_line(197, 202),
        horizontal_line(199, 202),
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_802_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_802_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_802_shape_group_1_shapes[] = {
        shape(frame_802_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_802_shape_group_1_shape_1_horizontal_lines, 42, 2),
        shape(frame_802_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_802_shape_group_1_shape_3_horizontal_lines, 68, 2),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(210, 217),
        horizontal_line(212, 216),
        horizontal_line(214, 216),
        horizontal_line(215, 215),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(182, 184),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 175),
        horizontal_line(171, 175),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 174),
        horizontal_line(117, 173),
        horizontal_line(104, 166),
        horizontal_line(91, 153),
        horizontal_line(78, 140),
        horizontal_line(65, 127),
        horizontal_line(52, 114),
        horizontal_line(39, 101),
        horizontal_line(26, 88),
        horizontal_line(13, 75),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_802_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 12),
        horizontal_line(0, 24),
        horizontal_line(0, 37),
        horizontal_line(0, 49),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_802_shape_group_2_shapes[] = {
        shape(frame_802_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_802_shape_group_2_shape_1_horizontal_lines, 14, 2),
        shape(frame_802_shape_group_2_shape_2_horizontal_lines, 67, 2),
        shape(frame_802_shape_group_2_shape_3_horizontal_lines, 91, 2),
        shape(frame_802_shape_group_2_shape_4_horizontal_lines, 93, 8),
        shape(frame_802_shape_group_2_shape_5_horizontal_lines, 96, 6),
        shape(frame_802_shape_group_2_shape_6_horizontal_lines, 150, 8),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(194, 196),
        horizontal_line(195, 198),
        horizontal_line(197, 200),
        horizontal_line(199, 202),
        horizontal_line(200, 204),
        horizontal_line(202, 206),
        horizontal_line(204, 208),
        horizontal_line(205, 210),
        horizontal_line(207, 212),
        horizontal_line(209, 214),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(156, 170),
        horizontal_line(143, 173),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(166, 173),
        horizontal_line(153, 172),
        horizontal_line(140, 172),
        horizontal_line(127, 171),
        horizontal_line(114, 171),
        horizontal_line(101, 163),
        horizontal_line(88, 150),
        horizontal_line(75, 137),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(13, 75),
        horizontal_line(25, 87),
        horizontal_line(38, 100),
        horizontal_line(50, 112),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_802_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 74),
        horizontal_line(62, 86),
        horizontal_line(62, 98),
        horizontal_line(62, 111),
    };

    constexpr const shape frame_802_shape_group_3_shapes[] = {
        shape(frame_802_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_802_shape_group_3_shape_1_horizontal_lines, 10, 2),
        shape(frame_802_shape_group_3_shape_2_horizontal_lines, 67, 2),
        shape(frame_802_shape_group_3_shape_3_horizontal_lines, 92, 8),
        shape(frame_802_shape_group_3_shape_4_horizontal_lines, 94, 6),
        shape(frame_802_shape_group_3_shape_5_horizontal_lines, 98, 6),
        shape(frame_802_shape_group_3_shape_6_horizontal_lines, 156, 8),
    };

    constexpr const horizontal_line frame_802_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(197, 229),
        horizontal_line(199, 227),
        horizontal_line(201, 226),
        horizontal_line(203, 225),
        horizontal_line(205, 224),
        horizontal_line(207, 223),
        horizontal_line(209, 221),
        horizontal_line(211, 220),
        horizontal_line(213, 219),
        horizontal_line(215, 218),
    };

    constexpr const horizontal_line frame_802_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(163, 170),
        horizontal_line(150, 170),
        horizontal_line(137, 169),
        horizontal_line(125, 169),
        horizontal_line(124, 168),
        horizontal_line(124, 168),
        horizontal_line(124, 167),
        horizontal_line(124, 167),
        horizontal_line(124, 166),
        horizontal_line(124, 166),
        horizontal_line(124, 165),
        horizontal_line(124, 165),
        horizontal_line(124, 164),
        horizontal_line(124, 164),
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(124, 162),
        horizontal_line(124, 162),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 160),
        horizontal_line(124, 160),
        horizontal_line(124, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(124, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 147),
        horizontal_line(63, 125),
        horizontal_line(75, 137),
        horizontal_line(87, 146),
        horizontal_line(100, 145),
        horizontal_line(112, 145),
        horizontal_line(124, 144),
        horizontal_line(75, 137),
        horizontal_line(87, 143),
        horizontal_line(99, 143),
        horizontal_line(112, 143),
    };

    constexpr const shape frame_802_shape_group_4_shapes[] = {
        shape(frame_802_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_802_shape_group_4_shape_1_horizontal_lines, 103, 6),
    };

    constexpr const horizontal_line frame_802_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_802_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(125, 147),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_802_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(137, 144),
    };

    constexpr const shape frame_802_shape_group_5_shapes[] = {
        shape(frame_802_shape_group_5_shape_0_horizontal_lines, 2, 2),
        shape(frame_802_shape_group_5_shape_1_horizontal_lines, 150, 6),
        shape(frame_802_shape_group_5_shape_2_horizontal_lines, 156, 6),
    };

    constexpr const shape_group frame_802_shape_groups[] = {
        shape_group(frame_802_shape_group_0_shapes),
        shape_group(frame_802_shape_group_1_shapes),
        shape_group(frame_802_shape_group_2_shapes),
        shape_group(frame_802_shape_group_3_shapes),
        shape_group(frame_802_shape_group_4_shapes),
        shape_group(frame_802_shape_group_5_shapes),
    };

    constexpr const frame frame_802_impl(frame_802_colors, frame_802_shape_groups);
} 

const frame& frame_802()
{
    return frame_802_impl;
}

namespace
{
    constexpr const bn::color frame_803_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(20, 12, 4),
        bn::color(12, 4, 0),
        bn::color(28, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_803_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 211),
        horizontal_line(152, 210),
        horizontal_line(154, 210),
        horizontal_line(156, 209),
        horizontal_line(157, 209),
        horizontal_line(159, 208),
        horizontal_line(160, 208),
        horizontal_line(162, 207),
        horizontal_line(164, 207),
        horizontal_line(165, 206),
        horizontal_line(167, 206),
        horizontal_line(169, 205),
        horizontal_line(170, 205),
        horizontal_line(172, 204),
        horizontal_line(173, 204),
        horizontal_line(175, 203),
        horizontal_line(177, 203),
        horizontal_line(178, 202),
        horizontal_line(180, 202),
        horizontal_line(182, 201),
        horizontal_line(182, 182),
        horizontal_line(182, 183),
        horizontal_line(181, 185),
        horizontal_line(181, 186),
        horizontal_line(180, 188),
        horizontal_line(180, 189),
        horizontal_line(179, 190),
        horizontal_line(179, 192),
        horizontal_line(178, 193),
        horizontal_line(178, 195),
        horizontal_line(177, 195),
        horizontal_line(177, 194),
        horizontal_line(176, 194),
        horizontal_line(176, 193),
        horizontal_line(176, 193),
        horizontal_line(175, 192),
        horizontal_line(175, 192),
        horizontal_line(174, 191),
        horizontal_line(174, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 188),
        horizontal_line(171, 187),
        horizontal_line(171, 182),
        horizontal_line(170, 177),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_803_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_803_shape_group_0_shapes[] = {
        shape(frame_803_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_803_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 238),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 226),
        horizontal_line(167, 225),
        horizontal_line(169, 225),
        horizontal_line(171, 224),
        horizontal_line(172, 224),
        horizontal_line(174, 223),
        horizontal_line(175, 223),
        horizontal_line(177, 222),
        horizontal_line(179, 222),
        horizontal_line(180, 221),
        horizontal_line(182, 221),
        horizontal_line(184, 220),
        horizontal_line(185, 220),
        horizontal_line(187, 219),
        horizontal_line(188, 219),
        horizontal_line(190, 218),
        horizontal_line(192, 218),
        horizontal_line(193, 217),
        horizontal_line(195, 217),
        horizontal_line(196, 216),
        horizontal_line(198, 216),
        horizontal_line(200, 215),
        horizontal_line(201, 215),
        horizontal_line(203, 214),
        horizontal_line(205, 214),
        horizontal_line(206, 213),
        horizontal_line(208, 213),
        horizontal_line(209, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(186, 201),
        horizontal_line(190, 200),
        horizontal_line(194, 200),
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(170, 187),
        horizontal_line(172, 186),
        horizontal_line(175, 186),
        horizontal_line(178, 185),
        horizontal_line(180, 185),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(91, 153),
        horizontal_line(79, 141),
        horizontal_line(68, 130),
        horizontal_line(57, 119),
        horizontal_line(46, 108),
        horizontal_line(34, 96),
        horizontal_line(23, 85),
        horizontal_line(12, 74),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_803_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_803_shape_group_1_shapes[] = {
        shape(frame_803_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_803_shape_group_1_shape_1_horizontal_lines, 47, 2),
        shape(frame_803_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_803_shape_group_1_shape_3_horizontal_lines, 71, 2),
        shape(frame_803_shape_group_1_shape_4_horizontal_lines, 94, 8),
        shape(frame_803_shape_group_1_shape_5_horizontal_lines, 100, 6),
        shape(frame_803_shape_group_1_shape_6_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(199, 217),
        horizontal_line(200, 219),
        horizontal_line(202, 221),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(210, 232),
        horizontal_line(211, 231),
        horizontal_line(213, 230),
        horizontal_line(215, 230),
        horizontal_line(216, 229),
        horizontal_line(218, 229),
        horizontal_line(220, 228),
        horizontal_line(221, 228),
        horizontal_line(223, 227),
        horizontal_line(224, 227),
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(184, 189),
        horizontal_line(186, 193),
        horizontal_line(187, 198),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 195),
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(194, 194),
        horizontal_line(193, 193),
        horizontal_line(193, 193),
        horizontal_line(192, 192),
        horizontal_line(191, 191),
        horizontal_line(191, 191),
        horizontal_line(190, 190),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(183, 188),
        horizontal_line(178, 188),
        horizontal_line(173, 187),
    };

    constexpr const horizontal_line frame_803_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(158, 171),
        horizontal_line(147, 174),
        horizontal_line(136, 177),
        horizontal_line(124, 179),
        horizontal_line(113, 175),
        horizontal_line(164, 184),
        horizontal_line(153, 183),
        horizontal_line(141, 183),
        horizontal_line(130, 182),
        horizontal_line(119, 181),
        horizontal_line(108, 170),
        horizontal_line(96, 158),
        horizontal_line(85, 147),
        horizontal_line(74, 136),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_803_shape_group_2_shapes[] = {
        shape(frame_803_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_803_shape_group_2_shape_1_horizontal_lines, 18, 2),
        shape(frame_803_shape_group_2_shape_2_horizontal_lines, 67, 2),
        shape(frame_803_shape_group_2_shape_3_horizontal_lines, 77, 7),
        shape(frame_803_shape_group_2_shape_4_horizontal_lines, 80, 9),
        shape(frame_803_shape_group_2_shape_5_horizontal_lines, 89, 3),
        shape(frame_803_shape_group_2_shape_6_horizontal_lines, 91, 8),
        shape(frame_803_shape_group_2_shape_7_horizontal_lines, 95, 6),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(203, 223),
        horizontal_line(205, 225),
        horizontal_line(207, 227),
        horizontal_line(208, 229),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_803_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(170, 181),
        horizontal_line(158, 181),
        horizontal_line(147, 180),
        horizontal_line(136, 180),
        horizontal_line(125, 179),
        horizontal_line(124, 179),
        horizontal_line(124, 178),
        horizontal_line(124, 178),
        horizontal_line(124, 177),
        horizontal_line(124, 177),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_803_shape_group_3_shapes[] = {
        shape(frame_803_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_803_shape_group_3_shape_1_horizontal_lines, 3, 4),
        shape(frame_803_shape_group_3_shape_2_horizontal_lines, 7, 2),
        shape(frame_803_shape_group_3_shape_3_horizontal_lines, 67, 2),
        shape(frame_803_shape_group_3_shape_4_horizontal_lines, 90, 8),
        shape(frame_803_shape_group_3_shape_5_horizontal_lines, 99, 6),
        shape(frame_803_shape_group_3_shape_6_horizontal_lines, 104, 6),
    };

    constexpr const horizontal_line frame_803_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(224, 238),
        horizontal_line(226, 236),
        horizontal_line(228, 235),
        horizontal_line(230, 233),
    };

    constexpr const horizontal_line frame_803_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(124, 176),
        horizontal_line(124, 176),
        horizontal_line(124, 175),
        horizontal_line(124, 175),
        horizontal_line(124, 174),
        horizontal_line(124, 174),
        horizontal_line(124, 173),
        horizontal_line(124, 172),
        horizontal_line(124, 172),
        horizontal_line(124, 171),
        horizontal_line(124, 171),
        horizontal_line(124, 170),
        horizontal_line(124, 170),
        horizontal_line(124, 169),
        horizontal_line(124, 169),
        horizontal_line(124, 168),
        horizontal_line(124, 168),
        horizontal_line(124, 167),
        horizontal_line(124, 167),
        horizontal_line(124, 166),
        horizontal_line(124, 166),
        horizontal_line(124, 165),
        horizontal_line(124, 165),
        horizontal_line(124, 164),
        horizontal_line(124, 164),
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(124, 162),
        horizontal_line(124, 162),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 160),
        horizontal_line(124, 160),
        horizontal_line(124, 159),
        horizontal_line(124, 159),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 156),
        horizontal_line(124, 156),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
    };

    constexpr const shape frame_803_shape_group_4_shapes[] = {
        shape(frame_803_shape_group_4_shape_0_horizontal_lines, 3, 2),
        shape(frame_803_shape_group_4_shape_1_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_803_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const shape frame_803_shape_group_5_shapes[] = {
        shape(frame_803_shape_group_5_shape_0_horizontal_lines, 6, 2),
    };

    constexpr const shape_group frame_803_shape_groups[] = {
        shape_group(frame_803_shape_group_0_shapes),
        shape_group(frame_803_shape_group_1_shapes),
        shape_group(frame_803_shape_group_2_shapes),
        shape_group(frame_803_shape_group_3_shapes),
        shape_group(frame_803_shape_group_4_shapes),
        shape_group(frame_803_shape_group_5_shapes),
    };

    constexpr const frame frame_803_impl(frame_803_colors, frame_803_shape_groups);
} 

const frame& frame_803()
{
    return frame_803_impl;
}

namespace
{
    constexpr const bn::color frame_804_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(28, 24, 20),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_804_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 231),
        horizontal_line(172, 231),
        horizontal_line(174, 231),
        horizontal_line(175, 230),
        horizontal_line(177, 230),
        horizontal_line(178, 230),
        horizontal_line(180, 229),
        horizontal_line(182, 229),
        horizontal_line(182, 182),
        horizontal_line(182, 183),
        horizontal_line(181, 184),
        horizontal_line(181, 186),
        horizontal_line(180, 187),
        horizontal_line(180, 188),
        horizontal_line(179, 190),
        horizontal_line(179, 191),
        horizontal_line(178, 192),
        horizontal_line(178, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(176, 193),
        horizontal_line(176, 193),
        horizontal_line(176, 192),
        horizontal_line(175, 192),
        horizontal_line(175, 191),
        horizontal_line(174, 191),
        horizontal_line(174, 190),
        horizontal_line(173, 190),
        horizontal_line(173, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 188),
        horizontal_line(171, 187),
        horizontal_line(171, 182),
        horizontal_line(170, 177),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_804_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
    };

    constexpr const shape frame_804_shape_group_0_shapes[] = {
        shape(frame_804_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_804_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 238),
        horizontal_line(203, 238),
        horizontal_line(205, 237),
        horizontal_line(206, 237),
        horizontal_line(208, 237),
        horizontal_line(210, 236),
        horizontal_line(211, 236),
        horizontal_line(213, 236),
        horizontal_line(214, 235),
        horizontal_line(216, 235),
        horizontal_line(217, 235),
        horizontal_line(219, 234),
        horizontal_line(220, 234),
        horizontal_line(222, 234),
        horizontal_line(223, 233),
        horizontal_line(225, 233),
        horizontal_line(227, 233),
        horizontal_line(228, 232),
        horizontal_line(230, 232),
        horizontal_line(231, 232),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(186, 229),
        horizontal_line(190, 228),
        horizontal_line(195, 228),
        horizontal_line(199, 228),
        horizontal_line(204, 227),
        horizontal_line(208, 227),
        horizontal_line(212, 227),
        horizontal_line(217, 226),
        horizontal_line(221, 226),
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(172, 199),
        horizontal_line(175, 199),
        horizontal_line(178, 198),
        horizontal_line(180, 198),
        horizontal_line(183, 197),
        horizontal_line(186, 197),
        horizontal_line(189, 196),
        horizontal_line(191, 196),
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(76, 138),
        horizontal_line(66, 128),
        horizontal_line(57, 119),
        horizontal_line(47, 109),
        horizontal_line(38, 100),
        horizontal_line(29, 91),
        horizontal_line(19, 81),
        horizontal_line(10, 72),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_804_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_804_shape_group_1_shapes[] = {
        shape(frame_804_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_804_shape_group_1_shape_1_horizontal_lines, 59, 2),
        shape(frame_804_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_804_shape_group_1_shape_3_horizontal_lines, 77, 2),
        shape(frame_804_shape_group_1_shape_4_horizontal_lines, 94, 3),
        shape(frame_804_shape_group_1_shape_5_horizontal_lines, 95, 8),
        shape(frame_804_shape_group_1_shape_6_horizontal_lines, 104, 6),
        shape(frame_804_shape_group_1_shape_7_horizontal_lines, 150, 2),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(184, 189),
        horizontal_line(185, 194),
        horizontal_line(187, 198),
        horizontal_line(188, 203),
        horizontal_line(189, 207),
        horizontal_line(191, 211),
        horizontal_line(192, 216),
        horizontal_line(193, 220),
        horizontal_line(195, 225),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(195, 197),
        horizontal_line(195, 201),
        horizontal_line(194, 202),
        horizontal_line(197, 202),
        horizontal_line(201, 202),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(193, 201),
        horizontal_line(192, 201),
        horizontal_line(192, 200),
        horizontal_line(191, 200),
        horizontal_line(191, 199),
        horizontal_line(190, 199),
        horizontal_line(190, 198),
        horizontal_line(191, 198),
        horizontal_line(195, 197),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(191, 195),
        horizontal_line(194, 198),
        horizontal_line(197, 200),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(170, 199),
    };

    constexpr const horizontal_line frame_804_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(160, 171),
        horizontal_line(151, 174),
        horizontal_line(141, 177),
        horizontal_line(132, 179),
        horizontal_line(123, 182),
        horizontal_line(113, 175),
        horizontal_line(104, 166),
        horizontal_line(94, 156),
        horizontal_line(85, 147),
        horizontal_line(138, 196),
        horizontal_line(128, 190),
        horizontal_line(119, 181),
        horizontal_line(109, 171),
        horizontal_line(100, 162),
        horizontal_line(91, 153),
        horizontal_line(81, 143),
        horizontal_line(72, 134),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_804_shape_group_2_shapes[] = {
        shape(frame_804_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_804_shape_group_2_shape_1_horizontal_lines, 39, 2),
        shape(frame_804_shape_group_2_shape_2_horizontal_lines, 67, 2),
        shape(frame_804_shape_group_2_shape_3_horizontal_lines, 77, 7),
        shape(frame_804_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_804_shape_group_2_shape_5_horizontal_lines, 91, 3),
        shape(frame_804_shape_group_2_shape_6_horizontal_lines, 94, 8),
        shape(frame_804_shape_group_2_shape_7_horizontal_lines, 95, 6),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(202, 204),
        horizontal_line(201, 204),
        horizontal_line(201, 203),
        horizontal_line(200, 203),
        horizontal_line(200, 203),
        horizontal_line(199, 202),
        horizontal_line(199, 202),
        horizontal_line(189, 192),
        horizontal_line(198, 201),
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(173, 196),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(175, 185),
        horizontal_line(166, 188),
        horizontal_line(156, 190),
        horizontal_line(147, 193),
    };

    constexpr const horizontal_line frame_804_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(190, 198),
        horizontal_line(181, 201),
        horizontal_line(171, 204),
        horizontal_line(162, 207),
        horizontal_line(153, 206),
        horizontal_line(143, 205),
        horizontal_line(134, 196),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 185),
        horizontal_line(124, 184),
        horizontal_line(124, 183),
        horizontal_line(124, 183),
        horizontal_line(124, 182),
        horizontal_line(124, 181),
        horizontal_line(124, 180),
        horizontal_line(124, 180),
        horizontal_line(124, 179),
        horizontal_line(124, 178),
        horizontal_line(124, 177),
        horizontal_line(124, 177),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_804_shape_group_3_shapes[] = {
        shape(frame_804_shape_group_3_shape_0_horizontal_lines, 67, 2),
        shape(frame_804_shape_group_3_shape_1_horizontal_lines, 79, 11),
        shape(frame_804_shape_group_3_shape_2_horizontal_lines, 82, 10),
        shape(frame_804_shape_group_3_shape_3_horizontal_lines, 83, 3),
        shape(frame_804_shape_group_3_shape_4_horizontal_lines, 93, 8),
        shape(frame_804_shape_group_3_shape_5_horizontal_lines, 100, 6),
        shape(frame_804_shape_group_3_shape_6_horizontal_lines, 105, 6),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(194, 196),
        horizontal_line(193, 200),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(202, 205),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(205, 206),
        horizontal_line(205, 205),
        horizontal_line(204, 205),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(203, 203),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(198, 202),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(205, 205),
        horizontal_line(196, 204),
        horizontal_line(187, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_804_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(124, 176),
        horizontal_line(124, 175),
        horizontal_line(124, 175),
        horizontal_line(124, 174),
        horizontal_line(124, 173),
        horizontal_line(124, 172),
        horizontal_line(124, 172),
        horizontal_line(124, 171),
        horizontal_line(124, 170),
        horizontal_line(124, 170),
    };

    constexpr const shape frame_804_shape_group_4_shapes[] = {
        shape(frame_804_shape_group_4_shape_0_horizontal_lines, 80, 9),
        shape(frame_804_shape_group_4_shape_1_horizontal_lines, 82, 3),
        shape(frame_804_shape_group_4_shape_2_horizontal_lines, 83, 12),
        shape(frame_804_shape_group_4_shape_3_horizontal_lines, 90, 3),
        shape(frame_804_shape_group_4_shape_4_horizontal_lines, 91, 12),
        shape(frame_804_shape_group_4_shape_5_horizontal_lines, 92, 5),
        shape(frame_804_shape_group_4_shape_6_horizontal_lines, 110, 6),
        shape(frame_804_shape_group_4_shape_7_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_804_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(206, 208),
        horizontal_line(206, 207),
    };

    constexpr const horizontal_line frame_804_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(193, 194),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_804_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(178, 193),
    };

    constexpr const shape frame_804_shape_group_5_shapes[] = {
        shape(frame_804_shape_group_5_shape_0_horizontal_lines, 80, 10),
        shape(frame_804_shape_group_5_shape_1_horizontal_lines, 89, 5),
        shape(frame_804_shape_group_5_shape_2_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_804_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(183, 190),
    };

    constexpr const shape frame_804_shape_group_6_shapes[] = {
        shape(frame_804_shape_group_6_shape_0_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_804_shape_groups[] = {
        shape_group(frame_804_shape_group_0_shapes),
        shape_group(frame_804_shape_group_1_shapes),
        shape_group(frame_804_shape_group_2_shapes),
        shape_group(frame_804_shape_group_3_shapes),
        shape_group(frame_804_shape_group_4_shapes),
        shape_group(frame_804_shape_group_5_shapes),
        shape_group(frame_804_shape_group_6_shapes),
    };

    constexpr const frame frame_804_impl(frame_804_colors, frame_804_shape_groups);
} 

const frame& frame_804()
{
    return frame_804_impl;
}

namespace
{
    constexpr const bn::color frame_805_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_805_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 235),
        horizontal_line(175, 235),
        horizontal_line(177, 234),
        horizontal_line(178, 234),
        horizontal_line(180, 233),
        horizontal_line(181, 233),
        horizontal_line(183, 232),
        horizontal_line(183, 183),
        horizontal_line(183, 184),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 191),
        horizontal_line(179, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 189),
        horizontal_line(173, 189),
        horizontal_line(173, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 187),
        horizontal_line(171, 182),
        horizontal_line(171, 177),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_805_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const shape frame_805_shape_group_0_shapes[] = {
        shape(frame_805_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_805_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 238),
        horizontal_line(230, 237),
        horizontal_line(231, 237),
        horizontal_line(233, 236),
        horizontal_line(234, 236),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(187, 231),
        horizontal_line(191, 231),
        horizontal_line(196, 230),
        horizontal_line(200, 230),
        horizontal_line(205, 229),
        horizontal_line(209, 229),
        horizontal_line(213, 228),
        horizontal_line(218, 228),
        horizontal_line(222, 227),
        horizontal_line(227, 227),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(201, 223),
        horizontal_line(205, 221),
        horizontal_line(208, 219),
        horizontal_line(212, 217),
        horizontal_line(216, 216),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(208, 215),
        horizontal_line(208, 214),
        horizontal_line(207, 214),
        horizontal_line(207, 213),
        horizontal_line(207, 212),
        horizontal_line(207, 212),
        horizontal_line(207, 211),
        horizontal_line(207, 211),
        horizontal_line(207, 210),
        horizontal_line(207, 210),
        horizontal_line(207, 209),
        horizontal_line(207, 208),
        horizontal_line(207, 208),
        horizontal_line(207, 207),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_805_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(47, 109),
        horizontal_line(39, 101),
        horizontal_line(31, 93),
        horizontal_line(24, 86),
        horizontal_line(16, 78),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_805_shape_group_1_shapes[] = {
        shape(frame_805_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_805_shape_group_1_shape_1_horizontal_lines, 60, 2),
        shape(frame_805_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_805_shape_group_1_shape_3_horizontal_lines, 77, 2),
        shape(frame_805_shape_group_1_shape_4_horizontal_lines, 94, 13),
        shape(frame_805_shape_group_1_shape_5_horizontal_lines, 109, 6),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(185, 190),
        horizontal_line(186, 195),
        horizontal_line(187, 199),
        horizontal_line(188, 204),
        horizontal_line(189, 208),
        horizontal_line(190, 212),
        horizontal_line(191, 217),
        horizontal_line(192, 221),
        horizontal_line(194, 226),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(215, 221),
        horizontal_line(214, 220),
        horizontal_line(214, 220),
        horizontal_line(213, 219),
        horizontal_line(213, 219),
        horizontal_line(212, 218),
        horizontal_line(211, 218),
        horizontal_line(211, 217),
        horizontal_line(210, 216),
        horizontal_line(210, 216),
        horizontal_line(209, 215),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(199, 207),
        horizontal_line(202, 207),
        horizontal_line(205, 206),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(177, 206),
        horizontal_line(180, 206),
        horizontal_line(183, 206),
        horizontal_line(185, 206),
        horizontal_line(188, 206),
        horizontal_line(190, 206),
        horizontal_line(193, 206),
        horizontal_line(196, 206),
        horizontal_line(198, 206),
        horizontal_line(201, 206),
        horizontal_line(203, 206),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_805_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(116, 178),
        horizontal_line(109, 171),
        horizontal_line(101, 163),
        horizontal_line(93, 155),
        horizontal_line(86, 148),
        horizontal_line(78, 140),
        horizontal_line(70, 132),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_805_shape_group_2_shapes[] = {
        shape(frame_805_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_805_shape_group_2_shape_1_horizontal_lines, 55, 2),
        shape(frame_805_shape_group_2_shape_2_horizontal_lines, 67, 2),
        shape(frame_805_shape_group_2_shape_3_horizontal_lines, 77, 7),
        shape(frame_805_shape_group_2_shape_4_horizontal_lines, 78, 2),
        shape(frame_805_shape_group_2_shape_5_horizontal_lines, 83, 13),
        shape(frame_805_shape_group_2_shape_6_horizontal_lines, 94, 3),
        shape(frame_805_shape_group_2_shape_7_horizontal_lines, 97, 8),
        shape(frame_805_shape_group_2_shape_8_horizontal_lines, 109, 6),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(194, 200),
        horizontal_line(193, 201),
        horizontal_line(196, 201),
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(217, 222),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(192, 200),
        horizontal_line(191, 199),
        horizontal_line(191, 199),
        horizontal_line(190, 198),
        horizontal_line(190, 198),
        horizontal_line(189, 197),
        horizontal_line(190, 197),
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(194, 197),
        horizontal_line(197, 208),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(170, 198),
        horizontal_line(172, 201),
        horizontal_line(175, 204),
    };

    constexpr const horizontal_line frame_805_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(146, 176),
        horizontal_line(139, 179),
        horizontal_line(131, 182),
        horizontal_line(123, 184),
        horizontal_line(116, 178),
        horizontal_line(108, 170),
        horizontal_line(100, 162),
        horizontal_line(93, 155),
        horizontal_line(85, 147),
        horizontal_line(77, 139),
        horizontal_line(70, 132),
        horizontal_line(62, 124),
        horizontal_line(178, 206),
        horizontal_line(171, 206),
        horizontal_line(163, 205),
        horizontal_line(155, 204),
        horizontal_line(148, 204),
        horizontal_line(140, 202),
        horizontal_line(132, 194),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 184),
        horizontal_line(124, 184),
        horizontal_line(124, 183),
        horizontal_line(124, 183),
        horizontal_line(124, 182),
        horizontal_line(124, 182),
        horizontal_line(124, 181),
        horizontal_line(124, 180),
        horizontal_line(124, 180),
        horizontal_line(124, 179),
        horizontal_line(124, 179),
        horizontal_line(124, 178),
        horizontal_line(124, 178),
    };

    constexpr const shape frame_805_shape_group_3_shapes[] = {
        shape(frame_805_shape_group_3_shape_0_horizontal_lines, 67, 2),
        shape(frame_805_shape_group_3_shape_1_horizontal_lines, 78, 7),
        shape(frame_805_shape_group_3_shape_2_horizontal_lines, 82, 13),
        shape(frame_805_shape_group_3_shape_3_horizontal_lines, 83, 9),
        shape(frame_805_shape_group_3_shape_4_horizontal_lines, 91, 3),
        shape(frame_805_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_805_shape_group_3_shape_6_horizontal_lines, 97, 6),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(222, 223),
        horizontal_line(220, 223),
        horizontal_line(218, 222),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(207, 215),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(201, 204),
        horizontal_line(200, 204),
        horizontal_line(200, 203),
        horizontal_line(199, 203),
        horizontal_line(199, 202),
        horizontal_line(198, 202),
        horizontal_line(198, 201),
        horizontal_line(189, 191),
        horizontal_line(197, 200),
        horizontal_line(199, 200),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(173, 196),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(162, 171),
        horizontal_line(154, 174),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(178, 187),
        horizontal_line(170, 189),
        horizontal_line(162, 192),
        horizontal_line(155, 195),
        horizontal_line(147, 197),
        horizontal_line(139, 200),
        horizontal_line(132, 194),
        horizontal_line(124, 186),
    };

    constexpr const horizontal_line frame_805_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(194, 203),
        horizontal_line(187, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
        horizontal_line(186, 186),
    };

    constexpr const shape frame_805_shape_group_4_shapes[] = {
        shape(frame_805_shape_group_4_shape_0_horizontal_lines, 78, 13),
        shape(frame_805_shape_group_4_shape_1_horizontal_lines, 82, 11),
        shape(frame_805_shape_group_4_shape_2_horizontal_lines, 83, 3),
        shape(frame_805_shape_group_4_shape_3_horizontal_lines, 93, 8),
        shape(frame_805_shape_group_4_shape_4_horizontal_lines, 95, 6),
        shape(frame_805_shape_group_4_shape_5_horizontal_lines, 101, 6),
        shape(frame_805_shape_group_4_shape_6_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_805_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 204),
        horizontal_line(202, 205),
        horizontal_line(202, 205),
    };

    constexpr const horizontal_line frame_805_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(192, 200),
    };

    constexpr const horizontal_line frame_805_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(206, 214),
        horizontal_line(206, 213),
        horizontal_line(205, 213),
        horizontal_line(205, 212),
        horizontal_line(204, 212),
        horizontal_line(204, 211),
        horizontal_line(203, 210),
        horizontal_line(197, 201),
        horizontal_line(202, 209),
        horizontal_line(202, 209),
    };

    constexpr const horizontal_line frame_805_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(194, 202),
        horizontal_line(186, 205),
    };

    constexpr const shape frame_805_shape_group_5_shapes[] = {
        shape(frame_805_shape_group_5_shape_0_horizontal_lines, 79, 11),
        shape(frame_805_shape_group_5_shape_1_horizontal_lines, 82, 9),
        shape(frame_805_shape_group_5_shape_2_horizontal_lines, 83, 3),
        shape(frame_805_shape_group_5_shape_3_horizontal_lines, 107, 6),
    };

    constexpr const horizontal_line frame_805_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(207, 211),
    };

    constexpr const horizontal_line frame_805_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_805_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(205, 205),
        horizontal_line(205, 205),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(203, 203),
        horizontal_line(203, 203),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_805_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(203, 210),
    };

    constexpr const horizontal_line frame_805_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(201, 201),
    };

    constexpr const shape frame_805_shape_group_6_shapes[] = {
        shape(frame_805_shape_group_6_shape_0_horizontal_lines, 80, 11),
        shape(frame_805_shape_group_6_shape_1_horizontal_lines, 82, 10),
        shape(frame_805_shape_group_6_shape_2_horizontal_lines, 83, 12),
        shape(frame_805_shape_group_6_shape_3_horizontal_lines, 90, 3),
        shape(frame_805_shape_group_6_shape_4_horizontal_lines, 91, 12),
    };

    constexpr const horizontal_line frame_805_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(193, 195),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_805_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(201, 205),
    };

    constexpr const horizontal_line frame_805_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_805_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_805_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(195, 196),
        horizontal_line(198, 198),
    };

    constexpr const shape frame_805_shape_group_7_shapes[] = {
        shape(frame_805_shape_group_7_shape_0_horizontal_lines, 80, 9),
        shape(frame_805_shape_group_7_shape_1_horizontal_lines, 82, 3),
        shape(frame_805_shape_group_7_shape_2_horizontal_lines, 89, 5),
        shape(frame_805_shape_group_7_shape_3_horizontal_lines, 90, 12),
        shape(frame_805_shape_group_7_shape_4_horizontal_lines, 91, 5),
    };

    constexpr const horizontal_line frame_805_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(206, 206),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_805_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_805_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(183, 190),
        horizontal_line(178, 193),
    };

    constexpr const shape frame_805_shape_group_8_shapes[] = {
        shape(frame_805_shape_group_8_shape_0_horizontal_lines, 80, 10),
        shape(frame_805_shape_group_8_shape_1_horizontal_lines, 90, 5),
        shape(frame_805_shape_group_8_shape_2_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_805_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const shape frame_805_shape_group_9_shapes[] = {
        shape(frame_805_shape_group_9_shape_0_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_805_shape_groups[] = {
        shape_group(frame_805_shape_group_0_shapes),
        shape_group(frame_805_shape_group_1_shapes),
        shape_group(frame_805_shape_group_2_shapes),
        shape_group(frame_805_shape_group_3_shapes),
        shape_group(frame_805_shape_group_4_shapes),
        shape_group(frame_805_shape_group_5_shapes),
        shape_group(frame_805_shape_group_6_shapes),
        shape_group(frame_805_shape_group_7_shapes),
        shape_group(frame_805_shape_group_8_shapes),
        shape_group(frame_805_shape_group_9_shapes),
    };

    constexpr const frame frame_805_impl(frame_805_colors, frame_805_shape_groups);
} 

const frame& frame_805()
{
    return frame_805_impl;
}

namespace
{
    constexpr const bn::color frame_806_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_806_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 238),
        horizontal_line(180, 237),
        horizontal_line(181, 236),
        horizontal_line(183, 235),
        horizontal_line(183, 183),
        horizontal_line(183, 184),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 191),
        horizontal_line(179, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 189),
        horizontal_line(174, 189),
        horizontal_line(174, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 187),
        horizontal_line(172, 186),
        horizontal_line(172, 181),
        horizontal_line(171, 177),
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_806_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_806_shape_group_0_shapes[] = {
        shape(frame_806_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_806_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(187, 235),
        horizontal_line(192, 234),
        horizontal_line(196, 233),
        horizontal_line(201, 232),
        horizontal_line(205, 231),
        horizontal_line(210, 231),
        horizontal_line(214, 230),
        horizontal_line(219, 229),
        horizontal_line(223, 228),
        horizontal_line(228, 228),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(197, 225),
        horizontal_line(201, 223),
        horizontal_line(204, 221),
        horizontal_line(208, 219),
        horizontal_line(211, 217),
        horizontal_line(215, 215),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(207, 216),
        horizontal_line(206, 216),
        horizontal_line(206, 215),
        horizontal_line(206, 214),
        horizontal_line(206, 214),
        horizontal_line(206, 213),
        horizontal_line(206, 213),
        horizontal_line(207, 212),
        horizontal_line(207, 212),
        horizontal_line(207, 211),
        horizontal_line(207, 210),
        horizontal_line(208, 210),
        horizontal_line(208, 209),
        horizontal_line(208, 209),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_806_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(62, 124),
        horizontal_line(55, 117),
        horizontal_line(48, 110),
        horizontal_line(41, 103),
        horizontal_line(35, 97),
        horizontal_line(28, 90),
        horizontal_line(21, 83),
        horizontal_line(14, 76),
        horizontal_line(7, 69),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_806_shape_group_1_shapes[] = {
        shape(frame_806_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_806_shape_group_1_shape_1_horizontal_lines, 63, 2),
        shape(frame_806_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_806_shape_group_1_shape_3_horizontal_lines, 77, 2),
        shape(frame_806_shape_group_1_shape_4_horizontal_lines, 94, 13),
        shape(frame_806_shape_group_1_shape_5_horizontal_lines, 109, 6),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(185, 191),
        horizontal_line(186, 195),
        horizontal_line(187, 200),
        horizontal_line(188, 204),
        horizontal_line(189, 209),
        horizontal_line(190, 213),
        horizontal_line(191, 218),
        horizontal_line(192, 222),
        horizontal_line(194, 227),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(214, 222),
        horizontal_line(213, 222),
        horizontal_line(213, 221),
        horizontal_line(212, 221),
        horizontal_line(211, 220),
        horizontal_line(211, 220),
        horizontal_line(210, 219),
        horizontal_line(209, 218),
        horizontal_line(209, 218),
        horizontal_line(208, 217),
        horizontal_line(207, 217),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(200, 206),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(176, 205),
        horizontal_line(178, 205),
        horizontal_line(181, 205),
        horizontal_line(184, 205),
        horizontal_line(186, 205),
        horizontal_line(189, 206),
        horizontal_line(191, 206),
        horizontal_line(194, 206),
        horizontal_line(197, 206),
        horizontal_line(199, 207),
        horizontal_line(202, 207),
        horizontal_line(204, 207),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_806_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(131, 193),
        horizontal_line(124, 186),
        horizontal_line(117, 179),
        horizontal_line(110, 172),
        horizontal_line(103, 165),
        horizontal_line(97, 159),
        horizontal_line(90, 152),
        horizontal_line(83, 145),
        horizontal_line(76, 138),
        horizontal_line(69, 131),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_806_shape_group_2_shapes[] = {
        shape(frame_806_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_806_shape_group_2_shape_1_horizontal_lines, 67, 2),
        shape(frame_806_shape_group_2_shape_2_horizontal_lines, 83, 13),
        shape(frame_806_shape_group_2_shape_3_horizontal_lines, 94, 3),
        shape(frame_806_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_806_shape_group_2_shape_5_horizontal_lines, 109, 6),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(194, 196),
        horizontal_line(194, 200),
        horizontal_line(193, 201),
        horizontal_line(195, 201),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(216, 223),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(191, 199),
        horizontal_line(191, 199),
        horizontal_line(190, 198),
        horizontal_line(190, 198),
        horizontal_line(189, 197),
        horizontal_line(189, 196),
        horizontal_line(190, 196),
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(194, 199),
        horizontal_line(197, 206),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(171, 199),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_806_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(157, 175),
        horizontal_line(150, 177),
        horizontal_line(143, 180),
        horizontal_line(137, 183),
        horizontal_line(130, 185),
        horizontal_line(123, 185),
        horizontal_line(116, 178),
        horizontal_line(109, 171),
        horizontal_line(103, 165),
        horizontal_line(96, 158),
        horizontal_line(89, 151),
        horizontal_line(82, 144),
        horizontal_line(75, 137),
        horizontal_line(193, 208),
        horizontal_line(186, 207),
        horizontal_line(179, 207),
        horizontal_line(172, 206),
        horizontal_line(165, 206),
        horizontal_line(159, 205),
        horizontal_line(152, 205),
        horizontal_line(145, 205),
        horizontal_line(138, 200),
        horizontal_line(131, 193),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_806_shape_group_3_shapes[] = {
        shape(frame_806_shape_group_3_shape_0_horizontal_lines, 67, 2),
        shape(frame_806_shape_group_3_shape_1_horizontal_lines, 77, 7),
        shape(frame_806_shape_group_3_shape_2_horizontal_lines, 82, 13),
        shape(frame_806_shape_group_3_shape_3_horizontal_lines, 83, 9),
        shape(frame_806_shape_group_3_shape_4_horizontal_lines, 91, 3),
        shape(frame_806_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_806_shape_group_3_shape_6_horizontal_lines, 96, 6),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(224, 225),
        horizontal_line(222, 225),
        horizontal_line(220, 224),
        horizontal_line(218, 224),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(206, 214),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(200, 203),
        horizontal_line(200, 203),
        horizontal_line(199, 202),
        horizontal_line(199, 202),
        horizontal_line(198, 201),
        horizontal_line(197, 201),
        horizontal_line(188, 188),
        horizontal_line(188, 191),
        horizontal_line(196, 199),
        horizontal_line(201, 207),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(174, 196),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(164, 172),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(178, 190),
        horizontal_line(171, 193),
        horizontal_line(165, 196),
        horizontal_line(158, 198),
        horizontal_line(151, 201),
        horizontal_line(144, 203),
        horizontal_line(137, 199),
    };

    constexpr const horizontal_line frame_806_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(200, 204),
        horizontal_line(193, 204),
        horizontal_line(187, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 189),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
    };

    constexpr const shape frame_806_shape_group_4_shapes[] = {
        shape(frame_806_shape_group_4_shape_0_horizontal_lines, 77, 13),
        shape(frame_806_shape_group_4_shape_1_horizontal_lines, 82, 11),
        shape(frame_806_shape_group_4_shape_2_horizontal_lines, 83, 3),
        shape(frame_806_shape_group_4_shape_3_horizontal_lines, 93, 8),
        shape(frame_806_shape_group_4_shape_4_horizontal_lines, 95, 6),
        shape(frame_806_shape_group_4_shape_5_horizontal_lines, 101, 6),
        shape(frame_806_shape_group_4_shape_6_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_806_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(202, 204),
        horizontal_line(202, 204),
    };

    constexpr const horizontal_line frame_806_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(192, 200),
    };

    constexpr const horizontal_line frame_806_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(205, 213),
        horizontal_line(205, 212),
        horizontal_line(204, 212),
        horizontal_line(204, 211),
        horizontal_line(203, 210),
        horizontal_line(203, 210),
        horizontal_line(197, 200),
        horizontal_line(196, 200),
        horizontal_line(201, 208),
    };

    constexpr const horizontal_line frame_806_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_806_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(199, 206),
    };

    constexpr const shape frame_806_shape_group_5_shapes[] = {
        shape(frame_806_shape_group_5_shape_0_horizontal_lines, 79, 11),
        shape(frame_806_shape_group_5_shape_1_horizontal_lines, 82, 9),
        shape(frame_806_shape_group_5_shape_2_horizontal_lines, 83, 3),
        shape(frame_806_shape_group_5_shape_3_horizontal_lines, 92, 12),
        shape(frame_806_shape_group_5_shape_4_horizontal_lines, 108, 6),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(206, 207),
        horizontal_line(206, 210),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(205, 205),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(203, 203),
        horizontal_line(203, 203),
        horizontal_line(202, 202),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(202, 209),
        horizontal_line(202, 208),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_806_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 193),
    };

    constexpr const shape frame_806_shape_group_6_shapes[] = {
        shape(frame_806_shape_group_6_shape_0_horizontal_lines, 80, 11),
        shape(frame_806_shape_group_6_shape_1_horizontal_lines, 82, 10),
        shape(frame_806_shape_group_6_shape_2_horizontal_lines, 83, 12),
        shape(frame_806_shape_group_6_shape_3_horizontal_lines, 89, 3),
        shape(frame_806_shape_group_6_shape_4_horizontal_lines, 91, 12),
        shape(frame_806_shape_group_6_shape_5_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_806_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(192, 198),
    };

    constexpr const horizontal_line frame_806_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(201, 204),
    };

    constexpr const horizontal_line frame_806_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_806_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const shape frame_806_shape_group_7_shapes[] = {
        shape(frame_806_shape_group_7_shape_0_horizontal_lines, 80, 9),
        shape(frame_806_shape_group_7_shape_1_horizontal_lines, 82, 3),
        shape(frame_806_shape_group_7_shape_2_horizontal_lines, 89, 12),
        shape(frame_806_shape_group_7_shape_3_horizontal_lines, 91, 5),
    };

    constexpr const horizontal_line frame_806_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(205, 205),
        horizontal_line(205, 205),
    };

    constexpr const horizontal_line frame_806_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_806_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(182, 190),
    };

    constexpr const shape frame_806_shape_group_8_shapes[] = {
        shape(frame_806_shape_group_8_shape_0_horizontal_lines, 80, 10),
        shape(frame_806_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_806_shape_group_8_shape_2_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_806_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const shape frame_806_shape_group_9_shapes[] = {
        shape(frame_806_shape_group_9_shape_0_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_806_shape_groups[] = {
        shape_group(frame_806_shape_group_0_shapes),
        shape_group(frame_806_shape_group_1_shapes),
        shape_group(frame_806_shape_group_2_shapes),
        shape_group(frame_806_shape_group_3_shapes),
        shape_group(frame_806_shape_group_4_shapes),
        shape_group(frame_806_shape_group_5_shapes),
        shape_group(frame_806_shape_group_6_shapes),
        shape_group(frame_806_shape_group_7_shapes),
        shape_group(frame_806_shape_group_8_shapes),
        shape_group(frame_806_shape_group_9_shapes),
    };

    constexpr const frame frame_806_impl(frame_806_colors, frame_806_shape_groups);
} 

const frame& frame_806()
{
    return frame_806_impl;
}

namespace
{
    constexpr const bn::color frame_807_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_807_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 183),
        horizontal_line(183, 184),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 191),
        horizontal_line(179, 192),
        horizontal_line(178, 192),
        horizontal_line(178, 192),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(177, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(175, 189),
        horizontal_line(175, 189),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(173, 187),
        horizontal_line(173, 187),
        horizontal_line(172, 186),
        horizontal_line(172, 181),
        horizontal_line(171, 177),
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_807_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_807_shape_group_0_shapes[] = {
        shape(frame_807_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_807_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_807_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_807_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(187, 238),
        horizontal_line(191, 237),
        horizontal_line(195, 236),
        horizontal_line(199, 235),
        horizontal_line(203, 234),
        horizontal_line(207, 233),
        horizontal_line(211, 232),
        horizontal_line(215, 231),
        horizontal_line(219, 230),
        horizontal_line(223, 229),
        horizontal_line(228, 228),
    };

    constexpr const horizontal_line frame_807_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(200, 225),
        horizontal_line(204, 222),
        horizontal_line(207, 220),
        horizontal_line(211, 217),
        horizontal_line(215, 215),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_807_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(207, 217),
        horizontal_line(206, 216),
        horizontal_line(206, 216),
        horizontal_line(206, 215),
        horizontal_line(206, 214),
        horizontal_line(206, 214),
        horizontal_line(206, 213),
        horizontal_line(207, 213),
        horizontal_line(207, 212),
        horizontal_line(207, 212),
        horizontal_line(207, 211),
        horizontal_line(207, 210),
        horizontal_line(208, 210),
        horizontal_line(208, 209),
        horizontal_line(208, 209),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_807_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(77, 139),
        horizontal_line(71, 133),
        horizontal_line(65, 127),
        horizontal_line(59, 121),
        horizontal_line(53, 115),
        horizontal_line(47, 109),
        horizontal_line(42, 104),
        horizontal_line(36, 98),
        horizontal_line(30, 92),
        horizontal_line(24, 86),
        horizontal_line(18, 80),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_807_shape_group_1_shapes[] = {
        shape(frame_807_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_807_shape_group_1_shape_1_horizontal_lines, 67, 4),
        shape(frame_807_shape_group_1_shape_2_horizontal_lines, 78, 2),
        shape(frame_807_shape_group_1_shape_3_horizontal_lines, 94, 13),
        shape(frame_807_shape_group_1_shape_4_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(185, 190),
        horizontal_line(186, 194),
        horizontal_line(187, 198),
        horizontal_line(188, 202),
        horizontal_line(189, 206),
        horizontal_line(190, 210),
        horizontal_line(191, 214),
        horizontal_line(192, 218),
        horizontal_line(193, 222),
        horizontal_line(196, 227),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(214, 223),
        horizontal_line(213, 222),
        horizontal_line(213, 222),
        horizontal_line(212, 221),
        horizontal_line(211, 221),
        horizontal_line(211, 220),
        horizontal_line(210, 220),
        horizontal_line(209, 219),
        horizontal_line(209, 218),
        horizontal_line(208, 218),
        horizontal_line(207, 217),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(200, 206),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(175, 205),
        horizontal_line(178, 205),
        horizontal_line(180, 205),
        horizontal_line(183, 205),
        horizontal_line(185, 205),
        horizontal_line(188, 206),
        horizontal_line(190, 206),
        horizontal_line(192, 206),
        horizontal_line(195, 206),
        horizontal_line(197, 206),
        horizontal_line(200, 207),
        horizontal_line(202, 207),
        horizontal_line(205, 207),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_807_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(133, 195),
        horizontal_line(127, 189),
        horizontal_line(121, 183),
        horizontal_line(115, 177),
        horizontal_line(109, 171),
        horizontal_line(104, 166),
        horizontal_line(98, 160),
        horizontal_line(92, 154),
        horizontal_line(86, 148),
        horizontal_line(80, 142),
        horizontal_line(74, 136),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_807_shape_group_2_shapes[] = {
        shape(frame_807_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_807_shape_group_2_shape_1_horizontal_lines, 67, 2),
        shape(frame_807_shape_group_2_shape_2_horizontal_lines, 83, 13),
        shape(frame_807_shape_group_2_shape_3_horizontal_lines, 94, 3),
        shape(frame_807_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_807_shape_group_2_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(193, 199),
        horizontal_line(192, 200),
        horizontal_line(194, 200),
        horizontal_line(198, 200),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(216, 224),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(191, 198),
        horizontal_line(190, 198),
        horizontal_line(190, 197),
        horizontal_line(189, 197),
        horizontal_line(189, 196),
        horizontal_line(188, 195),
        horizontal_line(190, 195),
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(191, 198),
        horizontal_line(194, 198),
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(171, 199),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_807_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(159, 174),
        horizontal_line(153, 177),
        horizontal_line(147, 179),
        horizontal_line(141, 182),
        horizontal_line(135, 184),
        horizontal_line(129, 187),
        horizontal_line(124, 186),
        horizontal_line(118, 180),
        horizontal_line(112, 174),
        horizontal_line(106, 168),
        horizontal_line(100, 162),
        horizontal_line(94, 156),
        horizontal_line(88, 150),
        horizontal_line(83, 145),
        horizontal_line(201, 208),
        horizontal_line(195, 207),
        horizontal_line(189, 207),
        horizontal_line(183, 207),
        horizontal_line(177, 206),
        horizontal_line(171, 206),
        horizontal_line(166, 206),
        horizontal_line(160, 206),
        horizontal_line(154, 205),
        horizontal_line(148, 205),
        horizontal_line(142, 204),
        horizontal_line(136, 198),
        horizontal_line(130, 192),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_807_shape_group_3_shapes[] = {
        shape(frame_807_shape_group_3_shape_0_horizontal_lines, 67, 2),
        shape(frame_807_shape_group_3_shape_1_horizontal_lines, 78, 7),
        shape(frame_807_shape_group_3_shape_2_horizontal_lines, 82, 13),
        shape(frame_807_shape_group_3_shape_3_horizontal_lines, 83, 9),
        shape(frame_807_shape_group_3_shape_4_horizontal_lines, 91, 3),
        shape(frame_807_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_807_shape_group_3_shape_6_horizontal_lines, 96, 6),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(223, 225),
        horizontal_line(221, 225),
        horizontal_line(218, 224),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(205, 214),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(199, 202),
        horizontal_line(199, 202),
        horizontal_line(198, 201),
        horizontal_line(198, 201),
        horizontal_line(197, 200),
        horizontal_line(196, 200),
        horizontal_line(188, 189),
        horizontal_line(188, 192),
        horizontal_line(201, 208),
        horizontal_line(201, 207),
        horizontal_line(200, 206),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(180, 191),
        horizontal_line(174, 194),
        horizontal_line(168, 196),
        horizontal_line(162, 199),
        horizontal_line(156, 201),
        horizontal_line(150, 204),
        horizontal_line(145, 206),
    };

    constexpr const horizontal_line frame_807_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(204, 205),
        horizontal_line(198, 204),
        horizontal_line(192, 204),
        horizontal_line(187, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 195),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
    };

    constexpr const shape frame_807_shape_group_4_shapes[] = {
        shape(frame_807_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_807_shape_group_4_shape_1_horizontal_lines, 78, 13),
        shape(frame_807_shape_group_4_shape_2_horizontal_lines, 82, 11),
        shape(frame_807_shape_group_4_shape_3_horizontal_lines, 83, 3),
        shape(frame_807_shape_group_4_shape_4_horizontal_lines, 95, 6),
        shape(frame_807_shape_group_4_shape_5_horizontal_lines, 102, 6),
        shape(frame_807_shape_group_4_shape_6_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_807_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(201, 203),
        horizontal_line(201, 203),
        horizontal_line(201, 203),
    };

    constexpr const horizontal_line frame_807_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(191, 199),
    };

    constexpr const horizontal_line frame_807_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(204, 213),
        horizontal_line(204, 212),
        horizontal_line(203, 212),
        horizontal_line(203, 211),
        horizontal_line(203, 210),
        horizontal_line(202, 210),
        horizontal_line(196, 199),
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_807_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(199, 200),
        horizontal_line(199, 200),
        horizontal_line(199, 199),
    };

    constexpr const shape frame_807_shape_group_5_shapes[] = {
        shape(frame_807_shape_group_5_shape_0_horizontal_lines, 79, 11),
        shape(frame_807_shape_group_5_shape_1_horizontal_lines, 82, 9),
        shape(frame_807_shape_group_5_shape_2_horizontal_lines, 83, 3),
        shape(frame_807_shape_group_5_shape_3_horizontal_lines, 91, 12),
    };

    constexpr const horizontal_line frame_807_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(205, 206),
        horizontal_line(205, 210),
    };

    constexpr const horizontal_line frame_807_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_807_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(203, 203),
        horizontal_line(203, 203),
        horizontal_line(202, 202),
        horizontal_line(202, 202),
        horizontal_line(201, 202),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_807_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(202, 209),
        horizontal_line(201, 208),
    };

    constexpr const horizontal_line frame_807_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(182, 190),
        horizontal_line(178, 193),
        horizontal_line(174, 196),
    };

    constexpr const shape frame_807_shape_group_6_shapes[] = {
        shape(frame_807_shape_group_6_shape_0_horizontal_lines, 80, 11),
        shape(frame_807_shape_group_6_shape_1_horizontal_lines, 82, 10),
        shape(frame_807_shape_group_6_shape_2_horizontal_lines, 83, 12),
        shape(frame_807_shape_group_6_shape_3_horizontal_lines, 89, 3),
        shape(frame_807_shape_group_6_shape_4_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_807_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(191, 197),
    };

    constexpr const horizontal_line frame_807_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(200, 203),
    };

    constexpr const horizontal_line frame_807_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(200, 200),
    };

    constexpr const shape frame_807_shape_group_7_shapes[] = {
        shape(frame_807_shape_group_7_shape_0_horizontal_lines, 80, 9),
        shape(frame_807_shape_group_7_shape_1_horizontal_lines, 82, 3),
        shape(frame_807_shape_group_7_shape_2_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_807_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_807_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const shape frame_807_shape_group_8_shapes[] = {
        shape(frame_807_shape_group_8_shape_0_horizontal_lines, 80, 10),
        shape(frame_807_shape_group_8_shape_1_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_807_shape_groups[] = {
        shape_group(frame_807_shape_group_0_shapes),
        shape_group(frame_807_shape_group_1_shapes),
        shape_group(frame_807_shape_group_2_shapes),
        shape_group(frame_807_shape_group_3_shapes),
        shape_group(frame_807_shape_group_4_shapes),
        shape_group(frame_807_shape_group_5_shapes),
        shape_group(frame_807_shape_group_6_shapes),
        shape_group(frame_807_shape_group_7_shapes),
        shape_group(frame_807_shape_group_8_shapes),
    };

    constexpr const frame frame_807_impl(frame_807_colors, frame_807_shape_groups);
} 

const frame& frame_807()
{
    return frame_807_impl;
}

namespace
{
    constexpr const bn::color frame_808_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_808_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 185),
        horizontal_line(183, 186),
        horizontal_line(182, 187),
        horizontal_line(182, 188),
        horizontal_line(181, 189),
        horizontal_line(181, 190),
        horizontal_line(180, 191),
        horizontal_line(180, 192),
        horizontal_line(179, 192),
        horizontal_line(179, 192),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(176, 189),
        horizontal_line(176, 189),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(173, 186),
        horizontal_line(173, 185),
        horizontal_line(172, 181),
        horizontal_line(172, 177),
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_808_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_808_shape_group_0_shapes[] = {
        shape(frame_808_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_808_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 237),
        horizontal_line(204, 236),
        horizontal_line(208, 235),
        horizontal_line(212, 234),
        horizontal_line(216, 232),
        horizontal_line(220, 231),
        horizontal_line(224, 230),
        horizontal_line(229, 229),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(200, 226),
        horizontal_line(203, 223),
        horizontal_line(207, 220),
        horizontal_line(210, 217),
        horizontal_line(214, 214),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(206, 218),
        horizontal_line(205, 217),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
        horizontal_line(205, 215),
        horizontal_line(206, 215),
        horizontal_line(206, 214),
        horizontal_line(206, 214),
        horizontal_line(207, 213),
        horizontal_line(207, 213),
        horizontal_line(207, 212),
        horizontal_line(208, 211),
        horizontal_line(208, 211),
        horizontal_line(208, 210),
        horizontal_line(209, 210),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_808_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(91, 153),
        horizontal_line(86, 148),
        horizontal_line(81, 143),
        horizontal_line(76, 138),
        horizontal_line(71, 133),
        horizontal_line(66, 128),
        horizontal_line(61, 123),
        horizontal_line(56, 118),
        horizontal_line(51, 113),
        horizontal_line(46, 108),
        horizontal_line(41, 103),
        horizontal_line(36, 98),
        horizontal_line(31, 93),
        horizontal_line(26, 88),
        horizontal_line(21, 83),
        horizontal_line(16, 78),
        horizontal_line(11, 73),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_808_shape_group_1_shapes[] = {
        shape(frame_808_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_808_shape_group_1_shape_1_horizontal_lines, 67, 2),
        shape(frame_808_shape_group_1_shape_2_horizontal_lines, 68, 4),
        shape(frame_808_shape_group_1_shape_3_horizontal_lines, 78, 2),
        shape(frame_808_shape_group_1_shape_4_horizontal_lines, 94, 13),
        shape(frame_808_shape_group_1_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(186, 195),
        horizontal_line(187, 199),
        horizontal_line(188, 203),
        horizontal_line(189, 207),
        horizontal_line(190, 211),
        horizontal_line(191, 215),
        horizontal_line(192, 219),
        horizontal_line(193, 223),
        horizontal_line(196, 228),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(213, 224),
        horizontal_line(212, 223),
        horizontal_line(212, 223),
        horizontal_line(211, 222),
        horizontal_line(210, 222),
        horizontal_line(210, 221),
        horizontal_line(209, 221),
        horizontal_line(208, 220),
        horizontal_line(208, 219),
        horizontal_line(207, 219),
        horizontal_line(206, 218),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(199, 205),
        horizontal_line(202, 204),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(176, 204),
        horizontal_line(178, 204),
        horizontal_line(181, 204),
        horizontal_line(183, 205),
        horizontal_line(186, 205),
        horizontal_line(188, 205),
        horizontal_line(191, 206),
        horizontal_line(193, 206),
        horizontal_line(196, 206),
        horizontal_line(198, 207),
        horizontal_line(201, 207),
        horizontal_line(203, 207),
        horizontal_line(206, 208),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_808_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(153, 209),
        horizontal_line(148, 208),
        horizontal_line(143, 205),
        horizontal_line(138, 200),
        horizontal_line(133, 195),
        horizontal_line(128, 190),
        horizontal_line(123, 185),
        horizontal_line(118, 180),
        horizontal_line(113, 175),
        horizontal_line(108, 170),
        horizontal_line(103, 165),
        horizontal_line(98, 160),
        horizontal_line(93, 155),
        horizontal_line(88, 150),
        horizontal_line(83, 145),
        horizontal_line(78, 140),
        horizontal_line(73, 135),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_808_shape_group_2_shapes[] = {
        shape(frame_808_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_808_shape_group_2_shape_1_horizontal_lines, 68, 2),
        shape(frame_808_shape_group_2_shape_2_horizontal_lines, 83, 13),
        shape(frame_808_shape_group_2_shape_3_horizontal_lines, 94, 3),
        shape(frame_808_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_808_shape_group_2_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(193, 199),
        horizontal_line(192, 199),
        horizontal_line(195, 199),
        horizontal_line(198, 198),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(215, 225),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(190, 197),
        horizontal_line(190, 197),
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(188, 195),
        horizontal_line(188, 195),
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(187, 191),
        horizontal_line(190, 194),
        horizontal_line(193, 197),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(171, 198),
        horizontal_line(173, 201),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(161, 175),
        horizontal_line(156, 177),
        horizontal_line(151, 180),
        horizontal_line(146, 182),
        horizontal_line(141, 185),
        horizontal_line(136, 187),
        horizontal_line(131, 190),
        horizontal_line(126, 188),
        horizontal_line(121, 183),
        horizontal_line(116, 178),
        horizontal_line(111, 173),
        horizontal_line(106, 168),
        horizontal_line(101, 163),
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_808_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(205, 208),
        horizontal_line(200, 208),
        horizontal_line(195, 208),
        horizontal_line(190, 208),
        horizontal_line(185, 208),
        horizontal_line(180, 207),
        horizontal_line(175, 207),
        horizontal_line(170, 207),
        horizontal_line(165, 207),
        horizontal_line(160, 207),
        horizontal_line(155, 207),
        horizontal_line(150, 206),
        horizontal_line(145, 206),
        horizontal_line(140, 202),
        horizontal_line(135, 197),
        horizontal_line(130, 192),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_808_shape_group_3_shapes[] = {
        shape(frame_808_shape_group_3_shape_0_horizontal_lines, 70, 2),
        shape(frame_808_shape_group_3_shape_1_horizontal_lines, 78, 7),
        shape(frame_808_shape_group_3_shape_2_horizontal_lines, 82, 13),
        shape(frame_808_shape_group_3_shape_3_horizontal_lines, 83, 9),
        shape(frame_808_shape_group_3_shape_4_horizontal_lines, 90, 3),
        shape(frame_808_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_808_shape_group_3_shape_6_horizontal_lines, 96, 6),
        shape(frame_808_shape_group_3_shape_7_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(224, 226),
        horizontal_line(221, 226),
        horizontal_line(218, 225),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(205, 213),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(198, 201),
        horizontal_line(198, 200),
        horizontal_line(197, 200),
        horizontal_line(197, 199),
        horizontal_line(196, 199),
        horizontal_line(196, 198),
        horizontal_line(187, 188),
        horizontal_line(195, 197),
        horizontal_line(196, 197),
        horizontal_line(200, 206),
        horizontal_line(199, 205),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(166, 172),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(188, 192),
        horizontal_line(183, 195),
        horizontal_line(178, 197),
        horizontal_line(173, 200),
        horizontal_line(168, 202),
        horizontal_line(163, 205),
        horizontal_line(158, 207),
    };

    constexpr const horizontal_line frame_808_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(202, 206),
        horizontal_line(197, 206),
        horizontal_line(192, 206),
        horizontal_line(187, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 201),
    };

    constexpr const shape frame_808_shape_group_4_shapes[] = {
        shape(frame_808_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_808_shape_group_4_shape_1_horizontal_lines, 78, 13),
        shape(frame_808_shape_group_4_shape_2_horizontal_lines, 82, 11),
        shape(frame_808_shape_group_4_shape_3_horizontal_lines, 83, 3),
        shape(frame_808_shape_group_4_shape_4_horizontal_lines, 95, 6),
        shape(frame_808_shape_group_4_shape_5_horizontal_lines, 103, 6),
        shape(frame_808_shape_group_4_shape_6_horizontal_lines, 125, 6),
    };

    constexpr const horizontal_line frame_808_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(200, 202),
        horizontal_line(200, 202),
        horizontal_line(205, 209),
    };

    constexpr const horizontal_line frame_808_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(191, 198),
    };

    constexpr const horizontal_line frame_808_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(204, 212),
        horizontal_line(204, 211),
        horizontal_line(203, 211),
        horizontal_line(203, 210),
        horizontal_line(202, 209),
        horizontal_line(202, 209),
        horizontal_line(195, 198),
        horizontal_line(201, 207),
        horizontal_line(200, 207),
    };

    constexpr const horizontal_line frame_808_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(198, 199),
        horizontal_line(198, 198),
    };

    constexpr const shape frame_808_shape_group_5_shapes[] = {
        shape(frame_808_shape_group_5_shape_0_horizontal_lines, 79, 11),
        shape(frame_808_shape_group_5_shape_1_horizontal_lines, 82, 9),
        shape(frame_808_shape_group_5_shape_2_horizontal_lines, 83, 3),
        shape(frame_808_shape_group_5_shape_3_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(205, 206),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(191, 197),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(201, 203),
        horizontal_line(201, 202),
        horizontal_line(200, 202),
        horizontal_line(200, 201),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(201, 208),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(198, 200),
        horizontal_line(198, 199),
    };

    constexpr const horizontal_line frame_808_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(178, 192),
        horizontal_line(174, 195),
    };

    constexpr const shape frame_808_shape_group_6_shapes[] = {
        shape(frame_808_shape_group_6_shape_0_horizontal_lines, 80, 11),
        shape(frame_808_shape_group_6_shape_1_horizontal_lines, 81, 9),
        shape(frame_808_shape_group_6_shape_2_horizontal_lines, 82, 3),
        shape(frame_808_shape_group_6_shape_3_horizontal_lines, 83, 12),
        shape(frame_808_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_808_shape_group_6_shape_5_horizontal_lines, 90, 12),
        shape(frame_808_shape_group_6_shape_6_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_808_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_808_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(203, 204),
    };

    constexpr const horizontal_line frame_808_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(202, 204),
    };

    constexpr const horizontal_line frame_808_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(199, 200),
    };

    constexpr const horizontal_line frame_808_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(192, 194),
        horizontal_line(195, 195),
    };

    constexpr const shape frame_808_shape_group_7_shapes[] = {
        shape(frame_808_shape_group_7_shape_0_horizontal_lines, 80, 9),
        shape(frame_808_shape_group_7_shape_1_horizontal_lines, 81, 10),
        shape(frame_808_shape_group_7_shape_2_horizontal_lines, 82, 12),
        shape(frame_808_shape_group_7_shape_3_horizontal_lines, 89, 12),
        shape(frame_808_shape_group_7_shape_4_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_808_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(203, 204),
    };

    constexpr const horizontal_line frame_808_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(199, 202),
    };

    constexpr const horizontal_line frame_808_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_808_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(182, 189),
    };

    constexpr const shape frame_808_shape_group_8_shapes[] = {
        shape(frame_808_shape_group_8_shape_0_horizontal_lines, 80, 10),
        shape(frame_808_shape_group_8_shape_1_horizontal_lines, 81, 3),
        shape(frame_808_shape_group_8_shape_2_horizontal_lines, 89, 5),
        shape(frame_808_shape_group_8_shape_3_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_808_shape_groups[] = {
        shape_group(frame_808_shape_group_0_shapes),
        shape_group(frame_808_shape_group_1_shapes),
        shape_group(frame_808_shape_group_2_shapes),
        shape_group(frame_808_shape_group_3_shapes),
        shape_group(frame_808_shape_group_4_shapes),
        shape_group(frame_808_shape_group_5_shapes),
        shape_group(frame_808_shape_group_6_shapes),
        shape_group(frame_808_shape_group_7_shapes),
        shape_group(frame_808_shape_group_8_shapes),
    };

    constexpr const frame frame_808_impl(frame_808_colors, frame_808_shape_groups);
} 

const frame& frame_808()
{
    return frame_808_impl;
}

namespace
{
    constexpr const bn::color frame_809_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_809_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 185),
        horizontal_line(183, 186),
        horizontal_line(182, 187),
        horizontal_line(182, 187),
        horizontal_line(181, 188),
        horizontal_line(181, 189),
        horizontal_line(180, 190),
        horizontal_line(180, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(177, 189),
        horizontal_line(177, 189),
        horizontal_line(176, 188),
        horizontal_line(176, 188),
        horizontal_line(175, 187),
        horizontal_line(175, 187),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(173, 185),
        horizontal_line(173, 184),
        horizontal_line(172, 181),
        horizontal_line(172, 178),
        horizontal_line(171, 175),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_809_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_809_shape_group_0_shapes[] = {
        shape(frame_809_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_809_shape_group_0_shape_1_horizontal_lines, 95, 2),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 237),
        horizontal_line(213, 236),
        horizontal_line(217, 234),
        horizontal_line(221, 233),
        horizontal_line(225, 231),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(200, 225),
        horizontal_line(204, 221),
        horizontal_line(208, 217),
        horizontal_line(213, 213),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(205, 218),
        horizontal_line(205, 218),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
        horizontal_line(206, 216),
        horizontal_line(206, 215),
        horizontal_line(207, 215),
        horizontal_line(207, 214),
        horizontal_line(208, 214),
        horizontal_line(208, 213),
        horizontal_line(208, 212),
        horizontal_line(209, 212),
        horizontal_line(209, 211),
        horizontal_line(210, 211),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_809_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(103, 165),
        horizontal_line(99, 161),
        horizontal_line(94, 156),
        horizontal_line(90, 152),
        horizontal_line(86, 148),
        horizontal_line(81, 143),
        horizontal_line(77, 139),
        horizontal_line(72, 134),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(59, 121),
        horizontal_line(54, 116),
        horizontal_line(50, 112),
        horizontal_line(45, 107),
        horizontal_line(41, 103),
        horizontal_line(36, 98),
        horizontal_line(32, 94),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(18, 80),
        horizontal_line(14, 76),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_809_shape_group_1_shapes[] = {
        shape(frame_809_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_809_shape_group_1_shape_1_horizontal_lines, 67, 2),
        shape(frame_809_shape_group_1_shape_2_horizontal_lines, 68, 4),
        shape(frame_809_shape_group_1_shape_3_horizontal_lines, 78, 2),
        shape(frame_809_shape_group_1_shape_4_horizontal_lines, 95, 13),
        shape(frame_809_shape_group_1_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(186, 195),
        horizontal_line(187, 199),
        horizontal_line(188, 203),
        horizontal_line(188, 208),
        horizontal_line(189, 212),
        horizontal_line(190, 216),
        horizontal_line(191, 220),
        horizontal_line(192, 224),
        horizontal_line(196, 229),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(204, 211),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(211, 225),
        horizontal_line(211, 224),
        horizontal_line(210, 224),
        horizontal_line(210, 223),
        horizontal_line(209, 223),
        horizontal_line(209, 222),
        horizontal_line(208, 222),
        horizontal_line(208, 221),
        horizontal_line(207, 220),
        horizontal_line(207, 220),
        horizontal_line(206, 219),
        horizontal_line(206, 219),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(202, 204),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(173, 204),
        horizontal_line(176, 204),
        horizontal_line(179, 204),
        horizontal_line(181, 205),
        horizontal_line(184, 205),
        horizontal_line(187, 206),
        horizontal_line(190, 206),
        horizontal_line(192, 207),
        horizontal_line(195, 207),
        horizontal_line(198, 207),
        horizontal_line(201, 208),
        horizontal_line(203, 208),
        horizontal_line(206, 209),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_809_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(165, 210),
        horizontal_line(161, 209),
        horizontal_line(156, 209),
        horizontal_line(152, 209),
        horizontal_line(148, 209),
        horizontal_line(143, 205),
        horizontal_line(139, 201),
        horizontal_line(134, 196),
        horizontal_line(130, 192),
        horizontal_line(125, 187),
        horizontal_line(121, 183),
        horizontal_line(116, 178),
        horizontal_line(112, 174),
        horizontal_line(107, 169),
        horizontal_line(103, 165),
        horizontal_line(98, 160),
        horizontal_line(94, 156),
        horizontal_line(89, 151),
        horizontal_line(85, 147),
        horizontal_line(80, 142),
        horizontal_line(76, 138),
        horizontal_line(71, 133),
        horizontal_line(67, 129),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_809_shape_group_2_shapes[] = {
        shape(frame_809_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_809_shape_group_2_shape_1_horizontal_lines, 68, 2),
        shape(frame_809_shape_group_2_shape_2_horizontal_lines, 82, 11),
        shape(frame_809_shape_group_2_shape_3_horizontal_lines, 83, 13),
        shape(frame_809_shape_group_2_shape_4_horizontal_lines, 95, 3),
        shape(frame_809_shape_group_2_shape_5_horizontal_lines, 96, 8),
        shape(frame_809_shape_group_2_shape_6_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(192, 198),
        horizontal_line(193, 198),
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(204, 212),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(212, 226),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(188, 195),
        horizontal_line(188, 195),
        horizontal_line(187, 194),
        horizontal_line(187, 194),
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(186, 190),
        horizontal_line(189, 193),
        horizontal_line(192, 196),
        horizontal_line(196, 196),
        horizontal_line(199, 205),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(171, 201),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(166, 172),
        horizontal_line(162, 175),
        horizontal_line(157, 178),
        horizontal_line(153, 180),
        horizontal_line(148, 183),
        horizontal_line(144, 186),
        horizontal_line(139, 189),
        horizontal_line(135, 191),
        horizontal_line(130, 192),
        horizontal_line(126, 188),
        horizontal_line(121, 183),
        horizontal_line(117, 179),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
    };

    constexpr const horizontal_line frame_809_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(205, 209),
        horizontal_line(201, 209),
        horizontal_line(196, 209),
        horizontal_line(192, 209),
        horizontal_line(187, 209),
        horizontal_line(183, 209),
        horizontal_line(178, 209),
        horizontal_line(174, 209),
        horizontal_line(169, 208),
        horizontal_line(165, 208),
        horizontal_line(160, 208),
        horizontal_line(156, 208),
        horizontal_line(151, 208),
        horizontal_line(147, 208),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(133, 195),
        horizontal_line(129, 191),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_809_shape_group_3_shapes[] = {
        shape(frame_809_shape_group_3_shape_0_horizontal_lines, 72, 2),
        shape(frame_809_shape_group_3_shape_1_horizontal_lines, 78, 7),
        shape(frame_809_shape_group_3_shape_2_horizontal_lines, 81, 11),
        shape(frame_809_shape_group_3_shape_3_horizontal_lines, 82, 13),
        shape(frame_809_shape_group_3_shape_4_horizontal_lines, 83, 9),
        shape(frame_809_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_809_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_809_shape_group_3_shape_7_horizontal_lines, 96, 6),
        shape(frame_809_shape_group_3_shape_8_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(192, 195),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(199, 199),
        horizontal_line(199, 201),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(214, 226),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(190, 197),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(197, 200),
        horizontal_line(197, 199),
        horizontal_line(196, 199),
        horizontal_line(196, 198),
        horizontal_line(195, 198),
        horizontal_line(195, 197),
        horizontal_line(186, 187),
        horizontal_line(194, 196),
        horizontal_line(195, 196),
        horizontal_line(199, 206),
        horizontal_line(198, 205),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(173, 198),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(192, 194),
        horizontal_line(188, 197),
        horizontal_line(183, 200),
        horizontal_line(179, 202),
        horizontal_line(174, 205),
        horizontal_line(170, 208),
    };

    constexpr const horizontal_line frame_809_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(204, 208),
        horizontal_line(200, 208),
        horizontal_line(195, 208),
        horizontal_line(191, 208),
        horizontal_line(187, 208),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
        horizontal_line(186, 206),
    };

    constexpr const shape frame_809_shape_group_4_shapes[] = {
        shape(frame_809_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_809_shape_group_4_shape_1_horizontal_lines, 78, 11),
        shape(frame_809_shape_group_4_shape_2_horizontal_lines, 81, 13),
        shape(frame_809_shape_group_4_shape_3_horizontal_lines, 82, 9),
        shape(frame_809_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_809_shape_group_4_shape_5_horizontal_lines, 94, 8),
        shape(frame_809_shape_group_4_shape_6_horizontal_lines, 104, 6),
        shape(frame_809_shape_group_4_shape_7_horizontal_lines, 129, 6),
    };

    constexpr const horizontal_line frame_809_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(226, 228),
        horizontal_line(222, 227),
    };

    constexpr const horizontal_line frame_809_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(204, 207),
    };

    constexpr const horizontal_line frame_809_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(190, 197),
    };

    constexpr const horizontal_line frame_809_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(198, 200),
        horizontal_line(203, 210),
        horizontal_line(203, 210),
        horizontal_line(202, 209),
        horizontal_line(202, 209),
        horizontal_line(201, 208),
        horizontal_line(201, 208),
        horizontal_line(194, 197),
        horizontal_line(200, 207),
        horizontal_line(199, 206),
    };

    constexpr const horizontal_line frame_809_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(197, 197),
    };

    constexpr const shape frame_809_shape_group_5_shapes[] = {
        shape(frame_809_shape_group_5_shape_0_horizontal_lines, 78, 13),
        shape(frame_809_shape_group_5_shape_1_horizontal_lines, 80, 11),
        shape(frame_809_shape_group_5_shape_2_horizontal_lines, 81, 9),
        shape(frame_809_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_809_shape_group_5_shape_4_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(218, 227),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(202, 203),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(201, 203),
        horizontal_line(201, 202),
        horizontal_line(200, 202),
        horizontal_line(200, 201),
        horizontal_line(199, 201),
        horizontal_line(199, 200),
        horizontal_line(198, 200),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(200, 207),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(197, 199),
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_809_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(179, 191),
        horizontal_line(176, 195),
    };

    constexpr const shape frame_809_shape_group_6_shapes[] = {
        shape(frame_809_shape_group_6_shape_0_horizontal_lines, 79, 9),
        shape(frame_809_shape_group_6_shape_1_horizontal_lines, 80, 13),
        shape(frame_809_shape_group_6_shape_2_horizontal_lines, 81, 10),
        shape(frame_809_shape_group_6_shape_3_horizontal_lines, 82, 12),
        shape(frame_809_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_809_shape_group_6_shape_5_horizontal_lines, 90, 12),
        shape(frame_809_shape_group_6_shape_6_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_809_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(202, 203),
    };

    constexpr const horizontal_line frame_809_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_809_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(198, 201),
    };

    constexpr const horizontal_line frame_809_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(198, 199),
    };

    constexpr const horizontal_line frame_809_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(191, 193),
        horizontal_line(194, 194),
    };

    constexpr const shape frame_809_shape_group_7_shapes[] = {
        shape(frame_809_shape_group_7_shape_0_horizontal_lines, 79, 10),
        shape(frame_809_shape_group_7_shape_1_horizontal_lines, 80, 9),
        shape(frame_809_shape_group_7_shape_2_horizontal_lines, 81, 3),
        shape(frame_809_shape_group_7_shape_3_horizontal_lines, 89, 12),
        shape(frame_809_shape_group_7_shape_4_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_809_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(202, 203),
    };

    constexpr const horizontal_line frame_809_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_809_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(182, 188),
    };

    constexpr const shape frame_809_shape_group_8_shapes[] = {
        shape(frame_809_shape_group_8_shape_0_horizontal_lines, 80, 10),
        shape(frame_809_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_809_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_809_shape_groups[] = {
        shape_group(frame_809_shape_group_0_shapes),
        shape_group(frame_809_shape_group_1_shapes),
        shape_group(frame_809_shape_group_2_shapes),
        shape_group(frame_809_shape_group_3_shapes),
        shape_group(frame_809_shape_group_4_shapes),
        shape_group(frame_809_shape_group_5_shapes),
        shape_group(frame_809_shape_group_6_shapes),
        shape_group(frame_809_shape_group_7_shapes),
        shape_group(frame_809_shape_group_8_shapes),
    };

    constexpr const frame frame_809_impl(frame_809_colors, frame_809_shape_groups);
} 

const frame& frame_809()
{
    return frame_809_impl;
}

namespace
{
    constexpr const bn::color frame_810_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_810_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(182, 186),
        horizontal_line(182, 187),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(177, 188),
        horizontal_line(177, 188),
        horizontal_line(176, 188),
        horizontal_line(176, 187),
        horizontal_line(175, 187),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 184),
        horizontal_line(172, 181),
        horizontal_line(172, 178),
        horizontal_line(171, 175),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_810_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_810_shape_group_0_shapes[] = {
        shape(frame_810_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_810_shape_group_0_shape_1_horizontal_lines, 95, 2),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(218, 237),
        horizontal_line(222, 235),
        horizontal_line(226, 233),
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(199, 226),
        horizontal_line(204, 222),
        horizontal_line(208, 217),
        horizontal_line(213, 213),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(204, 219),
        horizontal_line(204, 218),
        horizontal_line(204, 217),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
        horizontal_line(206, 216),
        horizontal_line(206, 215),
        horizontal_line(207, 214),
        horizontal_line(207, 214),
        horizontal_line(208, 213),
        horizontal_line(208, 213),
        horizontal_line(209, 212),
        horizontal_line(209, 211),
        horizontal_line(210, 211),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_810_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(111, 173),
        horizontal_line(107, 169),
        horizontal_line(103, 165),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(80, 142),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(68, 130),
        horizontal_line(64, 126),
        horizontal_line(60, 122),
        horizontal_line(56, 118),
        horizontal_line(52, 114),
        horizontal_line(48, 110),
        horizontal_line(44, 106),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(32, 94),
        horizontal_line(28, 90),
        horizontal_line(24, 86),
        horizontal_line(20, 82),
        horizontal_line(16, 78),
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_810_shape_group_1_shapes[] = {
        shape(frame_810_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_810_shape_group_1_shape_1_horizontal_lines, 67, 2),
        shape(frame_810_shape_group_1_shape_2_horizontal_lines, 68, 4),
        shape(frame_810_shape_group_1_shape_3_horizontal_lines, 78, 2),
        shape(frame_810_shape_group_1_shape_4_horizontal_lines, 95, 13),
        shape(frame_810_shape_group_1_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(186, 195),
        horizontal_line(186, 200),
        horizontal_line(187, 204),
        horizontal_line(188, 208),
        horizontal_line(188, 212),
        horizontal_line(189, 217),
        horizontal_line(190, 221),
        horizontal_line(191, 225),
        horizontal_line(195, 230),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(203, 211),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(211, 226),
        horizontal_line(211, 225),
        horizontal_line(210, 225),
        horizontal_line(210, 224),
        horizontal_line(209, 223),
        horizontal_line(208, 223),
        horizontal_line(208, 222),
        horizontal_line(207, 222),
        horizontal_line(207, 221),
        horizontal_line(206, 220),
        horizontal_line(205, 220),
        horizontal_line(205, 219),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(201, 203),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(173, 203),
        horizontal_line(176, 203),
        horizontal_line(179, 204),
        horizontal_line(181, 204),
        horizontal_line(184, 205),
        horizontal_line(187, 205),
        horizontal_line(190, 206),
        horizontal_line(192, 206),
        horizontal_line(195, 207),
        horizontal_line(198, 207),
        horizontal_line(201, 208),
        horizontal_line(203, 208),
        horizontal_line(206, 209),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_810_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(173, 210),
        horizontal_line(169, 210),
        horizontal_line(165, 210),
        horizontal_line(161, 210),
        horizontal_line(157, 210),
        horizontal_line(153, 210),
        horizontal_line(149, 210),
        horizontal_line(146, 208),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(134, 196),
        horizontal_line(130, 192),
        horizontal_line(126, 188),
        horizontal_line(122, 184),
        horizontal_line(118, 180),
        horizontal_line(114, 176),
        horizontal_line(110, 172),
        horizontal_line(106, 168),
        horizontal_line(102, 164),
        horizontal_line(98, 160),
        horizontal_line(94, 156),
        horizontal_line(90, 152),
        horizontal_line(86, 148),
        horizontal_line(82, 144),
        horizontal_line(78, 140),
        horizontal_line(74, 136),
        horizontal_line(70, 132),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_810_shape_group_2_shapes[] = {
        shape(frame_810_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_810_shape_group_2_shape_1_horizontal_lines, 68, 2),
        shape(frame_810_shape_group_2_shape_2_horizontal_lines, 82, 11),
        shape(frame_810_shape_group_2_shape_3_horizontal_lines, 83, 13),
        shape(frame_810_shape_group_2_shape_4_horizontal_lines, 95, 3),
        shape(frame_810_shape_group_2_shape_5_horizontal_lines, 96, 8),
        shape(frame_810_shape_group_2_shape_6_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(191, 197),
        horizontal_line(192, 197),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(203, 212),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(212, 226),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(189, 195),
        horizontal_line(188, 195),
        horizontal_line(188, 194),
        horizontal_line(187, 194),
        horizontal_line(187, 193),
        horizontal_line(186, 193),
        horizontal_line(189, 192),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(189, 192),
        horizontal_line(192, 195),
        horizontal_line(195, 195),
        horizontal_line(198, 204),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(171, 200),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(163, 175),
        horizontal_line(159, 178),
        horizontal_line(155, 180),
        horizontal_line(151, 183),
        horizontal_line(147, 186),
        horizontal_line(143, 189),
        horizontal_line(139, 191),
        horizontal_line(135, 194),
        horizontal_line(131, 193),
        horizontal_line(127, 189),
        horizontal_line(123, 185),
        horizontal_line(119, 181),
        horizontal_line(115, 177),
    };

    constexpr const horizontal_line frame_810_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(208, 210),
        horizontal_line(204, 210),
        horizontal_line(200, 210),
        horizontal_line(196, 210),
        horizontal_line(192, 210),
        horizontal_line(188, 210),
        horizontal_line(184, 210),
        horizontal_line(180, 210),
        horizontal_line(176, 210),
        horizontal_line(172, 210),
        horizontal_line(168, 210),
        horizontal_line(164, 210),
        horizontal_line(160, 210),
        horizontal_line(156, 210),
        horizontal_line(152, 210),
        horizontal_line(148, 210),
        horizontal_line(144, 206),
        horizontal_line(140, 202),
        horizontal_line(136, 198),
        horizontal_line(132, 194),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_810_shape_group_3_shapes[] = {
        shape(frame_810_shape_group_3_shape_0_horizontal_lines, 74, 2),
        shape(frame_810_shape_group_3_shape_1_horizontal_lines, 78, 7),
        shape(frame_810_shape_group_3_shape_2_horizontal_lines, 81, 11),
        shape(frame_810_shape_group_3_shape_3_horizontal_lines, 82, 13),
        shape(frame_810_shape_group_3_shape_4_horizontal_lines, 83, 9),
        shape(frame_810_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_810_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_810_shape_group_3_shape_7_horizontal_lines, 96, 6),
        shape(frame_810_shape_group_3_shape_8_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(198, 201),
        horizontal_line(198, 201),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(214, 227),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(189, 196),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(196, 199),
        horizontal_line(195, 198),
        horizontal_line(195, 198),
        horizontal_line(194, 197),
        horizontal_line(194, 197),
        horizontal_line(186, 186),
        horizontal_line(193, 196),
        horizontal_line(194, 195),
        horizontal_line(198, 205),
        horizontal_line(197, 204),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(173, 197),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(193, 197),
        horizontal_line(189, 200),
        horizontal_line(185, 202),
        horizontal_line(181, 205),
        horizontal_line(177, 208),
    };

    constexpr const horizontal_line frame_810_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(210, 210),
        horizontal_line(206, 210),
        horizontal_line(202, 210),
        horizontal_line(198, 210),
        horizontal_line(194, 210),
        horizontal_line(190, 210),
        horizontal_line(187, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(186, 211),
    };

    constexpr const shape frame_810_shape_group_4_shapes[] = {
        shape(frame_810_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_810_shape_group_4_shape_1_horizontal_lines, 78, 11),
        shape(frame_810_shape_group_4_shape_2_horizontal_lines, 81, 13),
        shape(frame_810_shape_group_4_shape_3_horizontal_lines, 82, 9),
        shape(frame_810_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_810_shape_group_4_shape_5_horizontal_lines, 94, 8),
        shape(frame_810_shape_group_4_shape_6_horizontal_lines, 105, 6),
        shape(frame_810_shape_group_4_shape_7_horizontal_lines, 132, 6),
    };

    constexpr const horizontal_line frame_810_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(227, 229),
    };

    constexpr const horizontal_line frame_810_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(203, 203),
        horizontal_line(203, 207),
    };

    constexpr const horizontal_line frame_810_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(189, 196),
    };

    constexpr const horizontal_line frame_810_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(197, 200),
        horizontal_line(202, 210),
        horizontal_line(202, 210),
        horizontal_line(201, 209),
        horizontal_line(201, 209),
        horizontal_line(200, 208),
        horizontal_line(200, 207),
        horizontal_line(193, 196),
        horizontal_line(199, 206),
        horizontal_line(198, 206),
    };

    constexpr const horizontal_line frame_810_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(196, 196),
    };

    constexpr const shape frame_810_shape_group_5_shapes[] = {
        shape(frame_810_shape_group_5_shape_0_horizontal_lines, 78, 13),
        shape(frame_810_shape_group_5_shape_1_horizontal_lines, 79, 11),
        shape(frame_810_shape_group_5_shape_2_horizontal_lines, 81, 9),
        shape(frame_810_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_810_shape_group_5_shape_4_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(223, 228),
        horizontal_line(218, 228),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(201, 202),
        horizontal_line(200, 201),
        horizontal_line(200, 201),
        horizontal_line(199, 200),
        horizontal_line(199, 200),
        horizontal_line(198, 199),
        horizontal_line(198, 199),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(199, 207),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_810_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(179, 191),
        horizontal_line(176, 194),
    };

    constexpr const shape frame_810_shape_group_6_shapes[] = {
        shape(frame_810_shape_group_6_shape_0_horizontal_lines, 79, 13),
        shape(frame_810_shape_group_6_shape_1_horizontal_lines, 81, 10),
        shape(frame_810_shape_group_6_shape_2_horizontal_lines, 82, 12),
        shape(frame_810_shape_group_6_shape_3_horizontal_lines, 89, 3),
        shape(frame_810_shape_group_6_shape_4_horizontal_lines, 90, 12),
        shape(frame_810_shape_group_6_shape_5_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_810_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(190, 195),
    };

    constexpr const horizontal_line frame_810_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(197, 201),
    };

    constexpr const horizontal_line frame_810_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_810_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(190, 192),
        horizontal_line(193, 193),
    };

    constexpr const shape frame_810_shape_group_7_shapes[] = {
        shape(frame_810_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_810_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_810_shape_group_7_shape_2_horizontal_lines, 89, 12),
        shape(frame_810_shape_group_7_shape_3_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_810_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_810_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_810_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(182, 188),
    };

    constexpr const shape frame_810_shape_group_8_shapes[] = {
        shape(frame_810_shape_group_8_shape_0_horizontal_lines, 79, 10),
        shape(frame_810_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_810_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_810_shape_groups[] = {
        shape_group(frame_810_shape_group_0_shapes),
        shape_group(frame_810_shape_group_1_shapes),
        shape_group(frame_810_shape_group_2_shapes),
        shape_group(frame_810_shape_group_3_shapes),
        shape_group(frame_810_shape_group_4_shapes),
        shape_group(frame_810_shape_group_5_shapes),
        shape_group(frame_810_shape_group_6_shapes),
        shape_group(frame_810_shape_group_7_shapes),
        shape_group(frame_810_shape_group_8_shapes),
    };

    constexpr const frame frame_810_impl(frame_810_colors, frame_810_shape_groups);
} 

const frame& frame_810()
{
    return frame_810_impl;
}

namespace
{
    constexpr const bn::color frame_811_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_811_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(182, 186),
        horizontal_line(182, 187),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 190),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(177, 188),
        horizontal_line(177, 188),
        horizontal_line(176, 187),
        horizontal_line(176, 187),
        horizontal_line(175, 186),
        horizontal_line(175, 186),
        horizontal_line(174, 185),
        horizontal_line(174, 185),
        horizontal_line(173, 184),
        horizontal_line(173, 183),
        horizontal_line(172, 180),
        horizontal_line(172, 177),
        horizontal_line(171, 174),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_811_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_811_shape_group_0_shapes[] = {
        shape(frame_811_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_811_shape_group_0_shape_1_horizontal_lines, 95, 2),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 237),
        horizontal_line(223, 235),
        horizontal_line(227, 233),
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(203, 224),
        horizontal_line(207, 218),
        horizontal_line(212, 212),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(203, 220),
        horizontal_line(203, 219),
        horizontal_line(203, 219),
        horizontal_line(204, 218),
        horizontal_line(204, 217),
        horizontal_line(205, 217),
        horizontal_line(206, 216),
        horizontal_line(206, 216),
        horizontal_line(207, 215),
        horizontal_line(207, 215),
        horizontal_line(208, 214),
        horizontal_line(209, 213),
        horizontal_line(209, 213),
        horizontal_line(210, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_811_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(113, 175),
        horizontal_line(109, 171),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(80, 142),
        horizontal_line(76, 138),
        horizontal_line(73, 135),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(62, 124),
        horizontal_line(58, 120),
        horizontal_line(55, 117),
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(44, 106),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(33, 95),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(15, 77),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_811_shape_group_1_shapes[] = {
        shape(frame_811_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_811_shape_group_1_shape_1_horizontal_lines, 67, 2),
        shape(frame_811_shape_group_1_shape_2_horizontal_lines, 68, 4),
        shape(frame_811_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_811_shape_group_1_shape_4_horizontal_lines, 95, 13),
        shape(frame_811_shape_group_1_shape_5_horizontal_lines, 111, 6),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(186, 194),
        horizontal_line(186, 198),
        horizontal_line(187, 202),
        horizontal_line(188, 206),
        horizontal_line(188, 210),
        horizontal_line(189, 214),
        horizontal_line(190, 218),
        horizontal_line(191, 222),
        horizontal_line(195, 226),
        horizontal_line(199, 230),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(202, 210),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(188, 194),
        horizontal_line(188, 194),
        horizontal_line(187, 193),
        horizontal_line(187, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(188, 191),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(206, 223),
        horizontal_line(206, 222),
        horizontal_line(205, 221),
        horizontal_line(204, 221),
        horizontal_line(204, 220),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(200, 202),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(173, 202),
        horizontal_line(176, 202),
        horizontal_line(178, 203),
        horizontal_line(181, 203),
        horizontal_line(184, 204),
        horizontal_line(186, 205),
        horizontal_line(189, 205),
        horizontal_line(192, 206),
        horizontal_line(194, 206),
        horizontal_line(197, 207),
        horizontal_line(199, 208),
        horizontal_line(202, 208),
        horizontal_line(205, 209),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_811_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(175, 211),
        horizontal_line(171, 211),
        horizontal_line(167, 211),
        horizontal_line(164, 211),
        horizontal_line(160, 211),
        horizontal_line(157, 211),
        horizontal_line(153, 211),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(124, 186),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(106, 168),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(91, 153),
        horizontal_line(88, 150),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(77, 139),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_811_shape_group_2_shapes[] = {
        shape(frame_811_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_811_shape_group_2_shape_1_horizontal_lines, 68, 2),
        shape(frame_811_shape_group_2_shape_2_horizontal_lines, 82, 11),
        shape(frame_811_shape_group_2_shape_3_horizontal_lines, 83, 9),
        shape(frame_811_shape_group_2_shape_4_horizontal_lines, 90, 13),
        shape(frame_811_shape_group_2_shape_5_horizontal_lines, 95, 3),
        shape(frame_811_shape_group_2_shape_6_horizontal_lines, 96, 8),
        shape(frame_811_shape_group_2_shape_7_horizontal_lines, 111, 6),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(191, 196),
        horizontal_line(195, 196),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(202, 211),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(189, 195),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(210, 227),
        horizontal_line(210, 226),
        horizontal_line(209, 225),
        horizontal_line(209, 225),
        horizontal_line(208, 224),
        horizontal_line(207, 224),
        horizontal_line(207, 223),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(185, 189),
        horizontal_line(188, 192),
        horizontal_line(191, 195),
        horizontal_line(194, 203),
        horizontal_line(197, 203),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(171, 199),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(163, 175),
        horizontal_line(160, 177),
        horizontal_line(156, 180),
        horizontal_line(152, 183),
        horizontal_line(149, 185),
        horizontal_line(145, 188),
        horizontal_line(142, 191),
        horizontal_line(138, 193),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(127, 189),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(116, 178),
    };

    constexpr const horizontal_line frame_811_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(211, 211),
        horizontal_line(208, 211),
        horizontal_line(204, 211),
        horizontal_line(200, 212),
        horizontal_line(197, 212),
        horizontal_line(193, 212),
        horizontal_line(190, 212),
        horizontal_line(186, 212),
        horizontal_line(182, 212),
        horizontal_line(179, 212),
        horizontal_line(175, 212),
        horizontal_line(172, 212),
        horizontal_line(168, 212),
        horizontal_line(164, 213),
        horizontal_line(161, 213),
        horizontal_line(157, 213),
        horizontal_line(153, 213),
        horizontal_line(150, 212),
        horizontal_line(146, 208),
        horizontal_line(143, 205),
        horizontal_line(139, 201),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_811_shape_group_3_shapes[] = {
        shape(frame_811_shape_group_3_shape_0_horizontal_lines, 75, 2),
        shape(frame_811_shape_group_3_shape_1_horizontal_lines, 79, 7),
        shape(frame_811_shape_group_3_shape_2_horizontal_lines, 81, 11),
        shape(frame_811_shape_group_3_shape_3_horizontal_lines, 82, 9),
        shape(frame_811_shape_group_3_shape_4_horizontal_lines, 83, 13),
        shape(frame_811_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_811_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_811_shape_group_3_shape_7_horizontal_lines, 96, 6),
        shape(frame_811_shape_group_3_shape_8_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(197, 200),
        horizontal_line(197, 200),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(189, 195),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(211, 227),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(195, 199),
        horizontal_line(195, 198),
        horizontal_line(194, 198),
        horizontal_line(194, 197),
        horizontal_line(193, 197),
        horizontal_line(193, 196),
        horizontal_line(185, 186),
        horizontal_line(192, 195),
        horizontal_line(194, 195),
        horizontal_line(197, 204),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(175, 193),
        horizontal_line(172, 196),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(193, 198),
        horizontal_line(189, 201),
        horizontal_line(185, 204),
        horizontal_line(182, 206),
        horizontal_line(178, 209),
    };

    constexpr const horizontal_line frame_811_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(212, 213),
        horizontal_line(208, 213),
        horizontal_line(205, 213),
        horizontal_line(201, 213),
        horizontal_line(197, 213),
        horizontal_line(194, 214),
        horizontal_line(190, 214),
        horizontal_line(187, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
        horizontal_line(186, 216),
    };

    constexpr const shape frame_811_shape_group_4_shapes[] = {
        shape(frame_811_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_811_shape_group_4_shape_1_horizontal_lines, 79, 11),
        shape(frame_811_shape_group_4_shape_2_horizontal_lines, 81, 9),
        shape(frame_811_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_811_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_811_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_811_shape_group_4_shape_6_horizontal_lines, 105, 6),
        shape(frame_811_shape_group_4_shape_7_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_811_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(202, 202),
        horizontal_line(202, 206),
    };

    constexpr const horizontal_line frame_811_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_811_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(201, 209),
        horizontal_line(201, 209),
        horizontal_line(200, 208),
        horizontal_line(200, 208),
        horizontal_line(199, 207),
        horizontal_line(199, 206),
        horizontal_line(192, 196),
        horizontal_line(198, 205),
        horizontal_line(197, 205),
    };

    constexpr const horizontal_line frame_811_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const shape frame_811_shape_group_5_shapes[] = {
        shape(frame_811_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_811_shape_group_5_shape_1_horizontal_lines, 81, 10),
        shape(frame_811_shape_group_5_shape_2_horizontal_lines, 82, 3),
        shape(frame_811_shape_group_5_shape_3_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(190, 190),
        horizontal_line(190, 194),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(213, 228),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(200, 200),
        horizontal_line(199, 200),
        horizontal_line(199, 199),
        horizontal_line(198, 199),
        horizontal_line(198, 198),
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(198, 206),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_811_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 190),
    };

    constexpr const shape frame_811_shape_group_6_shapes[] = {
        shape(frame_811_shape_group_6_shape_0_horizontal_lines, 79, 9),
        shape(frame_811_shape_group_6_shape_1_horizontal_lines, 81, 13),
        shape(frame_811_shape_group_6_shape_2_horizontal_lines, 82, 12),
        shape(frame_811_shape_group_6_shape_3_horizontal_lines, 89, 3),
        shape(frame_811_shape_group_6_shape_4_horizontal_lines, 90, 12),
        shape(frame_811_shape_group_6_shape_5_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_811_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_811_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(196, 200),
    };

    constexpr const horizontal_line frame_811_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(197, 197),
    };

    constexpr const horizontal_line frame_811_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(193, 193),
    };

    constexpr const shape frame_811_shape_group_7_shapes[] = {
        shape(frame_811_shape_group_7_shape_0_horizontal_lines, 79, 10),
        shape(frame_811_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_811_shape_group_7_shape_2_horizontal_lines, 89, 12),
        shape(frame_811_shape_group_7_shape_3_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_811_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(225, 229),
        horizontal_line(219, 228),
    };

    constexpr const horizontal_line frame_811_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_811_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(181, 187),
    };

    constexpr const shape frame_811_shape_group_8_shapes[] = {
        shape(frame_811_shape_group_8_shape_0_horizontal_lines, 79, 13),
        shape(frame_811_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_811_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_811_shape_groups[] = {
        shape_group(frame_811_shape_group_0_shapes),
        shape_group(frame_811_shape_group_1_shapes),
        shape_group(frame_811_shape_group_2_shapes),
        shape_group(frame_811_shape_group_3_shapes),
        shape_group(frame_811_shape_group_4_shapes),
        shape_group(frame_811_shape_group_5_shapes),
        shape_group(frame_811_shape_group_6_shapes),
        shape_group(frame_811_shape_group_7_shapes),
        shape_group(frame_811_shape_group_8_shapes),
    };

    constexpr const frame frame_811_impl(frame_811_colors, frame_811_shape_groups);
} 

const frame& frame_811()
{
    return frame_811_impl;
}

namespace
{
    constexpr const bn::color frame_812_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_812_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(183, 185),
        horizontal_line(182, 186),
        horizontal_line(182, 186),
        horizontal_line(181, 187),
        horizontal_line(181, 187),
        horizontal_line(180, 188),
        horizontal_line(180, 189),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(178, 188),
        horizontal_line(178, 188),
        horizontal_line(178, 187),
        horizontal_line(177, 187),
        horizontal_line(177, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 185),
        horizontal_line(175, 185),
        horizontal_line(175, 184),
        horizontal_line(174, 184),
        horizontal_line(174, 183),
        horizontal_line(173, 182),
        horizontal_line(173, 179),
        horizontal_line(172, 177),
        horizontal_line(172, 175),
        horizontal_line(171, 173),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_812_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_812_shape_group_0_shapes[] = {
        shape(frame_812_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_812_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 237),
        horizontal_line(224, 235),
        horizontal_line(228, 233),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(202, 225),
        horizontal_line(206, 218),
        horizontal_line(211, 211),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(203, 220),
        horizontal_line(203, 219),
        horizontal_line(204, 218),
        horizontal_line(204, 218),
        horizontal_line(205, 217),
        horizontal_line(206, 217),
        horizontal_line(206, 216),
        horizontal_line(207, 215),
        horizontal_line(207, 215),
        horizontal_line(208, 214),
        horizontal_line(209, 214),
        horizontal_line(209, 213),
        horizontal_line(210, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_812_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_812_shape_group_1_shapes[] = {
        shape(frame_812_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_812_shape_group_1_shape_1_horizontal_lines, 67, 2),
        shape(frame_812_shape_group_1_shape_2_horizontal_lines, 68, 4),
        shape(frame_812_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_812_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_812_shape_group_1_shape_5_horizontal_lines, 111, 6),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 195),
        horizontal_line(186, 199),
        horizontal_line(187, 203),
        horizontal_line(187, 207),
        horizontal_line(188, 211),
        horizontal_line(188, 215),
        horizontal_line(189, 219),
        horizontal_line(190, 223),
        horizontal_line(194, 227),
        horizontal_line(198, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(202, 209),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(187, 193),
        horizontal_line(187, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(185, 191),
        horizontal_line(185, 191),
        horizontal_line(187, 190),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(206, 223),
        horizontal_line(205, 223),
        horizontal_line(205, 222),
        horizontal_line(204, 221),
        horizontal_line(204, 221),
        horizontal_line(203, 220),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 202),
        horizontal_line(173, 202),
        horizontal_line(176, 203),
        horizontal_line(179, 203),
        horizontal_line(182, 204),
        horizontal_line(185, 205),
        horizontal_line(187, 205),
        horizontal_line(190, 206),
        horizontal_line(193, 206),
        horizontal_line(196, 207),
        horizontal_line(199, 208),
        horizontal_line(201, 208),
        horizontal_line(204, 209),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_812_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(183, 211),
        horizontal_line(180, 211),
        horizontal_line(177, 211),
        horizontal_line(174, 211),
        horizontal_line(170, 211),
        horizontal_line(167, 211),
        horizontal_line(164, 212),
        horizontal_line(161, 212),
        horizontal_line(157, 212),
        horizontal_line(154, 212),
        horizontal_line(151, 212),
        horizontal_line(148, 210),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_812_shape_group_2_shapes[] = {
        shape(frame_812_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_812_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_812_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_812_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_812_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_812_shape_group_2_shape_5_horizontal_lines, 111, 6),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(190, 195),
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(202, 210),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(209, 227),
        horizontal_line(209, 227),
        horizontal_line(208, 226),
        horizontal_line(208, 226),
        horizontal_line(207, 225),
        horizontal_line(207, 224),
        horizontal_line(206, 224),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(184, 188),
        horizontal_line(187, 191),
        horizontal_line(190, 194),
        horizontal_line(194, 203),
        horizontal_line(197, 203),
        horizontal_line(200, 202),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(164, 175),
        horizontal_line(161, 178),
        horizontal_line(157, 181),
        horizontal_line(154, 184),
        horizontal_line(151, 186),
        horizontal_line(148, 189),
        horizontal_line(144, 192),
        horizontal_line(141, 195),
        horizontal_line(138, 198),
        horizontal_line(135, 197),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_812_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(210, 212),
        horizontal_line(206, 213),
        horizontal_line(203, 213),
        horizontal_line(200, 213),
        horizontal_line(196, 213),
        horizontal_line(193, 213),
        horizontal_line(190, 213),
        horizontal_line(187, 214),
        horizontal_line(183, 214),
        horizontal_line(180, 214),
        horizontal_line(177, 214),
        horizontal_line(174, 214),
        horizontal_line(170, 214),
        horizontal_line(167, 215),
        horizontal_line(164, 215),
        horizontal_line(160, 215),
        horizontal_line(157, 215),
        horizontal_line(154, 215),
        horizontal_line(151, 213),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_812_shape_group_3_shapes[] = {
        shape(frame_812_shape_group_3_shape_0_horizontal_lines, 75, 2),
        shape(frame_812_shape_group_3_shape_1_horizontal_lines, 79, 7),
        shape(frame_812_shape_group_3_shape_2_horizontal_lines, 81, 11),
        shape(frame_812_shape_group_3_shape_3_horizontal_lines, 82, 9),
        shape(frame_812_shape_group_3_shape_4_horizontal_lines, 83, 13),
        shape(frame_812_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_812_shape_group_3_shape_6_horizontal_lines, 97, 6),
        shape(frame_812_shape_group_3_shape_7_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(190, 193),
        horizontal_line(190, 195),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(196, 199),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(210, 228),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(194, 198),
        horizontal_line(194, 197),
        horizontal_line(193, 197),
        horizontal_line(193, 196),
        horizontal_line(192, 196),
        horizontal_line(192, 195),
        horizontal_line(184, 185),
        horizontal_line(191, 194),
        horizontal_line(193, 194),
        horizontal_line(196, 204),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(176, 193),
        horizontal_line(174, 196),
        horizontal_line(172, 199),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(197, 200),
        horizontal_line(193, 203),
        horizontal_line(190, 206),
        horizontal_line(187, 209),
    };

    constexpr const horizontal_line frame_812_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(213, 215),
        horizontal_line(209, 216),
        horizontal_line(206, 216),
        horizontal_line(203, 216),
        horizontal_line(200, 216),
        horizontal_line(196, 216),
        horizontal_line(193, 216),
        horizontal_line(190, 217),
        horizontal_line(187, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 219),
    };

    constexpr const shape frame_812_shape_group_4_shapes[] = {
        shape(frame_812_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_812_shape_group_4_shape_1_horizontal_lines, 79, 11),
        shape(frame_812_shape_group_4_shape_2_horizontal_lines, 81, 9),
        shape(frame_812_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_812_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_812_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_812_shape_group_4_shape_6_horizontal_lines, 107, 6),
        shape(frame_812_shape_group_4_shape_7_horizontal_lines, 140, 6),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(202, 205),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(195, 198),
        horizontal_line(201, 208),
        horizontal_line(200, 208),
        horizontal_line(200, 207),
        horizontal_line(199, 207),
        horizontal_line(199, 206),
        horizontal_line(198, 206),
        horizontal_line(191, 195),
        horizontal_line(197, 205),
        horizontal_line(196, 204),
    };

    constexpr const horizontal_line frame_812_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const shape frame_812_shape_group_5_shapes[] = {
        shape(frame_812_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_812_shape_group_5_shape_1_horizontal_lines, 79, 9),
        shape(frame_812_shape_group_5_shape_2_horizontal_lines, 80, 11),
        shape(frame_812_shape_group_5_shape_3_horizontal_lines, 81, 10),
        shape(frame_812_shape_group_5_shape_4_horizontal_lines, 82, 3),
        shape(frame_812_shape_group_5_shape_5_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(189, 193),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(212, 229),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(199, 201),
        horizontal_line(199, 200),
        horizontal_line(198, 199),
        horizontal_line(198, 199),
        horizontal_line(197, 198),
        horizontal_line(197, 198),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(197, 205),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(195, 196),
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_812_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(178, 189),
    };

    constexpr const shape frame_812_shape_group_6_shapes[] = {
        shape(frame_812_shape_group_6_shape_0_horizontal_lines, 79, 10),
        shape(frame_812_shape_group_6_shape_1_horizontal_lines, 80, 9),
        shape(frame_812_shape_group_6_shape_2_horizontal_lines, 81, 13),
        shape(frame_812_shape_group_6_shape_3_horizontal_lines, 82, 12),
        shape(frame_812_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_812_shape_group_6_shape_5_horizontal_lines, 90, 12),
        shape(frame_812_shape_group_6_shape_6_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_812_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(226, 230),
    };

    constexpr const horizontal_line frame_812_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_812_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_812_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_812_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(192, 192),
    };

    constexpr const shape frame_812_shape_group_7_shapes[] = {
        shape(frame_812_shape_group_7_shape_0_horizontal_lines, 79, 13),
        shape(frame_812_shape_group_7_shape_1_horizontal_lines, 80, 10),
        shape(frame_812_shape_group_7_shape_2_horizontal_lines, 81, 3),
        shape(frame_812_shape_group_7_shape_3_horizontal_lines, 89, 12),
        shape(frame_812_shape_group_7_shape_4_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_812_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(219, 229),
    };

    constexpr const horizontal_line frame_812_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_812_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(180, 186),
    };

    constexpr const shape frame_812_shape_group_8_shapes[] = {
        shape(frame_812_shape_group_8_shape_0_horizontal_lines, 80, 13),
        shape(frame_812_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_812_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_812_shape_groups[] = {
        shape_group(frame_812_shape_group_0_shapes),
        shape_group(frame_812_shape_group_1_shapes),
        shape_group(frame_812_shape_group_2_shapes),
        shape_group(frame_812_shape_group_3_shapes),
        shape_group(frame_812_shape_group_4_shapes),
        shape_group(frame_812_shape_group_5_shapes),
        shape_group(frame_812_shape_group_6_shapes),
        shape_group(frame_812_shape_group_7_shapes),
        shape_group(frame_812_shape_group_8_shapes),
    };

    constexpr const frame frame_812_impl(frame_812_colors, frame_812_shape_groups);
} 

const frame& frame_812()
{
    return frame_812_impl;
}

namespace
{
    constexpr const bn::color frame_813_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_813_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(183, 185),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 186),
        horizontal_line(181, 187),
        horizontal_line(180, 188),
        horizontal_line(180, 188),
        horizontal_line(179, 188),
        horizontal_line(179, 187),
        horizontal_line(178, 187),
        horizontal_line(178, 186),
        horizontal_line(177, 186),
        horizontal_line(177, 186),
        horizontal_line(176, 185),
        horizontal_line(176, 185),
        horizontal_line(175, 184),
        horizontal_line(175, 184),
        horizontal_line(174, 183),
        horizontal_line(174, 183),
        horizontal_line(173, 182),
        horizontal_line(173, 179),
        horizontal_line(172, 177),
        horizontal_line(172, 175),
        horizontal_line(171, 173),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_813_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_813_shape_group_0_shapes[] = {
        shape(frame_813_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_813_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 236),
        horizontal_line(227, 234),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(202, 225),
        horizontal_line(206, 218),
        horizontal_line(211, 211),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(202, 220),
        horizontal_line(202, 219),
        horizontal_line(203, 219),
        horizontal_line(203, 218),
        horizontal_line(204, 218),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
        horizontal_line(206, 216),
        horizontal_line(207, 215),
        horizontal_line(207, 215),
        horizontal_line(208, 214),
        horizontal_line(208, 213),
        horizontal_line(209, 213),
        horizontal_line(210, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_813_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(111, 173),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(60, 122),
        horizontal_line(57, 119),
        horizontal_line(54, 116),
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_813_shape_group_1_shapes[] = {
        shape(frame_813_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_813_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_813_shape_group_1_shape_2_horizontal_lines, 69, 4),
        shape(frame_813_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_813_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_813_shape_group_1_shape_5_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 196),
        horizontal_line(186, 200),
        horizontal_line(186, 204),
        horizontal_line(187, 209),
        horizontal_line(187, 213),
        horizontal_line(188, 217),
        horizontal_line(189, 222),
        horizontal_line(193, 226),
        horizontal_line(197, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(201, 209),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(187, 192),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(185, 191),
        horizontal_line(185, 190),
        horizontal_line(184, 190),
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(205, 223),
        horizontal_line(205, 223),
        horizontal_line(204, 222),
        horizontal_line(203, 222),
        horizontal_line(203, 221),
        horizontal_line(202, 221),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 201),
        horizontal_line(173, 201),
        horizontal_line(176, 202),
        horizontal_line(178, 202),
        horizontal_line(181, 203),
        horizontal_line(184, 204),
        horizontal_line(186, 204),
        horizontal_line(189, 205),
        horizontal_line(192, 206),
        horizontal_line(194, 206),
        horizontal_line(197, 207),
        horizontal_line(199, 207),
        horizontal_line(202, 208),
        horizontal_line(205, 209),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_813_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(185, 211),
        horizontal_line(182, 211),
        horizontal_line(179, 211),
        horizontal_line(176, 211),
        horizontal_line(173, 211),
        horizontal_line(170, 212),
        horizontal_line(167, 212),
        horizontal_line(164, 212),
        horizontal_line(161, 212),
        horizontal_line(158, 213),
        horizontal_line(155, 213),
        horizontal_line(152, 213),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(143, 205),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(122, 184),
        horizontal_line(119, 181),
        horizontal_line(116, 178),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_813_shape_group_2_shapes[] = {
        shape(frame_813_shape_group_2_shape_0_horizontal_lines, 69, 2),
        shape(frame_813_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_813_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_813_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_813_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_813_shape_group_2_shape_5_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(189, 194),
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(201, 210),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(209, 228),
        horizontal_line(209, 227),
        horizontal_line(208, 226),
        horizontal_line(208, 226),
        horizontal_line(207, 225),
        horizontal_line(206, 225),
        horizontal_line(206, 224),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(184, 187),
        horizontal_line(187, 190),
        horizontal_line(190, 193),
        horizontal_line(193, 202),
        horizontal_line(196, 202),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(168, 172),
        horizontal_line(165, 175),
        horizontal_line(162, 177),
        horizontal_line(159, 180),
        horizontal_line(156, 183),
        horizontal_line(153, 185),
        horizontal_line(150, 188),
        horizontal_line(147, 191),
        horizontal_line(144, 193),
        horizontal_line(141, 196),
        horizontal_line(138, 198),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
    };

    constexpr const horizontal_line frame_813_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(211, 213),
        horizontal_line(208, 214),
        horizontal_line(205, 214),
        horizontal_line(202, 214),
        horizontal_line(199, 214),
        horizontal_line(196, 214),
        horizontal_line(193, 215),
        horizontal_line(190, 215),
        horizontal_line(187, 215),
        horizontal_line(184, 215),
        horizontal_line(181, 216),
        horizontal_line(178, 216),
        horizontal_line(175, 216),
        horizontal_line(172, 216),
        horizontal_line(169, 217),
        horizontal_line(166, 217),
        horizontal_line(163, 217),
        horizontal_line(160, 217),
        horizontal_line(157, 218),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(148, 210),
        horizontal_line(145, 207),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_813_shape_group_3_shapes[] = {
        shape(frame_813_shape_group_3_shape_0_horizontal_lines, 76, 2),
        shape(frame_813_shape_group_3_shape_1_horizontal_lines, 79, 7),
        shape(frame_813_shape_group_3_shape_2_horizontal_lines, 81, 11),
        shape(frame_813_shape_group_3_shape_3_horizontal_lines, 82, 9),
        shape(frame_813_shape_group_3_shape_4_horizontal_lines, 83, 13),
        shape(frame_813_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_813_shape_group_3_shape_6_horizontal_lines, 97, 6),
        shape(frame_813_shape_group_3_shape_7_horizontal_lines, 124, 6),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(189, 194),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(195, 198),
        horizontal_line(195, 198),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(210, 228),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(193, 197),
        horizontal_line(193, 196),
        horizontal_line(192, 196),
        horizontal_line(192, 195),
        horizontal_line(191, 195),
        horizontal_line(191, 194),
        horizontal_line(184, 184),
        horizontal_line(190, 193),
        horizontal_line(192, 193),
        horizontal_line(195, 203),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(176, 192),
        horizontal_line(174, 195),
        horizontal_line(172, 198),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(197, 201),
        horizontal_line(194, 204),
        horizontal_line(191, 206),
        horizontal_line(188, 209),
    };

    constexpr const horizontal_line frame_813_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(216, 218),
        horizontal_line(213, 218),
        horizontal_line(210, 218),
        horizontal_line(207, 218),
        horizontal_line(204, 219),
        horizontal_line(201, 219),
        horizontal_line(198, 219),
        horizontal_line(195, 219),
        horizontal_line(192, 220),
        horizontal_line(189, 220),
        horizontal_line(187, 220),
        horizontal_line(186, 220),
        horizontal_line(186, 221),
        horizontal_line(186, 221),
        horizontal_line(186, 221),
        horizontal_line(186, 221),
        horizontal_line(186, 222),
    };

    constexpr const shape frame_813_shape_group_4_shapes[] = {
        shape(frame_813_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_813_shape_group_4_shape_1_horizontal_lines, 79, 11),
        shape(frame_813_shape_group_4_shape_2_horizontal_lines, 81, 9),
        shape(frame_813_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_813_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_813_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_813_shape_group_4_shape_6_horizontal_lines, 108, 6),
        shape(frame_813_shape_group_4_shape_7_horizontal_lines, 143, 6),
    };

    constexpr const horizontal_line frame_813_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(195, 196),
        horizontal_line(201, 201),
        horizontal_line(201, 205),
    };

    constexpr const horizontal_line frame_813_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(199, 200),
    };

    constexpr const horizontal_line frame_813_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(194, 197),
        horizontal_line(200, 208),
        horizontal_line(199, 208),
        horizontal_line(199, 207),
        horizontal_line(198, 207),
        horizontal_line(198, 206),
        horizontal_line(197, 205),
        horizontal_line(190, 194),
        horizontal_line(196, 204),
        horizontal_line(195, 204),
    };

    constexpr const horizontal_line frame_813_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(194, 194),
    };

    constexpr const shape frame_813_shape_group_5_shapes[] = {
        shape(frame_813_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_813_shape_group_5_shape_1_horizontal_lines, 81, 10),
        shape(frame_813_shape_group_5_shape_2_horizontal_lines, 82, 3),
        shape(frame_813_shape_group_5_shape_3_horizontal_lines, 92, 12),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 192),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(212, 229),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(198, 200),
        horizontal_line(198, 199),
        horizontal_line(197, 198),
        horizontal_line(197, 198),
        horizontal_line(196, 197),
        horizontal_line(196, 197),
        horizontal_line(195, 196),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(196, 205),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_813_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 189),
    };

    constexpr const shape frame_813_shape_group_6_shapes[] = {
        shape(frame_813_shape_group_6_shape_0_horizontal_lines, 79, 9),
        shape(frame_813_shape_group_6_shape_1_horizontal_lines, 81, 13),
        shape(frame_813_shape_group_6_shape_2_horizontal_lines, 82, 12),
        shape(frame_813_shape_group_6_shape_3_horizontal_lines, 89, 3),
        shape(frame_813_shape_group_6_shape_4_horizontal_lines, 90, 12),
        shape(frame_813_shape_group_6_shape_5_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_813_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(199, 200),
        horizontal_line(199, 200),
    };

    constexpr const horizontal_line frame_813_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(194, 198),
    };

    constexpr const horizontal_line frame_813_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_813_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(191, 191),
    };

    constexpr const shape frame_813_shape_group_7_shapes[] = {
        shape(frame_813_shape_group_7_shape_0_horizontal_lines, 79, 10),
        shape(frame_813_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_813_shape_group_7_shape_2_horizontal_lines, 89, 12),
        shape(frame_813_shape_group_7_shape_3_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_813_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(226, 230),
        horizontal_line(219, 229),
    };

    constexpr const horizontal_line frame_813_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_813_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(180, 186),
    };

    constexpr const shape frame_813_shape_group_8_shapes[] = {
        shape(frame_813_shape_group_8_shape_0_horizontal_lines, 79, 13),
        shape(frame_813_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_813_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_813_shape_groups[] = {
        shape_group(frame_813_shape_group_0_shapes),
        shape_group(frame_813_shape_group_1_shapes),
        shape_group(frame_813_shape_group_2_shapes),
        shape_group(frame_813_shape_group_3_shapes),
        shape_group(frame_813_shape_group_4_shapes),
        shape_group(frame_813_shape_group_5_shapes),
        shape_group(frame_813_shape_group_6_shapes),
        shape_group(frame_813_shape_group_7_shapes),
        shape_group(frame_813_shape_group_8_shapes),
    };

    constexpr const frame frame_813_impl(frame_813_colors, frame_813_shape_groups);
} 

const frame& frame_813()
{
    return frame_813_impl;
}

namespace
{
    constexpr const bn::color frame_814_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_814_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(183, 185),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 186),
        horizontal_line(181, 187),
        horizontal_line(180, 187),
        horizontal_line(180, 187),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(178, 186),
        horizontal_line(178, 185),
        horizontal_line(177, 185),
        horizontal_line(177, 184),
        horizontal_line(176, 184),
        horizontal_line(176, 184),
        horizontal_line(175, 183),
        horizontal_line(175, 183),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(173, 181),
        horizontal_line(173, 179),
        horizontal_line(172, 177),
        horizontal_line(172, 175),
        horizontal_line(171, 173),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_814_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_814_shape_group_0_shapes[] = {
        shape(frame_814_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_814_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 235),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(202, 224),
        horizontal_line(206, 217),
        horizontal_line(210, 210),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(202, 220),
        horizontal_line(202, 219),
        horizontal_line(203, 219),
        horizontal_line(203, 218),
        horizontal_line(204, 218),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
        horizontal_line(206, 216),
        horizontal_line(207, 215),
        horizontal_line(207, 215),
        horizontal_line(208, 214),
        horizontal_line(208, 213),
        horizontal_line(209, 213),
        horizontal_line(210, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_814_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(127, 189),
        horizontal_line(124, 186),
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(91, 153),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_814_shape_group_1_shapes[] = {
        shape(frame_814_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_814_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_814_shape_group_1_shape_2_horizontal_lines, 69, 4),
        shape(frame_814_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_814_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_814_shape_group_1_shape_5_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 196),
        horizontal_line(186, 200),
        horizontal_line(186, 204),
        horizontal_line(187, 209),
        horizontal_line(187, 213),
        horizontal_line(188, 217),
        horizontal_line(191, 222),
        horizontal_line(195, 226),
        horizontal_line(199, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(206, 208),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 191),
        horizontal_line(185, 190),
        horizontal_line(184, 190),
        horizontal_line(184, 189),
        horizontal_line(183, 189),
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(205, 223),
        horizontal_line(204, 223),
        horizontal_line(204, 222),
        horizontal_line(203, 222),
        horizontal_line(203, 221),
        horizontal_line(202, 221),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 201),
        horizontal_line(173, 201),
        horizontal_line(176, 202),
        horizontal_line(178, 202),
        horizontal_line(181, 203),
        horizontal_line(184, 204),
        horizontal_line(186, 204),
        horizontal_line(189, 205),
        horizontal_line(192, 206),
        horizontal_line(194, 206),
        horizontal_line(197, 207),
        horizontal_line(199, 207),
        horizontal_line(202, 208),
        horizontal_line(205, 209),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_814_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(189, 211),
        horizontal_line(186, 211),
        horizontal_line(183, 211),
        horizontal_line(180, 211),
        horizontal_line(178, 212),
        horizontal_line(175, 212),
        horizontal_line(172, 212),
        horizontal_line(169, 213),
        horizontal_line(167, 213),
        horizontal_line(164, 213),
        horizontal_line(161, 213),
        horizontal_line(158, 214),
        horizontal_line(156, 214),
        horizontal_line(153, 214),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(145, 207),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_814_shape_group_2_shapes[] = {
        shape(frame_814_shape_group_2_shape_0_horizontal_lines, 69, 2),
        shape(frame_814_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_814_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_814_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_814_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_814_shape_group_2_shape_5_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(190, 193),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(200, 209),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(208, 228),
        horizontal_line(208, 227),
        horizontal_line(207, 226),
        horizontal_line(207, 226),
        horizontal_line(206, 225),
        horizontal_line(206, 225),
        horizontal_line(205, 224),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(183, 192),
        horizontal_line(186, 192),
        horizontal_line(189, 192),
        horizontal_line(193, 202),
        horizontal_line(196, 202),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(168, 172),
        horizontal_line(165, 175),
        horizontal_line(162, 177),
        horizontal_line(160, 180),
        horizontal_line(157, 183),
        horizontal_line(154, 185),
        horizontal_line(151, 188),
        horizontal_line(149, 191),
        horizontal_line(146, 193),
        horizontal_line(143, 196),
        horizontal_line(140, 198),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
    };

    constexpr const horizontal_line frame_814_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(212, 215),
        horizontal_line(210, 215),
        horizontal_line(207, 215),
        horizontal_line(204, 216),
        horizontal_line(201, 216),
        horizontal_line(199, 216),
        horizontal_line(196, 216),
        horizontal_line(193, 217),
        horizontal_line(190, 217),
        horizontal_line(188, 217),
        horizontal_line(185, 218),
        horizontal_line(182, 218),
        horizontal_line(179, 218),
        horizontal_line(177, 219),
        horizontal_line(174, 219),
        horizontal_line(171, 219),
        horizontal_line(168, 219),
        horizontal_line(166, 220),
        horizontal_line(163, 220),
        horizontal_line(160, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_814_shape_group_3_shapes[] = {
        shape(frame_814_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_814_shape_group_3_shape_1_horizontal_lines, 77, 2),
        shape(frame_814_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_814_shape_group_3_shape_3_horizontal_lines, 81, 11),
        shape(frame_814_shape_group_3_shape_4_horizontal_lines, 82, 9),
        shape(frame_814_shape_group_3_shape_5_horizontal_lines, 83, 13),
        shape(frame_814_shape_group_3_shape_6_horizontal_lines, 90, 3),
        shape(frame_814_shape_group_3_shape_7_horizontal_lines, 97, 6),
        shape(frame_814_shape_group_3_shape_8_horizontal_lines, 126, 6),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 193),
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(194, 197),
        horizontal_line(194, 197),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(198, 199),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(209, 228),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(192, 196),
        horizontal_line(192, 195),
        horizontal_line(191, 195),
        horizontal_line(191, 194),
        horizontal_line(190, 194),
        horizontal_line(190, 193),
        horizontal_line(183, 185),
        horizontal_line(195, 204),
        horizontal_line(194, 203),
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(176, 192),
        horizontal_line(174, 195),
        horizontal_line(172, 198),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(197, 204),
        horizontal_line(194, 206),
        horizontal_line(191, 209),
    };

    constexpr const horizontal_line frame_814_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(219, 221),
        horizontal_line(217, 221),
        horizontal_line(214, 221),
        horizontal_line(211, 222),
        horizontal_line(208, 222),
        horizontal_line(206, 222),
        horizontal_line(203, 222),
        horizontal_line(200, 223),
        horizontal_line(197, 223),
        horizontal_line(195, 223),
        horizontal_line(192, 224),
        horizontal_line(189, 224),
        horizontal_line(187, 224),
        horizontal_line(186, 225),
    };

    constexpr const shape frame_814_shape_group_4_shapes[] = {
        shape(frame_814_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_814_shape_group_4_shape_1_horizontal_lines, 79, 11),
        shape(frame_814_shape_group_4_shape_2_horizontal_lines, 81, 10),
        shape(frame_814_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_814_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_814_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_814_shape_group_4_shape_6_horizontal_lines, 108, 6),
        shape(frame_814_shape_group_4_shape_7_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_814_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(194, 197),
        horizontal_line(200, 201),
        horizontal_line(200, 205),
    };

    constexpr const horizontal_line frame_814_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_814_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(193, 196),
        horizontal_line(198, 207),
        horizontal_line(198, 207),
        horizontal_line(197, 206),
        horizontal_line(197, 206),
        horizontal_line(196, 205),
        horizontal_line(196, 205),
        horizontal_line(189, 193),
    };

    constexpr const horizontal_line frame_814_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(193, 193),
        horizontal_line(193, 193),
    };

    constexpr const shape frame_814_shape_group_5_shapes[] = {
        shape(frame_814_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_814_shape_group_5_shape_1_horizontal_lines, 81, 9),
        shape(frame_814_shape_group_5_shape_2_horizontal_lines, 82, 3),
        shape(frame_814_shape_group_5_shape_3_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(198, 199),
        horizontal_line(198, 199),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(211, 229),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(199, 205),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(196, 197),
        horizontal_line(196, 196),
        horizontal_line(195, 196),
        horizontal_line(195, 195),
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(195, 204),
    };

    constexpr const horizontal_line frame_814_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(180, 185),
        horizontal_line(178, 188),
    };

    constexpr const shape frame_814_shape_group_6_shapes[] = {
        shape(frame_814_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_814_shape_group_6_shape_1_horizontal_lines, 81, 13),
        shape(frame_814_shape_group_6_shape_2_horizontal_lines, 82, 3),
        shape(frame_814_shape_group_6_shape_3_horizontal_lines, 83, 12),
        shape(frame_814_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_814_shape_group_6_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_814_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(187, 189),
        horizontal_line(187, 192),
    };

    constexpr const horizontal_line frame_814_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(193, 197),
    };

    constexpr const horizontal_line frame_814_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_814_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(194, 194),
    };

    constexpr const shape frame_814_shape_group_7_shapes[] = {
        shape(frame_814_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_814_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_814_shape_group_7_shape_2_horizontal_lines, 82, 12),
        shape(frame_814_shape_group_7_shape_3_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_814_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(225, 230),
        horizontal_line(218, 229),
    };

    constexpr const shape frame_814_shape_group_8_shapes[] = {
        shape(frame_814_shape_group_8_shape_0_horizontal_lines, 79, 13),
    };

    constexpr const shape_group frame_814_shape_groups[] = {
        shape_group(frame_814_shape_group_0_shapes),
        shape_group(frame_814_shape_group_1_shapes),
        shape_group(frame_814_shape_group_2_shapes),
        shape_group(frame_814_shape_group_3_shapes),
        shape_group(frame_814_shape_group_4_shapes),
        shape_group(frame_814_shape_group_5_shapes),
        shape_group(frame_814_shape_group_6_shapes),
        shape_group(frame_814_shape_group_7_shapes),
        shape_group(frame_814_shape_group_8_shapes),
    };

    constexpr const frame frame_814_impl(frame_814_colors, frame_814_shape_groups);
} 

const frame& frame_814()
{
    return frame_814_impl;
}

namespace
{
    constexpr const bn::color frame_815_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_815_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(183, 185),
        horizontal_line(182, 185),
        horizontal_line(182, 186),
        horizontal_line(181, 186),
        horizontal_line(181, 187),
        horizontal_line(180, 187),
        horizontal_line(180, 187),
        horizontal_line(179, 186),
        horizontal_line(179, 186),
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 183),
        horizontal_line(176, 183),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(175, 181),
        horizontal_line(174, 181),
        horizontal_line(174, 180),
        horizontal_line(173, 178),
        horizontal_line(173, 176),
        horizontal_line(172, 175),
        horizontal_line(172, 173),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_815_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_815_shape_group_0_shapes[] = {
        shape(frame_815_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_815_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 235),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(202, 224),
        horizontal_line(205, 216),
        horizontal_line(209, 209),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(201, 220),
        horizontal_line(201, 220),
        horizontal_line(202, 219),
        horizontal_line(202, 219),
        horizontal_line(203, 218),
        horizontal_line(204, 217),
        horizontal_line(204, 217),
        horizontal_line(205, 216),
        horizontal_line(206, 216),
        horizontal_line(206, 215),
        horizontal_line(207, 215),
        horizontal_line(208, 214),
        horizontal_line(208, 213),
        horizontal_line(209, 213),
        horizontal_line(210, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_815_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
    };

    constexpr const shape frame_815_shape_group_1_shapes[] = {
        shape(frame_815_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_815_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_815_shape_group_1_shape_2_horizontal_lines, 69, 4),
        shape(frame_815_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_815_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_815_shape_group_1_shape_5_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 196),
        horizontal_line(186, 200),
        horizontal_line(186, 204),
        horizontal_line(187, 209),
        horizontal_line(187, 213),
        horizontal_line(188, 217),
        horizontal_line(191, 222),
        horizontal_line(195, 226),
        horizontal_line(198, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(184, 190),
        horizontal_line(184, 189),
        horizontal_line(183, 189),
        horizontal_line(183, 188),
        horizontal_line(182, 188),
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(204, 224),
        horizontal_line(203, 223),
        horizontal_line(203, 223),
        horizontal_line(202, 222),
        horizontal_line(202, 221),
        horizontal_line(201, 221),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 200),
        horizontal_line(171, 200),
        horizontal_line(173, 201),
        horizontal_line(176, 201),
        horizontal_line(178, 202),
        horizontal_line(181, 203),
        horizontal_line(184, 203),
        horizontal_line(186, 204),
        horizontal_line(189, 205),
        horizontal_line(192, 205),
        horizontal_line(194, 206),
        horizontal_line(197, 207),
        horizontal_line(199, 207),
        horizontal_line(202, 208),
        horizontal_line(205, 209),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_815_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(192, 211),
        horizontal_line(190, 211),
        horizontal_line(187, 211),
        horizontal_line(185, 212),
        horizontal_line(182, 212),
        horizontal_line(180, 212),
        horizontal_line(177, 213),
        horizontal_line(175, 213),
        horizontal_line(172, 213),
        horizontal_line(170, 214),
        horizontal_line(167, 214),
        horizontal_line(165, 214),
        horizontal_line(162, 215),
        horizontal_line(160, 215),
        horizontal_line(157, 215),
        horizontal_line(155, 216),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
    };

    constexpr const shape frame_815_shape_group_2_shapes[] = {
        shape(frame_815_shape_group_2_shape_0_horizontal_lines, 69, 2),
        shape(frame_815_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_815_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_815_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_815_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_815_shape_group_2_shape_5_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(199, 208),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(207, 228),
        horizontal_line(207, 227),
        horizontal_line(206, 227),
        horizontal_line(206, 226),
        horizontal_line(205, 225),
        horizontal_line(205, 225),
        horizontal_line(204, 224),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(182, 191),
        horizontal_line(185, 191),
        horizontal_line(188, 191),
        horizontal_line(192, 201),
        horizontal_line(195, 201),
        horizontal_line(198, 200),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(168, 172),
        horizontal_line(165, 175),
        horizontal_line(163, 177),
        horizontal_line(160, 180),
        horizontal_line(158, 183),
        horizontal_line(155, 185),
        horizontal_line(153, 188),
        horizontal_line(150, 191),
        horizontal_line(148, 193),
        horizontal_line(145, 196),
        horizontal_line(143, 198),
        horizontal_line(140, 201),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
    };

    constexpr const horizontal_line frame_815_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(214, 216),
        horizontal_line(211, 216),
        horizontal_line(209, 217),
        horizontal_line(206, 217),
        horizontal_line(204, 217),
        horizontal_line(201, 218),
        horizontal_line(199, 218),
        horizontal_line(196, 219),
        horizontal_line(194, 219),
        horizontal_line(191, 219),
        horizontal_line(189, 220),
        horizontal_line(186, 220),
        horizontal_line(184, 220),
        horizontal_line(181, 221),
        horizontal_line(179, 221),
        horizontal_line(176, 221),
        horizontal_line(174, 222),
        horizontal_line(171, 222),
        horizontal_line(169, 222),
        horizontal_line(166, 223),
        horizontal_line(164, 223),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
    };

    constexpr const shape frame_815_shape_group_3_shapes[] = {
        shape(frame_815_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_815_shape_group_3_shape_1_horizontal_lines, 77, 2),
        shape(frame_815_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_815_shape_group_3_shape_3_horizontal_lines, 81, 11),
        shape(frame_815_shape_group_3_shape_4_horizontal_lines, 82, 9),
        shape(frame_815_shape_group_3_shape_5_horizontal_lines, 83, 13),
        shape(frame_815_shape_group_3_shape_6_horizontal_lines, 90, 3),
        shape(frame_815_shape_group_3_shape_7_horizontal_lines, 98, 6),
        shape(frame_815_shape_group_3_shape_8_horizontal_lines, 129, 6),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 192),
        horizontal_line(187, 192),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(193, 196),
        horizontal_line(193, 196),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(208, 228),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(191, 195),
        horizontal_line(191, 194),
        horizontal_line(190, 194),
        horizontal_line(190, 193),
        horizontal_line(189, 193),
        horizontal_line(189, 192),
        horizontal_line(182, 184),
        horizontal_line(194, 203),
        horizontal_line(193, 202),
        horizontal_line(193, 202),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(174, 194),
        horizontal_line(173, 197),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(200, 204),
        horizontal_line(197, 206),
        horizontal_line(195, 209),
    };

    constexpr const horizontal_line frame_815_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(221, 224),
        horizontal_line(218, 224),
        horizontal_line(216, 224),
        horizontal_line(213, 225),
        horizontal_line(211, 225),
        horizontal_line(208, 225),
        horizontal_line(206, 226),
        horizontal_line(203, 226),
        horizontal_line(201, 227),
    };

    constexpr const shape frame_815_shape_group_4_shapes[] = {
        shape(frame_815_shape_group_4_shape_0_horizontal_lines, 77, 7),
        shape(frame_815_shape_group_4_shape_1_horizontal_lines, 79, 11),
        shape(frame_815_shape_group_4_shape_2_horizontal_lines, 81, 10),
        shape(frame_815_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_815_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_815_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_815_shape_group_4_shape_6_horizontal_lines, 110, 6),
        shape(frame_815_shape_group_4_shape_7_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_815_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(193, 196),
        horizontal_line(199, 201),
        horizontal_line(199, 204),
    };

    constexpr const horizontal_line frame_815_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_815_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(192, 195),
        horizontal_line(197, 206),
        horizontal_line(197, 206),
        horizontal_line(196, 205),
        horizontal_line(196, 205),
        horizontal_line(195, 204),
        horizontal_line(195, 204),
        horizontal_line(188, 192),
    };

    constexpr const horizontal_line frame_815_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(192, 192),
        horizontal_line(192, 192),
    };

    constexpr const shape frame_815_shape_group_5_shapes[] = {
        shape(frame_815_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_815_shape_group_5_shape_1_horizontal_lines, 81, 9),
        shape(frame_815_shape_group_5_shape_2_horizontal_lines, 82, 3),
        shape(frame_815_shape_group_5_shape_3_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(197, 198),
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(210, 229),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(198, 204),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 196),
        horizontal_line(195, 195),
        horizontal_line(194, 195),
        horizontal_line(194, 194),
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_815_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(179, 184),
        horizontal_line(177, 187),
    };

    constexpr const shape frame_815_shape_group_6_shapes[] = {
        shape(frame_815_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_815_shape_group_6_shape_1_horizontal_lines, 81, 13),
        shape(frame_815_shape_group_6_shape_2_horizontal_lines, 82, 3),
        shape(frame_815_shape_group_6_shape_3_horizontal_lines, 83, 12),
        shape(frame_815_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_815_shape_group_6_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_815_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(187, 188),
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_815_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(192, 196),
    };

    constexpr const horizontal_line frame_815_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_815_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(193, 193),
    };

    constexpr const shape frame_815_shape_group_7_shapes[] = {
        shape(frame_815_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_815_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_815_shape_group_7_shape_2_horizontal_lines, 82, 12),
        shape(frame_815_shape_group_7_shape_3_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_815_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(225, 230),
        horizontal_line(217, 229),
    };

    constexpr const shape frame_815_shape_group_8_shapes[] = {
        shape(frame_815_shape_group_8_shape_0_horizontal_lines, 79, 13),
    };

    constexpr const shape_group frame_815_shape_groups[] = {
        shape_group(frame_815_shape_group_0_shapes),
        shape_group(frame_815_shape_group_1_shapes),
        shape_group(frame_815_shape_group_2_shapes),
        shape_group(frame_815_shape_group_3_shapes),
        shape_group(frame_815_shape_group_4_shapes),
        shape_group(frame_815_shape_group_5_shapes),
        shape_group(frame_815_shape_group_6_shapes),
        shape_group(frame_815_shape_group_7_shapes),
        shape_group(frame_815_shape_group_8_shapes),
    };

    constexpr const frame frame_815_impl(frame_815_colors, frame_815_shape_groups);
} 

const frame& frame_815()
{
    return frame_815_impl;
}

namespace
{
    constexpr const bn::color frame_816_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_816_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 183),
        horizontal_line(182, 183),
        horizontal_line(182, 184),
        horizontal_line(181, 185),
        horizontal_line(181, 185),
        horizontal_line(180, 186),
        horizontal_line(180, 187),
        horizontal_line(179, 187),
        horizontal_line(179, 186),
        horizontal_line(178, 186),
        horizontal_line(178, 185),
        horizontal_line(177, 185),
        horizontal_line(177, 184),
        horizontal_line(177, 184),
        horizontal_line(176, 183),
        horizontal_line(176, 183),
        horizontal_line(175, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
        horizontal_line(173, 180),
        horizontal_line(173, 179),
        horizontal_line(172, 177),
        horizontal_line(172, 175),
        horizontal_line(171, 174),
        horizontal_line(171, 172),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_816_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_816_shape_group_0_shapes[] = {
        shape(frame_816_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_816_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(201, 224),
        horizontal_line(204, 216),
        horizontal_line(208, 208),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(200, 220),
        horizontal_line(200, 220),
        horizontal_line(201, 219),
        horizontal_line(202, 219),
        horizontal_line(202, 218),
        horizontal_line(203, 217),
        horizontal_line(204, 217),
        horizontal_line(204, 216),
        horizontal_line(205, 216),
        horizontal_line(206, 215),
        horizontal_line(207, 215),
        horizontal_line(207, 214),
        horizontal_line(208, 213),
        horizontal_line(209, 213),
        horizontal_line(209, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_816_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
    };

    constexpr const shape frame_816_shape_group_1_shapes[] = {
        shape(frame_816_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_816_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_816_shape_group_1_shape_2_horizontal_lines, 69, 4),
        shape(frame_816_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_816_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_816_shape_group_1_shape_5_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(184, 190),
        horizontal_line(184, 195),
        horizontal_line(185, 199),
        horizontal_line(186, 204),
        horizontal_line(186, 208),
        horizontal_line(187, 213),
        horizontal_line(188, 217),
        horizontal_line(191, 222),
        horizontal_line(194, 226),
        horizontal_line(198, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(204, 206),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(184, 189),
        horizontal_line(184, 189),
        horizontal_line(183, 188),
        horizontal_line(183, 188),
        horizontal_line(182, 188),
        horizontal_line(182, 187),
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(203, 224),
        horizontal_line(202, 223),
        horizontal_line(202, 223),
        horizontal_line(201, 222),
        horizontal_line(201, 221),
        horizontal_line(200, 221),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(172, 200),
        horizontal_line(175, 201),
        horizontal_line(178, 201),
        horizontal_line(180, 202),
        horizontal_line(183, 203),
        horizontal_line(186, 203),
        horizontal_line(188, 204),
        horizontal_line(191, 205),
        horizontal_line(194, 206),
        horizontal_line(196, 206),
        horizontal_line(199, 207),
        horizontal_line(202, 208),
        horizontal_line(204, 208),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_816_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(195, 211),
        horizontal_line(192, 211),
        horizontal_line(190, 211),
        horizontal_line(188, 212),
        horizontal_line(185, 212),
        horizontal_line(183, 212),
        horizontal_line(181, 213),
        horizontal_line(178, 213),
        horizontal_line(176, 214),
        horizontal_line(174, 214),
        horizontal_line(172, 214),
        horizontal_line(169, 215),
        horizontal_line(167, 215),
        horizontal_line(165, 216),
        horizontal_line(162, 216),
        horizontal_line(160, 216),
        horizontal_line(158, 217),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_816_shape_group_2_shapes[] = {
        shape(frame_816_shape_group_2_shape_0_horizontal_lines, 69, 2),
        shape(frame_816_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_816_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_816_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_816_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_816_shape_group_2_shape_5_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(188, 190),
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(198, 203),
        horizontal_line(198, 207),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(185, 189),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(206, 228),
        horizontal_line(206, 227),
        horizontal_line(205, 227),
        horizontal_line(205, 226),
        horizontal_line(204, 225),
        horizontal_line(204, 225),
        horizontal_line(203, 224),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(181, 190),
        horizontal_line(184, 190),
        horizontal_line(187, 190),
        horizontal_line(191, 200),
        horizontal_line(194, 200),
        horizontal_line(197, 199),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(167, 171),
        horizontal_line(165, 174),
        horizontal_line(163, 177),
        horizontal_line(160, 179),
        horizontal_line(158, 182),
        horizontal_line(156, 185),
        horizontal_line(153, 187),
        horizontal_line(151, 190),
        horizontal_line(149, 193),
        horizontal_line(146, 195),
        horizontal_line(144, 198),
        horizontal_line(142, 201),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_816_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(215, 218),
        horizontal_line(213, 218),
        horizontal_line(210, 218),
        horizontal_line(208, 219),
        horizontal_line(206, 219),
        horizontal_line(204, 220),
        horizontal_line(201, 220),
        horizontal_line(199, 220),
        horizontal_line(197, 221),
        horizontal_line(194, 221),
        horizontal_line(192, 221),
        horizontal_line(190, 222),
        horizontal_line(187, 222),
        horizontal_line(185, 223),
        horizontal_line(183, 223),
        horizontal_line(180, 223),
        horizontal_line(178, 224),
        horizontal_line(176, 224),
        horizontal_line(174, 225),
        horizontal_line(171, 225),
        horizontal_line(169, 225),
        horizontal_line(167, 226),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_816_shape_group_3_shapes[] = {
        shape(frame_816_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_816_shape_group_3_shape_1_horizontal_lines, 78, 2),
        shape(frame_816_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_816_shape_group_3_shape_3_horizontal_lines, 80, 11),
        shape(frame_816_shape_group_3_shape_4_horizontal_lines, 82, 9),
        shape(frame_816_shape_group_3_shape_5_horizontal_lines, 83, 13),
        shape(frame_816_shape_group_3_shape_6_horizontal_lines, 90, 3),
        shape(frame_816_shape_group_3_shape_7_horizontal_lines, 98, 6),
        shape(frame_816_shape_group_3_shape_8_horizontal_lines, 130, 6),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(192, 195),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(185, 190),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(207, 228),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(190, 193),
        horizontal_line(190, 193),
        horizontal_line(189, 192),
        horizontal_line(189, 192),
        horizontal_line(189, 191),
        horizontal_line(188, 191),
        horizontal_line(181, 183),
        horizontal_line(193, 202),
        horizontal_line(192, 201),
        horizontal_line(192, 201),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(175, 190),
        horizontal_line(173, 193),
        horizontal_line(172, 196),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(199, 206),
        horizontal_line(197, 209),
    };

    constexpr const horizontal_line frame_816_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(224, 227),
        horizontal_line(222, 227),
        horizontal_line(219, 227),
        horizontal_line(217, 228),
        horizontal_line(215, 228),
        horizontal_line(213, 229),
    };

    constexpr const shape frame_816_shape_group_4_shapes[] = {
        shape(frame_816_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_816_shape_group_4_shape_1_horizontal_lines, 78, 7),
        shape(frame_816_shape_group_4_shape_2_horizontal_lines, 79, 11),
        shape(frame_816_shape_group_4_shape_3_horizontal_lines, 80, 10),
        shape(frame_816_shape_group_4_shape_4_horizontal_lines, 81, 9),
        shape(frame_816_shape_group_4_shape_5_horizontal_lines, 82, 13),
        shape(frame_816_shape_group_4_shape_6_horizontal_lines, 83, 3),
        shape(frame_816_shape_group_4_shape_7_horizontal_lines, 93, 8),
        shape(frame_816_shape_group_4_shape_8_horizontal_lines, 110, 6),
        shape(frame_816_shape_group_4_shape_9_horizontal_lines, 153, 6),
    };

    constexpr const horizontal_line frame_816_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(192, 195),
        horizontal_line(198, 200),
    };

    constexpr const horizontal_line frame_816_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_816_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(209, 229),
    };

    constexpr const horizontal_line frame_816_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(190, 194),
        horizontal_line(196, 205),
        horizontal_line(196, 205),
        horizontal_line(195, 204),
        horizontal_line(195, 204),
        horizontal_line(194, 203),
        horizontal_line(194, 203),
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_816_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(191, 192),
        horizontal_line(191, 191),
        horizontal_line(191, 191),
    };

    constexpr const shape frame_816_shape_group_5_shapes[] = {
        shape(frame_816_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_816_shape_group_5_shape_1_horizontal_lines, 80, 9),
        shape(frame_816_shape_group_5_shape_2_horizontal_lines, 81, 13),
        shape(frame_816_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_816_shape_group_5_shape_4_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(217, 229),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(197, 203),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(194, 195),
        horizontal_line(193, 194),
        horizontal_line(193, 194),
        horizontal_line(192, 193),
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(193, 202),
    };

    constexpr const horizontal_line frame_816_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(180, 180),
        horizontal_line(178, 183),
        horizontal_line(176, 186),
    };

    constexpr const shape frame_816_shape_group_6_shapes[] = {
        shape(frame_816_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_816_shape_group_6_shape_1_horizontal_lines, 80, 13),
        shape(frame_816_shape_group_6_shape_2_horizontal_lines, 81, 3),
        shape(frame_816_shape_group_6_shape_3_horizontal_lines, 83, 12),
        shape(frame_816_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_816_shape_group_6_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_816_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_816_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(191, 195),
    };

    constexpr const horizontal_line frame_816_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(195, 197),
        horizontal_line(195, 196),
    };

    constexpr const horizontal_line frame_816_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const shape frame_816_shape_group_7_shapes[] = {
        shape(frame_816_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_816_shape_group_7_shape_1_horizontal_lines, 80, 3),
        shape(frame_816_shape_group_7_shape_2_horizontal_lines, 81, 12),
        shape(frame_816_shape_group_7_shape_3_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_816_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(225, 230),
    };

    constexpr const horizontal_line frame_816_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const shape frame_816_shape_group_8_shapes[] = {
        shape(frame_816_shape_group_8_shape_0_horizontal_lines, 79, 13),
        shape(frame_816_shape_group_8_shape_1_horizontal_lines, 89, 5),
    };

    constexpr const shape_group frame_816_shape_groups[] = {
        shape_group(frame_816_shape_group_0_shapes),
        shape_group(frame_816_shape_group_1_shapes),
        shape_group(frame_816_shape_group_2_shapes),
        shape_group(frame_816_shape_group_3_shapes),
        shape_group(frame_816_shape_group_4_shapes),
        shape_group(frame_816_shape_group_5_shapes),
        shape_group(frame_816_shape_group_6_shapes),
        shape_group(frame_816_shape_group_7_shapes),
        shape_group(frame_816_shape_group_8_shapes),
    };

    constexpr const frame frame_816_impl(frame_816_colors, frame_816_shape_groups);
} 

const frame& frame_816()
{
    return frame_816_impl;
}

namespace
{
    constexpr const bn::color frame_817_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_817_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 183),
        horizontal_line(182, 183),
        horizontal_line(182, 184),
        horizontal_line(181, 184),
        horizontal_line(181, 185),
        horizontal_line(180, 185),
        horizontal_line(180, 186),
        horizontal_line(179, 186),
        horizontal_line(179, 185),
        horizontal_line(178, 185),
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 183),
        horizontal_line(176, 183),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(175, 181),
        horizontal_line(174, 181),
        horizontal_line(174, 180),
        horizontal_line(173, 180),
        horizontal_line(173, 179),
        horizontal_line(172, 178),
        horizontal_line(172, 176),
        horizontal_line(171, 174),
        horizontal_line(171, 173),
        horizontal_line(170, 171),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_817_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_817_shape_group_0_shapes[] = {
        shape(frame_817_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_817_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(200, 223),
        horizontal_line(203, 215),
        horizontal_line(207, 207),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(199, 221),
        horizontal_line(199, 220),
        horizontal_line(200, 219),
        horizontal_line(201, 219),
        horizontal_line(201, 218),
        horizontal_line(202, 218),
        horizontal_line(203, 217),
        horizontal_line(204, 217),
        horizontal_line(204, 216),
        horizontal_line(205, 216),
        horizontal_line(206, 215),
        horizontal_line(206, 214),
        horizontal_line(207, 214),
        horizontal_line(208, 213),
        horizontal_line(209, 213),
        horizontal_line(209, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_817_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
    };

    constexpr const shape frame_817_shape_group_1_shapes[] = {
        shape(frame_817_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_817_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_817_shape_group_1_shape_2_horizontal_lines, 69, 4),
        shape(frame_817_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_817_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_817_shape_group_1_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(184, 190),
        horizontal_line(184, 195),
        horizontal_line(185, 199),
        horizontal_line(185, 204),
        horizontal_line(186, 208),
        horizontal_line(186, 213),
        horizontal_line(187, 217),
        horizontal_line(190, 222),
        horizontal_line(193, 226),
        horizontal_line(197, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(202, 205),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(183, 188),
        horizontal_line(183, 188),
        horizontal_line(182, 187),
        horizontal_line(182, 187),
        horizontal_line(181, 187),
        horizontal_line(181, 186),
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(202, 224),
        horizontal_line(201, 223),
        horizontal_line(201, 223),
        horizontal_line(200, 222),
        horizontal_line(200, 222),
        horizontal_line(199, 221),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 198),
        horizontal_line(169, 198),
        horizontal_line(171, 199),
        horizontal_line(174, 200),
        horizontal_line(176, 200),
        horizontal_line(179, 201),
        horizontal_line(181, 202),
        horizontal_line(184, 203),
        horizontal_line(187, 203),
        horizontal_line(189, 204),
        horizontal_line(192, 205),
        horizontal_line(194, 205),
        horizontal_line(197, 206),
        horizontal_line(200, 207),
        horizontal_line(202, 208),
        horizontal_line(205, 208),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_817_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(195, 211),
        horizontal_line(192, 211),
        horizontal_line(190, 211),
        horizontal_line(188, 212),
        horizontal_line(186, 212),
        horizontal_line(184, 213),
        horizontal_line(182, 213),
        horizontal_line(180, 214),
        horizontal_line(178, 214),
        horizontal_line(176, 215),
        horizontal_line(173, 215),
        horizontal_line(171, 215),
        horizontal_line(169, 216),
        horizontal_line(167, 216),
        horizontal_line(165, 217),
        horizontal_line(163, 217),
        horizontal_line(161, 218),
        horizontal_line(159, 218),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
    };

    constexpr const shape frame_817_shape_group_2_shapes[] = {
        shape(frame_817_shape_group_2_shape_0_horizontal_lines, 69, 2),
        shape(frame_817_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_817_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_817_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_817_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_817_shape_group_2_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(187, 189),
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(196, 202),
        horizontal_line(196, 206),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(184, 188),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(205, 228),
        horizontal_line(205, 227),
        horizontal_line(204, 227),
        horizontal_line(204, 226),
        horizontal_line(203, 226),
        horizontal_line(203, 225),
        horizontal_line(202, 224),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(180, 185),
        horizontal_line(183, 188),
        horizontal_line(186, 188),
        horizontal_line(190, 199),
        horizontal_line(193, 199),
        horizontal_line(196, 198),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(166, 170),
        horizontal_line(164, 173),
        horizontal_line(162, 175),
        horizontal_line(160, 178),
        horizontal_line(158, 180),
        horizontal_line(156, 183),
        horizontal_line(154, 186),
        horizontal_line(152, 188),
        horizontal_line(149, 191),
        horizontal_line(147, 193),
        horizontal_line(145, 196),
        horizontal_line(143, 199),
        horizontal_line(141, 201),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_817_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(219, 219),
        horizontal_line(216, 219),
        horizontal_line(214, 219),
        horizontal_line(212, 220),
        horizontal_line(210, 220),
        horizontal_line(208, 221),
        horizontal_line(206, 221),
        horizontal_line(204, 222),
        horizontal_line(202, 222),
        horizontal_line(200, 223),
        horizontal_line(197, 223),
        horizontal_line(195, 223),
        horizontal_line(193, 224),
        horizontal_line(191, 224),
        horizontal_line(189, 225),
        horizontal_line(187, 225),
        horizontal_line(185, 226),
        horizontal_line(183, 226),
        horizontal_line(181, 227),
        horizontal_line(178, 227),
        horizontal_line(176, 227),
        horizontal_line(174, 228),
        horizontal_line(172, 228),
        horizontal_line(170, 229),
        horizontal_line(168, 229),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_817_shape_group_3_shapes[] = {
        shape(frame_817_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_817_shape_group_3_shape_1_horizontal_lines, 78, 2),
        shape(frame_817_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_817_shape_group_3_shape_3_horizontal_lines, 80, 11),
        shape(frame_817_shape_group_3_shape_4_horizontal_lines, 82, 9),
        shape(frame_817_shape_group_3_shape_5_horizontal_lines, 83, 13),
        shape(frame_817_shape_group_3_shape_6_horizontal_lines, 90, 3),
        shape(frame_817_shape_group_3_shape_7_horizontal_lines, 98, 6),
        shape(frame_817_shape_group_3_shape_8_horizontal_lines, 132, 6),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(206, 228),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(189, 191),
        horizontal_line(188, 191),
        horizontal_line(188, 190),
        horizontal_line(188, 190),
        horizontal_line(187, 189),
        horizontal_line(180, 182),
        horizontal_line(187, 188),
        horizontal_line(191, 200),
        horizontal_line(190, 200),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(174, 189),
        horizontal_line(172, 192),
        horizontal_line(171, 195),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(201, 204),
        horizontal_line(199, 206),
        horizontal_line(197, 209),
    };

    constexpr const horizontal_line frame_817_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(228, 230),
        horizontal_line(226, 230),
        horizontal_line(224, 231),
    };

    constexpr const shape frame_817_shape_group_4_shapes[] = {
        shape(frame_817_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_817_shape_group_4_shape_1_horizontal_lines, 78, 7),
        shape(frame_817_shape_group_4_shape_2_horizontal_lines, 79, 11),
        shape(frame_817_shape_group_4_shape_3_horizontal_lines, 80, 10),
        shape(frame_817_shape_group_4_shape_4_horizontal_lines, 81, 9),
        shape(frame_817_shape_group_4_shape_5_horizontal_lines, 82, 13),
        shape(frame_817_shape_group_4_shape_6_horizontal_lines, 83, 3),
        shape(frame_817_shape_group_4_shape_7_horizontal_lines, 93, 8),
        shape(frame_817_shape_group_4_shape_8_horizontal_lines, 111, 6),
        shape(frame_817_shape_group_4_shape_9_horizontal_lines, 157, 6),
    };

    constexpr const horizontal_line frame_817_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(196, 199),
    };

    constexpr const horizontal_line frame_817_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(185, 189),
    };

    constexpr const horizontal_line frame_817_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(208, 229),
    };

    constexpr const horizontal_line frame_817_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(195, 204),
        horizontal_line(194, 204),
        horizontal_line(194, 203),
        horizontal_line(193, 203),
        horizontal_line(193, 202),
        horizontal_line(192, 202),
        horizontal_line(187, 189),
        horizontal_line(191, 201),
    };

    constexpr const horizontal_line frame_817_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(189, 189),
    };

    constexpr const shape frame_817_shape_group_5_shapes[] = {
        shape(frame_817_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_817_shape_group_5_shape_1_horizontal_lines, 80, 9),
        shape(frame_817_shape_group_5_shape_2_horizontal_lines, 81, 13),
        shape(frame_817_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_817_shape_group_5_shape_4_horizontal_lines, 91, 12),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(216, 229),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(190, 193),
        horizontal_line(195, 201),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(192, 193),
        horizontal_line(192, 193),
        horizontal_line(191, 192),
        horizontal_line(191, 192),
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(192, 201),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_817_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(175, 185),
    };

    constexpr const shape frame_817_shape_group_6_shapes[] = {
        shape(frame_817_shape_group_6_shape_0_horizontal_lines, 78, 11),
        shape(frame_817_shape_group_6_shape_1_horizontal_lines, 79, 10),
        shape(frame_817_shape_group_6_shape_2_horizontal_lines, 80, 13),
        shape(frame_817_shape_group_6_shape_3_horizontal_lines, 81, 3),
        shape(frame_817_shape_group_6_shape_4_horizontal_lines, 83, 12),
        shape(frame_817_shape_group_6_shape_5_horizontal_lines, 89, 3),
        shape(frame_817_shape_group_6_shape_6_horizontal_lines, 90, 12),
        shape(frame_817_shape_group_6_shape_7_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(190, 194),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_817_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const shape frame_817_shape_group_7_shapes[] = {
        shape(frame_817_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_817_shape_group_7_shape_1_horizontal_lines, 79, 9),
        shape(frame_817_shape_group_7_shape_2_horizontal_lines, 80, 3),
        shape(frame_817_shape_group_7_shape_3_horizontal_lines, 81, 12),
        shape(frame_817_shape_group_7_shape_4_horizontal_lines, 89, 12),
        shape(frame_817_shape_group_7_shape_5_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_817_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(224, 230),
    };

    constexpr const horizontal_line frame_817_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_817_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const shape frame_817_shape_group_8_shapes[] = {
        shape(frame_817_shape_group_8_shape_0_horizontal_lines, 79, 13),
        shape(frame_817_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_817_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_817_shape_groups[] = {
        shape_group(frame_817_shape_group_0_shapes),
        shape_group(frame_817_shape_group_1_shapes),
        shape_group(frame_817_shape_group_2_shapes),
        shape_group(frame_817_shape_group_3_shapes),
        shape_group(frame_817_shape_group_4_shapes),
        shape_group(frame_817_shape_group_5_shapes),
        shape_group(frame_817_shape_group_6_shapes),
        shape_group(frame_817_shape_group_7_shapes),
        shape_group(frame_817_shape_group_8_shapes),
    };

    constexpr const frame frame_817_impl(frame_817_colors, frame_817_shape_groups);
} 

const frame& frame_817()
{
    return frame_817_impl;
}

namespace
{
    constexpr const bn::color frame_818_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_818_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(191, 239),
        horizontal_line(181, 182),
        horizontal_line(181, 182),
        horizontal_line(180, 182),
        horizontal_line(180, 183),
        horizontal_line(179, 183),
        horizontal_line(179, 184),
        horizontal_line(178, 184),
        horizontal_line(178, 184),
        horizontal_line(178, 183),
        horizontal_line(177, 183),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 181),
        horizontal_line(175, 181),
        horizontal_line(175, 180),
        horizontal_line(174, 180),
        horizontal_line(174, 179),
        horizontal_line(173, 179),
        horizontal_line(173, 178),
        horizontal_line(173, 178),
        horizontal_line(172, 177),
        horizontal_line(172, 175),
        horizontal_line(171, 174),
        horizontal_line(171, 173),
        horizontal_line(170, 172),
        horizontal_line(170, 170),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_818_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_818_shape_group_0_shapes[] = {
        shape(frame_818_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_818_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(182, 185),
        horizontal_line(182, 190),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(198, 223),
        horizontal_line(201, 214),
        horizontal_line(205, 205),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(198, 220),
        horizontal_line(199, 219),
        horizontal_line(200, 219),
        horizontal_line(201, 218),
        horizontal_line(201, 218),
        horizontal_line(202, 217),
        horizontal_line(203, 217),
        horizontal_line(204, 216),
        horizontal_line(205, 216),
        horizontal_line(205, 215),
        horizontal_line(206, 214),
        horizontal_line(207, 214),
        horizontal_line(208, 213),
        horizontal_line(208, 213),
        horizontal_line(209, 212),
        horizontal_line(210, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_818_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
    };

    constexpr const shape frame_818_shape_group_1_shapes[] = {
        shape(frame_818_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_818_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_818_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_818_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_818_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_818_shape_group_1_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(183, 194),
        horizontal_line(183, 199),
        horizontal_line(183, 203),
        horizontal_line(184, 208),
        horizontal_line(184, 212),
        horizontal_line(185, 217),
        horizontal_line(188, 221),
        horizontal_line(191, 226),
        horizontal_line(195, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(201, 203),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(182, 187),
        horizontal_line(181, 187),
        horizontal_line(181, 186),
        horizontal_line(180, 186),
        horizontal_line(180, 186),
        horizontal_line(180, 185),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(200, 224),
        horizontal_line(200, 223),
        horizontal_line(199, 223),
        horizontal_line(199, 222),
        horizontal_line(198, 222),
        horizontal_line(198, 221),
        horizontal_line(198, 221),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 197),
        horizontal_line(169, 198),
        horizontal_line(171, 199),
        horizontal_line(174, 200),
        horizontal_line(177, 200),
        horizontal_line(180, 201),
        horizontal_line(182, 202),
        horizontal_line(185, 203),
        horizontal_line(188, 204),
        horizontal_line(191, 204),
        horizontal_line(193, 205),
        horizontal_line(196, 206),
        horizontal_line(199, 207),
        horizontal_line(202, 207),
        horizontal_line(204, 208),
        horizontal_line(207, 209),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_818_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(199, 211),
        horizontal_line(197, 211),
        horizontal_line(195, 211),
        horizontal_line(193, 212),
        horizontal_line(191, 212),
        horizontal_line(189, 213),
        horizontal_line(187, 213),
        horizontal_line(185, 214),
        horizontal_line(183, 214),
        horizontal_line(181, 215),
        horizontal_line(179, 215),
        horizontal_line(177, 215),
        horizontal_line(175, 216),
        horizontal_line(173, 216),
        horizontal_line(171, 217),
        horizontal_line(169, 217),
        horizontal_line(167, 218),
        horizontal_line(165, 218),
        horizontal_line(163, 219),
        horizontal_line(161, 219),
        horizontal_line(159, 219),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
    };

    constexpr const shape frame_818_shape_group_2_shapes[] = {
        shape(frame_818_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_818_shape_group_2_shape_1_horizontal_lines, 82, 11),
        shape(frame_818_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_818_shape_group_2_shape_3_horizontal_lines, 90, 13),
        shape(frame_818_shape_group_2_shape_4_horizontal_lines, 97, 8),
        shape(frame_818_shape_group_2_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(185, 187),
        horizontal_line(185, 189),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(195, 200),
        horizontal_line(195, 204),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(182, 187),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(204, 228),
        horizontal_line(203, 227),
        horizontal_line(203, 227),
        horizontal_line(202, 226),
        horizontal_line(202, 226),
        horizontal_line(201, 225),
        horizontal_line(201, 224),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(182, 187),
        horizontal_line(185, 187),
        horizontal_line(189, 198),
        horizontal_line(192, 197),
        horizontal_line(195, 197),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(170, 197),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(167, 170),
        horizontal_line(165, 173),
        horizontal_line(163, 176),
        horizontal_line(161, 179),
        horizontal_line(159, 181),
        horizontal_line(157, 184),
        horizontal_line(155, 187),
        horizontal_line(153, 190),
        horizontal_line(151, 192),
        horizontal_line(149, 195),
        horizontal_line(147, 198),
        horizontal_line(145, 201),
        horizontal_line(143, 203),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
    };

    constexpr const horizontal_line frame_818_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(219, 220),
        horizontal_line(217, 220),
        horizontal_line(215, 221),
        horizontal_line(213, 221),
        horizontal_line(211, 222),
        horizontal_line(209, 222),
        horizontal_line(207, 223),
        horizontal_line(205, 223),
        horizontal_line(203, 223),
        horizontal_line(201, 224),
        horizontal_line(199, 224),
        horizontal_line(197, 225),
        horizontal_line(195, 225),
        horizontal_line(193, 226),
        horizontal_line(191, 226),
        horizontal_line(189, 227),
        horizontal_line(187, 227),
        horizontal_line(185, 227),
        horizontal_line(183, 228),
        horizontal_line(181, 228),
        horizontal_line(179, 229),
        horizontal_line(177, 229),
        horizontal_line(175, 230),
        horizontal_line(173, 230),
        horizontal_line(171, 231),
    };

    constexpr const shape frame_818_shape_group_3_shapes[] = {
        shape(frame_818_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_818_shape_group_3_shape_1_horizontal_lines, 78, 2),
        shape(frame_818_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_818_shape_group_3_shape_3_horizontal_lines, 80, 11),
        shape(frame_818_shape_group_3_shape_4_horizontal_lines, 82, 9),
        shape(frame_818_shape_group_3_shape_5_horizontal_lines, 83, 13),
        shape(frame_818_shape_group_3_shape_6_horizontal_lines, 90, 3),
        shape(frame_818_shape_group_3_shape_7_horizontal_lines, 96, 8),
        shape(frame_818_shape_group_3_shape_8_horizontal_lines, 99, 6),
        shape(frame_818_shape_group_3_shape_9_horizontal_lines, 135, 6),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(183, 188),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(204, 228),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(188, 191),
        horizontal_line(188, 190),
        horizontal_line(187, 190),
        horizontal_line(187, 189),
        horizontal_line(187, 189),
        horizontal_line(186, 188),
        horizontal_line(179, 181),
        horizontal_line(186, 187),
        horizontal_line(190, 199),
        horizontal_line(189, 198),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(174, 188),
        horizontal_line(173, 191),
        horizontal_line(171, 194),
    };

    constexpr const horizontal_line frame_818_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(203, 206),
        horizontal_line(201, 209),
    };

    constexpr const shape frame_818_shape_group_4_shapes[] = {
        shape(frame_818_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_818_shape_group_4_shape_1_horizontal_lines, 78, 7),
        shape(frame_818_shape_group_4_shape_2_horizontal_lines, 79, 11),
        shape(frame_818_shape_group_4_shape_3_horizontal_lines, 80, 10),
        shape(frame_818_shape_group_4_shape_4_horizontal_lines, 81, 9),
        shape(frame_818_shape_group_4_shape_5_horizontal_lines, 82, 13),
        shape(frame_818_shape_group_4_shape_6_horizontal_lines, 83, 3),
        shape(frame_818_shape_group_4_shape_7_horizontal_lines, 93, 8),
        shape(frame_818_shape_group_4_shape_8_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_818_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 193),
        horizontal_line(195, 197),
    };

    constexpr const horizontal_line frame_818_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(183, 188),
    };

    constexpr const horizontal_line frame_818_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(206, 229),
    };

    constexpr const horizontal_line frame_818_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(188, 191),
        horizontal_line(194, 203),
        horizontal_line(193, 202),
        horizontal_line(193, 202),
        horizontal_line(192, 201),
        horizontal_line(192, 201),
        horizontal_line(191, 200),
        horizontal_line(186, 188),
        horizontal_line(190, 199),
    };

    constexpr const horizontal_line frame_818_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(188, 188),
    };

    constexpr const shape frame_818_shape_group_5_shapes[] = {
        shape(frame_818_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_818_shape_group_5_shape_1_horizontal_lines, 80, 9),
        shape(frame_818_shape_group_5_shape_2_horizontal_lines, 81, 13),
        shape(frame_818_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_818_shape_group_5_shape_4_horizontal_lines, 91, 12),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(215, 229),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(194, 200),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(191, 192),
        horizontal_line(191, 192),
        horizontal_line(190, 191),
        horizontal_line(190, 191),
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(191, 200),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_818_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(176, 181),
        horizontal_line(175, 184),
    };

    constexpr const shape frame_818_shape_group_6_shapes[] = {
        shape(frame_818_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_818_shape_group_6_shape_1_horizontal_lines, 80, 13),
        shape(frame_818_shape_group_6_shape_2_horizontal_lines, 81, 3),
        shape(frame_818_shape_group_6_shape_3_horizontal_lines, 83, 12),
        shape(frame_818_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_818_shape_group_6_shape_5_horizontal_lines, 90, 12),
        shape(frame_818_shape_group_6_shape_6_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(189, 193),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_818_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const shape frame_818_shape_group_7_shapes[] = {
        shape(frame_818_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_818_shape_group_7_shape_1_horizontal_lines, 80, 3),
        shape(frame_818_shape_group_7_shape_2_horizontal_lines, 81, 12),
        shape(frame_818_shape_group_7_shape_3_horizontal_lines, 88, 5),
        shape(frame_818_shape_group_7_shape_4_horizontal_lines, 89, 12),
        shape(frame_818_shape_group_7_shape_5_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_818_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(224, 230),
    };

    constexpr const horizontal_line frame_818_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_818_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const shape frame_818_shape_group_8_shapes[] = {
        shape(frame_818_shape_group_8_shape_0_horizontal_lines, 79, 13),
        shape(frame_818_shape_group_8_shape_1_horizontal_lines, 89, 5),
        shape(frame_818_shape_group_8_shape_2_horizontal_lines, 90, 8),
    };

    constexpr const shape_group frame_818_shape_groups[] = {
        shape_group(frame_818_shape_group_0_shapes),
        shape_group(frame_818_shape_group_1_shapes),
        shape_group(frame_818_shape_group_2_shapes),
        shape_group(frame_818_shape_group_3_shapes),
        shape_group(frame_818_shape_group_4_shapes),
        shape_group(frame_818_shape_group_5_shapes),
        shape_group(frame_818_shape_group_6_shapes),
        shape_group(frame_818_shape_group_7_shapes),
        shape_group(frame_818_shape_group_8_shapes),
    };

    constexpr const frame frame_818_impl(frame_818_colors, frame_818_shape_groups);
} 

const frame& frame_818()
{
    return frame_818_impl;
}

namespace
{
    constexpr const bn::color frame_819_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_819_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(191, 239),
        horizontal_line(181, 181),
        horizontal_line(181, 182),
        horizontal_line(180, 182),
        horizontal_line(180, 182),
        horizontal_line(179, 182),
        horizontal_line(179, 183),
        horizontal_line(178, 183),
        horizontal_line(178, 183),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(175, 180),
        horizontal_line(175, 180),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(173, 178),
        horizontal_line(173, 178),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(171, 176),
        horizontal_line(171, 174),
        horizontal_line(170, 173),
        horizontal_line(170, 172),
        horizontal_line(169, 171),
        horizontal_line(169, 169),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_819_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_819_shape_group_0_shapes[] = {
        shape(frame_819_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_819_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(182, 185),
        horizontal_line(182, 190),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(197, 222),
        horizontal_line(200, 213),
        horizontal_line(204, 204),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(197, 219),
        horizontal_line(198, 219),
        horizontal_line(199, 218),
        horizontal_line(200, 218),
        horizontal_line(200, 217),
        horizontal_line(201, 217),
        horizontal_line(202, 216),
        horizontal_line(203, 215),
        horizontal_line(204, 215),
        horizontal_line(204, 214),
        horizontal_line(205, 214),
        horizontal_line(206, 213),
        horizontal_line(207, 212),
        horizontal_line(207, 212),
        horizontal_line(208, 211),
        horizontal_line(209, 211),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_819_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
    };

    constexpr const shape frame_819_shape_group_1_shapes[] = {
        shape(frame_819_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_819_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_819_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_819_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_819_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_819_shape_group_1_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_819_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(182, 194),
        horizontal_line(183, 199),
        horizontal_line(183, 203),
        horizontal_line(183, 208),
        horizontal_line(183, 212),
        horizontal_line(184, 217),
        horizontal_line(187, 221),
        horizontal_line(190, 226),
        horizontal_line(194, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_819_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(181, 185),
        horizontal_line(181, 185),
        horizontal_line(180, 185),
        horizontal_line(180, 184),
        horizontal_line(179, 184),
        horizontal_line(179, 184),
        horizontal_line(178, 183),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_819_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(199, 224),
        horizontal_line(199, 223),
        horizontal_line(198, 222),
        horizontal_line(198, 222),
        horizontal_line(197, 221),
        horizontal_line(197, 221),
        horizontal_line(197, 220),
    };

    constexpr const horizontal_line frame_819_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(168, 196),
        horizontal_line(168, 197),
        horizontal_line(170, 198),
        horizontal_line(173, 199),
        horizontal_line(176, 199),
        horizontal_line(179, 200),
        horizontal_line(181, 201),
        horizontal_line(184, 202),
        horizontal_line(187, 203),
        horizontal_line(190, 203),
        horizontal_line(192, 204),
        horizontal_line(195, 205),
        horizontal_line(198, 206),
        horizontal_line(201, 206),
        horizontal_line(203, 207),
        horizontal_line(206, 208),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_819_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(200, 210),
        horizontal_line(198, 210),
        horizontal_line(196, 210),
        horizontal_line(194, 211),
        horizontal_line(192, 211),
        horizontal_line(191, 212),
        horizontal_line(189, 212),
        horizontal_line(187, 213),
        horizontal_line(185, 213),
        horizontal_line(183, 214),
        horizontal_line(181, 214),
        horizontal_line(179, 215),
        horizontal_line(178, 215),
        horizontal_line(176, 216),
        horizontal_line(174, 216),
        horizontal_line(172, 217),
        horizontal_line(170, 217),
        horizontal_line(168, 217),
        horizontal_line(167, 218),
        horizontal_line(165, 218),
        horizontal_line(163, 219),
        horizontal_line(161, 219),
        horizontal_line(159, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
    };

    constexpr const shape frame_819_shape_group_2_shapes[] = {
        shape(frame_819_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_819_shape_group_2_shape_1_horizontal_lines, 82, 9),
        shape(frame_819_shape_group_2_shape_2_horizontal_lines, 90, 13),
        shape(frame_819_shape_group_2_shape_3_horizontal_lines, 97, 8),
        shape(frame_819_shape_group_2_shape_4_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(194, 199),
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(203, 228),
        horizontal_line(203, 228),
        horizontal_line(202, 227),
        horizontal_line(202, 226),
        horizontal_line(201, 226),
        horizontal_line(201, 225),
        horizontal_line(200, 225),
        horizontal_line(200, 224),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(178, 187),
        horizontal_line(181, 187),
        horizontal_line(184, 197),
        horizontal_line(188, 197),
        horizontal_line(191, 196),
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(169, 196),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(164, 172),
        horizontal_line(162, 175),
        horizontal_line(160, 178),
        horizontal_line(158, 180),
        horizontal_line(156, 183),
        horizontal_line(155, 186),
        horizontal_line(153, 189),
        horizontal_line(151, 191),
        horizontal_line(149, 194),
        horizontal_line(147, 197),
        horizontal_line(145, 200),
        horizontal_line(143, 202),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_819_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(219, 220),
        horizontal_line(217, 221),
        horizontal_line(216, 221),
        horizontal_line(214, 222),
        horizontal_line(212, 222),
        horizontal_line(210, 223),
        horizontal_line(208, 223),
        horizontal_line(206, 224),
        horizontal_line(204, 224),
        horizontal_line(203, 224),
        horizontal_line(201, 225),
        horizontal_line(199, 225),
        horizontal_line(197, 226),
        horizontal_line(195, 226),
        horizontal_line(193, 227),
        horizontal_line(191, 227),
        horizontal_line(190, 228),
        horizontal_line(188, 228),
        horizontal_line(186, 229),
        horizontal_line(184, 229),
        horizontal_line(182, 230),
        horizontal_line(180, 230),
        horizontal_line(179, 231),
    };

    constexpr const shape frame_819_shape_group_3_shapes[] = {
        shape(frame_819_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_819_shape_group_3_shape_1_horizontal_lines, 78, 2),
        shape(frame_819_shape_group_3_shape_2_horizontal_lines, 79, 7),
        shape(frame_819_shape_group_3_shape_3_horizontal_lines, 80, 11),
        shape(frame_819_shape_group_3_shape_4_horizontal_lines, 82, 13),
        shape(frame_819_shape_group_3_shape_5_horizontal_lines, 90, 3),
        shape(frame_819_shape_group_3_shape_6_horizontal_lines, 96, 8),
        shape(frame_819_shape_group_3_shape_7_horizontal_lines, 99, 6),
        shape(frame_819_shape_group_3_shape_8_horizontal_lines, 137, 6),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(183, 187),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 191),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 189),
        horizontal_line(185, 189),
        horizontal_line(185, 188),
        horizontal_line(185, 188),
        horizontal_line(184, 188),
        horizontal_line(178, 180),
        horizontal_line(189, 198),
        horizontal_line(189, 198),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(173, 187),
        horizontal_line(172, 190),
        horizontal_line(170, 193),
    };

    constexpr const horizontal_line frame_819_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(204, 205),
        horizontal_line(202, 208),
    };

    constexpr const shape frame_819_shape_group_4_shapes[] = {
        shape(frame_819_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_819_shape_group_4_shape_1_horizontal_lines, 78, 7),
        shape(frame_819_shape_group_4_shape_2_horizontal_lines, 79, 11),
        shape(frame_819_shape_group_4_shape_3_horizontal_lines, 80, 10),
        shape(frame_819_shape_group_4_shape_4_horizontal_lines, 81, 9),
        shape(frame_819_shape_group_4_shape_5_horizontal_lines, 82, 3),
        shape(frame_819_shape_group_4_shape_6_horizontal_lines, 92, 8),
        shape(frame_819_shape_group_4_shape_7_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_819_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(188, 191),
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_819_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_819_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(205, 229),
    };

    constexpr const horizontal_line frame_819_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(193, 202),
        horizontal_line(193, 202),
        horizontal_line(192, 201),
        horizontal_line(192, 201),
        horizontal_line(191, 200),
        horizontal_line(191, 200),
        horizontal_line(190, 199),
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_819_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 188),
    };

    constexpr const shape frame_819_shape_group_5_shapes[] = {
        shape(frame_819_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_819_shape_group_5_shape_1_horizontal_lines, 80, 9),
        shape(frame_819_shape_group_5_shape_2_horizontal_lines, 81, 13),
        shape(frame_819_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_819_shape_group_5_shape_4_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(187, 190),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(191, 192),
        horizontal_line(190, 192),
        horizontal_line(190, 191),
        horizontal_line(190, 191),
        horizontal_line(189, 190),
        horizontal_line(189, 190),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(190, 199),
    };

    constexpr const horizontal_line frame_819_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(175, 180),
    };

    constexpr const shape frame_819_shape_group_6_shapes[] = {
        shape(frame_819_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_819_shape_group_6_shape_1_horizontal_lines, 80, 13),
        shape(frame_819_shape_group_6_shape_2_horizontal_lines, 81, 3),
        shape(frame_819_shape_group_6_shape_3_horizontal_lines, 82, 12),
        shape(frame_819_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_819_shape_group_6_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_819_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_819_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_819_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(191, 193),
    };

    constexpr const horizontal_line frame_819_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const shape frame_819_shape_group_7_shapes[] = {
        shape(frame_819_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_819_shape_group_7_shape_1_horizontal_lines, 80, 3),
        shape(frame_819_shape_group_7_shape_2_horizontal_lines, 81, 12),
        shape(frame_819_shape_group_7_shape_3_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_819_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(223, 230),
    };

    constexpr const shape frame_819_shape_group_8_shapes[] = {
        shape(frame_819_shape_group_8_shape_0_horizontal_lines, 79, 13),
    };

    constexpr const shape_group frame_819_shape_groups[] = {
        shape_group(frame_819_shape_group_0_shapes),
        shape_group(frame_819_shape_group_1_shapes),
        shape_group(frame_819_shape_group_2_shapes),
        shape_group(frame_819_shape_group_3_shapes),
        shape_group(frame_819_shape_group_4_shapes),
        shape_group(frame_819_shape_group_5_shapes),
        shape_group(frame_819_shape_group_6_shapes),
        shape_group(frame_819_shape_group_7_shapes),
        shape_group(frame_819_shape_group_8_shapes),
    };

    constexpr const frame frame_819_impl(frame_819_colors, frame_819_shape_groups);
} 

const frame& frame_819()
{
    return frame_819_impl;
}

namespace
{
    constexpr const bn::color frame_820_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_820_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(190, 239),
        horizontal_line(180, 180),
        horizontal_line(180, 181),
        horizontal_line(179, 181),
        horizontal_line(179, 181),
        horizontal_line(178, 181),
        horizontal_line(178, 182),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(175, 180),
        horizontal_line(175, 180),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(173, 178),
        horizontal_line(173, 178),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(170, 175),
        horizontal_line(170, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 171),
        horizontal_line(168, 170),
        horizontal_line(168, 168),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_820_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_820_shape_group_0_shapes[] = {
        shape(frame_820_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_820_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(181, 184),
        horizontal_line(181, 189),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(226, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(196, 221),
        horizontal_line(199, 212),
        horizontal_line(203, 203),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(196, 218),
        horizontal_line(197, 218),
        horizontal_line(198, 217),
        horizontal_line(199, 217),
        horizontal_line(199, 216),
        horizontal_line(200, 216),
        horizontal_line(201, 215),
        horizontal_line(202, 214),
        horizontal_line(203, 214),
        horizontal_line(203, 213),
        horizontal_line(204, 213),
        horizontal_line(205, 212),
        horizontal_line(206, 211),
        horizontal_line(206, 211),
        horizontal_line(207, 210),
        horizontal_line(208, 210),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_820_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_820_shape_group_1_shapes[] = {
        shape(frame_820_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_820_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_820_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_820_shape_group_1_shape_3_horizontal_lines, 79, 2),
        shape(frame_820_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_820_shape_group_1_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_820_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(181, 193),
        horizontal_line(182, 198),
        horizontal_line(182, 202),
        horizontal_line(182, 207),
        horizontal_line(182, 211),
        horizontal_line(183, 216),
        horizontal_line(186, 220),
        horizontal_line(189, 225),
        horizontal_line(193, 230),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_820_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(180, 185),
        horizontal_line(180, 185),
        horizontal_line(179, 184),
        horizontal_line(179, 184),
        horizontal_line(178, 183),
        horizontal_line(178, 183),
        horizontal_line(177, 182),
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_820_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(198, 223),
        horizontal_line(198, 222),
        horizontal_line(197, 221),
        horizontal_line(197, 221),
        horizontal_line(196, 220),
        horizontal_line(196, 220),
        horizontal_line(196, 219),
    };

    constexpr const horizontal_line frame_820_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(167, 195),
        horizontal_line(167, 196),
        horizontal_line(169, 197),
        horizontal_line(172, 198),
        horizontal_line(175, 198),
        horizontal_line(178, 199),
        horizontal_line(180, 200),
        horizontal_line(183, 201),
        horizontal_line(186, 202),
        horizontal_line(189, 202),
        horizontal_line(191, 203),
        horizontal_line(194, 204),
        horizontal_line(197, 205),
        horizontal_line(200, 205),
        horizontal_line(202, 206),
        horizontal_line(205, 207),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_820_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(201, 209),
        horizontal_line(199, 209),
        horizontal_line(198, 210),
        horizontal_line(196, 210),
        horizontal_line(194, 211),
        horizontal_line(192, 211),
        horizontal_line(191, 212),
        horizontal_line(189, 212),
        horizontal_line(187, 213),
        horizontal_line(185, 213),
        horizontal_line(184, 214),
        horizontal_line(182, 214),
        horizontal_line(180, 215),
        horizontal_line(179, 215),
        horizontal_line(177, 216),
        horizontal_line(175, 216),
        horizontal_line(173, 217),
        horizontal_line(172, 217),
        horizontal_line(170, 218),
        horizontal_line(168, 218),
        horizontal_line(167, 219),
        horizontal_line(165, 219),
        horizontal_line(163, 220),
        horizontal_line(161, 220),
        horizontal_line(160, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_820_shape_group_2_shapes[] = {
        shape(frame_820_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_820_shape_group_2_shape_1_horizontal_lines, 82, 9),
        shape(frame_820_shape_group_2_shape_2_horizontal_lines, 90, 13),
        shape(frame_820_shape_group_2_shape_3_horizontal_lines, 97, 8),
        shape(frame_820_shape_group_2_shape_4_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(183, 187),
        horizontal_line(182, 187),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(193, 198),
        horizontal_line(193, 202),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(202, 227),
        horizontal_line(202, 227),
        horizontal_line(201, 226),
        horizontal_line(201, 225),
        horizontal_line(200, 225),
        horizontal_line(200, 224),
        horizontal_line(199, 224),
        horizontal_line(199, 223),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(177, 186),
        horizontal_line(180, 186),
        horizontal_line(183, 196),
        horizontal_line(187, 196),
        horizontal_line(190, 195),
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(168, 195),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(163, 171),
        horizontal_line(161, 174),
        horizontal_line(160, 177),
        horizontal_line(158, 179),
        horizontal_line(156, 182),
        horizontal_line(154, 185),
        horizontal_line(153, 188),
        horizontal_line(151, 190),
        horizontal_line(149, 193),
        horizontal_line(148, 196),
        horizontal_line(146, 199),
        horizontal_line(144, 201),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_820_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(218, 222),
        horizontal_line(216, 222),
        horizontal_line(215, 223),
        horizontal_line(213, 223),
        horizontal_line(211, 224),
        horizontal_line(210, 224),
        horizontal_line(208, 225),
        horizontal_line(206, 225),
        horizontal_line(204, 226),
        horizontal_line(203, 226),
        horizontal_line(201, 227),
        horizontal_line(199, 227),
        horizontal_line(198, 228),
        horizontal_line(196, 228),
        horizontal_line(194, 229),
        horizontal_line(192, 229),
        horizontal_line(191, 230),
        horizontal_line(189, 230),
        horizontal_line(187, 231),
        horizontal_line(186, 232),
    };

    constexpr const shape frame_820_shape_group_3_shapes[] = {
        shape(frame_820_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_820_shape_group_3_shape_1_horizontal_lines, 80, 11),
        shape(frame_820_shape_group_3_shape_2_horizontal_lines, 82, 13),
        shape(frame_820_shape_group_3_shape_3_horizontal_lines, 90, 3),
        shape(frame_820_shape_group_3_shape_4_horizontal_lines, 96, 8),
        shape(frame_820_shape_group_3_shape_5_horizontal_lines, 99, 6),
        shape(frame_820_shape_group_3_shape_6_horizontal_lines, 139, 6),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 190),
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(181, 186),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(185, 188),
        horizontal_line(185, 188),
        horizontal_line(184, 187),
        horizontal_line(184, 187),
        horizontal_line(183, 187),
        horizontal_line(177, 179),
        horizontal_line(188, 197),
        horizontal_line(188, 197),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(173, 182),
        horizontal_line(172, 186),
        horizontal_line(171, 189),
        horizontal_line(169, 192),
    };

    constexpr const horizontal_line frame_820_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(203, 207),
    };

    constexpr const shape frame_820_shape_group_4_shapes[] = {
        shape(frame_820_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_820_shape_group_4_shape_1_horizontal_lines, 80, 10),
        shape(frame_820_shape_group_4_shape_2_horizontal_lines, 81, 9),
        shape(frame_820_shape_group_4_shape_3_horizontal_lines, 82, 3),
        shape(frame_820_shape_group_4_shape_4_horizontal_lines, 92, 8),
        shape(frame_820_shape_group_4_shape_5_horizontal_lines, 112, 6),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(181, 186),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(204, 228),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(192, 201),
        horizontal_line(192, 201),
        horizontal_line(191, 200),
        horizontal_line(191, 200),
        horizontal_line(190, 199),
        horizontal_line(190, 199),
        horizontal_line(189, 198),
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_820_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(187, 187),
    };

    constexpr const shape frame_820_shape_group_5_shapes[] = {
        shape(frame_820_shape_group_5_shape_0_horizontal_lines, 78, 10),
        shape(frame_820_shape_group_5_shape_1_horizontal_lines, 79, 11),
        shape(frame_820_shape_group_5_shape_2_horizontal_lines, 80, 9),
        shape(frame_820_shape_group_5_shape_3_horizontal_lines, 81, 13),
        shape(frame_820_shape_group_5_shape_4_horizontal_lines, 82, 3),
        shape(frame_820_shape_group_5_shape_5_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(213, 228),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(187, 189),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(189, 191),
        horizontal_line(189, 190),
        horizontal_line(189, 190),
        horizontal_line(188, 189),
        horizontal_line(188, 189),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(189, 198),
    };

    constexpr const horizontal_line frame_820_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(174, 179),
    };

    constexpr const shape frame_820_shape_group_6_shapes[] = {
        shape(frame_820_shape_group_6_shape_0_horizontal_lines, 79, 10),
        shape(frame_820_shape_group_6_shape_1_horizontal_lines, 80, 13),
        shape(frame_820_shape_group_6_shape_2_horizontal_lines, 81, 3),
        shape(frame_820_shape_group_6_shape_3_horizontal_lines, 82, 12),
        shape(frame_820_shape_group_6_shape_4_horizontal_lines, 89, 3),
        shape(frame_820_shape_group_6_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_820_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(182, 185),
    };

    constexpr const horizontal_line frame_820_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(187, 190),
    };

    constexpr const horizontal_line frame_820_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_820_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const shape frame_820_shape_group_7_shapes[] = {
        shape(frame_820_shape_group_7_shape_0_horizontal_lines, 79, 9),
        shape(frame_820_shape_group_7_shape_1_horizontal_lines, 80, 3),
        shape(frame_820_shape_group_7_shape_2_horizontal_lines, 81, 12),
        shape(frame_820_shape_group_7_shape_3_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_820_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(222, 229),
    };

    constexpr const shape frame_820_shape_group_8_shapes[] = {
        shape(frame_820_shape_group_8_shape_0_horizontal_lines, 79, 13),
    };

    constexpr const shape_group frame_820_shape_groups[] = {
        shape_group(frame_820_shape_group_0_shapes),
        shape_group(frame_820_shape_group_1_shapes),
        shape_group(frame_820_shape_group_2_shapes),
        shape_group(frame_820_shape_group_3_shapes),
        shape_group(frame_820_shape_group_4_shapes),
        shape_group(frame_820_shape_group_5_shapes),
        shape_group(frame_820_shape_group_6_shapes),
        shape_group(frame_820_shape_group_7_shapes),
        shape_group(frame_820_shape_group_8_shapes),
    };

    constexpr const frame frame_820_impl(frame_820_colors, frame_820_shape_groups);
} 

const frame& frame_820()
{
    return frame_820_impl;
}

namespace
{
    constexpr const bn::color frame_821_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_821_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(179, 179),
        horizontal_line(179, 180),
        horizontal_line(178, 180),
        horizontal_line(178, 180),
        horizontal_line(177, 180),
        horizontal_line(177, 181),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(175, 180),
        horizontal_line(175, 180),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(173, 178),
        horizontal_line(173, 178),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(170, 175),
        horizontal_line(170, 175),
        horizontal_line(169, 174),
        horizontal_line(169, 172),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 167),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_821_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_821_shape_group_0_shapes[] = {
        shape(frame_821_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_821_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(198, 216),
        horizontal_line(202, 202),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(195, 219),
        horizontal_line(196, 218),
        horizontal_line(197, 217),
        horizontal_line(198, 217),
        horizontal_line(198, 216),
        horizontal_line(199, 216),
        horizontal_line(200, 215),
        horizontal_line(201, 215),
        horizontal_line(202, 214),
        horizontal_line(202, 214),
        horizontal_line(203, 213),
        horizontal_line(204, 212),
        horizontal_line(205, 212),
        horizontal_line(206, 211),
        horizontal_line(206, 211),
        horizontal_line(207, 210),
        horizontal_line(208, 210),
        horizontal_line(209, 209),
    };

    constexpr const horizontal_line frame_821_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
    };

    constexpr const shape frame_821_shape_group_1_shapes[] = {
        shape(frame_821_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_821_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_821_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_821_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_821_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_821_shape_group_1_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(180, 191),
        horizontal_line(181, 195),
        horizontal_line(181, 199),
        horizontal_line(181, 204),
        horizontal_line(181, 208),
        horizontal_line(182, 212),
        horizontal_line(185, 216),
        horizontal_line(188, 220),
        horizontal_line(192, 224),
        horizontal_line(195, 229),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(179, 184),
        horizontal_line(178, 183),
        horizontal_line(178, 183),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(177, 181),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(176, 184),
        horizontal_line(179, 184),
        horizontal_line(183, 184),
        horizontal_line(187, 194),
        horizontal_line(191, 193),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(194, 220),
        horizontal_line(194, 219),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(166, 194),
        horizontal_line(166, 195),
        horizontal_line(168, 196),
        horizontal_line(171, 197),
        horizontal_line(173, 197),
        horizontal_line(176, 198),
        horizontal_line(179, 199),
        horizontal_line(181, 200),
        horizontal_line(184, 201),
        horizontal_line(187, 201),
        horizontal_line(189, 202),
        horizontal_line(192, 203),
        horizontal_line(195, 204),
        horizontal_line(197, 205),
        horizontal_line(200, 205),
        horizontal_line(203, 206),
        horizontal_line(205, 207),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_821_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(200, 209),
        horizontal_line(199, 209),
        horizontal_line(197, 210),
        horizontal_line(195, 210),
        horizontal_line(194, 211),
        horizontal_line(192, 211),
        horizontal_line(191, 212),
        horizontal_line(189, 212),
        horizontal_line(187, 213),
        horizontal_line(186, 213),
        horizontal_line(184, 214),
        horizontal_line(183, 214),
        horizontal_line(181, 215),
        horizontal_line(179, 215),
        horizontal_line(178, 216),
        horizontal_line(176, 216),
        horizontal_line(174, 217),
        horizontal_line(173, 217),
        horizontal_line(171, 218),
        horizontal_line(170, 218),
        horizontal_line(168, 219),
        horizontal_line(166, 219),
        horizontal_line(165, 220),
        horizontal_line(163, 221),
        horizontal_line(162, 221),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
    };

    constexpr const shape frame_821_shape_group_2_shapes[] = {
        shape(frame_821_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_821_shape_group_2_shape_1_horizontal_lines, 82, 9),
        shape(frame_821_shape_group_2_shape_2_horizontal_lines, 90, 3),
        shape(frame_821_shape_group_2_shape_3_horizontal_lines, 95, 13),
        shape(frame_821_shape_group_2_shape_4_horizontal_lines, 97, 8),
        shape(frame_821_shape_group_2_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(182, 186),
        horizontal_line(181, 186),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(191, 197),
        horizontal_line(191, 201),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(185, 187),
        horizontal_line(184, 187),
        horizontal_line(184, 186),
        horizontal_line(183, 186),
        horizontal_line(183, 185),
        horizontal_line(176, 176),
        horizontal_line(176, 180),
        horizontal_line(187, 195),
        horizontal_line(187, 195),
        horizontal_line(186, 194),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(195, 221),
        horizontal_line(194, 220),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(168, 193),
        horizontal_line(167, 193),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(162, 170),
        horizontal_line(161, 172),
        horizontal_line(159, 175),
        horizontal_line(157, 178),
        horizontal_line(156, 180),
        horizontal_line(154, 183),
        horizontal_line(153, 186),
        horizontal_line(151, 188),
        horizontal_line(149, 191),
        horizontal_line(148, 194),
        horizontal_line(146, 196),
        horizontal_line(145, 199),
        horizontal_line(143, 202),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_821_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(222, 222),
        horizontal_line(220, 222),
        horizontal_line(219, 223),
        horizontal_line(217, 223),
        horizontal_line(216, 224),
        horizontal_line(214, 224),
        horizontal_line(212, 225),
        horizontal_line(211, 225),
        horizontal_line(209, 226),
        horizontal_line(208, 226),
        horizontal_line(206, 227),
        horizontal_line(204, 227),
        horizontal_line(203, 228),
        horizontal_line(201, 228),
        horizontal_line(200, 229),
        horizontal_line(198, 229),
        horizontal_line(196, 230),
        horizontal_line(195, 230),
        horizontal_line(193, 231),
        horizontal_line(192, 232),
    };

    constexpr const shape frame_821_shape_group_3_shapes[] = {
        shape(frame_821_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_821_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_821_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_821_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_821_shape_group_3_shape_4_horizontal_lines, 93, 13),
        shape(frame_821_shape_group_3_shape_5_horizontal_lines, 95, 8),
        shape(frame_821_shape_group_3_shape_6_horizontal_lines, 99, 6),
        shape(frame_821_shape_group_3_shape_7_horizontal_lines, 140, 6),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(187, 189),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(180, 185),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(190, 200),
        horizontal_line(190, 199),
        horizontal_line(189, 199),
        horizontal_line(189, 198),
        horizontal_line(189, 198),
        horizontal_line(188, 197),
        horizontal_line(182, 185),
        horizontal_line(182, 184),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(196, 222),
        horizontal_line(196, 222),
        horizontal_line(195, 221),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(171, 186),
        horizontal_line(170, 190),
    };

    constexpr const horizontal_line frame_821_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(203, 204),
        horizontal_line(202, 207),
    };

    constexpr const shape frame_821_shape_group_4_shapes[] = {
        shape(frame_821_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_821_shape_group_4_shape_1_horizontal_lines, 79, 7),
        shape(frame_821_shape_group_4_shape_2_horizontal_lines, 80, 10),
        shape(frame_821_shape_group_4_shape_3_horizontal_lines, 81, 9),
        shape(frame_821_shape_group_4_shape_4_horizontal_lines, 82, 3),
        shape(frame_821_shape_group_4_shape_5_horizontal_lines, 90, 13),
        shape(frame_821_shape_group_4_shape_6_horizontal_lines, 93, 8),
        shape(frame_821_shape_group_4_shape_7_horizontal_lines, 113, 6),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 191),
        horizontal_line(187, 189),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(180, 185),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(201, 227),
        horizontal_line(200, 226),
        horizontal_line(200, 226),
        horizontal_line(199, 225),
        horizontal_line(199, 225),
        horizontal_line(198, 224),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(188, 197),
        horizontal_line(187, 196),
    };

    constexpr const horizontal_line frame_821_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(185, 186),
        horizontal_line(185, 186),
        horizontal_line(185, 185),
    };

    constexpr const shape frame_821_shape_group_5_shapes[] = {
        shape(frame_821_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_821_shape_group_5_shape_1_horizontal_lines, 80, 9),
        shape(frame_821_shape_group_5_shape_2_horizontal_lines, 81, 3),
        shape(frame_821_shape_group_5_shape_3_horizontal_lines, 82, 13),
        shape(frame_821_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_821_shape_group_5_shape_5_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(203, 227),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(188, 189),
        horizontal_line(188, 188),
        horizontal_line(187, 188),
        horizontal_line(187, 188),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(198, 224),
        horizontal_line(197, 223),
    };

    constexpr const horizontal_line frame_821_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(173, 178),
        horizontal_line(172, 182),
    };

    constexpr const shape frame_821_shape_group_6_shapes[] = {
        shape(frame_821_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_821_shape_group_6_shape_1_horizontal_lines, 79, 11),
        shape(frame_821_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_821_shape_group_6_shape_3_horizontal_lines, 81, 13),
        shape(frame_821_shape_group_6_shape_4_horizontal_lines, 82, 12),
        shape(frame_821_shape_group_6_shape_5_horizontal_lines, 88, 13),
        shape(frame_821_shape_group_6_shape_6_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_821_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_821_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(217, 228),
    };

    constexpr const horizontal_line frame_821_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_821_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(185, 186),
    };

    constexpr const shape frame_821_shape_group_7_shapes[] = {
        shape(frame_821_shape_group_7_shape_0_horizontal_lines, 79, 10),
        shape(frame_821_shape_group_7_shape_1_horizontal_lines, 80, 13),
        shape(frame_821_shape_group_7_shape_2_horizontal_lines, 81, 12),
        shape(frame_821_shape_group_7_shape_3_horizontal_lines, 88, 12),
    };

    constexpr const horizontal_line frame_821_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(181, 183),
    };

    constexpr const shape frame_821_shape_group_8_shapes[] = {
        shape(frame_821_shape_group_8_shape_0_horizontal_lines, 79, 9),
    };

    constexpr const shape_group frame_821_shape_groups[] = {
        shape_group(frame_821_shape_group_0_shapes),
        shape_group(frame_821_shape_group_1_shapes),
        shape_group(frame_821_shape_group_2_shapes),
        shape_group(frame_821_shape_group_3_shapes),
        shape_group(frame_821_shape_group_4_shapes),
        shape_group(frame_821_shape_group_5_shapes),
        shape_group(frame_821_shape_group_6_shapes),
        shape_group(frame_821_shape_group_7_shapes),
        shape_group(frame_821_shape_group_8_shapes),
    };

    constexpr const frame frame_821_impl(frame_821_colors, frame_821_shape_groups);
} 

const frame& frame_821()
{
    return frame_821_impl;
}

namespace
{
    constexpr const bn::color frame_822_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_822_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(178, 178),
        horizontal_line(178, 179),
        horizontal_line(177, 179),
        horizontal_line(177, 179),
        horizontal_line(176, 179),
        horizontal_line(176, 180),
        horizontal_line(175, 180),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 178),
        horizontal_line(173, 178),
        horizontal_line(173, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(170, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 168),
        horizontal_line(166, 167),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_822_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_822_shape_group_0_shapes[] = {
        shape(frame_822_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_822_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(179, 182),
        horizontal_line(179, 186),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(197, 215),
        horizontal_line(201, 201),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(194, 218),
        horizontal_line(195, 217),
        horizontal_line(196, 217),
        horizontal_line(197, 216),
        horizontal_line(197, 216),
        horizontal_line(198, 215),
        horizontal_line(199, 215),
        horizontal_line(200, 214),
        horizontal_line(201, 213),
        horizontal_line(201, 213),
        horizontal_line(202, 212),
        horizontal_line(203, 212),
        horizontal_line(204, 211),
        horizontal_line(205, 210),
        horizontal_line(205, 210),
        horizontal_line(206, 209),
        horizontal_line(207, 209),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_822_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
    };

    constexpr const shape frame_822_shape_group_1_shapes[] = {
        shape(frame_822_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_822_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_822_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_822_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_822_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_822_shape_group_1_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(179, 190),
        horizontal_line(180, 195),
        horizontal_line(180, 199),
        horizontal_line(180, 203),
        horizontal_line(180, 207),
        horizontal_line(181, 212),
        horizontal_line(184, 216),
        horizontal_line(187, 220),
        horizontal_line(191, 224),
        horizontal_line(194, 229),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(177, 183),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 181),
        horizontal_line(175, 181),
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(174, 179),
        horizontal_line(174, 183),
        horizontal_line(178, 183),
        horizontal_line(182, 183),
        horizontal_line(186, 193),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(193, 219),
        horizontal_line(193, 219),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(165, 193),
        horizontal_line(165, 194),
        horizontal_line(167, 195),
        horizontal_line(170, 196),
        horizontal_line(172, 196),
        horizontal_line(175, 197),
        horizontal_line(178, 198),
        horizontal_line(180, 199),
        horizontal_line(183, 200),
        horizontal_line(186, 200),
        horizontal_line(188, 201),
        horizontal_line(191, 202),
        horizontal_line(194, 203),
        horizontal_line(196, 204),
        horizontal_line(199, 204),
        horizontal_line(202, 205),
        horizontal_line(204, 206),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_822_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(201, 209),
        horizontal_line(199, 209),
        horizontal_line(198, 210),
        horizontal_line(196, 210),
        horizontal_line(194, 211),
        horizontal_line(193, 211),
        horizontal_line(191, 212),
        horizontal_line(190, 212),
        horizontal_line(188, 213),
        horizontal_line(187, 213),
        horizontal_line(185, 214),
        horizontal_line(184, 215),
        horizontal_line(182, 215),
        horizontal_line(181, 216),
        horizontal_line(179, 216),
        horizontal_line(178, 217),
        horizontal_line(176, 217),
        horizontal_line(175, 218),
        horizontal_line(173, 218),
        horizontal_line(172, 219),
        horizontal_line(170, 219),
        horizontal_line(169, 220),
        horizontal_line(167, 221),
        horizontal_line(166, 221),
        horizontal_line(164, 222),
        horizontal_line(162, 222),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
    };

    constexpr const shape frame_822_shape_group_2_shapes[] = {
        shape(frame_822_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_822_shape_group_2_shape_1_horizontal_lines, 82, 9),
        shape(frame_822_shape_group_2_shape_2_horizontal_lines, 89, 3),
        shape(frame_822_shape_group_2_shape_3_horizontal_lines, 95, 13),
        shape(frame_822_shape_group_2_shape_4_horizontal_lines, 97, 8),
        shape(frame_822_shape_group_2_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(181, 183),
        horizontal_line(180, 185),
        horizontal_line(181, 185),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(190, 196),
        horizontal_line(196, 200),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(184, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(175, 175),
        horizontal_line(181, 183),
        horizontal_line(186, 194),
        horizontal_line(185, 194),
        horizontal_line(185, 193),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(194, 220),
        horizontal_line(193, 220),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 192),
        horizontal_line(166, 192),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(163, 166),
        horizontal_line(161, 169),
        horizontal_line(160, 171),
        horizontal_line(158, 174),
        horizontal_line(157, 177),
        horizontal_line(155, 179),
        horizontal_line(154, 182),
        horizontal_line(152, 185),
        horizontal_line(151, 187),
        horizontal_line(149, 190),
        horizontal_line(148, 193),
        horizontal_line(146, 195),
        horizontal_line(145, 198),
        horizontal_line(143, 201),
        horizontal_line(142, 203),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_822_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(221, 223),
        horizontal_line(220, 224),
        horizontal_line(218, 224),
        horizontal_line(217, 225),
        horizontal_line(215, 225),
        horizontal_line(214, 226),
        horizontal_line(212, 227),
        horizontal_line(211, 227),
        horizontal_line(209, 228),
        horizontal_line(208, 228),
        horizontal_line(206, 229),
        horizontal_line(205, 229),
        horizontal_line(203, 230),
        horizontal_line(202, 230),
        horizontal_line(200, 231),
        horizontal_line(199, 231),
        horizontal_line(197, 232),
        horizontal_line(196, 233),
    };

    constexpr const shape frame_822_shape_group_3_shapes[] = {
        shape(frame_822_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_822_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_822_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_822_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_822_shape_group_3_shape_4_horizontal_lines, 93, 13),
        shape(frame_822_shape_group_3_shape_5_horizontal_lines, 95, 8),
        shape(frame_822_shape_group_3_shape_6_horizontal_lines, 99, 6),
        shape(frame_822_shape_group_3_shape_7_horizontal_lines, 141, 6),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(178, 184),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(189, 199),
        horizontal_line(188, 198),
        horizontal_line(188, 198),
        horizontal_line(188, 197),
        horizontal_line(187, 197),
        horizontal_line(187, 196),
        horizontal_line(181, 183),
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(195, 222),
        horizontal_line(195, 222),
        horizontal_line(194, 221),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(169, 185),
        horizontal_line(168, 189),
    };

    constexpr const horizontal_line frame_822_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(202, 206),
    };

    constexpr const shape frame_822_shape_group_4_shapes[] = {
        shape(frame_822_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_822_shape_group_4_shape_1_horizontal_lines, 79, 7),
        shape(frame_822_shape_group_4_shape_2_horizontal_lines, 80, 9),
        shape(frame_822_shape_group_4_shape_3_horizontal_lines, 82, 3),
        shape(frame_822_shape_group_4_shape_4_horizontal_lines, 90, 13),
        shape(frame_822_shape_group_4_shape_5_horizontal_lines, 93, 8),
        shape(frame_822_shape_group_4_shape_6_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 190),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(200, 227),
        horizontal_line(199, 226),
        horizontal_line(199, 226),
        horizontal_line(198, 225),
        horizontal_line(198, 224),
        horizontal_line(197, 224),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(186, 196),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(196, 223),
    };

    constexpr const horizontal_line frame_822_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(184, 185),
        horizontal_line(184, 184),
        horizontal_line(184, 184),
    };

    constexpr const shape frame_822_shape_group_5_shapes[] = {
        shape(frame_822_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_822_shape_group_5_shape_1_horizontal_lines, 80, 10),
        shape(frame_822_shape_group_5_shape_2_horizontal_lines, 81, 3),
        shape(frame_822_shape_group_5_shape_3_horizontal_lines, 82, 13),
        shape(frame_822_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_822_shape_group_5_shape_5_horizontal_lines, 89, 13),
        shape(frame_822_shape_group_5_shape_6_horizontal_lines, 90, 12),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(185, 187),
        horizontal_line(189, 195),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(187, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(185, 186),
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(197, 223),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_822_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(171, 177),
        horizontal_line(170, 181),
    };

    constexpr const shape frame_822_shape_group_6_shapes[] = {
        shape(frame_822_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_822_shape_group_6_shape_1_horizontal_lines, 79, 11),
        shape(frame_822_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_822_shape_group_6_shape_3_horizontal_lines, 82, 12),
        shape(frame_822_shape_group_6_shape_4_horizontal_lines, 88, 13),
        shape(frame_822_shape_group_6_shape_5_horizontal_lines, 89, 12),
        shape(frame_822_shape_group_6_shape_6_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_822_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_822_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 183),
    };

    constexpr const horizontal_line frame_822_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(216, 228),
        horizontal_line(202, 227),
    };

    constexpr const horizontal_line frame_822_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_822_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const shape frame_822_shape_group_7_shapes[] = {
        shape(frame_822_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_822_shape_group_7_shape_1_horizontal_lines, 79, 9),
        shape(frame_822_shape_group_7_shape_2_horizontal_lines, 80, 13),
        shape(frame_822_shape_group_7_shape_3_horizontal_lines, 88, 12),
        shape(frame_822_shape_group_7_shape_4_horizontal_lines, 89, 5),
    };

    constexpr const horizontal_line frame_822_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_822_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_822_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const shape frame_822_shape_group_8_shapes[] = {
        shape(frame_822_shape_group_8_shape_0_horizontal_lines, 79, 10),
        shape(frame_822_shape_group_8_shape_1_horizontal_lines, 81, 12),
        shape(frame_822_shape_group_8_shape_2_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_822_shape_groups[] = {
        shape_group(frame_822_shape_group_0_shapes),
        shape_group(frame_822_shape_group_1_shapes),
        shape_group(frame_822_shape_group_2_shapes),
        shape_group(frame_822_shape_group_3_shapes),
        shape_group(frame_822_shape_group_4_shapes),
        shape_group(frame_822_shape_group_5_shapes),
        shape_group(frame_822_shape_group_6_shapes),
        shape_group(frame_822_shape_group_7_shapes),
        shape_group(frame_822_shape_group_8_shapes),
    };

    constexpr const frame frame_822_impl(frame_822_colors, frame_822_shape_groups);
} 

const frame& frame_822()
{
    return frame_822_impl;
}

namespace
{
    constexpr const bn::color frame_823_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_823_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(177, 177),
        horizontal_line(177, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 178),
        horizontal_line(173, 178),
        horizontal_line(173, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 169),
        horizontal_line(166, 168),
        horizontal_line(166, 167),
        horizontal_line(165, 166),
        horizontal_line(165, 165),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_823_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_823_shape_group_0_shapes[] = {
        shape(frame_823_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_823_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(178, 181),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(229, 229),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(196, 214),
        horizontal_line(200, 200),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(193, 217),
        horizontal_line(194, 216),
        horizontal_line(195, 216),
        horizontal_line(196, 215),
        horizontal_line(196, 215),
        horizontal_line(197, 214),
        horizontal_line(198, 214),
        horizontal_line(199, 213),
        horizontal_line(200, 212),
        horizontal_line(200, 212),
        horizontal_line(201, 211),
        horizontal_line(202, 211),
        horizontal_line(203, 210),
        horizontal_line(204, 209),
        horizontal_line(204, 209),
        horizontal_line(205, 208),
        horizontal_line(206, 208),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_823_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
    };

    constexpr const shape frame_823_shape_group_1_shapes[] = {
        shape(frame_823_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_823_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_823_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_823_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_823_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_823_shape_group_1_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(178, 189),
        horizontal_line(179, 194),
        horizontal_line(179, 198),
        horizontal_line(179, 202),
        horizontal_line(179, 206),
        horizontal_line(180, 211),
        horizontal_line(183, 215),
        horizontal_line(186, 219),
        horizontal_line(190, 223),
        horizontal_line(193, 228),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(177, 181),
        horizontal_line(176, 180),
        horizontal_line(175, 180),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(173, 182),
        horizontal_line(176, 182),
        horizontal_line(179, 193),
        horizontal_line(183, 192),
        horizontal_line(186, 192),
        horizontal_line(189, 191),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(192, 218),
        horizontal_line(192, 218),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(164, 192),
        horizontal_line(164, 193),
        horizontal_line(166, 194),
        horizontal_line(169, 195),
        horizontal_line(171, 195),
        horizontal_line(174, 196),
        horizontal_line(177, 197),
        horizontal_line(179, 198),
        horizontal_line(182, 199),
        horizontal_line(185, 199),
        horizontal_line(187, 200),
        horizontal_line(190, 201),
        horizontal_line(193, 202),
        horizontal_line(195, 203),
        horizontal_line(198, 203),
        horizontal_line(201, 204),
        horizontal_line(203, 205),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_823_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(201, 208),
        horizontal_line(200, 208),
        horizontal_line(198, 209),
        horizontal_line(197, 209),
        horizontal_line(196, 210),
        horizontal_line(194, 210),
        horizontal_line(193, 211),
        horizontal_line(191, 211),
        horizontal_line(190, 212),
        horizontal_line(188, 212),
        horizontal_line(187, 213),
        horizontal_line(186, 214),
        horizontal_line(184, 214),
        horizontal_line(183, 215),
        horizontal_line(181, 215),
        horizontal_line(180, 216),
        horizontal_line(178, 216),
        horizontal_line(177, 217),
        horizontal_line(176, 217),
        horizontal_line(174, 218),
        horizontal_line(173, 218),
        horizontal_line(171, 219),
        horizontal_line(170, 220),
        horizontal_line(168, 220),
        horizontal_line(167, 221),
        horizontal_line(166, 221),
        horizontal_line(164, 222),
        horizontal_line(163, 222),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
    };

    constexpr const shape frame_823_shape_group_2_shapes[] = {
        shape(frame_823_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_823_shape_group_2_shape_1_horizontal_lines, 82, 9),
        shape(frame_823_shape_group_2_shape_2_horizontal_lines, 89, 3),
        shape(frame_823_shape_group_2_shape_3_horizontal_lines, 95, 13),
        shape(frame_823_shape_group_2_shape_4_horizontal_lines, 97, 8),
        shape(frame_823_shape_group_2_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(180, 182),
        horizontal_line(179, 183),
        horizontal_line(180, 183),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 195),
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(182, 186),
        horizontal_line(181, 185),
        horizontal_line(181, 185),
        horizontal_line(180, 184),
        horizontal_line(180, 184),
        horizontal_line(179, 183),
        horizontal_line(173, 174),
        horizontal_line(184, 194),
        horizontal_line(184, 193),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(194, 221),
        horizontal_line(193, 220),
        horizontal_line(193, 219),
        horizontal_line(192, 219),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(166, 191),
        horizontal_line(165, 191),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(161, 168),
        horizontal_line(159, 170),
        horizontal_line(158, 173),
        horizontal_line(156, 176),
        horizontal_line(155, 178),
        horizontal_line(154, 181),
        horizontal_line(152, 184),
        horizontal_line(151, 186),
        horizontal_line(149, 189),
        horizontal_line(148, 192),
        horizontal_line(146, 194),
        horizontal_line(145, 197),
        horizontal_line(144, 200),
        horizontal_line(142, 202),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_823_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(222, 223),
        horizontal_line(220, 224),
        horizontal_line(219, 224),
        horizontal_line(218, 225),
        horizontal_line(216, 226),
        horizontal_line(215, 226),
        horizontal_line(213, 227),
        horizontal_line(212, 227),
        horizontal_line(210, 228),
        horizontal_line(209, 228),
        horizontal_line(208, 229),
        horizontal_line(206, 229),
        horizontal_line(205, 230),
        horizontal_line(203, 230),
        horizontal_line(202, 231),
        horizontal_line(201, 232),
    };

    constexpr const shape frame_823_shape_group_3_shapes[] = {
        shape(frame_823_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_823_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_823_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_823_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_823_shape_group_3_shape_4_horizontal_lines, 91, 13),
        shape(frame_823_shape_group_3_shape_5_horizontal_lines, 95, 8),
        shape(frame_823_shape_group_3_shape_6_horizontal_lines, 99, 6),
        shape(frame_823_shape_group_3_shape_7_horizontal_lines, 143, 6),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(184, 185),
        horizontal_line(184, 187),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(178, 182),
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 198),
        horizontal_line(187, 197),
        horizontal_line(187, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
        horizontal_line(185, 195),
        horizontal_line(179, 183),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(195, 222),
        horizontal_line(194, 221),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(170, 178),
        horizontal_line(169, 182),
        horizontal_line(168, 185),
        horizontal_line(167, 188),
    };

    constexpr const horizontal_line frame_823_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(203, 205),
    };

    constexpr const shape frame_823_shape_group_4_shapes[] = {
        shape(frame_823_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_823_shape_group_4_shape_1_horizontal_lines, 80, 9),
        shape(frame_823_shape_group_4_shape_2_horizontal_lines, 82, 3),
        shape(frame_823_shape_group_4_shape_3_horizontal_lines, 89, 13),
        shape(frame_823_shape_group_4_shape_4_horizontal_lines, 91, 8),
        shape(frame_823_shape_group_4_shape_5_horizontal_lines, 114, 6),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(189, 192),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(199, 226),
        horizontal_line(198, 225),
        horizontal_line(198, 225),
        horizontal_line(197, 224),
        horizontal_line(197, 223),
        horizontal_line(196, 223),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(185, 195),
    };

    constexpr const horizontal_line frame_823_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(183, 183),
    };

    constexpr const shape frame_823_shape_group_5_shapes[] = {
        shape(frame_823_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_823_shape_group_5_shape_1_horizontal_lines, 80, 10),
        shape(frame_823_shape_group_5_shape_2_horizontal_lines, 81, 3),
        shape(frame_823_shape_group_5_shape_3_horizontal_lines, 82, 13),
        shape(frame_823_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_823_shape_group_5_shape_5_horizontal_lines, 89, 12),
    };

    constexpr const horizontal_line frame_823_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_823_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(183, 187),
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_823_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(186, 186),
        horizontal_line(186, 186),
        horizontal_line(185, 185),
        horizontal_line(185, 185),
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_823_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(196, 222),
    };

    constexpr const horizontal_line frame_823_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(171, 175),
    };

    constexpr const shape frame_823_shape_group_6_shapes[] = {
        shape(frame_823_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_823_shape_group_6_shape_1_horizontal_lines, 80, 3),
        shape(frame_823_shape_group_6_shape_2_horizontal_lines, 82, 12),
        shape(frame_823_shape_group_6_shape_3_horizontal_lines, 88, 13),
        shape(frame_823_shape_group_6_shape_4_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_823_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_823_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(215, 227),
        horizontal_line(201, 226),
    };

    constexpr const horizontal_line frame_823_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const shape frame_823_shape_group_7_shapes[] = {
        shape(frame_823_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_823_shape_group_7_shape_1_horizontal_lines, 80, 13),
        shape(frame_823_shape_group_7_shape_2_horizontal_lines, 88, 12),
    };

    constexpr const horizontal_line frame_823_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_823_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_823_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const shape frame_823_shape_group_8_shapes[] = {
        shape(frame_823_shape_group_8_shape_0_horizontal_lines, 79, 3),
        shape(frame_823_shape_group_8_shape_1_horizontal_lines, 81, 12),
        shape(frame_823_shape_group_8_shape_2_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_823_shape_groups[] = {
        shape_group(frame_823_shape_group_0_shapes),
        shape_group(frame_823_shape_group_1_shapes),
        shape_group(frame_823_shape_group_2_shapes),
        shape_group(frame_823_shape_group_3_shapes),
        shape_group(frame_823_shape_group_4_shapes),
        shape_group(frame_823_shape_group_5_shapes),
        shape_group(frame_823_shape_group_6_shapes),
        shape_group(frame_823_shape_group_7_shapes),
        shape_group(frame_823_shape_group_8_shapes),
    };

    constexpr const frame frame_823_impl(frame_823_colors, frame_823_shape_groups);
} 

const frame& frame_823()
{
    return frame_823_impl;
}

namespace
{
    constexpr const bn::color frame_824_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_824_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(176, 176),
        horizontal_line(176, 176),
        horizontal_line(175, 176),
        horizontal_line(175, 176),
        horizontal_line(174, 176),
        horizontal_line(174, 177),
        horizontal_line(173, 177),
        horizontal_line(173, 177),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(166, 169),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(165, 166),
        horizontal_line(164, 165),
        horizontal_line(164, 164),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_824_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_824_shape_group_0_shapes[] = {
        shape(frame_824_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_824_shape_group_0_shape_1_horizontal_lines, 98, 2),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(228, 228),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(199, 199),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(192, 216),
        horizontal_line(193, 215),
        horizontal_line(194, 215),
        horizontal_line(194, 214),
        horizontal_line(195, 213),
        horizontal_line(196, 213),
        horizontal_line(197, 212),
        horizontal_line(198, 212),
        horizontal_line(198, 211),
        horizontal_line(199, 211),
        horizontal_line(200, 210),
        horizontal_line(201, 209),
        horizontal_line(202, 209),
        horizontal_line(202, 208),
        horizontal_line(203, 208),
        horizontal_line(204, 207),
        horizontal_line(205, 207),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_824_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
    };

    constexpr const shape frame_824_shape_group_1_shapes[] = {
        shape(frame_824_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_824_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_824_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_824_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_824_shape_group_1_shape_4_horizontal_lines, 98, 13),
        shape(frame_824_shape_group_1_shape_5_horizontal_lines, 116, 6),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(177, 188),
        horizontal_line(177, 193),
        horizontal_line(177, 197),
        horizontal_line(177, 201),
        horizontal_line(177, 205),
        horizontal_line(178, 210),
        horizontal_line(182, 214),
        horizontal_line(186, 218),
        horizontal_line(190, 222),
        horizontal_line(194, 227),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(194, 197),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(176, 180),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(174, 178),
        horizontal_line(174, 178),
        horizontal_line(173, 177),
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(173, 176),
        horizontal_line(176, 180),
        horizontal_line(179, 180),
        horizontal_line(182, 190),
        horizontal_line(185, 190),
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(190, 217),
        horizontal_line(190, 217),
        horizontal_line(191, 216),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(163, 191),
        horizontal_line(163, 192),
        horizontal_line(165, 193),
        horizontal_line(168, 193),
        horizontal_line(170, 194),
        horizontal_line(173, 195),
        horizontal_line(176, 196),
        horizontal_line(178, 197),
        horizontal_line(181, 197),
        horizontal_line(184, 198),
        horizontal_line(186, 199),
        horizontal_line(189, 200),
        horizontal_line(192, 201),
        horizontal_line(194, 201),
        horizontal_line(197, 202),
        horizontal_line(200, 203),
        horizontal_line(202, 204),
        horizontal_line(205, 205),
    };

    constexpr const horizontal_line frame_824_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(201, 207),
        horizontal_line(200, 207),
        horizontal_line(199, 208),
        horizontal_line(197, 208),
        horizontal_line(196, 209),
        horizontal_line(194, 209),
        horizontal_line(193, 210),
        horizontal_line(192, 211),
        horizontal_line(190, 211),
        horizontal_line(189, 212),
        horizontal_line(188, 212),
        horizontal_line(186, 213),
        horizontal_line(185, 213),
        horizontal_line(184, 214),
        horizontal_line(182, 215),
        horizontal_line(181, 215),
        horizontal_line(179, 216),
        horizontal_line(178, 216),
        horizontal_line(177, 217),
        horizontal_line(175, 218),
        horizontal_line(174, 218),
        horizontal_line(173, 219),
        horizontal_line(171, 219),
        horizontal_line(170, 220),
        horizontal_line(168, 220),
        horizontal_line(167, 221),
        horizontal_line(166, 222),
        horizontal_line(164, 222),
        horizontal_line(163, 223),
        horizontal_line(162, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
    };

    constexpr const shape frame_824_shape_group_2_shapes[] = {
        shape(frame_824_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_824_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_824_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_824_shape_group_2_shape_3_horizontal_lines, 89, 3),
        shape(frame_824_shape_group_2_shape_4_horizontal_lines, 95, 13),
        shape(frame_824_shape_group_2_shape_5_horizontal_lines, 98, 8),
        shape(frame_824_shape_group_2_shape_6_horizontal_lines, 116, 6),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(178, 181),
        horizontal_line(178, 182),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(188, 198),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(181, 184),
        horizontal_line(180, 183),
        horizontal_line(180, 183),
        horizontal_line(179, 182),
        horizontal_line(179, 182),
        horizontal_line(178, 181),
        horizontal_line(178, 181),
        horizontal_line(178, 180),
        horizontal_line(183, 192),
        horizontal_line(182, 191),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(191, 219),
        horizontal_line(191, 219),
        horizontal_line(190, 218),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(166, 189),
        horizontal_line(165, 189),
        horizontal_line(164, 190),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(160, 167),
        horizontal_line(158, 169),
        horizontal_line(157, 172),
        horizontal_line(156, 175),
        horizontal_line(154, 177),
        horizontal_line(153, 180),
        horizontal_line(152, 183),
        horizontal_line(150, 185),
        horizontal_line(149, 188),
        horizontal_line(147, 191),
        horizontal_line(146, 193),
        horizontal_line(145, 196),
        horizontal_line(143, 199),
        horizontal_line(142, 201),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_824_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(222, 224),
        horizontal_line(221, 225),
        horizontal_line(220, 225),
        horizontal_line(218, 226),
        horizontal_line(217, 226),
        horizontal_line(215, 227),
        horizontal_line(214, 227),
        horizontal_line(213, 228),
        horizontal_line(211, 229),
        horizontal_line(210, 229),
        horizontal_line(209, 230),
        horizontal_line(207, 230),
        horizontal_line(206, 231),
        horizontal_line(205, 232),
    };

    constexpr const shape frame_824_shape_group_3_shapes[] = {
        shape(frame_824_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_824_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_824_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_824_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_824_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_824_shape_group_3_shape_5_horizontal_lines, 92, 13),
        shape(frame_824_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_824_shape_group_3_shape_7_horizontal_lines, 100, 6),
        shape(frame_824_shape_group_3_shape_8_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(183, 186),
        horizontal_line(188, 193),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(176, 181),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(181, 184),
        horizontal_line(187, 196),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 194),
        horizontal_line(184, 193),
        horizontal_line(184, 193),
        horizontal_line(183, 192),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(169, 181),
        horizontal_line(168, 184),
        horizontal_line(167, 187),
    };

    constexpr const horizontal_line frame_824_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(203, 204),
    };

    constexpr const shape frame_824_shape_group_4_shapes[] = {
        shape(frame_824_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_824_shape_group_4_shape_1_horizontal_lines, 80, 9),
        shape(frame_824_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_824_shape_group_4_shape_3_horizontal_lines, 90, 12),
        shape(frame_824_shape_group_4_shape_4_horizontal_lines, 92, 8),
        shape(frame_824_shape_group_4_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_824_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_824_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_824_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(182, 185),
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_824_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(185, 186),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(183, 184),
        horizontal_line(183, 184),
        horizontal_line(182, 183),
        horizontal_line(182, 183),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_824_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(193, 220),
        horizontal_line(192, 220),
    };

    constexpr const shape frame_824_shape_group_5_shapes[] = {
        shape(frame_824_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_824_shape_group_5_shape_1_horizontal_lines, 79, 9),
        shape(frame_824_shape_group_5_shape_2_horizontal_lines, 80, 3),
        shape(frame_824_shape_group_5_shape_3_horizontal_lines, 82, 12),
        shape(frame_824_shape_group_5_shape_4_horizontal_lines, 90, 13),
    };

    constexpr const horizontal_line frame_824_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_824_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_824_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_824_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(197, 225),
        horizontal_line(197, 224),
        horizontal_line(196, 224),
        horizontal_line(196, 223),
        horizontal_line(195, 223),
        horizontal_line(194, 222),
        horizontal_line(194, 221),
        horizontal_line(193, 221),
    };

    constexpr const horizontal_line frame_824_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(170, 178),
    };

    constexpr const shape frame_824_shape_group_6_shapes[] = {
        shape(frame_824_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_824_shape_group_6_shape_1_horizontal_lines, 79, 10),
        shape(frame_824_shape_group_6_shape_2_horizontal_lines, 80, 12),
        shape(frame_824_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_824_shape_group_6_shape_4_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_824_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_824_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_824_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(200, 226),
        horizontal_line(198, 225),
    };

    constexpr const horizontal_line frame_824_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(177, 177),
    };

    constexpr const shape frame_824_shape_group_7_shapes[] = {
        shape(frame_824_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_824_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_824_shape_group_7_shape_2_horizontal_lines, 80, 13),
        shape(frame_824_shape_group_7_shape_3_horizontal_lines, 88, 5),
    };

    constexpr const horizontal_line frame_824_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const shape frame_824_shape_group_8_shapes[] = {
        shape(frame_824_shape_group_8_shape_0_horizontal_lines, 89, 8),
    };

    constexpr const shape_group frame_824_shape_groups[] = {
        shape_group(frame_824_shape_group_0_shapes),
        shape_group(frame_824_shape_group_1_shapes),
        shape_group(frame_824_shape_group_2_shapes),
        shape_group(frame_824_shape_group_3_shapes),
        shape_group(frame_824_shape_group_4_shapes),
        shape_group(frame_824_shape_group_5_shapes),
        shape_group(frame_824_shape_group_6_shapes),
        shape_group(frame_824_shape_group_7_shapes),
        shape_group(frame_824_shape_group_8_shapes),
    };

    constexpr const frame frame_824_impl(frame_824_colors, frame_824_shape_groups);
} 

const frame& frame_824()
{
    return frame_824_impl;
}

namespace
{
    constexpr const bn::color frame_825_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_825_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(175, 175),
        horizontal_line(175, 175),
        horizontal_line(174, 175),
        horizontal_line(174, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(165, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(163, 164),
        horizontal_line(163, 163),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_825_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_825_shape_group_0_shapes[] = {
        shape(frame_825_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_825_shape_group_0_shape_1_horizontal_lines, 98, 2),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(176, 179),
        horizontal_line(176, 183),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(193, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(227, 227),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(191, 215),
        horizontal_line(192, 214),
        horizontal_line(193, 214),
        horizontal_line(193, 213),
        horizontal_line(194, 212),
        horizontal_line(195, 212),
        horizontal_line(196, 211),
        horizontal_line(197, 211),
        horizontal_line(197, 210),
        horizontal_line(198, 210),
        horizontal_line(199, 209),
        horizontal_line(200, 208),
        horizontal_line(201, 208),
        horizontal_line(201, 207),
        horizontal_line(202, 207),
        horizontal_line(203, 206),
        horizontal_line(204, 206),
        horizontal_line(205, 205),
    };

    constexpr const horizontal_line frame_825_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
    };

    constexpr const shape frame_825_shape_group_1_shapes[] = {
        shape(frame_825_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_825_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_825_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_825_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_825_shape_group_1_shape_4_horizontal_lines, 98, 13),
        shape(frame_825_shape_group_1_shape_5_horizontal_lines, 116, 6),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(176, 187),
        horizontal_line(176, 192),
        horizontal_line(176, 196),
        horizontal_line(176, 200),
        horizontal_line(176, 204),
        horizontal_line(177, 209),
        horizontal_line(181, 213),
        horizontal_line(185, 217),
        horizontal_line(189, 221),
        horizontal_line(193, 226),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(172, 175),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(172, 179),
        horizontal_line(175, 179),
        horizontal_line(178, 179),
        horizontal_line(181, 189),
        horizontal_line(184, 189),
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(189, 216),
        horizontal_line(189, 216),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(162, 190),
        horizontal_line(162, 191),
        horizontal_line(164, 192),
        horizontal_line(167, 192),
        horizontal_line(169, 193),
        horizontal_line(172, 194),
        horizontal_line(175, 195),
        horizontal_line(177, 196),
        horizontal_line(180, 196),
        horizontal_line(183, 197),
        horizontal_line(185, 198),
        horizontal_line(188, 199),
        horizontal_line(191, 200),
        horizontal_line(193, 200),
        horizontal_line(196, 201),
        horizontal_line(199, 202),
        horizontal_line(201, 203),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_825_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(201, 206),
        horizontal_line(200, 206),
        horizontal_line(198, 207),
        horizontal_line(197, 207),
        horizontal_line(196, 208),
        horizontal_line(195, 209),
        horizontal_line(193, 209),
        horizontal_line(192, 210),
        horizontal_line(191, 210),
        horizontal_line(189, 211),
        horizontal_line(188, 212),
        horizontal_line(187, 212),
        horizontal_line(185, 213),
        horizontal_line(184, 213),
        horizontal_line(183, 214),
        horizontal_line(181, 215),
        horizontal_line(180, 215),
        horizontal_line(179, 216),
        horizontal_line(177, 216),
        horizontal_line(176, 217),
        horizontal_line(175, 218),
        horizontal_line(173, 218),
        horizontal_line(172, 219),
        horizontal_line(171, 219),
        horizontal_line(170, 220),
        horizontal_line(168, 221),
        horizontal_line(167, 221),
        horizontal_line(166, 222),
        horizontal_line(164, 222),
        horizontal_line(163, 223),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
    };

    constexpr const shape frame_825_shape_group_2_shapes[] = {
        shape(frame_825_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_825_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_825_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_825_shape_group_2_shape_3_horizontal_lines, 89, 3),
        shape(frame_825_shape_group_2_shape_4_horizontal_lines, 95, 13),
        shape(frame_825_shape_group_2_shape_5_horizontal_lines, 98, 8),
        shape(frame_825_shape_group_2_shape_6_horizontal_lines, 116, 6),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(177, 180),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(187, 196),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(179, 182),
        horizontal_line(178, 182),
        horizontal_line(178, 181),
        horizontal_line(177, 181),
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(172, 172),
        horizontal_line(182, 191),
        horizontal_line(182, 190),
        horizontal_line(181, 190),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(190, 218),
        horizontal_line(190, 218),
        horizontal_line(189, 217),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(165, 188),
        horizontal_line(164, 188),
        horizontal_line(163, 189),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(160, 163),
        horizontal_line(159, 166),
        horizontal_line(158, 168),
        horizontal_line(156, 171),
        horizontal_line(155, 174),
        horizontal_line(154, 176),
        horizontal_line(152, 179),
        horizontal_line(151, 182),
        horizontal_line(150, 184),
        horizontal_line(148, 187),
        horizontal_line(147, 190),
        horizontal_line(146, 192),
        horizontal_line(144, 195),
        horizontal_line(143, 198),
        horizontal_line(142, 200),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_825_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(222, 224),
        horizontal_line(221, 225),
        horizontal_line(220, 225),
        horizontal_line(218, 226),
        horizontal_line(217, 227),
        horizontal_line(216, 227),
        horizontal_line(214, 228),
        horizontal_line(213, 228),
        horizontal_line(212, 229),
        horizontal_line(210, 230),
        horizontal_line(209, 230),
        horizontal_line(208, 231),
        horizontal_line(207, 232),
    };

    constexpr const shape frame_825_shape_group_3_shapes[] = {
        shape(frame_825_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_825_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_825_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_825_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_825_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_825_shape_group_3_shape_5_horizontal_lines, 92, 13),
        shape(frame_825_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_825_shape_group_3_shape_7_horizontal_lines, 100, 6),
        shape(frame_825_shape_group_3_shape_8_horizontal_lines, 146, 6),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(181, 184),
        horizontal_line(181, 184),
        horizontal_line(187, 192),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(179, 183),
        horizontal_line(186, 194),
        horizontal_line(185, 194),
        horizontal_line(185, 193),
        horizontal_line(184, 193),
        horizontal_line(184, 192),
        horizontal_line(183, 192),
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(180, 181),
        horizontal_line(180, 181),
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(168, 180),
        horizontal_line(167, 183),
        horizontal_line(166, 186),
    };

    constexpr const horizontal_line frame_825_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(202, 203),
    };

    constexpr const shape frame_825_shape_group_4_shapes[] = {
        shape(frame_825_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_825_shape_group_4_shape_1_horizontal_lines, 80, 9),
        shape(frame_825_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_825_shape_group_4_shape_3_horizontal_lines, 89, 12),
        shape(frame_825_shape_group_4_shape_4_horizontal_lines, 92, 8),
        shape(frame_825_shape_group_4_shape_5_horizontal_lines, 115, 6),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(183, 184),
        horizontal_line(182, 184),
        horizontal_line(182, 183),
        horizontal_line(181, 183),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(183, 191),
    };

    constexpr const horizontal_line frame_825_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(192, 220),
        horizontal_line(191, 219),
        horizontal_line(191, 219),
    };

    constexpr const shape frame_825_shape_group_5_shapes[] = {
        shape(frame_825_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_825_shape_group_5_shape_1_horizontal_lines, 79, 9),
        shape(frame_825_shape_group_5_shape_2_horizontal_lines, 80, 3),
        shape(frame_825_shape_group_5_shape_3_horizontal_lines, 82, 12),
        shape(frame_825_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_825_shape_group_5_shape_5_horizontal_lines, 89, 13),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(195, 224),
        horizontal_line(195, 223),
        horizontal_line(194, 223),
        horizontal_line(194, 222),
        horizontal_line(193, 222),
        horizontal_line(193, 221),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_825_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(170, 174),
        horizontal_line(169, 177),
    };

    constexpr const shape frame_825_shape_group_6_shapes[] = {
        shape(frame_825_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_825_shape_group_6_shape_1_horizontal_lines, 79, 10),
        shape(frame_825_shape_group_6_shape_2_horizontal_lines, 80, 12),
        shape(frame_825_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_825_shape_group_6_shape_4_horizontal_lines, 88, 12),
        shape(frame_825_shape_group_6_shape_5_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_825_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_825_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(180, 184),
    };

    constexpr const horizontal_line frame_825_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(198, 225),
        horizontal_line(196, 224),
    };

    constexpr const horizontal_line frame_825_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(192, 220),
    };

    constexpr const shape frame_825_shape_group_7_shapes[] = {
        shape(frame_825_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_825_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_825_shape_group_7_shape_2_horizontal_lines, 80, 13),
        shape(frame_825_shape_group_7_shape_3_horizontal_lines, 88, 13),
    };

    constexpr const shape_group frame_825_shape_groups[] = {
        shape_group(frame_825_shape_group_0_shapes),
        shape_group(frame_825_shape_group_1_shapes),
        shape_group(frame_825_shape_group_2_shapes),
        shape_group(frame_825_shape_group_3_shapes),
        shape_group(frame_825_shape_group_4_shapes),
        shape_group(frame_825_shape_group_5_shapes),
        shape_group(frame_825_shape_group_6_shapes),
        shape_group(frame_825_shape_group_7_shapes),
    };

    constexpr const frame frame_825_impl(frame_825_colors, frame_825_shape_groups);
} 

const frame& frame_825()
{
    return frame_825_impl;
}

namespace
{
    constexpr const bn::color frame_826_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_826_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(179, 239),
        horizontal_line(183, 239),
        horizontal_line(174, 174),
        horizontal_line(174, 174),
        horizontal_line(173, 174),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(165, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(163, 164),
        horizontal_line(163, 163),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_826_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_826_shape_group_0_shapes[] = {
        shape(frame_826_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_826_shape_group_0_shape_1_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(188, 215),
        horizontal_line(189, 215),
        horizontal_line(190, 214),
        horizontal_line(191, 213),
        horizontal_line(191, 213),
        horizontal_line(192, 212),
        horizontal_line(193, 212),
        horizontal_line(194, 211),
        horizontal_line(194, 211),
        horizontal_line(195, 210),
        horizontal_line(196, 210),
        horizontal_line(197, 209),
        horizontal_line(198, 208),
        horizontal_line(198, 208),
        horizontal_line(199, 207),
        horizontal_line(200, 207),
        horizontal_line(201, 206),
        horizontal_line(201, 206),
        horizontal_line(202, 205),
        horizontal_line(203, 205),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_826_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
    };

    constexpr const shape frame_826_shape_group_1_shapes[] = {
        shape(frame_826_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_826_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_826_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_826_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_826_shape_group_1_shape_4_horizontal_lines, 96, 13),
        shape(frame_826_shape_group_1_shape_5_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(175, 186),
        horizontal_line(175, 191),
        horizontal_line(175, 195),
        horizontal_line(175, 199),
        horizontal_line(175, 203),
        horizontal_line(176, 208),
        horizontal_line(180, 212),
        horizontal_line(184, 216),
        horizontal_line(188, 220),
        horizontal_line(192, 225),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(173, 177),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 174),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(170, 178),
        horizontal_line(173, 178),
        horizontal_line(176, 189),
        horizontal_line(179, 188),
        horizontal_line(182, 188),
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(188, 216),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(162, 187),
        horizontal_line(161, 188),
        horizontal_line(161, 189),
        horizontal_line(161, 190),
        horizontal_line(163, 190),
        horizontal_line(166, 191),
        horizontal_line(168, 192),
        horizontal_line(171, 193),
        horizontal_line(173, 193),
        horizontal_line(176, 194),
        horizontal_line(178, 195),
        horizontal_line(181, 196),
        horizontal_line(183, 197),
        horizontal_line(186, 197),
        horizontal_line(188, 198),
        horizontal_line(191, 199),
        horizontal_line(193, 200),
        horizontal_line(196, 200),
        horizontal_line(198, 201),
        horizontal_line(201, 202),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_826_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(200, 205),
        horizontal_line(199, 205),
        horizontal_line(198, 206),
        horizontal_line(196, 206),
        horizontal_line(195, 207),
        horizontal_line(194, 208),
        horizontal_line(193, 208),
        horizontal_line(191, 209),
        horizontal_line(190, 209),
        horizontal_line(189, 210),
        horizontal_line(188, 211),
        horizontal_line(186, 211),
        horizontal_line(185, 212),
        horizontal_line(184, 213),
        horizontal_line(183, 213),
        horizontal_line(181, 214),
        horizontal_line(180, 214),
        horizontal_line(179, 215),
        horizontal_line(178, 216),
        horizontal_line(176, 216),
        horizontal_line(175, 217),
        horizontal_line(174, 218),
        horizontal_line(173, 218),
        horizontal_line(171, 219),
        horizontal_line(170, 219),
        horizontal_line(169, 220),
        horizontal_line(168, 221),
        horizontal_line(166, 221),
        horizontal_line(165, 222),
        horizontal_line(164, 222),
        horizontal_line(163, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
    };

    constexpr const shape frame_826_shape_group_2_shapes[] = {
        shape(frame_826_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_826_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_826_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_826_shape_group_2_shape_3_horizontal_lines, 89, 3),
        shape(frame_826_shape_group_2_shape_4_horizontal_lines, 95, 13),
        shape(frame_826_shape_group_2_shape_5_horizontal_lines, 96, 8),
        shape(frame_826_shape_group_2_shape_6_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(176, 179),
        horizontal_line(176, 179),
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(185, 195),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(178, 181),
        horizontal_line(177, 181),
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(176, 179),
        horizontal_line(175, 179),
        horizontal_line(170, 171),
        horizontal_line(180, 190),
        horizontal_line(180, 189),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(190, 218),
        horizontal_line(189, 217),
        horizontal_line(189, 217),
        horizontal_line(188, 216),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(163, 187),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(158, 165),
        horizontal_line(157, 167),
        horizontal_line(156, 170),
        horizontal_line(154, 172),
        horizontal_line(153, 175),
        horizontal_line(152, 177),
        horizontal_line(151, 180),
        horizontal_line(149, 182),
        horizontal_line(148, 185),
        horizontal_line(147, 187),
        horizontal_line(146, 190),
        horizontal_line(144, 192),
        horizontal_line(143, 195),
        horizontal_line(142, 197),
        horizontal_line(141, 200),
        horizontal_line(139, 201),
    };

    constexpr const horizontal_line frame_826_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(223, 224),
        horizontal_line(222, 224),
        horizontal_line(221, 225),
        horizontal_line(220, 226),
        horizontal_line(218, 226),
        horizontal_line(217, 227),
        horizontal_line(216, 227),
        horizontal_line(215, 228),
        horizontal_line(213, 229),
        horizontal_line(212, 229),
        horizontal_line(211, 230),
        horizontal_line(210, 231),
    };

    constexpr const shape frame_826_shape_group_3_shapes[] = {
        shape(frame_826_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_826_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_826_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_826_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_826_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_826_shape_group_3_shape_5_horizontal_lines, 91, 13),
        shape(frame_826_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_826_shape_group_3_shape_7_horizontal_lines, 100, 6),
        shape(frame_826_shape_group_3_shape_8_horizontal_lines, 148, 6),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(180, 183),
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(174, 178),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(178, 182),
        horizontal_line(184, 193),
        horizontal_line(183, 193),
        horizontal_line(183, 192),
        horizontal_line(182, 192),
        horizontal_line(182, 191),
        horizontal_line(181, 191),
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(167, 175),
        horizontal_line(166, 178),
        horizontal_line(165, 181),
        horizontal_line(164, 184),
    };

    constexpr const horizontal_line frame_826_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(201, 202),
    };

    constexpr const shape frame_826_shape_group_4_shapes[] = {
        shape(frame_826_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_826_shape_group_4_shape_1_horizontal_lines, 80, 9),
        shape(frame_826_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_826_shape_group_4_shape_3_horizontal_lines, 89, 12),
        shape(frame_826_shape_group_4_shape_4_horizontal_lines, 91, 8),
        shape(frame_826_shape_group_4_shape_5_horizontal_lines, 116, 6),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(179, 182),
        horizontal_line(184, 190),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(182, 182),
        horizontal_line(181, 182),
        horizontal_line(181, 181),
        horizontal_line(180, 181),
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(181, 190),
    };

    constexpr const horizontal_line frame_826_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(191, 219),
        horizontal_line(190, 218),
    };

    constexpr const shape frame_826_shape_group_5_shapes[] = {
        shape(frame_826_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_826_shape_group_5_shape_1_horizontal_lines, 79, 9),
        shape(frame_826_shape_group_5_shape_2_horizontal_lines, 80, 3),
        shape(frame_826_shape_group_5_shape_3_horizontal_lines, 82, 12),
        shape(frame_826_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_826_shape_group_5_shape_5_horizontal_lines, 89, 13),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(183, 184),
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(194, 223),
        horizontal_line(194, 222),
        horizontal_line(193, 222),
        horizontal_line(193, 221),
        horizontal_line(192, 221),
        horizontal_line(192, 220),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_826_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(168, 172),
    };

    constexpr const shape frame_826_shape_group_6_shapes[] = {
        shape(frame_826_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_826_shape_group_6_shape_1_horizontal_lines, 79, 10),
        shape(frame_826_shape_group_6_shape_2_horizontal_lines, 80, 12),
        shape(frame_826_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_826_shape_group_6_shape_4_horizontal_lines, 88, 12),
        shape(frame_826_shape_group_6_shape_5_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_826_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_826_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 183),
    };

    constexpr const horizontal_line frame_826_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(197, 224),
        horizontal_line(195, 223),
    };

    constexpr const horizontal_line frame_826_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(191, 220),
    };

    constexpr const shape frame_826_shape_group_7_shapes[] = {
        shape(frame_826_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_826_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_826_shape_group_7_shape_2_horizontal_lines, 80, 13),
        shape(frame_826_shape_group_7_shape_3_horizontal_lines, 88, 13),
    };

    constexpr const shape_group frame_826_shape_groups[] = {
        shape_group(frame_826_shape_group_0_shapes),
        shape_group(frame_826_shape_group_1_shapes),
        shape_group(frame_826_shape_group_2_shapes),
        shape_group(frame_826_shape_group_3_shapes),
        shape_group(frame_826_shape_group_4_shapes),
        shape_group(frame_826_shape_group_5_shapes),
        shape_group(frame_826_shape_group_6_shapes),
        shape_group(frame_826_shape_group_7_shapes),
    };

    constexpr const frame frame_826_impl(frame_826_colors, frame_826_shape_groups);
} 

const frame& frame_826()
{
    return frame_826_impl;
}

namespace
{
    constexpr const bn::color frame_827_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_827_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(173, 173),
        horizontal_line(173, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(171, 173),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(163, 164),
        horizontal_line(163, 163),
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_827_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_827_shape_group_0_shapes[] = {
        shape(frame_827_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_827_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 181),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 225),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(188, 214),
        horizontal_line(189, 213),
        horizontal_line(190, 212),
        horizontal_line(190, 212),
        horizontal_line(191, 211),
        horizontal_line(192, 211),
        horizontal_line(193, 210),
        horizontal_line(193, 210),
        horizontal_line(194, 209),
        horizontal_line(195, 209),
        horizontal_line(196, 208),
        horizontal_line(197, 207),
        horizontal_line(197, 207),
        horizontal_line(198, 206),
        horizontal_line(199, 206),
        horizontal_line(200, 205),
        horizontal_line(200, 205),
        horizontal_line(201, 204),
        horizontal_line(202, 204),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_827_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
    };

    constexpr const shape frame_827_shape_group_1_shapes[] = {
        shape(frame_827_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_827_shape_group_1_shape_1_horizontal_lines, 68, 2),
        shape(frame_827_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_827_shape_group_1_shape_3_horizontal_lines, 80, 2),
        shape(frame_827_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_827_shape_group_1_shape_5_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(174, 185),
        horizontal_line(174, 190),
        horizontal_line(174, 194),
        horizontal_line(174, 198),
        horizontal_line(174, 202),
        horizontal_line(174, 207),
        horizontal_line(178, 211),
        horizontal_line(182, 215),
        horizontal_line(186, 219),
        horizontal_line(190, 224),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(169, 173),
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(169, 176),
        horizontal_line(172, 176),
        horizontal_line(175, 176),
        horizontal_line(178, 187),
        horizontal_line(181, 186),
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(187, 215),
        horizontal_line(187, 214),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(161, 187),
        horizontal_line(160, 188),
        horizontal_line(160, 189),
        horizontal_line(160, 189),
        horizontal_line(162, 190),
        horizontal_line(165, 191),
        horizontal_line(167, 192),
        horizontal_line(170, 192),
        horizontal_line(173, 193),
        horizontal_line(175, 194),
        horizontal_line(178, 195),
        horizontal_line(181, 196),
        horizontal_line(183, 196),
        horizontal_line(186, 197),
        horizontal_line(189, 198),
        horizontal_line(191, 199),
        horizontal_line(194, 199),
        horizontal_line(197, 200),
        horizontal_line(199, 201),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_827_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(201, 204),
        horizontal_line(200, 204),
        horizontal_line(198, 205),
        horizontal_line(197, 205),
        horizontal_line(196, 206),
        horizontal_line(195, 207),
        horizontal_line(193, 207),
        horizontal_line(192, 208),
        horizontal_line(191, 208),
        horizontal_line(190, 209),
        horizontal_line(189, 210),
        horizontal_line(187, 210),
        horizontal_line(186, 211),
        horizontal_line(185, 212),
        horizontal_line(184, 212),
        horizontal_line(182, 213),
        horizontal_line(181, 213),
        horizontal_line(180, 214),
        horizontal_line(179, 215),
        horizontal_line(178, 215),
        horizontal_line(176, 216),
        horizontal_line(175, 217),
        horizontal_line(174, 217),
        horizontal_line(173, 218),
        horizontal_line(171, 218),
        horizontal_line(170, 219),
        horizontal_line(169, 220),
        horizontal_line(168, 220),
        horizontal_line(167, 221),
        horizontal_line(165, 221),
        horizontal_line(164, 222),
        horizontal_line(163, 223),
        horizontal_line(162, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
    };

    constexpr const shape frame_827_shape_group_2_shapes[] = {
        shape(frame_827_shape_group_2_shape_0_horizontal_lines, 70, 2),
        shape(frame_827_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_827_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_827_shape_group_2_shape_3_horizontal_lines, 89, 3),
        shape(frame_827_shape_group_2_shape_4_horizontal_lines, 95, 13),
        shape(frame_827_shape_group_2_shape_5_horizontal_lines, 97, 8),
        shape(frame_827_shape_group_2_shape_6_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 178),
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(184, 193),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(177, 179),
        horizontal_line(176, 179),
        horizontal_line(176, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 177),
        horizontal_line(174, 177),
        horizontal_line(169, 169),
        horizontal_line(179, 188),
        horizontal_line(179, 188),
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(188, 216),
        horizontal_line(187, 216),
        horizontal_line(187, 215),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(163, 186),
        horizontal_line(162, 186),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(157, 164),
        horizontal_line(156, 166),
        horizontal_line(155, 169),
        horizontal_line(153, 172),
        horizontal_line(152, 174),
        horizontal_line(151, 177),
        horizontal_line(150, 180),
        horizontal_line(149, 182),
        horizontal_line(147, 185),
        horizontal_line(146, 188),
        horizontal_line(145, 190),
        horizontal_line(144, 193),
        horizontal_line(142, 196),
        horizontal_line(141, 198),
        horizontal_line(140, 201),
    };

    constexpr const horizontal_line frame_827_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(222, 224),
        horizontal_line(221, 225),
        horizontal_line(220, 225),
        horizontal_line(219, 226),
        horizontal_line(218, 226),
        horizontal_line(216, 227),
        horizontal_line(215, 228),
        horizontal_line(214, 228),
        horizontal_line(213, 229),
        horizontal_line(212, 230),
    };

    constexpr const shape frame_827_shape_group_3_shapes[] = {
        shape(frame_827_shape_group_3_shape_0_horizontal_lines, 76, 7),
        shape(frame_827_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_827_shape_group_3_shape_2_horizontal_lines, 80, 11),
        shape(frame_827_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_827_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_827_shape_group_3_shape_5_horizontal_lines, 92, 13),
        shape(frame_827_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_827_shape_group_3_shape_7_horizontal_lines, 101, 6),
        shape(frame_827_shape_group_3_shape_8_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_827_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(179, 181),
        horizontal_line(179, 181),
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_827_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_827_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(183, 192),
        horizontal_line(182, 191),
        horizontal_line(182, 191),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(180, 189),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_827_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(177, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_827_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(165, 177),
        horizontal_line(164, 180),
        horizontal_line(163, 183),
    };

    constexpr const shape frame_827_shape_group_4_shapes[] = {
        shape(frame_827_shape_group_4_shape_0_horizontal_lines, 77, 11),
        shape(frame_827_shape_group_4_shape_1_horizontal_lines, 80, 9),
        shape(frame_827_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_827_shape_group_4_shape_3_horizontal_lines, 89, 12),
        shape(frame_827_shape_group_4_shape_4_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(178, 180),
        horizontal_line(183, 189),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(180, 182),
        horizontal_line(180, 181),
        horizontal_line(179, 181),
        horizontal_line(179, 180),
        horizontal_line(178, 180),
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(180, 189),
    };

    constexpr const horizontal_line frame_827_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(189, 218),
        horizontal_line(189, 217),
        horizontal_line(188, 217),
    };

    constexpr const shape frame_827_shape_group_5_shapes[] = {
        shape(frame_827_shape_group_5_shape_0_horizontal_lines, 78, 11),
        shape(frame_827_shape_group_5_shape_1_horizontal_lines, 79, 9),
        shape(frame_827_shape_group_5_shape_2_horizontal_lines, 80, 3),
        shape(frame_827_shape_group_5_shape_3_horizontal_lines, 82, 12),
        shape(frame_827_shape_group_5_shape_4_horizontal_lines, 88, 3),
        shape(frame_827_shape_group_5_shape_5_horizontal_lines, 89, 13),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(173, 176),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(181, 183),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(193, 222),
        horizontal_line(192, 221),
        horizontal_line(192, 221),
        horizontal_line(191, 220),
        horizontal_line(191, 220),
        horizontal_line(190, 219),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_827_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(167, 171),
        horizontal_line(166, 174),
    };

    constexpr const shape frame_827_shape_group_6_shapes[] = {
        shape(frame_827_shape_group_6_shape_0_horizontal_lines, 78, 9),
        shape(frame_827_shape_group_6_shape_1_horizontal_lines, 79, 10),
        shape(frame_827_shape_group_6_shape_2_horizontal_lines, 80, 12),
        shape(frame_827_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_827_shape_group_6_shape_4_horizontal_lines, 88, 12),
        shape(frame_827_shape_group_6_shape_5_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_827_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_827_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_827_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(195, 223),
        horizontal_line(193, 222),
    };

    constexpr const horizontal_line frame_827_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(190, 219),
    };

    constexpr const shape frame_827_shape_group_7_shapes[] = {
        shape(frame_827_shape_group_7_shape_0_horizontal_lines, 78, 10),
        shape(frame_827_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_827_shape_group_7_shape_2_horizontal_lines, 80, 13),
        shape(frame_827_shape_group_7_shape_3_horizontal_lines, 88, 13),
    };

    constexpr const horizontal_line frame_827_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const shape frame_827_shape_group_8_shapes[] = {
        shape(frame_827_shape_group_8_shape_0_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_827_shape_groups[] = {
        shape_group(frame_827_shape_group_0_shapes),
        shape_group(frame_827_shape_group_1_shapes),
        shape_group(frame_827_shape_group_2_shapes),
        shape_group(frame_827_shape_group_3_shapes),
        shape_group(frame_827_shape_group_4_shapes),
        shape_group(frame_827_shape_group_5_shapes),
        shape_group(frame_827_shape_group_6_shapes),
        shape_group(frame_827_shape_group_7_shapes),
        shape_group(frame_827_shape_group_8_shapes),
    };

    constexpr const frame frame_827_impl(frame_827_colors, frame_827_shape_groups);
} 

const frame& frame_827()
{
    return frame_827_impl;
}

namespace
{
    constexpr const bn::color frame_828_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_828_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(171, 172),
        horizontal_line(171, 172),
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(164, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 166),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(162, 163),
        horizontal_line(162, 162),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_828_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_828_shape_group_0_shapes[] = {
        shape(frame_828_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_828_shape_group_0_shape_1_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(173, 179),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 231),
        horizontal_line(224, 224),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(187, 213),
        horizontal_line(188, 213),
        horizontal_line(188, 212),
        horizontal_line(189, 211),
        horizontal_line(190, 211),
        horizontal_line(191, 210),
        horizontal_line(191, 210),
        horizontal_line(192, 209),
        horizontal_line(193, 209),
        horizontal_line(194, 208),
        horizontal_line(194, 208),
        horizontal_line(195, 207),
        horizontal_line(196, 206),
        horizontal_line(197, 206),
        horizontal_line(197, 205),
        horizontal_line(198, 205),
        horizontal_line(199, 204),
        horizontal_line(200, 204),
        horizontal_line(200, 203),
        horizontal_line(201, 203),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_828_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_828_shape_group_1_shapes[] = {
        shape(frame_828_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_828_shape_group_1_shape_1_horizontal_lines, 69, 2),
        shape(frame_828_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_828_shape_group_1_shape_3_horizontal_lines, 81, 2),
        shape(frame_828_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_828_shape_group_1_shape_5_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(173, 183),
        horizontal_line(173, 187),
        horizontal_line(173, 191),
        horizontal_line(173, 195),
        horizontal_line(173, 199),
        horizontal_line(176, 203),
        horizontal_line(179, 207),
        horizontal_line(183, 211),
        horizontal_line(186, 215),
        horizontal_line(189, 219),
        horizontal_line(193, 223),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(188, 191),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(170, 174),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 171),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(168, 175),
        horizontal_line(171, 175),
        horizontal_line(174, 186),
        horizontal_line(177, 186),
        horizontal_line(180, 185),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(186, 214),
        horizontal_line(186, 214),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(160, 186),
        horizontal_line(159, 187),
        horizontal_line(159, 187),
        horizontal_line(159, 188),
        horizontal_line(161, 189),
        horizontal_line(164, 190),
        horizontal_line(166, 190),
        horizontal_line(169, 191),
        horizontal_line(171, 192),
        horizontal_line(174, 193),
        horizontal_line(176, 193),
        horizontal_line(179, 194),
        horizontal_line(181, 195),
        horizontal_line(184, 196),
        horizontal_line(186, 196),
        horizontal_line(189, 197),
        horizontal_line(191, 198),
        horizontal_line(194, 199),
        horizontal_line(196, 199),
        horizontal_line(199, 200),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_828_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(199, 203),
        horizontal_line(198, 203),
        horizontal_line(197, 204),
        horizontal_line(196, 204),
        horizontal_line(194, 205),
        horizontal_line(193, 206),
        horizontal_line(192, 206),
        horizontal_line(191, 207),
        horizontal_line(190, 208),
        horizontal_line(188, 208),
        horizontal_line(187, 209),
        horizontal_line(186, 209),
        horizontal_line(185, 210),
        horizontal_line(184, 211),
        horizontal_line(183, 211),
        horizontal_line(181, 212),
        horizontal_line(180, 213),
        horizontal_line(179, 213),
        horizontal_line(178, 214),
        horizontal_line(177, 215),
        horizontal_line(175, 215),
        horizontal_line(174, 216),
        horizontal_line(173, 216),
        horizontal_line(172, 217),
        horizontal_line(171, 218),
        horizontal_line(169, 218),
        horizontal_line(168, 219),
        horizontal_line(167, 220),
        horizontal_line(166, 220),
        horizontal_line(165, 221),
        horizontal_line(164, 222),
        horizontal_line(162, 222),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_828_shape_group_2_shapes[] = {
        shape(frame_828_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_828_shape_group_2_shape_1_horizontal_lines, 70, 2),
        shape(frame_828_shape_group_2_shape_2_horizontal_lines, 81, 11),
        shape(frame_828_shape_group_2_shape_3_horizontal_lines, 82, 9),
        shape(frame_828_shape_group_2_shape_4_horizontal_lines, 89, 3),
        shape(frame_828_shape_group_2_shape_5_horizontal_lines, 95, 13),
        shape(frame_828_shape_group_2_shape_6_horizontal_lines, 97, 8),
        shape(frame_828_shape_group_2_shape_7_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(174, 178),
        horizontal_line(174, 177),
        horizontal_line(173, 177),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(168, 168),
        horizontal_line(177, 187),
        horizontal_line(177, 187),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(187, 216),
        horizontal_line(187, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 215),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(162, 185),
        horizontal_line(161, 185),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(157, 160),
        horizontal_line(156, 163),
        horizontal_line(155, 165),
        horizontal_line(154, 168),
        horizontal_line(153, 170),
        horizontal_line(151, 173),
        horizontal_line(150, 175),
        horizontal_line(149, 178),
        horizontal_line(148, 180),
        horizontal_line(147, 183),
        horizontal_line(145, 185),
        horizontal_line(144, 188),
        horizontal_line(143, 190),
        horizontal_line(142, 193),
        horizontal_line(141, 195),
        horizontal_line(140, 198),
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_828_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(222, 223),
        horizontal_line(221, 224),
        horizontal_line(220, 225),
        horizontal_line(218, 225),
        horizontal_line(217, 226),
        horizontal_line(216, 227),
        horizontal_line(215, 227),
        horizontal_line(214, 228),
        horizontal_line(213, 229),
    };

    constexpr const shape frame_828_shape_group_3_shapes[] = {
        shape(frame_828_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_828_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_828_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_828_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_828_shape_group_3_shape_4_horizontal_lines, 91, 13),
        shape(frame_828_shape_group_3_shape_5_horizontal_lines, 95, 8),
        shape(frame_828_shape_group_3_shape_6_horizontal_lines, 101, 6),
        shape(frame_828_shape_group_3_shape_7_horizontal_lines, 150, 6),
    };

    constexpr const horizontal_line frame_828_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(177, 178),
        horizontal_line(177, 180),
        horizontal_line(177, 180),
        horizontal_line(182, 188),
        horizontal_line(182, 192),
    };

    constexpr const horizontal_line frame_828_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(175, 179),
        horizontal_line(181, 191),
        horizontal_line(180, 190),
        horizontal_line(180, 190),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(178, 188),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_828_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_828_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(165, 173),
        horizontal_line(164, 176),
        horizontal_line(163, 179),
        horizontal_line(162, 182),
    };

    constexpr const horizontal_line frame_828_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(200, 200),
    };

    constexpr const shape frame_828_shape_group_4_shapes[] = {
        shape(frame_828_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_828_shape_group_4_shape_1_horizontal_lines, 81, 3),
        shape(frame_828_shape_group_4_shape_2_horizontal_lines, 89, 12),
        shape(frame_828_shape_group_4_shape_3_horizontal_lines, 91, 8),
        shape(frame_828_shape_group_4_shape_4_horizontal_lines, 117, 6),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(182, 185),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(171, 175),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(181, 187),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(179, 180),
        horizontal_line(179, 179),
        horizontal_line(178, 179),
        horizontal_line(178, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(178, 188),
    };

    constexpr const horizontal_line frame_828_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(188, 218),
        horizontal_line(188, 217),
    };

    constexpr const shape frame_828_shape_group_5_shapes[] = {
        shape(frame_828_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_828_shape_group_5_shape_1_horizontal_lines, 79, 10),
        shape(frame_828_shape_group_5_shape_2_horizontal_lines, 80, 9),
        shape(frame_828_shape_group_5_shape_3_horizontal_lines, 81, 3),
        shape(frame_828_shape_group_5_shape_4_horizontal_lines, 82, 12),
        shape(frame_828_shape_group_5_shape_5_horizontal_lines, 88, 3),
        shape(frame_828_shape_group_5_shape_6_horizontal_lines, 89, 13),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(192, 221),
        horizontal_line(191, 221),
        horizontal_line(191, 220),
        horizontal_line(190, 220),
        horizontal_line(190, 219),
        horizontal_line(189, 219),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_828_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(166, 170),
    };

    constexpr const shape frame_828_shape_group_6_shapes[] = {
        shape(frame_828_shape_group_6_shape_0_horizontal_lines, 77, 10),
        shape(frame_828_shape_group_6_shape_1_horizontal_lines, 79, 9),
        shape(frame_828_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_828_shape_group_6_shape_3_horizontal_lines, 81, 12),
        shape(frame_828_shape_group_6_shape_4_horizontal_lines, 82, 13),
        shape(frame_828_shape_group_6_shape_5_horizontal_lines, 88, 12),
        shape(frame_828_shape_group_6_shape_6_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_828_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_828_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_828_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(180, 181),
    };

    constexpr const horizontal_line frame_828_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(192, 222),
    };

    constexpr const horizontal_line frame_828_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(189, 218),
    };

    constexpr const shape frame_828_shape_group_7_shapes[] = {
        shape(frame_828_shape_group_7_shape_0_horizontal_lines, 78, 9),
        shape(frame_828_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_828_shape_group_7_shape_2_horizontal_lines, 80, 12),
        shape(frame_828_shape_group_7_shape_3_horizontal_lines, 81, 13),
        shape(frame_828_shape_group_7_shape_4_horizontal_lines, 88, 13),
    };

    constexpr const horizontal_line frame_828_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const shape frame_828_shape_group_8_shapes[] = {
        shape(frame_828_shape_group_8_shape_0_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_828_shape_groups[] = {
        shape_group(frame_828_shape_group_0_shapes),
        shape_group(frame_828_shape_group_1_shapes),
        shape_group(frame_828_shape_group_2_shapes),
        shape_group(frame_828_shape_group_3_shapes),
        shape_group(frame_828_shape_group_4_shapes),
        shape_group(frame_828_shape_group_5_shapes),
        shape_group(frame_828_shape_group_6_shapes),
        shape_group(frame_828_shape_group_7_shapes),
        shape_group(frame_828_shape_group_8_shapes),
    };

    constexpr const frame frame_828_impl(frame_828_colors, frame_828_shape_groups);
} 

const frame& frame_828()
{
    return frame_828_impl;
}

namespace
{
    constexpr const bn::color frame_829_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_829_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(179, 239),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(170, 171),
        horizontal_line(170, 171),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(162, 163),
        horizontal_line(162, 162),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_829_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_829_shape_group_0_shapes[] = {
        shape(frame_829_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_829_shape_group_0_shape_1_horizontal_lines, 95, 2),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 231),
        horizontal_line(223, 223),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(184, 213),
        horizontal_line(184, 213),
        horizontal_line(185, 212),
        horizontal_line(186, 212),
        horizontal_line(187, 211),
        horizontal_line(187, 210),
        horizontal_line(188, 210),
        horizontal_line(189, 209),
        horizontal_line(190, 209),
        horizontal_line(191, 208),
        horizontal_line(191, 208),
        horizontal_line(192, 207),
        horizontal_line(193, 207),
        horizontal_line(194, 206),
        horizontal_line(194, 205),
        horizontal_line(195, 205),
        horizontal_line(196, 204),
        horizontal_line(197, 204),
        horizontal_line(198, 203),
        horizontal_line(198, 203),
        horizontal_line(199, 202),
        horizontal_line(200, 202),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_829_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
    };

    constexpr const shape frame_829_shape_group_1_shapes[] = {
        shape(frame_829_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_829_shape_group_1_shape_1_horizontal_lines, 69, 2),
        shape(frame_829_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_829_shape_group_1_shape_3_horizontal_lines, 81, 2),
        shape(frame_829_shape_group_1_shape_4_horizontal_lines, 95, 13),
        shape(frame_829_shape_group_1_shape_5_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(172, 182),
        horizontal_line(172, 186),
        horizontal_line(172, 190),
        horizontal_line(172, 194),
        horizontal_line(172, 198),
        horizontal_line(175, 202),
        horizontal_line(178, 206),
        horizontal_line(181, 210),
        horizontal_line(184, 214),
        horizontal_line(187, 218),
        horizontal_line(191, 222),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(187, 189),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(169, 173),
        horizontal_line(168, 173),
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(166, 171),
        horizontal_line(168, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 174),
        horizontal_line(172, 173),
        horizontal_line(175, 184),
        horizontal_line(178, 183),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(160, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 184),
        horizontal_line(158, 185),
        horizontal_line(158, 186),
        horizontal_line(158, 186),
        horizontal_line(160, 187),
        horizontal_line(163, 188),
        horizontal_line(165, 189),
        horizontal_line(168, 190),
        horizontal_line(170, 190),
        horizontal_line(173, 191),
        horizontal_line(175, 192),
        horizontal_line(178, 193),
        horizontal_line(180, 193),
        horizontal_line(183, 194),
        horizontal_line(185, 195),
        horizontal_line(188, 196),
        horizontal_line(190, 197),
        horizontal_line(193, 197),
        horizontal_line(195, 198),
        horizontal_line(198, 199),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_829_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(199, 202),
        horizontal_line(198, 202),
        horizontal_line(197, 203),
        horizontal_line(196, 203),
        horizontal_line(195, 204),
        horizontal_line(193, 205),
        horizontal_line(192, 205),
        horizontal_line(191, 206),
        horizontal_line(190, 206),
        horizontal_line(189, 207),
        horizontal_line(188, 208),
        horizontal_line(187, 208),
        horizontal_line(185, 209),
        horizontal_line(184, 209),
        horizontal_line(183, 210),
        horizontal_line(182, 211),
        horizontal_line(181, 211),
        horizontal_line(180, 212),
        horizontal_line(179, 212),
        horizontal_line(177, 213),
        horizontal_line(176, 214),
        horizontal_line(175, 214),
        horizontal_line(174, 215),
        horizontal_line(173, 216),
        horizontal_line(172, 216),
        horizontal_line(171, 217),
        horizontal_line(170, 217),
        horizontal_line(168, 218),
        horizontal_line(167, 219),
        horizontal_line(166, 219),
        horizontal_line(165, 220),
        horizontal_line(164, 220),
        horizontal_line(163, 221),
        horizontal_line(162, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
    };

    constexpr const shape frame_829_shape_group_2_shapes[] = {
        shape(frame_829_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_829_shape_group_2_shape_1_horizontal_lines, 70, 2),
        shape(frame_829_shape_group_2_shape_2_horizontal_lines, 81, 11),
        shape(frame_829_shape_group_2_shape_3_horizontal_lines, 82, 9),
        shape(frame_829_shape_group_2_shape_4_horizontal_lines, 90, 3),
        shape(frame_829_shape_group_2_shape_5_horizontal_lines, 95, 8),
        shape(frame_829_shape_group_2_shape_6_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(169, 173),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 175),
        horizontal_line(172, 175),
        horizontal_line(166, 167),
        horizontal_line(166, 170),
        horizontal_line(176, 185),
        horizontal_line(175, 184),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(184, 214),
        horizontal_line(184, 214),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(155, 162),
        horizontal_line(154, 164),
        horizontal_line(153, 167),
        horizontal_line(152, 169),
        horizontal_line(151, 172),
        horizontal_line(150, 174),
        horizontal_line(148, 177),
        horizontal_line(147, 179),
        horizontal_line(146, 182),
        horizontal_line(145, 184),
        horizontal_line(144, 187),
        horizontal_line(143, 189),
        horizontal_line(142, 192),
        horizontal_line(140, 194),
        horizontal_line(139, 197),
        horizontal_line(138, 199),
    };

    constexpr const horizontal_line frame_829_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(222, 222),
        horizontal_line(221, 223),
        horizontal_line(220, 223),
        horizontal_line(219, 224),
        horizontal_line(218, 225),
        horizontal_line(217, 225),
        horizontal_line(216, 226),
        horizontal_line(215, 227),
    };

    constexpr const shape frame_829_shape_group_3_shapes[] = {
        shape(frame_829_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_829_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_829_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_829_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_829_shape_group_3_shape_4_horizontal_lines, 92, 13),
        shape(frame_829_shape_group_3_shape_5_horizontal_lines, 101, 6),
        shape(frame_829_shape_group_3_shape_6_horizontal_lines, 152, 6),
    };

    constexpr const horizontal_line frame_829_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(181, 186),
        horizontal_line(181, 190),
    };

    constexpr const horizontal_line frame_829_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(174, 178),
        horizontal_line(180, 189),
        horizontal_line(179, 188),
        horizontal_line(179, 188),
        horizontal_line(178, 187),
        horizontal_line(178, 187),
        horizontal_line(177, 186),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_829_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_829_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(162, 174),
        horizontal_line(162, 177),
        horizontal_line(161, 180),
    };

    constexpr const shape frame_829_shape_group_4_shapes[] = {
        shape(frame_829_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_829_shape_group_4_shape_1_horizontal_lines, 81, 3),
        shape(frame_829_shape_group_4_shape_2_horizontal_lines, 90, 12),
        shape(frame_829_shape_group_4_shape_3_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(180, 186),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(178, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 177),
        horizontal_line(176, 177),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(177, 186),
        horizontal_line(176, 185),
    };

    constexpr const horizontal_line frame_829_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(186, 216),
        horizontal_line(185, 215),
    };

    constexpr const shape frame_829_shape_group_5_shapes[] = {
        shape(frame_829_shape_group_5_shape_0_horizontal_lines, 77, 10),
        shape(frame_829_shape_group_5_shape_1_horizontal_lines, 78, 11),
        shape(frame_829_shape_group_5_shape_2_horizontal_lines, 79, 10),
        shape(frame_829_shape_group_5_shape_3_horizontal_lines, 80, 9),
        shape(frame_829_shape_group_5_shape_4_horizontal_lines, 81, 3),
        shape(frame_829_shape_group_5_shape_5_horizontal_lines, 82, 12),
        shape(frame_829_shape_group_5_shape_6_horizontal_lines, 88, 3),
        shape(frame_829_shape_group_5_shape_7_horizontal_lines, 90, 13),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(190, 220),
        horizontal_line(189, 220),
        horizontal_line(189, 219),
        horizontal_line(188, 219),
        horizontal_line(188, 218),
        horizontal_line(187, 218),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(175, 176),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_829_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(164, 168),
        horizontal_line(163, 171),
    };

    constexpr const shape frame_829_shape_group_6_shapes[] = {
        shape(frame_829_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_829_shape_group_6_shape_1_horizontal_lines, 79, 9),
        shape(frame_829_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_829_shape_group_6_shape_3_horizontal_lines, 81, 12),
        shape(frame_829_shape_group_6_shape_4_horizontal_lines, 82, 13),
        shape(frame_829_shape_group_6_shape_5_horizontal_lines, 88, 12),
        shape(frame_829_shape_group_6_shape_6_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_829_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_829_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_829_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_829_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(190, 221),
    };

    constexpr const horizontal_line frame_829_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(187, 217),
        horizontal_line(186, 217),
    };

    constexpr const shape frame_829_shape_group_7_shapes[] = {
        shape(frame_829_shape_group_7_shape_0_horizontal_lines, 78, 9),
        shape(frame_829_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_829_shape_group_7_shape_2_horizontal_lines, 80, 12),
        shape(frame_829_shape_group_7_shape_3_horizontal_lines, 81, 13),
        shape(frame_829_shape_group_7_shape_4_horizontal_lines, 88, 13),
    };

    constexpr const horizontal_line frame_829_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const shape frame_829_shape_group_8_shapes[] = {
        shape(frame_829_shape_group_8_shape_0_horizontal_lines, 89, 8),
    };

    constexpr const shape_group frame_829_shape_groups[] = {
        shape_group(frame_829_shape_group_0_shapes),
        shape_group(frame_829_shape_group_1_shapes),
        shape_group(frame_829_shape_group_2_shapes),
        shape_group(frame_829_shape_group_3_shapes),
        shape_group(frame_829_shape_group_4_shapes),
        shape_group(frame_829_shape_group_5_shapes),
        shape_group(frame_829_shape_group_6_shapes),
        shape_group(frame_829_shape_group_7_shapes),
        shape_group(frame_829_shape_group_8_shapes),
    };

    constexpr const frame frame_829_impl(frame_829_colors, frame_829_shape_groups);
} 

const frame& frame_829()
{
    return frame_829_impl;
}

namespace
{
    constexpr const bn::color frame_830_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_830_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(170, 170),
        horizontal_line(170, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 163),
        horizontal_line(161, 162),
        horizontal_line(161, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_830_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_830_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_830_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_830_shape_group_0_shapes[] = {
        shape(frame_830_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_830_shape_group_0_shape_1_horizontal_lines, 94, 2),
        shape(frame_830_shape_group_0_shape_2_horizontal_lines, 95, 4),
        shape(frame_830_shape_group_0_shape_3_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 230),
        horizontal_line(222, 222),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(183, 212),
        horizontal_line(184, 212),
        horizontal_line(185, 211),
        horizontal_line(186, 211),
        horizontal_line(187, 210),
        horizontal_line(187, 209),
        horizontal_line(188, 209),
        horizontal_line(189, 208),
        horizontal_line(190, 208),
        horizontal_line(191, 207),
        horizontal_line(192, 207),
        horizontal_line(192, 206),
        horizontal_line(193, 206),
        horizontal_line(194, 205),
        horizontal_line(195, 205),
        horizontal_line(196, 204),
        horizontal_line(197, 204),
        horizontal_line(197, 203),
        horizontal_line(198, 203),
        horizontal_line(199, 202),
        horizontal_line(200, 202),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_830_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_830_shape_group_1_shapes[] = {
        shape(frame_830_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_830_shape_group_1_shape_1_horizontal_lines, 69, 2),
        shape(frame_830_shape_group_1_shape_2_horizontal_lines, 70, 4),
        shape(frame_830_shape_group_1_shape_3_horizontal_lines, 81, 2),
        shape(frame_830_shape_group_1_shape_4_horizontal_lines, 94, 3),
        shape(frame_830_shape_group_1_shape_5_horizontal_lines, 95, 2),
        shape(frame_830_shape_group_1_shape_6_horizontal_lines, 96, 13),
        shape(frame_830_shape_group_1_shape_7_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(171, 181),
        horizontal_line(171, 185),
        horizontal_line(171, 189),
        horizontal_line(171, 193),
        horizontal_line(171, 197),
        horizontal_line(174, 201),
        horizontal_line(177, 205),
        horizontal_line(180, 209),
        horizontal_line(183, 213),
        horizontal_line(186, 217),
        horizontal_line(190, 221),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(167, 169),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(165, 166),
        horizontal_line(165, 169),
        horizontal_line(168, 184),
        horizontal_line(171, 183),
        horizontal_line(174, 183),
        horizontal_line(177, 182),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(183, 213),
        horizontal_line(183, 213),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(159, 182),
        horizontal_line(158, 183),
        horizontal_line(158, 184),
        horizontal_line(157, 185),
        horizontal_line(157, 186),
        horizontal_line(157, 186),
        horizontal_line(159, 187),
        horizontal_line(162, 188),
        horizontal_line(165, 189),
        horizontal_line(167, 190),
        horizontal_line(170, 191),
        horizontal_line(173, 191),
        horizontal_line(175, 192),
        horizontal_line(178, 193),
        horizontal_line(181, 194),
        horizontal_line(184, 195),
        horizontal_line(186, 196),
        horizontal_line(189, 196),
        horizontal_line(192, 197),
        horizontal_line(194, 198),
        horizontal_line(197, 199),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_830_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(199, 202),
        horizontal_line(198, 202),
        horizontal_line(197, 203),
        horizontal_line(196, 203),
        horizontal_line(195, 204),
        horizontal_line(194, 204),
        horizontal_line(193, 205),
        horizontal_line(192, 206),
        horizontal_line(190, 206),
        horizontal_line(189, 207),
        horizontal_line(188, 207),
        horizontal_line(187, 208),
        horizontal_line(186, 209),
        horizontal_line(185, 209),
        horizontal_line(184, 210),
        horizontal_line(183, 210),
        horizontal_line(182, 211),
        horizontal_line(180, 211),
        horizontal_line(179, 212),
        horizontal_line(178, 213),
        horizontal_line(177, 213),
        horizontal_line(176, 214),
        horizontal_line(175, 214),
        horizontal_line(174, 215),
        horizontal_line(173, 216),
        horizontal_line(171, 216),
        horizontal_line(170, 217),
        horizontal_line(169, 217),
        horizontal_line(168, 218),
        horizontal_line(167, 218),
        horizontal_line(166, 219),
        horizontal_line(165, 220),
        horizontal_line(164, 220),
        horizontal_line(162, 221),
        horizontal_line(161, 221),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
    };

    constexpr const shape frame_830_shape_group_2_shapes[] = {
        shape(frame_830_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_830_shape_group_2_shape_1_horizontal_lines, 70, 2),
        shape(frame_830_shape_group_2_shape_2_horizontal_lines, 81, 11),
        shape(frame_830_shape_group_2_shape_3_horizontal_lines, 82, 9),
        shape(frame_830_shape_group_2_shape_4_horizontal_lines, 88, 3),
        shape(frame_830_shape_group_2_shape_5_horizontal_lines, 94, 13),
        shape(frame_830_shape_group_2_shape_6_horizontal_lines, 96, 8),
        shape(frame_830_shape_group_2_shape_7_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(171, 173),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(172, 187),
        horizontal_line(171, 175),
        horizontal_line(171, 186),
        horizontal_line(170, 174),
        horizontal_line(170, 185),
        horizontal_line(170, 173),
        horizontal_line(171, 184),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(184, 215),
        horizontal_line(184, 214),
        horizontal_line(183, 214),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(160, 179),
        horizontal_line(160, 182),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(154, 161),
        horizontal_line(153, 164),
        horizontal_line(152, 166),
        horizontal_line(151, 169),
        horizontal_line(150, 172),
        horizontal_line(149, 174),
        horizontal_line(148, 177),
        horizontal_line(146, 180),
        horizontal_line(145, 183),
        horizontal_line(144, 185),
        horizontal_line(143, 188),
        horizontal_line(142, 191),
        horizontal_line(141, 193),
        horizontal_line(140, 196),
        horizontal_line(139, 199),
    };

    constexpr const horizontal_line frame_830_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(222, 222),
        horizontal_line(221, 223),
        horizontal_line(220, 223),
        horizontal_line(219, 224),
        horizontal_line(218, 224),
        horizontal_line(217, 225),
        horizontal_line(216, 226),
    };

    constexpr const shape frame_830_shape_group_3_shapes[] = {
        shape(frame_830_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_830_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_830_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_830_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_830_shape_group_3_shape_4_horizontal_lines, 90, 13),
        shape(frame_830_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_830_shape_group_3_shape_6_horizontal_lines, 102, 6),
        shape(frame_830_shape_group_3_shape_7_horizontal_lines, 153, 6),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(174, 176),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(179, 185),
        horizontal_line(179, 189),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(172, 184),
        horizontal_line(178, 188),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 219),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(177, 187),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(187, 218),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(176, 186),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(186, 217),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(175, 185),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_830_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(163, 167),
        horizontal_line(162, 170),
        horizontal_line(162, 173),
        horizontal_line(161, 176),
    };

    constexpr const shape frame_830_shape_group_4_shapes[] = {
        shape(frame_830_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_830_shape_group_4_shape_1_horizontal_lines, 81, 3),
        shape(frame_830_shape_group_4_shape_2_horizontal_lines, 83, 13),
        shape(frame_830_shape_group_4_shape_3_horizontal_lines, 84, 3),
        shape(frame_830_shape_group_4_shape_4_horizontal_lines, 85, 13),
        shape(frame_830_shape_group_4_shape_5_horizontal_lines, 86, 3),
        shape(frame_830_shape_group_4_shape_6_horizontal_lines, 87, 13),
        shape(frame_830_shape_group_4_shape_7_horizontal_lines, 88, 3),
        shape(frame_830_shape_group_4_shape_8_horizontal_lines, 89, 13),
        shape(frame_830_shape_group_4_shape_9_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(179, 182),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(169, 172),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(189, 220),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_830_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const shape frame_830_shape_group_5_shapes[] = {
        shape(frame_830_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_830_shape_group_5_shape_1_horizontal_lines, 79, 10),
        shape(frame_830_shape_group_5_shape_2_horizontal_lines, 80, 9),
        shape(frame_830_shape_group_5_shape_3_horizontal_lines, 81, 13),
        shape(frame_830_shape_group_5_shape_4_horizontal_lines, 82, 12),
        shape(frame_830_shape_group_5_shape_5_horizontal_lines, 84, 12),
        shape(frame_830_shape_group_5_shape_6_horizontal_lines, 86, 12),
        shape(frame_830_shape_group_5_shape_7_horizontal_lines, 87, 5),
        shape(frame_830_shape_group_5_shape_8_horizontal_lines, 88, 12),
        shape(frame_830_shape_group_5_shape_9_horizontal_lines, 89, 5),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(169, 172),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(189, 219),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(188, 218),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(187, 217),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(186, 216),
    };

    constexpr const horizontal_line frame_830_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const shape frame_830_shape_group_6_shapes[] = {
        shape(frame_830_shape_group_6_shape_0_horizontal_lines, 77, 10),
        shape(frame_830_shape_group_6_shape_1_horizontal_lines, 79, 9),
        shape(frame_830_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_830_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_830_shape_group_6_shape_4_horizontal_lines, 84, 13),
        shape(frame_830_shape_group_6_shape_5_horizontal_lines, 86, 13),
        shape(frame_830_shape_group_6_shape_6_horizontal_lines, 88, 13),
        shape(frame_830_shape_group_6_shape_7_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_830_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_830_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_830_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_830_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(167, 169),
    };

    constexpr const shape frame_830_shape_group_7_shapes[] = {
        shape(frame_830_shape_group_7_shape_0_horizontal_lines, 78, 9),
        shape(frame_830_shape_group_7_shape_1_horizontal_lines, 79, 3),
        shape(frame_830_shape_group_7_shape_2_horizontal_lines, 80, 12),
        shape(frame_830_shape_group_7_shape_3_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_830_shape_groups[] = {
        shape_group(frame_830_shape_group_0_shapes),
        shape_group(frame_830_shape_group_1_shapes),
        shape_group(frame_830_shape_group_2_shapes),
        shape_group(frame_830_shape_group_3_shapes),
        shape_group(frame_830_shape_group_4_shapes),
        shape_group(frame_830_shape_group_5_shapes),
        shape_group(frame_830_shape_group_6_shapes),
        shape_group(frame_830_shape_group_7_shapes),
    };

    constexpr const frame frame_830_impl(frame_830_colors, frame_830_shape_groups);
} 

const frame& frame_830()
{
    return frame_830_impl;
}

namespace
{
    constexpr const bn::color frame_831_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_831_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(168, 168),
        horizontal_line(168, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(162, 163),
        horizontal_line(162, 163),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(160, 161),
        horizontal_line(160, 160),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_831_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_831_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_831_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_831_shape_group_0_shapes[] = {
        shape(frame_831_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_831_shape_group_0_shape_1_horizontal_lines, 94, 2),
        shape(frame_831_shape_group_0_shape_2_horizontal_lines, 95, 4),
        shape(frame_831_shape_group_0_shape_3_horizontal_lines, 96, 2),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(169, 180),
        horizontal_line(169, 184),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(193, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 230),
        horizontal_line(221, 221),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(181, 211),
        horizontal_line(182, 211),
        horizontal_line(183, 210),
        horizontal_line(184, 210),
        horizontal_line(185, 209),
        horizontal_line(186, 208),
        horizontal_line(187, 208),
        horizontal_line(187, 207),
        horizontal_line(188, 207),
        horizontal_line(189, 206),
        horizontal_line(190, 206),
        horizontal_line(191, 205),
        horizontal_line(192, 205),
        horizontal_line(193, 204),
        horizontal_line(194, 204),
        horizontal_line(194, 203),
        horizontal_line(195, 203),
        horizontal_line(196, 202),
        horizontal_line(197, 202),
        horizontal_line(198, 201),
        horizontal_line(199, 201),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_831_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_831_shape_group_1_shapes[] = {
        shape(frame_831_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_831_shape_group_1_shape_1_horizontal_lines, 70, 2),
        shape(frame_831_shape_group_1_shape_2_horizontal_lines, 72, 4),
        shape(frame_831_shape_group_1_shape_3_horizontal_lines, 81, 2),
        shape(frame_831_shape_group_1_shape_4_horizontal_lines, 94, 3),
        shape(frame_831_shape_group_1_shape_5_horizontal_lines, 95, 2),
        shape(frame_831_shape_group_1_shape_6_horizontal_lines, 96, 13),
        shape(frame_831_shape_group_1_shape_7_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(170, 176),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(169, 188),
        horizontal_line(169, 192),
        horizontal_line(169, 196),
        horizontal_line(172, 200),
        horizontal_line(175, 204),
        horizontal_line(178, 208),
        horizontal_line(181, 212),
        horizontal_line(184, 216),
        horizontal_line(188, 220),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(166, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 168),
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(163, 165),
        horizontal_line(163, 168),
        horizontal_line(166, 182),
        horizontal_line(169, 181),
        horizontal_line(172, 181),
        horizontal_line(175, 180),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(181, 212),
        horizontal_line(181, 212),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(157, 180),
        horizontal_line(156, 181),
        horizontal_line(156, 182),
        horizontal_line(155, 183),
        horizontal_line(155, 184),
        horizontal_line(155, 185),
        horizontal_line(157, 186),
        horizontal_line(160, 186),
        horizontal_line(163, 187),
        horizontal_line(166, 188),
        horizontal_line(168, 189),
        horizontal_line(171, 190),
        horizontal_line(174, 191),
        horizontal_line(177, 192),
        horizontal_line(179, 193),
        horizontal_line(182, 193),
        horizontal_line(185, 194),
        horizontal_line(188, 195),
        horizontal_line(190, 196),
        horizontal_line(193, 197),
        horizontal_line(196, 198),
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_831_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(198, 201),
        horizontal_line(197, 201),
        horizontal_line(196, 202),
        horizontal_line(195, 202),
        horizontal_line(194, 203),
        horizontal_line(193, 203),
        horizontal_line(192, 204),
        horizontal_line(190, 205),
        horizontal_line(189, 205),
        horizontal_line(188, 206),
        horizontal_line(187, 206),
        horizontal_line(186, 207),
        horizontal_line(185, 208),
        horizontal_line(184, 208),
        horizontal_line(183, 209),
        horizontal_line(182, 209),
        horizontal_line(181, 210),
        horizontal_line(180, 210),
        horizontal_line(178, 211),
        horizontal_line(177, 212),
        horizontal_line(176, 212),
        horizontal_line(175, 213),
        horizontal_line(174, 213),
        horizontal_line(173, 214),
        horizontal_line(172, 215),
        horizontal_line(171, 215),
        horizontal_line(170, 216),
        horizontal_line(169, 216),
        horizontal_line(168, 217),
        horizontal_line(167, 217),
        horizontal_line(165, 218),
        horizontal_line(164, 219),
        horizontal_line(163, 219),
        horizontal_line(162, 220),
        horizontal_line(161, 220),
        horizontal_line(160, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
    };

    constexpr const shape frame_831_shape_group_2_shapes[] = {
        shape(frame_831_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_831_shape_group_2_shape_1_horizontal_lines, 72, 2),
        shape(frame_831_shape_group_2_shape_2_horizontal_lines, 81, 11),
        shape(frame_831_shape_group_2_shape_3_horizontal_lines, 82, 9),
        shape(frame_831_shape_group_2_shape_4_horizontal_lines, 88, 3),
        shape(frame_831_shape_group_2_shape_5_horizontal_lines, 94, 13),
        shape(frame_831_shape_group_2_shape_6_horizontal_lines, 96, 8),
        shape(frame_831_shape_group_2_shape_7_horizontal_lines, 118, 6),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(171, 186),
        horizontal_line(171, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 184),
        horizontal_line(169, 184),
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(183, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 213),
        horizontal_line(181, 213),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(158, 177),
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(153, 156),
        horizontal_line(152, 159),
        horizontal_line(151, 162),
        horizontal_line(150, 165),
        horizontal_line(149, 167),
        horizontal_line(148, 170),
        horizontal_line(147, 173),
        horizontal_line(146, 176),
        horizontal_line(145, 178),
        horizontal_line(144, 181),
        horizontal_line(143, 184),
        horizontal_line(141, 187),
        horizontal_line(140, 189),
        horizontal_line(139, 192),
        horizontal_line(138, 195),
        horizontal_line(137, 198),
    };

    constexpr const horizontal_line frame_831_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(221, 222),
        horizontal_line(220, 222),
        horizontal_line(219, 223),
        horizontal_line(218, 223),
        horizontal_line(217, 224),
        horizontal_line(216, 225),
    };

    constexpr const shape frame_831_shape_group_3_shapes[] = {
        shape(frame_831_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_831_shape_group_3_shape_1_horizontal_lines, 79, 2),
        shape(frame_831_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_831_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_831_shape_group_3_shape_4_horizontal_lines, 90, 13),
        shape(frame_831_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_831_shape_group_3_shape_6_horizontal_lines, 102, 6),
        shape(frame_831_shape_group_3_shape_7_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_831_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(178, 183),
        horizontal_line(182, 187),
    };

    constexpr const horizontal_line frame_831_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(171, 185),
    };

    constexpr const horizontal_line frame_831_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(187, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(185, 217),
        horizontal_line(185, 216),
        horizontal_line(184, 216),
        horizontal_line(184, 215),
        horizontal_line(183, 215),
    };

    constexpr const horizontal_line frame_831_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(160, 168),
        horizontal_line(160, 171),
        horizontal_line(159, 174),
    };

    constexpr const shape frame_831_shape_group_4_shapes[] = {
        shape(frame_831_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_831_shape_group_4_shape_1_horizontal_lines, 81, 3),
        shape(frame_831_shape_group_4_shape_2_horizontal_lines, 82, 13),
        shape(frame_831_shape_group_4_shape_3_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(187, 219),
    };

    constexpr const horizontal_line frame_831_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(163, 165),
        horizontal_line(166, 168),
        horizontal_line(169, 169),
    };

    constexpr const shape frame_831_shape_group_5_shapes[] = {
        shape(frame_831_shape_group_5_shape_0_horizontal_lines, 77, 10),
        shape(frame_831_shape_group_5_shape_1_horizontal_lines, 78, 11),
        shape(frame_831_shape_group_5_shape_2_horizontal_lines, 79, 10),
        shape(frame_831_shape_group_5_shape_3_horizontal_lines, 80, 9),
        shape(frame_831_shape_group_5_shape_4_horizontal_lines, 81, 13),
        shape(frame_831_shape_group_5_shape_5_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_831_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_831_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_831_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_831_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const shape frame_831_shape_group_6_shapes[] = {
        shape(frame_831_shape_group_6_shape_0_horizontal_lines, 78, 10),
        shape(frame_831_shape_group_6_shape_1_horizontal_lines, 79, 9),
        shape(frame_831_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_831_shape_group_6_shape_3_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_831_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_831_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(172, 176),
    };

    constexpr const shape frame_831_shape_group_7_shapes[] = {
        shape(frame_831_shape_group_7_shape_0_horizontal_lines, 78, 9),
        shape(frame_831_shape_group_7_shape_1_horizontal_lines, 79, 3),
    };

    constexpr const shape_group frame_831_shape_groups[] = {
        shape_group(frame_831_shape_group_0_shapes),
        shape_group(frame_831_shape_group_1_shapes),
        shape_group(frame_831_shape_group_2_shapes),
        shape_group(frame_831_shape_group_3_shapes),
        shape_group(frame_831_shape_group_4_shapes),
        shape_group(frame_831_shape_group_5_shapes),
        shape_group(frame_831_shape_group_6_shapes),
        shape_group(frame_831_shape_group_7_shapes),
    };

    constexpr const frame frame_831_impl(frame_831_colors, frame_831_shape_groups);
} 

const frame& frame_831()
{
    return frame_831_impl;
}

namespace
{
    constexpr const bn::color frame_832_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_832_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(166, 167),
        horizontal_line(166, 167),
        horizontal_line(166, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(159, 160),
        horizontal_line(159, 159),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_832_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_832_shape_group_0_shapes[] = {
        shape(frame_832_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_832_shape_group_0_shape_1_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_832_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(234, 239),
        horizontal_line(238, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_832_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_832_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_832_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(180, 210),
        horizontal_line(180, 210),
        horizontal_line(181, 209),
        horizontal_line(182, 209),
        horizontal_line(183, 208),
        horizontal_line(183, 208),
        horizontal_line(184, 207),
        horizontal_line(185, 207),
        horizontal_line(186, 206),
        horizontal_line(187, 206),
        horizontal_line(187, 205),
        horizontal_line(188, 205),
        horizontal_line(189, 204),
        horizontal_line(190, 203),
        horizontal_line(191, 203),
        horizontal_line(191, 202),
        horizontal_line(192, 202),
        horizontal_line(193, 201),
        horizontal_line(194, 201),
        horizontal_line(195, 200),
        horizontal_line(195, 200),
        horizontal_line(196, 199),
        horizontal_line(197, 199),
        horizontal_line(198, 198),
    };

    constexpr const horizontal_line frame_832_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_832_shape_group_1_shapes[] = {
        shape(frame_832_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_832_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_832_shape_group_1_shape_2_horizontal_lines, 94, 3),
        shape(frame_832_shape_group_1_shape_3_horizontal_lines, 95, 13),
        shape(frame_832_shape_group_1_shape_4_horizontal_lines, 119, 6),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(168, 175),
        horizontal_line(168, 179),
        horizontal_line(168, 183),
        horizontal_line(168, 187),
        horizontal_line(168, 191),
        horizontal_line(168, 195),
        horizontal_line(171, 199),
        horizontal_line(174, 203),
        horizontal_line(178, 207),
        horizontal_line(181, 211),
        horizontal_line(184, 215),
        horizontal_line(188, 219),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(165, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 167),
        horizontal_line(165, 167),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(162, 167),
        horizontal_line(165, 181),
        horizontal_line(168, 170),
        horizontal_line(172, 180),
        horizontal_line(174, 180),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(180, 211),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(157, 179),
        horizontal_line(156, 179),
        horizontal_line(156, 180),
        horizontal_line(155, 181),
        horizontal_line(155, 182),
        horizontal_line(154, 182),
        horizontal_line(154, 183),
        horizontal_line(154, 184),
        horizontal_line(156, 185),
        horizontal_line(159, 186),
        horizontal_line(162, 186),
        horizontal_line(164, 187),
        horizontal_line(167, 188),
        horizontal_line(170, 189),
        horizontal_line(172, 190),
        horizontal_line(175, 190),
        horizontal_line(178, 191),
        horizontal_line(181, 192),
        horizontal_line(183, 193),
        horizontal_line(186, 194),
        horizontal_line(189, 194),
        horizontal_line(191, 195),
        horizontal_line(194, 196),
        horizontal_line(197, 197),
    };

    constexpr const horizontal_line frame_832_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(197, 199),
        horizontal_line(196, 199),
        horizontal_line(195, 200),
        horizontal_line(194, 200),
        horizontal_line(193, 201),
        horizontal_line(192, 202),
        horizontal_line(191, 202),
        horizontal_line(190, 203),
        horizontal_line(189, 203),
        horizontal_line(188, 204),
        horizontal_line(187, 205),
        horizontal_line(186, 205),
        horizontal_line(184, 206),
        horizontal_line(183, 206),
        horizontal_line(182, 207),
        horizontal_line(181, 208),
        horizontal_line(180, 208),
        horizontal_line(179, 209),
        horizontal_line(178, 209),
        horizontal_line(177, 210),
        horizontal_line(176, 211),
        horizontal_line(175, 211),
        horizontal_line(174, 212),
        horizontal_line(173, 212),
        horizontal_line(172, 213),
        horizontal_line(171, 214),
        horizontal_line(169, 214),
        horizontal_line(168, 215),
        horizontal_line(167, 215),
        horizontal_line(166, 216),
        horizontal_line(165, 217),
        horizontal_line(164, 217),
        horizontal_line(163, 218),
        horizontal_line(162, 218),
        horizontal_line(161, 219),
        horizontal_line(160, 220),
        horizontal_line(159, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_832_shape_group_2_shapes[] = {
        shape(frame_832_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_832_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_832_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_832_shape_group_2_shape_3_horizontal_lines, 88, 3),
        shape(frame_832_shape_group_2_shape_4_horizontal_lines, 94, 13),
        shape(frame_832_shape_group_2_shape_5_horizontal_lines, 95, 8),
        shape(frame_832_shape_group_2_shape_6_horizontal_lines, 119, 6),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(168, 170),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(176, 183),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(170, 185),
        horizontal_line(169, 184),
        horizontal_line(169, 172),
        horizontal_line(168, 183),
        horizontal_line(168, 183),
        horizontal_line(168, 171),
        horizontal_line(169, 182),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(182, 213),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(181, 212),
        horizontal_line(181, 212),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(157, 176),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(151, 158),
        horizontal_line(150, 161),
        horizontal_line(149, 163),
        horizontal_line(148, 166),
        horizontal_line(147, 169),
        horizontal_line(146, 171),
        horizontal_line(145, 174),
        horizontal_line(144, 177),
        horizontal_line(143, 180),
        horizontal_line(142, 182),
        horizontal_line(141, 185),
        horizontal_line(140, 188),
        horizontal_line(139, 190),
        horizontal_line(137, 193),
        horizontal_line(136, 196),
    };

    constexpr const horizontal_line frame_832_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(219, 221),
        horizontal_line(218, 222),
        horizontal_line(217, 223),
    };

    constexpr const shape frame_832_shape_group_3_shapes[] = {
        shape(frame_832_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_832_shape_group_3_shape_1_horizontal_lines, 79, 11),
        shape(frame_832_shape_group_3_shape_2_horizontal_lines, 80, 2),
        shape(frame_832_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_832_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_832_shape_group_3_shape_5_horizontal_lines, 90, 13),
        shape(frame_832_shape_group_3_shape_6_horizontal_lines, 91, 3),
        shape(frame_832_shape_group_3_shape_7_horizontal_lines, 92, 13),
        shape(frame_832_shape_group_3_shape_8_horizontal_lines, 94, 8),
        shape(frame_832_shape_group_3_shape_9_horizontal_lines, 103, 6),
        shape(frame_832_shape_group_3_shape_10_horizontal_lines, 156, 6),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(170, 183),
        horizontal_line(175, 185),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(186, 217),
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(174, 184),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(184, 215),
        horizontal_line(184, 215),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(173, 182),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(183, 214),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_832_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(159, 170),
        horizontal_line(158, 173),
    };

    constexpr const shape frame_832_shape_group_4_shapes[] = {
        shape(frame_832_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_832_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_832_shape_group_4_shape_2_horizontal_lines, 80, 11),
        shape(frame_832_shape_group_4_shape_3_horizontal_lines, 81, 3),
        shape(frame_832_shape_group_4_shape_4_horizontal_lines, 83, 13),
        shape(frame_832_shape_group_4_shape_5_horizontal_lines, 85, 3),
        shape(frame_832_shape_group_4_shape_6_horizontal_lines, 86, 13),
        shape(frame_832_shape_group_4_shape_7_horizontal_lines, 88, 3),
        shape(frame_832_shape_group_4_shape_8_horizontal_lines, 89, 13),
        shape(frame_832_shape_group_4_shape_9_horizontal_lines, 90, 8),
        shape(frame_832_shape_group_4_shape_10_horizontal_lines, 91, 12),
        shape(frame_832_shape_group_4_shape_11_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(187, 218),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(182, 213),
    };

    constexpr const horizontal_line frame_832_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const shape frame_832_shape_group_5_shapes[] = {
        shape(frame_832_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_832_shape_group_5_shape_1_horizontal_lines, 79, 3),
        shape(frame_832_shape_group_5_shape_2_horizontal_lines, 80, 9),
        shape(frame_832_shape_group_5_shape_3_horizontal_lines, 81, 13),
        shape(frame_832_shape_group_5_shape_4_horizontal_lines, 82, 12),
        shape(frame_832_shape_group_5_shape_5_horizontal_lines, 85, 12),
        shape(frame_832_shape_group_5_shape_6_horizontal_lines, 87, 5),
        shape(frame_832_shape_group_5_shape_7_horizontal_lines, 88, 12),
        shape(frame_832_shape_group_5_shape_8_horizontal_lines, 89, 5),
        shape(frame_832_shape_group_5_shape_9_horizontal_lines, 91, 13),
        shape(frame_832_shape_group_5_shape_10_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(171, 179),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(186, 217),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(183, 214),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_832_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(159, 167),
    };

    constexpr const shape frame_832_shape_group_6_shapes[] = {
        shape(frame_832_shape_group_6_shape_0_horizontal_lines, 77, 10),
        shape(frame_832_shape_group_6_shape_1_horizontal_lines, 79, 12),
        shape(frame_832_shape_group_6_shape_2_horizontal_lines, 80, 3),
        shape(frame_832_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_832_shape_group_6_shape_4_horizontal_lines, 85, 13),
        shape(frame_832_shape_group_6_shape_5_horizontal_lines, 88, 13),
        shape(frame_832_shape_group_6_shape_6_horizontal_lines, 89, 8),
        shape(frame_832_shape_group_6_shape_7_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_832_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(167, 169),
    };

    constexpr const horizontal_line frame_832_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(164, 167),
    };

    constexpr const shape frame_832_shape_group_7_shapes[] = {
        shape(frame_832_shape_group_7_shape_0_horizontal_lines, 78, 9),
        shape(frame_832_shape_group_7_shape_1_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_832_shape_groups[] = {
        shape_group(frame_832_shape_group_0_shapes),
        shape_group(frame_832_shape_group_1_shapes),
        shape_group(frame_832_shape_group_2_shapes),
        shape_group(frame_832_shape_group_3_shapes),
        shape_group(frame_832_shape_group_4_shapes),
        shape_group(frame_832_shape_group_5_shapes),
        shape_group(frame_832_shape_group_6_shapes),
        shape_group(frame_832_shape_group_7_shapes),
    };

    constexpr const frame frame_832_impl(frame_832_colors, frame_832_shape_groups);
} 

const frame& frame_832()
{
    return frame_832_impl;
}

namespace
{
    constexpr const bn::color frame_833_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_833_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 165),
        horizontal_line(162, 165),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 159),
        horizontal_line(157, 158),
        horizontal_line(157, 157),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_833_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_833_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_833_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_833_shape_group_0_shapes[] = {
        shape(frame_833_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_833_shape_group_0_shape_1_horizontal_lines, 95, 2),
        shape(frame_833_shape_group_0_shape_2_horizontal_lines, 96, 4),
        shape(frame_833_shape_group_0_shape_3_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(178, 209),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(179, 208),
        horizontal_line(180, 207),
        horizontal_line(181, 207),
        horizontal_line(182, 206),
        horizontal_line(183, 206),
        horizontal_line(183, 205),
        horizontal_line(184, 205),
        horizontal_line(185, 204),
        horizontal_line(186, 204),
        horizontal_line(187, 203),
        horizontal_line(188, 203),
        horizontal_line(188, 202),
        horizontal_line(189, 202),
        horizontal_line(190, 201),
        horizontal_line(191, 201),
        horizontal_line(192, 200),
        horizontal_line(193, 200),
        horizontal_line(193, 199),
        horizontal_line(194, 199),
        horizontal_line(195, 198),
        horizontal_line(196, 198),
        horizontal_line(197, 197),
    };

    constexpr const horizontal_line frame_833_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_833_shape_group_1_shapes[] = {
        shape(frame_833_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_833_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_833_shape_group_1_shape_2_horizontal_lines, 95, 13),
        shape(frame_833_shape_group_1_shape_3_horizontal_lines, 96, 2),
        shape(frame_833_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_833_shape_group_1_shape_5_horizontal_lines, 119, 6),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(167, 173),
        horizontal_line(167, 177),
        horizontal_line(167, 181),
        horizontal_line(167, 185),
        horizontal_line(167, 189),
        horizontal_line(167, 193),
        horizontal_line(170, 197),
        horizontal_line(173, 201),
        horizontal_line(176, 205),
        horizontal_line(179, 209),
        horizontal_line(182, 213),
        horizontal_line(186, 217),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(164, 168),
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(161, 166),
        horizontal_line(164, 179),
        horizontal_line(167, 179),
        horizontal_line(170, 178),
        horizontal_line(173, 178),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(155, 177),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(178, 208),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(154, 178),
        horizontal_line(153, 179),
        horizontal_line(153, 180),
        horizontal_line(152, 181),
        horizontal_line(152, 182),
        horizontal_line(152, 182),
        horizontal_line(154, 183),
        horizontal_line(157, 184),
        horizontal_line(160, 185),
        horizontal_line(163, 186),
        horizontal_line(165, 187),
        horizontal_line(168, 187),
        horizontal_line(171, 188),
        horizontal_line(174, 189),
        horizontal_line(176, 190),
        horizontal_line(179, 191),
        horizontal_line(182, 192),
        horizontal_line(185, 192),
        horizontal_line(187, 193),
        horizontal_line(190, 194),
        horizontal_line(193, 195),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_833_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(196, 198),
        horizontal_line(195, 198),
        horizontal_line(194, 199),
        horizontal_line(193, 199),
        horizontal_line(192, 200),
        horizontal_line(191, 200),
        horizontal_line(190, 201),
        horizontal_line(189, 202),
        horizontal_line(188, 202),
        horizontal_line(187, 203),
        horizontal_line(186, 203),
        horizontal_line(185, 204),
        horizontal_line(183, 204),
        horizontal_line(182, 205),
        horizontal_line(181, 206),
        horizontal_line(180, 206),
        horizontal_line(179, 207),
        horizontal_line(178, 207),
        horizontal_line(177, 208),
        horizontal_line(176, 208),
        horizontal_line(175, 209),
        horizontal_line(174, 210),
        horizontal_line(173, 210),
        horizontal_line(172, 211),
        horizontal_line(171, 211),
        horizontal_line(170, 212),
        horizontal_line(169, 212),
        horizontal_line(168, 213),
        horizontal_line(167, 214),
        horizontal_line(166, 214),
        horizontal_line(165, 215),
        horizontal_line(164, 215),
        horizontal_line(163, 216),
        horizontal_line(162, 216),
        horizontal_line(161, 217),
        horizontal_line(160, 218),
        horizontal_line(159, 218),
        horizontal_line(158, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_833_shape_group_2_shapes[] = {
        shape(frame_833_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_833_shape_group_2_shape_1_horizontal_lines, 81, 11),
        shape(frame_833_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_833_shape_group_2_shape_3_horizontal_lines, 88, 3),
        shape(frame_833_shape_group_2_shape_4_horizontal_lines, 95, 8),
        shape(frame_833_shape_group_2_shape_5_horizontal_lines, 96, 13),
        shape(frame_833_shape_group_2_shape_6_horizontal_lines, 97, 8),
        shape(frame_833_shape_group_2_shape_7_horizontal_lines, 119, 6),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(171, 173),
        horizontal_line(175, 181),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(169, 183),
        horizontal_line(168, 183),
        horizontal_line(168, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 181),
        horizontal_line(166, 181),
        horizontal_line(166, 180),
        horizontal_line(168, 180),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(180, 211),
        horizontal_line(180, 211),
        horizontal_line(179, 210),
        horizontal_line(179, 210),
        horizontal_line(178, 209),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(155, 177),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(149, 156),
        horizontal_line(148, 159),
        horizontal_line(147, 162),
        horizontal_line(146, 164),
        horizontal_line(145, 167),
        horizontal_line(144, 170),
        horizontal_line(143, 173),
        horizontal_line(142, 175),
        horizontal_line(141, 178),
        horizontal_line(140, 181),
        horizontal_line(139, 184),
        horizontal_line(138, 186),
        horizontal_line(137, 189),
        horizontal_line(136, 192),
        horizontal_line(135, 195),
    };

    constexpr const horizontal_line frame_833_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(219, 219),
        horizontal_line(218, 220),
        horizontal_line(217, 221),
    };

    constexpr const shape frame_833_shape_group_3_shapes[] = {
        shape(frame_833_shape_group_3_shape_0_horizontal_lines, 75, 7),
        shape(frame_833_shape_group_3_shape_1_horizontal_lines, 78, 11),
        shape(frame_833_shape_group_3_shape_2_horizontal_lines, 80, 2),
        shape(frame_833_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_833_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_833_shape_group_3_shape_5_horizontal_lines, 90, 13),
        shape(frame_833_shape_group_3_shape_6_horizontal_lines, 96, 8),
        shape(frame_833_shape_group_3_shape_7_horizontal_lines, 103, 6),
        shape(frame_833_shape_group_3_shape_8_horizontal_lines, 157, 6),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(171, 172),
        horizontal_line(171, 173),
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(179, 185),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(169, 182),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(184, 215),
        horizontal_line(184, 215),
        horizontal_line(183, 214),
        horizontal_line(183, 214),
        horizontal_line(182, 213),
        horizontal_line(182, 213),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
    };

    constexpr const horizontal_line frame_833_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(158, 166),
        horizontal_line(157, 169),
        horizontal_line(157, 172),
        horizontal_line(156, 175),
    };

    constexpr const shape frame_833_shape_group_4_shapes[] = {
        shape(frame_833_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_833_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_833_shape_group_4_shape_2_horizontal_lines, 80, 11),
        shape(frame_833_shape_group_4_shape_3_horizontal_lines, 81, 3),
        shape(frame_833_shape_group_4_shape_4_horizontal_lines, 82, 13),
        shape(frame_833_shape_group_4_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_833_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(163, 165),
        horizontal_line(167, 167),
    };

    constexpr const shape frame_833_shape_group_5_shapes[] = {
        shape(frame_833_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_833_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_833_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_833_shape_group_5_shape_3_horizontal_lines, 80, 9),
        shape(frame_833_shape_group_5_shape_4_horizontal_lines, 81, 13),
        shape(frame_833_shape_group_5_shape_5_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_833_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_833_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_833_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_833_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_833_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(160, 160),
    };

    constexpr const shape frame_833_shape_group_6_shapes[] = {
        shape(frame_833_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_833_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_833_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_833_shape_group_6_shape_3_horizontal_lines, 80, 3),
        shape(frame_833_shape_group_6_shape_4_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_833_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const shape frame_833_shape_group_7_shapes[] = {
        shape(frame_833_shape_group_7_shape_0_horizontal_lines, 77, 10),
    };

    constexpr const shape_group frame_833_shape_groups[] = {
        shape_group(frame_833_shape_group_0_shapes),
        shape_group(frame_833_shape_group_1_shapes),
        shape_group(frame_833_shape_group_2_shapes),
        shape_group(frame_833_shape_group_3_shapes),
        shape_group(frame_833_shape_group_4_shapes),
        shape_group(frame_833_shape_group_5_shapes),
        shape_group(frame_833_shape_group_6_shapes),
        shape_group(frame_833_shape_group_7_shapes),
    };

    constexpr const frame frame_833_impl(frame_833_colors, frame_833_shape_groups);
} 

const frame& frame_833()
{
    return frame_833_impl;
}

namespace
{
    constexpr const bn::color frame_834_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_834_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(169, 231),
        horizontal_line(173, 235),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(155, 157),
        horizontal_line(155, 156),
        horizontal_line(155, 155),
        horizontal_line(154, 154),
        horizontal_line(154, 154),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_834_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_834_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_834_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_834_shape_group_0_shapes[] = {
        shape(frame_834_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_834_shape_group_0_shape_1_horizontal_lines, 95, 2),
        shape(frame_834_shape_group_0_shape_2_horizontal_lines, 96, 4),
        shape(frame_834_shape_group_0_shape_3_horizontal_lines, 97, 2),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(189, 239),
        horizontal_line(193, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(177, 209),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(178, 208),
        horizontal_line(179, 207),
        horizontal_line(180, 207),
        horizontal_line(181, 206),
        horizontal_line(181, 205),
        horizontal_line(182, 205),
        horizontal_line(183, 204),
        horizontal_line(184, 204),
        horizontal_line(185, 203),
        horizontal_line(185, 203),
        horizontal_line(186, 202),
        horizontal_line(187, 202),
        horizontal_line(188, 201),
        horizontal_line(189, 201),
        horizontal_line(189, 200),
        horizontal_line(190, 200),
        horizontal_line(191, 199),
        horizontal_line(192, 199),
        horizontal_line(193, 198),
        horizontal_line(193, 198),
        horizontal_line(194, 197),
        horizontal_line(195, 197),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_834_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_834_shape_group_1_shapes[] = {
        shape(frame_834_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_834_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_834_shape_group_1_shape_2_horizontal_lines, 95, 13),
        shape(frame_834_shape_group_1_shape_3_horizontal_lines, 96, 2),
        shape(frame_834_shape_group_1_shape_4_horizontal_lines, 97, 13),
        shape(frame_834_shape_group_1_shape_5_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(165, 180),
        horizontal_line(165, 184),
        horizontal_line(165, 188),
        horizontal_line(165, 192),
        horizontal_line(168, 196),
        horizontal_line(171, 200),
        horizontal_line(175, 204),
        horizontal_line(178, 208),
        horizontal_line(181, 212),
        horizontal_line(185, 217),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 164),
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(159, 164),
        horizontal_line(162, 178),
        horizontal_line(165, 167),
        horizontal_line(169, 177),
        horizontal_line(171, 177),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(153, 176),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(177, 208),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(152, 177),
        horizontal_line(151, 178),
        horizontal_line(151, 179),
        horizontal_line(150, 180),
        horizontal_line(150, 180),
        horizontal_line(150, 181),
        horizontal_line(152, 182),
        horizontal_line(155, 183),
        horizontal_line(158, 184),
        horizontal_line(160, 184),
        horizontal_line(163, 185),
        horizontal_line(166, 186),
        horizontal_line(168, 187),
        horizontal_line(171, 188),
        horizontal_line(174, 188),
        horizontal_line(176, 189),
        horizontal_line(179, 190),
        horizontal_line(182, 191),
        horizontal_line(184, 192),
        horizontal_line(187, 192),
        horizontal_line(190, 193),
        horizontal_line(192, 194),
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_834_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(194, 197),
        horizontal_line(193, 197),
        horizontal_line(192, 198),
        horizontal_line(191, 198),
        horizontal_line(190, 199),
        horizontal_line(189, 199),
        horizontal_line(188, 200),
        horizontal_line(187, 201),
        horizontal_line(186, 201),
        horizontal_line(185, 202),
        horizontal_line(184, 202),
        horizontal_line(183, 203),
        horizontal_line(182, 204),
        horizontal_line(181, 204),
        horizontal_line(180, 205),
        horizontal_line(179, 205),
        horizontal_line(178, 206),
        horizontal_line(177, 207),
        horizontal_line(176, 207),
        horizontal_line(175, 208),
        horizontal_line(174, 208),
        horizontal_line(173, 209),
        horizontal_line(172, 209),
        horizontal_line(171, 210),
        horizontal_line(170, 211),
        horizontal_line(169, 211),
        horizontal_line(168, 212),
        horizontal_line(167, 212),
        horizontal_line(166, 213),
        horizontal_line(165, 214),
        horizontal_line(164, 214),
        horizontal_line(163, 215),
        horizontal_line(162, 215),
        horizontal_line(161, 216),
        horizontal_line(160, 217),
        horizontal_line(159, 217),
        horizontal_line(158, 218),
        horizontal_line(157, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_834_shape_group_2_shapes[] = {
        shape(frame_834_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_834_shape_group_2_shape_1_horizontal_lines, 70, 4),
        shape(frame_834_shape_group_2_shape_2_horizontal_lines, 71, 2),
        shape(frame_834_shape_group_2_shape_3_horizontal_lines, 81, 11),
        shape(frame_834_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_834_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_834_shape_group_2_shape_6_horizontal_lines, 95, 8),
        shape(frame_834_shape_group_2_shape_7_horizontal_lines, 96, 13),
        shape(frame_834_shape_group_2_shape_8_horizontal_lines, 97, 8),
        shape(frame_834_shape_group_2_shape_9_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(165, 176),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(173, 180),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 170),
        horizontal_line(167, 182),
        horizontal_line(166, 181),
        horizontal_line(166, 169),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 168),
        horizontal_line(166, 179),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(179, 211),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(178, 210),
        horizontal_line(178, 210),
        horizontal_line(177, 209),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(153, 176),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(148, 154),
        horizontal_line(147, 157),
        horizontal_line(146, 159),
        horizontal_line(145, 162),
        horizontal_line(144, 165),
        horizontal_line(143, 167),
        horizontal_line(142, 170),
        horizontal_line(141, 173),
        horizontal_line(140, 175),
        horizontal_line(139, 178),
        horizontal_line(138, 181),
        horizontal_line(137, 183),
        horizontal_line(136, 186),
        horizontal_line(135, 189),
        horizontal_line(134, 191),
        horizontal_line(133, 194),
    };

    constexpr const horizontal_line frame_834_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(218, 219),
        horizontal_line(217, 220),
    };

    constexpr const shape frame_834_shape_group_3_shapes[] = {
        shape(frame_834_shape_group_3_shape_0_horizontal_lines, 70, 2),
        shape(frame_834_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_834_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_834_shape_group_3_shape_3_horizontal_lines, 80, 2),
        shape(frame_834_shape_group_3_shape_4_horizontal_lines, 81, 9),
        shape(frame_834_shape_group_3_shape_5_horizontal_lines, 82, 3),
        shape(frame_834_shape_group_3_shape_6_horizontal_lines, 90, 13),
        shape(frame_834_shape_group_3_shape_7_horizontal_lines, 91, 3),
        shape(frame_834_shape_group_3_shape_8_horizontal_lines, 92, 13),
        shape(frame_834_shape_group_3_shape_9_horizontal_lines, 96, 8),
        shape(frame_834_shape_group_3_shape_10_horizontal_lines, 103, 6),
        shape(frame_834_shape_group_3_shape_11_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 171),
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(163, 167),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(167, 181),
        horizontal_line(172, 182),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(183, 215),
        horizontal_line(182, 214),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(171, 181),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(181, 213),
        horizontal_line(181, 213),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(180, 212),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_834_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(155, 167),
        horizontal_line(155, 170),
        horizontal_line(154, 173),
    };

    constexpr const shape frame_834_shape_group_4_shapes[] = {
        shape(frame_834_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_834_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_834_shape_group_4_shape_2_horizontal_lines, 80, 11),
        shape(frame_834_shape_group_4_shape_3_horizontal_lines, 81, 3),
        shape(frame_834_shape_group_4_shape_4_horizontal_lines, 83, 13),
        shape(frame_834_shape_group_4_shape_5_horizontal_lines, 85, 3),
        shape(frame_834_shape_group_4_shape_6_horizontal_lines, 86, 13),
        shape(frame_834_shape_group_4_shape_7_horizontal_lines, 88, 3),
        shape(frame_834_shape_group_4_shape_8_horizontal_lines, 89, 13),
        shape(frame_834_shape_group_4_shape_9_horizontal_lines, 90, 8),
        shape(frame_834_shape_group_4_shape_10_horizontal_lines, 91, 12),
        shape(frame_834_shape_group_4_shape_11_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(163, 167),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(184, 216),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(179, 211),
    };

    constexpr const horizontal_line frame_834_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const shape frame_834_shape_group_5_shapes[] = {
        shape(frame_834_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_834_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_834_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_834_shape_group_5_shape_3_horizontal_lines, 80, 9),
        shape(frame_834_shape_group_5_shape_4_horizontal_lines, 81, 13),
        shape(frame_834_shape_group_5_shape_5_horizontal_lines, 82, 12),
        shape(frame_834_shape_group_5_shape_6_horizontal_lines, 85, 12),
        shape(frame_834_shape_group_5_shape_7_horizontal_lines, 87, 5),
        shape(frame_834_shape_group_5_shape_8_horizontal_lines, 88, 12),
        shape(frame_834_shape_group_5_shape_9_horizontal_lines, 89, 5),
        shape(frame_834_shape_group_5_shape_10_horizontal_lines, 91, 13),
        shape(frame_834_shape_group_5_shape_11_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(164, 166),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(168, 176),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(183, 215),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(182, 214),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(180, 212),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_834_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(156, 164),
    };

    constexpr const shape frame_834_shape_group_6_shapes[] = {
        shape(frame_834_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_834_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_834_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_834_shape_group_6_shape_3_horizontal_lines, 80, 3),
        shape(frame_834_shape_group_6_shape_4_horizontal_lines, 82, 13),
        shape(frame_834_shape_group_6_shape_5_horizontal_lines, 85, 13),
        shape(frame_834_shape_group_6_shape_6_horizontal_lines, 88, 13),
        shape(frame_834_shape_group_6_shape_7_horizontal_lines, 89, 8),
        shape(frame_834_shape_group_6_shape_8_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_834_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_834_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(162, 164),
    };

    constexpr const shape frame_834_shape_group_7_shapes[] = {
        shape(frame_834_shape_group_7_shape_0_horizontal_lines, 77, 10),
        shape(frame_834_shape_group_7_shape_1_horizontal_lines, 88, 5),
    };

    constexpr const shape_group frame_834_shape_groups[] = {
        shape_group(frame_834_shape_group_0_shapes),
        shape_group(frame_834_shape_group_1_shapes),
        shape_group(frame_834_shape_group_2_shapes),
        shape_group(frame_834_shape_group_3_shapes),
        shape_group(frame_834_shape_group_4_shapes),
        shape_group(frame_834_shape_group_5_shapes),
        shape_group(frame_834_shape_group_6_shapes),
        shape_group(frame_834_shape_group_7_shapes),
    };

    constexpr const frame frame_834_impl(frame_834_colors, frame_834_shape_groups);
} 

const frame& frame_834()
{
    return frame_834_impl;
}

namespace
{
    constexpr const bn::color frame_835_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_835_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(172, 234),
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(162, 163),
        horizontal_line(162, 163),
        horizontal_line(161, 163),
        horizontal_line(161, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(154, 157),
        horizontal_line(154, 156),
        horizontal_line(154, 155),
        horizontal_line(153, 154),
        horizontal_line(153, 153),
        horizontal_line(152, 153),
        horizontal_line(152, 152),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_835_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_835_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_835_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_835_shape_group_0_shapes[] = {
        shape(frame_835_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_835_shape_group_0_shape_1_horizontal_lines, 97, 2),
        shape(frame_835_shape_group_0_shape_2_horizontal_lines, 98, 4),
        shape(frame_835_shape_group_0_shape_3_horizontal_lines, 99, 2),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(234, 239),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(217, 217),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(177, 207),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(179, 206),
        horizontal_line(180, 205),
        horizontal_line(180, 204),
        horizontal_line(181, 204),
        horizontal_line(182, 203),
        horizontal_line(183, 203),
        horizontal_line(184, 202),
        horizontal_line(184, 202),
        horizontal_line(185, 201),
        horizontal_line(186, 201),
        horizontal_line(187, 200),
        horizontal_line(188, 200),
        horizontal_line(188, 199),
        horizontal_line(189, 199),
        horizontal_line(190, 198),
        horizontal_line(191, 198),
        horizontal_line(192, 197),
        horizontal_line(192, 197),
        horizontal_line(193, 196),
        horizontal_line(194, 196),
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_835_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_835_shape_group_1_shapes[] = {
        shape(frame_835_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_835_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_835_shape_group_1_shape_2_horizontal_lines, 97, 13),
        shape(frame_835_shape_group_1_shape_3_horizontal_lines, 98, 2),
        shape(frame_835_shape_group_1_shape_4_horizontal_lines, 99, 13),
        shape(frame_835_shape_group_1_shape_5_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(164, 179),
        horizontal_line(164, 183),
        horizontal_line(164, 187),
        horizontal_line(164, 191),
        horizontal_line(167, 195),
        horizontal_line(170, 199),
        horizontal_line(173, 203),
        horizontal_line(176, 207),
        horizontal_line(179, 211),
        horizontal_line(183, 216),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 163),
        horizontal_line(162, 177),
        horizontal_line(165, 176),
        horizontal_line(168, 176),
        horizontal_line(171, 175),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(176, 208),
        horizontal_line(176, 207),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(151, 176),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(178, 206),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(150, 178),
        horizontal_line(149, 179),
        horizontal_line(149, 179),
        horizontal_line(149, 180),
        horizontal_line(151, 181),
        horizontal_line(154, 182),
        horizontal_line(157, 183),
        horizontal_line(159, 183),
        horizontal_line(162, 184),
        horizontal_line(165, 185),
        horizontal_line(167, 186),
        horizontal_line(170, 187),
        horizontal_line(173, 187),
        horizontal_line(175, 188),
        horizontal_line(178, 189),
        horizontal_line(181, 190),
        horizontal_line(183, 191),
        horizontal_line(186, 191),
        horizontal_line(189, 192),
        horizontal_line(191, 193),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_835_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(193, 196),
        horizontal_line(192, 196),
        horizontal_line(191, 197),
        horizontal_line(190, 197),
        horizontal_line(189, 198),
        horizontal_line(188, 198),
        horizontal_line(187, 199),
        horizontal_line(186, 199),
        horizontal_line(185, 200),
        horizontal_line(184, 201),
        horizontal_line(183, 201),
        horizontal_line(182, 202),
        horizontal_line(181, 202),
        horizontal_line(180, 203),
        horizontal_line(179, 203),
        horizontal_line(178, 204),
        horizontal_line(177, 205),
        horizontal_line(176, 205),
        horizontal_line(175, 206),
        horizontal_line(174, 206),
        horizontal_line(173, 207),
        horizontal_line(172, 207),
        horizontal_line(171, 208),
        horizontal_line(170, 208),
        horizontal_line(169, 209),
        horizontal_line(168, 210),
        horizontal_line(167, 210),
        horizontal_line(166, 211),
        horizontal_line(165, 211),
        horizontal_line(164, 212),
        horizontal_line(163, 212),
        horizontal_line(162, 213),
        horizontal_line(161, 214),
        horizontal_line(160, 214),
        horizontal_line(159, 215),
        horizontal_line(158, 215),
        horizontal_line(157, 216),
        horizontal_line(156, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_835_shape_group_2_shapes[] = {
        shape(frame_835_shape_group_2_shape_0_horizontal_lines, 68, 2),
        shape(frame_835_shape_group_2_shape_1_horizontal_lines, 70, 4),
        shape(frame_835_shape_group_2_shape_2_horizontal_lines, 71, 2),
        shape(frame_835_shape_group_2_shape_3_horizontal_lines, 81, 11),
        shape(frame_835_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_835_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_835_shape_group_2_shape_6_horizontal_lines, 95, 13),
        shape(frame_835_shape_group_2_shape_7_horizontal_lines, 97, 8),
        shape(frame_835_shape_group_2_shape_8_horizontal_lines, 98, 13),
        shape(frame_835_shape_group_2_shape_9_horizontal_lines, 99, 8),
        shape(frame_835_shape_group_2_shape_10_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(164, 175),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(164, 166),
        horizontal_line(164, 167),
        horizontal_line(165, 167),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(168, 175),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(162, 165),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(166, 181),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(164, 179),
        horizontal_line(164, 179),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(165, 177),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(178, 210),
        horizontal_line(177, 210),
        horizontal_line(177, 209),
        horizontal_line(176, 209),
        horizontal_line(176, 208),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(153, 175),
        horizontal_line(152, 175),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(151, 177),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(148, 150),
        horizontal_line(147, 153),
        horizontal_line(146, 156),
        horizontal_line(145, 158),
        horizontal_line(144, 161),
        horizontal_line(143, 164),
        horizontal_line(142, 166),
        horizontal_line(141, 169),
        horizontal_line(140, 172),
        horizontal_line(139, 174),
        horizontal_line(138, 177),
        horizontal_line(137, 180),
        horizontal_line(136, 182),
        horizontal_line(135, 185),
        horizontal_line(134, 188),
        horizontal_line(133, 190),
        horizontal_line(132, 193),
    };

    constexpr const horizontal_line frame_835_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(217, 218),
    };

    constexpr const shape frame_835_shape_group_3_shapes[] = {
        shape(frame_835_shape_group_3_shape_0_horizontal_lines, 70, 2),
        shape(frame_835_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_835_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_835_shape_group_3_shape_3_horizontal_lines, 80, 2),
        shape(frame_835_shape_group_3_shape_4_horizontal_lines, 81, 9),
        shape(frame_835_shape_group_3_shape_5_horizontal_lines, 82, 3),
        shape(frame_835_shape_group_3_shape_6_horizontal_lines, 90, 13),
        shape(frame_835_shape_group_3_shape_7_horizontal_lines, 95, 8),
        shape(frame_835_shape_group_3_shape_8_horizontal_lines, 98, 8),
        shape(frame_835_shape_group_3_shape_9_horizontal_lines, 103, 6),
        shape(frame_835_shape_group_3_shape_10_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(168, 169),
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(163, 167),
        horizontal_line(163, 166),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(176, 182),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(166, 180),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(182, 214),
        horizontal_line(181, 214),
        horizontal_line(181, 213),
        horizontal_line(180, 213),
        horizontal_line(180, 212),
        horizontal_line(179, 212),
        horizontal_line(179, 211),
        horizontal_line(178, 211),
    };

    constexpr const horizontal_line frame_835_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(156, 164),
        horizontal_line(155, 167),
        horizontal_line(154, 170),
        horizontal_line(154, 173),
    };

    constexpr const shape frame_835_shape_group_4_shapes[] = {
        shape(frame_835_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_835_shape_group_4_shape_1_horizontal_lines, 78, 9),
        shape(frame_835_shape_group_4_shape_2_horizontal_lines, 80, 11),
        shape(frame_835_shape_group_4_shape_3_horizontal_lines, 81, 3),
        shape(frame_835_shape_group_4_shape_4_horizontal_lines, 82, 13),
        shape(frame_835_shape_group_4_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_835_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(163, 164),
    };

    constexpr const horizontal_line frame_835_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_835_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_835_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(182, 215),
    };

    constexpr const horizontal_line frame_835_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(160, 162),
        horizontal_line(164, 164),
    };

    constexpr const shape frame_835_shape_group_5_shapes[] = {
        shape(frame_835_shape_group_5_shape_0_horizontal_lines, 77, 9),
        shape(frame_835_shape_group_5_shape_1_horizontal_lines, 79, 3),
        shape(frame_835_shape_group_5_shape_2_horizontal_lines, 80, 9),
        shape(frame_835_shape_group_5_shape_3_horizontal_lines, 81, 13),
        shape(frame_835_shape_group_5_shape_4_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_835_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_835_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(158, 158),
    };

    constexpr const shape frame_835_shape_group_6_shapes[] = {
        shape(frame_835_shape_group_6_shape_0_horizontal_lines, 80, 3),
        shape(frame_835_shape_group_6_shape_1_horizontal_lines, 89, 8),
    };

    constexpr const shape_group frame_835_shape_groups[] = {
        shape_group(frame_835_shape_group_0_shapes),
        shape_group(frame_835_shape_group_1_shapes),
        shape_group(frame_835_shape_group_2_shapes),
        shape_group(frame_835_shape_group_3_shapes),
        shape_group(frame_835_shape_group_4_shapes),
        shape_group(frame_835_shape_group_5_shapes),
        shape_group(frame_835_shape_group_6_shapes),
    };

    constexpr const frame frame_835_impl(frame_835_colors, frame_835_shape_groups);
} 

const frame& frame_835()
{
    return frame_835_impl;
}

namespace
{
    constexpr const bn::color frame_836_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_836_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(169, 231),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(159, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(152, 155),
        horizontal_line(152, 154),
        horizontal_line(151, 153),
        horizontal_line(151, 152),
        horizontal_line(151, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 150),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_836_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_836_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_836_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_836_shape_group_0_shapes[] = {
        shape(frame_836_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_836_shape_group_0_shape_1_horizontal_lines, 97, 2),
        shape(frame_836_shape_group_0_shape_2_horizontal_lines, 98, 4),
        shape(frame_836_shape_group_0_shape_3_horizontal_lines, 99, 2),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(173, 235),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 216),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(176, 205),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(177, 204),
        horizontal_line(178, 204),
        horizontal_line(179, 203),
        horizontal_line(179, 203),
        horizontal_line(180, 202),
        horizontal_line(181, 202),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(183, 200),
        horizontal_line(184, 199),
        horizontal_line(185, 199),
        horizontal_line(185, 198),
        horizontal_line(186, 198),
        horizontal_line(187, 197),
        horizontal_line(188, 197),
        horizontal_line(188, 196),
        horizontal_line(189, 196),
        horizontal_line(190, 195),
        horizontal_line(191, 195),
        horizontal_line(191, 194),
        horizontal_line(192, 194),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_836_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_836_shape_group_1_shapes[] = {
        shape(frame_836_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_836_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_836_shape_group_1_shape_2_horizontal_lines, 97, 13),
        shape(frame_836_shape_group_1_shape_3_horizontal_lines, 98, 2),
        shape(frame_836_shape_group_1_shape_4_horizontal_lines, 99, 13),
        shape(frame_836_shape_group_1_shape_5_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(162, 164),
        horizontal_line(162, 168),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(162, 180),
        horizontal_line(162, 184),
        horizontal_line(162, 188),
        horizontal_line(162, 191),
        horizontal_line(166, 195),
        horizontal_line(170, 199),
        horizontal_line(174, 203),
        horizontal_line(178, 207),
        horizontal_line(182, 211),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 161),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(157, 161),
        horizontal_line(160, 175),
        horizontal_line(164, 164),
        horizontal_line(167, 174),
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(174, 207),
        horizontal_line(174, 206),
        horizontal_line(175, 206),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(149, 175),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(176, 205),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(148, 176),
        horizontal_line(147, 177),
        horizontal_line(147, 178),
        horizontal_line(147, 178),
        horizontal_line(149, 179),
        horizontal_line(152, 180),
        horizontal_line(154, 181),
        horizontal_line(157, 181),
        horizontal_line(159, 182),
        horizontal_line(162, 183),
        horizontal_line(164, 184),
        horizontal_line(167, 184),
        horizontal_line(169, 185),
        horizontal_line(172, 186),
        horizontal_line(174, 187),
        horizontal_line(177, 187),
        horizontal_line(179, 188),
        horizontal_line(182, 189),
        horizontal_line(184, 190),
        horizontal_line(187, 190),
        horizontal_line(189, 191),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_836_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(190, 194),
        horizontal_line(189, 194),
        horizontal_line(188, 195),
        horizontal_line(187, 195),
        horizontal_line(186, 196),
        horizontal_line(185, 197),
        horizontal_line(184, 197),
        horizontal_line(183, 198),
        horizontal_line(182, 198),
        horizontal_line(181, 199),
        horizontal_line(181, 200),
        horizontal_line(180, 200),
        horizontal_line(179, 201),
        horizontal_line(178, 201),
        horizontal_line(177, 202),
        horizontal_line(176, 203),
        horizontal_line(175, 203),
        horizontal_line(174, 204),
        horizontal_line(173, 204),
        horizontal_line(172, 205),
        horizontal_line(171, 206),
        horizontal_line(170, 206),
        horizontal_line(169, 207),
        horizontal_line(168, 207),
        horizontal_line(167, 208),
        horizontal_line(166, 209),
        horizontal_line(165, 209),
        horizontal_line(164, 210),
        horizontal_line(163, 210),
        horizontal_line(162, 211),
        horizontal_line(161, 212),
        horizontal_line(160, 212),
        horizontal_line(159, 213),
        horizontal_line(158, 213),
        horizontal_line(157, 214),
        horizontal_line(156, 215),
        horizontal_line(155, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
    };

    constexpr const shape frame_836_shape_group_2_shapes[] = {
        shape(frame_836_shape_group_2_shape_0_horizontal_lines, 67, 2),
        shape(frame_836_shape_group_2_shape_1_horizontal_lines, 69, 4),
        shape(frame_836_shape_group_2_shape_2_horizontal_lines, 71, 2),
        shape(frame_836_shape_group_2_shape_3_horizontal_lines, 81, 11),
        shape(frame_836_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_836_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_836_shape_group_2_shape_6_horizontal_lines, 94, 13),
        shape(frame_836_shape_group_2_shape_7_horizontal_lines, 97, 8),
        shape(frame_836_shape_group_2_shape_8_horizontal_lines, 98, 13),
        shape(frame_836_shape_group_2_shape_9_horizontal_lines, 99, 8),
        shape(frame_836_shape_group_2_shape_10_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(162, 172),
        horizontal_line(162, 176),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(171, 181),
        horizontal_line(175, 180),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(164, 179),
        horizontal_line(164, 167),
        horizontal_line(163, 167),
        horizontal_line(163, 177),
        horizontal_line(162, 166),
        horizontal_line(162, 176),
        horizontal_line(162, 165),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(176, 209),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(166, 174),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(175, 208),
        horizontal_line(174, 208),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(152, 173),
        horizontal_line(151, 173),
        horizontal_line(150, 174),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(149, 175),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(145, 151),
        horizontal_line(144, 153),
        horizontal_line(143, 156),
        horizontal_line(142, 158),
        horizontal_line(141, 161),
        horizontal_line(140, 163),
        horizontal_line(139, 166),
        horizontal_line(138, 168),
        horizontal_line(137, 171),
        horizontal_line(136, 173),
        horizontal_line(135, 176),
        horizontal_line(134, 178),
        horizontal_line(133, 181),
        horizontal_line(132, 183),
        horizontal_line(131, 186),
        horizontal_line(130, 188),
        horizontal_line(129, 191),
    };

    constexpr const horizontal_line frame_836_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(216, 216),
        horizontal_line(216, 217),
    };

    constexpr const shape frame_836_shape_group_3_shapes[] = {
        shape(frame_836_shape_group_3_shape_0_horizontal_lines, 69, 2),
        shape(frame_836_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_836_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_836_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_836_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_836_shape_group_3_shape_5_horizontal_lines, 90, 13),
        shape(frame_836_shape_group_3_shape_6_horizontal_lines, 91, 3),
        shape(frame_836_shape_group_3_shape_7_horizontal_lines, 92, 13),
        shape(frame_836_shape_group_3_shape_8_horizontal_lines, 94, 8),
        shape(frame_836_shape_group_3_shape_9_horizontal_lines, 98, 8),
        shape(frame_836_shape_group_3_shape_10_horizontal_lines, 103, 6),
        shape(frame_836_shape_group_3_shape_11_horizontal_lines, 158, 6),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(180, 213),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(169, 178),
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(178, 212),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(177, 211),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(167, 176),
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(153, 166),
        horizontal_line(152, 170),
    };

    constexpr const horizontal_line frame_836_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(191, 191),
    };

    constexpr const shape frame_836_shape_group_4_shapes[] = {
        shape(frame_836_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_836_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_836_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_836_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_836_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_836_shape_group_4_shape_5_horizontal_lines, 85, 13),
        shape(frame_836_shape_group_4_shape_6_horizontal_lines, 86, 3),
        shape(frame_836_shape_group_4_shape_7_horizontal_lines, 87, 13),
        shape(frame_836_shape_group_4_shape_8_horizontal_lines, 88, 3),
        shape(frame_836_shape_group_4_shape_9_horizontal_lines, 90, 8),
        shape(frame_836_shape_group_4_shape_10_horizontal_lines, 91, 12),
        shape(frame_836_shape_group_4_shape_11_horizontal_lines, 92, 8),
        shape(frame_836_shape_group_4_shape_12_horizontal_lines, 120, 6),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(165, 169),
        horizontal_line(165, 174),
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_836_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(175, 209),
    };

    constexpr const shape frame_836_shape_group_5_shapes[] = {
        shape(frame_836_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_836_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_836_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_836_shape_group_5_shape_3_horizontal_lines, 83, 12),
        shape(frame_836_shape_group_5_shape_4_horizontal_lines, 86, 12),
        shape(frame_836_shape_group_5_shape_5_horizontal_lines, 87, 5),
        shape(frame_836_shape_group_5_shape_6_horizontal_lines, 88, 12),
        shape(frame_836_shape_group_5_shape_7_horizontal_lines, 91, 13),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(181, 215),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(179, 213),
        horizontal_line(179, 212),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(178, 211),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(177, 210),
        horizontal_line(176, 210),
    };

    constexpr const horizontal_line frame_836_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(154, 163),
    };

    constexpr const shape frame_836_shape_group_6_shapes[] = {
        shape(frame_836_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_836_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_836_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_836_shape_group_6_shape_3_horizontal_lines, 80, 13),
        shape(frame_836_shape_group_6_shape_4_horizontal_lines, 81, 12),
        shape(frame_836_shape_group_6_shape_5_horizontal_lines, 83, 13),
        shape(frame_836_shape_group_6_shape_6_horizontal_lines, 86, 13),
        shape(frame_836_shape_group_6_shape_7_horizontal_lines, 88, 13),
        shape(frame_836_shape_group_6_shape_8_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_836_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_836_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(180, 214),
    };

    constexpr const horizontal_line frame_836_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(162, 162),
    };

    constexpr const shape frame_836_shape_group_7_shapes[] = {
        shape(frame_836_shape_group_7_shape_0_horizontal_lines, 77, 10),
        shape(frame_836_shape_group_7_shape_1_horizontal_lines, 81, 13),
        shape(frame_836_shape_group_7_shape_2_horizontal_lines, 88, 5),
    };

    constexpr const horizontal_line frame_836_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(156, 156),
    };

    constexpr const shape frame_836_shape_group_8_shapes[] = {
        shape(frame_836_shape_group_8_shape_0_horizontal_lines, 89, 8),
    };

    constexpr const shape_group frame_836_shape_groups[] = {
        shape_group(frame_836_shape_group_0_shapes),
        shape_group(frame_836_shape_group_1_shapes),
        shape_group(frame_836_shape_group_2_shapes),
        shape_group(frame_836_shape_group_3_shapes),
        shape_group(frame_836_shape_group_4_shapes),
        shape_group(frame_836_shape_group_5_shapes),
        shape_group(frame_836_shape_group_6_shapes),
        shape_group(frame_836_shape_group_7_shapes),
        shape_group(frame_836_shape_group_8_shapes),
    };

    constexpr const frame frame_836_impl(frame_836_colors, frame_836_shape_groups);
} 

const frame& frame_836()
{
    return frame_836_impl;
}

namespace
{
    constexpr const bn::color frame_837_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_837_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 154),
        horizontal_line(150, 153),
        horizontal_line(150, 152),
        horizontal_line(150, 151),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(148, 149),
        horizontal_line(148, 148),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_837_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_837_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_837_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const shape frame_837_shape_group_0_shapes[] = {
        shape(frame_837_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_837_shape_group_0_shape_1_horizontal_lines, 98, 2),
        shape(frame_837_shape_group_0_shape_2_horizontal_lines, 99, 4),
        shape(frame_837_shape_group_0_shape_3_horizontal_lines, 100, 2),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 215),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(175, 204),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(177, 203),
        horizontal_line(178, 203),
        horizontal_line(178, 202),
        horizontal_line(179, 201),
        horizontal_line(180, 201),
        horizontal_line(180, 200),
        horizontal_line(181, 200),
        horizontal_line(182, 199),
        horizontal_line(183, 199),
        horizontal_line(183, 198),
        horizontal_line(184, 198),
        horizontal_line(185, 197),
        horizontal_line(185, 197),
        horizontal_line(186, 196),
        horizontal_line(187, 196),
        horizontal_line(188, 195),
        horizontal_line(188, 195),
        horizontal_line(189, 194),
        horizontal_line(190, 194),
        horizontal_line(190, 193),
        horizontal_line(191, 193),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_837_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_837_shape_group_1_shapes[] = {
        shape(frame_837_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_837_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_837_shape_group_1_shape_2_horizontal_lines, 98, 13),
        shape(frame_837_shape_group_1_shape_3_horizontal_lines, 99, 2),
        shape(frame_837_shape_group_1_shape_4_horizontal_lines, 100, 13),
        shape(frame_837_shape_group_1_shape_5_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(161, 163),
        horizontal_line(161, 167),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(161, 179),
        horizontal_line(161, 183),
        horizontal_line(161, 187),
        horizontal_line(161, 190),
        horizontal_line(164, 194),
        horizontal_line(168, 198),
        horizontal_line(172, 202),
        horizontal_line(176, 206),
        horizontal_line(180, 210),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(156, 158),
        horizontal_line(156, 174),
        horizontal_line(159, 173),
        horizontal_line(163, 173),
        horizontal_line(166, 172),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(173, 206),
        horizontal_line(173, 206),
        horizontal_line(174, 205),
        horizontal_line(175, 205),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(147, 174),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(176, 204),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(146, 176),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 178),
        horizontal_line(147, 179),
        horizontal_line(150, 179),
        horizontal_line(152, 180),
        horizontal_line(155, 181),
        horizontal_line(157, 182),
        horizontal_line(160, 182),
        horizontal_line(163, 183),
        horizontal_line(165, 184),
        horizontal_line(168, 184),
        horizontal_line(170, 185),
        horizontal_line(173, 186),
        horizontal_line(175, 187),
        horizontal_line(178, 187),
        horizontal_line(181, 188),
        horizontal_line(183, 189),
        horizontal_line(186, 189),
        horizontal_line(188, 190),
        horizontal_line(191, 191),
    };

    constexpr const horizontal_line frame_837_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(189, 193),
        horizontal_line(188, 193),
        horizontal_line(187, 194),
        horizontal_line(186, 194),
        horizontal_line(185, 195),
        horizontal_line(184, 195),
        horizontal_line(183, 196),
        horizontal_line(182, 197),
        horizontal_line(181, 197),
        horizontal_line(180, 198),
        horizontal_line(179, 198),
        horizontal_line(178, 199),
        horizontal_line(177, 200),
        horizontal_line(176, 200),
        horizontal_line(175, 201),
        horizontal_line(174, 201),
        horizontal_line(173, 202),
        horizontal_line(172, 203),
        horizontal_line(171, 203),
        horizontal_line(171, 204),
        horizontal_line(170, 204),
        horizontal_line(169, 205),
        horizontal_line(168, 206),
        horizontal_line(167, 206),
        horizontal_line(166, 207),
        horizontal_line(165, 207),
        horizontal_line(164, 208),
        horizontal_line(163, 209),
        horizontal_line(162, 209),
        horizontal_line(161, 210),
        horizontal_line(160, 210),
        horizontal_line(159, 211),
        horizontal_line(158, 212),
        horizontal_line(157, 212),
        horizontal_line(156, 213),
        horizontal_line(155, 213),
        horizontal_line(154, 214),
        horizontal_line(154, 215),
    };

    constexpr const shape frame_837_shape_group_2_shapes[] = {
        shape(frame_837_shape_group_2_shape_0_horizontal_lines, 67, 2),
        shape(frame_837_shape_group_2_shape_1_horizontal_lines, 69, 4),
        shape(frame_837_shape_group_2_shape_2_horizontal_lines, 71, 2),
        shape(frame_837_shape_group_2_shape_3_horizontal_lines, 81, 11),
        shape(frame_837_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_837_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_837_shape_group_2_shape_6_horizontal_lines, 94, 13),
        shape(frame_837_shape_group_2_shape_7_horizontal_lines, 98, 8),
        shape(frame_837_shape_group_2_shape_8_horizontal_lines, 99, 13),
        shape(frame_837_shape_group_2_shape_9_horizontal_lines, 100, 8),
        shape(frame_837_shape_group_2_shape_10_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(161, 171),
        horizontal_line(161, 175),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(161, 163),
        horizontal_line(161, 164),
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(170, 179),
        horizontal_line(174, 178),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(163, 177),
        horizontal_line(162, 166),
        horizontal_line(162, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 175),
        horizontal_line(160, 175),
        horizontal_line(160, 174),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(175, 209),
        horizontal_line(174, 208),
        horizontal_line(174, 208),
        horizontal_line(173, 207),
        horizontal_line(173, 207),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(151, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 173),
        horizontal_line(148, 174),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(147, 175),
    };

    constexpr const horizontal_line frame_837_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(143, 149),
        horizontal_line(142, 151),
        horizontal_line(141, 154),
        horizontal_line(140, 156),
        horizontal_line(139, 159),
        horizontal_line(138, 162),
        horizontal_line(137, 164),
        horizontal_line(136, 167),
        horizontal_line(135, 169),
        horizontal_line(134, 172),
        horizontal_line(133, 174),
        horizontal_line(132, 177),
        horizontal_line(131, 180),
        horizontal_line(130, 182),
        horizontal_line(129, 185),
        horizontal_line(128, 187),
        horizontal_line(127, 189),
    };

    constexpr const shape frame_837_shape_group_3_shapes[] = {
        shape(frame_837_shape_group_3_shape_0_horizontal_lines, 69, 2),
        shape(frame_837_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_837_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_837_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_837_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_837_shape_group_3_shape_5_horizontal_lines, 89, 13),
        shape(frame_837_shape_group_3_shape_6_horizontal_lines, 94, 8),
        shape(frame_837_shape_group_3_shape_7_horizontal_lines, 99, 8),
        shape(frame_837_shape_group_3_shape_8_horizontal_lines, 104, 6),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(160, 163),
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(163, 167),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(178, 212),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(177, 211),
        horizontal_line(177, 211),
        horizontal_line(176, 210),
        horizontal_line(176, 210),
        horizontal_line(175, 209),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(154, 158),
        horizontal_line(153, 162),
        horizontal_line(152, 165),
        horizontal_line(151, 169),
    };

    constexpr const horizontal_line frame_837_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(189, 190),
    };

    constexpr const shape frame_837_shape_group_4_shapes[] = {
        shape(frame_837_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_837_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_837_shape_group_4_shape_2_horizontal_lines, 81, 3),
        shape(frame_837_shape_group_4_shape_3_horizontal_lines, 82, 13),
        shape(frame_837_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_837_shape_group_4_shape_5_horizontal_lines, 84, 13),
        shape(frame_837_shape_group_4_shape_6_horizontal_lines, 89, 8),
        shape(frame_837_shape_group_4_shape_7_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_837_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_837_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_837_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(164, 168),
        horizontal_line(164, 173),
        horizontal_line(169, 177),
    };

    constexpr const horizontal_line frame_837_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_837_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(159, 159),
    };

    constexpr const shape frame_837_shape_group_5_shapes[] = {
        shape(frame_837_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_837_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_837_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_837_shape_group_5_shape_3_horizontal_lines, 83, 12),
        shape(frame_837_shape_group_5_shape_4_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(160, 161),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(179, 214),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_837_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 212),
    };

    constexpr const shape frame_837_shape_group_6_shapes[] = {
        shape(frame_837_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_837_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_837_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_837_shape_group_6_shape_3_horizontal_lines, 80, 13),
        shape(frame_837_shape_group_6_shape_4_horizontal_lines, 81, 12),
        shape(frame_837_shape_group_6_shape_5_horizontal_lines, 83, 13),
    };

    constexpr const horizontal_line frame_837_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_837_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 213),
    };

    constexpr const shape frame_837_shape_group_7_shapes[] = {
        shape(frame_837_shape_group_7_shape_0_horizontal_lines, 77, 10),
        shape(frame_837_shape_group_7_shape_1_horizontal_lines, 81, 13),
    };

    constexpr const shape_group frame_837_shape_groups[] = {
        shape_group(frame_837_shape_group_0_shapes),
        shape_group(frame_837_shape_group_1_shapes),
        shape_group(frame_837_shape_group_2_shapes),
        shape_group(frame_837_shape_group_3_shapes),
        shape_group(frame_837_shape_group_4_shapes),
        shape_group(frame_837_shape_group_5_shapes),
        shape_group(frame_837_shape_group_6_shapes),
        shape_group(frame_837_shape_group_7_shapes),
    };

    constexpr const frame frame_837_impl(frame_837_colors, frame_837_shape_groups);
} 

const frame& frame_837()
{
    return frame_837_impl;
}

namespace
{
    constexpr const bn::color frame_838_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_838_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(166, 228),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
        horizontal_line(150, 152),
        horizontal_line(149, 151),
        horizontal_line(149, 150),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(147, 148),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_838_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const shape frame_838_shape_group_0_shapes[] = {
        shape(frame_838_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_838_shape_group_0_shape_1_horizontal_lines, 98, 2),
    };

    constexpr const horizontal_line frame_838_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(228, 239),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_838_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_838_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(174, 203),
        horizontal_line(175, 203),
        horizontal_line(176, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 201),
        horizontal_line(178, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 199),
        horizontal_line(180, 199),
        horizontal_line(181, 198),
        horizontal_line(182, 198),
        horizontal_line(182, 197),
        horizontal_line(183, 197),
        horizontal_line(184, 196),
        horizontal_line(184, 196),
        horizontal_line(185, 195),
        horizontal_line(186, 195),
        horizontal_line(187, 194),
        horizontal_line(187, 194),
        horizontal_line(188, 193),
        horizontal_line(189, 193),
        horizontal_line(189, 192),
        horizontal_line(190, 192),
        horizontal_line(191, 191),
    };

    constexpr const horizontal_line frame_838_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
    };

    constexpr const shape frame_838_shape_group_1_shapes[] = {
        shape(frame_838_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_838_shape_group_1_shape_1_horizontal_lines, 81, 2),
        shape(frame_838_shape_group_1_shape_2_horizontal_lines, 98, 13),
        shape(frame_838_shape_group_1_shape_3_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(159, 165),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(159, 177),
        horizontal_line(159, 181),
        horizontal_line(159, 185),
        horizontal_line(159, 189),
        horizontal_line(163, 193),
        horizontal_line(167, 197),
        horizontal_line(171, 201),
        horizontal_line(175, 205),
        horizontal_line(179, 209),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(173, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 158),
        horizontal_line(156, 158),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(154, 162),
        horizontal_line(157, 172),
        horizontal_line(161, 161),
        horizontal_line(165, 171),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(172, 205),
        horizontal_line(172, 205),
        horizontal_line(173, 204),
        horizontal_line(174, 204),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(146, 173),
        horizontal_line(145, 174),
        horizontal_line(145, 175),
        horizontal_line(144, 176),
        horizontal_line(144, 176),
        horizontal_line(144, 177),
        horizontal_line(146, 178),
        horizontal_line(149, 178),
        horizontal_line(151, 179),
        horizontal_line(154, 180),
        horizontal_line(156, 181),
        horizontal_line(159, 181),
        horizontal_line(162, 182),
        horizontal_line(164, 183),
        horizontal_line(167, 183),
        horizontal_line(169, 184),
        horizontal_line(172, 185),
        horizontal_line(174, 186),
        horizontal_line(177, 186),
        horizontal_line(180, 187),
        horizontal_line(182, 188),
        horizontal_line(185, 188),
        horizontal_line(187, 189),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_838_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(188, 192),
        horizontal_line(187, 192),
        horizontal_line(186, 193),
        horizontal_line(185, 193),
        horizontal_line(184, 194),
        horizontal_line(183, 194),
        horizontal_line(182, 195),
        horizontal_line(181, 195),
        horizontal_line(180, 196),
        horizontal_line(179, 197),
        horizontal_line(178, 197),
        horizontal_line(177, 198),
        horizontal_line(176, 198),
        horizontal_line(175, 199),
        horizontal_line(174, 199),
        horizontal_line(173, 200),
        horizontal_line(172, 201),
        horizontal_line(171, 201),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(169, 203),
        horizontal_line(168, 203),
        horizontal_line(167, 204),
        horizontal_line(166, 205),
        horizontal_line(165, 205),
        horizontal_line(164, 206),
        horizontal_line(163, 206),
        horizontal_line(162, 207),
        horizontal_line(161, 207),
        horizontal_line(160, 208),
        horizontal_line(159, 209),
        horizontal_line(158, 209),
        horizontal_line(157, 210),
        horizontal_line(156, 210),
        horizontal_line(155, 211),
        horizontal_line(154, 211),
        horizontal_line(153, 212),
        horizontal_line(153, 213),
    };

    constexpr const shape frame_838_shape_group_2_shapes[] = {
        shape(frame_838_shape_group_2_shape_0_horizontal_lines, 67, 2),
        shape(frame_838_shape_group_2_shape_1_horizontal_lines, 69, 4),
        shape(frame_838_shape_group_2_shape_2_horizontal_lines, 71, 2),
        shape(frame_838_shape_group_2_shape_3_horizontal_lines, 80, 11),
        shape(frame_838_shape_group_2_shape_4_horizontal_lines, 82, 9),
        shape(frame_838_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_838_shape_group_2_shape_6_horizontal_lines, 94, 13),
        shape(frame_838_shape_group_2_shape_7_horizontal_lines, 98, 8),
        shape(frame_838_shape_group_2_shape_8_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(159, 173),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(161, 162),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(163, 166),
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 160),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(161, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 162),
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(173, 207),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(163, 172),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(172, 206),
        horizontal_line(172, 206),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(149, 171),
        horizontal_line(148, 171),
        horizontal_line(148, 172),
        horizontal_line(147, 173),
    };

    constexpr const horizontal_line frame_838_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(142, 148),
        horizontal_line(141, 150),
        horizontal_line(140, 153),
        horizontal_line(139, 155),
        horizontal_line(138, 158),
        horizontal_line(137, 161),
        horizontal_line(136, 163),
        horizontal_line(135, 166),
        horizontal_line(134, 168),
        horizontal_line(133, 171),
        horizontal_line(132, 173),
        horizontal_line(131, 176),
        horizontal_line(130, 179),
        horizontal_line(129, 181),
        horizontal_line(128, 184),
        horizontal_line(127, 186),
        horizontal_line(126, 188),
    };

    constexpr const shape frame_838_shape_group_3_shapes[] = {
        shape(frame_838_shape_group_3_shape_0_horizontal_lines, 69, 2),
        shape(frame_838_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_838_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_838_shape_group_3_shape_3_horizontal_lines, 80, 9),
        shape(frame_838_shape_group_3_shape_4_horizontal_lines, 82, 3),
        shape(frame_838_shape_group_3_shape_5_horizontal_lines, 90, 13),
        shape(frame_838_shape_group_3_shape_6_horizontal_lines, 91, 3),
        shape(frame_838_shape_group_3_shape_7_horizontal_lines, 92, 13),
        shape(frame_838_shape_group_3_shape_8_horizontal_lines, 94, 8),
        shape(frame_838_shape_group_3_shape_9_horizontal_lines, 104, 6),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(169, 174),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(161, 165),
        horizontal_line(167, 176),
        horizontal_line(167, 176),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(150, 164),
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_838_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(188, 189),
    };

    constexpr const shape frame_838_shape_group_4_shapes[] = {
        shape(frame_838_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_838_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_838_shape_group_4_shape_2_horizontal_lines, 80, 3),
        shape(frame_838_shape_group_4_shape_3_horizontal_lines, 89, 12),
        shape(frame_838_shape_group_4_shape_4_horizontal_lines, 90, 8),
        shape(frame_838_shape_group_4_shape_5_horizontal_lines, 91, 12),
        shape(frame_838_shape_group_4_shape_6_horizontal_lines, 92, 8),
        shape(frame_838_shape_group_4_shape_7_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(168, 172),
        horizontal_line(168, 176),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 165),
        horizontal_line(165, 165),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(174, 208),
    };

    constexpr const horizontal_line frame_838_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(173, 207),
    };

    constexpr const shape frame_838_shape_group_5_shapes[] = {
        shape(frame_838_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_838_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_838_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_838_shape_group_5_shape_3_horizontal_lines, 82, 12),
        shape(frame_838_shape_group_5_shape_4_horizontal_lines, 89, 13),
        shape(frame_838_shape_group_5_shape_5_horizontal_lines, 91, 13),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(158, 160),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(167, 167),
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(177, 211),
        horizontal_line(177, 211),
        horizontal_line(176, 210),
        horizontal_line(176, 210),
        horizontal_line(175, 209),
        horizontal_line(175, 209),
        horizontal_line(174, 208),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_838_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(151, 160),
    };

    constexpr const shape frame_838_shape_group_6_shapes[] = {
        shape(frame_838_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_838_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_838_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_838_shape_group_6_shape_3_horizontal_lines, 82, 13),
        shape(frame_838_shape_group_6_shape_4_horizontal_lines, 89, 8),
        shape(frame_838_shape_group_6_shape_5_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_838_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_838_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(178, 213),
        horizontal_line(178, 212),
    };

    constexpr const horizontal_line frame_838_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(157, 158),
    };

    constexpr const shape frame_838_shape_group_7_shapes[] = {
        shape(frame_838_shape_group_7_shape_0_horizontal_lines, 77, 10),
        shape(frame_838_shape_group_7_shape_1_horizontal_lines, 80, 13),
        shape(frame_838_shape_group_7_shape_2_horizontal_lines, 87, 5),
    };

    constexpr const shape_group frame_838_shape_groups[] = {
        shape_group(frame_838_shape_group_0_shapes),
        shape_group(frame_838_shape_group_1_shapes),
        shape_group(frame_838_shape_group_2_shapes),
        shape_group(frame_838_shape_group_3_shapes),
        shape_group(frame_838_shape_group_4_shapes),
        shape_group(frame_838_shape_group_5_shapes),
        shape_group(frame_838_shape_group_6_shapes),
        shape_group(frame_838_shape_group_7_shapes),
    };

    constexpr const frame frame_838_impl(frame_838_colors, frame_838_shape_groups);
} 

const frame& frame_838()
{
    return frame_838_impl;
}

namespace
{
    constexpr const bn::color frame_839_colors[] = {
        bn::color(12, 16, 12),
        bn::color(0, 0, 0),
        bn::color(4, 8, 4),
        bn::color(16, 24, 20),
        bn::color(8, 12, 8),
        bn::color(20, 28, 24),
        bn::color(20, 24, 20),
        bn::color(12, 20, 12),
        bn::color(16, 20, 16),
        bn::color(20, 28, 20),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(0, 4, 0),
        bn::color(24, 16, 12),
        bn::color(16, 8, 4),
    };

    constexpr const horizontal_line frame_839_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(165, 227),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(155, 157),
        horizontal_line(155, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 154),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(151, 153),
        horizontal_line(150, 153),
        horizontal_line(150, 152),
        horizontal_line(149, 152),
        horizontal_line(149, 151),
        horizontal_line(148, 150),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(147, 148),
        horizontal_line(147, 147),
        horizontal_line(146, 147),
        horizontal_line(146, 146),
        horizontal_line(145, 145),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_839_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_839_shape_group_0_shapes[] = {
        shape(frame_839_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_839_shape_group_0_shape_1_horizontal_lines, 99, 2),
    };

    constexpr const horizontal_line frame_839_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(168, 230),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 212),
    };

    constexpr const horizontal_line frame_839_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_839_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(174, 201),
        horizontal_line(175, 201),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(177, 199),
        horizontal_line(178, 199),
        horizontal_line(178, 198),
        horizontal_line(179, 198),
        horizontal_line(180, 197),
        horizontal_line(181, 197),
        horizontal_line(181, 196),
        horizontal_line(182, 196),
        horizontal_line(183, 195),
        horizontal_line(183, 195),
        horizontal_line(184, 194),
        horizontal_line(185, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(187, 192),
        horizontal_line(188, 192),
        horizontal_line(188, 191),
        horizontal_line(189, 191),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_839_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
    };

    constexpr const shape frame_839_shape_group_1_shapes[] = {
        shape(frame_839_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_839_shape_group_1_shape_1_horizontal_lines, 82, 2),
        shape(frame_839_shape_group_1_shape_2_horizontal_lines, 99, 13),
        shape(frame_839_shape_group_1_shape_3_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(158, 164),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(234, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(158, 178),
        horizontal_line(158, 182),
        horizontal_line(158, 185),
        horizontal_line(161, 189),
        horizontal_line(165, 193),
        horizontal_line(169, 196),
        horizontal_line(173, 200),
        horizontal_line(177, 203),
        horizontal_line(194, 207),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(156, 171),
        horizontal_line(160, 171),
        horizontal_line(164, 170),
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(171, 204),
        horizontal_line(171, 203),
        horizontal_line(172, 203),
        horizontal_line(173, 202),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(145, 173),
        horizontal_line(144, 174),
        horizontal_line(144, 175),
        horizontal_line(143, 175),
        horizontal_line(143, 176),
        horizontal_line(143, 177),
        horizontal_line(145, 177),
        horizontal_line(148, 178),
        horizontal_line(151, 179),
        horizontal_line(153, 180),
        horizontal_line(156, 180),
        horizontal_line(159, 181),
        horizontal_line(162, 182),
        horizontal_line(164, 182),
        horizontal_line(167, 183),
        horizontal_line(170, 184),
        horizontal_line(172, 185),
        horizontal_line(175, 185),
        horizontal_line(178, 186),
        horizontal_line(181, 187),
        horizontal_line(183, 187),
        horizontal_line(186, 188),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_839_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(187, 191),
        horizontal_line(186, 191),
        horizontal_line(185, 192),
        horizontal_line(184, 192),
        horizontal_line(183, 193),
        horizontal_line(182, 193),
        horizontal_line(181, 194),
        horizontal_line(180, 194),
        horizontal_line(179, 195),
        horizontal_line(178, 196),
        horizontal_line(178, 196),
        horizontal_line(177, 197),
        horizontal_line(176, 197),
        horizontal_line(175, 198),
        horizontal_line(174, 198),
        horizontal_line(173, 199),
        horizontal_line(172, 200),
        horizontal_line(171, 200),
        horizontal_line(170, 201),
        horizontal_line(169, 201),
        horizontal_line(168, 202),
        horizontal_line(167, 202),
        horizontal_line(166, 203),
        horizontal_line(165, 204),
        horizontal_line(164, 204),
        horizontal_line(163, 205),
        horizontal_line(162, 205),
        horizontal_line(161, 206),
        horizontal_line(160, 206),
        horizontal_line(159, 207),
        horizontal_line(158, 208),
        horizontal_line(157, 208),
        horizontal_line(156, 209),
        horizontal_line(155, 209),
        horizontal_line(154, 210),
        horizontal_line(153, 210),
        horizontal_line(152, 211),
        horizontal_line(152, 212),
    };

    constexpr const shape frame_839_shape_group_2_shapes[] = {
        shape(frame_839_shape_group_2_shape_0_horizontal_lines, 67, 2),
        shape(frame_839_shape_group_2_shape_1_horizontal_lines, 69, 4),
        shape(frame_839_shape_group_2_shape_2_horizontal_lines, 72, 2),
        shape(frame_839_shape_group_2_shape_3_horizontal_lines, 82, 9),
        shape(frame_839_shape_group_2_shape_4_horizontal_lines, 88, 3),
        shape(frame_839_shape_group_2_shape_5_horizontal_lines, 94, 13),
        shape(frame_839_shape_group_2_shape_6_horizontal_lines, 99, 8),
        shape(frame_839_shape_group_2_shape_7_horizontal_lines, 122, 6),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(158, 167),
        horizontal_line(158, 171),
        horizontal_line(158, 175),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(160, 161),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(167, 176),
        horizontal_line(171, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(160, 174),
        horizontal_line(160, 163),
        horizontal_line(159, 174),
        horizontal_line(159, 162),
        horizontal_line(158, 173),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(173, 207),
        horizontal_line(173, 206),
        horizontal_line(172, 206),
        horizontal_line(172, 205),
        horizontal_line(171, 205),
        horizontal_line(171, 204),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(148, 170),
        horizontal_line(148, 170),
        horizontal_line(147, 171),
        horizontal_line(146, 172),
        horizontal_line(146, 172),
    };

    constexpr const horizontal_line frame_839_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(142, 144),
        horizontal_line(141, 147),
        horizontal_line(140, 150),
        horizontal_line(139, 152),
        horizontal_line(138, 155),
        horizontal_line(137, 158),
        horizontal_line(136, 161),
        horizontal_line(135, 163),
        horizontal_line(134, 166),
        horizontal_line(133, 169),
        horizontal_line(132, 171),
        horizontal_line(131, 174),
        horizontal_line(130, 177),
        horizontal_line(129, 180),
        horizontal_line(128, 182),
        horizontal_line(127, 185),
        horizontal_line(126, 188),
    };

    constexpr const shape frame_839_shape_group_3_shapes[] = {
        shape(frame_839_shape_group_3_shape_0_horizontal_lines, 69, 2),
        shape(frame_839_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_839_shape_group_3_shape_2_horizontal_lines, 78, 11),
        shape(frame_839_shape_group_3_shape_3_horizontal_lines, 82, 3),
        shape(frame_839_shape_group_3_shape_4_horizontal_lines, 88, 13),
        shape(frame_839_shape_group_3_shape_5_horizontal_lines, 94, 8),
        shape(frame_839_shape_group_3_shape_6_horizontal_lines, 105, 6),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(162, 164),
        horizontal_line(162, 165),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(157, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(175, 210),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(165, 174),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(175, 209),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(174, 208),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(151, 155),
        horizontal_line(150, 159),
        horizontal_line(150, 163),
        horizontal_line(149, 167),
    };

    constexpr const horizontal_line frame_839_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const shape frame_839_shape_group_4_shapes[] = {
        shape(frame_839_shape_group_4_shape_0_horizontal_lines, 76, 11),
        shape(frame_839_shape_group_4_shape_1_horizontal_lines, 79, 9),
        shape(frame_839_shape_group_4_shape_2_horizontal_lines, 82, 13),
        shape(frame_839_shape_group_4_shape_3_horizontal_lines, 83, 3),
        shape(frame_839_shape_group_4_shape_4_horizontal_lines, 84, 13),
        shape(frame_839_shape_group_4_shape_5_horizontal_lines, 85, 3),
        shape(frame_839_shape_group_4_shape_6_horizontal_lines, 86, 13),
        shape(frame_839_shape_group_4_shape_7_horizontal_lines, 87, 3),
        shape(frame_839_shape_group_4_shape_8_horizontal_lines, 89, 8),
        shape(frame_839_shape_group_4_shape_9_horizontal_lines, 121, 6),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(161, 170),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_839_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(163, 172),
    };

    constexpr const shape frame_839_shape_group_5_shapes[] = {
        shape(frame_839_shape_group_5_shape_0_horizontal_lines, 77, 11),
        shape(frame_839_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_839_shape_group_5_shape_2_horizontal_lines, 79, 3),
        shape(frame_839_shape_group_5_shape_3_horizontal_lines, 83, 12),
        shape(frame_839_shape_group_5_shape_4_horizontal_lines, 85, 12),
        shape(frame_839_shape_group_5_shape_5_horizontal_lines, 87, 3),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(176, 193),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(166, 174),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(175, 209),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(174, 208),
    };

    constexpr const horizontal_line frame_839_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const shape frame_839_shape_group_6_shapes[] = {
        shape(frame_839_shape_group_6_shape_0_horizontal_lines, 77, 9),
        shape(frame_839_shape_group_6_shape_1_horizontal_lines, 78, 10),
        shape(frame_839_shape_group_6_shape_2_horizontal_lines, 79, 12),
        shape(frame_839_shape_group_6_shape_3_horizontal_lines, 80, 13),
        shape(frame_839_shape_group_6_shape_4_horizontal_lines, 81, 3),
        shape(frame_839_shape_group_6_shape_5_horizontal_lines, 83, 13),
        shape(frame_839_shape_group_6_shape_6_horizontal_lines, 85, 13),
        shape(frame_839_shape_group_6_shape_7_horizontal_lines, 87, 12),
    };

    constexpr const horizontal_line frame_839_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_839_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_839_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(173, 207),
    };

    constexpr const shape frame_839_shape_group_7_shapes[] = {
        shape(frame_839_shape_group_7_shape_0_horizontal_lines, 77, 10),
        shape(frame_839_shape_group_7_shape_1_horizontal_lines, 81, 12),
        shape(frame_839_shape_group_7_shape_2_horizontal_lines, 87, 13),
    };

    constexpr const horizontal_line frame_839_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(176, 211),
    };

    constexpr const shape frame_839_shape_group_8_shapes[] = {
        shape(frame_839_shape_group_8_shape_0_horizontal_lines, 81, 13),
    };

    constexpr const shape_group frame_839_shape_groups[] = {
        shape_group(frame_839_shape_group_0_shapes),
        shape_group(frame_839_shape_group_1_shapes),
        shape_group(frame_839_shape_group_2_shapes),
        shape_group(frame_839_shape_group_3_shapes),
        shape_group(frame_839_shape_group_4_shapes),
        shape_group(frame_839_shape_group_5_shapes),
        shape_group(frame_839_shape_group_6_shapes),
        shape_group(frame_839_shape_group_7_shapes),
        shape_group(frame_839_shape_group_8_shapes),
    };

    constexpr const frame frame_839_impl(frame_839_colors, frame_839_shape_groups);
} 

const frame& frame_839()
{
    return frame_839_impl;
}

