#include "frames_1_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_60_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_60_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_60_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_60_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(221, 239),
        horizontal_line(204, 239),
        horizontal_line(187, 239),
        horizontal_line(170, 232),
        horizontal_line(152, 214),
        horizontal_line(135, 197),
        horizontal_line(118, 180),
        horizontal_line(101, 163),
        horizontal_line(83, 145),
        horizontal_line(66, 128),
        horizontal_line(49, 111),
        horizontal_line(32, 94),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_60_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(19, 20),
        horizontal_line(17, 20),
        horizontal_line(16, 21),
        horizontal_line(14, 21),
        horizontal_line(13, 22),
        horizontal_line(11, 23),
        horizontal_line(10, 23),
        horizontal_line(8, 24),
        horizontal_line(7, 24),
        horizontal_line(5, 25),
        horizontal_line(4, 26),
        horizontal_line(2, 26),
        horizontal_line(1, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_60_shape_group_0_shapes[] = {
        shape(frame_60_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_60_shape_group_0_shape_1_horizontal_lines, 32, 6),
        shape(frame_60_shape_group_0_shape_2_horizontal_lines, 61, 7),
        shape(frame_60_shape_group_0_shape_3_horizontal_lines, 84, 4),
    };

    constexpr const horizontal_line frame_60_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(214, 239),
        horizontal_line(197, 239),
        horizontal_line(180, 239),
        horizontal_line(163, 225),
        horizontal_line(145, 207),
        horizontal_line(128, 190),
        horizontal_line(111, 173),
        horizontal_line(94, 156),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(49, 111),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(94, 129),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_60_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 102),
        horizontal_line(99, 105),
        horizontal_line(100, 108),
        horizontal_line(100, 111),
        horizontal_line(100, 114),
        horizontal_line(101, 117),
    };

    constexpr const horizontal_line frame_60_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(129, 133),
        horizontal_line(128, 134),
        horizontal_line(127, 135),
        horizontal_line(127, 136),
        horizontal_line(126, 137),
        horizontal_line(125, 138),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_60_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_60_shape_group_1_shapes[] = {
        shape(frame_60_shape_group_1_shape_0_horizontal_lines, 65, 7),
        shape(frame_60_shape_group_1_shape_1_horizontal_lines, 99, 1),
        shape(frame_60_shape_group_1_shape_2_horizontal_lines, 106, 6),
        shape(frame_60_shape_group_1_shape_3_horizontal_lines, 115, 4),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(207, 236),
        horizontal_line(190, 233),
        horizontal_line(173, 230),
        horizontal_line(156, 218),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(149, 211),
        horizontal_line(152, 213),
        horizontal_line(156, 210),
        horizontal_line(159, 207),
        horizontal_line(163, 204),
        horizontal_line(166, 201),
        horizontal_line(170, 198),
        horizontal_line(111, 173),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(125, 184),
        horizontal_line(128, 181),
        horizontal_line(132, 178),
        horizontal_line(135, 175),
        horizontal_line(139, 172),
        horizontal_line(142, 169),
        horizontal_line(146, 166),
        horizontal_line(149, 163),
        horizontal_line(153, 161),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(157, 159),
        horizontal_line(155, 159),
        horizontal_line(153, 159),
        horizontal_line(150, 159),
        horizontal_line(148, 159),
        horizontal_line(146, 159),
        horizontal_line(144, 159),
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(101, 121),
        horizontal_line(102, 121),
        horizontal_line(102, 121),
        horizontal_line(102, 122),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
        horizontal_line(103, 122),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(104, 123),
        horizontal_line(104, 121),
        horizontal_line(104, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 116),
        horizontal_line(105, 115),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(108, 158),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(106, 160),
        horizontal_line(104, 162),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_60_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 113),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_60_shape_group_2_shapes[] = {
        shape(frame_60_shape_group_2_shape_0_horizontal_lines, 69, 7),
        shape(frame_60_shape_group_2_shape_1_horizontal_lines, 97, 1),
        shape(frame_60_shape_group_2_shape_2_horizontal_lines, 106, 6),
        shape(frame_60_shape_group_2_shape_3_horizontal_lines, 108, 1),
        shape(frame_60_shape_group_2_shape_4_horizontal_lines, 115, 6),
        shape(frame_60_shape_group_2_shape_5_horizontal_lines, 116, 1),
        shape(frame_60_shape_group_2_shape_6_horizontal_lines, 129, 3),
        shape(frame_60_shape_group_2_shape_7_horizontal_lines, 130, 1),
        shape(frame_60_shape_group_2_shape_8_horizontal_lines, 154, 4),
    };

    constexpr const horizontal_line frame_60_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(218, 227),
        horizontal_line(201, 224),
        horizontal_line(204, 221),
        horizontal_line(207, 218),
        horizontal_line(211, 215),
    };

    constexpr const horizontal_line frame_60_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(173, 195),
        horizontal_line(177, 192),
        horizontal_line(180, 189),
        horizontal_line(183, 187),
    };

    constexpr const horizontal_line frame_60_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(101, 120),
        horizontal_line(101, 121),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(103, 122),
        horizontal_line(142, 158),
        horizontal_line(143, 158),
        horizontal_line(144, 158),
        horizontal_line(146, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 158),
        horizontal_line(150, 158),
        horizontal_line(151, 158),
        horizontal_line(152, 158),
        horizontal_line(153, 158),
        horizontal_line(155, 158),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_60_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(162, 166),
        horizontal_line(161, 168),
        horizontal_line(159, 170),
        horizontal_line(157, 172),
        horizontal_line(155, 174),
        horizontal_line(154, 176),
        horizontal_line(152, 178),
        horizontal_line(150, 180),
        horizontal_line(148, 182),
        horizontal_line(147, 184),
        horizontal_line(145, 187),
        horizontal_line(143, 189),
        horizontal_line(141, 191),
        horizontal_line(140, 193),
        horizontal_line(138, 195),
        horizontal_line(136, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(64, 126),
        horizontal_line(114, 176),
    };

    constexpr const horizontal_line frame_60_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 164),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_60_shape_group_3_shapes[] = {
        shape(frame_60_shape_group_3_shape_0_horizontal_lines, 73, 7),
        shape(frame_60_shape_group_3_shape_1_horizontal_lines, 84, 7),
        shape(frame_60_shape_group_3_shape_2_horizontal_lines, 106, 1),
        shape(frame_60_shape_group_3_shape_3_horizontal_lines, 132, 1),
        shape(frame_60_shape_group_3_shape_4_horizontal_lines, 156, 4),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(141, 159),
        horizontal_line(141, 159),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 141),
        horizontal_line(122, 142),
        horizontal_line(121, 143),
        horizontal_line(120, 145),
        horizontal_line(119, 146),
        horizontal_line(117, 147),
        horizontal_line(116, 149),
        horizontal_line(115, 150),
        horizontal_line(114, 151),
        horizontal_line(112, 152),
        horizontal_line(111, 154),
        horizontal_line(110, 155),
        horizontal_line(109, 156),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(195, 201),
        horizontal_line(193, 203),
        horizontal_line(191, 205),
        horizontal_line(189, 207),
        horizontal_line(126, 188),
        horizontal_line(176, 211),
        horizontal_line(165, 213),
    };

    constexpr const horizontal_line frame_60_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 216),
    };

    constexpr const shape frame_60_shape_group_4_shapes[] = {
        shape(frame_60_shape_group_4_shape_0_horizontal_lines, 106, 1),
        shape(frame_60_shape_group_4_shape_1_horizontal_lines, 108, 3),
        shape(frame_60_shape_group_4_shape_2_horizontal_lines, 115, 1),
        shape(frame_60_shape_group_4_shape_3_horizontal_lines, 116, 3),
        shape(frame_60_shape_group_4_shape_4_horizontal_lines, 149, 1),
        shape(frame_60_shape_group_4_shape_5_horizontal_lines, 157, 4),
    };

    constexpr const horizontal_line frame_60_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_60_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(188, 209),
    };

    constexpr const shape frame_60_shape_group_5_shapes[] = {
        shape(frame_60_shape_group_5_shape_0_horizontal_lines, 106, 3),
        shape(frame_60_shape_group_5_shape_1_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_60_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(134, 140),
        horizontal_line(134, 140),
    };

    constexpr const shape frame_60_shape_group_6_shapes[] = {
        shape(frame_60_shape_group_6_shape_0_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_60_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(130, 132),
    };

    constexpr const shape frame_60_shape_group_7_shapes[] = {
        shape(frame_60_shape_group_7_shape_0_horizontal_lines, 106, 5),
    };

    constexpr const shape_group frame_60_shape_groups[] = {
        shape_group(frame_60_shape_group_0_shapes),
        shape_group(frame_60_shape_group_1_shapes),
        shape_group(frame_60_shape_group_2_shapes),
        shape_group(frame_60_shape_group_3_shapes),
        shape_group(frame_60_shape_group_4_shapes),
        shape_group(frame_60_shape_group_5_shapes),
        shape_group(frame_60_shape_group_6_shapes),
        shape_group(frame_60_shape_group_7_shapes),
    };

    constexpr const frame frame_60_impl(frame_60_colors, frame_60_shape_groups);
} 

const frame& frame_60()
{
    return frame_60_impl;
}

namespace
{
    constexpr const bn::color frame_61_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_61_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(1, 2),
    };

    constexpr const horizontal_line frame_61_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_61_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(211, 239),
        horizontal_line(197, 239),
        horizontal_line(183, 239),
        horizontal_line(169, 231),
        horizontal_line(155, 217),
        horizontal_line(141, 203),
        horizontal_line(127, 189),
        horizontal_line(113, 175),
        horizontal_line(99, 161),
        horizontal_line(85, 147),
        horizontal_line(71, 133),
        horizontal_line(57, 119),
        horizontal_line(43, 105),
        horizontal_line(29, 91),
        horizontal_line(15, 77),
        horizontal_line(2, 64),
        horizontal_line(5, 67),
        horizontal_line(8, 70),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_61_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(12, 13),
        horizontal_line(10, 14),
        horizontal_line(9, 15),
        horizontal_line(7, 15),
        horizontal_line(5, 16),
        horizontal_line(4, 17),
        horizontal_line(2, 17),
        horizontal_line(1, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_61_shape_group_0_shapes[] = {
        shape(frame_61_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_61_shape_group_0_shape_1_horizontal_lines, 31, 6),
        shape(frame_61_shape_group_0_shape_2_horizontal_lines, 51, 7),
        shape(frame_61_shape_group_0_shape_3_horizontal_lines, 87, 4),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(217, 239),
        horizontal_line(203, 239),
        horizontal_line(189, 239),
        horizontal_line(175, 237),
        horizontal_line(161, 223),
        horizontal_line(147, 209),
        horizontal_line(133, 195),
        horizontal_line(119, 181),
        horizontal_line(105, 167),
        horizontal_line(91, 153),
        horizontal_line(77, 139),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 181),
        horizontal_line(125, 178),
        horizontal_line(128, 176),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(87, 140),
        horizontal_line(90, 117),
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(95, 96),
        horizontal_line(95, 99),
        horizontal_line(95, 102),
        horizontal_line(96, 105),
        horizontal_line(96, 108),
        horizontal_line(96, 111),
        horizontal_line(96, 114),
        horizontal_line(97, 118),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 133),
        horizontal_line(127, 134),
        horizontal_line(126, 135),
        horizontal_line(125, 136),
        horizontal_line(124, 137),
        horizontal_line(123, 138),
        horizontal_line(122, 139),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(100, 121),
        horizontal_line(100, 119),
        horizontal_line(100, 118),
        horizontal_line(101, 117),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 113),
        horizontal_line(102, 112),
        horizontal_line(102, 110),
        horizontal_line(102, 109),
        horizontal_line(102, 108),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 104),
        horizontal_line(104, 161),
    };

    constexpr const horizontal_line frame_61_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_61_shape_group_1_shapes[] = {
        shape(frame_61_shape_group_1_shape_0_horizontal_lines, 30, 6),
        shape(frame_61_shape_group_1_shape_1_horizontal_lines, 50, 7),
        shape(frame_61_shape_group_1_shape_2_horizontal_lines, 55, 7),
        shape(frame_61_shape_group_1_shape_3_horizontal_lines, 95, 1),
        shape(frame_61_shape_group_1_shape_4_horizontal_lines, 103, 6),
        shape(frame_61_shape_group_1_shape_5_horizontal_lines, 114, 1),
        shape(frame_61_shape_group_1_shape_6_horizontal_lines, 129, 4),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(223, 239),
        horizontal_line(209, 239),
        horizontal_line(195, 239),
        horizontal_line(181, 236),
        horizontal_line(167, 229),
        horizontal_line(153, 215),
        horizontal_line(139, 201),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(136, 198),
        horizontal_line(139, 201),
        horizontal_line(143, 205),
        horizontal_line(146, 208),
        horizontal_line(149, 207),
        horizontal_line(153, 204),
        horizontal_line(156, 202),
        horizontal_line(160, 199),
        horizontal_line(163, 197),
        horizontal_line(166, 194),
        horizontal_line(170, 191),
        horizontal_line(173, 189),
        horizontal_line(177, 186),
        horizontal_line(180, 183),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 173),
        horizontal_line(135, 170),
        horizontal_line(138, 168),
        horizontal_line(142, 165),
        horizontal_line(145, 163),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(159, 161),
        horizontal_line(157, 161),
        horizontal_line(155, 161),
        horizontal_line(153, 161),
        horizontal_line(151, 161),
        horizontal_line(149, 161),
        horizontal_line(147, 161),
        horizontal_line(145, 161),
        horizontal_line(143, 161),
        horizontal_line(141, 161),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(97, 119),
        horizontal_line(97, 119),
        horizontal_line(98, 119),
        horizontal_line(98, 119),
        horizontal_line(98, 120),
        horizontal_line(98, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 120),
        horizontal_line(99, 120),
        horizontal_line(100, 120),
        horizontal_line(141, 160),
        horizontal_line(142, 160),
        horizontal_line(143, 159),
        horizontal_line(145, 159),
        horizontal_line(146, 159),
        horizontal_line(148, 159),
        horizontal_line(149, 159),
        horizontal_line(151, 159),
        horizontal_line(152, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 159),
        horizontal_line(157, 159),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(105, 159),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(102, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
    };

    constexpr const horizontal_line frame_61_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_61_shape_group_2_shapes[] = {
        shape(frame_61_shape_group_2_shape_0_horizontal_lines, 59, 7),
        shape(frame_61_shape_group_2_shape_1_horizontal_lines, 87, 7),
        shape(frame_61_shape_group_2_shape_2_horizontal_lines, 92, 1),
        shape(frame_61_shape_group_2_shape_3_horizontal_lines, 103, 6),
        shape(frame_61_shape_group_2_shape_4_horizontal_lines, 104, 1),
        shape(frame_61_shape_group_2_shape_5_horizontal_lines, 127, 3),
        shape(frame_61_shape_group_2_shape_6_horizontal_lines, 129, 1),
        shape(frame_61_shape_group_2_shape_7_horizontal_lines, 155, 4),
    };

    constexpr const horizontal_line frame_61_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(229, 233),
        horizontal_line(215, 231),
        horizontal_line(201, 228),
        horizontal_line(188, 225),
        horizontal_line(191, 223),
        horizontal_line(194, 220),
        horizontal_line(198, 218),
        horizontal_line(201, 215),
        horizontal_line(205, 212),
        horizontal_line(208, 210),
    };

    constexpr const horizontal_line frame_61_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(97, 119),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
    };

    constexpr const horizontal_line frame_61_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 140),
        horizontal_line(120, 141),
        horizontal_line(119, 142),
        horizontal_line(118, 144),
        horizontal_line(116, 145),
        horizontal_line(115, 147),
        horizontal_line(114, 148),
        horizontal_line(113, 150),
        horizontal_line(111, 151),
        horizontal_line(110, 153),
        horizontal_line(109, 154),
        horizontal_line(107, 156),
        horizontal_line(106, 157),
    };

    constexpr const horizontal_line frame_61_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(160, 167),
        horizontal_line(159, 169),
        horizontal_line(157, 171),
        horizontal_line(155, 173),
        horizontal_line(153, 175),
        horizontal_line(152, 177),
        horizontal_line(150, 179),
        horizontal_line(148, 181),
        horizontal_line(146, 183),
        horizontal_line(145, 185),
        horizontal_line(143, 187),
        horizontal_line(141, 189),
        horizontal_line(140, 191),
        horizontal_line(138, 193),
        horizontal_line(136, 195),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(99, 161),
    };

    constexpr const horizontal_line frame_61_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(124, 180),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_61_shape_group_3_shapes[] = {
        shape(frame_61_shape_group_3_shape_0_horizontal_lines, 64, 7),
        shape(frame_61_shape_group_3_shape_1_horizontal_lines, 103, 1),
        shape(frame_61_shape_group_3_shape_2_horizontal_lines, 114, 3),
        shape(frame_61_shape_group_3_shape_3_horizontal_lines, 130, 1),
        shape(frame_61_shape_group_3_shape_4_horizontal_lines, 156, 4),
    };

    constexpr const horizontal_line frame_61_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(140, 161),
    };

    constexpr const horizontal_line frame_61_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_61_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(195, 199),
        horizontal_line(193, 201),
        horizontal_line(191, 203),
        horizontal_line(189, 205),
        horizontal_line(188, 207),
        horizontal_line(186, 209),
        horizontal_line(184, 211),
        horizontal_line(183, 213),
        horizontal_line(161, 215),
        horizontal_line(140, 202),
        horizontal_line(181, 219),
    };

    constexpr const horizontal_line frame_61_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(186, 222),
    };

    constexpr const shape frame_61_shape_group_4_shapes[] = {
        shape(frame_61_shape_group_4_shape_0_horizontal_lines, 103, 1),
        shape(frame_61_shape_group_4_shape_1_horizontal_lines, 104, 3),
        shape(frame_61_shape_group_4_shape_2_horizontal_lines, 146, 1),
        shape(frame_61_shape_group_4_shape_3_horizontal_lines, 158, 4),
    };

    constexpr const horizontal_line frame_61_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(134, 139),
        horizontal_line(135, 139),
        horizontal_line(136, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_61_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(202, 217),
    };

    constexpr const shape frame_61_shape_group_5_shapes[] = {
        shape(frame_61_shape_group_5_shape_0_horizontal_lines, 103, 3),
        shape(frame_61_shape_group_5_shape_1_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_61_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_61_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 131),
    };

    constexpr const shape frame_61_shape_group_6_shapes[] = {
        shape(frame_61_shape_group_6_shape_0_horizontal_lines, 103, 3),
        shape(frame_61_shape_group_6_shape_1_horizontal_lines, 104, 5),
    };

    constexpr const horizontal_line frame_61_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const shape frame_61_shape_group_7_shapes[] = {
        shape(frame_61_shape_group_7_shape_0_horizontal_lines, 103, 5),
    };

    constexpr const shape_group frame_61_shape_groups[] = {
        shape_group(frame_61_shape_group_0_shapes),
        shape_group(frame_61_shape_group_1_shapes),
        shape_group(frame_61_shape_group_2_shapes),
        shape_group(frame_61_shape_group_3_shapes),
        shape_group(frame_61_shape_group_4_shapes),
        shape_group(frame_61_shape_group_5_shapes),
        shape_group(frame_61_shape_group_6_shapes),
        shape_group(frame_61_shape_group_7_shapes),
    };

    constexpr const frame frame_61_impl(frame_61_colors, frame_61_shape_groups);
} 

const frame& frame_61()
{
    return frame_61_impl;
}

namespace
{
    constexpr const bn::color frame_62_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_62_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(218, 239),
        horizontal_line(207, 239),
        horizontal_line(196, 239),
        horizontal_line(185, 239),
        horizontal_line(174, 236),
        horizontal_line(163, 225),
        horizontal_line(153, 215),
        horizontal_line(142, 204),
        horizontal_line(131, 193),
        horizontal_line(120, 182),
        horizontal_line(109, 171),
        horizontal_line(98, 160),
        horizontal_line(87, 149),
        horizontal_line(77, 139),
        horizontal_line(66, 128),
        horizontal_line(55, 117),
        horizontal_line(44, 106),
        horizontal_line(33, 95),
        horizontal_line(22, 84),
        horizontal_line(11, 73),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(82, 139),
        horizontal_line(85, 114),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_62_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(90, 93),
        horizontal_line(90, 96),
        horizontal_line(91, 99),
        horizontal_line(91, 102),
        horizontal_line(91, 104),
        horizontal_line(92, 107),
        horizontal_line(92, 110),
        horizontal_line(92, 113),
        horizontal_line(92, 116),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(93, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 118),
        horizontal_line(96, 118),
        horizontal_line(96, 119),
        horizontal_line(96, 117),
        horizontal_line(97, 116),
        horizontal_line(97, 115),
        horizontal_line(97, 113),
        horizontal_line(98, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 110),
        horizontal_line(98, 108),
        horizontal_line(99, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_62_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_62_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(87, 149),
        horizontal_line(122, 184),
        horizontal_line(157, 219),
        horizontal_line(193, 227),
    };

    constexpr const shape frame_62_shape_group_0_shapes[] = {
        shape(frame_62_shape_group_0_shape_0_horizontal_lines, 37, 7),
        shape(frame_62_shape_group_0_shape_1_horizontal_lines, 90, 1),
        shape(frame_62_shape_group_0_shape_2_horizontal_lines, 126, 4),
        shape(frame_62_shape_group_0_shape_3_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_62_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(225, 239),
        horizontal_line(215, 239),
        horizontal_line(204, 239),
        horizontal_line(193, 239),
        horizontal_line(182, 239),
        horizontal_line(171, 233),
        horizontal_line(160, 222),
        horizontal_line(149, 211),
        horizontal_line(139, 201),
        horizontal_line(128, 190),
        horizontal_line(117, 179),
        horizontal_line(106, 168),
        horizontal_line(95, 157),
        horizontal_line(84, 146),
        horizontal_line(73, 135),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(118, 180),
        horizontal_line(121, 178),
        horizontal_line(124, 176),
        horizontal_line(127, 173),
        horizontal_line(131, 171),
        horizontal_line(134, 168),
        horizontal_line(137, 166),
        horizontal_line(141, 164),
    };

    constexpr const horizontal_line frame_62_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(160, 162),
        horizontal_line(158, 162),
        horizontal_line(156, 162),
        horizontal_line(154, 162),
        horizontal_line(152, 162),
        horizontal_line(150, 162),
        horizontal_line(148, 162),
        horizontal_line(146, 162),
        horizontal_line(144, 162),
        horizontal_line(142, 162),
        horizontal_line(140, 162),
        horizontal_line(118, 132),
        horizontal_line(126, 126),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(140, 161),
        horizontal_line(141, 161),
        horizontal_line(142, 160),
        horizontal_line(144, 160),
        horizontal_line(145, 160),
        horizontal_line(147, 160),
        horizontal_line(148, 160),
        horizontal_line(149, 160),
        horizontal_line(151, 160),
        horizontal_line(152, 160),
        horizontal_line(154, 160),
        horizontal_line(155, 160),
        horizontal_line(156, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 160),
    };

    constexpr const horizontal_line frame_62_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(101, 160),
    };

    constexpr const horizontal_line frame_62_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(159, 164),
        horizontal_line(158, 166),
        horizontal_line(156, 168),
        horizontal_line(154, 170),
        horizontal_line(153, 172),
        horizontal_line(151, 174),
        horizontal_line(149, 176),
        horizontal_line(148, 178),
        horizontal_line(146, 180),
        horizontal_line(144, 182),
        horizontal_line(143, 184),
        horizontal_line(141, 186),
        horizontal_line(139, 188),
        horizontal_line(138, 190),
        horizontal_line(136, 192),
        horizontal_line(134, 194),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(149, 211),
        horizontal_line(184, 222),
        horizontal_line(219, 224),
    };

    constexpr const horizontal_line frame_62_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const shape frame_62_shape_group_1_shapes[] = {
        shape(frame_62_shape_group_1_shape_0_horizontal_lines, 42, 7),
        shape(frame_62_shape_group_1_shape_1_horizontal_lines, 87, 1),
        shape(frame_62_shape_group_1_shape_2_horizontal_lines, 126, 3),
        shape(frame_62_shape_group_1_shape_3_horizontal_lines, 127, 1),
        shape(frame_62_shape_group_1_shape_4_horizontal_lines, 159, 4),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(222, 239),
        horizontal_line(211, 239),
        horizontal_line(201, 239),
        horizontal_line(190, 239),
        horizontal_line(179, 239),
        horizontal_line(168, 230),
        horizontal_line(157, 219),
        horizontal_line(146, 208),
        horizontal_line(135, 197),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(140, 202),
        horizontal_line(143, 205),
        horizontal_line(147, 205),
        horizontal_line(150, 202),
        horizontal_line(153, 200),
        horizontal_line(156, 197),
        horizontal_line(160, 195),
        horizontal_line(163, 193),
        horizontal_line(166, 190),
        horizontal_line(170, 188),
        horizontal_line(173, 185),
        horizontal_line(176, 183),
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(6, 6),
        horizontal_line(4, 7),
        horizontal_line(2, 8),
        horizontal_line(1, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(139, 162),
        horizontal_line(139, 161),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(195, 196),
        horizontal_line(193, 198),
        horizontal_line(191, 200),
        horizontal_line(190, 202),
        horizontal_line(188, 204),
        horizontal_line(186, 206),
        horizontal_line(185, 208),
        horizontal_line(183, 210),
        horizontal_line(181, 212),
        horizontal_line(180, 214),
        horizontal_line(178, 216),
        horizontal_line(177, 218),
        horizontal_line(211, 220),
    };

    constexpr const horizontal_line frame_62_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_62_shape_group_2_shapes[] = {
        shape(frame_62_shape_group_2_shape_0_horizontal_lines, 48, 7),
        shape(frame_62_shape_group_2_shape_1_horizontal_lines, 88, 4),
        shape(frame_62_shape_group_2_shape_2_horizontal_lines, 99, 1),
        shape(frame_62_shape_group_2_shape_3_horizontal_lines, 101, 4),
        shape(frame_62_shape_group_2_shape_4_horizontal_lines, 127, 4),
        shape(frame_62_shape_group_2_shape_5_horizontal_lines, 144, 1),
        shape(frame_62_shape_group_2_shape_6_horizontal_lines, 157, 4),
    };

    constexpr const horizontal_line frame_62_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(219, 239),
        horizontal_line(208, 236),
        horizontal_line(197, 234),
        horizontal_line(187, 231),
        horizontal_line(186, 229),
        horizontal_line(186, 226),
        horizontal_line(186, 224),
        horizontal_line(186, 222),
        horizontal_line(189, 219),
        horizontal_line(192, 217),
        horizontal_line(195, 214),
        horizontal_line(199, 212),
        horizontal_line(202, 209),
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_62_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_62_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(120, 139),
        horizontal_line(118, 140),
        horizontal_line(117, 141),
        horizontal_line(116, 143),
        horizontal_line(114, 144),
        horizontal_line(113, 146),
        horizontal_line(112, 147),
        horizontal_line(111, 148),
        horizontal_line(109, 150),
        horizontal_line(108, 151),
        horizontal_line(107, 153),
        horizontal_line(106, 154),
        horizontal_line(104, 155),
        horizontal_line(103, 157),
        horizontal_line(102, 158),
    };

    constexpr const horizontal_line frame_62_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 62),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_62_shape_group_3_shapes[] = {
        shape(frame_62_shape_group_3_shape_0_horizontal_lines, 54, 7),
        shape(frame_62_shape_group_3_shape_1_horizontal_lines, 99, 4),
        shape(frame_62_shape_group_3_shape_2_horizontal_lines, 101, 3),
        shape(frame_62_shape_group_3_shape_3_horizontal_lines, 144, 4),
    };

    constexpr const horizontal_line frame_62_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(118, 125),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_62_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(121, 138),
    };

    constexpr const horizontal_line frame_62_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_62_shape_group_4_shapes[] = {
        shape(frame_62_shape_group_4_shape_0_horizontal_lines, 99, 3),
        shape(frame_62_shape_group_4_shape_1_horizontal_lines, 110, 6),
        shape(frame_62_shape_group_4_shape_2_horizontal_lines, 144, 4),
    };

    constexpr const horizontal_line frame_62_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_62_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(128, 131),
        horizontal_line(127, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(123, 136),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_62_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_62_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(124, 156),
        horizontal_line(186, 192),
    };

    constexpr const shape frame_62_shape_group_5_shapes[] = {
        shape(frame_62_shape_group_5_shape_0_horizontal_lines, 100, 3),
        shape(frame_62_shape_group_5_shape_1_horizontal_lines, 101, 6),
        shape(frame_62_shape_group_5_shape_2_horizontal_lines, 156, 4),
        shape(frame_62_shape_group_5_shape_3_horizontal_lines, 158, 4),
    };

    constexpr const horizontal_line frame_62_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
    };

    constexpr const shape frame_62_shape_group_6_shapes[] = {
        shape(frame_62_shape_group_6_shape_0_horizontal_lines, 100, 6),
    };

    constexpr const horizontal_line frame_62_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_62_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(128, 130),
    };

    constexpr const shape frame_62_shape_group_7_shapes[] = {
        shape(frame_62_shape_group_7_shape_0_horizontal_lines, 100, 6),
        shape(frame_62_shape_group_7_shape_1_horizontal_lines, 101, 5),
    };

    constexpr const horizontal_line frame_62_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const shape frame_62_shape_group_8_shapes[] = {
        shape(frame_62_shape_group_8_shape_0_horizontal_lines, 100, 2),
    };

    constexpr const shape_group frame_62_shape_groups[] = {
        shape_group(frame_62_shape_group_0_shapes),
        shape_group(frame_62_shape_group_1_shapes),
        shape_group(frame_62_shape_group_2_shapes),
        shape_group(frame_62_shape_group_3_shapes),
        shape_group(frame_62_shape_group_4_shapes),
        shape_group(frame_62_shape_group_5_shapes),
        shape_group(frame_62_shape_group_6_shapes),
        shape_group(frame_62_shape_group_7_shapes),
        shape_group(frame_62_shape_group_8_shapes),
    };

    constexpr const frame frame_62_impl(frame_62_colors, frame_62_shape_groups);
} 

const frame& frame_62()
{
    return frame_62_impl;
}

namespace
{
    constexpr const bn::color frame_63_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_63_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(211, 239),
        horizontal_line(201, 239),
        horizontal_line(192, 239),
        horizontal_line(182, 239),
        horizontal_line(173, 235),
        horizontal_line(163, 225),
        horizontal_line(153, 215),
        horizontal_line(144, 206),
        horizontal_line(134, 196),
        horizontal_line(125, 187),
        horizontal_line(115, 177),
        horizontal_line(106, 168),
        horizontal_line(96, 158),
        horizontal_line(87, 149),
        horizontal_line(77, 139),
        horizontal_line(67, 129),
        horizontal_line(58, 120),
        horizontal_line(48, 110),
        horizontal_line(39, 101),
        horizontal_line(29, 91),
        horizontal_line(20, 82),
        horizontal_line(10, 72),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(54, 116),
        horizontal_line(58, 120),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(74, 132),
        horizontal_line(77, 116),
        horizontal_line(80, 100),
        horizontal_line(84, 84),
    };

    constexpr const horizontal_line frame_63_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(85, 88),
        horizontal_line(85, 90),
        horizontal_line(86, 93),
        horizontal_line(86, 95),
        horizontal_line(86, 98),
        horizontal_line(87, 100),
        horizontal_line(87, 103),
        horizontal_line(87, 105),
        horizontal_line(88, 108),
        horizontal_line(88, 110),
        horizontal_line(88, 113),
        horizontal_line(89, 114),
        horizontal_line(89, 114),
        horizontal_line(89, 114),
        horizontal_line(89, 114),
        horizontal_line(90, 115),
        horizontal_line(90, 115),
        horizontal_line(90, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(92, 116),
        horizontal_line(93, 117),
        horizontal_line(93, 115),
        horizontal_line(93, 114),
        horizontal_line(93, 113),
        horizontal_line(94, 112),
        horizontal_line(94, 110),
        horizontal_line(94, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(95, 105),
        horizontal_line(96, 104),
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(97, 98),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(89, 151),
        horizontal_line(132, 194),
    };

    constexpr const shape frame_63_shape_group_0_shapes[] = {
        shape(frame_63_shape_group_0_shape_0_horizontal_lines, 23, 7),
        shape(frame_63_shape_group_0_shape_1_horizontal_lines, 85, 1),
    };

    constexpr const horizontal_line frame_63_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(225, 239),
        horizontal_line(215, 239),
        horizontal_line(206, 239),
        horizontal_line(196, 239),
        horizontal_line(187, 239),
        horizontal_line(177, 239),
        horizontal_line(168, 230),
        horizontal_line(158, 220),
        horizontal_line(149, 211),
        horizontal_line(139, 201),
        horizontal_line(129, 191),
        horizontal_line(120, 182),
        horizontal_line(110, 172),
        horizontal_line(101, 163),
        horizontal_line(91, 153),
        horizontal_line(82, 144),
        horizontal_line(72, 134),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(116, 174),
        horizontal_line(120, 172),
        horizontal_line(123, 169),
        horizontal_line(126, 167),
        horizontal_line(129, 165),
        horizontal_line(133, 148),
    };

    constexpr const horizontal_line frame_63_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(161, 163),
        horizontal_line(159, 163),
        horizontal_line(157, 163),
        horizontal_line(156, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 163),
        horizontal_line(151, 163),
        horizontal_line(149, 163),
        horizontal_line(148, 163),
        horizontal_line(146, 163),
        horizontal_line(144, 163),
        horizontal_line(143, 163),
        horizontal_line(141, 163),
        horizontal_line(140, 163),
        horizontal_line(115, 135),
        horizontal_line(125, 131),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(139, 163),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(140, 162),
        horizontal_line(141, 162),
        horizontal_line(142, 162),
        horizontal_line(144, 162),
        horizontal_line(145, 162),
        horizontal_line(147, 162),
        horizontal_line(148, 162),
        horizontal_line(150, 162),
        horizontal_line(151, 162),
        horizontal_line(152, 162),
        horizontal_line(154, 162),
        horizontal_line(155, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 162),
        horizontal_line(160, 162),
        horizontal_line(161, 162),
    };

    constexpr const horizontal_line frame_63_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_63_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(158, 166),
        horizontal_line(156, 168),
        horizontal_line(155, 170),
        horizontal_line(153, 172),
        horizontal_line(151, 174),
        horizontal_line(150, 176),
        horizontal_line(148, 178),
        horizontal_line(147, 180),
        horizontal_line(145, 182),
        horizontal_line(143, 184),
        horizontal_line(142, 186),
        horizontal_line(140, 188),
        horizontal_line(139, 190),
        horizontal_line(137, 192),
        horizontal_line(135, 194),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(151, 213),
        horizontal_line(194, 231),
    };

    constexpr const shape frame_63_shape_group_1_shapes[] = {
        shape(frame_63_shape_group_1_shape_0_horizontal_lines, 29, 7),
        shape(frame_63_shape_group_1_shape_1_horizontal_lines, 81, 1),
        shape(frame_63_shape_group_1_shape_2_horizontal_lines, 125, 4),
        shape(frame_63_shape_group_1_shape_3_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(211, 239),
        horizontal_line(201, 239),
        horizontal_line(191, 239),
        horizontal_line(182, 239),
        horizontal_line(172, 234),
        horizontal_line(163, 225),
        horizontal_line(153, 215),
        horizontal_line(144, 206),
        horizontal_line(134, 196),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(140, 202),
        horizontal_line(143, 200),
        horizontal_line(146, 198),
        horizontal_line(149, 196),
        horizontal_line(153, 193),
        horizontal_line(156, 191),
        horizontal_line(159, 188),
        horizontal_line(162, 186),
        horizontal_line(166, 184),
        horizontal_line(169, 181),
        horizontal_line(172, 179),
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(139, 163),
        horizontal_line(139, 163),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(99, 161),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(194, 198),
        horizontal_line(192, 200),
        horizontal_line(191, 202),
        horizontal_line(189, 204),
        horizontal_line(188, 206),
        horizontal_line(186, 208),
        horizontal_line(184, 210),
        horizontal_line(183, 212),
        horizontal_line(181, 214),
        horizontal_line(180, 216),
        horizontal_line(178, 218),
        horizontal_line(176, 220),
        horizontal_line(175, 222),
        horizontal_line(173, 224),
        horizontal_line(172, 226),
        horizontal_line(213, 228),
    };

    constexpr const horizontal_line frame_63_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const shape frame_63_shape_group_2_shapes[] = {
        shape(frame_63_shape_group_2_shape_0_horizontal_lines, 35, 7),
        shape(frame_63_shape_group_2_shape_1_horizontal_lines, 92, 4),
        shape(frame_63_shape_group_2_shape_2_horizontal_lines, 96, 1),
        shape(frame_63_shape_group_2_shape_3_horizontal_lines, 98, 4),
        shape(frame_63_shape_group_2_shape_4_horizontal_lines, 125, 3),
        shape(frame_63_shape_group_2_shape_5_horizontal_lines, 126, 4),
        shape(frame_63_shape_group_2_shape_6_horizontal_lines, 142, 1),
        shape(frame_63_shape_group_2_shape_7_horizontal_lines, 159, 4),
    };

    constexpr const horizontal_line frame_63_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(225, 239),
        horizontal_line(215, 239),
        horizontal_line(206, 239),
        horizontal_line(196, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 236),
        horizontal_line(186, 234),
        horizontal_line(186, 231),
        horizontal_line(186, 229),
        horizontal_line(186, 227),
        horizontal_line(186, 224),
        horizontal_line(186, 222),
        horizontal_line(186, 219),
        horizontal_line(186, 217),
        horizontal_line(186, 215),
        horizontal_line(189, 212),
        horizontal_line(192, 210),
        horizontal_line(195, 207),
        horizontal_line(198, 205),
        horizontal_line(202, 203),
    };

    constexpr const horizontal_line frame_63_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_63_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 123),
        horizontal_line(116, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(118, 140),
        horizontal_line(116, 141),
        horizontal_line(115, 143),
        horizontal_line(114, 144),
        horizontal_line(113, 146),
        horizontal_line(111, 147),
        horizontal_line(110, 149),
        horizontal_line(109, 150),
        horizontal_line(108, 151),
        horizontal_line(106, 153),
        horizontal_line(105, 154),
        horizontal_line(104, 156),
        horizontal_line(103, 157),
        horizontal_line(101, 159),
        horizontal_line(100, 160),
        horizontal_line(161, 162),
    };

    constexpr const horizontal_line frame_63_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 62),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_63_shape_group_3_shapes[] = {
        shape(frame_63_shape_group_3_shape_0_horizontal_lines, 42, 7),
        shape(frame_63_shape_group_3_shape_1_horizontal_lines, 96, 4),
        shape(frame_63_shape_group_3_shape_2_horizontal_lines, 98, 3),
        shape(frame_63_shape_group_3_shape_3_horizontal_lines, 142, 4),
    };

    constexpr const horizontal_line frame_63_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(115, 124),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(132, 138),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_63_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_63_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_63_shape_group_4_shapes[] = {
        shape(frame_63_shape_group_4_shape_0_horizontal_lines, 96, 3),
        shape(frame_63_shape_group_4_shape_1_horizontal_lines, 109, 6),
        shape(frame_63_shape_group_4_shape_2_horizontal_lines, 158, 4),
    };

    constexpr const horizontal_line frame_63_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_63_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
        horizontal_line(127, 130),
        horizontal_line(126, 131),
        horizontal_line(125, 132),
        horizontal_line(124, 133),
        horizontal_line(123, 134),
        horizontal_line(122, 135),
        horizontal_line(121, 136),
        horizontal_line(120, 137),
    };

    constexpr const horizontal_line frame_63_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(124, 131),
    };

    constexpr const shape frame_63_shape_group_5_shapes[] = {
        shape(frame_63_shape_group_5_shape_0_horizontal_lines, 97, 3),
        shape(frame_63_shape_group_5_shape_1_horizontal_lines, 98, 6),
        shape(frame_63_shape_group_5_shape_2_horizontal_lines, 159, 4),
    };

    constexpr const horizontal_line frame_63_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
    };

    constexpr const shape frame_63_shape_group_6_shapes[] = {
        shape(frame_63_shape_group_6_shape_0_horizontal_lines, 98, 6),
    };

    constexpr const horizontal_line frame_63_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
    };

    constexpr const shape frame_63_shape_group_7_shapes[] = {
        shape(frame_63_shape_group_7_shape_0_horizontal_lines, 98, 5),
    };

    constexpr const shape_group frame_63_shape_groups[] = {
        shape_group(frame_63_shape_group_0_shapes),
        shape_group(frame_63_shape_group_1_shapes),
        shape_group(frame_63_shape_group_2_shapes),
        shape_group(frame_63_shape_group_3_shapes),
        shape_group(frame_63_shape_group_4_shapes),
        shape_group(frame_63_shape_group_5_shapes),
        shape_group(frame_63_shape_group_6_shapes),
        shape_group(frame_63_shape_group_7_shapes),
    };

    constexpr const frame frame_63_impl(frame_63_colors, frame_63_shape_groups);
} 

const frame& frame_63()
{
    return frame_63_impl;
}

namespace
{
    constexpr const bn::color frame_64_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_64_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(223, 239),
        horizontal_line(215, 239),
        horizontal_line(207, 239),
        horizontal_line(198, 239),
        horizontal_line(190, 239),
        horizontal_line(182, 239),
        horizontal_line(174, 236),
        horizontal_line(165, 227),
        horizontal_line(157, 219),
        horizontal_line(149, 211),
        horizontal_line(141, 203),
        horizontal_line(132, 194),
        horizontal_line(124, 186),
        horizontal_line(116, 178),
        horizontal_line(108, 170),
        horizontal_line(99, 161),
        horizontal_line(91, 153),
        horizontal_line(83, 145),
        horizontal_line(75, 137),
        horizontal_line(66, 128),
        horizontal_line(58, 120),
        horizontal_line(50, 112),
        horizontal_line(42, 104),
        horizontal_line(33, 95),
        horizontal_line(25, 87),
        horizontal_line(17, 79),
        horizontal_line(9, 71),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(69, 131),
        horizontal_line(72, 114),
        horizontal_line(75, 96),
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_64_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
        horizontal_line(80, 82),
        horizontal_line(80, 84),
        horizontal_line(81, 86),
        horizontal_line(81, 89),
        horizontal_line(81, 91),
        horizontal_line(82, 93),
        horizontal_line(82, 95),
        horizontal_line(82, 97),
        horizontal_line(83, 100),
        horizontal_line(83, 102),
        horizontal_line(83, 104),
        horizontal_line(84, 106),
        horizontal_line(84, 108),
        horizontal_line(84, 111),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(86, 112),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(89, 115),
        horizontal_line(89, 113),
        horizontal_line(89, 112),
        horizontal_line(90, 111),
        horizontal_line(90, 110),
        horizontal_line(90, 109),
        horizontal_line(91, 108),
        horizontal_line(91, 106),
        horizontal_line(91, 105),
        horizontal_line(92, 104),
        horizontal_line(92, 103),
        horizontal_line(92, 102),
        horizontal_line(93, 101),
        horizontal_line(93, 99),
        horizontal_line(93, 98),
        horizontal_line(94, 97),
        horizontal_line(94, 96),
        horizontal_line(94, 95),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(55, 117),
    };

    constexpr const shape frame_64_shape_group_0_shapes[] = {
        shape(frame_64_shape_group_0_shape_0_horizontal_lines, 6, 7),
        shape(frame_64_shape_group_0_shape_1_horizontal_lines, 79, 1),
    };

    constexpr const horizontal_line frame_64_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(227, 239),
        horizontal_line(219, 239),
        horizontal_line(211, 239),
        horizontal_line(203, 239),
        horizontal_line(194, 239),
        horizontal_line(186, 239),
        horizontal_line(178, 239),
        horizontal_line(170, 232),
        horizontal_line(161, 223),
        horizontal_line(153, 215),
        horizontal_line(145, 207),
        horizontal_line(137, 199),
        horizontal_line(128, 190),
        horizontal_line(120, 182),
        horizontal_line(112, 174),
        horizontal_line(104, 166),
        horizontal_line(95, 157),
        horizontal_line(87, 149),
        horizontal_line(79, 141),
        horizontal_line(71, 133),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 173),
        horizontal_line(117, 171),
        horizontal_line(121, 169),
        horizontal_line(124, 167),
        horizontal_line(127, 149),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_64_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(163, 165),
        horizontal_line(161, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 165),
        horizontal_line(156, 165),
        horizontal_line(155, 165),
        horizontal_line(153, 165),
        horizontal_line(151, 165),
        horizontal_line(150, 165),
        horizontal_line(148, 165),
        horizontal_line(147, 165),
        horizontal_line(145, 165),
        horizontal_line(143, 165),
        horizontal_line(142, 165),
        horizontal_line(140, 165),
        horizontal_line(139, 164),
        horizontal_line(126, 135),
        horizontal_line(113, 132),
        horizontal_line(124, 130),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(139, 164),
        horizontal_line(140, 164),
        horizontal_line(141, 163),
        horizontal_line(143, 163),
        horizontal_line(144, 163),
        horizontal_line(145, 163),
        horizontal_line(147, 163),
        horizontal_line(148, 163),
        horizontal_line(150, 163),
        horizontal_line(151, 163),
        horizontal_line(152, 163),
        horizontal_line(154, 163),
        horizontal_line(155, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 163),
        horizontal_line(161, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_64_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_64_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(155, 167),
        horizontal_line(153, 169),
        horizontal_line(152, 171),
        horizontal_line(150, 173),
        horizontal_line(148, 175),
        horizontal_line(147, 177),
        horizontal_line(145, 179),
        horizontal_line(143, 181),
        horizontal_line(142, 183),
        horizontal_line(140, 185),
        horizontal_line(139, 187),
        horizontal_line(137, 189),
        horizontal_line(135, 191),
        horizontal_line(134, 193),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(117, 179),
    };

    constexpr const shape frame_64_shape_group_1_shapes[] = {
        shape(frame_64_shape_group_1_shape_0_horizontal_lines, 13, 7),
        shape(frame_64_shape_group_1_shape_1_horizontal_lines, 76, 1),
        shape(frame_64_shape_group_1_shape_2_horizontal_lines, 124, 3),
        shape(frame_64_shape_group_1_shape_3_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(223, 239),
        horizontal_line(215, 239),
        horizontal_line(207, 239),
        horizontal_line(199, 239),
        horizontal_line(190, 239),
        horizontal_line(182, 239),
        horizontal_line(174, 236),
        horizontal_line(166, 228),
        horizontal_line(157, 219),
        horizontal_line(149, 211),
        horizontal_line(141, 203),
        horizontal_line(133, 195),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(140, 197),
        horizontal_line(143, 195),
        horizontal_line(147, 193),
        horizontal_line(150, 191),
        horizontal_line(153, 188),
        horizontal_line(156, 186),
        horizontal_line(160, 184),
        horizontal_line(163, 182),
        horizontal_line(166, 180),
        horizontal_line(170, 177),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(138, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 164),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(114, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(116, 139),
        horizontal_line(114, 140),
        horizontal_line(113, 142),
        horizontal_line(112, 143),
        horizontal_line(111, 144),
        horizontal_line(110, 146),
        horizontal_line(109, 147),
        horizontal_line(107, 149),
        horizontal_line(106, 150),
        horizontal_line(105, 151),
        horizontal_line(104, 153),
        horizontal_line(103, 154),
        horizontal_line(102, 156),
        horizontal_line(100, 157),
        horizontal_line(99, 158),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_64_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(192, 197),
        horizontal_line(191, 200),
        horizontal_line(189, 202),
        horizontal_line(187, 204),
        horizontal_line(186, 206),
        horizontal_line(184, 208),
        horizontal_line(183, 210),
        horizontal_line(181, 212),
        horizontal_line(179, 214),
        horizontal_line(178, 216),
        horizontal_line(176, 218),
        horizontal_line(174, 220),
        horizontal_line(173, 222),
        horizontal_line(171, 224),
        horizontal_line(169, 226),
        horizontal_line(168, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(179, 235),
    };

    constexpr const shape frame_64_shape_group_2_shapes[] = {
        shape(frame_64_shape_group_2_shape_0_horizontal_lines, 21, 7),
        shape(frame_64_shape_group_2_shape_1_horizontal_lines, 75, 1),
        shape(frame_64_shape_group_2_shape_2_horizontal_lines, 92, 1),
        shape(frame_64_shape_group_2_shape_3_horizontal_lines, 95, 3),
        shape(frame_64_shape_group_2_shape_4_horizontal_lines, 125, 4),
        shape(frame_64_shape_group_2_shape_5_horizontal_lines, 140, 1),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(228, 239),
        horizontal_line(219, 239),
        horizontal_line(211, 239),
        horizontal_line(203, 239),
        horizontal_line(195, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 236),
        horizontal_line(186, 234),
        horizontal_line(186, 232),
        horizontal_line(186, 230),
        horizontal_line(186, 228),
        horizontal_line(186, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 221),
        horizontal_line(186, 219),
        horizontal_line(186, 217),
        horizontal_line(186, 215),
        horizontal_line(186, 212),
        horizontal_line(186, 210),
        horizontal_line(186, 208),
        horizontal_line(189, 206),
        horizontal_line(192, 204),
        horizontal_line(195, 201),
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(136, 137),
        horizontal_line(133, 137),
        horizontal_line(113, 123),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(228, 230),
        horizontal_line(227, 232),
    };

    constexpr const horizontal_line frame_64_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 54),
    };

    constexpr const shape frame_64_shape_group_3_shapes[] = {
        shape(frame_64_shape_group_3_shape_0_horizontal_lines, 28, 7),
        shape(frame_64_shape_group_3_shape_1_horizontal_lines, 92, 3),
        shape(frame_64_shape_group_3_shape_2_horizontal_lines, 106, 6),
        shape(frame_64_shape_group_3_shape_3_horizontal_lines, 107, 4),
        shape(frame_64_shape_group_3_shape_4_horizontal_lines, 122, 3),
        shape(frame_64_shape_group_3_shape_5_horizontal_lines, 124, 4),
        shape(frame_64_shape_group_3_shape_6_horizontal_lines, 140, 4),
        shape(frame_64_shape_group_3_shape_7_horizontal_lines, 157, 1),
        shape(frame_64_shape_group_3_shape_8_horizontal_lines, 159, 4),
    };

    constexpr const horizontal_line frame_64_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_64_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(125, 129),
        horizontal_line(124, 130),
        horizontal_line(123, 131),
        horizontal_line(122, 132),
        horizontal_line(121, 133),
        horizontal_line(120, 134),
        horizontal_line(119, 135),
        horizontal_line(118, 136),
    };

    constexpr const horizontal_line frame_64_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_64_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_64_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
    };

    constexpr const shape frame_64_shape_group_4_shapes[] = {
        shape(frame_64_shape_group_4_shape_0_horizontal_lines, 94, 3),
        shape(frame_64_shape_group_4_shape_1_horizontal_lines, 95, 6),
        shape(frame_64_shape_group_4_shape_2_horizontal_lines, 106, 4),
        shape(frame_64_shape_group_4_shape_3_horizontal_lines, 122, 4),
        shape(frame_64_shape_group_4_shape_4_horizontal_lines, 157, 4),
    };

    constexpr const horizontal_line frame_64_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_64_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_64_shape_group_5_shapes[] = {
        shape(frame_64_shape_group_5_shape_0_horizontal_lines, 95, 6),
        shape(frame_64_shape_group_5_shape_1_horizontal_lines, 105, 4),
    };

    constexpr const horizontal_line frame_64_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_64_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(126, 128),
    };

    constexpr const shape frame_64_shape_group_6_shapes[] = {
        shape(frame_64_shape_group_6_shape_0_horizontal_lines, 95, 2),
        shape(frame_64_shape_group_6_shape_1_horizontal_lines, 96, 5),
    };

    constexpr const shape_group frame_64_shape_groups[] = {
        shape_group(frame_64_shape_group_0_shapes),
        shape_group(frame_64_shape_group_1_shapes),
        shape_group(frame_64_shape_group_2_shapes),
        shape_group(frame_64_shape_group_3_shapes),
        shape_group(frame_64_shape_group_4_shapes),
        shape_group(frame_64_shape_group_5_shapes),
        shape_group(frame_64_shape_group_6_shapes),
    };

    constexpr const frame frame_64_impl(frame_64_colors, frame_64_shape_groups);
} 

const frame& frame_64()
{
    return frame_64_impl;
}

namespace
{
    constexpr const bn::color frame_65_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_65_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(132, 194),
        horizontal_line(125, 187),
        horizontal_line(118, 180),
        horizontal_line(111, 173),
        horizontal_line(104, 166),
        horizontal_line(97, 159),
        horizontal_line(90, 152),
        horizontal_line(83, 145),
        horizontal_line(76, 138),
        horizontal_line(70, 132),
        horizontal_line(63, 125),
        horizontal_line(56, 118),
        horizontal_line(49, 111),
        horizontal_line(42, 104),
        horizontal_line(35, 97),
        horizontal_line(28, 90),
        horizontal_line(21, 83),
        horizontal_line(14, 76),
        horizontal_line(7, 69),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 120),
        horizontal_line(62, 108),
        horizontal_line(65, 96),
        horizontal_line(68, 84),
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_65_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(73, 75),
        horizontal_line(74, 78),
        horizontal_line(74, 80),
        horizontal_line(74, 82),
        horizontal_line(75, 85),
        horizontal_line(75, 87),
        horizontal_line(75, 90),
        horizontal_line(76, 92),
        horizontal_line(76, 94),
        horizontal_line(76, 97),
        horizontal_line(77, 99),
        horizontal_line(77, 101),
        horizontal_line(78, 104),
        horizontal_line(78, 106),
        horizontal_line(78, 109),
        horizontal_line(79, 110),
        horizontal_line(79, 110),
        horizontal_line(79, 110),
        horizontal_line(80, 110),
        horizontal_line(80, 110),
        horizontal_line(80, 111),
        horizontal_line(81, 111),
        horizontal_line(81, 111),
        horizontal_line(82, 111),
        horizontal_line(82, 111),
        horizontal_line(82, 112),
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 113),
        horizontal_line(84, 111),
        horizontal_line(85, 110),
        horizontal_line(85, 109),
        horizontal_line(85, 107),
        horizontal_line(86, 106),
        horizontal_line(86, 105),
        horizontal_line(87, 104),
        horizontal_line(87, 102),
        horizontal_line(87, 101),
        horizontal_line(88, 100),
        horizontal_line(88, 98),
        horizontal_line(88, 97),
        horizontal_line(89, 96),
        horizontal_line(89, 95),
        horizontal_line(89, 93),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
    };

    constexpr const shape frame_65_shape_group_0_shapes[] = {
        shape(frame_65_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_65_shape_group_0_shape_1_horizontal_lines, 75, 1),
    };

    constexpr const horizontal_line frame_65_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(194, 239),
        horizontal_line(187, 239),
        horizontal_line(180, 239),
        horizontal_line(173, 235),
        horizontal_line(166, 228),
        horizontal_line(159, 221),
        horizontal_line(152, 214),
        horizontal_line(145, 207),
        horizontal_line(138, 200),
        horizontal_line(132, 194),
        horizontal_line(125, 187),
        horizontal_line(118, 180),
        horizontal_line(111, 173),
        horizontal_line(104, 166),
        horizontal_line(97, 159),
        horizontal_line(90, 152),
        horizontal_line(83, 145),
        horizontal_line(76, 138),
        horizontal_line(69, 131),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 169),
        horizontal_line(112, 156),
        horizontal_line(115, 144),
        horizontal_line(118, 132),
    };

    constexpr const horizontal_line frame_65_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(162, 167),
        horizontal_line(161, 167),
        horizontal_line(159, 167),
        horizontal_line(158, 167),
        horizontal_line(156, 167),
        horizontal_line(155, 167),
        horizontal_line(154, 167),
        horizontal_line(152, 167),
        horizontal_line(151, 167),
        horizontal_line(149, 167),
        horizontal_line(148, 167),
        horizontal_line(146, 167),
        horizontal_line(145, 167),
        horizontal_line(143, 167),
        horizontal_line(142, 166),
        horizontal_line(140, 166),
        horizontal_line(139, 166),
        horizontal_line(138, 166),
        horizontal_line(124, 134),
        horizontal_line(111, 131),
        horizontal_line(116, 128),
        horizontal_line(122, 122),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 166),
        horizontal_line(138, 165),
        horizontal_line(139, 165),
        horizontal_line(140, 165),
        horizontal_line(142, 165),
        horizontal_line(143, 165),
        horizontal_line(145, 165),
        horizontal_line(146, 165),
        horizontal_line(148, 165),
        horizontal_line(150, 165),
        horizontal_line(151, 165),
        horizontal_line(153, 165),
        horizontal_line(154, 165),
        horizontal_line(156, 165),
        horizontal_line(158, 165),
        horizontal_line(159, 165),
        horizontal_line(161, 165),
        horizontal_line(162, 165),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_65_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_65_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(129, 167),
        horizontal_line(153, 169),
        horizontal_line(151, 171),
        horizontal_line(149, 173),
        horizontal_line(148, 175),
        horizontal_line(146, 177),
        horizontal_line(145, 179),
        horizontal_line(143, 181),
        horizontal_line(142, 183),
        horizontal_line(140, 185),
        horizontal_line(139, 187),
        horizontal_line(137, 189),
        horizontal_line(136, 191),
        horizontal_line(134, 193),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
    };

    constexpr const shape frame_65_shape_group_1_shapes[] = {
        shape(frame_65_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_65_shape_group_1_shape_1_horizontal_lines, 70, 1),
        shape(frame_65_shape_group_1_shape_2_horizontal_lines, 122, 3),
        shape(frame_65_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(228, 239),
        horizontal_line(221, 239),
        horizontal_line(214, 239),
        horizontal_line(207, 239),
        horizontal_line(200, 239),
        horizontal_line(194, 239),
        horizontal_line(187, 239),
        horizontal_line(180, 239),
        horizontal_line(173, 235),
        horizontal_line(166, 228),
        horizontal_line(159, 221),
        horizontal_line(152, 214),
        horizontal_line(145, 207),
        horizontal_line(138, 200),
        horizontal_line(131, 193),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 194),
        horizontal_line(136, 192),
        horizontal_line(139, 190),
        horizontal_line(142, 188),
        horizontal_line(145, 185),
        horizontal_line(149, 183),
        horizontal_line(152, 181),
        horizontal_line(155, 179),
        horizontal_line(158, 177),
        horizontal_line(161, 175),
        horizontal_line(164, 173),
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(165, 167),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
        horizontal_line(137, 166),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(111, 122),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(113, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 114),
        horizontal_line(114, 139),
        horizontal_line(112, 141),
        horizontal_line(111, 142),
        horizontal_line(110, 144),
        horizontal_line(108, 145),
        horizontal_line(107, 147),
        horizontal_line(106, 149),
        horizontal_line(105, 150),
        horizontal_line(103, 152),
        horizontal_line(102, 153),
        horizontal_line(101, 155),
        horizontal_line(99, 157),
        horizontal_line(98, 158),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(155, 165),
        horizontal_line(92, 128),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_65_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(195, 195),
        horizontal_line(193, 197),
        horizontal_line(192, 199),
        horizontal_line(190, 201),
        horizontal_line(189, 203),
        horizontal_line(187, 205),
        horizontal_line(186, 207),
        horizontal_line(184, 209),
        horizontal_line(183, 211),
        horizontal_line(181, 213),
        horizontal_line(180, 215),
        horizontal_line(178, 217),
        horizontal_line(177, 219),
        horizontal_line(175, 221),
        horizontal_line(174, 223),
        horizontal_line(172, 225),
        horizontal_line(171, 227),
        horizontal_line(169, 229),
        horizontal_line(168, 230),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_65_shape_group_2_shapes[] = {
        shape(frame_65_shape_group_2_shape_0_horizontal_lines, 4, 7),
        shape(frame_65_shape_group_2_shape_1_horizontal_lines, 68, 1),
        shape(frame_65_shape_group_2_shape_2_horizontal_lines, 89, 1),
        shape(frame_65_shape_group_2_shape_3_horizontal_lines, 93, 3),
        shape(frame_65_shape_group_2_shape_4_horizontal_lines, 124, 4),
        shape(frame_65_shape_group_2_shape_5_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(228, 239),
        horizontal_line(221, 239),
        horizontal_line(214, 239),
        horizontal_line(207, 239),
        horizontal_line(200, 239),
        horizontal_line(193, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 236),
        horizontal_line(186, 234),
        horizontal_line(186, 232),
        horizontal_line(186, 230),
        horizontal_line(186, 228),
        horizontal_line(186, 226),
        horizontal_line(186, 224),
        horizontal_line(186, 222),
        horizontal_line(186, 219),
        horizontal_line(186, 217),
        horizontal_line(186, 215),
        horizontal_line(186, 213),
        horizontal_line(186, 211),
        horizontal_line(186, 209),
        horizontal_line(186, 207),
        horizontal_line(186, 205),
        horizontal_line(186, 202),
        horizontal_line(186, 200),
        horizontal_line(189, 198),
        horizontal_line(192, 196),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(132, 136),
        horizontal_line(111, 115),
        horizontal_line(111, 121),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(129, 136),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(115, 138),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(158, 161),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_65_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(230, 231),
        horizontal_line(228, 233),
        horizontal_line(227, 235),
        horizontal_line(225, 238),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_65_shape_group_3_shapes[] = {
        shape(frame_65_shape_group_3_shape_0_horizontal_lines, 13, 7),
        shape(frame_65_shape_group_3_shape_1_horizontal_lines, 89, 3),
        shape(frame_65_shape_group_3_shape_2_horizontal_lines, 105, 6),
        shape(frame_65_shape_group_3_shape_3_horizontal_lines, 119, 3),
        shape(frame_65_shape_group_3_shape_4_horizontal_lines, 122, 4),
        shape(frame_65_shape_group_3_shape_5_horizontal_lines, 137, 4),
        shape(frame_65_shape_group_3_shape_6_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_65_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 136),
        horizontal_line(128, 136),
    };

    constexpr const horizontal_line frame_65_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(124, 128),
        horizontal_line(123, 129),
        horizontal_line(122, 130),
        horizontal_line(121, 131),
        horizontal_line(120, 132),
        horizontal_line(119, 133),
        horizontal_line(118, 134),
        horizontal_line(117, 135),
        horizontal_line(116, 136),
    };

    constexpr const horizontal_line frame_65_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_65_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const shape frame_65_shape_group_4_shapes[] = {
        shape(frame_65_shape_group_4_shape_0_horizontal_lines, 91, 3),
        shape(frame_65_shape_group_4_shape_1_horizontal_lines, 93, 6),
        shape(frame_65_shape_group_4_shape_2_horizontal_lines, 119, 4),
        shape(frame_65_shape_group_4_shape_3_horizontal_lines, 155, 4),
    };

    constexpr const horizontal_line frame_65_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_65_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_65_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(125, 127),
    };

    constexpr const shape frame_65_shape_group_5_shapes[] = {
        shape(frame_65_shape_group_5_shape_0_horizontal_lines, 92, 6),
        shape(frame_65_shape_group_5_shape_1_horizontal_lines, 93, 2),
        shape(frame_65_shape_group_5_shape_2_horizontal_lines, 94, 5),
    };

    constexpr const horizontal_line frame_65_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const shape frame_65_shape_group_6_shapes[] = {
        shape(frame_65_shape_group_6_shape_0_horizontal_lines, 92, 5),
    };

    constexpr const horizontal_line frame_65_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const shape frame_65_shape_group_7_shapes[] = {
        shape(frame_65_shape_group_7_shape_0_horizontal_lines, 92, 2),
    };

    constexpr const shape_group frame_65_shape_groups[] = {
        shape_group(frame_65_shape_group_0_shapes),
        shape_group(frame_65_shape_group_1_shapes),
        shape_group(frame_65_shape_group_2_shapes),
        shape_group(frame_65_shape_group_3_shapes),
        shape_group(frame_65_shape_group_4_shapes),
        shape_group(frame_65_shape_group_5_shapes),
        shape_group(frame_65_shape_group_6_shapes),
        shape_group(frame_65_shape_group_7_shapes),
    };

    constexpr const frame frame_65_impl(frame_65_colors, frame_65_shape_groups);
} 

const frame& frame_65()
{
    return frame_65_impl;
}

namespace
{
    constexpr const bn::color frame_66_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_66_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(9, 71),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 108),
        horizontal_line(56, 97),
        horizontal_line(59, 87),
        horizontal_line(62, 76),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_66_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 69),
        horizontal_line(68, 71),
        horizontal_line(68, 74),
        horizontal_line(68, 76),
        horizontal_line(69, 78),
        horizontal_line(69, 80),
        horizontal_line(69, 83),
        horizontal_line(70, 85),
        horizontal_line(70, 87),
        horizontal_line(70, 90),
        horizontal_line(71, 92),
        horizontal_line(71, 94),
        horizontal_line(71, 96),
        horizontal_line(72, 99),
        horizontal_line(72, 101),
        horizontal_line(72, 103),
        horizontal_line(73, 106),
        horizontal_line(73, 107),
        horizontal_line(73, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 107),
        horizontal_line(74, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(75, 108),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(76, 109),
        horizontal_line(77, 109),
        horizontal_line(77, 109),
        horizontal_line(77, 110),
        horizontal_line(78, 110),
        horizontal_line(78, 110),
        horizontal_line(78, 110),
        horizontal_line(79, 111),
        horizontal_line(79, 109),
        horizontal_line(79, 108),
        horizontal_line(80, 107),
        horizontal_line(80, 105),
        horizontal_line(80, 104),
        horizontal_line(81, 103),
        horizontal_line(81, 101),
        horizontal_line(81, 100),
        horizontal_line(82, 99),
        horizontal_line(82, 98),
        horizontal_line(82, 96),
        horizontal_line(83, 95),
        horizontal_line(83, 94),
        horizontal_line(83, 92),
        horizontal_line(84, 91),
        horizontal_line(84, 90),
        horizontal_line(84, 88),
        horizontal_line(85, 87),
        horizontal_line(85, 86),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
    };

    constexpr const shape frame_66_shape_group_0_shapes[] = {
        shape(frame_66_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_66_shape_group_0_shape_1_horizontal_lines, 69, 1),
    };

    constexpr const horizontal_line frame_66_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(80, 142),
        horizontal_line(71, 133),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 150),
        horizontal_line(106, 140),
        horizontal_line(109, 129),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_66_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(165, 170),
        horizontal_line(163, 170),
        horizontal_line(162, 170),
        horizontal_line(161, 170),
        horizontal_line(160, 170),
        horizontal_line(158, 170),
        horizontal_line(157, 170),
        horizontal_line(156, 170),
        horizontal_line(154, 170),
        horizontal_line(153, 170),
        horizontal_line(152, 170),
        horizontal_line(150, 170),
        horizontal_line(149, 170),
        horizontal_line(148, 170),
        horizontal_line(147, 170),
        horizontal_line(145, 170),
        horizontal_line(144, 169),
        horizontal_line(143, 169),
        horizontal_line(141, 169),
        horizontal_line(140, 169),
        horizontal_line(139, 169),
        horizontal_line(138, 169),
        horizontal_line(108, 134),
        horizontal_line(110, 132),
        horizontal_line(114, 130),
        horizontal_line(117, 128),
        horizontal_line(121, 121),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 168),
        horizontal_line(138, 168),
        horizontal_line(139, 168),
        horizontal_line(141, 168),
        horizontal_line(142, 168),
        horizontal_line(144, 168),
        horizontal_line(145, 168),
        horizontal_line(147, 168),
        horizontal_line(148, 168),
        horizontal_line(150, 168),
        horizontal_line(151, 168),
        horizontal_line(153, 168),
        horizontal_line(155, 168),
        horizontal_line(156, 168),
        horizontal_line(158, 168),
        horizontal_line(159, 168),
        horizontal_line(161, 168),
        horizontal_line(162, 168),
        horizontal_line(164, 168),
        horizontal_line(165, 168),
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_66_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(88, 150),
    };

    constexpr const horizontal_line frame_66_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(128, 170),
        horizontal_line(148, 172),
        horizontal_line(146, 174),
        horizontal_line(145, 176),
        horizontal_line(143, 178),
        horizontal_line(142, 180),
        horizontal_line(140, 182),
        horizontal_line(139, 184),
        horizontal_line(137, 186),
        horizontal_line(136, 188),
        horizontal_line(134, 190),
        horizontal_line(133, 192),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
    };

    constexpr const shape frame_66_shape_group_1_shapes[] = {
        shape(frame_66_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_66_shape_group_1_shape_1_horizontal_lines, 64, 1),
        shape(frame_66_shape_group_1_shape_2_horizontal_lines, 122, 3),
        shape(frame_66_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(133, 195),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 190),
        horizontal_line(133, 188),
        horizontal_line(136, 186),
        horizontal_line(139, 184),
        horizontal_line(142, 182),
        horizontal_line(146, 180),
        horizontal_line(149, 178),
        horizontal_line(152, 176),
        horizontal_line(155, 174),
        horizontal_line(158, 172),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(169, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
        horizontal_line(137, 169),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(109, 121),
        horizontal_line(109, 121),
        horizontal_line(109, 121),
        horizontal_line(109, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(112, 140),
        horizontal_line(110, 141),
        horizontal_line(109, 143),
        horizontal_line(108, 144),
        horizontal_line(106, 146),
        horizontal_line(105, 147),
        horizontal_line(104, 149),
        horizontal_line(102, 150),
        horizontal_line(101, 152),
        horizontal_line(100, 154),
        horizontal_line(99, 155),
        horizontal_line(97, 157),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(150, 168),
        horizontal_line(87, 127),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_66_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(192, 196),
        horizontal_line(191, 198),
        horizontal_line(189, 200),
        horizontal_line(188, 203),
        horizontal_line(186, 205),
        horizontal_line(185, 207),
        horizontal_line(183, 209),
        horizontal_line(182, 211),
        horizontal_line(180, 213),
        horizontal_line(179, 215),
        horizontal_line(177, 217),
        horizontal_line(176, 219),
        horizontal_line(175, 221),
        horizontal_line(173, 223),
        horizontal_line(172, 225),
        horizontal_line(170, 227),
        horizontal_line(169, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
    };

    constexpr const shape frame_66_shape_group_2_shapes[] = {
        shape(frame_66_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_66_shape_group_2_shape_1_horizontal_lines, 60, 1),
        shape(frame_66_shape_group_2_shape_2_horizontal_lines, 86, 1),
        shape(frame_66_shape_group_2_shape_3_horizontal_lines, 91, 3),
        shape(frame_66_shape_group_2_shape_4_horizontal_lines, 132, 4),
        shape(frame_66_shape_group_2_shape_5_horizontal_lines, 135, 1),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(195, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 236),
        horizontal_line(186, 234),
        horizontal_line(186, 232),
        horizontal_line(186, 230),
        horizontal_line(186, 228),
        horizontal_line(186, 226),
        horizontal_line(186, 224),
        horizontal_line(186, 222),
        horizontal_line(186, 220),
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 214),
        horizontal_line(186, 212),
        horizontal_line(186, 210),
        horizontal_line(186, 208),
        horizontal_line(186, 206),
        horizontal_line(186, 204),
        horizontal_line(186, 202),
        horizontal_line(186, 200),
        horizontal_line(186, 198),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(189, 192),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(108, 109),
        horizontal_line(108, 113),
        horizontal_line(108, 116),
        horizontal_line(108, 120),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(129, 136),
        horizontal_line(130, 136),
        horizontal_line(131, 136),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(114, 137),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 160),
        horizontal_line(155, 161),
        horizontal_line(154, 163),
        horizontal_line(153, 164),
        horizontal_line(151, 166),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_66_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(229, 231),
        horizontal_line(228, 233),
        horizontal_line(226, 235),
        horizontal_line(225, 238),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_66_shape_group_3_shapes[] = {
        shape(frame_66_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_66_shape_group_3_shape_1_horizontal_lines, 86, 3),
        shape(frame_66_shape_group_3_shape_2_horizontal_lines, 102, 6),
        shape(frame_66_shape_group_3_shape_3_horizontal_lines, 103, 3),
        shape(frame_66_shape_group_3_shape_4_horizontal_lines, 116, 3),
        shape(frame_66_shape_group_3_shape_5_horizontal_lines, 135, 4),
        shape(frame_66_shape_group_3_shape_6_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_66_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(131, 136),
        horizontal_line(129, 136),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_66_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(123, 127),
    };

    constexpr const horizontal_line frame_66_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
        horizontal_line(119, 130),
        horizontal_line(118, 132),
        horizontal_line(117, 133),
        horizontal_line(116, 134),
        horizontal_line(115, 135),
    };

    constexpr const horizontal_line frame_66_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(113, 123),
    };

    constexpr const horizontal_line frame_66_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const shape frame_66_shape_group_4_shapes[] = {
        shape(frame_66_shape_group_4_shape_0_horizontal_lines, 87, 3),
        shape(frame_66_shape_group_4_shape_1_horizontal_lines, 91, 5),
        shape(frame_66_shape_group_4_shape_2_horizontal_lines, 94, 6),
        shape(frame_66_shape_group_4_shape_3_horizontal_lines, 103, 6),
        shape(frame_66_shape_group_4_shape_4_horizontal_lines, 153, 4),
    };

    constexpr const horizontal_line frame_66_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(128, 136),
    };

    constexpr const horizontal_line frame_66_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
    };

    constexpr const shape frame_66_shape_group_5_shapes[] = {
        shape(frame_66_shape_group_5_shape_0_horizontal_lines, 90, 3),
        shape(frame_66_shape_group_5_shape_1_horizontal_lines, 91, 6),
    };

    constexpr const horizontal_line frame_66_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const shape frame_66_shape_group_6_shapes[] = {
        shape(frame_66_shape_group_6_shape_0_horizontal_lines, 90, 5),
    };

    constexpr const horizontal_line frame_66_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const shape frame_66_shape_group_7_shapes[] = {
        shape(frame_66_shape_group_7_shape_0_horizontal_lines, 90, 2),
    };

    constexpr const horizontal_line frame_66_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const shape frame_66_shape_group_8_shapes[] = {
        shape(frame_66_shape_group_8_shape_0_horizontal_lines, 90, 6),
    };

    constexpr const shape_group frame_66_shape_groups[] = {
        shape_group(frame_66_shape_group_0_shapes),
        shape_group(frame_66_shape_group_1_shapes),
        shape_group(frame_66_shape_group_2_shapes),
        shape_group(frame_66_shape_group_3_shapes),
        shape_group(frame_66_shape_group_4_shapes),
        shape_group(frame_66_shape_group_5_shapes),
        shape_group(frame_66_shape_group_6_shapes),
        shape_group(frame_66_shape_group_7_shapes),
        shape_group(frame_66_shape_group_8_shapes),
    };

    constexpr const frame frame_66_impl(frame_66_colors, frame_66_shape_groups);
} 

const frame& frame_66()
{
    return frame_66_impl;
}

namespace
{
    constexpr const bn::color frame_67_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_67_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(44, 96),
        horizontal_line(47, 86),
        horizontal_line(50, 76),
        horizontal_line(53, 66),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_67_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 60),
        horizontal_line(59, 62),
        horizontal_line(59, 65),
        horizontal_line(60, 67),
        horizontal_line(60, 69),
        horizontal_line(60, 72),
        horizontal_line(61, 74),
        horizontal_line(61, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 81),
        horizontal_line(62, 83),
        horizontal_line(63, 85),
        horizontal_line(63, 88),
        horizontal_line(64, 90),
        horizontal_line(64, 92),
        horizontal_line(64, 94),
        horizontal_line(65, 97),
        horizontal_line(65, 99),
        horizontal_line(66, 101),
        horizontal_line(66, 104),
        horizontal_line(66, 105),
        horizontal_line(67, 105),
        horizontal_line(67, 105),
        horizontal_line(68, 105),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(69, 106),
        horizontal_line(69, 106),
        horizontal_line(70, 106),
        horizontal_line(70, 107),
        horizontal_line(70, 107),
        horizontal_line(71, 107),
        horizontal_line(71, 107),
        horizontal_line(72, 107),
        horizontal_line(72, 108),
        horizontal_line(72, 108),
        horizontal_line(73, 108),
        horizontal_line(73, 108),
        horizontal_line(74, 109),
        horizontal_line(74, 107),
        horizontal_line(74, 106),
        horizontal_line(75, 105),
        horizontal_line(75, 104),
        horizontal_line(76, 102),
        horizontal_line(76, 101),
        horizontal_line(76, 100),
        horizontal_line(77, 99),
        horizontal_line(77, 97),
        horizontal_line(78, 96),
        horizontal_line(78, 95),
        horizontal_line(78, 94),
        horizontal_line(79, 93),
        horizontal_line(79, 91),
        horizontal_line(80, 90),
        horizontal_line(80, 89),
        horizontal_line(80, 88),
        horizontal_line(81, 86),
        horizontal_line(81, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 83),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
    };

    constexpr const shape frame_67_shape_group_0_shapes[] = {
        shape(frame_67_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_67_shape_group_0_shape_1_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_67_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 145),
        horizontal_line(93, 135),
        horizontal_line(96, 125),
        horizontal_line(100, 116),
        horizontal_line(103, 106),
    };

    constexpr const horizontal_line frame_67_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(165, 173),
        horizontal_line(164, 173),
        horizontal_line(163, 173),
        horizontal_line(162, 173),
        horizontal_line(160, 173),
        horizontal_line(159, 173),
        horizontal_line(158, 173),
        horizontal_line(157, 173),
        horizontal_line(155, 173),
        horizontal_line(154, 173),
        horizontal_line(153, 173),
        horizontal_line(152, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 172),
        horizontal_line(148, 172),
        horizontal_line(147, 172),
        horizontal_line(145, 172),
        horizontal_line(144, 172),
        horizontal_line(143, 172),
        horizontal_line(142, 172),
        horizontal_line(140, 172),
        horizontal_line(139, 172),
        horizontal_line(138, 172),
        horizontal_line(137, 172),
        horizontal_line(121, 134),
        horizontal_line(106, 132),
        horizontal_line(108, 131),
        horizontal_line(112, 129),
        horizontal_line(115, 128),
        horizontal_line(119, 119),
        horizontal_line(136, 171),
        horizontal_line(136, 171),
        horizontal_line(136, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
        horizontal_line(138, 171),
        horizontal_line(139, 171),
        horizontal_line(141, 171),
        horizontal_line(142, 171),
        horizontal_line(144, 170),
        horizontal_line(145, 170),
        horizontal_line(147, 170),
        horizontal_line(149, 170),
        horizontal_line(150, 170),
        horizontal_line(152, 170),
        horizontal_line(153, 170),
        horizontal_line(155, 170),
        horizontal_line(156, 170),
        horizontal_line(158, 170),
        horizontal_line(160, 170),
        horizontal_line(161, 170),
        horizontal_line(163, 170),
        horizontal_line(164, 170),
        horizontal_line(166, 170),
        horizontal_line(167, 170),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_67_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(85, 147),
    };

    constexpr const horizontal_line frame_67_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(127, 172),
        horizontal_line(145, 174),
        horizontal_line(143, 176),
        horizontal_line(142, 178),
        horizontal_line(140, 180),
        horizontal_line(139, 182),
        horizontal_line(137, 184),
        horizontal_line(136, 187),
        horizontal_line(134, 189),
        horizontal_line(133, 191),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
    };

    constexpr const shape frame_67_shape_group_1_shapes[] = {
        shape(frame_67_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_67_shape_group_1_shape_1_horizontal_lines, 58, 1),
        shape(frame_67_shape_group_1_shape_2_horizontal_lines, 122, 3),
        shape(frame_67_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_67_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 184),
        horizontal_line(130, 182),
        horizontal_line(133, 180),
        horizontal_line(136, 178),
        horizontal_line(139, 176),
        horizontal_line(143, 175),
        horizontal_line(146, 165),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_67_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 173),
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_67_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 171),
    };

    constexpr const horizontal_line frame_67_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 120),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(108, 116),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(109, 113),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(110, 138),
        horizontal_line(108, 140),
        horizontal_line(107, 141),
        horizontal_line(106, 143),
        horizontal_line(105, 144),
        horizontal_line(103, 146),
        horizontal_line(102, 148),
        horizontal_line(101, 149),
        horizontal_line(100, 151),
        horizontal_line(98, 152),
        horizontal_line(97, 154),
        horizontal_line(96, 155),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(147, 170),
        horizontal_line(84, 126),
    };

    constexpr const horizontal_line frame_67_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(193, 193),
        horizontal_line(192, 195),
        horizontal_line(190, 197),
        horizontal_line(189, 199),
        horizontal_line(188, 201),
        horizontal_line(186, 204),
        horizontal_line(185, 206),
        horizontal_line(183, 208),
        horizontal_line(182, 210),
        horizontal_line(180, 212),
        horizontal_line(179, 214),
        horizontal_line(177, 216),
        horizontal_line(176, 218),
        horizontal_line(174, 221),
        horizontal_line(173, 223),
        horizontal_line(172, 225),
        horizontal_line(170, 227),
        horizontal_line(169, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
    };

    constexpr const shape frame_67_shape_group_2_shapes[] = {
        shape(frame_67_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_67_shape_group_2_shape_1_horizontal_lines, 53, 1),
        shape(frame_67_shape_group_2_shape_2_horizontal_lines, 82, 1),
        shape(frame_67_shape_group_2_shape_3_horizontal_lines, 88, 3),
        shape(frame_67_shape_group_2_shape_4_horizontal_lines, 133, 1),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 237),
        horizontal_line(186, 235),
        horizontal_line(186, 233),
        horizontal_line(186, 231),
        horizontal_line(186, 229),
        horizontal_line(186, 227),
        horizontal_line(186, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 221),
        horizontal_line(186, 219),
        horizontal_line(186, 217),
        horizontal_line(186, 215),
        horizontal_line(186, 213),
        horizontal_line(186, 211),
        horizontal_line(186, 209),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 204),
        horizontal_line(186, 202),
        horizontal_line(186, 200),
        horizontal_line(186, 198),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(186, 192),
        horizontal_line(186, 190),
        horizontal_line(186, 188),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(133, 135),
        horizontal_line(106, 107),
        horizontal_line(106, 111),
        horizontal_line(106, 114),
        horizontal_line(106, 118),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(128, 136),
        horizontal_line(129, 136),
        horizontal_line(130, 136),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(112, 136),
        horizontal_line(111, 137),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(156, 159),
        horizontal_line(154, 160),
        horizontal_line(153, 162),
        horizontal_line(152, 163),
        horizontal_line(151, 165),
        horizontal_line(149, 166),
        horizontal_line(148, 168),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_67_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(229, 231),
        horizontal_line(228, 233),
        horizontal_line(226, 235),
        horizontal_line(225, 238),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_67_shape_group_3_shapes[] = {
        shape(frame_67_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_67_shape_group_3_shape_1_horizontal_lines, 52, 1),
        shape(frame_67_shape_group_3_shape_2_horizontal_lines, 82, 3),
        shape(frame_67_shape_group_3_shape_3_horizontal_lines, 100, 6),
        shape(frame_67_shape_group_3_shape_4_horizontal_lines, 114, 3),
        shape(frame_67_shape_group_3_shape_5_horizontal_lines, 146, 4),
        shape(frame_67_shape_group_3_shape_6_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_67_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_67_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 123),
        horizontal_line(120, 121),
        horizontal_line(121, 128),
        horizontal_line(119, 129),
        horizontal_line(118, 130),
        horizontal_line(117, 131),
        horizontal_line(116, 132),
        horizontal_line(115, 133),
        horizontal_line(114, 134),
        horizontal_line(113, 135),
    };

    constexpr const horizontal_line frame_67_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const shape frame_67_shape_group_4_shapes[] = {
        shape(frame_67_shape_group_4_shape_0_horizontal_lines, 84, 3),
        shape(frame_67_shape_group_4_shape_1_horizontal_lines, 88, 6),
        shape(frame_67_shape_group_4_shape_2_horizontal_lines, 151, 4),
    };

    constexpr const horizontal_line frame_67_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(128, 135),
    };

    constexpr const horizontal_line frame_67_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_67_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(122, 127),
    };

    constexpr const shape frame_67_shape_group_5_shapes[] = {
        shape(frame_67_shape_group_5_shape_0_horizontal_lines, 87, 3),
        shape(frame_67_shape_group_5_shape_1_horizontal_lines, 88, 6),
        shape(frame_67_shape_group_5_shape_2_horizontal_lines, 91, 5),
    };

    constexpr const horizontal_line frame_67_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_67_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(123, 123),
        horizontal_line(124, 126),
    };

    constexpr const shape frame_67_shape_group_6_shapes[] = {
        shape(frame_67_shape_group_6_shape_0_horizontal_lines, 87, 6),
        shape(frame_67_shape_group_6_shape_1_horizontal_lines, 88, 5),
    };

    constexpr const horizontal_line frame_67_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_67_shape_group_7_shapes[] = {
        shape(frame_67_shape_group_7_shape_0_horizontal_lines, 88, 2),
    };

    constexpr const shape_group frame_67_shape_groups[] = {
        shape_group(frame_67_shape_group_0_shapes),
        shape_group(frame_67_shape_group_1_shapes),
        shape_group(frame_67_shape_group_2_shapes),
        shape_group(frame_67_shape_group_3_shapes),
        shape_group(frame_67_shape_group_4_shapes),
        shape_group(frame_67_shape_group_5_shapes),
        shape_group(frame_67_shape_group_6_shapes),
        shape_group(frame_67_shape_group_7_shapes),
    };

    constexpr const frame frame_67_impl(frame_67_colors, frame_67_shape_groups);
} 

const frame& frame_67()
{
    return frame_67_impl;
}

namespace
{
    constexpr const bn::color frame_68_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_68_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 86),
        horizontal_line(39, 77),
        horizontal_line(42, 67),
        horizontal_line(45, 58),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_68_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(50, 52),
        horizontal_line(51, 54),
        horizontal_line(51, 56),
        horizontal_line(52, 58),
        horizontal_line(52, 60),
        horizontal_line(52, 62),
        horizontal_line(53, 64),
        horizontal_line(53, 67),
        horizontal_line(54, 69),
        horizontal_line(54, 71),
        horizontal_line(54, 73),
        horizontal_line(55, 75),
        horizontal_line(55, 77),
        horizontal_line(56, 79),
        horizontal_line(56, 81),
        horizontal_line(56, 84),
        horizontal_line(57, 86),
        horizontal_line(57, 88),
        horizontal_line(58, 90),
        horizontal_line(58, 92),
        horizontal_line(58, 94),
        horizontal_line(59, 96),
        horizontal_line(59, 98),
        horizontal_line(60, 101),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 104),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(65, 104),
        horizontal_line(65, 105),
        horizontal_line(65, 105),
        horizontal_line(66, 105),
        horizontal_line(66, 105),
        horizontal_line(67, 106),
        horizontal_line(67, 106),
        horizontal_line(67, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 107),
        horizontal_line(69, 105),
        horizontal_line(69, 104),
        horizontal_line(69, 103),
        horizontal_line(70, 101),
        horizontal_line(70, 100),
        horizontal_line(71, 99),
        horizontal_line(71, 97),
        horizontal_line(71, 96),
        horizontal_line(72, 95),
        horizontal_line(72, 93),
        horizontal_line(73, 92),
        horizontal_line(73, 91),
        horizontal_line(73, 90),
        horizontal_line(74, 88),
        horizontal_line(74, 87),
        horizontal_line(75, 86),
        horizontal_line(75, 84),
        horizontal_line(75, 83),
        horizontal_line(76, 82),
        horizontal_line(76, 80),
        horizontal_line(77, 79),
        horizontal_line(77, 78),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
    };

    constexpr const shape frame_68_shape_group_0_shapes[] = {
        shape(frame_68_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_68_shape_group_0_shape_1_horizontal_lines, 57, 1),
    };

    constexpr const horizontal_line frame_68_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 133),
        horizontal_line(84, 123),
        horizontal_line(88, 114),
        horizontal_line(91, 105),
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_68_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(168, 178),
        horizontal_line(167, 178),
        horizontal_line(166, 178),
        horizontal_line(165, 178),
        horizontal_line(163, 177),
        horizontal_line(162, 177),
        horizontal_line(161, 177),
        horizontal_line(160, 177),
        horizontal_line(159, 177),
        horizontal_line(157, 177),
        horizontal_line(156, 177),
        horizontal_line(155, 177),
        horizontal_line(154, 177),
        horizontal_line(152, 177),
        horizontal_line(151, 177),
        horizontal_line(150, 177),
        horizontal_line(149, 177),
        horizontal_line(148, 176),
        horizontal_line(146, 176),
        horizontal_line(145, 176),
        horizontal_line(144, 176),
        horizontal_line(143, 176),
        horizontal_line(141, 176),
        horizontal_line(140, 176),
        horizontal_line(139, 176),
        horizontal_line(138, 176),
        horizontal_line(137, 176),
        horizontal_line(125, 134),
        horizontal_line(114, 133),
        horizontal_line(103, 131),
        horizontal_line(106, 130),
        horizontal_line(110, 128),
        horizontal_line(114, 127),
        horizontal_line(118, 118),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(137, 175),
        horizontal_line(138, 175),
        horizontal_line(138, 175),
        horizontal_line(138, 175),
        horizontal_line(138, 174),
        horizontal_line(138, 174),
        horizontal_line(138, 174),
        horizontal_line(138, 174),
        horizontal_line(139, 174),
        horizontal_line(140, 174),
        horizontal_line(142, 174),
        horizontal_line(143, 174),
        horizontal_line(145, 174),
        horizontal_line(146, 174),
        horizontal_line(148, 174),
        horizontal_line(150, 174),
        horizontal_line(151, 174),
        horizontal_line(153, 173),
        horizontal_line(154, 173),
        horizontal_line(156, 173),
        horizontal_line(158, 173),
        horizontal_line(159, 173),
        horizontal_line(161, 173),
        horizontal_line(162, 173),
        horizontal_line(164, 173),
        horizontal_line(166, 173),
        horizontal_line(167, 173),
        horizontal_line(169, 173),
        horizontal_line(170, 173),
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_68_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(81, 143),
    };

    constexpr const horizontal_line frame_68_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(142, 175),
        horizontal_line(110, 172),
        horizontal_line(140, 179),
        horizontal_line(138, 181),
        horizontal_line(137, 183),
        horizontal_line(135, 185),
        horizontal_line(134, 187),
        horizontal_line(132, 189),
        horizontal_line(131, 191),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
    };

    constexpr const shape frame_68_shape_group_1_shapes[] = {
        shape(frame_68_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_68_shape_group_1_shape_1_horizontal_lines, 52, 1),
        shape(frame_68_shape_group_1_shape_2_horizontal_lines, 122, 3),
        shape(frame_68_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 183),
        horizontal_line(124, 181),
        horizontal_line(127, 180),
        horizontal_line(130, 170),
        horizontal_line(133, 161),
        horizontal_line(137, 151),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(174, 178),
        horizontal_line(173, 178),
        horizontal_line(172, 178),
        horizontal_line(171, 178),
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(136, 176),
        horizontal_line(136, 176),
        horizontal_line(136, 176),
        horizontal_line(136, 176),
        horizontal_line(136, 175),
        horizontal_line(136, 175),
        horizontal_line(136, 175),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 117),
        horizontal_line(105, 116),
        horizontal_line(106, 115),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(108, 141),
        horizontal_line(106, 142),
        horizontal_line(105, 144),
        horizontal_line(104, 145),
        horizontal_line(102, 147),
        horizontal_line(101, 149),
        horizontal_line(100, 150),
        horizontal_line(98, 152),
        horizontal_line(97, 153),
        horizontal_line(96, 155),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(143, 173),
        horizontal_line(80, 141),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_68_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(191, 193),
        horizontal_line(190, 196),
        horizontal_line(189, 198),
        horizontal_line(187, 200),
        horizontal_line(186, 202),
        horizontal_line(184, 204),
        horizontal_line(183, 206),
        horizontal_line(181, 208),
        horizontal_line(180, 210),
        horizontal_line(178, 212),
        horizontal_line(177, 214),
        horizontal_line(176, 217),
        horizontal_line(174, 219),
        horizontal_line(173, 221),
        horizontal_line(171, 223),
        horizontal_line(170, 225),
        horizontal_line(168, 227),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
    };

    constexpr const shape frame_68_shape_group_2_shapes[] = {
        shape(frame_68_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_68_shape_group_2_shape_1_horizontal_lines, 47, 1),
        shape(frame_68_shape_group_2_shape_2_horizontal_lines, 79, 1),
        shape(frame_68_shape_group_2_shape_3_horizontal_lines, 86, 3),
        shape(frame_68_shape_group_2_shape_4_horizontal_lines, 124, 1),
        shape(frame_68_shape_group_2_shape_5_horizontal_lines, 132, 1),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 237),
        horizontal_line(186, 235),
        horizontal_line(186, 233),
        horizontal_line(186, 231),
        horizontal_line(186, 229),
        horizontal_line(186, 227),
        horizontal_line(186, 226),
        horizontal_line(186, 224),
        horizontal_line(186, 222),
        horizontal_line(186, 220),
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 213),
        horizontal_line(186, 211),
        horizontal_line(186, 209),
        horizontal_line(186, 207),
        horizontal_line(186, 205),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 200),
        horizontal_line(186, 198),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 189),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(177, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(134, 135),
        horizontal_line(132, 135),
        horizontal_line(103, 105),
        horizontal_line(103, 109),
        horizontal_line(103, 113),
        horizontal_line(103, 117),
        horizontal_line(121, 121),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(128, 136),
        horizontal_line(129, 136),
        horizontal_line(130, 136),
        horizontal_line(131, 137),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(110, 138),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(123, 139),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(155, 158),
        horizontal_line(154, 160),
        horizontal_line(153, 161),
        horizontal_line(151, 163),
        horizontal_line(150, 165),
        horizontal_line(149, 166),
        horizontal_line(147, 168),
        horizontal_line(146, 169),
        horizontal_line(145, 171),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(79, 109),
    };

    constexpr const horizontal_line frame_68_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(229, 229),
        horizontal_line(227, 231),
        horizontal_line(226, 233),
        horizontal_line(225, 235),
        horizontal_line(223, 238),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_68_shape_group_3_shapes[] = {
        shape(frame_68_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_68_shape_group_3_shape_1_horizontal_lines, 44, 1),
        shape(frame_68_shape_group_3_shape_2_horizontal_lines, 79, 3),
        shape(frame_68_shape_group_3_shape_3_horizontal_lines, 100, 6),
        shape(frame_68_shape_group_3_shape_4_horizontal_lines, 101, 3),
        shape(frame_68_shape_group_3_shape_5_horizontal_lines, 112, 3),
        shape(frame_68_shape_group_3_shape_6_horizontal_lines, 124, 3),
        shape(frame_68_shape_group_3_shape_7_horizontal_lines, 149, 1),
    };

    constexpr const horizontal_line frame_68_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(131, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
        horizontal_line(119, 135),
        horizontal_line(127, 136),
    };

    constexpr const horizontal_line frame_68_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 120),
        horizontal_line(120, 127),
        horizontal_line(119, 128),
        horizontal_line(118, 129),
        horizontal_line(117, 130),
        horizontal_line(116, 131),
        horizontal_line(115, 132),
        horizontal_line(114, 133),
        horizontal_line(113, 134),
        horizontal_line(112, 135),
        horizontal_line(111, 136),
    };

    constexpr const horizontal_line frame_68_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(109, 122),
    };

    constexpr const horizontal_line frame_68_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_68_shape_group_4_shapes[] = {
        shape(frame_68_shape_group_4_shape_0_horizontal_lines, 82, 3),
        shape(frame_68_shape_group_4_shape_1_horizontal_lines, 87, 6),
        shape(frame_68_shape_group_4_shape_2_horizontal_lines, 101, 6),
        shape(frame_68_shape_group_4_shape_3_horizontal_lines, 159, 4),
    };

    constexpr const horizontal_line frame_68_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(119, 120),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_68_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(121, 126),
    };

    constexpr const shape frame_68_shape_group_5_shapes[] = {
        shape(frame_68_shape_group_5_shape_0_horizontal_lines, 86, 6),
        shape(frame_68_shape_group_5_shape_1_horizontal_lines, 89, 5),
    };

    constexpr const horizontal_line frame_68_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_68_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(123, 125),
    };

    constexpr const shape frame_68_shape_group_6_shapes[] = {
        shape(frame_68_shape_group_6_shape_0_horizontal_lines, 86, 6),
        shape(frame_68_shape_group_6_shape_1_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_68_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_68_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(123, 125),
    };

    constexpr const shape frame_68_shape_group_7_shapes[] = {
        shape(frame_68_shape_group_7_shape_0_horizontal_lines, 86, 5),
        shape(frame_68_shape_group_7_shape_1_horizontal_lines, 87, 2),
    };

    constexpr const horizontal_line frame_68_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const shape frame_68_shape_group_8_shapes[] = {
        shape(frame_68_shape_group_8_shape_0_horizontal_lines, 86, 5),
    };

    constexpr const horizontal_line frame_68_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const shape frame_68_shape_group_9_shapes[] = {
        shape(frame_68_shape_group_9_shape_0_horizontal_lines, 86, 2),
    };

    constexpr const shape_group frame_68_shape_groups[] = {
        shape_group(frame_68_shape_group_0_shapes),
        shape_group(frame_68_shape_group_1_shapes),
        shape_group(frame_68_shape_group_2_shapes),
        shape_group(frame_68_shape_group_3_shapes),
        shape_group(frame_68_shape_group_4_shapes),
        shape_group(frame_68_shape_group_5_shapes),
        shape_group(frame_68_shape_group_6_shapes),
        shape_group(frame_68_shape_group_7_shapes),
        shape_group(frame_68_shape_group_8_shapes),
        shape_group(frame_68_shape_group_9_shapes),
    };

    constexpr const frame frame_68_impl(frame_68_colors, frame_68_shape_groups);
} 

const frame& frame_68()
{
    return frame_68_impl;
}

namespace
{
    constexpr const bn::color frame_69_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_69_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(24, 82),
        horizontal_line(27, 73),
        horizontal_line(30, 64),
        horizontal_line(33, 56),
        horizontal_line(36, 47),
        horizontal_line(39, 39),
    };

    constexpr const horizontal_line frame_69_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(40, 40),
        horizontal_line(40, 42),
        horizontal_line(41, 44),
        horizontal_line(41, 46),
        horizontal_line(42, 48),
        horizontal_line(42, 50),
        horizontal_line(43, 53),
        horizontal_line(43, 55),
        horizontal_line(44, 57),
        horizontal_line(44, 59),
        horizontal_line(44, 61),
        horizontal_line(45, 63),
        horizontal_line(45, 65),
        horizontal_line(46, 68),
        horizontal_line(46, 70),
        horizontal_line(47, 72),
        horizontal_line(47, 74),
        horizontal_line(48, 76),
        horizontal_line(48, 78),
        horizontal_line(48, 80),
        horizontal_line(49, 83),
        horizontal_line(49, 85),
        horizontal_line(50, 87),
        horizontal_line(50, 89),
        horizontal_line(51, 91),
        horizontal_line(51, 93),
        horizontal_line(52, 95),
        horizontal_line(52, 98),
        horizontal_line(52, 99),
        horizontal_line(53, 99),
        horizontal_line(53, 99),
        horizontal_line(54, 100),
        horizontal_line(54, 100),
        horizontal_line(55, 100),
        horizontal_line(55, 100),
        horizontal_line(56, 101),
        horizontal_line(56, 101),
        horizontal_line(57, 101),
        horizontal_line(57, 101),
        horizontal_line(57, 102),
        horizontal_line(58, 102),
        horizontal_line(58, 102),
        horizontal_line(59, 102),
        horizontal_line(59, 103),
        horizontal_line(60, 103),
        horizontal_line(60, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 104),
        horizontal_line(61, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(63, 103),
        horizontal_line(63, 102),
        horizontal_line(64, 101),
        horizontal_line(64, 99),
        horizontal_line(65, 98),
        horizontal_line(65, 97),
        horizontal_line(65, 96),
        horizontal_line(66, 94),
        horizontal_line(66, 93),
        horizontal_line(67, 92),
        horizontal_line(67, 90),
        horizontal_line(68, 89),
        horizontal_line(68, 88),
        horizontal_line(69, 87),
        horizontal_line(69, 85),
        horizontal_line(69, 84),
        horizontal_line(70, 83),
        horizontal_line(70, 81),
        horizontal_line(71, 80),
        horizontal_line(71, 79),
        horizontal_line(72, 78),
        horizontal_line(72, 76),
        horizontal_line(73, 75),
        horizontal_line(73, 74),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
    };

    constexpr const shape frame_69_shape_group_0_shapes[] = {
        shape(frame_69_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_69_shape_group_0_shape_1_horizontal_lines, 51, 1),
    };

    constexpr const horizontal_line frame_69_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 125),
        horizontal_line(74, 116),
        horizontal_line(77, 108),
        horizontal_line(80, 99),
        horizontal_line(83, 90),
    };

    constexpr const horizontal_line frame_69_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(172, 183),
        horizontal_line(171, 183),
        horizontal_line(170, 183),
        horizontal_line(169, 183),
        horizontal_line(167, 183),
        horizontal_line(166, 183),
        horizontal_line(165, 183),
        horizontal_line(164, 183),
        horizontal_line(163, 183),
        horizontal_line(161, 183),
        horizontal_line(160, 183),
        horizontal_line(159, 182),
        horizontal_line(158, 182),
        horizontal_line(157, 182),
        horizontal_line(155, 182),
        horizontal_line(154, 182),
        horizontal_line(153, 182),
        horizontal_line(152, 182),
        horizontal_line(151, 182),
        horizontal_line(149, 182),
        horizontal_line(148, 182),
        horizontal_line(147, 182),
        horizontal_line(146, 181),
        horizontal_line(145, 181),
        horizontal_line(143, 181),
        horizontal_line(142, 181),
        horizontal_line(141, 181),
        horizontal_line(140, 181),
        horizontal_line(139, 181),
        horizontal_line(138, 181),
        horizontal_line(128, 135),
        horizontal_line(119, 134),
        horizontal_line(109, 132),
        horizontal_line(100, 131),
        horizontal_line(102, 130),
        horizontal_line(106, 128),
        horizontal_line(109, 127),
        horizontal_line(113, 126),
        horizontal_line(117, 117),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
        horizontal_line(138, 180),
        horizontal_line(138, 180),
        horizontal_line(138, 180),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(138, 179),
        horizontal_line(139, 179),
        horizontal_line(140, 179),
        horizontal_line(142, 178),
        horizontal_line(143, 178),
        horizontal_line(145, 178),
        horizontal_line(147, 178),
        horizontal_line(148, 178),
        horizontal_line(150, 178),
        horizontal_line(152, 178),
        horizontal_line(153, 178),
        horizontal_line(155, 178),
        horizontal_line(156, 178),
        horizontal_line(158, 178),
        horizontal_line(160, 177),
        horizontal_line(161, 177),
        horizontal_line(163, 177),
        horizontal_line(165, 177),
        horizontal_line(166, 177),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(171, 177),
        horizontal_line(173, 177),
        horizontal_line(174, 177),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_69_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(79, 141),
    };

    constexpr const horizontal_line frame_69_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(152, 179),
        horizontal_line(126, 181),
        horizontal_line(100, 162),
        horizontal_line(136, 185),
        horizontal_line(134, 187),
        horizontal_line(133, 189),
        horizontal_line(131, 191),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_69_shape_group_1_shapes[] = {
        shape(frame_69_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_69_shape_group_1_shape_1_horizontal_lines, 45, 1),
        shape(frame_69_shape_group_1_shape_2_horizontal_lines, 122, 3),
        shape(frame_69_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 177),
        horizontal_line(124, 168),
        horizontal_line(124, 160),
        horizontal_line(124, 151),
        horizontal_line(127, 142),
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(176, 184),
        horizontal_line(175, 184),
        horizontal_line(173, 184),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 181),
        horizontal_line(137, 181),
        horizontal_line(137, 181),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
        horizontal_line(137, 180),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(101, 117),
        horizontal_line(101, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 118),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(103, 113),
        horizontal_line(104, 112),
        horizontal_line(104, 111),
        horizontal_line(104, 110),
        horizontal_line(104, 109),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 106),
        horizontal_line(106, 142),
        horizontal_line(104, 144),
        horizontal_line(103, 146),
        horizontal_line(102, 147),
        horizontal_line(100, 149),
        horizontal_line(99, 151),
        horizontal_line(98, 152),
        horizontal_line(97, 154),
        horizontal_line(95, 155),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(141, 177),
        horizontal_line(77, 139),
        horizontal_line(76, 125),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(162, 183),
    };

    constexpr const horizontal_line frame_69_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(190, 195),
        horizontal_line(189, 198),
        horizontal_line(188, 200),
        horizontal_line(186, 202),
        horizontal_line(185, 204),
        horizontal_line(183, 206),
        horizontal_line(182, 208),
        horizontal_line(180, 210),
        horizontal_line(179, 212),
        horizontal_line(178, 214),
        horizontal_line(176, 216),
        horizontal_line(175, 219),
        horizontal_line(173, 221),
        horizontal_line(172, 223),
        horizontal_line(170, 225),
        horizontal_line(169, 227),
        horizontal_line(168, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_69_shape_group_2_shapes[] = {
        shape(frame_69_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_69_shape_group_2_shape_1_horizontal_lines, 40, 1),
        shape(frame_69_shape_group_2_shape_2_horizontal_lines, 75, 1),
        shape(frame_69_shape_group_2_shape_3_horizontal_lines, 84, 3),
        shape(frame_69_shape_group_2_shape_4_horizontal_lines, 125, 1),
        shape(frame_69_shape_group_2_shape_5_horizontal_lines, 130, 1),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 237),
        horizontal_line(186, 235),
        horizontal_line(186, 233),
        horizontal_line(186, 232),
        horizontal_line(186, 230),
        horizontal_line(186, 228),
        horizontal_line(186, 227),
        horizontal_line(186, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 213),
        horizontal_line(186, 211),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 206),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 201),
        horizontal_line(186, 199),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 189),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(182, 184),
        horizontal_line(181, 184),
        horizontal_line(179, 184),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 136),
        horizontal_line(133, 136),
        horizontal_line(132, 136),
        horizontal_line(100, 101),
        horizontal_line(100, 105),
        horizontal_line(100, 108),
        horizontal_line(101, 112),
        horizontal_line(101, 116),
        horizontal_line(121, 121),
        horizontal_line(126, 136),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 137),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(109, 138),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(116, 141),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(155, 159),
        horizontal_line(153, 160),
        horizontal_line(152, 162),
        horizontal_line(151, 164),
        horizontal_line(150, 165),
        horizontal_line(148, 167),
        horizontal_line(147, 168),
        horizontal_line(146, 170),
        horizontal_line(144, 172),
        horizontal_line(143, 173),
        horizontal_line(142, 175),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(75, 99),
    };

    constexpr const horizontal_line frame_69_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(228, 231),
        horizontal_line(227, 233),
        horizontal_line(225, 235),
        horizontal_line(224, 238),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_69_shape_group_3_shapes[] = {
        shape(frame_69_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_69_shape_group_3_shape_1_horizontal_lines, 35, 1),
        shape(frame_69_shape_group_3_shape_2_horizontal_lines, 75, 3),
        shape(frame_69_shape_group_3_shape_3_horizontal_lines, 98, 6),
        shape(frame_69_shape_group_3_shape_4_horizontal_lines, 99, 3),
        shape(frame_69_shape_group_3_shape_5_horizontal_lines, 110, 3),
        shape(frame_69_shape_group_3_shape_6_horizontal_lines, 123, 3),
        shape(frame_69_shape_group_3_shape_7_horizontal_lines, 125, 3),
        shape(frame_69_shape_group_3_shape_8_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_69_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 136),
        horizontal_line(118, 136),
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_69_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(119, 127),
        horizontal_line(117, 128),
        horizontal_line(116, 129),
        horizontal_line(115, 130),
        horizontal_line(114, 132),
        horizontal_line(113, 133),
        horizontal_line(112, 134),
        horizontal_line(111, 135),
        horizontal_line(110, 136),
    };

    constexpr const horizontal_line frame_69_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(108, 126),
        horizontal_line(107, 115),
    };

    constexpr const shape frame_69_shape_group_4_shapes[] = {
        shape(frame_69_shape_group_4_shape_0_horizontal_lines, 79, 3),
        shape(frame_69_shape_group_4_shape_1_horizontal_lines, 85, 6),
        shape(frame_69_shape_group_4_shape_2_horizontal_lines, 99, 6),
    };

    constexpr const horizontal_line frame_69_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_69_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(121, 125),
        horizontal_line(120, 126),
    };

    constexpr const shape frame_69_shape_group_5_shapes[] = {
        shape(frame_69_shape_group_5_shape_0_horizontal_lines, 84, 6),
        shape(frame_69_shape_group_5_shape_1_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_69_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_69_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 124),
    };

    constexpr const shape frame_69_shape_group_6_shapes[] = {
        shape(frame_69_shape_group_6_shape_0_horizontal_lines, 84, 6),
        shape(frame_69_shape_group_6_shape_1_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_69_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_69_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
    };

    constexpr const shape frame_69_shape_group_7_shapes[] = {
        shape(frame_69_shape_group_7_shape_0_horizontal_lines, 84, 5),
        shape(frame_69_shape_group_7_shape_1_horizontal_lines, 85, 2),
    };

    constexpr const horizontal_line frame_69_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const shape frame_69_shape_group_8_shapes[] = {
        shape(frame_69_shape_group_8_shape_0_horizontal_lines, 84, 5),
    };

    constexpr const horizontal_line frame_69_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const shape frame_69_shape_group_9_shapes[] = {
        shape(frame_69_shape_group_9_shape_0_horizontal_lines, 84, 4),
    };

    constexpr const shape_group frame_69_shape_groups[] = {
        shape_group(frame_69_shape_group_0_shapes),
        shape_group(frame_69_shape_group_1_shapes),
        shape_group(frame_69_shape_group_2_shapes),
        shape_group(frame_69_shape_group_3_shapes),
        shape_group(frame_69_shape_group_4_shapes),
        shape_group(frame_69_shape_group_5_shapes),
        shape_group(frame_69_shape_group_6_shapes),
        shape_group(frame_69_shape_group_7_shapes),
        shape_group(frame_69_shape_group_8_shapes),
        shape_group(frame_69_shape_group_9_shapes),
    };

    constexpr const frame frame_69_impl(frame_69_colors, frame_69_shape_groups);
} 

const frame& frame_69()
{
    return frame_69_impl;
}

namespace
{
    constexpr const bn::color frame_70_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_70_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 67),
        horizontal_line(15, 59),
        horizontal_line(18, 51),
        horizontal_line(21, 43),
        horizontal_line(24, 35),
        horizontal_line(28, 28),
    };

    constexpr const horizontal_line frame_70_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(29, 29),
        horizontal_line(29, 31),
        horizontal_line(30, 33),
        horizontal_line(30, 35),
        horizontal_line(31, 37),
        horizontal_line(31, 39),
        horizontal_line(32, 42),
        horizontal_line(32, 44),
        horizontal_line(33, 46),
        horizontal_line(33, 48),
        horizontal_line(34, 50),
        horizontal_line(34, 52),
        horizontal_line(35, 55),
        horizontal_line(35, 57),
        horizontal_line(36, 59),
        horizontal_line(36, 61),
        horizontal_line(37, 63),
        horizontal_line(37, 65),
        horizontal_line(37, 67),
        horizontal_line(38, 70),
        horizontal_line(38, 72),
        horizontal_line(39, 74),
        horizontal_line(39, 76),
        horizontal_line(40, 78),
        horizontal_line(40, 80),
        horizontal_line(41, 83),
        horizontal_line(41, 85),
        horizontal_line(42, 87),
        horizontal_line(42, 89),
        horizontal_line(43, 91),
        horizontal_line(43, 93),
        horizontal_line(44, 96),
        horizontal_line(44, 97),
        horizontal_line(45, 97),
        horizontal_line(45, 97),
        horizontal_line(45, 97),
        horizontal_line(46, 98),
        horizontal_line(46, 98),
        horizontal_line(47, 98),
        horizontal_line(47, 98),
        horizontal_line(48, 99),
        horizontal_line(48, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 100),
        horizontal_line(52, 101),
        horizontal_line(52, 101),
        horizontal_line(53, 101),
        horizontal_line(53, 101),
        horizontal_line(53, 102),
        horizontal_line(54, 102),
        horizontal_line(54, 102),
        horizontal_line(55, 102),
        horizontal_line(55, 103),
        horizontal_line(56, 101),
        horizontal_line(56, 100),
        horizontal_line(57, 99),
        horizontal_line(57, 98),
        horizontal_line(58, 96),
        horizontal_line(58, 95),
        horizontal_line(59, 94),
        horizontal_line(59, 93),
        horizontal_line(60, 91),
        horizontal_line(60, 90),
        horizontal_line(61, 89),
        horizontal_line(61, 88),
        horizontal_line(61, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(63, 83),
        horizontal_line(63, 81),
        horizontal_line(64, 80),
        horizontal_line(64, 79),
        horizontal_line(65, 78),
        horizontal_line(65, 76),
        horizontal_line(66, 75),
        horizontal_line(66, 74),
        horizontal_line(67, 73),
        horizontal_line(67, 71),
        horizontal_line(68, 70),
        horizontal_line(68, 69),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
    };

    constexpr const shape frame_70_shape_group_0_shapes[] = {
        shape(frame_70_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_70_shape_group_0_shape_1_horizontal_lines, 44, 1),
    };

    constexpr const horizontal_line frame_70_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 122),
        horizontal_line(62, 114),
        horizontal_line(62, 107),
        horizontal_line(62, 99),
        horizontal_line(65, 91),
        horizontal_line(68, 83),
        horizontal_line(71, 75),
    };

    constexpr const horizontal_line frame_70_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(175, 191),
        horizontal_line(174, 191),
        horizontal_line(173, 191),
        horizontal_line(172, 191),
        horizontal_line(171, 190),
        horizontal_line(169, 190),
        horizontal_line(168, 190),
        horizontal_line(167, 190),
        horizontal_line(166, 190),
        horizontal_line(165, 190),
        horizontal_line(164, 190),
        horizontal_line(163, 190),
        horizontal_line(161, 190),
        horizontal_line(160, 190),
        horizontal_line(159, 189),
        horizontal_line(158, 189),
        horizontal_line(157, 189),
        horizontal_line(156, 189),
        horizontal_line(155, 189),
        horizontal_line(153, 189),
        horizontal_line(152, 189),
        horizontal_line(151, 189),
        horizontal_line(150, 189),
        horizontal_line(149, 189),
        horizontal_line(148, 188),
        horizontal_line(147, 188),
        horizontal_line(145, 188),
        horizontal_line(144, 188),
        horizontal_line(143, 188),
        horizontal_line(142, 188),
        horizontal_line(141, 188),
        horizontal_line(140, 188),
        horizontal_line(139, 188),
        horizontal_line(138, 188),
        horizontal_line(124, 135),
        horizontal_line(111, 134),
        horizontal_line(98, 133),
        horizontal_line(99, 132),
        horizontal_line(102, 130),
        horizontal_line(105, 129),
        horizontal_line(107, 128),
        horizontal_line(110, 127),
        horizontal_line(113, 126),
        horizontal_line(116, 116),
        horizontal_line(138, 187),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(139, 186),
        horizontal_line(139, 186),
        horizontal_line(139, 186),
        horizontal_line(139, 186),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(140, 185),
        horizontal_line(141, 185),
        horizontal_line(143, 185),
        horizontal_line(145, 185),
        horizontal_line(146, 185),
        horizontal_line(148, 185),
        horizontal_line(150, 184),
        horizontal_line(151, 184),
        horizontal_line(153, 184),
        horizontal_line(155, 184),
        horizontal_line(156, 184),
        horizontal_line(158, 184),
        horizontal_line(160, 184),
        horizontal_line(162, 184),
        horizontal_line(163, 184),
        horizontal_line(165, 184),
        horizontal_line(167, 183),
        horizontal_line(168, 183),
        horizontal_line(170, 183),
        horizontal_line(172, 183),
        horizontal_line(173, 183),
        horizontal_line(175, 183),
        horizontal_line(177, 183),
        horizontal_line(178, 183),
        horizontal_line(180, 183),
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_70_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(74, 136),
    };

    constexpr const horizontal_line frame_70_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(156, 185),
        horizontal_line(127, 187),
        horizontal_line(98, 160),
        horizontal_line(131, 191),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
    };

    constexpr const shape frame_70_shape_group_1_shapes[] = {
        shape(frame_70_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_70_shape_group_1_shape_1_horizontal_lines, 38, 1),
        shape(frame_70_shape_group_1_shape_2_horizontal_lines, 124, 3),
        shape(frame_70_shape_group_1_shape_3_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 178),
        horizontal_line(124, 170),
        horizontal_line(124, 162),
        horizontal_line(124, 154),
        horizontal_line(124, 146),
        horizontal_line(124, 138),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(184, 192),
        horizontal_line(183, 192),
        horizontal_line(182, 191),
        horizontal_line(181, 191),
        horizontal_line(180, 191),
        horizontal_line(179, 191),
        horizontal_line(177, 191),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 188),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(138, 187),
        horizontal_line(138, 187),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(101, 117),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 113),
        horizontal_line(102, 112),
        horizontal_line(102, 111),
        horizontal_line(102, 110),
        horizontal_line(102, 108),
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 104),
        horizontal_line(104, 142),
        horizontal_line(102, 144),
        horizontal_line(101, 145),
        horizontal_line(100, 147),
        horizontal_line(99, 149),
        horizontal_line(97, 150),
        horizontal_line(96, 152),
        horizontal_line(95, 154),
        horizontal_line(94, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(136, 183),
        horizontal_line(72, 134),
        horizontal_line(71, 126),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(160, 189),
    };

    constexpr const horizontal_line frame_70_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(191, 193),
        horizontal_line(190, 195),
        horizontal_line(188, 197),
        horizontal_line(187, 199),
        horizontal_line(186, 202),
        horizontal_line(184, 204),
        horizontal_line(183, 206),
        horizontal_line(181, 208),
        horizontal_line(180, 210),
        horizontal_line(179, 212),
        horizontal_line(177, 214),
        horizontal_line(176, 216),
        horizontal_line(174, 218),
        horizontal_line(173, 221),
        horizontal_line(172, 223),
        horizontal_line(170, 225),
        horizontal_line(169, 227),
        horizontal_line(168, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
    };

    constexpr const shape frame_70_shape_group_2_shapes[] = {
        shape(frame_70_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_70_shape_group_2_shape_1_horizontal_lines, 31, 1),
        shape(frame_70_shape_group_2_shape_2_horizontal_lines, 73, 1),
        shape(frame_70_shape_group_2_shape_3_horizontal_lines, 83, 3),
        shape(frame_70_shape_group_2_shape_4_horizontal_lines, 127, 1),
        shape(frame_70_shape_group_2_shape_5_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 230),
        horizontal_line(186, 228),
        horizontal_line(186, 226),
        horizontal_line(186, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 210),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 205),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 200),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(192, 192),
        horizontal_line(191, 192),
        horizontal_line(190, 192),
        horizontal_line(189, 192),
        horizontal_line(188, 192),
        horizontal_line(187, 192),
        horizontal_line(185, 192),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 136),
        horizontal_line(134, 136),
        horizontal_line(98, 98),
        horizontal_line(98, 101),
        horizontal_line(98, 104),
        horizontal_line(98, 106),
        horizontal_line(99, 109),
        horizontal_line(99, 112),
        horizontal_line(99, 115),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 137),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
        horizontal_line(130, 138),
        horizontal_line(131, 138),
        horizontal_line(132, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(106, 139),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(121, 140),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(154, 157),
        horizontal_line(153, 159),
        horizontal_line(152, 161),
        horizontal_line(151, 162),
        horizontal_line(149, 164),
        horizontal_line(148, 166),
        horizontal_line(147, 167),
        horizontal_line(146, 169),
        horizontal_line(144, 171),
        horizontal_line(143, 172),
        horizontal_line(142, 174),
        horizontal_line(141, 176),
        horizontal_line(139, 177),
        horizontal_line(138, 179),
        horizontal_line(137, 181),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(134, 155),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(70, 97),
    };

    constexpr const horizontal_line frame_70_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(228, 231),
        horizontal_line(227, 233),
        horizontal_line(225, 235),
        horizontal_line(224, 238),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_70_shape_group_3_shapes[] = {
        shape(frame_70_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_70_shape_group_3_shape_1_horizontal_lines, 24, 1),
        shape(frame_70_shape_group_3_shape_2_horizontal_lines, 73, 3),
        shape(frame_70_shape_group_3_shape_3_horizontal_lines, 98, 6),
        shape(frame_70_shape_group_3_shape_4_horizontal_lines, 99, 3),
        shape(frame_70_shape_group_3_shape_5_horizontal_lines, 109, 3),
        shape(frame_70_shape_group_3_shape_6_horizontal_lines, 125, 3),
        shape(frame_70_shape_group_3_shape_7_horizontal_lines, 127, 3),
        shape(frame_70_shape_group_3_shape_8_horizontal_lines, 147, 1),
    };

    constexpr const horizontal_line frame_70_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(128, 136),
        horizontal_line(127, 137),
        horizontal_line(117, 137),
    };

    constexpr const horizontal_line frame_70_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(118, 127),
        horizontal_line(116, 128),
        horizontal_line(115, 129),
        horizontal_line(114, 130),
        horizontal_line(113, 131),
        horizontal_line(112, 133),
        horizontal_line(111, 134),
        horizontal_line(109, 135),
        horizontal_line(108, 136),
        horizontal_line(107, 137),
    };

    constexpr const horizontal_line frame_70_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(105, 120),
    };

    constexpr const shape frame_70_shape_group_4_shapes[] = {
        shape(frame_70_shape_group_4_shape_0_horizontal_lines, 76, 3),
        shape(frame_70_shape_group_4_shape_1_horizontal_lines, 83, 6),
        shape(frame_70_shape_group_4_shape_2_horizontal_lines, 99, 6),
    };

    constexpr const horizontal_line frame_70_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_70_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(119, 126),
    };

    constexpr const shape frame_70_shape_group_5_shapes[] = {
        shape(frame_70_shape_group_5_shape_0_horizontal_lines, 83, 6),
        shape(frame_70_shape_group_5_shape_1_horizontal_lines, 86, 5),
    };

    constexpr const horizontal_line frame_70_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(121, 124),
    };

    constexpr const shape frame_70_shape_group_6_shapes[] = {
        shape(frame_70_shape_group_6_shape_0_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_70_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const shape frame_70_shape_group_7_shapes[] = {
        shape(frame_70_shape_group_7_shape_0_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_70_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_70_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const shape frame_70_shape_group_8_shapes[] = {
        shape(frame_70_shape_group_8_shape_0_horizontal_lines, 83, 4),
        shape(frame_70_shape_group_8_shape_1_horizontal_lines, 84, 2),
    };

    constexpr const shape_group frame_70_shape_groups[] = {
        shape_group(frame_70_shape_group_0_shapes),
        shape_group(frame_70_shape_group_1_shapes),
        shape_group(frame_70_shape_group_2_shapes),
        shape_group(frame_70_shape_group_3_shapes),
        shape_group(frame_70_shape_group_4_shapes),
        shape_group(frame_70_shape_group_5_shapes),
        shape_group(frame_70_shape_group_6_shapes),
        shape_group(frame_70_shape_group_7_shapes),
        shape_group(frame_70_shape_group_8_shapes),
    };

    constexpr const frame frame_70_impl(frame_70_colors, frame_70_shape_groups);
} 

const frame& frame_70()
{
    return frame_70_impl;
}

namespace
{
    constexpr const bn::color frame_71_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_71_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 50),
        horizontal_line(3, 43),
        horizontal_line(6, 36),
        horizontal_line(9, 29),
        horizontal_line(12, 22),
        horizontal_line(15, 15),
    };

    constexpr const horizontal_line frame_71_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(16, 16),
        horizontal_line(17, 18),
        horizontal_line(17, 20),
        horizontal_line(18, 22),
        horizontal_line(18, 24),
        horizontal_line(19, 26),
        horizontal_line(19, 28),
        horizontal_line(20, 30),
        horizontal_line(20, 32),
        horizontal_line(21, 34),
        horizontal_line(21, 36),
        horizontal_line(22, 38),
        horizontal_line(22, 40),
        horizontal_line(23, 42),
        horizontal_line(23, 44),
        horizontal_line(24, 46),
        horizontal_line(24, 48),
        horizontal_line(25, 50),
        horizontal_line(25, 52),
        horizontal_line(26, 55),
        horizontal_line(26, 57),
        horizontal_line(27, 59),
        horizontal_line(27, 61),
        horizontal_line(28, 63),
        horizontal_line(28, 65),
        horizontal_line(29, 67),
        horizontal_line(29, 69),
        horizontal_line(30, 71),
        horizontal_line(30, 73),
        horizontal_line(31, 75),
        horizontal_line(31, 77),
        horizontal_line(32, 79),
        horizontal_line(32, 81),
        horizontal_line(33, 83),
        horizontal_line(33, 85),
        horizontal_line(34, 87),
        horizontal_line(34, 89),
        horizontal_line(35, 91),
        horizontal_line(35, 94),
        horizontal_line(36, 95),
        horizontal_line(36, 95),
        horizontal_line(37, 95),
        horizontal_line(37, 95),
        horizontal_line(38, 96),
        horizontal_line(38, 96),
        horizontal_line(39, 96),
        horizontal_line(39, 96),
        horizontal_line(40, 97),
        horizontal_line(40, 97),
        horizontal_line(41, 97),
        horizontal_line(41, 97),
        horizontal_line(42, 97),
        horizontal_line(42, 98),
        horizontal_line(43, 98),
        horizontal_line(43, 98),
        horizontal_line(44, 98),
        horizontal_line(44, 99),
        horizontal_line(45, 99),
        horizontal_line(45, 99),
        horizontal_line(46, 99),
        horizontal_line(46, 99),
        horizontal_line(47, 100),
        horizontal_line(47, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(49, 101),
        horizontal_line(49, 99),
        horizontal_line(50, 98),
        horizontal_line(50, 97),
        horizontal_line(51, 95),
        horizontal_line(51, 94),
        horizontal_line(52, 93),
        horizontal_line(52, 92),
        horizontal_line(53, 90),
        horizontal_line(53, 89),
        horizontal_line(54, 88),
        horizontal_line(54, 87),
        horizontal_line(55, 85),
        horizontal_line(55, 84),
        horizontal_line(56, 83),
        horizontal_line(56, 82),
        horizontal_line(57, 80),
        horizontal_line(57, 79),
        horizontal_line(58, 78),
        horizontal_line(58, 76),
        horizontal_line(59, 75),
        horizontal_line(59, 74),
        horizontal_line(60, 73),
        horizontal_line(60, 71),
        horizontal_line(61, 70),
        horizontal_line(61, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(63, 65),
        horizontal_line(63, 64),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
    };

    constexpr const shape frame_71_shape_group_0_shapes[] = {
        shape(frame_71_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_71_shape_group_0_shape_1_horizontal_lines, 36, 1),
    };

    constexpr const horizontal_line frame_71_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 120),
        horizontal_line(62, 113),
        horizontal_line(62, 106),
        horizontal_line(62, 99),
        horizontal_line(62, 92),
        horizontal_line(62, 85),
        horizontal_line(62, 78),
        horizontal_line(62, 71),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_71_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(182, 200),
        horizontal_line(181, 200),
        horizontal_line(180, 200),
        horizontal_line(179, 199),
        horizontal_line(178, 199),
        horizontal_line(177, 199),
        horizontal_line(176, 199),
        horizontal_line(175, 199),
        horizontal_line(174, 199),
        horizontal_line(173, 199),
        horizontal_line(171, 199),
        horizontal_line(170, 198),
        horizontal_line(169, 198),
        horizontal_line(168, 198),
        horizontal_line(167, 198),
        horizontal_line(166, 198),
        horizontal_line(165, 198),
        horizontal_line(164, 198),
        horizontal_line(163, 198),
        horizontal_line(162, 197),
        horizontal_line(161, 197),
        horizontal_line(160, 197),
        horizontal_line(159, 197),
        horizontal_line(158, 197),
        horizontal_line(157, 197),
        horizontal_line(155, 197),
        horizontal_line(154, 197),
        horizontal_line(153, 196),
        horizontal_line(152, 196),
        horizontal_line(151, 196),
        horizontal_line(150, 196),
        horizontal_line(149, 196),
        horizontal_line(148, 196),
        horizontal_line(147, 196),
        horizontal_line(146, 196),
        horizontal_line(145, 195),
        horizontal_line(144, 195),
        horizontal_line(143, 195),
        horizontal_line(142, 195),
        horizontal_line(141, 195),
        horizontal_line(140, 195),
        horizontal_line(131, 137),
        horizontal_line(122, 136),
        horizontal_line(113, 135),
        horizontal_line(104, 133),
        horizontal_line(96, 132),
        horizontal_line(98, 131),
        horizontal_line(101, 129),
        horizontal_line(105, 128),
        horizontal_line(108, 127),
        horizontal_line(111, 126),
        horizontal_line(115, 115),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
        horizontal_line(140, 192),
        horizontal_line(140, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 192),
        horizontal_line(141, 191),
        horizontal_line(141, 191),
        horizontal_line(141, 191),
        horizontal_line(142, 191),
        horizontal_line(143, 191),
        horizontal_line(145, 191),
        horizontal_line(147, 191),
        horizontal_line(148, 191),
        horizontal_line(150, 190),
        horizontal_line(152, 190),
        horizontal_line(153, 190),
        horizontal_line(155, 190),
        horizontal_line(157, 190),
        horizontal_line(158, 190),
        horizontal_line(160, 190),
        horizontal_line(162, 190),
        horizontal_line(163, 189),
        horizontal_line(165, 189),
        horizontal_line(167, 189),
        horizontal_line(168, 189),
        horizontal_line(170, 189),
        horizontal_line(172, 189),
        horizontal_line(173, 189),
        horizontal_line(175, 189),
        horizontal_line(177, 188),
        horizontal_line(178, 188),
        horizontal_line(180, 188),
        horizontal_line(182, 188),
        horizontal_line(183, 188),
        horizontal_line(185, 188),
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_71_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(70, 132),
    };

    constexpr const horizontal_line frame_71_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(164, 190),
        horizontal_line(139, 192),
        horizontal_line(114, 176),
        horizontal_line(89, 151),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
    };

    constexpr const shape frame_71_shape_group_1_shapes[] = {
        shape(frame_71_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_71_shape_group_1_shape_1_horizontal_lines, 29, 1),
        shape(frame_71_shape_group_1_shape_2_horizontal_lines, 126, 3),
        shape(frame_71_shape_group_1_shape_3_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_71_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 183),
        horizontal_line(124, 176),
        horizontal_line(124, 169),
        horizontal_line(124, 162),
        horizontal_line(124, 155),
        horizontal_line(124, 148),
        horizontal_line(124, 141),
        horizontal_line(124, 134),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_71_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(192, 201),
        horizontal_line(191, 201),
        horizontal_line(190, 201),
        horizontal_line(189, 201),
        horizontal_line(187, 200),
        horizontal_line(186, 200),
        horizontal_line(185, 200),
        horizontal_line(184, 200),
        horizontal_line(183, 200),
    };

    constexpr const horizontal_line frame_71_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(139, 195),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(139, 194),
        horizontal_line(140, 193),
        horizontal_line(140, 193),
    };

    constexpr const horizontal_line frame_71_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(97, 115),
        horizontal_line(97, 115),
        horizontal_line(98, 115),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 116),
        horizontal_line(98, 117),
        horizontal_line(99, 115),
        horizontal_line(99, 114),
        horizontal_line(99, 113),
        horizontal_line(99, 112),
        horizontal_line(100, 111),
        horizontal_line(100, 110),
        horizontal_line(100, 109),
        horizontal_line(100, 107),
        horizontal_line(100, 106),
        horizontal_line(101, 105),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 102),
        horizontal_line(102, 146),
        horizontal_line(100, 147),
        horizontal_line(99, 149),
        horizontal_line(98, 151),
        horizontal_line(96, 152),
        horizontal_line(95, 154),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(132, 188),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_71_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(176, 194),
        horizontal_line(151, 196),
        horizontal_line(188, 198),
        horizontal_line(186, 201),
        horizontal_line(185, 203),
        horizontal_line(183, 205),
        horizontal_line(182, 207),
        horizontal_line(181, 209),
        horizontal_line(179, 211),
        horizontal_line(178, 214),
        horizontal_line(176, 216),
        horizontal_line(175, 218),
        horizontal_line(174, 220),
        horizontal_line(172, 222),
        horizontal_line(171, 224),
        horizontal_line(169, 227),
        horizontal_line(168, 229),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
    };

    constexpr const shape frame_71_shape_group_2_shapes[] = {
        shape(frame_71_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_71_shape_group_2_shape_1_horizontal_lines, 20, 1),
        shape(frame_71_shape_group_2_shape_2_horizontal_lines, 70, 1),
        shape(frame_71_shape_group_2_shape_3_horizontal_lines, 81, 3),
        shape(frame_71_shape_group_2_shape_4_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 214),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 209),
        horizontal_line(186, 207),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 197),
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(201, 202),
        horizontal_line(200, 202),
        horizontal_line(199, 202),
        horizontal_line(198, 202),
        horizontal_line(197, 202),
        horizontal_line(196, 201),
        horizontal_line(195, 201),
        horizontal_line(194, 201),
        horizontal_line(193, 201),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(137, 138),
        horizontal_line(136, 138),
        horizontal_line(134, 138),
        horizontal_line(133, 138),
        horizontal_line(96, 97),
        horizontal_line(96, 100),
        horizontal_line(96, 104),
        horizontal_line(96, 107),
        horizontal_line(97, 110),
        horizontal_line(97, 114),
        horizontal_line(120, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(127, 139),
        horizontal_line(128, 139),
        horizontal_line(129, 139),
        horizontal_line(130, 140),
        horizontal_line(132, 140),
        horizontal_line(133, 140),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 141),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(128, 142),
        horizontal_line(114, 144),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(155, 157),
        horizontal_line(153, 159),
        horizontal_line(152, 161),
        horizontal_line(151, 162),
        horizontal_line(150, 164),
        horizontal_line(148, 166),
        horizontal_line(147, 167),
        horizontal_line(146, 169),
        horizontal_line(145, 171),
        horizontal_line(143, 172),
        horizontal_line(142, 174),
        horizontal_line(141, 176),
        horizontal_line(139, 177),
        horizontal_line(138, 179),
        horizontal_line(137, 181),
        horizontal_line(136, 182),
        horizontal_line(134, 184),
        horizontal_line(133, 186),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(131, 163),
        horizontal_line(129, 138),
        horizontal_line(66, 113),
        horizontal_line(65, 88),
    };

    constexpr const horizontal_line frame_71_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(229, 231),
        horizontal_line(227, 233),
        horizontal_line(226, 235),
        horizontal_line(224, 238),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
    };

    constexpr const shape frame_71_shape_group_3_shapes[] = {
        shape(frame_71_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_71_shape_group_3_shape_1_horizontal_lines, 11, 1),
        shape(frame_71_shape_group_3_shape_2_horizontal_lines, 70, 3),
        shape(frame_71_shape_group_3_shape_3_horizontal_lines, 98, 6),
        shape(frame_71_shape_group_3_shape_4_horizontal_lines, 99, 3),
        shape(frame_71_shape_group_3_shape_5_horizontal_lines, 107, 3),
        shape(frame_71_shape_group_3_shape_6_horizontal_lines, 127, 3),
        shape(frame_71_shape_group_3_shape_7_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_71_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_71_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(127, 139),
        horizontal_line(116, 139),
    };

    constexpr const horizontal_line frame_71_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(116, 121),
        horizontal_line(116, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(118, 127),
        horizontal_line(116, 128),
        horizontal_line(115, 129),
        horizontal_line(114, 131),
        horizontal_line(113, 132),
        horizontal_line(112, 133),
        horizontal_line(111, 134),
        horizontal_line(110, 136),
        horizontal_line(108, 137),
        horizontal_line(107, 138),
        horizontal_line(106, 139),
    };

    constexpr const horizontal_line frame_71_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(104, 127),
        horizontal_line(103, 113),
    };

    constexpr const shape frame_71_shape_group_4_shapes[] = {
        shape(frame_71_shape_group_4_shape_0_horizontal_lines, 10, 1),
        shape(frame_71_shape_group_4_shape_1_horizontal_lines, 75, 3),
        shape(frame_71_shape_group_4_shape_2_horizontal_lines, 81, 6),
        shape(frame_71_shape_group_4_shape_3_horizontal_lines, 99, 6),
    };

    constexpr const horizontal_line frame_71_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_71_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(119, 126),
    };

    constexpr const shape frame_71_shape_group_5_shapes[] = {
        shape(frame_71_shape_group_5_shape_0_horizontal_lines, 82, 6),
        shape(frame_71_shape_group_5_shape_1_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_71_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_71_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 124),
    };

    constexpr const shape frame_71_shape_group_6_shapes[] = {
        shape(frame_71_shape_group_6_shape_0_horizontal_lines, 82, 4),
        shape(frame_71_shape_group_6_shape_1_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_71_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const shape frame_71_shape_group_7_shapes[] = {
        shape(frame_71_shape_group_7_shape_0_horizontal_lines, 82, 5),
    };

    constexpr const horizontal_line frame_71_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const shape frame_71_shape_group_8_shapes[] = {
        shape(frame_71_shape_group_8_shape_0_horizontal_lines, 83, 2),
    };

    constexpr const shape_group frame_71_shape_groups[] = {
        shape_group(frame_71_shape_group_0_shapes),
        shape_group(frame_71_shape_group_1_shapes),
        shape_group(frame_71_shape_group_2_shapes),
        shape_group(frame_71_shape_group_3_shapes),
        shape_group(frame_71_shape_group_4_shapes),
        shape_group(frame_71_shape_group_5_shapes),
        shape_group(frame_71_shape_group_6_shapes),
        shape_group(frame_71_shape_group_7_shapes),
        shape_group(frame_71_shape_group_8_shapes),
    };

    constexpr const frame frame_71_impl(frame_71_colors, frame_71_shape_groups);
} 

const frame& frame_71()
{
    return frame_71_impl;
}

namespace
{
    constexpr const bn::color frame_72_colors[] = {
        bn::color(16, 4, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(0, 0, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_72_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 52),
        horizontal_line(0, 46),
        horizontal_line(0, 39),
        horizontal_line(0, 33),
        horizontal_line(0, 26),
        horizontal_line(0, 19),
        horizontal_line(0, 13),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_72_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(183, 213),
        horizontal_line(1, 1),
        horizontal_line(1, 3),
        horizontal_line(2, 5),
        horizontal_line(2, 7),
        horizontal_line(3, 9),
        horizontal_line(3, 11),
        horizontal_line(4, 13),
        horizontal_line(4, 15),
        horizontal_line(5, 17),
        horizontal_line(5, 19),
        horizontal_line(6, 22),
        horizontal_line(6, 24),
        horizontal_line(7, 26),
        horizontal_line(7, 28),
        horizontal_line(8, 30),
        horizontal_line(9, 32),
        horizontal_line(9, 34),
        horizontal_line(10, 36),
        horizontal_line(10, 38),
        horizontal_line(11, 40),
        horizontal_line(11, 42),
        horizontal_line(12, 45),
        horizontal_line(12, 47),
        horizontal_line(13, 49),
        horizontal_line(13, 51),
        horizontal_line(14, 53),
        horizontal_line(14, 55),
        horizontal_line(15, 57),
        horizontal_line(16, 59),
        horizontal_line(16, 61),
        horizontal_line(17, 63),
        horizontal_line(17, 65),
        horizontal_line(18, 68),
        horizontal_line(18, 70),
        horizontal_line(19, 72),
        horizontal_line(19, 74),
        horizontal_line(20, 76),
        horizontal_line(20, 78),
        horizontal_line(21, 80),
        horizontal_line(21, 82),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 97),
        horizontal_line(37, 97),
        horizontal_line(37, 97),
        horizontal_line(38, 98),
        horizontal_line(38, 98),
        horizontal_line(39, 98),
        horizontal_line(39, 98),
        horizontal_line(40, 99),
        horizontal_line(40, 97),
        horizontal_line(41, 96),
        horizontal_line(41, 95),
        horizontal_line(42, 93),
        horizontal_line(42, 92),
        horizontal_line(43, 91),
        horizontal_line(44, 90),
        horizontal_line(44, 88),
        horizontal_line(45, 87),
        horizontal_line(45, 86),
        horizontal_line(46, 85),
        horizontal_line(46, 83),
        horizontal_line(47, 82),
        horizontal_line(47, 81),
        horizontal_line(48, 79),
        horizontal_line(48, 78),
        horizontal_line(49, 77),
        horizontal_line(49, 76),
        horizontal_line(50, 74),
        horizontal_line(51, 73),
        horizontal_line(51, 72),
        horizontal_line(52, 71),
        horizontal_line(52, 69),
        horizontal_line(53, 68),
        horizontal_line(53, 67),
        horizontal_line(54, 65),
        horizontal_line(54, 64),
        horizontal_line(55, 63),
        horizontal_line(55, 62),
        horizontal_line(56, 60),
        horizontal_line(56, 59),
        horizontal_line(57, 58),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
    };

    constexpr const shape frame_72_shape_group_0_shapes[] = {
        shape(frame_72_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_72_shape_group_0_shape_1_horizontal_lines, 27, 1),
    };

    constexpr const horizontal_line frame_72_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 119),
        horizontal_line(62, 112),
        horizontal_line(62, 105),
        horizontal_line(62, 99),
        horizontal_line(62, 92),
        horizontal_line(62, 86),
        horizontal_line(62, 79),
        horizontal_line(62, 72),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_72_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(194, 215),
        horizontal_line(193, 215),
        horizontal_line(192, 214),
        horizontal_line(191, 214),
        horizontal_line(190, 214),
        horizontal_line(189, 214),
        horizontal_line(188, 214),
        horizontal_line(187, 214),
        horizontal_line(186, 213),
        horizontal_line(185, 213),
    };

    constexpr const horizontal_line frame_72_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(182, 213),
        horizontal_line(181, 213),
        horizontal_line(180, 213),
        horizontal_line(179, 212),
        horizontal_line(178, 212),
        horizontal_line(177, 212),
        horizontal_line(176, 212),
        horizontal_line(175, 212),
        horizontal_line(174, 212),
        horizontal_line(173, 211),
        horizontal_line(172, 211),
        horizontal_line(171, 211),
        horizontal_line(169, 211),
        horizontal_line(168, 211),
        horizontal_line(167, 211),
        horizontal_line(166, 211),
        horizontal_line(165, 210),
        horizontal_line(164, 210),
        horizontal_line(163, 210),
        horizontal_line(162, 210),
        horizontal_line(161, 210),
        horizontal_line(160, 210),
        horizontal_line(159, 209),
        horizontal_line(158, 209),
        horizontal_line(157, 209),
        horizontal_line(155, 209),
        horizontal_line(154, 209),
        horizontal_line(153, 209),
        horizontal_line(152, 208),
        horizontal_line(151, 208),
        horizontal_line(150, 208),
        horizontal_line(149, 208),
        horizontal_line(148, 208),
        horizontal_line(147, 208),
        horizontal_line(146, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(132, 139),
        horizontal_line(122, 138),
        horizontal_line(112, 137),
        horizontal_line(102, 136),
        horizontal_line(93, 135),
        horizontal_line(94, 134),
        horizontal_line(97, 132),
        horizontal_line(100, 131),
        horizontal_line(103, 130),
        horizontal_line(106, 129),
        horizontal_line(109, 128),
        horizontal_line(112, 127),
        horizontal_line(115, 115),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 203),
        horizontal_line(142, 203),
        horizontal_line(142, 203),
        horizontal_line(142, 203),
        horizontal_line(142, 203),
        horizontal_line(142, 203),
        horizontal_line(142, 202),
        horizontal_line(142, 202),
        horizontal_line(142, 202),
        horizontal_line(142, 202),
        horizontal_line(142, 202),
        horizontal_line(143, 202),
        horizontal_line(144, 201),
        horizontal_line(146, 201),
        horizontal_line(148, 201),
        horizontal_line(149, 201),
        horizontal_line(151, 201),
        horizontal_line(153, 201),
        horizontal_line(155, 200),
        horizontal_line(156, 200),
        horizontal_line(158, 200),
        horizontal_line(160, 200),
        horizontal_line(162, 200),
        horizontal_line(163, 200),
        horizontal_line(165, 199),
        horizontal_line(167, 199),
        horizontal_line(169, 199),
        horizontal_line(170, 199),
        horizontal_line(172, 199),
        horizontal_line(174, 199),
        horizontal_line(176, 198),
        horizontal_line(177, 198),
        horizontal_line(179, 198),
        horizontal_line(181, 198),
        horizontal_line(183, 198),
        horizontal_line(184, 198),
        horizontal_line(186, 197),
        horizontal_line(188, 197),
        horizontal_line(190, 197),
        horizontal_line(191, 197),
        horizontal_line(193, 197),
        horizontal_line(195, 197),
        horizontal_line(197, 197),
        horizontal_line(170, 198),
        horizontal_line(142, 200),
        horizontal_line(114, 176),
        horizontal_line(86, 148),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
    };

    constexpr const shape frame_72_shape_group_1_shapes[] = {
        shape(frame_72_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_72_shape_group_1_shape_1_horizontal_lines, 17, 1),
        shape(frame_72_shape_group_1_shape_2_horizontal_lines, 28, 1),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 172),
        horizontal_line(124, 165),
        horizontal_line(124, 158),
        horizontal_line(124, 152),
        horizontal_line(124, 145),
        horizontal_line(124, 138),
        horizontal_line(124, 132),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(204, 216),
        horizontal_line(203, 216),
        horizontal_line(202, 216),
        horizontal_line(201, 216),
        horizontal_line(200, 216),
        horizontal_line(199, 215),
        horizontal_line(197, 215),
        horizontal_line(196, 215),
        horizontal_line(195, 215),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(206, 207),
        horizontal_line(205, 207),
        horizontal_line(204, 207),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(90, 94),
        horizontal_line(91, 94),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(94, 95),
        horizontal_line(94, 95),
        horizontal_line(95, 95),
        horizontal_line(95, 96),
        horizontal_line(96, 96),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(97, 109),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(98, 106),
        horizontal_line(98, 105),
        horizontal_line(98, 104),
        horizontal_line(99, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(99, 100),
        horizontal_line(100, 147),
        horizontal_line(98, 148),
        horizontal_line(97, 150),
        horizontal_line(96, 152),
        horizontal_line(94, 154),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_72_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(176, 202),
        horizontal_line(148, 204),
        horizontal_line(182, 207),
        horizontal_line(180, 209),
        horizontal_line(179, 211),
        horizontal_line(178, 213),
        horizontal_line(176, 215),
        horizontal_line(175, 218),
        horizontal_line(174, 220),
        horizontal_line(172, 222),
        horizontal_line(171, 224),
        horizontal_line(170, 226),
        horizontal_line(168, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
    };

    constexpr const shape frame_72_shape_group_2_shapes[] = {
        shape(frame_72_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_72_shape_group_2_shape_1_horizontal_lines, 8, 1),
        shape(frame_72_shape_group_2_shape_2_horizontal_lines, 63, 1),
        shape(frame_72_shape_group_2_shape_3_horizontal_lines, 92, 3),
        shape(frame_72_shape_group_2_shape_4_horizontal_lines, 93, 1),
        shape(frame_72_shape_group_2_shape_5_horizontal_lines, 94, 3),
        shape(frame_72_shape_group_2_shape_6_horizontal_lines, 132, 1),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(213, 218),
        horizontal_line(211, 217),
        horizontal_line(210, 217),
        horizontal_line(209, 217),
        horizontal_line(208, 217),
        horizontal_line(207, 217),
        horizontal_line(206, 217),
        horizontal_line(205, 216),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(203, 207),
        horizontal_line(84, 84),
        horizontal_line(85, 86),
        horizontal_line(85, 88),
        horizontal_line(86, 91),
        horizontal_line(86, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(90, 93),
        horizontal_line(203, 204),
        horizontal_line(203, 204),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(96, 114),
        horizontal_line(96, 113),
        horizontal_line(97, 112),
        horizontal_line(97, 111),
        horizontal_line(97, 110),
        horizontal_line(135, 141),
        horizontal_line(98, 108),
        horizontal_line(138, 141),
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(103, 142),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(128, 143),
        horizontal_line(113, 145),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(154, 157),
        horizontal_line(153, 159),
        horizontal_line(151, 161),
        horizontal_line(150, 162),
        horizontal_line(149, 164),
        horizontal_line(148, 166),
        horizontal_line(146, 168),
        horizontal_line(145, 169),
        horizontal_line(144, 171),
        horizontal_line(142, 173),
        horizontal_line(141, 175),
        horizontal_line(140, 176),
        horizontal_line(139, 178),
        horizontal_line(137, 180),
        horizontal_line(136, 182),
        horizontal_line(135, 183),
        horizontal_line(134, 185),
        horizontal_line(132, 187),
        horizontal_line(131, 189),
        horizontal_line(130, 190),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 169),
        horizontal_line(123, 141),
        horizontal_line(60, 113),
        horizontal_line(59, 85),
    };

    constexpr const horizontal_line frame_72_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(229, 231),
        horizontal_line(228, 233),
        horizontal_line(226, 235),
        horizontal_line(225, 238),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
    };

    constexpr const shape frame_72_shape_group_3_shapes[] = {
        shape(frame_72_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_72_shape_group_3_shape_1_horizontal_lines, 67, 1),
        shape(frame_72_shape_group_3_shape_2_horizontal_lines, 87, 3),
        shape(frame_72_shape_group_3_shape_3_horizontal_lines, 98, 6),
        shape(frame_72_shape_group_3_shape_4_horizontal_lines, 99, 3),
        shape(frame_72_shape_group_3_shape_5_horizontal_lines, 106, 3),
        shape(frame_72_shape_group_3_shape_6_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(95, 115),
        horizontal_line(95, 115),
        horizontal_line(95, 115),
        horizontal_line(95, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 116),
        horizontal_line(129, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 141),
        horizontal_line(133, 141),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(110, 134),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(107, 137),
        horizontal_line(106, 138),
        horizontal_line(105, 139),
        horizontal_line(104, 140),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(102, 127),
        horizontal_line(101, 112),
    };

    constexpr const horizontal_line frame_72_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(190, 192),
        horizontal_line(189, 194),
        horizontal_line(188, 196),
    };

    constexpr const shape frame_72_shape_group_4_shapes[] = {
        shape(frame_72_shape_group_4_shape_0_horizontal_lines, 67, 3),
        shape(frame_72_shape_group_4_shape_1_horizontal_lines, 68, 1),
        shape(frame_72_shape_group_4_shape_2_horizontal_lines, 80, 3),
        shape(frame_72_shape_group_4_shape_3_horizontal_lines, 92, 6),
        shape(frame_72_shape_group_4_shape_4_horizontal_lines, 93, 3),
        shape(frame_72_shape_group_4_shape_5_horizontal_lines, 94, 6),
        shape(frame_72_shape_group_4_shape_6_horizontal_lines, 99, 6),
        shape(frame_72_shape_group_4_shape_7_horizontal_lines, 127, 3),
    };

    constexpr const horizontal_line frame_72_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(138, 140),
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(93, 93),
        horizontal_line(93, 96),
        horizontal_line(93, 99),
        horizontal_line(93, 102),
        horizontal_line(94, 105),
        horizontal_line(94, 108),
        horizontal_line(94, 111),
        horizontal_line(94, 114),
        horizontal_line(119, 125),
        horizontal_line(127, 140),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(128, 141),
    };

    constexpr const horizontal_line frame_72_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(115, 128),
        horizontal_line(114, 129),
        horizontal_line(113, 130),
        horizontal_line(112, 132),
        horizontal_line(111, 133),
    };

    constexpr const horizontal_line frame_72_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(109, 135),
    };

    constexpr const shape frame_72_shape_group_5_shapes[] = {
        shape(frame_72_shape_group_5_shape_0_horizontal_lines, 68, 3),
        shape(frame_72_shape_group_5_shape_1_horizontal_lines, 87, 6),
        shape(frame_72_shape_group_5_shape_2_horizontal_lines, 93, 6),
    };

    constexpr const horizontal_line frame_72_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(116, 140),
        horizontal_line(127, 140),
    };

    constexpr const horizontal_line frame_72_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 118),
        horizontal_line(117, 127),
    };

    constexpr const shape frame_72_shape_group_6_shapes[] = {
        shape(frame_72_shape_group_6_shape_0_horizontal_lines, 72, 3),
        shape(frame_72_shape_group_6_shape_1_horizontal_lines, 81, 6),
    };

    constexpr const horizontal_line frame_72_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(121, 121),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_72_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(119, 126),
    };

    constexpr const shape frame_72_shape_group_7_shapes[] = {
        shape(frame_72_shape_group_7_shape_0_horizontal_lines, 80, 6),
        shape(frame_72_shape_group_7_shape_1_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_72_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_72_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(120, 120),
        horizontal_line(121, 125),
    };

    constexpr const shape frame_72_shape_group_8_shapes[] = {
        shape(frame_72_shape_group_8_shape_0_horizontal_lines, 80, 6),
        shape(frame_72_shape_group_8_shape_1_horizontal_lines, 82, 5),
    };

    constexpr const horizontal_line frame_72_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_72_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 124),
    };

    constexpr const shape frame_72_shape_group_9_shapes[] = {
        shape(frame_72_shape_group_9_shape_0_horizontal_lines, 81, 5),
        shape(frame_72_shape_group_9_shape_1_horizontal_lines, 83, 2),
    };

    constexpr const horizontal_line frame_72_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_72_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const shape frame_72_shape_group_10_shapes[] = {
        shape(frame_72_shape_group_10_shape_0_horizontal_lines, 81, 5),
        shape(frame_72_shape_group_10_shape_1_horizontal_lines, 82, 2),
    };

    constexpr const horizontal_line frame_72_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const shape frame_72_shape_group_11_shapes[] = {
        shape(frame_72_shape_group_11_shape_0_horizontal_lines, 81, 4),
    };

    constexpr const shape_group frame_72_shape_groups[] = {
        shape_group(frame_72_shape_group_0_shapes),
        shape_group(frame_72_shape_group_1_shapes),
        shape_group(frame_72_shape_group_2_shapes),
        shape_group(frame_72_shape_group_3_shapes),
        shape_group(frame_72_shape_group_4_shapes),
        shape_group(frame_72_shape_group_5_shapes),
        shape_group(frame_72_shape_group_6_shapes),
        shape_group(frame_72_shape_group_7_shapes),
        shape_group(frame_72_shape_group_8_shapes),
        shape_group(frame_72_shape_group_9_shapes),
        shape_group(frame_72_shape_group_10_shapes),
        shape_group(frame_72_shape_group_11_shapes),
    };

    constexpr const frame frame_72_impl(frame_72_colors, frame_72_shape_groups);
} 

const frame& frame_72()
{
    return frame_72_impl;
}

namespace
{
    constexpr const bn::color frame_73_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_73_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 51),
        horizontal_line(0, 46),
        horizontal_line(0, 40),
        horizontal_line(0, 34),
        horizontal_line(0, 28),
        horizontal_line(0, 23),
        horizontal_line(0, 17),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_73_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
    };

    constexpr const shape frame_73_shape_group_0_shapes[] = {
        shape(frame_73_shape_group_0_shape_0_horizontal_lines, 0, 7),
        shape(frame_73_shape_group_0_shape_1_horizontal_lines, 14, 4),
    };

    constexpr const horizontal_line frame_73_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(62, 69),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_73_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(58, 120),
        horizontal_line(52, 114),
        horizontal_line(47, 109),
        horizontal_line(41, 103),
        horizontal_line(35, 97),
        horizontal_line(29, 91),
        horizontal_line(24, 86),
        horizontal_line(18, 80),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 133),
        horizontal_line(80, 124),
        horizontal_line(82, 115),
        horizontal_line(84, 106),
        horizontal_line(86, 97),
        horizontal_line(89, 89),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_73_shape_group_1_shapes[] = {
        shape(frame_73_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_73_shape_group_1_shape_1_horizontal_lines, 3, 4),
    };

    constexpr const horizontal_line frame_73_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(76, 138),
        horizontal_line(70, 132),
        horizontal_line(64, 126),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(102, 161),
        horizontal_line(104, 160),
        horizontal_line(106, 159),
        horizontal_line(108, 157),
        horizontal_line(110, 156),
        horizontal_line(112, 155),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_73_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(90, 91),
        horizontal_line(90, 94),
        horizontal_line(90, 97),
        horizontal_line(91, 100),
        horizontal_line(91, 103),
        horizontal_line(91, 106),
        horizontal_line(91, 109),
        horizontal_line(92, 113),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(93, 114),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(94, 115),
        horizontal_line(94, 116),
        horizontal_line(94, 114),
        horizontal_line(95, 113),
        horizontal_line(95, 112),
        horizontal_line(95, 111),
        horizontal_line(95, 110),
        horizontal_line(96, 109),
        horizontal_line(96, 108),
        horizontal_line(96, 107),
        horizontal_line(97, 105),
        horizontal_line(97, 104),
        horizontal_line(97, 103),
        horizontal_line(97, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 99),
        horizontal_line(99, 149),
        horizontal_line(97, 151),
        horizontal_line(96, 152),
        horizontal_line(95, 154),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 103),
        horizontal_line(53, 77),
    };

    constexpr const shape frame_73_shape_group_2_shapes[] = {
        shape(frame_73_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_73_shape_group_2_shape_1_horizontal_lines, 71, 3),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(120, 182),
        horizontal_line(114, 176),
        horizontal_line(109, 171),
        horizontal_line(103, 165),
        horizontal_line(97, 159),
        horizontal_line(91, 153),
        horizontal_line(86, 148),
        horizontal_line(80, 142),
        horizontal_line(74, 136),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 184),
        horizontal_line(124, 183),
        horizontal_line(124, 182),
        horizontal_line(126, 181),
        horizontal_line(128, 180),
        horizontal_line(130, 179),
        horizontal_line(132, 178),
        horizontal_line(134, 177),
        horizontal_line(136, 176),
        horizontal_line(138, 174),
        horizontal_line(140, 173),
        horizontal_line(142, 172),
        horizontal_line(144, 171),
        horizontal_line(146, 170),
        horizontal_line(148, 169),
        horizontal_line(150, 168),
        horizontal_line(152, 167),
        horizontal_line(154, 166),
        horizontal_line(156, 165),
        horizontal_line(158, 164),
        horizontal_line(160, 163),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(114, 154),
        horizontal_line(116, 153),
        horizontal_line(118, 152),
        horizontal_line(120, 151),
        horizontal_line(122, 150),
        horizontal_line(124, 149),
        horizontal_line(126, 148),
        horizontal_line(128, 147),
        horizontal_line(130, 146),
        horizontal_line(132, 145),
        horizontal_line(134, 144),
        horizontal_line(136, 143),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(140, 141),
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 142),
        horizontal_line(116, 125),
        horizontal_line(119, 119),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(128, 142),
        horizontal_line(129, 142),
        horizontal_line(130, 143),
        horizontal_line(131, 143),
        horizontal_line(133, 143),
        horizontal_line(134, 143),
        horizontal_line(135, 143),
        horizontal_line(137, 143),
        horizontal_line(138, 143),
        horizontal_line(139, 143),
        horizontal_line(141, 143),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(102, 144),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(129, 145),
        horizontal_line(113, 147),
    };

    constexpr const horizontal_line frame_73_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(154, 158),
        horizontal_line(153, 159),
        horizontal_line(152, 161),
        horizontal_line(151, 163),
        horizontal_line(149, 165),
        horizontal_line(148, 167),
        horizontal_line(147, 168),
        horizontal_line(146, 170),
        horizontal_line(144, 172),
        horizontal_line(143, 174),
        horizontal_line(142, 175),
        horizontal_line(141, 177),
        horizontal_line(139, 179),
        horizontal_line(138, 181),
        horizontal_line(137, 182),
        horizontal_line(136, 184),
        horizontal_line(135, 186),
        horizontal_line(133, 188),
        horizontal_line(132, 190),
        horizontal_line(131, 191),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 181),
        horizontal_line(118, 155),
        horizontal_line(117, 129),
    };

    constexpr const shape frame_73_shape_group_3_shapes[] = {
        shape(frame_73_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_73_shape_group_3_shape_1_horizontal_lines, 52, 4),
        shape(frame_73_shape_group_3_shape_2_horizontal_lines, 65, 3),
        shape(frame_73_shape_group_3_shape_3_horizontal_lines, 99, 6),
        shape(frame_73_shape_group_3_shape_4_horizontal_lines, 100, 3),
        shape(frame_73_shape_group_3_shape_5_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_73_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(132, 194),
        horizontal_line(126, 188),
        horizontal_line(182, 206),
        horizontal_line(176, 205),
        horizontal_line(171, 204),
        horizontal_line(165, 203),
        horizontal_line(159, 202),
        horizontal_line(153, 201),
        horizontal_line(148, 200),
        horizontal_line(142, 199),
        horizontal_line(136, 198),
        horizontal_line(130, 192),
        horizontal_line(125, 187),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_73_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(127, 142),
        horizontal_line(127, 142),
    };

    constexpr const horizontal_line frame_73_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 120),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(117, 127),
        horizontal_line(115, 128),
        horizontal_line(114, 129),
        horizontal_line(113, 130),
        horizontal_line(112, 132),
        horizontal_line(111, 133),
        horizontal_line(110, 134),
        horizontal_line(109, 136),
        horizontal_line(108, 137),
        horizontal_line(106, 138),
        horizontal_line(105, 140),
        horizontal_line(104, 141),
        horizontal_line(103, 142),
    };

    constexpr const horizontal_line frame_73_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(101, 128),
        horizontal_line(100, 112),
    };

    constexpr const horizontal_line frame_73_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(190, 195),
        horizontal_line(189, 197),
        horizontal_line(188, 198),
        horizontal_line(187, 200),
        horizontal_line(185, 202),
        horizontal_line(184, 204),
        horizontal_line(183, 206),
    };

    constexpr const shape frame_73_shape_group_4_shapes[] = {
        shape(frame_73_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_73_shape_group_4_shape_1_horizontal_lines, 79, 3),
        shape(frame_73_shape_group_4_shape_2_horizontal_lines, 81, 6),
        shape(frame_73_shape_group_4_shape_3_horizontal_lines, 100, 6),
        shape(frame_73_shape_group_4_shape_4_horizontal_lines, 127, 3),
    };

    constexpr const horizontal_line frame_73_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(200, 210),
        horizontal_line(194, 208),
        horizontal_line(188, 207),
    };

    constexpr const horizontal_line frame_73_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(192, 197),
        horizontal_line(187, 196),
    };

    constexpr const horizontal_line frame_73_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 118),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_73_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(118, 126),
    };

    constexpr const shape frame_73_shape_group_5_shapes[] = {
        shape(frame_73_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_73_shape_group_5_shape_1_horizontal_lines, 11, 4),
        shape(frame_73_shape_group_5_shape_2_horizontal_lines, 79, 6),
        shape(frame_73_shape_group_5_shape_3_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_73_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_73_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(120, 122),
        horizontal_line(121, 125),
        horizontal_line(119, 125),
    };

    constexpr const shape frame_73_shape_group_6_shapes[] = {
        shape(frame_73_shape_group_6_shape_0_horizontal_lines, 79, 6),
        shape(frame_73_shape_group_6_shape_1_horizontal_lines, 81, 5),
    };

    constexpr const horizontal_line frame_73_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_73_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
    };

    constexpr const shape frame_73_shape_group_7_shapes[] = {
        shape(frame_73_shape_group_7_shape_0_horizontal_lines, 81, 5),
        shape(frame_73_shape_group_7_shape_1_horizontal_lines, 82, 2),
    };

    constexpr const horizontal_line frame_73_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const shape frame_73_shape_group_8_shapes[] = {
        shape(frame_73_shape_group_8_shape_0_horizontal_lines, 81, 1),
    };

    constexpr const shape_group frame_73_shape_groups[] = {
        shape_group(frame_73_shape_group_0_shapes),
        shape_group(frame_73_shape_group_1_shapes),
        shape_group(frame_73_shape_group_2_shapes),
        shape_group(frame_73_shape_group_3_shapes),
        shape_group(frame_73_shape_group_4_shapes),
        shape_group(frame_73_shape_group_5_shapes),
        shape_group(frame_73_shape_group_6_shapes),
        shape_group(frame_73_shape_group_7_shapes),
        shape_group(frame_73_shape_group_8_shapes),
    };

    constexpr const frame frame_73_impl(frame_73_colors, frame_73_shape_groups);
} 

const frame& frame_73()
{
    return frame_73_impl;
}

namespace
{
    constexpr const bn::color frame_74_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_74_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 135),
        horizontal_line(76, 125),
        horizontal_line(78, 115),
        horizontal_line(80, 105),
        horizontal_line(82, 95),
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_74_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(86, 89),
        horizontal_line(86, 91),
    };

    constexpr const horizontal_line frame_74_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
    };

    constexpr const shape frame_74_shape_group_0_shapes[] = {
        shape(frame_74_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_74_shape_group_0_shape_1_horizontal_lines, 68, 3),
        shape(frame_74_shape_group_0_shape_2_horizontal_lines, 71, 4),
    };

    constexpr const horizontal_line frame_74_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(101, 162),
        horizontal_line(103, 161),
        horizontal_line(105, 160),
        horizontal_line(107, 159),
        horizontal_line(109, 158),
        horizontal_line(111, 157),
        horizontal_line(113, 156),
        horizontal_line(115, 155),
        horizontal_line(117, 154),
        horizontal_line(120, 153),
        horizontal_line(122, 152),
        horizontal_line(124, 151),
        horizontal_line(126, 150),
        horizontal_line(128, 149),
        horizontal_line(130, 148),
        horizontal_line(132, 147),
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_74_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(144, 145),
        horizontal_line(143, 145),
        horizontal_line(142, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(136, 145),
        horizontal_line(87, 94),
        horizontal_line(87, 97),
        horizontal_line(87, 99),
        horizontal_line(88, 102),
        horizontal_line(88, 105),
        horizontal_line(88, 107),
        horizontal_line(89, 110),
    };

    constexpr const horizontal_line frame_74_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_74_shape_group_1_shapes[] = {
        shape(frame_74_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_74_shape_group_1_shape_1_horizontal_lines, 62, 3),
        shape(frame_74_shape_group_1_shape_2_horizontal_lines, 78, 4),
    };

    constexpr const horizontal_line frame_74_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 184),
        horizontal_line(124, 183),
        horizontal_line(124, 182),
        horizontal_line(126, 181),
        horizontal_line(128, 180),
        horizontal_line(130, 179),
        horizontal_line(132, 178),
        horizontal_line(134, 177),
        horizontal_line(136, 176),
        horizontal_line(138, 175),
        horizontal_line(140, 174),
        horizontal_line(142, 173),
        horizontal_line(144, 172),
        horizontal_line(146, 171),
        horizontal_line(148, 170),
        horizontal_line(150, 169),
        horizontal_line(153, 168),
        horizontal_line(155, 166),
        horizontal_line(157, 165),
        horizontal_line(159, 164),
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_74_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(135, 145),
        horizontal_line(134, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 146),
        horizontal_line(129, 146),
        horizontal_line(89, 113),
        horizontal_line(89, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 114),
        horizontal_line(90, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(91, 115),
        horizontal_line(92, 116),
        horizontal_line(92, 114),
        horizontal_line(92, 113),
        horizontal_line(93, 112),
        horizontal_line(93, 111),
        horizontal_line(93, 110),
        horizontal_line(94, 109),
        horizontal_line(94, 108),
        horizontal_line(94, 107),
        horizontal_line(95, 106),
        horizontal_line(95, 105),
        horizontal_line(95, 104),
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(96, 101),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(97, 98),
        horizontal_line(98, 155),
        horizontal_line(96, 156),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 101),
        horizontal_line(45, 72),
    };

    constexpr const shape frame_74_shape_group_2_shapes[] = {
        shape(frame_74_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_74_shape_group_2_shape_1_horizontal_lines, 71, 3),
    };

    constexpr const horizontal_line frame_74_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 210),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_74_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(115, 146),
        horizontal_line(120, 126),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(129, 146),
        horizontal_line(130, 147),
        horizontal_line(131, 147),
        horizontal_line(133, 147),
        horizontal_line(134, 147),
        horizontal_line(136, 147),
        horizontal_line(137, 147),
        horizontal_line(139, 147),
        horizontal_line(140, 147),
        horizontal_line(141, 147),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(146, 147),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_74_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(102, 148),
    };

    constexpr const horizontal_line frame_74_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(123, 151),
        horizontal_line(110, 153),
    };

    constexpr const horizontal_line frame_74_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(156, 160),
        horizontal_line(154, 162),
        horizontal_line(153, 163),
        horizontal_line(152, 165),
        horizontal_line(151, 167),
        horizontal_line(149, 169),
        horizontal_line(148, 170),
        horizontal_line(147, 172),
        horizontal_line(145, 174),
        horizontal_line(144, 176),
        horizontal_line(143, 177),
        horizontal_line(142, 179),
        horizontal_line(140, 181),
        horizontal_line(139, 183),
        horizontal_line(138, 184),
        horizontal_line(136, 186),
        horizontal_line(135, 188),
        horizontal_line(134, 190),
        horizontal_line(133, 191),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 160),
        horizontal_line(109, 131),
    };

    constexpr const shape frame_74_shape_group_3_shapes[] = {
        shape(frame_74_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_74_shape_group_3_shape_1_horizontal_lines, 78, 3),
        shape(frame_74_shape_group_3_shape_2_horizontal_lines, 100, 6),
        shape(frame_74_shape_group_3_shape_3_horizontal_lines, 101, 3),
        shape(frame_74_shape_group_3_shape_4_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_74_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_74_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(117, 128),
        horizontal_line(115, 129),
        horizontal_line(114, 130),
        horizontal_line(113, 132),
        horizontal_line(112, 133),
        horizontal_line(111, 135),
        horizontal_line(110, 136),
        horizontal_line(109, 138),
        horizontal_line(108, 139),
        horizontal_line(107, 140),
        horizontal_line(106, 142),
        horizontal_line(105, 143),
        horizontal_line(104, 145),
        horizontal_line(103, 146),
    };

    constexpr const horizontal_line frame_74_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(101, 135),
        horizontal_line(100, 122),
        horizontal_line(99, 109),
    };

    constexpr const horizontal_line frame_74_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(193, 193),
        horizontal_line(192, 195),
        horizontal_line(191, 197),
        horizontal_line(189, 198),
        horizontal_line(188, 200),
        horizontal_line(187, 202),
        horizontal_line(186, 204),
        horizontal_line(184, 205),
        horizontal_line(183, 207),
        horizontal_line(182, 209),
        horizontal_line(180, 211),
        horizontal_line(179, 212),
        horizontal_line(178, 214),
        horizontal_line(177, 216),
        horizontal_line(175, 218),
        horizontal_line(174, 189),
    };

    constexpr const shape frame_74_shape_group_4_shapes[] = {
        shape(frame_74_shape_group_4_shape_0_horizontal_lines, 79, 3),
        shape(frame_74_shape_group_4_shape_1_horizontal_lines, 80, 6),
        shape(frame_74_shape_group_4_shape_2_horizontal_lines, 101, 6),
        shape(frame_74_shape_group_4_shape_3_horizontal_lines, 126, 3),
    };

    constexpr const horizontal_line frame_74_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(122, 122),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_74_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(118, 127),
    };

    constexpr const shape frame_74_shape_group_5_shapes[] = {
        shape(frame_74_shape_group_5_shape_0_horizontal_lines, 79, 6),
        shape(frame_74_shape_group_5_shape_1_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_74_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_74_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 122),
        horizontal_line(121, 126),
        horizontal_line(119, 126),
    };

    constexpr const shape frame_74_shape_group_6_shapes[] = {
        shape(frame_74_shape_group_6_shape_0_horizontal_lines, 79, 6),
        shape(frame_74_shape_group_6_shape_1_horizontal_lines, 81, 5),
    };

    constexpr const horizontal_line frame_74_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const shape frame_74_shape_group_7_shapes[] = {
        shape(frame_74_shape_group_7_shape_0_horizontal_lines, 80, 5),
    };

    constexpr const horizontal_line frame_74_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_74_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_74_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(123, 124),
    };

    constexpr const shape frame_74_shape_group_8_shapes[] = {
        shape(frame_74_shape_group_8_shape_0_horizontal_lines, 80, 5),
        shape(frame_74_shape_group_8_shape_1_horizontal_lines, 81, 1),
        shape(frame_74_shape_group_8_shape_2_horizontal_lines, 82, 2),
    };

    constexpr const horizontal_line frame_74_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(123, 124),
    };

    constexpr const shape frame_74_shape_group_9_shapes[] = {
        shape(frame_74_shape_group_9_shape_0_horizontal_lines, 80, 1),
    };

    constexpr const shape_group frame_74_shape_groups[] = {
        shape_group(frame_74_shape_group_0_shapes),
        shape_group(frame_74_shape_group_1_shapes),
        shape_group(frame_74_shape_group_2_shapes),
        shape_group(frame_74_shape_group_3_shapes),
        shape_group(frame_74_shape_group_4_shapes),
        shape_group(frame_74_shape_group_5_shapes),
        shape_group(frame_74_shape_group_6_shapes),
        shape_group(frame_74_shape_group_7_shapes),
        shape_group(frame_74_shape_group_8_shapes),
        shape_group(frame_74_shape_group_9_shapes),
    };

    constexpr const frame frame_74_impl(frame_74_colors, frame_74_shape_groups);
} 

const frame& frame_74()
{
    return frame_74_impl;
}

namespace
{
    constexpr const bn::color frame_75_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(12, 0, 0),
        bn::color(28, 28, 28),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_75_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 124),
        horizontal_line(73, 116),
        horizontal_line(75, 107),
        horizontal_line(77, 99),
        horizontal_line(79, 90),
        horizontal_line(82, 82),
    };

    constexpr const horizontal_line frame_75_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(83, 86),
        horizontal_line(83, 89),
        horizontal_line(84, 91),
        horizontal_line(84, 94),
        horizontal_line(84, 97),
        horizontal_line(85, 99),
        horizontal_line(85, 102),
        horizontal_line(85, 105),
        horizontal_line(86, 107),
        horizontal_line(86, 110),
        horizontal_line(86, 113),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 115),
        horizontal_line(88, 115),
        horizontal_line(89, 115),
        horizontal_line(89, 115),
        horizontal_line(89, 116),
        horizontal_line(90, 114),
        horizontal_line(90, 113),
        horizontal_line(90, 112),
        horizontal_line(91, 111),
        horizontal_line(91, 110),
        horizontal_line(91, 109),
        horizontal_line(92, 108),
        horizontal_line(92, 107),
        horizontal_line(92, 106),
        horizontal_line(93, 104),
        horizontal_line(93, 103),
        horizontal_line(93, 102),
        horizontal_line(94, 101),
        horizontal_line(94, 100),
        horizontal_line(94, 99),
        horizontal_line(95, 98),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_75_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
    };

    constexpr const shape frame_75_shape_group_0_shapes[] = {
        shape(frame_75_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_75_shape_group_0_shape_1_horizontal_lines, 67, 3),
        shape(frame_75_shape_group_0_shape_2_horizontal_lines, 105, 4),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(103, 162),
        horizontal_line(105, 161),
        horizontal_line(107, 160),
        horizontal_line(109, 159),
        horizontal_line(111, 158),
        horizontal_line(113, 157),
        horizontal_line(115, 156),
        horizontal_line(117, 155),
        horizontal_line(119, 154),
        horizontal_line(121, 153),
        horizontal_line(123, 152),
        horizontal_line(125, 151),
        horizontal_line(127, 150),
        horizontal_line(129, 141),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(147, 149),
        horizontal_line(146, 149),
        horizontal_line(145, 149),
        horizontal_line(144, 149),
        horizontal_line(143, 149),
        horizontal_line(142, 149),
        horizontal_line(141, 149),
        horizontal_line(139, 149),
        horizontal_line(138, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 150),
        horizontal_line(133, 150),
        horizontal_line(132, 150),
        horizontal_line(131, 150),
        horizontal_line(130, 150),
        horizontal_line(115, 150),
        horizontal_line(120, 127),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(130, 150),
        horizontal_line(131, 150),
        horizontal_line(132, 151),
        horizontal_line(134, 151),
        horizontal_line(135, 151),
        horizontal_line(137, 151),
        horizontal_line(138, 151),
        horizontal_line(140, 151),
        horizontal_line(141, 151),
        horizontal_line(142, 151),
        horizontal_line(144, 151),
        horizontal_line(145, 151),
        horizontal_line(147, 151),
        horizontal_line(148, 151),
        horizontal_line(150, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(100, 152),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(138, 153),
        horizontal_line(124, 155),
        horizontal_line(95, 96),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_75_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(37, 75),
    };

    constexpr const shape frame_75_shape_group_1_shapes[] = {
        shape(frame_75_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_75_shape_group_1_shape_1_horizontal_lines, 61, 3),
        shape(frame_75_shape_group_1_shape_2_horizontal_lines, 102, 6),
        shape(frame_75_shape_group_1_shape_3_horizontal_lines, 103, 3),
        shape(frame_75_shape_group_1_shape_4_horizontal_lines, 143, 4),
        shape(frame_75_shape_group_1_shape_5_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 184),
        horizontal_line(126, 183),
        horizontal_line(128, 182),
        horizontal_line(130, 181),
        horizontal_line(132, 179),
        horizontal_line(134, 178),
        horizontal_line(136, 177),
        horizontal_line(138, 176),
        horizontal_line(140, 175),
        horizontal_line(142, 174),
        horizontal_line(144, 173),
        horizontal_line(146, 172),
        horizontal_line(148, 171),
        horizontal_line(150, 170),
        horizontal_line(152, 169),
        horizontal_line(154, 168),
        horizontal_line(156, 167),
        horizontal_line(158, 166),
        horizontal_line(160, 164),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(129, 150),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 121),
        horizontal_line(116, 119),
        horizontal_line(116, 117),
        horizontal_line(117, 130),
        horizontal_line(115, 131),
        horizontal_line(114, 133),
        horizontal_line(113, 134),
        horizontal_line(112, 136),
        horizontal_line(111, 137),
        horizontal_line(110, 139),
        horizontal_line(109, 140),
        horizontal_line(108, 141),
        horizontal_line(107, 143),
        horizontal_line(105, 144),
        horizontal_line(104, 146),
        horizontal_line(103, 147),
        horizontal_line(102, 149),
        horizontal_line(101, 150),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(99, 137),
        horizontal_line(98, 123),
    };

    constexpr const horizontal_line frame_75_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(109, 157),
        horizontal_line(158, 159),
        horizontal_line(156, 160),
        horizontal_line(155, 162),
        horizontal_line(154, 164),
        horizontal_line(153, 166),
        horizontal_line(151, 167),
        horizontal_line(150, 169),
        horizontal_line(149, 171),
        horizontal_line(148, 173),
        horizontal_line(146, 174),
        horizontal_line(145, 176),
        horizontal_line(144, 178),
        horizontal_line(143, 180),
        horizontal_line(141, 182),
        horizontal_line(140, 183),
        horizontal_line(139, 185),
        horizontal_line(138, 187),
        horizontal_line(136, 189),
        horizontal_line(135, 190),
        horizontal_line(134, 192),
        horizontal_line(133, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(101, 155),
        horizontal_line(100, 115),
    };

    constexpr const shape frame_75_shape_group_2_shapes[] = {
        shape(frame_75_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_75_shape_group_2_shape_1_horizontal_lines, 59, 3),
        shape(frame_75_shape_group_2_shape_2_horizontal_lines, 79, 3),
        shape(frame_75_shape_group_2_shape_3_horizontal_lines, 80, 6),
        shape(frame_75_shape_group_2_shape_4_horizontal_lines, 103, 6),
        shape(frame_75_shape_group_2_shape_5_horizontal_lines, 105, 3),
    };

    constexpr const horizontal_line frame_75_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 212),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_75_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(122, 122),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_75_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_75_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(97, 108),
    };

    constexpr const horizontal_line frame_75_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(193, 196),
        horizontal_line(192, 197),
        horizontal_line(191, 199),
        horizontal_line(190, 201),
        horizontal_line(188, 203),
        horizontal_line(187, 204),
        horizontal_line(186, 206),
        horizontal_line(185, 208),
        horizontal_line(183, 210),
        horizontal_line(182, 212),
        horizontal_line(181, 213),
        horizontal_line(180, 215),
        horizontal_line(178, 217),
        horizontal_line(177, 219),
        horizontal_line(176, 220),
        horizontal_line(175, 222),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
    };

    constexpr const shape frame_75_shape_group_3_shapes[] = {
        shape(frame_75_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_75_shape_group_3_shape_1_horizontal_lines, 79, 6),
        shape(frame_75_shape_group_3_shape_2_horizontal_lines, 85, 5),
        shape(frame_75_shape_group_3_shape_3_horizontal_lines, 105, 6),
        shape(frame_75_shape_group_3_shape_4_horizontal_lines, 127, 3),
    };

    constexpr const horizontal_line frame_75_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_75_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 123),
        horizontal_line(121, 122),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_75_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(173, 224),
        horizontal_line(172, 226),
        horizontal_line(171, 227),
        horizontal_line(170, 229),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 195),
    };

    constexpr const shape frame_75_shape_group_4_shapes[] = {
        shape(frame_75_shape_group_4_shape_0_horizontal_lines, 79, 6),
        shape(frame_75_shape_group_4_shape_1_horizontal_lines, 81, 5),
        shape(frame_75_shape_group_4_shape_2_horizontal_lines, 143, 3),
    };

    constexpr const horizontal_line frame_75_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_75_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(123, 127),
    };

    constexpr const horizontal_line frame_75_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(230, 231),
        horizontal_line(229, 233),
        horizontal_line(228, 235),
    };

    constexpr const shape frame_75_shape_group_5_shapes[] = {
        shape(frame_75_shape_group_5_shape_0_horizontal_lines, 80, 5),
        shape(frame_75_shape_group_5_shape_1_horizontal_lines, 83, 2),
        shape(frame_75_shape_group_5_shape_2_horizontal_lines, 147, 3),
    };

    constexpr const horizontal_line frame_75_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_75_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_75_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const shape frame_75_shape_group_6_shapes[] = {
        shape(frame_75_shape_group_6_shape_0_horizontal_lines, 80, 5),
        shape(frame_75_shape_group_6_shape_1_horizontal_lines, 81, 1),
        shape(frame_75_shape_group_6_shape_2_horizontal_lines, 82, 2),
    };

    constexpr const horizontal_line frame_75_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(123, 125),
    };

    constexpr const shape frame_75_shape_group_7_shapes[] = {
        shape(frame_75_shape_group_7_shape_0_horizontal_lines, 80, 1),
    };

    constexpr const shape_group frame_75_shape_groups[] = {
        shape_group(frame_75_shape_group_0_shapes),
        shape_group(frame_75_shape_group_1_shapes),
        shape_group(frame_75_shape_group_2_shapes),
        shape_group(frame_75_shape_group_3_shapes),
        shape_group(frame_75_shape_group_4_shapes),
        shape_group(frame_75_shape_group_5_shapes),
        shape_group(frame_75_shape_group_6_shapes),
        shape_group(frame_75_shape_group_7_shapes),
    };

    constexpr const frame frame_75_impl(frame_75_colors, frame_75_shape_groups);
} 

const frame& frame_75()
{
    return frame_75_impl;
}

namespace
{
    constexpr const bn::color frame_76_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_76_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 124),
        horizontal_line(67, 117),
        horizontal_line(69, 109),
        horizontal_line(71, 101),
        horizontal_line(73, 93),
        horizontal_line(75, 85),
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_76_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(79, 79),
        horizontal_line(79, 82),
        horizontal_line(79, 84),
        horizontal_line(80, 87),
        horizontal_line(80, 90),
        horizontal_line(80, 92),
        horizontal_line(81, 95),
        horizontal_line(81, 98),
        horizontal_line(81, 100),
        horizontal_line(82, 103),
        horizontal_line(82, 106),
        horizontal_line(82, 108),
        horizontal_line(83, 111),
        horizontal_line(83, 114),
        horizontal_line(83, 115),
        horizontal_line(84, 115),
        horizontal_line(84, 115),
        horizontal_line(84, 115),
        horizontal_line(85, 116),
        horizontal_line(85, 116),
        horizontal_line(85, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 117),
        horizontal_line(87, 115),
        horizontal_line(87, 114),
        horizontal_line(87, 113),
        horizontal_line(88, 112),
        horizontal_line(88, 111),
        horizontal_line(88, 110),
        horizontal_line(89, 109),
        horizontal_line(89, 108),
        horizontal_line(89, 107),
        horizontal_line(90, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 103),
        horizontal_line(91, 102),
        horizontal_line(91, 101),
        horizontal_line(91, 100),
        horizontal_line(92, 99),
        horizontal_line(92, 98),
        horizontal_line(92, 97),
        horizontal_line(93, 96),
        horizontal_line(93, 95),
        horizontal_line(93, 94),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_76_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
    };

    constexpr const shape frame_76_shape_group_0_shapes[] = {
        shape(frame_76_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_76_shape_group_0_shape_1_horizontal_lines, 65, 3),
        shape(frame_76_shape_group_0_shape_2_horizontal_lines, 135, 4),
    };

    constexpr const horizontal_line frame_76_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(103, 164),
        horizontal_line(105, 163),
        horizontal_line(107, 162),
        horizontal_line(109, 161),
        horizontal_line(111, 160),
        horizontal_line(113, 159),
        horizontal_line(115, 158),
        horizontal_line(117, 157),
        horizontal_line(119, 156),
        horizontal_line(121, 148),
        horizontal_line(123, 140),
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_76_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(151, 155),
        horizontal_line(149, 155),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(144, 155),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(140, 155),
        horizontal_line(139, 155),
        horizontal_line(138, 155),
        horizontal_line(136, 155),
        horizontal_line(135, 155),
        horizontal_line(134, 155),
        horizontal_line(133, 155),
        horizontal_line(132, 155),
        horizontal_line(131, 155),
        horizontal_line(123, 155),
        horizontal_line(116, 128),
        horizontal_line(121, 128),
        horizontal_line(130, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 156),
        horizontal_line(131, 156),
        horizontal_line(132, 156),
        horizontal_line(133, 156),
        horizontal_line(134, 156),
        horizontal_line(136, 156),
        horizontal_line(137, 156),
        horizontal_line(138, 156),
        horizontal_line(140, 156),
        horizontal_line(141, 156),
        horizontal_line(142, 156),
        horizontal_line(144, 156),
        horizontal_line(145, 156),
        horizontal_line(147, 156),
        horizontal_line(148, 156),
        horizontal_line(149, 156),
        horizontal_line(151, 156),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_76_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(99, 157),
    };

    constexpr const horizontal_line frame_76_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(145, 158),
        horizontal_line(132, 160),
        horizontal_line(119, 162),
        horizontal_line(106, 164),
        horizontal_line(156, 166),
        horizontal_line(154, 167),
        horizontal_line(153, 169),
        horizontal_line(152, 171),
        horizontal_line(151, 173),
        horizontal_line(149, 175),
        horizontal_line(148, 176),
        horizontal_line(147, 178),
        horizontal_line(146, 180),
        horizontal_line(144, 182),
        horizontal_line(143, 184),
        horizontal_line(142, 185),
        horizontal_line(141, 187),
        horizontal_line(139, 189),
        horizontal_line(138, 191),
        horizontal_line(137, 193),
        horizontal_line(136, 194),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
    };

    constexpr const shape frame_76_shape_group_1_shapes[] = {
        shape(frame_76_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_76_shape_group_1_shape_1_horizontal_lines, 58, 3),
        shape(frame_76_shape_group_1_shape_2_horizontal_lines, 105, 6),
        shape(frame_76_shape_group_1_shape_3_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 185),
        horizontal_line(128, 183),
        horizontal_line(130, 182),
        horizontal_line(132, 181),
        horizontal_line(134, 180),
        horizontal_line(136, 179),
        horizontal_line(138, 178),
        horizontal_line(140, 177),
        horizontal_line(142, 176),
        horizontal_line(144, 175),
        horizontal_line(146, 174),
        horizontal_line(148, 173),
        horizontal_line(150, 172),
        horizontal_line(152, 171),
        horizontal_line(154, 169),
        horizontal_line(156, 168),
        horizontal_line(158, 167),
        horizontal_line(160, 166),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(154, 155),
        horizontal_line(153, 155),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(130, 155),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(117, 122),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(118, 133),
        horizontal_line(116, 135),
        horizontal_line(115, 136),
        horizontal_line(114, 137),
        horizontal_line(113, 139),
        horizontal_line(112, 140),
        horizontal_line(111, 141),
        horizontal_line(110, 143),
        horizontal_line(109, 144),
        horizontal_line(108, 146),
        horizontal_line(107, 147),
        horizontal_line(106, 148),
        horizontal_line(104, 150),
        horizontal_line(103, 151),
        horizontal_line(102, 152),
        horizontal_line(101, 154),
        horizontal_line(100, 155),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(98, 144),
        horizontal_line(97, 131),
        horizontal_line(96, 118),
        horizontal_line(95, 105),
    };

    constexpr const horizontal_line frame_76_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 198),
        horizontal_line(194, 200),
        horizontal_line(193, 202),
        horizontal_line(191, 203),
        horizontal_line(190, 205),
        horizontal_line(189, 207),
        horizontal_line(188, 209),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
    };

    constexpr const shape frame_76_shape_group_2_shapes[] = {
        shape(frame_76_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_76_shape_group_2_shape_1_horizontal_lines, 55, 3),
        shape(frame_76_shape_group_2_shape_2_horizontal_lines, 78, 3),
        shape(frame_76_shape_group_2_shape_3_horizontal_lines, 80, 6),
        shape(frame_76_shape_group_2_shape_4_horizontal_lines, 106, 6),
        shape(frame_76_shape_group_2_shape_5_horizontal_lines, 127, 3),
    };

    constexpr const horizontal_line frame_76_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 214),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_76_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(116, 120),
        horizontal_line(123, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_76_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_76_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_76_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(186, 211),
        horizontal_line(185, 212),
        horizontal_line(184, 214),
        horizontal_line(183, 216),
        horizontal_line(181, 218),
        horizontal_line(180, 220),
        horizontal_line(179, 221),
        horizontal_line(178, 223),
        horizontal_line(176, 225),
        horizontal_line(175, 227),
        horizontal_line(174, 229),
        horizontal_line(173, 230),
        horizontal_line(171, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
    };

    constexpr const shape frame_76_shape_group_3_shapes[] = {
        shape(frame_76_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_76_shape_group_3_shape_1_horizontal_lines, 78, 6),
        shape(frame_76_shape_group_3_shape_2_horizontal_lines, 86, 5),
        shape(frame_76_shape_group_3_shape_3_horizontal_lines, 87, 6),
        shape(frame_76_shape_group_3_shape_4_horizontal_lines, 135, 3),
    };

    constexpr const horizontal_line frame_76_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_76_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 123),
        horizontal_line(123, 128),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_76_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_76_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(232, 234),
        horizontal_line(231, 236),
        horizontal_line(230, 238),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_76_shape_group_4_shapes[] = {
        shape(frame_76_shape_group_4_shape_0_horizontal_lines, 79, 6),
        shape(frame_76_shape_group_4_shape_1_horizontal_lines, 80, 5),
        shape(frame_76_shape_group_4_shape_2_horizontal_lines, 87, 5),
        shape(frame_76_shape_group_4_shape_3_horizontal_lines, 148, 3),
    };

    constexpr const horizontal_line frame_76_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_76_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(124, 127),
    };

    constexpr const shape frame_76_shape_group_5_shapes[] = {
        shape(frame_76_shape_group_5_shape_0_horizontal_lines, 81, 5),
        shape(frame_76_shape_group_5_shape_1_horizontal_lines, 83, 2),
    };

    constexpr const horizontal_line frame_76_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_76_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const shape frame_76_shape_group_6_shapes[] = {
        shape(frame_76_shape_group_6_shape_0_horizontal_lines, 81, 8),
        shape(frame_76_shape_group_6_shape_1_horizontal_lines, 82, 2),
    };

    constexpr const shape_group frame_76_shape_groups[] = {
        shape_group(frame_76_shape_group_0_shapes),
        shape_group(frame_76_shape_group_1_shapes),
        shape_group(frame_76_shape_group_2_shapes),
        shape_group(frame_76_shape_group_3_shapes),
        shape_group(frame_76_shape_group_4_shapes),
        shape_group(frame_76_shape_group_5_shapes),
        shape_group(frame_76_shape_group_6_shapes),
    };

    constexpr const frame frame_76_impl(frame_76_colors, frame_76_shape_groups);
} 

const frame& frame_76()
{
    return frame_76_impl;
}

namespace
{
    constexpr const bn::color frame_77_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_77_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 117),
        horizontal_line(61, 109),
        horizontal_line(63, 102),
        horizontal_line(65, 94),
        horizontal_line(67, 87),
        horizontal_line(69, 79),
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_77_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(73, 76),
        horizontal_line(74, 79),
        horizontal_line(74, 81),
        horizontal_line(74, 84),
        horizontal_line(75, 87),
        horizontal_line(75, 89),
        horizontal_line(75, 92),
        horizontal_line(76, 95),
        horizontal_line(76, 97),
        horizontal_line(76, 100),
        horizontal_line(77, 103),
        horizontal_line(77, 105),
        horizontal_line(77, 108),
        horizontal_line(78, 111),
        horizontal_line(78, 114),
        horizontal_line(78, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 115),
        horizontal_line(79, 116),
        horizontal_line(80, 116),
        horizontal_line(80, 116),
        horizontal_line(80, 116),
        horizontal_line(81, 117),
        horizontal_line(81, 117),
        horizontal_line(82, 117),
        horizontal_line(82, 117),
        horizontal_line(82, 118),
        horizontal_line(83, 116),
        horizontal_line(83, 115),
        horizontal_line(83, 114),
        horizontal_line(84, 113),
        horizontal_line(84, 112),
        horizontal_line(84, 111),
        horizontal_line(85, 109),
        horizontal_line(85, 108),
        horizontal_line(85, 107),
        horizontal_line(86, 106),
        horizontal_line(86, 105),
        horizontal_line(86, 104),
        horizontal_line(87, 102),
        horizontal_line(87, 101),
        horizontal_line(87, 100),
        horizontal_line(88, 99),
        horizontal_line(88, 98),
        horizontal_line(88, 97),
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
    };

    constexpr const shape frame_77_shape_group_0_shapes[] = {
        shape(frame_77_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_77_shape_group_0_shape_1_horizontal_lines, 63, 3),
    };

    constexpr const horizontal_line frame_77_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(105, 165),
        horizontal_line(107, 164),
        horizontal_line(109, 163),
        horizontal_line(111, 155),
        horizontal_line(113, 147),
        horizontal_line(115, 140),
        horizontal_line(117, 132),
        horizontal_line(119, 125),
    };

    constexpr const horizontal_line frame_77_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(156, 162),
        horizontal_line(155, 162),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(150, 162),
        horizontal_line(149, 162),
        horizontal_line(148, 162),
        horizontal_line(147, 162),
        horizontal_line(146, 162),
        horizontal_line(144, 162),
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(141, 162),
        horizontal_line(140, 162),
        horizontal_line(138, 162),
        horizontal_line(137, 162),
        horizontal_line(136, 162),
        horizontal_line(135, 162),
        horizontal_line(134, 162),
        horizontal_line(133, 162),
        horizontal_line(124, 162),
        horizontal_line(116, 130),
        horizontal_line(118, 129),
        horizontal_line(122, 122),
        horizontal_line(132, 163),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(134, 163),
        horizontal_line(135, 163),
        horizontal_line(136, 163),
        horizontal_line(138, 163),
        horizontal_line(139, 163),
        horizontal_line(141, 163),
        horizontal_line(142, 163),
        horizontal_line(144, 163),
        horizontal_line(145, 163),
        horizontal_line(147, 163),
        horizontal_line(148, 163),
        horizontal_line(150, 163),
        horizontal_line(151, 163),
        horizontal_line(153, 163),
        horizontal_line(154, 163),
        horizontal_line(156, 163),
        horizontal_line(157, 163),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(162, 163),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_77_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_77_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(150, 165),
        horizontal_line(135, 167),
        horizontal_line(120, 169),
        horizontal_line(105, 167),
        horizontal_line(153, 173),
        horizontal_line(151, 174),
        horizontal_line(150, 176),
        horizontal_line(149, 178),
        horizontal_line(148, 180),
        horizontal_line(147, 182),
        horizontal_line(145, 183),
        horizontal_line(144, 185),
        horizontal_line(143, 187),
        horizontal_line(142, 189),
        horizontal_line(141, 191),
        horizontal_line(139, 192),
        horizontal_line(138, 194),
        horizontal_line(137, 196),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
    };

    constexpr const shape frame_77_shape_group_1_shapes[] = {
        shape(frame_77_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_77_shape_group_1_shape_1_horizontal_lines, 56, 3),
        shape(frame_77_shape_group_1_shape_2_horizontal_lines, 109, 6),
        shape(frame_77_shape_group_1_shape_3_horizontal_lines, 110, 3),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 187),
        horizontal_line(128, 186),
        horizontal_line(130, 185),
        horizontal_line(132, 183),
        horizontal_line(134, 182),
        horizontal_line(136, 181),
        horizontal_line(138, 180),
        horizontal_line(140, 179),
        horizontal_line(142, 178),
        horizontal_line(144, 177),
        horizontal_line(146, 176),
        horizontal_line(148, 175),
        horizontal_line(150, 174),
        horizontal_line(152, 172),
        horizontal_line(154, 171),
        horizontal_line(156, 170),
        horizontal_line(158, 169),
        horizontal_line(161, 168),
        horizontal_line(163, 167),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(161, 162),
        horizontal_line(160, 162),
        horizontal_line(159, 162),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 162),
        horizontal_line(132, 162),
        horizontal_line(132, 163),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(116, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(119, 135),
        horizontal_line(117, 137),
        horizontal_line(116, 138),
        horizontal_line(115, 140),
        horizontal_line(114, 141),
        horizontal_line(113, 143),
        horizontal_line(112, 144),
        horizontal_line(110, 146),
        horizontal_line(109, 147),
        horizontal_line(108, 149),
        horizontal_line(107, 150),
        horizontal_line(106, 152),
        horizontal_line(105, 153),
        horizontal_line(103, 155),
        horizontal_line(102, 156),
        horizontal_line(101, 158),
        horizontal_line(100, 159),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(158, 164),
        horizontal_line(95, 149),
        horizontal_line(94, 134),
        horizontal_line(93, 119),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_77_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(197, 200),
        horizontal_line(195, 201),
        horizontal_line(194, 203),
        horizontal_line(193, 205),
        horizontal_line(192, 207),
        horizontal_line(191, 209),
        horizontal_line(189, 210),
        horizontal_line(188, 212),
        horizontal_line(187, 214),
        horizontal_line(186, 216),
        horizontal_line(185, 218),
        horizontal_line(183, 219),
        horizontal_line(182, 221),
        horizontal_line(181, 223),
        horizontal_line(180, 225),
        horizontal_line(179, 227),
        horizontal_line(177, 228),
        horizontal_line(176, 230),
        horizontal_line(175, 232),
        horizontal_line(174, 234),
        horizontal_line(173, 235),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
    };

    constexpr const shape frame_77_shape_group_2_shapes[] = {
        shape(frame_77_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_77_shape_group_2_shape_1_horizontal_lines, 51, 3),
        shape(frame_77_shape_group_2_shape_2_horizontal_lines, 78, 3),
        shape(frame_77_shape_group_2_shape_3_horizontal_lines, 81, 6),
        shape(frame_77_shape_group_2_shape_4_horizontal_lines, 113, 3),
        shape(frame_77_shape_group_2_shape_5_horizontal_lines, 128, 3),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 218),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(186, 190),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(116, 117),
        horizontal_line(116, 121),
        horizontal_line(124, 124),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 132),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(126, 134),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(92, 104),
    };

    constexpr const horizontal_line frame_77_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(235, 236),
        horizontal_line(233, 238),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_77_shape_group_3_shapes[] = {
        shape(frame_77_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_77_shape_group_3_shape_1_horizontal_lines, 78, 6),
        shape(frame_77_shape_group_3_shape_2_horizontal_lines, 87, 5),
        shape(frame_77_shape_group_3_shape_3_horizontal_lines, 89, 6),
        shape(frame_77_shape_group_3_shape_4_horizontal_lines, 107, 6),
        shape(frame_77_shape_group_3_shape_5_horizontal_lines, 113, 6),
        shape(frame_77_shape_group_3_shape_6_horizontal_lines, 149, 3),
    };

    constexpr const horizontal_line frame_77_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(123, 131),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_77_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(124, 130),
        horizontal_line(123, 131),
    };

    constexpr const horizontal_line frame_77_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(120, 125),
    };

    constexpr const shape frame_77_shape_group_4_shapes[] = {
        shape(frame_77_shape_group_4_shape_0_horizontal_lines, 79, 6),
        shape(frame_77_shape_group_4_shape_1_horizontal_lines, 82, 5),
        shape(frame_77_shape_group_4_shape_2_horizontal_lines, 89, 5),
    };

    constexpr const horizontal_line frame_77_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_77_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(125, 129),
    };

    constexpr const shape frame_77_shape_group_5_shapes[] = {
        shape(frame_77_shape_group_5_shape_0_horizontal_lines, 81, 5),
        shape(frame_77_shape_group_5_shape_1_horizontal_lines, 83, 2),
    };

    constexpr const horizontal_line frame_77_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_77_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const shape frame_77_shape_group_6_shapes[] = {
        shape(frame_77_shape_group_6_shape_0_horizontal_lines, 81, 5),
        shape(frame_77_shape_group_6_shape_1_horizontal_lines, 82, 7),
    };

    constexpr const horizontal_line frame_77_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const shape frame_77_shape_group_7_shapes[] = {
        shape(frame_77_shape_group_7_shape_0_horizontal_lines, 81, 8),
    };

    constexpr const shape_group frame_77_shape_groups[] = {
        shape_group(frame_77_shape_group_0_shapes),
        shape_group(frame_77_shape_group_1_shapes),
        shape_group(frame_77_shape_group_2_shapes),
        shape_group(frame_77_shape_group_3_shapes),
        shape_group(frame_77_shape_group_4_shapes),
        shape_group(frame_77_shape_group_5_shapes),
        shape_group(frame_77_shape_group_6_shapes),
        shape_group(frame_77_shape_group_7_shapes),
    };

    constexpr const frame frame_77_impl(frame_77_colors, frame_77_shape_groups);
} 

const frame& frame_77()
{
    return frame_77_impl;
}

namespace
{
    constexpr const bn::color frame_78_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_78_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 110),
        horizontal_line(53, 102),
        horizontal_line(55, 95),
        horizontal_line(57, 87),
        horizontal_line(59, 79),
        horizontal_line(61, 71),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_78_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(65, 68),
        horizontal_line(66, 70),
        horizontal_line(66, 73),
        horizontal_line(66, 75),
        horizontal_line(67, 78),
        horizontal_line(67, 80),
        horizontal_line(67, 83),
        horizontal_line(68, 85),
        horizontal_line(68, 88),
        horizontal_line(68, 91),
        horizontal_line(69, 93),
        horizontal_line(69, 96),
        horizontal_line(69, 98),
        horizontal_line(70, 101),
        horizontal_line(70, 103),
        horizontal_line(71, 106),
        horizontal_line(71, 108),
        horizontal_line(71, 111),
        horizontal_line(72, 114),
        horizontal_line(72, 115),
        horizontal_line(72, 115),
        horizontal_line(73, 115),
        horizontal_line(73, 116),
        horizontal_line(73, 116),
        horizontal_line(74, 116),
        horizontal_line(74, 116),
        horizontal_line(74, 117),
        horizontal_line(75, 117),
        horizontal_line(75, 117),
        horizontal_line(76, 117),
        horizontal_line(76, 118),
        horizontal_line(76, 116),
        horizontal_line(77, 115),
        horizontal_line(77, 114),
        horizontal_line(77, 113),
        horizontal_line(78, 112),
        horizontal_line(78, 111),
        horizontal_line(78, 110),
        horizontal_line(79, 109),
        horizontal_line(79, 108),
        horizontal_line(79, 107),
        horizontal_line(80, 106),
        horizontal_line(80, 105),
        horizontal_line(80, 104),
        horizontal_line(81, 103),
        horizontal_line(81, 102),
        horizontal_line(82, 100),
        horizontal_line(82, 99),
        horizontal_line(82, 98),
        horizontal_line(83, 97),
        horizontal_line(83, 96),
        horizontal_line(83, 95),
        horizontal_line(84, 94),
        horizontal_line(84, 93),
        horizontal_line(84, 92),
        horizontal_line(85, 91),
        horizontal_line(85, 90),
        horizontal_line(85, 89),
        horizontal_line(86, 88),
        horizontal_line(86, 87),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
    };

    constexpr const shape frame_78_shape_group_0_shapes[] = {
        shape(frame_78_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_78_shape_group_0_shape_1_horizontal_lines, 59, 3),
    };

    constexpr const horizontal_line frame_78_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(101, 157),
        horizontal_line(103, 149),
        horizontal_line(105, 141),
        horizontal_line(107, 134),
        horizontal_line(109, 126),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_78_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(164, 172),
        horizontal_line(163, 172),
        horizontal_line(162, 172),
        horizontal_line(160, 172),
        horizontal_line(159, 172),
        horizontal_line(158, 172),
        horizontal_line(157, 172),
        horizontal_line(156, 172),
        horizontal_line(155, 172),
        horizontal_line(153, 172),
        horizontal_line(152, 172),
        horizontal_line(151, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 172),
        horizontal_line(147, 172),
        horizontal_line(146, 172),
        horizontal_line(145, 172),
        horizontal_line(144, 172),
        horizontal_line(143, 172),
        horizontal_line(141, 172),
        horizontal_line(140, 172),
        horizontal_line(139, 172),
        horizontal_line(138, 172),
        horizontal_line(137, 172),
        horizontal_line(136, 172),
        horizontal_line(126, 133),
        horizontal_line(116, 132),
        horizontal_line(119, 131),
        horizontal_line(123, 123),
        horizontal_line(135, 172),
        horizontal_line(135, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(136, 172),
        horizontal_line(137, 172),
        horizontal_line(138, 172),
        horizontal_line(139, 172),
        horizontal_line(141, 172),
        horizontal_line(142, 172),
        horizontal_line(144, 172),
        horizontal_line(145, 172),
        horizontal_line(147, 172),
        horizontal_line(148, 172),
        horizontal_line(149, 172),
        horizontal_line(151, 172),
        horizontal_line(152, 172),
        horizontal_line(154, 172),
        horizontal_line(155, 172),
        horizontal_line(157, 172),
        horizontal_line(158, 172),
        horizontal_line(160, 172),
        horizontal_line(161, 172),
        horizontal_line(162, 172),
        horizontal_line(164, 172),
        horizontal_line(165, 172),
        horizontal_line(167, 172),
        horizontal_line(168, 172),
        horizontal_line(170, 172),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_78_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_78_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(158, 173),
        horizontal_line(144, 175),
        horizontal_line(129, 177),
        horizontal_line(115, 177),
        horizontal_line(100, 162),
        horizontal_line(149, 183),
        horizontal_line(147, 184),
        horizontal_line(146, 186),
        horizontal_line(145, 188),
        horizontal_line(144, 190),
        horizontal_line(142, 192),
        horizontal_line(141, 194),
        horizontal_line(140, 195),
        horizontal_line(139, 197),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
    };

    constexpr const shape frame_78_shape_group_1_shapes[] = {
        shape(frame_78_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_78_shape_group_1_shape_1_horizontal_lines, 52, 3),
        shape(frame_78_shape_group_1_shape_2_horizontal_lines, 114, 6),
        shape(frame_78_shape_group_1_shape_3_horizontal_lines, 115, 3),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 189),
        horizontal_line(130, 188),
        horizontal_line(132, 187),
        horizontal_line(134, 186),
        horizontal_line(136, 185),
        horizontal_line(138, 183),
        horizontal_line(140, 182),
        horizontal_line(142, 181),
        horizontal_line(144, 180),
        horizontal_line(146, 179),
        horizontal_line(148, 178),
        horizontal_line(150, 177),
        horizontal_line(152, 176),
        horizontal_line(154, 175),
        horizontal_line(157, 174),
        horizontal_line(159, 173),
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(171, 172),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(166, 172),
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(135, 172),
        horizontal_line(135, 172),
        horizontal_line(135, 172),
        horizontal_line(135, 172),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 124),
        horizontal_line(118, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 119),
        horizontal_line(119, 137),
        horizontal_line(117, 138),
        horizontal_line(116, 140),
        horizontal_line(115, 141),
        horizontal_line(114, 143),
        horizontal_line(113, 144),
        horizontal_line(112, 146),
        horizontal_line(111, 147),
        horizontal_line(110, 148),
        horizontal_line(109, 150),
        horizontal_line(108, 151),
        horizontal_line(107, 153),
        horizontal_line(106, 154),
        horizontal_line(105, 156),
        horizontal_line(104, 157),
        horizontal_line(103, 159),
        horizontal_line(101, 160),
        horizontal_line(100, 161),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(155, 172),
        horizontal_line(92, 154),
        horizontal_line(91, 143),
        horizontal_line(90, 128),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(177, 179),
        horizontal_line(162, 181),
    };

    constexpr const horizontal_line frame_78_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(199, 199),
        horizontal_line(198, 201),
        horizontal_line(197, 203),
        horizontal_line(196, 205),
        horizontal_line(195, 206),
        horizontal_line(193, 208),
        horizontal_line(192, 210),
        horizontal_line(191, 212),
        horizontal_line(190, 214),
        horizontal_line(188, 216),
        horizontal_line(187, 217),
        horizontal_line(186, 219),
        horizontal_line(185, 221),
        horizontal_line(183, 223),
        horizontal_line(182, 225),
        horizontal_line(181, 227),
        horizontal_line(180, 228),
        horizontal_line(179, 230),
        horizontal_line(177, 232),
        horizontal_line(176, 234),
        horizontal_line(175, 236),
        horizontal_line(174, 236),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
    };

    constexpr const shape frame_78_shape_group_2_shapes[] = {
        shape(frame_78_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_78_shape_group_2_shape_1_horizontal_lines, 46, 3),
        shape(frame_78_shape_group_2_shape_2_horizontal_lines, 77, 3),
        shape(frame_78_shape_group_2_shape_3_horizontal_lines, 81, 6),
        shape(frame_78_shape_group_2_shape_4_horizontal_lines, 118, 3),
        shape(frame_78_shape_group_2_shape_5_horizontal_lines, 129, 3),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 221),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 191),
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 134),
        horizontal_line(116, 118),
        horizontal_line(116, 122),
        horizontal_line(125, 129),
        horizontal_line(131, 134),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(120, 136),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 163),
        horizontal_line(160, 164),
        horizontal_line(159, 166),
        horizontal_line(158, 167),
        horizontal_line(157, 169),
        horizontal_line(156, 170),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(89, 114),
        horizontal_line(88, 99),
    };

    constexpr const horizontal_line frame_78_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(236, 238),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
    };

    constexpr const shape frame_78_shape_group_3_shapes[] = {
        shape(frame_78_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_78_shape_group_3_shape_1_horizontal_lines, 45, 3),
        shape(frame_78_shape_group_3_shape_2_horizontal_lines, 77, 6),
        shape(frame_78_shape_group_3_shape_3_horizontal_lines, 89, 5),
        shape(frame_78_shape_group_3_shape_4_horizontal_lines, 108, 6),
        shape(frame_78_shape_group_3_shape_5_horizontal_lines, 115, 6),
        shape(frame_78_shape_group_3_shape_6_horizontal_lines, 118, 6),
        shape(frame_78_shape_group_3_shape_7_horizontal_lines, 150, 3),
    };

    constexpr const horizontal_line frame_78_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(124, 134),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_78_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(125, 132),
        horizontal_line(123, 133),
        horizontal_line(122, 134),
    };

    constexpr const shape frame_78_shape_group_4_shapes[] = {
        shape(frame_78_shape_group_4_shape_0_horizontal_lines, 79, 6),
        shape(frame_78_shape_group_4_shape_1_horizontal_lines, 82, 5),
    };

    constexpr const horizontal_line frame_78_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_78_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(126, 131),
    };

    constexpr const shape frame_78_shape_group_5_shapes[] = {
        shape(frame_78_shape_group_5_shape_0_horizontal_lines, 81, 5),
        shape(frame_78_shape_group_5_shape_1_horizontal_lines, 84, 2),
    };

    constexpr const horizontal_line frame_78_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_78_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 129),
    };

    constexpr const shape frame_78_shape_group_6_shapes[] = {
        shape(frame_78_shape_group_6_shape_0_horizontal_lines, 81, 5),
        shape(frame_78_shape_group_6_shape_1_horizontal_lines, 82, 7),
    };

    constexpr const shape_group frame_78_shape_groups[] = {
        shape_group(frame_78_shape_group_0_shapes),
        shape_group(frame_78_shape_group_1_shapes),
        shape_group(frame_78_shape_group_2_shapes),
        shape_group(frame_78_shape_group_3_shapes),
        shape_group(frame_78_shape_group_4_shapes),
        shape_group(frame_78_shape_group_5_shapes),
        shape_group(frame_78_shape_group_6_shapes),
    };

    constexpr const frame frame_78_impl(frame_78_colors, frame_78_shape_groups);
} 

const frame& frame_78()
{
    return frame_78_impl;
}

namespace
{
    constexpr const bn::color frame_79_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_79_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 94),
        horizontal_line(41, 87),
        horizontal_line(43, 80),
        horizontal_line(45, 73),
        horizontal_line(47, 66),
        horizontal_line(49, 59),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_79_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 56),
        horizontal_line(54, 58),
        horizontal_line(54, 61),
        horizontal_line(55, 63),
        horizontal_line(55, 66),
        horizontal_line(55, 68),
        horizontal_line(56, 71),
        horizontal_line(56, 74),
        horizontal_line(57, 76),
        horizontal_line(57, 79),
        horizontal_line(57, 81),
        horizontal_line(58, 84),
        horizontal_line(58, 86),
        horizontal_line(59, 89),
        horizontal_line(59, 91),
        horizontal_line(59, 94),
        horizontal_line(60, 97),
        horizontal_line(60, 99),
        horizontal_line(61, 102),
        horizontal_line(61, 104),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 112),
        horizontal_line(63, 115),
        horizontal_line(63, 116),
        horizontal_line(64, 116),
        horizontal_line(64, 116),
        horizontal_line(64, 116),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(66, 117),
        horizontal_line(66, 117),
        horizontal_line(66, 117),
        horizontal_line(67, 118),
        horizontal_line(67, 118),
        horizontal_line(68, 118),
        horizontal_line(68, 118),
        horizontal_line(69, 119),
        horizontal_line(69, 117),
        horizontal_line(69, 116),
        horizontal_line(70, 115),
        horizontal_line(70, 114),
        horizontal_line(71, 113),
        horizontal_line(71, 112),
        horizontal_line(71, 111),
        horizontal_line(72, 110),
        horizontal_line(72, 109),
        horizontal_line(73, 108),
        horizontal_line(73, 107),
        horizontal_line(73, 105),
        horizontal_line(74, 104),
        horizontal_line(74, 103),
        horizontal_line(75, 102),
        horizontal_line(75, 101),
        horizontal_line(76, 100),
        horizontal_line(76, 99),
        horizontal_line(76, 98),
        horizontal_line(77, 97),
        horizontal_line(77, 96),
        horizontal_line(78, 95),
        horizontal_line(78, 93),
        horizontal_line(78, 92),
        horizontal_line(79, 91),
        horizontal_line(79, 90),
        horizontal_line(80, 89),
        horizontal_line(80, 88),
        horizontal_line(80, 87),
        horizontal_line(81, 86),
        horizontal_line(81, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 83),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
    };

    constexpr const shape frame_79_shape_group_0_shapes[] = {
        shape(frame_79_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_79_shape_group_0_shape_1_horizontal_lines, 54, 3),
    };

    constexpr const horizontal_line frame_79_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 145),
        horizontal_line(89, 137),
        horizontal_line(91, 130),
        horizontal_line(93, 123),
        horizontal_line(95, 116),
        horizontal_line(97, 109),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_79_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(173, 186),
        horizontal_line(171, 186),
        horizontal_line(170, 186),
        horizontal_line(169, 186),
        horizontal_line(168, 186),
        horizontal_line(167, 186),
        horizontal_line(165, 186),
        horizontal_line(164, 186),
        horizontal_line(163, 186),
        horizontal_line(162, 186),
        horizontal_line(160, 186),
        horizontal_line(159, 186),
        horizontal_line(158, 186),
        horizontal_line(157, 186),
        horizontal_line(156, 186),
        horizontal_line(154, 186),
        horizontal_line(153, 186),
        horizontal_line(152, 185),
        horizontal_line(151, 185),
        horizontal_line(149, 185),
        horizontal_line(148, 185),
        horizontal_line(147, 185),
        horizontal_line(146, 185),
        horizontal_line(145, 185),
        horizontal_line(143, 185),
        horizontal_line(142, 185),
        horizontal_line(141, 185),
        horizontal_line(140, 185),
        horizontal_line(139, 185),
        horizontal_line(131, 136),
        horizontal_line(124, 135),
        horizontal_line(117, 134),
        horizontal_line(118, 133),
        horizontal_line(121, 128),
        horizontal_line(124, 124),
        horizontal_line(138, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(139, 185),
        horizontal_line(140, 185),
        horizontal_line(141, 185),
        horizontal_line(142, 185),
        horizontal_line(144, 184),
        horizontal_line(145, 184),
        horizontal_line(147, 184),
        horizontal_line(148, 184),
        horizontal_line(150, 184),
        horizontal_line(151, 184),
        horizontal_line(153, 184),
        horizontal_line(154, 184),
        horizontal_line(155, 184),
        horizontal_line(157, 184),
        horizontal_line(158, 184),
        horizontal_line(160, 184),
        horizontal_line(161, 184),
        horizontal_line(163, 184),
        horizontal_line(164, 184),
        horizontal_line(166, 184),
        horizontal_line(167, 184),
        horizontal_line(169, 184),
        horizontal_line(170, 184),
        horizontal_line(171, 184),
        horizontal_line(173, 184),
        horizontal_line(174, 184),
        horizontal_line(176, 184),
        horizontal_line(177, 184),
        horizontal_line(179, 184),
        horizontal_line(180, 184),
        horizontal_line(182, 184),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_79_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(88, 150),
    };

    constexpr const horizontal_line frame_79_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(164, 185),
        horizontal_line(143, 187),
        horizontal_line(123, 185),
        horizontal_line(102, 164),
        horizontal_line(145, 193),
        horizontal_line(143, 195),
        horizontal_line(142, 197),
        horizontal_line(141, 198),
        horizontal_line(140, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
    };

    constexpr const shape frame_79_shape_group_1_shapes[] = {
        shape(frame_79_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_79_shape_group_1_shape_1_horizontal_lines, 47, 3),
        shape(frame_79_shape_group_1_shape_2_horizontal_lines, 121, 6),
        shape(frame_79_shape_group_1_shape_3_horizontal_lines, 122, 3),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 191),
        horizontal_line(132, 190),
        horizontal_line(134, 189),
        horizontal_line(136, 188),
        horizontal_line(138, 180),
        horizontal_line(140, 173),
        horizontal_line(142, 166),
        horizontal_line(144, 159),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(181, 186),
        horizontal_line(180, 186),
        horizontal_line(179, 186),
        horizontal_line(178, 186),
        horizontal_line(176, 186),
        horizontal_line(175, 186),
        horizontal_line(174, 186),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(138, 185),
        horizontal_line(138, 185),
        horizontal_line(138, 185),
        horizontal_line(138, 185),
        horizontal_line(138, 185),
        horizontal_line(138, 185),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(120, 141),
        horizontal_line(118, 143),
        horizontal_line(117, 144),
        horizontal_line(116, 146),
        horizontal_line(115, 147),
        horizontal_line(114, 149),
        horizontal_line(113, 150),
        horizontal_line(112, 152),
        horizontal_line(111, 153),
        horizontal_line(110, 154),
        horizontal_line(109, 156),
        horizontal_line(108, 157),
        horizontal_line(106, 159),
        horizontal_line(105, 160),
        horizontal_line(104, 162),
        horizontal_line(103, 163),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(150, 184),
        horizontal_line(87, 149),
        horizontal_line(86, 142),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(185, 189),
        horizontal_line(164, 191),
    };

    constexpr const horizontal_line frame_79_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(200, 202),
        horizontal_line(199, 204),
        horizontal_line(198, 206),
        horizontal_line(197, 208),
        horizontal_line(196, 210),
        horizontal_line(194, 211),
        horizontal_line(193, 213),
        horizontal_line(192, 215),
        horizontal_line(191, 217),
        horizontal_line(190, 219),
        horizontal_line(188, 221),
        horizontal_line(187, 223),
        horizontal_line(186, 224),
        horizontal_line(185, 226),
        horizontal_line(183, 228),
        horizontal_line(182, 230),
        horizontal_line(181, 232),
        horizontal_line(180, 234),
        horizontal_line(179, 236),
        horizontal_line(177, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_79_shape_group_2_shapes[] = {
        shape(frame_79_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_79_shape_group_2_shape_1_horizontal_lines, 40, 3),
        shape(frame_79_shape_group_2_shape_2_horizontal_lines, 76, 3),
        shape(frame_79_shape_group_2_shape_3_horizontal_lines, 82, 6),
        shape(frame_79_shape_group_2_shape_4_horizontal_lines, 124, 3),
        shape(frame_79_shape_group_2_shape_5_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 222),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(188, 193),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(185, 186),
        horizontal_line(184, 186),
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 137),
        horizontal_line(135, 137),
        horizontal_line(117, 117),
        horizontal_line(117, 120),
        horizontal_line(117, 123),
        horizontal_line(127, 127),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(122, 139),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(129, 140),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(164, 165),
        horizontal_line(163, 166),
        horizontal_line(162, 168),
        horizontal_line(161, 169),
        horizontal_line(160, 170),
        horizontal_line(159, 172),
        horizontal_line(158, 173),
        horizontal_line(156, 175),
        horizontal_line(155, 176),
        horizontal_line(154, 178),
        horizontal_line(153, 179),
        horizontal_line(152, 181),
        horizontal_line(151, 182),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(149, 163),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(85, 122),
        horizontal_line(84, 101),
    };

    constexpr const horizontal_line frame_79_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_79_shape_group_3_shapes[] = {
        shape(frame_79_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_79_shape_group_3_shape_1_horizontal_lines, 36, 3),
        shape(frame_79_shape_group_3_shape_2_horizontal_lines, 76, 6),
        shape(frame_79_shape_group_3_shape_3_horizontal_lines, 90, 5),
        shape(frame_79_shape_group_3_shape_4_horizontal_lines, 91, 6),
        shape(frame_79_shape_group_3_shape_5_horizontal_lines, 108, 6),
        shape(frame_79_shape_group_3_shape_6_horizontal_lines, 122, 6),
        shape(frame_79_shape_group_3_shape_7_horizontal_lines, 124, 6),
        shape(frame_79_shape_group_3_shape_8_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_79_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(129, 137),
        horizontal_line(125, 131),
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_79_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 136),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_79_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 128),
    };

    constexpr const shape frame_79_shape_group_4_shapes[] = {
        shape(frame_79_shape_group_4_shape_0_horizontal_lines, 79, 6),
        shape(frame_79_shape_group_4_shape_1_horizontal_lines, 83, 5),
        shape(frame_79_shape_group_4_shape_2_horizontal_lines, 91, 5),
    };

    constexpr const horizontal_line frame_79_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_79_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(132, 132),
    };

    constexpr const shape frame_79_shape_group_5_shapes[] = {
        shape(frame_79_shape_group_5_shape_0_horizontal_lines, 81, 6),
        shape(frame_79_shape_group_5_shape_1_horizontal_lines, 82, 5),
    };

    constexpr const horizontal_line frame_79_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_79_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_79_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(128, 131),
    };

    constexpr const shape frame_79_shape_group_6_shapes[] = {
        shape(frame_79_shape_group_6_shape_0_horizontal_lines, 81, 5),
        shape(frame_79_shape_group_6_shape_1_horizontal_lines, 83, 7),
        shape(frame_79_shape_group_6_shape_2_horizontal_lines, 85, 2),
    };

    constexpr const horizontal_line frame_79_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const shape frame_79_shape_group_7_shapes[] = {
        shape(frame_79_shape_group_7_shape_0_horizontal_lines, 82, 8),
    };

    constexpr const shape_group frame_79_shape_groups[] = {
        shape_group(frame_79_shape_group_0_shapes),
        shape_group(frame_79_shape_group_1_shapes),
        shape_group(frame_79_shape_group_2_shapes),
        shape_group(frame_79_shape_group_3_shapes),
        shape_group(frame_79_shape_group_4_shapes),
        shape_group(frame_79_shape_group_5_shapes),
        shape_group(frame_79_shape_group_6_shapes),
        shape_group(frame_79_shape_group_7_shapes),
    };

    constexpr const frame frame_79_impl(frame_79_colors, frame_79_shape_groups);
} 

const frame& frame_79()
{
    return frame_79_impl;
}

namespace
{
    constexpr const bn::color frame_80_colors[] = {
        bn::color(20, 8, 0),
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_80_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 74),
        horizontal_line(18, 68),
        horizontal_line(20, 62),
        horizontal_line(22, 56),
        horizontal_line(24, 49),
        horizontal_line(26, 43),
        horizontal_line(28, 37),
        horizontal_line(31, 31),
    };

    constexpr const horizontal_line frame_80_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(32, 32),
        horizontal_line(32, 34),
        horizontal_line(33, 37),
        horizontal_line(33, 39),
        horizontal_line(34, 42),
        horizontal_line(34, 44),
        horizontal_line(35, 47),
        horizontal_line(35, 49),
        horizontal_line(36, 52),
        horizontal_line(36, 54),
        horizontal_line(36, 57),
        horizontal_line(37, 59),
        horizontal_line(37, 62),
        horizontal_line(38, 64),
        horizontal_line(38, 67),
        horizontal_line(39, 69),
        horizontal_line(39, 72),
        horizontal_line(40, 74),
        horizontal_line(40, 76),
        horizontal_line(41, 79),
        horizontal_line(41, 81),
        horizontal_line(41, 84),
        horizontal_line(42, 86),
        horizontal_line(42, 89),
        horizontal_line(43, 91),
        horizontal_line(43, 94),
        horizontal_line(44, 96),
        horizontal_line(44, 99),
        horizontal_line(45, 101),
        horizontal_line(45, 104),
        horizontal_line(46, 106),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(55, 116),
        horizontal_line(56, 115),
        horizontal_line(56, 114),
        horizontal_line(57, 113),
        horizontal_line(57, 112),
        horizontal_line(58, 111),
        horizontal_line(58, 110),
        horizontal_line(59, 109),
        horizontal_line(59, 108),
        horizontal_line(60, 106),
        horizontal_line(60, 105),
        horizontal_line(60, 104),
        horizontal_line(61, 103),
        horizontal_line(61, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(63, 99),
        horizontal_line(63, 98),
        horizontal_line(64, 97),
        horizontal_line(64, 96),
        horizontal_line(64, 94),
        horizontal_line(65, 93),
        horizontal_line(65, 92),
        horizontal_line(66, 91),
        horizontal_line(66, 90),
        horizontal_line(67, 89),
        horizontal_line(67, 88),
        horizontal_line(68, 87),
        horizontal_line(68, 86),
        horizontal_line(69, 85),
        horizontal_line(69, 83),
        horizontal_line(69, 82),
        horizontal_line(70, 81),
        horizontal_line(70, 80),
        horizontal_line(71, 79),
        horizontal_line(71, 78),
        horizontal_line(72, 77),
        horizontal_line(72, 76),
        horizontal_line(73, 75),
        horizontal_line(73, 74),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
    };

    constexpr const shape frame_80_shape_group_0_shapes[] = {
        shape(frame_80_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_80_shape_group_0_shape_1_horizontal_lines, 44, 3),
    };

    constexpr const horizontal_line frame_80_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 118),
        horizontal_line(66, 112),
        horizontal_line(68, 106),
        horizontal_line(70, 100),
        horizontal_line(72, 93),
        horizontal_line(74, 87),
        horizontal_line(76, 81),
    };

    constexpr const horizontal_line frame_80_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(187, 209),
        horizontal_line(186, 209),
        horizontal_line(185, 209),
        horizontal_line(184, 209),
        horizontal_line(182, 209),
        horizontal_line(181, 209),
        horizontal_line(180, 209),
        horizontal_line(179, 209),
        horizontal_line(178, 209),
        horizontal_line(176, 209),
        horizontal_line(175, 208),
        horizontal_line(174, 208),
        horizontal_line(173, 208),
        horizontal_line(172, 208),
        horizontal_line(170, 208),
        horizontal_line(169, 208),
        horizontal_line(168, 208),
        horizontal_line(167, 208),
        horizontal_line(166, 208),
        horizontal_line(164, 208),
        horizontal_line(163, 208),
        horizontal_line(162, 207),
        horizontal_line(161, 207),
        horizontal_line(160, 207),
        horizontal_line(158, 207),
        horizontal_line(157, 207),
        horizontal_line(156, 207),
        horizontal_line(155, 207),
        horizontal_line(154, 207),
        horizontal_line(152, 207),
        horizontal_line(151, 207),
        horizontal_line(150, 206),
        horizontal_line(149, 206),
        horizontal_line(148, 206),
        horizontal_line(146, 206),
        horizontal_line(145, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(133, 139),
        horizontal_line(124, 138),
        horizontal_line(116, 137),
        horizontal_line(118, 136),
        horizontal_line(121, 135),
        horizontal_line(125, 125),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 204),
        horizontal_line(145, 204),
        horizontal_line(146, 204),
        horizontal_line(148, 204),
        horizontal_line(149, 204),
        horizontal_line(151, 204),
        horizontal_line(152, 204),
        horizontal_line(154, 203),
        horizontal_line(155, 203),
        horizontal_line(157, 203),
        horizontal_line(158, 203),
        horizontal_line(160, 203),
        horizontal_line(162, 203),
        horizontal_line(163, 203),
        horizontal_line(165, 203),
        horizontal_line(166, 203),
        horizontal_line(168, 203),
        horizontal_line(169, 202),
        horizontal_line(171, 202),
        horizontal_line(172, 202),
        horizontal_line(174, 202),
        horizontal_line(175, 202),
        horizontal_line(177, 202),
        horizontal_line(178, 202),
        horizontal_line(180, 202),
        horizontal_line(182, 202),
        horizontal_line(183, 202),
        horizontal_line(185, 202),
        horizontal_line(186, 201),
        horizontal_line(188, 201),
        horizontal_line(189, 201),
        horizontal_line(191, 201),
        horizontal_line(192, 201),
        horizontal_line(194, 201),
        horizontal_line(195, 201),
        horizontal_line(197, 201),
        horizontal_line(198, 201),
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_80_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(80, 142),
    };

    constexpr const horizontal_line frame_80_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(180, 202),
        horizontal_line(159, 204),
        horizontal_line(137, 199),
        horizontal_line(116, 178),
        horizontal_line(94, 156),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
    };

    constexpr const shape frame_80_shape_group_1_shapes[] = {
        shape(frame_80_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_80_shape_group_1_shape_1_horizontal_lines, 36, 3),
        shape(frame_80_shape_group_1_shape_2_horizontal_lines, 130, 6),
        shape(frame_80_shape_group_1_shape_3_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_80_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 181),
        horizontal_line(124, 175),
        horizontal_line(124, 169),
        horizontal_line(124, 162),
        horizontal_line(124, 156),
        horizontal_line(124, 150),
        horizontal_line(124, 143),
        horizontal_line(124, 137),
        horizontal_line(124, 131),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_80_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(196, 210),
        horizontal_line(194, 210),
        horizontal_line(193, 210),
        horizontal_line(192, 210),
        horizontal_line(191, 210),
        horizontal_line(190, 210),
        horizontal_line(188, 210),
    };

    constexpr const horizontal_line frame_80_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(206, 206),
        horizontal_line(205, 206),
        horizontal_line(204, 206),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(111, 115),
        horizontal_line(111, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_80_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 148),
        horizontal_line(116, 150),
        horizontal_line(115, 151),
        horizontal_line(114, 153),
        horizontal_line(113, 154),
        horizontal_line(112, 156),
        horizontal_line(111, 157),
        horizontal_line(110, 159),
        horizontal_line(109, 161),
        horizontal_line(107, 162),
        horizontal_line(106, 164),
        horizontal_line(105, 165),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(142, 201),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
    };

    constexpr const horizontal_line frame_80_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(199, 206),
        horizontal_line(178, 208),
        horizontal_line(156, 210),
        horizontal_line(198, 212),
        horizontal_line(196, 213),
        horizontal_line(195, 215),
        horizontal_line(194, 217),
        horizontal_line(193, 219),
        horizontal_line(191, 221),
        horizontal_line(190, 223),
        horizontal_line(189, 225),
        horizontal_line(188, 226),
        horizontal_line(187, 228),
        horizontal_line(185, 230),
        horizontal_line(184, 232),
        horizontal_line(183, 234),
        horizontal_line(182, 236),
        horizontal_line(180, 238),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const shape frame_80_shape_group_2_shapes[] = {
        shape(frame_80_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_80_shape_group_2_shape_1_horizontal_lines, 29, 3),
        shape(frame_80_shape_group_2_shape_2_horizontal_lines, 72, 3),
        shape(frame_80_shape_group_2_shape_3_horizontal_lines, 96, 6),
        shape(frame_80_shape_group_2_shape_4_horizontal_lines, 133, 3),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 228),
        horizontal_line(186, 226),
        horizontal_line(186, 225),
        horizontal_line(186, 224),
        horizontal_line(186, 223),
        horizontal_line(186, 222),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 206),
        horizontal_line(186, 200),
        horizontal_line(186, 194),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(208, 211),
        horizontal_line(206, 211),
        horizontal_line(205, 211),
        horizontal_line(204, 211),
        horizontal_line(203, 211),
        horizontal_line(202, 211),
        horizontal_line(200, 210),
        horizontal_line(199, 210),
        horizontal_line(198, 210),
        horizontal_line(197, 210),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(108, 111),
        horizontal_line(109, 114),
        horizontal_line(109, 115),
        horizontal_line(110, 115),
        horizontal_line(110, 115),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 204),
        horizontal_line(203, 204),
        horizontal_line(203, 204),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(119, 120),
        horizontal_line(120, 145),
        horizontal_line(118, 147),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(165, 168),
        horizontal_line(164, 170),
        horizontal_line(163, 171),
        horizontal_line(162, 173),
        horizontal_line(161, 174),
        horizontal_line(160, 176),
        horizontal_line(159, 177),
        horizontal_line(157, 179),
        horizontal_line(156, 181),
        horizontal_line(155, 182),
        horizontal_line(154, 184),
        horizontal_line(153, 185),
        horizontal_line(152, 187),
        horizontal_line(151, 188),
        horizontal_line(150, 190),
        horizontal_line(149, 191),
        horizontal_line(148, 193),
        horizontal_line(146, 194),
        horizontal_line(145, 196),
        horizontal_line(144, 197),
        horizontal_line(143, 199),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(141, 179),
        horizontal_line(140, 158),
        horizontal_line(77, 136),
        horizontal_line(76, 115),
        horizontal_line(75, 93),
    };

    constexpr const horizontal_line frame_80_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_80_shape_group_3_shapes[] = {
        shape(frame_80_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_80_shape_group_3_shape_1_horizontal_lines, 19, 3),
        shape(frame_80_shape_group_3_shape_2_horizontal_lines, 75, 3),
        shape(frame_80_shape_group_3_shape_3_horizontal_lines, 92, 6),
        shape(frame_80_shape_group_3_shape_4_horizontal_lines, 108, 6),
        shape(frame_80_shape_group_3_shape_5_horizontal_lines, 131, 6),
        shape(frame_80_shape_group_3_shape_6_horizontal_lines, 153, 3),
    };

    constexpr const horizontal_line frame_80_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(211, 211),
        horizontal_line(210, 211),
        horizontal_line(209, 211),
    };

    constexpr const horizontal_line frame_80_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_80_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(116, 133),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 126),
        horizontal_line(118, 125),
        horizontal_line(118, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(134, 142),
        horizontal_line(126, 144),
    };

    constexpr const shape frame_80_shape_group_4_shapes[] = {
        shape(frame_80_shape_group_4_shape_0_horizontal_lines, 16, 3),
        shape(frame_80_shape_group_4_shape_1_horizontal_lines, 75, 3),
        shape(frame_80_shape_group_4_shape_2_horizontal_lines, 81, 6),
    };

    constexpr const horizontal_line frame_80_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(139, 140),
        horizontal_line(138, 140),
        horizontal_line(116, 117),
        horizontal_line(116, 120),
        horizontal_line(116, 124),
        horizontal_line(135, 140),
        horizontal_line(128, 128),
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_80_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(123, 141),
        horizontal_line(122, 133),
        horizontal_line(121, 125),
    };

    constexpr const shape frame_80_shape_group_5_shapes[] = {
        shape(frame_80_shape_group_5_shape_0_horizontal_lines, 75, 6),
        shape(frame_80_shape_group_5_shape_1_horizontal_lines, 91, 5),
    };

    constexpr const horizontal_line frame_80_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_80_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_80_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_80_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 127),
        horizontal_line(127, 136),
        horizontal_line(126, 137),
        horizontal_line(125, 138),
        horizontal_line(124, 139),
    };

    constexpr const shape frame_80_shape_group_6_shapes[] = {
        shape(frame_80_shape_group_6_shape_0_horizontal_lines, 78, 6),
        shape(frame_80_shape_group_6_shape_1_horizontal_lines, 81, 5),
        shape(frame_80_shape_group_6_shape_2_horizontal_lines, 82, 6),
        shape(frame_80_shape_group_6_shape_3_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_80_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_80_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(128, 135),
    };

    constexpr const shape frame_80_shape_group_7_shapes[] = {
        shape(frame_80_shape_group_7_shape_0_horizontal_lines, 82, 5),
        shape(frame_80_shape_group_7_shape_1_horizontal_lines, 86, 2),
    };

    constexpr const horizontal_line frame_80_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_80_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_80_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const shape frame_80_shape_group_8_shapes[] = {
        shape(frame_80_shape_group_8_shape_0_horizontal_lines, 82, 5),
        shape(frame_80_shape_group_8_shape_1_horizontal_lines, 83, 7),
        shape(frame_80_shape_group_8_shape_2_horizontal_lines, 85, 2),
    };

    constexpr const horizontal_line frame_80_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(129, 132),
    };

    constexpr const shape frame_80_shape_group_9_shapes[] = {
        shape(frame_80_shape_group_9_shape_0_horizontal_lines, 82, 8),
    };

    constexpr const shape_group frame_80_shape_groups[] = {
        shape_group(frame_80_shape_group_0_shapes),
        shape_group(frame_80_shape_group_1_shapes),
        shape_group(frame_80_shape_group_2_shapes),
        shape_group(frame_80_shape_group_3_shapes),
        shape_group(frame_80_shape_group_4_shapes),
        shape_group(frame_80_shape_group_5_shapes),
        shape_group(frame_80_shape_group_6_shapes),
        shape_group(frame_80_shape_group_7_shapes),
        shape_group(frame_80_shape_group_8_shapes),
        shape_group(frame_80_shape_group_9_shapes),
    };

    constexpr const frame frame_80_impl(frame_80_colors, frame_80_shape_groups);
} 

const frame& frame_80()
{
    return frame_80_impl;
}

namespace
{
    constexpr const bn::color frame_81_colors[] = {
        bn::color(24, 12, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_81_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 53),
        horizontal_line(0, 48),
        horizontal_line(0, 43),
        horizontal_line(0, 38),
        horizontal_line(0, 33),
        horizontal_line(0, 28),
        horizontal_line(0, 24),
        horizontal_line(0, 19),
        horizontal_line(0, 14),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_81_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
    };

    constexpr const shape frame_81_shape_group_0_shapes[] = {
        shape(frame_81_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_81_shape_group_0_shape_1_horizontal_lines, 23, 1),
    };

    constexpr const horizontal_line frame_81_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 106),
        horizontal_line(62, 101),
        horizontal_line(62, 96),
        horizontal_line(62, 91),
        horizontal_line(62, 86),
        horizontal_line(62, 81),
        horizontal_line(62, 77),
        horizontal_line(62, 72),
        horizontal_line(62, 67),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_81_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(58, 120),
        horizontal_line(54, 116),
        horizontal_line(49, 111),
        horizontal_line(44, 106),
        horizontal_line(39, 101),
        horizontal_line(34, 96),
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(20, 82),
        horizontal_line(15, 77),
        horizontal_line(10, 72),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(90, 151),
        horizontal_line(92, 149),
        horizontal_line(95, 148),
        horizontal_line(97, 147),
        horizontal_line(99, 146),
        horizontal_line(102, 145),
        horizontal_line(104, 144),
        horizontal_line(106, 143),
        horizontal_line(109, 133),
        horizontal_line(111, 123),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_81_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(115, 119),
        horizontal_line(115, 122),
        horizontal_line(115, 125),
        horizontal_line(116, 134),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 127),
        horizontal_line(117, 125),
        horizontal_line(117, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_81_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_81_shape_group_1_shapes[] = {
        shape(frame_81_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_81_shape_group_1_shape_1_horizontal_lines, 10, 1),
        shape(frame_81_shape_group_1_shape_2_horizontal_lines, 76, 6),
        shape(frame_81_shape_group_1_shape_3_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_81_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(107, 169),
        horizontal_line(102, 164),
        horizontal_line(97, 159),
        horizontal_line(92, 154),
        horizontal_line(87, 149),
        horizontal_line(82, 144),
        horizontal_line(78, 140),
        horizontal_line(73, 135),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(120, 182),
        horizontal_line(116, 178),
        horizontal_line(111, 173),
        horizontal_line(106, 168),
        horizontal_line(101, 163),
        horizontal_line(96, 158),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(82, 144),
        horizontal_line(77, 139),
        horizontal_line(72, 134),
        horizontal_line(67, 129),
        horizontal_line(63, 125),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(131, 191),
        horizontal_line(133, 190),
        horizontal_line(135, 189),
        horizontal_line(138, 187),
        horizontal_line(140, 186),
        horizontal_line(143, 185),
        horizontal_line(145, 184),
        horizontal_line(147, 183),
        horizontal_line(150, 182),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(111, 170),
        horizontal_line(114, 169),
        horizontal_line(116, 168),
        horizontal_line(119, 167),
        horizontal_line(121, 166),
        horizontal_line(123, 164),
        horizontal_line(126, 163),
        horizontal_line(128, 162),
        horizontal_line(130, 161),
        horizontal_line(133, 160),
        horizontal_line(135, 159),
        horizontal_line(138, 157),
        horizontal_line(140, 156),
        horizontal_line(142, 155),
        horizontal_line(145, 154),
        horizontal_line(147, 153),
        horizontal_line(149, 152),
    };

    constexpr const horizontal_line frame_81_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(141, 142),
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(138, 142),
        horizontal_line(127, 135),
        horizontal_line(137, 143),
        horizontal_line(128, 128),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(138, 144),
        horizontal_line(139, 144),
        horizontal_line(140, 144),
        horizontal_line(142, 144),
        horizontal_line(143, 144),
        horizontal_line(144, 144),
        horizontal_line(118, 120),
        horizontal_line(118, 119),
        horizontal_line(119, 148),
        horizontal_line(117, 149),
        horizontal_line(116, 151),
        horizontal_line(115, 152),
        horizontal_line(114, 154),
        horizontal_line(113, 156),
        horizontal_line(112, 157),
        horizontal_line(111, 159),
        horizontal_line(110, 160),
        horizontal_line(109, 162),
        horizontal_line(108, 164),
        horizontal_line(107, 165),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 91),
    };

    constexpr const shape frame_81_shape_group_2_shapes[] = {
        shape(frame_81_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_81_shape_group_2_shape_1_horizontal_lines, 74, 6),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(169, 226),
        horizontal_line(164, 224),
        horizontal_line(159, 221),
        horizontal_line(154, 216),
        horizontal_line(149, 211),
        horizontal_line(144, 206),
        horizontal_line(140, 202),
        horizontal_line(135, 197),
        horizontal_line(130, 192),
        horizontal_line(125, 187),
        horizontal_line(182, 214),
        horizontal_line(178, 213),
        horizontal_line(173, 212),
        horizontal_line(168, 211),
        horizontal_line(163, 209),
        horizontal_line(158, 208),
        horizontal_line(153, 207),
        horizontal_line(149, 206),
        horizontal_line(144, 205),
        horizontal_line(139, 201),
        horizontal_line(134, 196),
        horizontal_line(129, 191),
        horizontal_line(125, 187),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(186, 196),
        horizontal_line(186, 194),
        horizontal_line(188, 193),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(152, 181),
        horizontal_line(154, 179),
        horizontal_line(157, 178),
        horizontal_line(159, 177),
        horizontal_line(162, 176),
        horizontal_line(164, 175),
        horizontal_line(166, 174),
        horizontal_line(169, 172),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(137, 143),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(137, 143),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(128, 138),
        horizontal_line(126, 139),
        horizontal_line(125, 141),
        horizontal_line(124, 142),
        horizontal_line(122, 143),
        horizontal_line(121, 145),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(132, 146),
    };

    constexpr const horizontal_line frame_81_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(166, 168),
        horizontal_line(165, 170),
        horizontal_line(164, 172),
        horizontal_line(163, 173),
        horizontal_line(162, 175),
        horizontal_line(161, 176),
        horizontal_line(160, 178),
        horizontal_line(159, 180),
        horizontal_line(158, 181),
        horizontal_line(157, 183),
        horizontal_line(155, 184),
        horizontal_line(154, 186),
        horizontal_line(153, 188),
        horizontal_line(152, 189),
        horizontal_line(151, 191),
        horizontal_line(150, 192),
        horizontal_line(149, 194),
        horizontal_line(148, 196),
        horizontal_line(147, 197),
        horizontal_line(146, 199),
        horizontal_line(145, 200),
        horizontal_line(143, 202),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 159),
        horizontal_line(123, 125),
    };

    constexpr const shape frame_81_shape_group_3_shapes[] = {
        shape(frame_81_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_81_shape_group_3_shape_1_horizontal_lines, 39, 1),
        shape(frame_81_shape_group_3_shape_2_horizontal_lines, 79, 6),
        shape(frame_81_shape_group_3_shape_3_horizontal_lines, 80, 5),
        shape(frame_81_shape_group_3_shape_4_horizontal_lines, 81, 6),
        shape(frame_81_shape_group_3_shape_5_horizontal_lines, 82, 5),
        shape(frame_81_shape_group_3_shape_6_horizontal_lines, 93, 6),
        shape(frame_81_shape_group_3_shape_7_horizontal_lines, 106, 6),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(221, 223),
        horizontal_line(216, 222),
        horizontal_line(211, 221),
        horizontal_line(206, 220),
        horizontal_line(202, 219),
        horizontal_line(197, 217),
        horizontal_line(192, 216),
        horizontal_line(187, 215),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(201, 204),
        horizontal_line(196, 202),
        horizontal_line(191, 201),
        horizontal_line(187, 200),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_81_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(203, 205),
        horizontal_line(202, 207),
        horizontal_line(201, 208),
        horizontal_line(200, 210),
        horizontal_line(199, 212),
        horizontal_line(198, 213),
        horizontal_line(197, 215),
        horizontal_line(196, 216),
        horizontal_line(195, 218),
        horizontal_line(193, 220),
        horizontal_line(192, 221),
        horizontal_line(191, 223),
        horizontal_line(190, 224),
        horizontal_line(189, 226),
        horizontal_line(188, 228),
        horizontal_line(187, 193),
    };

    constexpr const shape frame_81_shape_group_4_shapes[] = {
        shape(frame_81_shape_group_4_shape_0_horizontal_lines, 2, 1),
        shape(frame_81_shape_group_4_shape_1_horizontal_lines, 19, 1),
        shape(frame_81_shape_group_4_shape_2_horizontal_lines, 79, 5),
        shape(frame_81_shape_group_4_shape_3_horizontal_lines, 81, 5),
        shape(frame_81_shape_group_4_shape_4_horizontal_lines, 86, 2),
        shape(frame_81_shape_group_4_shape_5_horizontal_lines, 93, 5),
        shape(frame_81_shape_group_4_shape_6_horizontal_lines, 129, 6),
    };

    constexpr const horizontal_line frame_81_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_81_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_81_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_81_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(130, 135),
    };

    constexpr const shape frame_81_shape_group_5_shapes[] = {
        shape(frame_81_shape_group_5_shape_0_horizontal_lines, 81, 5),
        shape(frame_81_shape_group_5_shape_1_horizontal_lines, 82, 8),
        shape(frame_81_shape_group_5_shape_2_horizontal_lines, 83, 7),
        shape(frame_81_shape_group_5_shape_3_horizontal_lines, 85, 2),
    };

    constexpr const horizontal_line frame_81_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const shape frame_81_shape_group_6_shapes[] = {
        shape(frame_81_shape_group_6_shape_0_horizontal_lines, 81, 8),
    };

    constexpr const shape_group frame_81_shape_groups[] = {
        shape_group(frame_81_shape_group_0_shapes),
        shape_group(frame_81_shape_group_1_shapes),
        shape_group(frame_81_shape_group_2_shapes),
        shape_group(frame_81_shape_group_3_shapes),
        shape_group(frame_81_shape_group_4_shapes),
        shape_group(frame_81_shape_group_5_shapes),
        shape_group(frame_81_shape_group_6_shapes),
    };

    constexpr const frame frame_81_impl(frame_81_colors, frame_81_shape_groups);
} 

const frame& frame_81()
{
    return frame_81_impl;
}

namespace
{
    constexpr const bn::color frame_82_colors[] = {
        bn::color(24, 12, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_82_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(92, 153),
        horizontal_line(94, 152),
        horizontal_line(96, 151),
        horizontal_line(98, 150),
        horizontal_line(101, 149),
        horizontal_line(103, 141),
        horizontal_line(105, 134),
        horizontal_line(107, 126),
        horizontal_line(109, 119),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_82_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(113, 117),
        horizontal_line(113, 120),
        horizontal_line(113, 123),
        horizontal_line(114, 126),
        horizontal_line(114, 138),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 128),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
        horizontal_line(116, 123),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 119),
        horizontal_line(117, 118),
        horizontal_line(118, 154),
        horizontal_line(116, 156),
        horizontal_line(115, 157),
        horizontal_line(114, 159),
        horizontal_line(113, 161),
        horizontal_line(112, 162),
        horizontal_line(111, 164),
        horizontal_line(110, 166),
        horizontal_line(108, 167),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
    };

    constexpr const horizontal_line frame_82_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const shape frame_82_shape_group_0_shapes[] = {
        shape(frame_82_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_82_shape_group_0_shape_1_horizontal_lines, 74, 6),
        shape(frame_82_shape_group_0_shape_2_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_82_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 173),
        horizontal_line(114, 172),
        horizontal_line(116, 171),
        horizontal_line(119, 170),
        horizontal_line(121, 169),
        horizontal_line(123, 168),
        horizontal_line(125, 167),
        horizontal_line(127, 166),
        horizontal_line(130, 165),
        horizontal_line(132, 164),
        horizontal_line(134, 162),
        horizontal_line(136, 161),
        horizontal_line(138, 160),
        horizontal_line(141, 159),
        horizontal_line(143, 158),
        horizontal_line(145, 157),
        horizontal_line(147, 156),
        horizontal_line(149, 155),
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_82_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(147, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 148),
        horizontal_line(144, 148),
        horizontal_line(143, 148),
        horizontal_line(142, 148),
        horizontal_line(141, 149),
        horizontal_line(128, 149),
        horizontal_line(140, 149),
        horizontal_line(129, 137),
        horizontal_line(130, 130),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(141, 149),
        horizontal_line(142, 150),
        horizontal_line(143, 150),
        horizontal_line(144, 150),
        horizontal_line(145, 150),
        horizontal_line(147, 150),
        horizontal_line(148, 150),
        horizontal_line(149, 150),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_82_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(120, 151),
    };

    constexpr const horizontal_line frame_82_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_82_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(168, 171),
        horizontal_line(167, 172),
        horizontal_line(166, 174),
        horizontal_line(165, 176),
        horizontal_line(164, 177),
        horizontal_line(162, 179),
        horizontal_line(161, 181),
        horizontal_line(160, 182),
        horizontal_line(159, 184),
        horizontal_line(158, 186),
        horizontal_line(157, 187),
        horizontal_line(156, 189),
        horizontal_line(154, 191),
        horizontal_line(153, 192),
        horizontal_line(152, 194),
        horizontal_line(151, 196),
        horizontal_line(150, 197),
        horizontal_line(149, 199),
        horizontal_line(148, 201),
        horizontal_line(146, 202),
        horizontal_line(145, 204),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
    };

    constexpr const shape frame_82_shape_group_1_shapes[] = {
        shape(frame_82_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_82_shape_group_1_shape_1_horizontal_lines, 70, 6),
        shape(frame_82_shape_group_1_shape_2_horizontal_lines, 94, 5),
        shape(frame_82_shape_group_1_shape_3_horizontal_lines, 95, 6),
        shape(frame_82_shape_group_1_shape_4_horizontal_lines, 105, 6),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(134, 193),
        horizontal_line(137, 191),
        horizontal_line(139, 190),
        horizontal_line(141, 189),
        horizontal_line(143, 188),
        horizontal_line(145, 187),
        horizontal_line(148, 186),
        horizontal_line(150, 185),
        horizontal_line(152, 184),
        horizontal_line(154, 183),
        horizontal_line(156, 182),
        horizontal_line(159, 181),
        horizontal_line(161, 180),
        horizontal_line(163, 179),
        horizontal_line(165, 177),
        horizontal_line(167, 176),
        horizontal_line(170, 175),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 129),
        horizontal_line(129, 143),
        horizontal_line(127, 144),
        horizontal_line(126, 146),
        horizontal_line(124, 147),
        horizontal_line(123, 148),
        horizontal_line(122, 149),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(119, 133),
    };

    constexpr const horizontal_line frame_82_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(206, 206),
        horizontal_line(205, 207),
        horizontal_line(204, 209),
        horizontal_line(203, 211),
        horizontal_line(202, 212),
        horizontal_line(200, 214),
        horizontal_line(199, 216),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
    };

    constexpr const shape frame_82_shape_group_2_shapes[] = {
        shape(frame_82_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_82_shape_group_2_shape_1_horizontal_lines, 79, 5),
        shape(frame_82_shape_group_2_shape_2_horizontal_lines, 80, 6),
        shape(frame_82_shape_group_2_shape_3_horizontal_lines, 82, 5),
        shape(frame_82_shape_group_2_shape_4_horizontal_lines, 95, 5),
        shape(frame_82_shape_group_2_shape_5_horizontal_lines, 127, 6),
    };

    constexpr const horizontal_line frame_82_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 222),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(186, 202),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(188, 197),
        horizontal_line(190, 196),
        horizontal_line(192, 195),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_82_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 129),
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_82_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_82_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_82_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(198, 217),
        horizontal_line(197, 219),
        horizontal_line(196, 221),
        horizontal_line(195, 222),
        horizontal_line(194, 224),
        horizontal_line(192, 226),
        horizontal_line(191, 227),
        horizontal_line(190, 229),
        horizontal_line(189, 231),
        horizontal_line(188, 232),
        horizontal_line(187, 234),
        horizontal_line(186, 236),
        horizontal_line(184, 238),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const shape frame_82_shape_group_3_shapes[] = {
        shape(frame_82_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_82_shape_group_3_shape_1_horizontal_lines, 80, 5),
        shape(frame_82_shape_group_3_shape_2_horizontal_lines, 86, 2),
        shape(frame_82_shape_group_3_shape_3_horizontal_lines, 87, 5),
        shape(frame_82_shape_group_3_shape_4_horizontal_lines, 134, 6),
    };

    constexpr const horizontal_line frame_82_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_82_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_82_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_82_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_82_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_82_shape_group_4_shapes[] = {
        shape(frame_82_shape_group_4_shape_0_horizontal_lines, 80, 5),
        shape(frame_82_shape_group_4_shape_1_horizontal_lines, 82, 8),
        shape(frame_82_shape_group_4_shape_2_horizontal_lines, 83, 7),
        shape(frame_82_shape_group_4_shape_3_horizontal_lines, 87, 2),
        shape(frame_82_shape_group_4_shape_4_horizontal_lines, 153, 6),
    };

    constexpr const horizontal_line frame_82_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(131, 136),
    };

    constexpr const shape frame_82_shape_group_5_shapes[] = {
        shape(frame_82_shape_group_5_shape_0_horizontal_lines, 81, 8),
    };

    constexpr const shape_group frame_82_shape_groups[] = {
        shape_group(frame_82_shape_group_0_shapes),
        shape_group(frame_82_shape_group_1_shapes),
        shape_group(frame_82_shape_group_2_shapes),
        shape_group(frame_82_shape_group_3_shapes),
        shape_group(frame_82_shape_group_4_shapes),
        shape_group(frame_82_shape_group_5_shapes),
    };

    constexpr const frame frame_82_impl(frame_82_colors, frame_82_shape_groups);
} 

const frame& frame_82()
{
    return frame_82_impl;
}

namespace
{
    constexpr const bn::color frame_83_colors[] = {
        bn::color(24, 12, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_83_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 150),
        horizontal_line(97, 143),
        horizontal_line(99, 136),
        horizontal_line(101, 129),
        horizontal_line(103, 122),
        horizontal_line(105, 115),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_83_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(109, 111),
        horizontal_line(109, 113),
        horizontal_line(109, 115),
        horizontal_line(110, 118),
        horizontal_line(110, 120),
        horizontal_line(110, 122),
        horizontal_line(110, 124),
        horizontal_line(110, 127),
        horizontal_line(111, 142),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(113, 129),
        horizontal_line(113, 129),
        horizontal_line(113, 130),
        horizontal_line(113, 128),
        horizontal_line(114, 127),
        horizontal_line(114, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 121),
        horizontal_line(115, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(116, 167),
        horizontal_line(114, 169),
        horizontal_line(113, 171),
        horizontal_line(112, 172),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
    };

    constexpr const shape frame_83_shape_group_0_shapes[] = {
        shape(frame_83_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_83_shape_group_0_shape_1_horizontal_lines, 70, 6),
    };

    constexpr const horizontal_line frame_83_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(117, 176),
        horizontal_line(119, 175),
        horizontal_line(121, 174),
        horizontal_line(123, 173),
        horizontal_line(125, 172),
        horizontal_line(127, 171),
        horizontal_line(129, 170),
        horizontal_line(131, 169),
        horizontal_line(134, 168),
        horizontal_line(136, 167),
        horizontal_line(138, 166),
        horizontal_line(140, 165),
        horizontal_line(142, 164),
        horizontal_line(144, 163),
        horizontal_line(146, 162),
        horizontal_line(148, 161),
        horizontal_line(150, 160),
        horizontal_line(153, 159),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_83_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(156, 157),
        horizontal_line(155, 157),
        horizontal_line(154, 157),
        horizontal_line(153, 157),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(150, 158),
        horizontal_line(149, 158),
        horizontal_line(148, 158),
        horizontal_line(147, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(137, 158),
        horizontal_line(129, 143),
        horizontal_line(145, 158),
        horizontal_line(131, 142),
        horizontal_line(133, 133),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(147, 159),
        horizontal_line(148, 160),
        horizontal_line(150, 160),
        horizontal_line(152, 160),
        horizontal_line(153, 160),
        horizontal_line(155, 160),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_83_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(121, 161),
    };

    constexpr const horizontal_line frame_83_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(138, 164),
        horizontal_line(126, 166),
    };

    constexpr const horizontal_line frame_83_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(171, 176),
        horizontal_line(170, 177),
        horizontal_line(169, 179),
        horizontal_line(168, 181),
        horizontal_line(167, 182),
        horizontal_line(165, 184),
        horizontal_line(164, 186),
        horizontal_line(163, 187),
        horizontal_line(162, 189),
        horizontal_line(161, 191),
        horizontal_line(159, 192),
        horizontal_line(158, 194),
        horizontal_line(157, 196),
        horizontal_line(156, 197),
        horizontal_line(155, 199),
        horizontal_line(153, 201),
        horizontal_line(152, 202),
        horizontal_line(151, 204),
        horizontal_line(150, 206),
        horizontal_line(149, 207),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
    };

    constexpr const shape frame_83_shape_group_1_shapes[] = {
        shape(frame_83_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_83_shape_group_1_shape_1_horizontal_lines, 64, 6),
        shape(frame_83_shape_group_1_shape_2_horizontal_lines, 97, 5),
        shape(frame_83_shape_group_1_shape_3_horizontal_lines, 98, 6),
        shape(frame_83_shape_group_1_shape_4_horizontal_lines, 105, 6),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(136, 197),
        horizontal_line(138, 196),
        horizontal_line(140, 195),
        horizontal_line(143, 194),
        horizontal_line(145, 193),
        horizontal_line(147, 192),
        horizontal_line(149, 191),
        horizontal_line(151, 190),
        horizontal_line(153, 188),
        horizontal_line(155, 187),
        horizontal_line(157, 186),
        horizontal_line(160, 185),
        horizontal_line(162, 184),
        horizontal_line(164, 183),
        horizontal_line(166, 182),
        horizontal_line(168, 181),
        horizontal_line(170, 180),
        horizontal_line(172, 179),
        horizontal_line(174, 178),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(145, 158),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(145, 159),
        horizontal_line(145, 159),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 133),
        horizontal_line(130, 132),
        horizontal_line(130, 131),
        horizontal_line(131, 149),
        horizontal_line(129, 151),
        horizontal_line(128, 152),
        horizontal_line(126, 154),
        horizontal_line(125, 156),
        horizontal_line(124, 157),
        horizontal_line(122, 159),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(120, 149),
        horizontal_line(118, 137),
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_83_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(208, 211),
        horizontal_line(207, 212),
        horizontal_line(206, 214),
        horizontal_line(205, 216),
        horizontal_line(203, 217),
        horizontal_line(202, 219),
        horizontal_line(201, 221),
        horizontal_line(200, 222),
        horizontal_line(198, 224),
        horizontal_line(197, 226),
        horizontal_line(196, 227),
        horizontal_line(195, 229),
        horizontal_line(194, 231),
        horizontal_line(192, 232),
        horizontal_line(191, 234),
        horizontal_line(190, 236),
        horizontal_line(189, 238),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const shape frame_83_shape_group_2_shapes[] = {
        shape(frame_83_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_83_shape_group_2_shape_1_horizontal_lines, 78, 6),
        shape(frame_83_shape_group_2_shape_2_horizontal_lines, 79, 5),
        shape(frame_83_shape_group_2_shape_3_horizontal_lines, 80, 6),
        shape(frame_83_shape_group_2_shape_4_horizontal_lines, 82, 5),
        shape(frame_83_shape_group_2_shape_5_horizontal_lines, 98, 5),
        shape(frame_83_shape_group_2_shape_6_horizontal_lines, 126, 6),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 222),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(186, 205),
        horizontal_line(186, 204),
        horizontal_line(186, 203),
        horizontal_line(188, 202),
        horizontal_line(190, 201),
        horizontal_line(192, 200),
        horizontal_line(194, 199),
        horizontal_line(196, 198),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 132),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(144, 145),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(133, 146),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(138, 147),
    };

    constexpr const horizontal_line frame_83_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_83_shape_group_3_shapes[] = {
        shape(frame_83_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_83_shape_group_3_shape_1_horizontal_lines, 78, 5),
        shape(frame_83_shape_group_3_shape_2_horizontal_lines, 80, 5),
        shape(frame_83_shape_group_3_shape_3_horizontal_lines, 88, 2),
        shape(frame_83_shape_group_3_shape_4_horizontal_lines, 89, 5),
        shape(frame_83_shape_group_3_shape_5_horizontal_lines, 153, 6),
    };

    constexpr const horizontal_line frame_83_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(143, 144),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_83_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_83_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_83_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(135, 141),
        horizontal_line(134, 143),
    };

    constexpr const horizontal_line frame_83_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(132, 137),
    };

    constexpr const shape frame_83_shape_group_4_shapes[] = {
        shape(frame_83_shape_group_4_shape_0_horizontal_lines, 80, 5),
        shape(frame_83_shape_group_4_shape_1_horizontal_lines, 82, 8),
        shape(frame_83_shape_group_4_shape_2_horizontal_lines, 85, 7),
        shape(frame_83_shape_group_4_shape_3_horizontal_lines, 86, 2),
        shape(frame_83_shape_group_4_shape_4_horizontal_lines, 89, 2),
    };

    constexpr const horizontal_line frame_83_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_83_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const shape frame_83_shape_group_5_shapes[] = {
        shape(frame_83_shape_group_5_shape_0_horizontal_lines, 81, 8),
        shape(frame_83_shape_group_5_shape_1_horizontal_lines, 84, 7),
    };

    constexpr const shape_group frame_83_shape_groups[] = {
        shape_group(frame_83_shape_group_0_shapes),
        shape_group(frame_83_shape_group_1_shapes),
        shape_group(frame_83_shape_group_2_shapes),
        shape_group(frame_83_shape_group_3_shapes),
        shape_group(frame_83_shape_group_4_shapes),
        shape_group(frame_83_shape_group_5_shapes),
    };

    constexpr const frame frame_83_impl(frame_83_colors, frame_83_shape_groups);
} 

const frame& frame_83()
{
    return frame_83_impl;
}

namespace
{
    constexpr const bn::color frame_84_colors[] = {
        bn::color(24, 12, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_84_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 142),
        horizontal_line(84, 136),
        horizontal_line(86, 129),
        horizontal_line(88, 122),
        horizontal_line(90, 116),
        horizontal_line(92, 109),
        horizontal_line(94, 102),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_84_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(97, 99),
        horizontal_line(97, 101),
        horizontal_line(98, 103),
        horizontal_line(98, 105),
        horizontal_line(98, 107),
        horizontal_line(98, 109),
        horizontal_line(99, 111),
        horizontal_line(99, 113),
        horizontal_line(99, 115),
        horizontal_line(99, 117),
        horizontal_line(100, 119),
        horizontal_line(100, 121),
        horizontal_line(100, 123),
        horizontal_line(101, 125),
        horizontal_line(101, 128),
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(102, 129),
        horizontal_line(102, 129),
        horizontal_line(102, 130),
        horizontal_line(102, 130),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(105, 131),
        horizontal_line(105, 131),
        horizontal_line(105, 129),
        horizontal_line(105, 128),
        horizontal_line(106, 126),
        horizontal_line(106, 125),
        horizontal_line(106, 124),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 118),
        horizontal_line(108, 117),
        horizontal_line(108, 116),
        horizontal_line(108, 114),
        horizontal_line(108, 113),
        horizontal_line(109, 112),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
    };

    constexpr const shape frame_84_shape_group_0_shapes[] = {
        shape(frame_84_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_84_shape_group_0_shape_1_horizontal_lines, 63, 6),
    };

    constexpr const horizontal_line frame_84_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(122, 181),
        horizontal_line(124, 180),
        horizontal_line(126, 179),
        horizontal_line(128, 178),
        horizontal_line(130, 177),
        horizontal_line(132, 176),
        horizontal_line(134, 176),
        horizontal_line(136, 169),
        horizontal_line(138, 162),
        horizontal_line(140, 156),
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_84_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(169, 175),
        horizontal_line(168, 175),
        horizontal_line(167, 175),
        horizontal_line(166, 175),
        horizontal_line(165, 175),
        horizontal_line(165, 175),
        horizontal_line(164, 176),
        horizontal_line(163, 176),
        horizontal_line(162, 176),
        horizontal_line(161, 176),
        horizontal_line(160, 176),
        horizontal_line(159, 176),
        horizontal_line(158, 176),
        horizontal_line(157, 176),
        horizontal_line(156, 176),
        horizontal_line(155, 176),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(146, 176),
        horizontal_line(138, 151),
        horizontal_line(130, 150),
        horizontal_line(131, 149),
        horizontal_line(133, 148),
        horizontal_line(135, 148),
        horizontal_line(137, 137),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
        horizontal_line(156, 177),
        horizontal_line(157, 178),
        horizontal_line(159, 178),
        horizontal_line(160, 178),
        horizontal_line(162, 178),
        horizontal_line(164, 178),
        horizontal_line(165, 178),
        horizontal_line(167, 178),
        horizontal_line(168, 178),
        horizontal_line(170, 178),
        horizontal_line(172, 178),
        horizontal_line(173, 178),
        horizontal_line(175, 178),
        horizontal_line(176, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_84_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(114, 176),
    };

    constexpr const horizontal_line frame_84_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(162, 180),
        horizontal_line(144, 182),
        horizontal_line(126, 184),
        horizontal_line(172, 185),
        horizontal_line(170, 187),
        horizontal_line(169, 189),
        horizontal_line(168, 190),
        horizontal_line(166, 192),
        horizontal_line(165, 194),
        horizontal_line(164, 195),
        horizontal_line(163, 197),
        horizontal_line(161, 199),
        horizontal_line(160, 200),
        horizontal_line(159, 202),
        horizontal_line(157, 204),
        horizontal_line(156, 205),
        horizontal_line(155, 207),
        horizontal_line(154, 209),
        horizontal_line(152, 211),
        horizontal_line(151, 212),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
    };

    constexpr const shape frame_84_shape_group_1_shapes[] = {
        shape(frame_84_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_84_shape_group_1_shape_1_horizontal_lines, 55, 6),
        shape(frame_84_shape_group_1_shape_2_horizontal_lines, 106, 5),
        shape(frame_84_shape_group_1_shape_3_horizontal_lines, 107, 6),
    };

    constexpr const horizontal_line frame_84_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(142, 202),
        horizontal_line(144, 201),
        horizontal_line(146, 200),
        horizontal_line(148, 199),
        horizontal_line(150, 198),
        horizontal_line(152, 197),
        horizontal_line(154, 196),
        horizontal_line(156, 195),
        horizontal_line(158, 194),
        horizontal_line(160, 193),
        horizontal_line(162, 192),
        horizontal_line(164, 191),
        horizontal_line(166, 190),
        horizontal_line(168, 189),
        horizontal_line(170, 188),
        horizontal_line(172, 187),
        horizontal_line(174, 186),
        horizontal_line(176, 185),
        horizontal_line(178, 184),
        horizontal_line(180, 183),
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_84_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(174, 175),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_84_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(153, 176),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
    };

    constexpr const horizontal_line frame_84_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 135),
        horizontal_line(132, 133),
        horizontal_line(132, 158),
        horizontal_line(130, 159),
        horizontal_line(129, 161),
        horizontal_line(127, 163),
        horizontal_line(126, 164),
        horizontal_line(125, 166),
        horizontal_line(123, 167),
        horizontal_line(122, 169),
        horizontal_line(121, 171),
        horizontal_line(119, 172),
        horizontal_line(118, 174),
        horizontal_line(117, 175),
        horizontal_line(115, 177),
        horizontal_line(176, 179),
        horizontal_line(113, 161),
        horizontal_line(111, 143),
        horizontal_line(110, 125),
    };

    constexpr const horizontal_line frame_84_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(212, 214),
        horizontal_line(210, 216),
        horizontal_line(209, 217),
        horizontal_line(208, 219),
        horizontal_line(207, 221),
        horizontal_line(205, 222),
        horizontal_line(204, 224),
        horizontal_line(203, 226),
        horizontal_line(201, 227),
        horizontal_line(200, 229),
        horizontal_line(199, 231),
        horizontal_line(198, 232),
        horizontal_line(196, 234),
        horizontal_line(195, 236),
        horizontal_line(194, 238),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
    };

    constexpr const shape frame_84_shape_group_2_shapes[] = {
        shape(frame_84_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_84_shape_group_2_shape_1_horizontal_lines, 52, 6),
        shape(frame_84_shape_group_2_shape_2_horizontal_lines, 77, 6),
        shape(frame_84_shape_group_2_shape_3_horizontal_lines, 83, 5),
        shape(frame_84_shape_group_2_shape_4_horizontal_lines, 127, 6),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 225),
        horizontal_line(186, 224),
        horizontal_line(186, 223),
        horizontal_line(186, 222),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 215),
        horizontal_line(186, 214),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(188, 210),
        horizontal_line(190, 209),
        horizontal_line(192, 208),
        horizontal_line(194, 207),
        horizontal_line(196, 206),
        horizontal_line(198, 205),
        horizontal_line(200, 204),
        horizontal_line(202, 203),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(151, 152),
        horizontal_line(130, 130),
        horizontal_line(130, 132),
        horizontal_line(130, 134),
        horizontal_line(130, 136),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 154),
        horizontal_line(148, 154),
        horizontal_line(149, 154),
        horizontal_line(151, 154),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(136, 155),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(144, 156),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_84_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_84_shape_group_3_shapes[] = {
        shape(frame_84_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_84_shape_group_3_shape_1_horizontal_lines, 77, 5),
        shape(frame_84_shape_group_3_shape_2_horizontal_lines, 91, 2),
        shape(frame_84_shape_group_3_shape_3_horizontal_lines, 92, 5),
        shape(frame_84_shape_group_3_shape_4_horizontal_lines, 105, 5),
        shape(frame_84_shape_group_3_shape_5_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_84_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(150, 152),
        horizontal_line(149, 152),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_84_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(146, 147),
        horizontal_line(146, 147),
        horizontal_line(147, 148),
    };

    constexpr const horizontal_line frame_84_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_84_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(139, 152),
    };

    constexpr const horizontal_line frame_84_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(134, 143),
    };

    constexpr const shape frame_84_shape_group_4_shapes[] = {
        shape(frame_84_shape_group_4_shape_0_horizontal_lines, 79, 5),
        shape(frame_84_shape_group_4_shape_1_horizontal_lines, 83, 8),
        shape(frame_84_shape_group_4_shape_2_horizontal_lines, 89, 7),
        shape(frame_84_shape_group_4_shape_3_horizontal_lines, 90, 2),
        shape(frame_84_shape_group_4_shape_4_horizontal_lines, 92, 2),
    };

    constexpr const horizontal_line frame_84_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(138, 147),
    };

    constexpr const horizontal_line frame_84_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_84_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(144, 150),
    };

    constexpr const shape frame_84_shape_group_5_shapes[] = {
        shape(frame_84_shape_group_5_shape_0_horizontal_lines, 82, 8),
        shape(frame_84_shape_group_5_shape_1_horizontal_lines, 86, 7),
        shape(frame_84_shape_group_5_shape_2_horizontal_lines, 89, 2),
    };

    constexpr const shape_group frame_84_shape_groups[] = {
        shape_group(frame_84_shape_group_0_shapes),
        shape_group(frame_84_shape_group_1_shapes),
        shape_group(frame_84_shape_group_2_shapes),
        shape_group(frame_84_shape_group_3_shapes),
        shape_group(frame_84_shape_group_4_shapes),
        shape_group(frame_84_shape_group_5_shapes),
    };

    constexpr const frame frame_84_impl(frame_84_colors, frame_84_shape_groups);
} 

const frame& frame_84()
{
    return frame_84_impl;
}

namespace
{
    constexpr const bn::color frame_85_colors[] = {
        bn::color(24, 12, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_85_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 88),
        horizontal_line(32, 84),
        horizontal_line(34, 80),
        horizontal_line(36, 77),
        horizontal_line(38, 73),
        horizontal_line(40, 69),
        horizontal_line(42, 65),
        horizontal_line(44, 61),
        horizontal_line(46, 57),
        horizontal_line(48, 53),
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_85_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(51, 53),
        horizontal_line(52, 55),
        horizontal_line(52, 57),
        horizontal_line(52, 59),
        horizontal_line(53, 61),
        horizontal_line(53, 63),
        horizontal_line(53, 65),
        horizontal_line(54, 67),
        horizontal_line(54, 69),
        horizontal_line(54, 71),
        horizontal_line(55, 73),
        horizontal_line(55, 75),
        horizontal_line(55, 77),
        horizontal_line(56, 79),
        horizontal_line(56, 81),
        horizontal_line(56, 83),
        horizontal_line(57, 85),
        horizontal_line(57, 87),
        horizontal_line(57, 89),
        horizontal_line(58, 91),
        horizontal_line(58, 93),
        horizontal_line(58, 95),
        horizontal_line(59, 97),
        horizontal_line(59, 99),
        horizontal_line(59, 101),
        horizontal_line(60, 103),
        horizontal_line(60, 105),
        horizontal_line(60, 107),
        horizontal_line(61, 109),
        horizontal_line(61, 111),
        horizontal_line(61, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(63, 121),
        horizontal_line(63, 123),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(68, 130),
        horizontal_line(68, 130),
        horizontal_line(69, 130),
        horizontal_line(69, 130),
        horizontal_line(69, 130),
        horizontal_line(70, 131),
        horizontal_line(70, 131),
        horizontal_line(70, 131),
        horizontal_line(71, 131),
        horizontal_line(71, 131),
        horizontal_line(71, 131),
        horizontal_line(72, 129),
        horizontal_line(72, 127),
        horizontal_line(72, 126),
        horizontal_line(73, 124),
        horizontal_line(73, 123),
        horizontal_line(73, 121),
        horizontal_line(74, 120),
        horizontal_line(74, 118),
        horizontal_line(74, 117),
        horizontal_line(75, 115),
        horizontal_line(75, 114),
        horizontal_line(75, 112),
        horizontal_line(76, 111),
        horizontal_line(76, 109),
        horizontal_line(76, 108),
        horizontal_line(77, 106),
        horizontal_line(77, 105),
        horizontal_line(77, 103),
        horizontal_line(78, 102),
        horizontal_line(78, 100),
        horizontal_line(78, 99),
        horizontal_line(79, 97),
        horizontal_line(79, 96),
        horizontal_line(79, 94),
        horizontal_line(80, 93),
        horizontal_line(80, 91),
        horizontal_line(80, 90),
        horizontal_line(81, 88),
        horizontal_line(81, 87),
        horizontal_line(81, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 82),
        horizontal_line(226, 233),
        horizontal_line(81, 119),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
    };

    constexpr const shape frame_85_shape_group_0_shapes[] = {
        shape(frame_85_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_85_shape_group_0_shape_1_horizontal_lines, 38, 6),
    };

    constexpr const horizontal_line frame_85_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 131),
        horizontal_line(72, 127),
        horizontal_line(74, 123),
        horizontal_line(76, 119),
        horizontal_line(78, 115),
        horizontal_line(80, 111),
        horizontal_line(82, 107),
        horizontal_line(84, 104),
        horizontal_line(86, 100),
        horizontal_line(88, 96),
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_85_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(203, 234),
        horizontal_line(202, 234),
        horizontal_line(201, 234),
        horizontal_line(200, 234),
        horizontal_line(199, 234),
        horizontal_line(199, 234),
        horizontal_line(198, 234),
        horizontal_line(197, 234),
        horizontal_line(196, 234),
        horizontal_line(195, 234),
        horizontal_line(194, 234),
        horizontal_line(193, 234),
        horizontal_line(192, 234),
        horizontal_line(192, 234),
        horizontal_line(191, 234),
        horizontal_line(190, 234),
        horizontal_line(189, 234),
        horizontal_line(188, 234),
        horizontal_line(187, 234),
        horizontal_line(186, 234),
        horizontal_line(185, 234),
        horizontal_line(185, 234),
        horizontal_line(184, 234),
        horizontal_line(183, 234),
        horizontal_line(182, 234),
        horizontal_line(181, 234),
        horizontal_line(180, 234),
        horizontal_line(179, 234),
        horizontal_line(178, 234),
        horizontal_line(178, 234),
        horizontal_line(177, 234),
        horizontal_line(176, 234),
        horizontal_line(175, 234),
        horizontal_line(174, 234),
        horizontal_line(173, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(157, 219),
        horizontal_line(150, 162),
        horizontal_line(143, 161),
        horizontal_line(136, 160),
        horizontal_line(129, 159),
        horizontal_line(164, 226),
        horizontal_line(131, 158),
        horizontal_line(133, 157),
        horizontal_line(135, 156),
        horizontal_line(137, 155),
        horizontal_line(139, 155),
        horizontal_line(141, 141),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 233),
        horizontal_line(173, 233),
        horizontal_line(175, 233),
        horizontal_line(177, 233),
        horizontal_line(178, 233),
        horizontal_line(180, 233),
        horizontal_line(182, 233),
        horizontal_line(183, 233),
        horizontal_line(185, 233),
        horizontal_line(187, 233),
        horizontal_line(189, 233),
        horizontal_line(190, 233),
        horizontal_line(192, 233),
        horizontal_line(194, 233),
        horizontal_line(195, 233),
        horizontal_line(197, 233),
        horizontal_line(199, 233),
        horizontal_line(200, 233),
        horizontal_line(202, 233),
        horizontal_line(204, 233),
        horizontal_line(205, 233),
        horizontal_line(207, 233),
        horizontal_line(209, 233),
        horizontal_line(211, 233),
        horizontal_line(212, 233),
        horizontal_line(214, 233),
        horizontal_line(216, 233),
        horizontal_line(217, 233),
        horizontal_line(219, 233),
        horizontal_line(221, 233),
        horizontal_line(222, 233),
        horizontal_line(224, 233),
    };

    constexpr const horizontal_line frame_85_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(83, 145),
    };

    constexpr const horizontal_line frame_85_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(227, 233),
        horizontal_line(229, 233),
        horizontal_line(231, 233),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
    };

    constexpr const shape frame_85_shape_group_1_shapes[] = {
        shape(frame_85_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_85_shape_group_1_shape_1_horizontal_lines, 27, 6),
        shape(frame_85_shape_group_1_shape_2_horizontal_lines, 132, 5),
        shape(frame_85_shape_group_1_shape_3_horizontal_lines, 133, 6),
    };

    constexpr const horizontal_line frame_85_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 181),
        horizontal_line(124, 177),
        horizontal_line(124, 173),
        horizontal_line(124, 169),
        horizontal_line(124, 165),
        horizontal_line(124, 162),
        horizontal_line(124, 158),
        horizontal_line(124, 154),
        horizontal_line(124, 150),
        horizontal_line(124, 146),
        horizontal_line(126, 142),
        horizontal_line(128, 138),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_85_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(213, 234),
        horizontal_line(212, 234),
        horizontal_line(211, 234),
        horizontal_line(210, 234),
        horizontal_line(209, 234),
        horizontal_line(208, 234),
        horizontal_line(207, 234),
        horizontal_line(206, 234),
        horizontal_line(206, 234),
        horizontal_line(205, 234),
        horizontal_line(204, 234),
    };

    constexpr const horizontal_line frame_85_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(234, 234),
        horizontal_line(233, 234),
        horizontal_line(233, 234),
        horizontal_line(232, 234),
        horizontal_line(231, 234),
        horizontal_line(230, 234),
        horizontal_line(229, 234),
        horizontal_line(228, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(219, 233),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(126, 159),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
        horizontal_line(229, 233),
        horizontal_line(230, 233),
        horizontal_line(232, 233),
    };

    constexpr const horizontal_line frame_85_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(130, 171),
        horizontal_line(128, 172),
        horizontal_line(127, 174),
        horizontal_line(125, 176),
        horizontal_line(124, 177),
        horizontal_line(122, 179),
        horizontal_line(121, 181),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(145, 207),
        horizontal_line(120, 182),
    };

    constexpr const horizontal_line frame_85_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(142, 157),
        horizontal_line(140, 195),
        horizontal_line(201, 233),
        horizontal_line(200, 235),
        horizontal_line(198, 237),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const shape frame_85_shape_group_2_shapes[] = {
        shape(frame_85_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_85_shape_group_2_shape_1_horizontal_lines, 16, 6),
        shape(frame_85_shape_group_2_shape_2_horizontal_lines, 62, 6),
        shape(frame_85_shape_group_2_shape_3_horizontal_lines, 100, 5),
        shape(frame_85_shape_group_2_shape_4_horizontal_lines, 134, 6),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 193),
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(225, 234),
        horizontal_line(224, 234),
        horizontal_line(223, 234),
        horizontal_line(222, 234),
        horizontal_line(221, 234),
        horizontal_line(220, 234),
        horizontal_line(220, 234),
        horizontal_line(219, 234),
        horizontal_line(218, 234),
        horizontal_line(217, 234),
        horizontal_line(216, 234),
        horizontal_line(215, 234),
        horizontal_line(214, 234),
        horizontal_line(213, 234),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(226, 233),
        horizontal_line(226, 233),
        horizontal_line(125, 125),
        horizontal_line(126, 127),
        horizontal_line(226, 233),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(228, 233),
        horizontal_line(228, 233),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(132, 139),
        horizontal_line(132, 137),
        horizontal_line(132, 136),
        horizontal_line(132, 134),
        horizontal_line(132, 132),
        horizontal_line(132, 169),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(180, 184),
        horizontal_line(178, 186),
        horizontal_line(177, 188),
        horizontal_line(175, 189),
        horizontal_line(174, 191),
        horizontal_line(172, 193),
        horizontal_line(171, 194),
        horizontal_line(169, 196),
        horizontal_line(168, 198),
        horizontal_line(166, 199),
        horizontal_line(165, 201),
        horizontal_line(163, 203),
        horizontal_line(162, 204),
        horizontal_line(160, 206),
        horizontal_line(159, 208),
        horizontal_line(157, 210),
        horizontal_line(156, 211),
        horizontal_line(154, 213),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(207, 225),
        horizontal_line(182, 226),
        horizontal_line(158, 220),
        horizontal_line(196, 230),
    };

    constexpr const horizontal_line frame_85_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_85_shape_group_3_shapes[] = {
        shape(frame_85_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_85_shape_group_3_shape_1_horizontal_lines, 2, 6),
        shape(frame_85_shape_group_3_shape_2_horizontal_lines, 73, 6),
        shape(frame_85_shape_group_3_shape_3_horizontal_lines, 91, 5),
        shape(frame_85_shape_group_3_shape_4_horizontal_lines, 107, 5),
        shape(frame_85_shape_group_3_shape_5_horizontal_lines, 154, 6),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(227, 235),
        horizontal_line(226, 234),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(226, 233),
        horizontal_line(226, 233),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(226, 233),
        horizontal_line(226, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
        horizontal_line(227, 233),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(156, 165),
        horizontal_line(157, 165),
        horizontal_line(159, 165),
        horizontal_line(161, 165),
        horizontal_line(163, 165),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(135, 166),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 167),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(215, 215),
        horizontal_line(213, 216),
        horizontal_line(212, 218),
        horizontal_line(210, 220),
        horizontal_line(209, 221),
        horizontal_line(207, 223),
    };

    constexpr const horizontal_line frame_85_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(220, 228),
    };

    constexpr const shape frame_85_shape_group_4_shapes[] = {
        shape(frame_85_shape_group_4_shape_0_horizontal_lines, 0, 6),
        shape(frame_85_shape_group_4_shape_1_horizontal_lines, 73, 5),
        shape(frame_85_shape_group_4_shape_2_horizontal_lines, 75, 6),
        shape(frame_85_shape_group_4_shape_3_horizontal_lines, 77, 5),
        shape(frame_85_shape_group_4_shape_4_horizontal_lines, 78, 6),
        shape(frame_85_shape_group_4_shape_5_horizontal_lines, 84, 5),
        shape(frame_85_shape_group_4_shape_6_horizontal_lines, 97, 2),
        shape(frame_85_shape_group_4_shape_7_horizontal_lines, 98, 5),
        shape(frame_85_shape_group_4_shape_8_horizontal_lines, 126, 5),
        shape(frame_85_shape_group_4_shape_9_horizontal_lines, 134, 5),
    };

    constexpr const horizontal_line frame_85_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(161, 163),
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_85_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 132),
        horizontal_line(129, 134),
        horizontal_line(129, 136),
        horizontal_line(130, 138),
        horizontal_line(130, 140),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_85_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_85_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(142, 158),
        horizontal_line(140, 160),
        horizontal_line(138, 162),
        horizontal_line(137, 164),
    };

    constexpr const horizontal_line frame_85_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(133, 148),
    };

    constexpr const shape frame_85_shape_group_5_shapes[] = {
        shape(frame_85_shape_group_5_shape_0_horizontal_lines, 75, 5),
        shape(frame_85_shape_group_5_shape_1_horizontal_lines, 78, 5),
        shape(frame_85_shape_group_5_shape_2_horizontal_lines, 91, 8),
        shape(frame_85_shape_group_5_shape_3_horizontal_lines, 93, 2),
        shape(frame_85_shape_group_5_shape_4_horizontal_lines, 98, 2),
    };

    constexpr const horizontal_line frame_85_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(158, 163),
        horizontal_line(157, 164),
        horizontal_line(156, 164),
        horizontal_line(156, 164),
        horizontal_line(155, 164),
    };

    constexpr const horizontal_line frame_85_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(146, 155),
        horizontal_line(153, 155),
    };

    constexpr const horizontal_line frame_85_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(142, 152),
        horizontal_line(142, 153),
    };

    constexpr const shape frame_85_shape_group_6_shapes[] = {
        shape(frame_85_shape_group_6_shape_0_horizontal_lines, 78, 5),
        shape(frame_85_shape_group_6_shape_1_horizontal_lines, 84, 8),
        shape(frame_85_shape_group_6_shape_2_horizontal_lines, 91, 7),
    };

    constexpr const horizontal_line frame_85_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_85_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_85_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(142, 152),
    };

    constexpr const shape frame_85_shape_group_7_shapes[] = {
        shape(frame_85_shape_group_7_shape_0_horizontal_lines, 83, 8),
        shape(frame_85_shape_group_7_shape_1_horizontal_lines, 84, 7),
        shape(frame_85_shape_group_7_shape_2_horizontal_lines, 89, 7),
    };

    constexpr const horizontal_line frame_85_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(147, 154),
    };

    constexpr const shape frame_85_shape_group_8_shapes[] = {
        shape(frame_85_shape_group_8_shape_0_horizontal_lines, 83, 7),
    };

    constexpr const shape_group frame_85_shape_groups[] = {
        shape_group(frame_85_shape_group_0_shapes),
        shape_group(frame_85_shape_group_1_shapes),
        shape_group(frame_85_shape_group_2_shapes),
        shape_group(frame_85_shape_group_3_shapes),
        shape_group(frame_85_shape_group_4_shapes),
        shape_group(frame_85_shape_group_5_shapes),
        shape_group(frame_85_shape_group_6_shapes),
        shape_group(frame_85_shape_group_7_shapes),
        shape_group(frame_85_shape_group_8_shapes),
    };

    constexpr const frame frame_85_impl(frame_85_colors, frame_85_shape_groups);
} 

const frame& frame_85()
{
    return frame_85_impl;
}

namespace
{
    constexpr const bn::color frame_86_colors[] = {
        bn::color(28, 16, 0),
        bn::color(20, 8, 0),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(0, 0, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_86_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(99, 157),
        horizontal_line(101, 151),
        horizontal_line(103, 144),
        horizontal_line(105, 138),
        horizontal_line(107, 132),
        horizontal_line(109, 125),
        horizontal_line(111, 119),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_86_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(114, 115),
        horizontal_line(114, 117),
        horizontal_line(114, 119),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 124),
        horizontal_line(115, 126),
        horizontal_line(116, 128),
        horizontal_line(116, 130),
        horizontal_line(116, 131),
        horizontal_line(116, 133),
        horizontal_line(117, 135),
        horizontal_line(117, 137),
        horizontal_line(117, 139),
        horizontal_line(117, 141),
        horizontal_line(118, 142),
        horizontal_line(118, 142),
        horizontal_line(118, 142),
        horizontal_line(118, 142),
        horizontal_line(119, 142),
        horizontal_line(119, 142),
        horizontal_line(119, 143),
        horizontal_line(119, 143),
        horizontal_line(120, 143),
        horizontal_line(120, 143),
        horizontal_line(120, 143),
        horizontal_line(120, 143),
        horizontal_line(121, 143),
        horizontal_line(121, 141),
        horizontal_line(121, 139),
        horizontal_line(121, 137),
        horizontal_line(122, 136),
        horizontal_line(122, 134),
        horizontal_line(122, 132),
        horizontal_line(122, 130),
        horizontal_line(123, 129),
        horizontal_line(123, 127),
        horizontal_line(123, 125),
        horizontal_line(123, 123),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
    };

    constexpr const shape frame_86_shape_group_0_shapes[] = {
        shape(frame_86_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_86_shape_group_0_shape_1_horizontal_lines, 70, 5),
    };

    constexpr const horizontal_line frame_86_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(132, 192),
        horizontal_line(134, 191),
        horizontal_line(136, 190),
        horizontal_line(137, 189),
        horizontal_line(139, 188),
        horizontal_line(141, 188),
        horizontal_line(143, 187),
        horizontal_line(145, 186),
        horizontal_line(147, 185),
        horizontal_line(149, 184),
        horizontal_line(151, 183),
        horizontal_line(153, 183),
        horizontal_line(155, 176),
        horizontal_line(157, 170),
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_86_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(180, 182),
        horizontal_line(179, 182),
        horizontal_line(179, 182),
        horizontal_line(178, 182),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_86_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(173, 183),
        horizontal_line(172, 183),
        horizontal_line(171, 183),
        horizontal_line(170, 183),
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(168, 183),
        horizontal_line(167, 183),
        horizontal_line(166, 184),
        horizontal_line(165, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(165, 185),
        horizontal_line(166, 185),
        horizontal_line(168, 186),
        horizontal_line(170, 186),
        horizontal_line(172, 186),
        horizontal_line(174, 186),
        horizontal_line(176, 186),
        horizontal_line(178, 186),
        horizontal_line(180, 186),
        horizontal_line(182, 186),
        horizontal_line(184, 186),
        horizontal_line(186, 186),
        horizontal_line(185, 187),
        horizontal_line(183, 188),
        horizontal_line(181, 190),
        horizontal_line(180, 192),
        horizontal_line(178, 193),
        horizontal_line(177, 195),
        horizontal_line(175, 197),
        horizontal_line(173, 198),
        horizontal_line(172, 200),
        horizontal_line(170, 202),
        horizontal_line(169, 204),
        horizontal_line(167, 205),
        horizontal_line(165, 207),
        horizontal_line(164, 209),
        horizontal_line(162, 210),
        horizontal_line(161, 212),
        horizontal_line(159, 214),
        horizontal_line(157, 215),
        horizontal_line(156, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
    };

    constexpr const shape frame_86_shape_group_1_shapes[] = {
        shape(frame_86_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_86_shape_group_1_shape_1_horizontal_lines, 62, 5),
        shape(frame_86_shape_group_1_shape_2_horizontal_lines, 71, 5),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 210),
        horizontal_line(153, 210),
        horizontal_line(155, 209),
        horizontal_line(157, 208),
        horizontal_line(159, 207),
        horizontal_line(161, 206),
        horizontal_line(162, 205),
        horizontal_line(164, 204),
        horizontal_line(166, 204),
        horizontal_line(168, 203),
        horizontal_line(170, 202),
        horizontal_line(172, 201),
        horizontal_line(174, 200),
        horizontal_line(176, 199),
        horizontal_line(178, 199),
        horizontal_line(180, 198),
        horizontal_line(182, 197),
        horizontal_line(184, 196),
        horizontal_line(186, 195),
        horizontal_line(188, 194),
        horizontal_line(190, 193),
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(157, 162),
        horizontal_line(150, 162),
        horizontal_line(143, 143),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(143, 162),
        horizontal_line(143, 161),
        horizontal_line(143, 161),
        horizontal_line(143, 160),
        horizontal_line(143, 163),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(144, 152),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 160),
        horizontal_line(144, 161),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(144, 164),
        horizontal_line(142, 165),
        horizontal_line(140, 167),
        horizontal_line(138, 169),
        horizontal_line(137, 171),
        horizontal_line(135, 173),
        horizontal_line(133, 175),
        horizontal_line(131, 177),
        horizontal_line(130, 179),
        horizontal_line(128, 181),
        horizontal_line(126, 183),
        horizontal_line(124, 185),
    };

    constexpr const horizontal_line frame_86_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(216, 219),
        horizontal_line(215, 221),
        horizontal_line(213, 222),
        horizontal_line(211, 224),
        horizontal_line(210, 226),
        horizontal_line(208, 227),
        horizontal_line(207, 229),
        horizontal_line(205, 231),
        horizontal_line(204, 232),
        horizontal_line(202, 234),
        horizontal_line(200, 236),
        horizontal_line(199, 238),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(178, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
    };

    constexpr const shape frame_86_shape_group_2_shapes[] = {
        shape(frame_86_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_86_shape_group_2_shape_1_horizontal_lines, 60, 5),
        shape(frame_86_shape_group_2_shape_2_horizontal_lines, 83, 7),
        shape(frame_86_shape_group_2_shape_3_horizontal_lines, 87, 8),
        shape(frame_86_shape_group_2_shape_4_horizontal_lines, 92, 7),
        shape(frame_86_shape_group_2_shape_5_horizontal_lines, 98, 2),
        shape(frame_86_shape_group_2_shape_6_horizontal_lines, 129, 5),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 232),
        horizontal_line(186, 231),
        horizontal_line(186, 230),
        horizontal_line(186, 229),
        horizontal_line(186, 228),
        horizontal_line(186, 227),
        horizontal_line(186, 226),
        horizontal_line(186, 226),
        horizontal_line(186, 225),
        horizontal_line(186, 224),
        horizontal_line(186, 223),
        horizontal_line(186, 222),
        horizontal_line(187, 221),
        horizontal_line(189, 221),
        horizontal_line(191, 220),
        horizontal_line(193, 219),
        horizontal_line(195, 218),
        horizontal_line(197, 217),
        horizontal_line(199, 216),
        horizontal_line(201, 215),
        horizontal_line(203, 215),
        horizontal_line(205, 214),
        horizontal_line(207, 213),
        horizontal_line(209, 212),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(152, 162),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(153, 163),
        horizontal_line(160, 163),
        horizontal_line(160, 163),
        horizontal_line(161, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_86_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_86_shape_group_3_shapes[] = {
        shape(frame_86_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_86_shape_group_3_shape_1_horizontal_lines, 85, 7),
        shape(frame_86_shape_group_3_shape_2_horizontal_lines, 86, 8),
        shape(frame_86_shape_group_3_shape_3_horizontal_lines, 88, 9),
        shape(frame_86_shape_group_3_shape_4_horizontal_lines, 90, 8),
        shape(frame_86_shape_group_3_shape_5_horizontal_lines, 92, 8),
        shape(frame_86_shape_group_3_shape_6_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_86_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(144, 151),
    };

    constexpr const horizontal_line frame_86_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_86_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(161, 163),
    };

    constexpr const shape frame_86_shape_group_4_shapes[] = {
        shape(frame_86_shape_group_4_shape_0_horizontal_lines, 85, 8),
        shape(frame_86_shape_group_4_shape_1_horizontal_lines, 90, 9),
        shape(frame_86_shape_group_4_shape_2_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_86_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(160, 160),
    };

    constexpr const shape frame_86_shape_group_5_shapes[] = {
        shape(frame_86_shape_group_5_shape_0_horizontal_lines, 92, 9),
    };

    constexpr const shape_group frame_86_shape_groups[] = {
        shape_group(frame_86_shape_group_0_shapes),
        shape_group(frame_86_shape_group_1_shapes),
        shape_group(frame_86_shape_group_2_shapes),
        shape_group(frame_86_shape_group_3_shapes),
        shape_group(frame_86_shape_group_4_shapes),
        shape_group(frame_86_shape_group_5_shapes),
    };

    constexpr const frame frame_86_impl(frame_86_colors, frame_86_shape_groups);
} 

const frame& frame_86()
{
    return frame_86_impl;
}

namespace
{
    constexpr const bn::color frame_87_colors[] = {
        bn::color(28, 16, 0),
        bn::color(20, 12, 4),
        bn::color(28, 28, 0),
        bn::color(24, 12, 0),
        bn::color(16, 4, 0),
        bn::color(28, 20, 0),
        bn::color(0, 0, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_87_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(2, 35),
        horizontal_line(4, 33),
        horizontal_line(6, 31),
        horizontal_line(8, 29),
        horizontal_line(10, 26),
        horizontal_line(12, 24),
        horizontal_line(14, 22),
        horizontal_line(16, 20),
        horizontal_line(18, 18),
    };

    constexpr const horizontal_line frame_87_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(19, 20),
        horizontal_line(19, 22),
        horizontal_line(20, 24),
        horizontal_line(20, 26),
        horizontal_line(20, 28),
        horizontal_line(21, 30),
        horizontal_line(21, 32),
        horizontal_line(21, 34),
        horizontal_line(22, 36),
        horizontal_line(22, 38),
        horizontal_line(22, 40),
        horizontal_line(23, 42),
        horizontal_line(23, 44),
        horizontal_line(23, 46),
        horizontal_line(24, 48),
        horizontal_line(24, 50),
        horizontal_line(24, 52),
        horizontal_line(25, 54),
        horizontal_line(25, 56),
        horizontal_line(25, 58),
        horizontal_line(26, 60),
        horizontal_line(26, 62),
        horizontal_line(26, 64),
        horizontal_line(27, 66),
        horizontal_line(27, 68),
        horizontal_line(27, 70),
        horizontal_line(28, 72),
        horizontal_line(28, 74),
        horizontal_line(28, 76),
        horizontal_line(29, 78),
        horizontal_line(29, 80),
        horizontal_line(29, 82),
        horizontal_line(30, 84),
        horizontal_line(30, 86),
        horizontal_line(30, 88),
        horizontal_line(31, 90),
        horizontal_line(31, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 112),
        horizontal_line(51, 110),
        horizontal_line(51, 108),
        horizontal_line(52, 107),
        horizontal_line(52, 105),
        horizontal_line(52, 103),
        horizontal_line(53, 101),
        horizontal_line(53, 100),
        horizontal_line(53, 98),
        horizontal_line(54, 96),
        horizontal_line(54, 94),
        horizontal_line(54, 92),
        horizontal_line(55, 91),
        horizontal_line(55, 89),
        horizontal_line(55, 87),
        horizontal_line(56, 85),
        horizontal_line(56, 83),
        horizontal_line(56, 82),
        horizontal_line(57, 80),
        horizontal_line(57, 78),
        horizontal_line(57, 76),
        horizontal_line(58, 75),
        horizontal_line(58, 73),
        horizontal_line(58, 71),
        horizontal_line(59, 69),
        horizontal_line(59, 67),
        horizontal_line(59, 66),
        horizontal_line(60, 64),
        horizontal_line(60, 62),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_87_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_87_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(59, 65),
        horizontal_line(58, 71),
        horizontal_line(56, 77),
        horizontal_line(55, 83),
        horizontal_line(53, 89),
        horizontal_line(52, 95),
    };

    constexpr const shape frame_87_shape_group_0_shapes[] = {
        shape(frame_87_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_87_shape_group_0_shape_1_horizontal_lines, 26, 5),
        shape(frame_87_shape_group_0_shape_2_horizontal_lines, 153, 2),
        shape(frame_87_shape_group_0_shape_3_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_87_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_87_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_87_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_87_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(123, 185),
        horizontal_line(66, 128),
        horizontal_line(72, 134),
        horizontal_line(78, 140),
        horizontal_line(84, 146),
        horizontal_line(90, 152),
        horizontal_line(96, 158),
    };

    constexpr const shape frame_87_shape_group_1_shapes[] = {
        shape(frame_87_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_87_shape_group_1_shape_1_horizontal_lines, 6, 5),
        shape(frame_87_shape_group_1_shape_2_horizontal_lines, 27, 5),
        shape(frame_87_shape_group_1_shape_3_horizontal_lines, 147, 2),
    };

    constexpr const horizontal_line frame_87_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_87_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(93, 94),
        horizontal_line(94, 96),
        horizontal_line(94, 98),
        horizontal_line(94, 100),
        horizontal_line(95, 102),
        horizontal_line(95, 104),
        horizontal_line(95, 106),
        horizontal_line(96, 108),
        horizontal_line(96, 110),
        horizontal_line(96, 112),
        horizontal_line(97, 114),
        horizontal_line(97, 116),
        horizontal_line(97, 118),
        horizontal_line(98, 120),
        horizontal_line(98, 122),
        horizontal_line(98, 124),
        horizontal_line(99, 126),
        horizontal_line(99, 128),
        horizontal_line(99, 130),
        horizontal_line(100, 132),
        horizontal_line(100, 134),
        horizontal_line(100, 136),
        horizontal_line(101, 137),
        horizontal_line(101, 137),
        horizontal_line(101, 137),
        horizontal_line(102, 137),
        horizontal_line(102, 138),
        horizontal_line(102, 138),
        horizontal_line(102, 138),
        horizontal_line(103, 138),
        horizontal_line(103, 139),
        horizontal_line(103, 139),
        horizontal_line(104, 139),
        horizontal_line(104, 139),
        horizontal_line(104, 139),
        horizontal_line(105, 140),
        horizontal_line(105, 140),
        horizontal_line(105, 140),
        horizontal_line(106, 140),
        horizontal_line(106, 141),
        horizontal_line(106, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(108, 139),
        horizontal_line(108, 137),
        horizontal_line(108, 135),
        horizontal_line(109, 133),
        horizontal_line(109, 132),
        horizontal_line(109, 130),
        horizontal_line(110, 128),
        horizontal_line(110, 126),
        horizontal_line(110, 124),
        horizontal_line(111, 123),
        horizontal_line(111, 121),
        horizontal_line(111, 119),
        horizontal_line(112, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_87_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(185, 239),
        horizontal_line(128, 190),
        horizontal_line(134, 196),
        horizontal_line(140, 202),
        horizontal_line(146, 208),
        horizontal_line(152, 214),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_87_shape_group_2_shapes[] = {
        shape(frame_87_shape_group_2_shape_0_horizontal_lines, 0, 5),
        shape(frame_87_shape_group_2_shape_1_horizontal_lines, 64, 5),
        shape(frame_87_shape_group_2_shape_2_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_87_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_87_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(140, 178),
        horizontal_line(138, 179),
        horizontal_line(136, 181),
        horizontal_line(134, 182),
        horizontal_line(133, 184),
        horizontal_line(131, 186),
        horizontal_line(129, 187),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(175, 201),
        horizontal_line(173, 203),
        horizontal_line(171, 204),
        horizontal_line(170, 206),
        horizontal_line(168, 208),
        horizontal_line(166, 209),
        horizontal_line(164, 211),
        horizontal_line(163, 212),
        horizontal_line(161, 214),
        horizontal_line(159, 215),
        horizontal_line(157, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(194, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(187, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_87_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(196, 239),
        horizontal_line(202, 239),
        horizontal_line(208, 239),
        horizontal_line(214, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_87_shape_group_3_shapes[] = {
        shape(frame_87_shape_group_3_shape_0_horizontal_lines, 76, 5),
        shape(frame_87_shape_group_3_shape_1_horizontal_lines, 108, 2),
        shape(frame_87_shape_group_3_shape_2_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(161, 171),
        horizontal_line(152, 171),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(138, 145),
        horizontal_line(138, 143),
        horizontal_line(138, 142),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 172),
        horizontal_line(139, 172),
        horizontal_line(139, 172),
        horizontal_line(140, 173),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 141),
        horizontal_line(140, 148),
        horizontal_line(140, 154),
        horizontal_line(140, 161),
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(141, 168),
        horizontal_line(141, 169),
        horizontal_line(142, 170),
        horizontal_line(142, 170),
        horizontal_line(142, 171),
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 176),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(187, 190),
        horizontal_line(186, 192),
        horizontal_line(184, 193),
        horizontal_line(182, 195),
        horizontal_line(180, 197),
        horizontal_line(179, 198),
        horizontal_line(177, 200),
    };

    constexpr const horizontal_line frame_87_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(217, 219),
        horizontal_line(216, 220),
        horizontal_line(214, 222),
        horizontal_line(212, 223),
        horizontal_line(210, 225),
        horizontal_line(208, 226),
        horizontal_line(207, 228),
        horizontal_line(205, 230),
        horizontal_line(203, 231),
        horizontal_line(201, 233),
        horizontal_line(200, 234),
        horizontal_line(198, 236),
        horizontal_line(196, 238),
    };

    constexpr const shape frame_87_shape_group_4_shapes[] = {
        shape(frame_87_shape_group_4_shape_0_horizontal_lines, 83, 7),
        shape(frame_87_shape_group_4_shape_1_horizontal_lines, 91, 8),
        shape(frame_87_shape_group_4_shape_2_horizontal_lines, 95, 7),
        shape(frame_87_shape_group_4_shape_3_horizontal_lines, 107, 2),
        shape(frame_87_shape_group_4_shape_4_horizontal_lines, 115, 2),
        shape(frame_87_shape_group_4_shape_5_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_87_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(149, 151),
    };

    constexpr const horizontal_line frame_87_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(150, 171),
        horizontal_line(149, 171),
        horizontal_line(155, 171),
        horizontal_line(161, 171),
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_87_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(141, 172),
    };

    constexpr const horizontal_line frame_87_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(142, 173),
        horizontal_line(149, 173),
        horizontal_line(155, 173),
        horizontal_line(162, 173),
        horizontal_line(168, 173),
        horizontal_line(168, 174),
        horizontal_line(169, 174),
        horizontal_line(170, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(172, 174),
        horizontal_line(173, 175),
    };

    constexpr const shape frame_87_shape_group_5_shapes[] = {
        shape(frame_87_shape_group_5_shape_0_horizontal_lines, 84, 1),
        shape(frame_87_shape_group_5_shape_1_horizontal_lines, 85, 7),
        shape(frame_87_shape_group_5_shape_2_horizontal_lines, 90, 8),
        shape(frame_87_shape_group_5_shape_3_horizontal_lines, 95, 8),
    };

    constexpr const horizontal_line frame_87_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_87_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(146, 154),
        horizontal_line(144, 160),
        horizontal_line(143, 166),
    };

    constexpr const shape frame_87_shape_group_6_shapes[] = {
        shape(frame_87_shape_group_6_shape_0_horizontal_lines, 85, 1),
        shape(frame_87_shape_group_6_shape_1_horizontal_lines, 86, 8),
    };

    constexpr const horizontal_line frame_87_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_87_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const shape frame_87_shape_group_7_shapes[] = {
        shape(frame_87_shape_group_7_shape_0_horizontal_lines, 88, 9),
        shape(frame_87_shape_group_7_shape_1_horizontal_lines, 89, 8),
    };

    constexpr const shape_group frame_87_shape_groups[] = {
        shape_group(frame_87_shape_group_0_shapes),
        shape_group(frame_87_shape_group_1_shapes),
        shape_group(frame_87_shape_group_2_shapes),
        shape_group(frame_87_shape_group_3_shapes),
        shape_group(frame_87_shape_group_4_shapes),
        shape_group(frame_87_shape_group_5_shapes),
        shape_group(frame_87_shape_group_6_shapes),
        shape_group(frame_87_shape_group_7_shapes),
    };

    constexpr const frame frame_87_impl(frame_87_colors, frame_87_shape_groups);
} 

const frame& frame_87()
{
    return frame_87_impl;
}

namespace
{
    constexpr const bn::color frame_88_colors[] = {
        bn::color(28, 20, 0),
        bn::color(20, 12, 4),
        bn::color(28, 28, 0),
        bn::color(24, 16, 8),
        bn::color(16, 4, 0),
        bn::color(0, 0, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_88_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(101, 159),
        horizontal_line(104, 150),
        horizontal_line(106, 141),
        horizontal_line(109, 132),
        horizontal_line(111, 123),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_88_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(127, 148),
        horizontal_line(127, 148),
        horizontal_line(127, 148),
        horizontal_line(127, 148),
        horizontal_line(126, 148),
        horizontal_line(126, 147),
        horizontal_line(126, 145),
        horizontal_line(126, 143),
        horizontal_line(126, 141),
        horizontal_line(126, 139),
        horizontal_line(126, 137),
        horizontal_line(125, 135),
        horizontal_line(125, 133),
        horizontal_line(125, 131),
        horizontal_line(125, 129),
        horizontal_line(125, 127),
        horizontal_line(125, 125),
        horizontal_line(124, 124),
        horizontal_line(123, 130),
        horizontal_line(122, 136),
        horizontal_line(121, 142),
        horizontal_line(121, 149),
        horizontal_line(120, 155),
        horizontal_line(121, 161),
        horizontal_line(121, 167),
        horizontal_line(121, 173),
        horizontal_line(121, 173),
        horizontal_line(122, 174),
        horizontal_line(122, 175),
        horizontal_line(122, 175),
        horizontal_line(122, 176),
        horizontal_line(123, 177),
        horizontal_line(123, 178),
        horizontal_line(123, 178),
        horizontal_line(123, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(125, 183),
        horizontal_line(125, 183),
        horizontal_line(125, 184),
        horizontal_line(125, 185),
        horizontal_line(126, 186),
        horizontal_line(149, 186),
        horizontal_line(172, 187),
    };

    constexpr const horizontal_line frame_88_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
    };

    constexpr const shape frame_88_shape_group_0_shapes[] = {
        shape(frame_88_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_88_shape_group_0_shape_1_horizontal_lines, 82, 7),
        shape(frame_88_shape_group_0_shape_2_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_88_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(134, 193),
        horizontal_line(137, 193),
        horizontal_line(139, 192),
        horizontal_line(142, 191),
        horizontal_line(144, 190),
        horizontal_line(146, 190),
        horizontal_line(149, 189),
        horizontal_line(151, 188),
        horizontal_line(154, 187),
        horizontal_line(156, 187),
        horizontal_line(159, 177),
        horizontal_line(161, 168),
    };

    constexpr const horizontal_line frame_88_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(166, 177),
        horizontal_line(166, 173),
        horizontal_line(142, 149),
        horizontal_line(133, 149),
        horizontal_line(127, 149),
        horizontal_line(127, 148),
        horizontal_line(159, 184),
        horizontal_line(157, 183),
        horizontal_line(154, 183),
        horizontal_line(152, 182),
        horizontal_line(150, 182),
        horizontal_line(149, 181),
        horizontal_line(155, 181),
        horizontal_line(161, 180),
        horizontal_line(168, 180),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_88_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(138, 179),
        horizontal_line(136, 178),
        horizontal_line(134, 178),
        horizontal_line(132, 177),
        horizontal_line(130, 177),
        horizontal_line(128, 177),
        horizontal_line(126, 176),
        horizontal_line(125, 176),
        horizontal_line(131, 175),
        horizontal_line(137, 175),
        horizontal_line(143, 190),
        horizontal_line(150, 174),
        horizontal_line(156, 190),
        horizontal_line(162, 173),
        horizontal_line(168, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 191),
        horizontal_line(175, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 191),
        horizontal_line(178, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 192),
        horizontal_line(180, 192),
        horizontal_line(181, 192),
        horizontal_line(182, 192),
        horizontal_line(182, 192),
        horizontal_line(183, 192),
        horizontal_line(184, 192),
        horizontal_line(184, 193),
        horizontal_line(185, 193),
        horizontal_line(186, 193),
        horizontal_line(187, 193),
        horizontal_line(187, 193),
        horizontal_line(188, 193),
    };

    constexpr const horizontal_line frame_88_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(182, 194),
        horizontal_line(181, 195),
        horizontal_line(179, 196),
        horizontal_line(177, 197),
        horizontal_line(175, 198),
        horizontal_line(174, 199),
        horizontal_line(172, 200),
        horizontal_line(170, 201),
        horizontal_line(168, 203),
        horizontal_line(167, 204),
        horizontal_line(165, 205),
        horizontal_line(163, 206),
        horizontal_line(161, 207),
        horizontal_line(160, 208),
        horizontal_line(158, 209),
        horizontal_line(156, 210),
        horizontal_line(155, 212),
        horizontal_line(153, 213),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
    };

    constexpr const shape frame_88_shape_group_1_shapes[] = {
        shape(frame_88_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_88_shape_group_1_shape_1_horizontal_lines, 76, 7),
        shape(frame_88_shape_group_1_shape_2_horizontal_lines, 92, 8),
        shape(frame_88_shape_group_1_shape_3_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(131, 193),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(148, 209),
        horizontal_line(150, 208),
        horizontal_line(153, 207),
        horizontal_line(155, 207),
        horizontal_line(157, 206),
        horizontal_line(160, 205),
        horizontal_line(162, 204),
        horizontal_line(165, 204),
        horizontal_line(167, 203),
        horizontal_line(170, 202),
        horizontal_line(172, 201),
        horizontal_line(174, 200),
        horizontal_line(177, 200),
        horizontal_line(179, 199),
        horizontal_line(182, 198),
        horizontal_line(184, 197),
        horizontal_line(187, 197),
        horizontal_line(189, 196),
        horizontal_line(191, 195),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(178, 186),
        horizontal_line(169, 181),
        horizontal_line(183, 186),
        horizontal_line(184, 186),
        horizontal_line(166, 169),
        horizontal_line(166, 186),
        horizontal_line(163, 187),
        horizontal_line(161, 184),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(148, 148),
        horizontal_line(146, 154),
        horizontal_line(144, 160),
        horizontal_line(142, 167),
        horizontal_line(140, 173),
        horizontal_line(182, 188),
        horizontal_line(182, 188),
        horizontal_line(181, 189),
        horizontal_line(181, 189),
        horizontal_line(180, 189),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(177, 190),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(176, 190),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(175, 190),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(124, 148),
        horizontal_line(122, 171),
    };

    constexpr const horizontal_line frame_88_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(213, 214),
        horizontal_line(211, 215),
        horizontal_line(210, 216),
        horizontal_line(208, 217),
        horizontal_line(206, 218),
        horizontal_line(204, 219),
        horizontal_line(203, 221),
        horizontal_line(201, 222),
        horizontal_line(199, 223),
        horizontal_line(197, 224),
        horizontal_line(196, 225),
        horizontal_line(194, 226),
        horizontal_line(192, 227),
        horizontal_line(191, 229),
    };

    constexpr const shape frame_88_shape_group_2_shapes[] = {
        shape(frame_88_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_88_shape_group_2_shape_1_horizontal_lines, 74, 7),
        shape(frame_88_shape_group_2_shape_2_horizontal_lines, 83, 1),
        shape(frame_88_shape_group_2_shape_3_horizontal_lines, 84, 8),
        shape(frame_88_shape_group_2_shape_4_horizontal_lines, 102, 1),
        shape(frame_88_shape_group_2_shape_5_horizontal_lines, 103, 8),
        shape(frame_88_shape_group_2_shape_6_horizontal_lines, 105, 8),
        shape(frame_88_shape_group_2_shape_7_horizontal_lines, 126, 2),
        shape(frame_88_shape_group_2_shape_8_horizontal_lines, 146, 2),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 238),
        horizontal_line(186, 237),
        horizontal_line(186, 236),
        horizontal_line(186, 235),
        horizontal_line(186, 235),
        horizontal_line(186, 234),
        horizontal_line(186, 233),
        horizontal_line(186, 232),
        horizontal_line(186, 232),
        horizontal_line(186, 231),
        horizontal_line(186, 230),
        horizontal_line(186, 229),
        horizontal_line(186, 228),
        horizontal_line(186, 228),
        horizontal_line(186, 227),
        horizontal_line(186, 226),
        horizontal_line(186, 225),
        horizontal_line(186, 225),
        horizontal_line(186, 224),
        horizontal_line(186, 223),
        horizontal_line(186, 222),
        horizontal_line(186, 221),
        horizontal_line(186, 221),
        horizontal_line(186, 220),
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(186, 217),
        horizontal_line(188, 216),
        horizontal_line(190, 215),
        horizontal_line(193, 214),
        horizontal_line(195, 214),
        horizontal_line(198, 213),
        horizontal_line(200, 212),
        horizontal_line(202, 211),
        horizontal_line(205, 211),
        horizontal_line(207, 210),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(178, 182),
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(150, 165),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(149, 156),
        horizontal_line(118, 126),
        horizontal_line(116, 126),
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(185, 188),
        horizontal_line(184, 188),
        horizontal_line(183, 188),
        horizontal_line(183, 188),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(117, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_88_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const shape frame_88_shape_group_3_shapes[] = {
        shape(frame_88_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_88_shape_group_3_shape_1_horizontal_lines, 75, 7),
        shape(frame_88_shape_group_3_shape_2_horizontal_lines, 76, 8),
        shape(frame_88_shape_group_3_shape_3_horizontal_lines, 78, 7),
        shape(frame_88_shape_group_3_shape_4_horizontal_lines, 79, 1),
        shape(frame_88_shape_group_3_shape_5_horizontal_lines, 81, 7),
        shape(frame_88_shape_group_3_shape_6_horizontal_lines, 82, 1),
        shape(frame_88_shape_group_3_shape_7_horizontal_lines, 87, 8),
        shape(frame_88_shape_group_3_shape_8_horizontal_lines, 92, 1),
        shape(frame_88_shape_group_3_shape_9_horizontal_lines, 103, 1),
        shape(frame_88_shape_group_3_shape_10_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(160, 165),
        horizontal_line(151, 165),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 183),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(123, 126),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(149, 151),
        horizontal_line(149, 149),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(180, 181),
        horizontal_line(179, 181),
        horizontal_line(179, 180),
        horizontal_line(178, 180),
        horizontal_line(178, 179),
        horizontal_line(178, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 177),
        horizontal_line(176, 177),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_88_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const shape frame_88_shape_group_4_shapes[] = {
        shape(frame_88_shape_group_4_shape_0_horizontal_lines, 75, 8),
        shape(frame_88_shape_group_4_shape_1_horizontal_lines, 76, 1),
        shape(frame_88_shape_group_4_shape_2_horizontal_lines, 78, 8),
        shape(frame_88_shape_group_4_shape_3_horizontal_lines, 80, 1),
        shape(frame_88_shape_group_4_shape_4_horizontal_lines, 83, 3),
        shape(frame_88_shape_group_4_shape_5_horizontal_lines, 84, 1),
        shape(frame_88_shape_group_4_shape_6_horizontal_lines, 92, 9),
        shape(frame_88_shape_group_4_shape_7_horizontal_lines, 103, 9),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(149, 160),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_88_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(181, 183),
        horizontal_line(181, 182),
        horizontal_line(180, 182),
    };

    constexpr const shape frame_88_shape_group_5_shapes[] = {
        shape(frame_88_shape_group_5_shape_0_horizontal_lines, 78, 1),
        shape(frame_88_shape_group_5_shape_1_horizontal_lines, 80, 3),
        shape(frame_88_shape_group_5_shape_2_horizontal_lines, 81, 1),
        shape(frame_88_shape_group_5_shape_3_horizontal_lines, 82, 3),
        shape(frame_88_shape_group_5_shape_4_horizontal_lines, 83, 9),
        shape(frame_88_shape_group_5_shape_5_horizontal_lines, 84, 3),
        shape(frame_88_shape_group_5_shape_6_horizontal_lines, 85, 9),
    };

    constexpr const horizontal_line frame_88_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_88_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_88_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(184, 186),
    };

    constexpr const shape frame_88_shape_group_6_shapes[] = {
        shape(frame_88_shape_group_6_shape_0_horizontal_lines, 81, 3),
        shape(frame_88_shape_group_6_shape_1_horizontal_lines, 82, 9),
        shape(frame_88_shape_group_6_shape_2_horizontal_lines, 84, 9),
    };

    constexpr const horizontal_line frame_88_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const shape frame_88_shape_group_7_shapes[] = {
        shape(frame_88_shape_group_7_shape_0_horizontal_lines, 81, 9),
    };

    constexpr const shape_group frame_88_shape_groups[] = {
        shape_group(frame_88_shape_group_0_shapes),
        shape_group(frame_88_shape_group_1_shapes),
        shape_group(frame_88_shape_group_2_shapes),
        shape_group(frame_88_shape_group_3_shapes),
        shape_group(frame_88_shape_group_4_shapes),
        shape_group(frame_88_shape_group_5_shapes),
        shape_group(frame_88_shape_group_6_shapes),
        shape_group(frame_88_shape_group_7_shapes),
    };

    constexpr const frame frame_88_impl(frame_88_colors, frame_88_shape_groups);
} 

const frame& frame_88()
{
    return frame_88_impl;
}

namespace
{
    constexpr const bn::color frame_89_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_89_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(7, 64),
        horizontal_line(10, 60),
        horizontal_line(14, 57),
        horizontal_line(17, 53),
        horizontal_line(21, 49),
        horizontal_line(24, 46),
        horizontal_line(28, 42),
        horizontal_line(31, 38),
        horizontal_line(35, 35),
    };

    constexpr const horizontal_line frame_89_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 99),
        horizontal_line(39, 93),
        horizontal_line(39, 88),
        horizontal_line(39, 82),
        horizontal_line(39, 77),
        horizontal_line(40, 71),
        horizontal_line(40, 65),
        horizontal_line(40, 60),
        horizontal_line(41, 54),
        horizontal_line(41, 49),
        horizontal_line(41, 43),
    };

    constexpr const horizontal_line frame_89_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(197, 222),
        horizontal_line(144, 144),
        horizontal_line(141, 150),
        horizontal_line(139, 156),
        horizontal_line(136, 162),
        horizontal_line(134, 168),
        horizontal_line(131, 174),
        horizontal_line(129, 180),
        horizontal_line(127, 185),
        horizontal_line(124, 184),
        horizontal_line(122, 184),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(109, 171),
        horizontal_line(114, 176),
        horizontal_line(119, 181),
        horizontal_line(124, 181),
        horizontal_line(129, 181),
        horizontal_line(134, 181),
        horizontal_line(139, 180),
        horizontal_line(145, 180),
        horizontal_line(150, 180),
        horizontal_line(155, 180),
        horizontal_line(160, 179),
        horizontal_line(165, 179),
        horizontal_line(170, 179),
        horizontal_line(175, 237),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
    };

    constexpr const shape frame_89_shape_group_0_shapes[] = {
        shape(frame_89_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_89_shape_group_0_shape_1_horizontal_lines, 65, 3),
        shape(frame_89_shape_group_0_shape_2_horizontal_lines, 86, 8),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 120),
        horizontal_line(62, 116),
        horizontal_line(62, 112),
        horizontal_line(62, 109),
        horizontal_line(62, 105),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 94),
        horizontal_line(62, 90),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
        horizontal_line(62, 75),
        horizontal_line(62, 72),
        horizontal_line(65, 68),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(107, 120),
        horizontal_line(109, 120),
        horizontal_line(110, 119),
        horizontal_line(112, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 118),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(146, 165),
        horizontal_line(146, 165),
        horizontal_line(147, 166),
        horizontal_line(147, 167),
        horizontal_line(147, 168),
        horizontal_line(147, 161),
        horizontal_line(147, 154),
        horizontal_line(100, 108),
        horizontal_line(100, 107),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(185, 199),
        horizontal_line(181, 194),
        horizontal_line(177, 193),
        horizontal_line(173, 183),
        horizontal_line(201, 203),
        horizontal_line(200, 206),
        horizontal_line(200, 208),
        horizontal_line(199, 211),
        horizontal_line(199, 214),
        horizontal_line(198, 216),
        horizontal_line(198, 219),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(197, 224),
        horizontal_line(196, 227),
        horizontal_line(196, 230),
        horizontal_line(195, 232),
        horizontal_line(195, 235),
        horizontal_line(194, 238),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_89_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
    };

    constexpr const shape frame_89_shape_group_1_shapes[] = {
        shape(frame_89_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_89_shape_group_1_shape_1_horizontal_lines, 56, 2),
        shape(frame_89_shape_group_1_shape_2_horizontal_lines, 63, 3),
        shape(frame_89_shape_group_1_shape_3_horizontal_lines, 75, 8),
        shape(frame_89_shape_group_1_shape_4_horizontal_lines, 86, 5),
        shape(frame_89_shape_group_1_shape_5_horizontal_lines, 87, 8),
        shape(frame_89_shape_group_1_shape_6_horizontal_lines, 119, 5),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 183),
        horizontal_line(124, 179),
        horizontal_line(124, 175),
        horizontal_line(124, 172),
        horizontal_line(124, 168),
        horizontal_line(124, 164),
        horizontal_line(124, 161),
        horizontal_line(124, 157),
        horizontal_line(124, 153),
        horizontal_line(124, 149),
        horizontal_line(124, 146),
        horizontal_line(124, 142),
        horizontal_line(124, 138),
        horizontal_line(124, 135),
        horizontal_line(124, 131),
        horizontal_line(124, 127),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(121, 125),
        horizontal_line(117, 125),
        horizontal_line(113, 125),
        horizontal_line(110, 124),
        horizontal_line(106, 124),
        horizontal_line(102, 124),
        horizontal_line(99, 123),
        horizontal_line(95, 123),
        horizontal_line(96, 122),
        horizontal_line(97, 122),
        horizontal_line(99, 122),
        horizontal_line(101, 121),
        horizontal_line(102, 121),
        horizontal_line(104, 121),
        horizontal_line(106, 120),
        horizontal_line(147, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(146, 163),
        horizontal_line(146, 164),
        horizontal_line(98, 115),
        horizontal_line(98, 114),
        horizontal_line(98, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 111),
        horizontal_line(99, 110),
        horizontal_line(99, 109),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(194, 197),
        horizontal_line(193, 197),
        horizontal_line(189, 198),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(198, 199),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(181, 184),
        horizontal_line(179, 184),
        horizontal_line(177, 183),
        horizontal_line(174, 183),
        horizontal_line(172, 183),
        horizontal_line(169, 183),
        horizontal_line(167, 182),
        horizontal_line(166, 182),
        horizontal_line(171, 182),
        horizontal_line(176, 182),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_89_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(50, 82),
        horizontal_line(50, 81),
        horizontal_line(51, 80),
        horizontal_line(51, 79),
        horizontal_line(51, 77),
        horizontal_line(51, 76),
        horizontal_line(52, 75),
        horizontal_line(52, 74),
        horizontal_line(52, 72),
        horizontal_line(52, 71),
        horizontal_line(53, 70),
        horizontal_line(53, 68),
        horizontal_line(53, 67),
        horizontal_line(53, 66),
        horizontal_line(54, 65),
        horizontal_line(54, 63),
        horizontal_line(54, 62),
        horizontal_line(54, 61),
        horizontal_line(55, 60),
        horizontal_line(55, 58),
        horizontal_line(55, 57),
        horizontal_line(56, 56),
    };

    constexpr const shape frame_89_shape_group_2_shapes[] = {
        shape(frame_89_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_89_shape_group_2_shape_1_horizontal_lines, 41, 2),
        shape(frame_89_shape_group_2_shape_2_horizontal_lines, 63, 3),
        shape(frame_89_shape_group_2_shape_3_horizontal_lines, 72, 8),
        shape(frame_89_shape_group_2_shape_4_horizontal_lines, 75, 5),
        shape(frame_89_shape_group_2_shape_5_horizontal_lines, 76, 8),
        shape(frame_89_shape_group_2_shape_6_horizontal_lines, 78, 5),
        shape(frame_89_shape_group_2_shape_7_horizontal_lines, 86, 1),
        shape(frame_89_shape_group_2_shape_8_horizontal_lines, 87, 5),
        shape(frame_89_shape_group_2_shape_9_horizontal_lines, 96, 8),
        shape(frame_89_shape_group_2_shape_10_horizontal_lines, 108, 5),
        shape(frame_89_shape_group_2_shape_11_horizontal_lines, 119, 1),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 235),
        horizontal_line(186, 231),
        horizontal_line(186, 227),
        horizontal_line(186, 224),
        horizontal_line(186, 220),
        horizontal_line(186, 216),
        horizontal_line(186, 213),
        horizontal_line(186, 209),
        horizontal_line(186, 205),
        horizontal_line(186, 201),
        horizontal_line(186, 198),
        horizontal_line(186, 194),
        horizontal_line(186, 190),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(165, 170),
        horizontal_line(162, 171),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(150, 154),
        horizontal_line(147, 173),
        horizontal_line(143, 158),
        horizontal_line(144, 158),
        horizontal_line(146, 158),
        horizontal_line(148, 158),
        horizontal_line(149, 158),
        horizontal_line(125, 126),
        horizontal_line(153, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(125, 147),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(148, 152),
        horizontal_line(148, 154),
        horizontal_line(148, 157),
        horizontal_line(148, 159),
        horizontal_line(147, 162),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(65, 106),
        horizontal_line(61, 108),
        horizontal_line(58, 109),
        horizontal_line(54, 111),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(43, 105),
        horizontal_line(101, 118),
        horizontal_line(98, 116),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(191, 192),
        horizontal_line(192, 193),
        horizontal_line(192, 194),
        horizontal_line(192, 194),
        horizontal_line(193, 195),
        horizontal_line(193, 196),
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(83, 105),
        horizontal_line(78, 105),
        horizontal_line(72, 105),
        horizontal_line(66, 105),
        horizontal_line(61, 105),
        horizontal_line(55, 105),
        horizontal_line(50, 105),
        horizontal_line(44, 104),
        horizontal_line(145, 146),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(43, 104),
        horizontal_line(43, 104),
        horizontal_line(43, 104),
        horizontal_line(43, 104),
        horizontal_line(44, 103),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_89_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(47, 96),
        horizontal_line(47, 95),
        horizontal_line(48, 94),
        horizontal_line(48, 93),
        horizontal_line(48, 91),
        horizontal_line(48, 90),
        horizontal_line(49, 89),
        horizontal_line(49, 88),
        horizontal_line(49, 86),
        horizontal_line(49, 85),
        horizontal_line(50, 84),
    };

    constexpr const shape frame_89_shape_group_3_shapes[] = {
        shape(frame_89_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_89_shape_group_3_shape_1_horizontal_lines, 28, 2),
        shape(frame_89_shape_group_3_shape_2_horizontal_lines, 45, 3),
        shape(frame_89_shape_group_3_shape_3_horizontal_lines, 46, 2),
        shape(frame_89_shape_group_3_shape_4_horizontal_lines, 56, 3),
        shape(frame_89_shape_group_3_shape_5_horizontal_lines, 65, 8),
        shape(frame_89_shape_group_3_shape_6_horizontal_lines, 72, 5),
        shape(frame_89_shape_group_3_shape_7_horizontal_lines, 75, 1),
        shape(frame_89_shape_group_3_shape_8_horizontal_lines, 76, 5),
        shape(frame_89_shape_group_3_shape_9_horizontal_lines, 78, 1),
        shape(frame_89_shape_group_3_shape_10_horizontal_lines, 96, 5),
        shape(frame_89_shape_group_3_shape_11_horizontal_lines, 108, 1),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(158, 173),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(159, 174),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(132, 139),
        horizontal_line(128, 140),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(151, 158),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(126, 142),
        horizontal_line(126, 143),
        horizontal_line(126, 144),
        horizontal_line(125, 145),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(149, 180),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(160, 181),
        horizontal_line(161, 181),
        horizontal_line(162, 182),
        horizontal_line(162, 183),
        horizontal_line(163, 183),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(80, 100),
        horizontal_line(76, 101),
        horizontal_line(73, 103),
        horizontal_line(69, 105),
        horizontal_line(121, 146),
        horizontal_line(121, 145),
        horizontal_line(120, 145),
        horizontal_line(120, 145),
        horizontal_line(120, 145),
        horizontal_line(119, 145),
        horizontal_line(119, 145),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(109, 168),
        horizontal_line(108, 126),
        horizontal_line(106, 106),
        horizontal_line(147, 168),
        horizontal_line(94, 105),
        horizontal_line(89, 105),
        horizontal_line(146, 168),
        horizontal_line(146, 168),
        horizontal_line(146, 164),
        horizontal_line(146, 161),
        horizontal_line(146, 158),
        horizontal_line(145, 155),
        horizontal_line(145, 152),
        horizontal_line(145, 149),
        horizontal_line(103, 104),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(187, 194),
        horizontal_line(187, 193),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(44, 103),
        horizontal_line(44, 103),
        horizontal_line(44, 103),
        horizontal_line(45, 103),
        horizontal_line(45, 103),
        horizontal_line(45, 103),
        horizontal_line(46, 103),
        horizontal_line(46, 103),
        horizontal_line(46, 102),
        horizontal_line(46, 100),
        horizontal_line(47, 99),
        horizontal_line(47, 98),
    };

    constexpr const horizontal_line frame_89_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(182, 183),
        horizontal_line(181, 183),
        horizontal_line(181, 182),
        horizontal_line(181, 182),
        horizontal_line(181, 181),
        horizontal_line(180, 181),
        horizontal_line(180, 180),
        horizontal_line(180, 180),
    };

    constexpr const shape frame_89_shape_group_4_shapes[] = {
        shape(frame_89_shape_group_4_shape_0_horizontal_lines, 32, 3),
        shape(frame_89_shape_group_4_shape_1_horizontal_lines, 33, 2),
        shape(frame_89_shape_group_4_shape_2_horizontal_lines, 35, 4),
        shape(frame_89_shape_group_4_shape_3_horizontal_lines, 37, 3),
        shape(frame_89_shape_group_4_shape_4_horizontal_lines, 40, 2),
        shape(frame_89_shape_group_4_shape_5_horizontal_lines, 41, 3),
        shape(frame_89_shape_group_4_shape_6_horizontal_lines, 45, 4),
        shape(frame_89_shape_group_4_shape_7_horizontal_lines, 46, 2),
        shape(frame_89_shape_group_4_shape_8_horizontal_lines, 51, 3),
        shape(frame_89_shape_group_4_shape_9_horizontal_lines, 63, 8),
        shape(frame_89_shape_group_4_shape_10_horizontal_lines, 65, 5),
        shape(frame_89_shape_group_4_shape_11_horizontal_lines, 72, 1),
        shape(frame_89_shape_group_4_shape_12_horizontal_lines, 91, 9),
        shape(frame_89_shape_group_4_shape_13_horizontal_lines, 96, 1),
        shape(frame_89_shape_group_4_shape_14_horizontal_lines, 108, 9),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(159, 175),
        horizontal_line(144, 145),
        horizontal_line(144, 147),
        horizontal_line(145, 148),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(146, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 155),
        horizontal_line(148, 157),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(125, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(91, 95),
        horizontal_line(87, 96),
        horizontal_line(123, 146),
        horizontal_line(122, 146),
        horizontal_line(122, 146),
        horizontal_line(122, 146),
        horizontal_line(121, 146),
        horizontal_line(164, 186),
        horizontal_line(164, 187),
        horizontal_line(164, 187),
        horizontal_line(164, 187),
        horizontal_line(164, 188),
        horizontal_line(164, 177),
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(116, 145),
        horizontal_line(115, 145),
        horizontal_line(114, 146),
        horizontal_line(113, 146),
        horizontal_line(112, 146),
        horizontal_line(111, 146),
        horizontal_line(110, 146),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(147, 168),
        horizontal_line(147, 168),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(147, 168),
        horizontal_line(147, 168),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(194, 201),
        horizontal_line(193, 200),
        horizontal_line(193, 199),
        horizontal_line(192, 199),
        horizontal_line(192, 198),
        horizontal_line(191, 198),
        horizontal_line(191, 197),
        horizontal_line(190, 197),
        horizontal_line(190, 196),
        horizontal_line(189, 196),
        horizontal_line(189, 195),
        horizontal_line(188, 195),
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_89_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(185, 191),
        horizontal_line(185, 190),
        horizontal_line(185, 190),
        horizontal_line(184, 189),
        horizontal_line(184, 189),
        horizontal_line(184, 188),
        horizontal_line(184, 188),
        horizontal_line(183, 187),
        horizontal_line(183, 187),
        horizontal_line(183, 186),
        horizontal_line(183, 185),
        horizontal_line(182, 185),
    };

    constexpr const shape frame_89_shape_group_5_shapes[] = {
        shape(frame_89_shape_group_5_shape_0_horizontal_lines, 33, 3),
        shape(frame_89_shape_group_5_shape_1_horizontal_lines, 36, 4),
        shape(frame_89_shape_group_5_shape_2_horizontal_lines, 40, 3),
        shape(frame_89_shape_group_5_shape_3_horizontal_lines, 41, 4),
        shape(frame_89_shape_group_5_shape_4_horizontal_lines, 45, 8),
        shape(frame_89_shape_group_5_shape_5_horizontal_lines, 46, 3),
        shape(frame_89_shape_group_5_shape_6_horizontal_lines, 63, 5),
        shape(frame_89_shape_group_5_shape_7_horizontal_lines, 65, 1),
        shape(frame_89_shape_group_5_shape_8_horizontal_lines, 73, 1),
        shape(frame_89_shape_group_5_shape_9_horizontal_lines, 76, 1),
        shape(frame_89_shape_group_5_shape_10_horizontal_lines, 78, 9),
        shape(frame_89_shape_group_5_shape_11_horizontal_lines, 96, 9),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(159, 175),
        horizontal_line(159, 176),
        horizontal_line(159, 176),
        horizontal_line(146, 150),
        horizontal_line(159, 178),
        horizontal_line(159, 178),
        horizontal_line(159, 179),
        horizontal_line(159, 180),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(150, 159),
        horizontal_line(153, 160),
        horizontal_line(155, 161),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(123, 147),
        horizontal_line(123, 147),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 186),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(188, 188),
        horizontal_line(188, 188),
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(109, 114),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(119, 145),
        horizontal_line(117, 145),
        horizontal_line(166, 190),
        horizontal_line(166, 185),
        horizontal_line(167, 179),
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(162, 168),
        horizontal_line(155, 168),
    };

    constexpr const horizontal_line frame_89_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(195, 197),
        horizontal_line(194, 199),
    };

    constexpr const shape frame_89_shape_group_6_shapes[] = {
        shape(frame_89_shape_group_6_shape_0_horizontal_lines, 36, 8),
        shape(frame_89_shape_group_6_shape_1_horizontal_lines, 37, 4),
        shape(frame_89_shape_group_6_shape_2_horizontal_lines, 46, 4),
        shape(frame_89_shape_group_6_shape_3_horizontal_lines, 49, 3),
        shape(frame_89_shape_group_6_shape_4_horizontal_lines, 56, 8),
        shape(frame_89_shape_group_6_shape_5_horizontal_lines, 60, 3),
        shape(frame_89_shape_group_6_shape_6_horizontal_lines, 62, 8),
        shape(frame_89_shape_group_6_shape_7_horizontal_lines, 63, 1),
        shape(frame_89_shape_group_6_shape_8_horizontal_lines, 70, 1),
        shape(frame_89_shape_group_6_shape_9_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(139, 143),
        horizontal_line(140, 143),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 177),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(144, 146),
        horizontal_line(145, 146),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(160, 162),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_89_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(164, 189),
        horizontal_line(165, 190),
    };

    constexpr const shape frame_89_shape_group_7_shapes[] = {
        shape(frame_89_shape_group_7_shape_0_horizontal_lines, 37, 8),
        shape(frame_89_shape_group_7_shape_1_horizontal_lines, 40, 4),
        shape(frame_89_shape_group_7_shape_2_horizontal_lines, 41, 8),
        shape(frame_89_shape_group_7_shape_3_horizontal_lines, 49, 4),
        shape(frame_89_shape_group_7_shape_4_horizontal_lines, 54, 8),
        shape(frame_89_shape_group_7_shape_5_horizontal_lines, 55, 5),
        shape(frame_89_shape_group_7_shape_6_horizontal_lines, 60, 8),
        shape(frame_89_shape_group_7_shape_7_horizontal_lines, 62, 5),
        shape(frame_89_shape_group_7_shape_8_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_89_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_89_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_89_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(164, 189),
    };

    constexpr const shape frame_89_shape_group_8_shapes[] = {
        shape(frame_89_shape_group_8_shape_0_horizontal_lines, 40, 8),
        shape(frame_89_shape_group_8_shape_1_horizontal_lines, 60, 5),
        shape(frame_89_shape_group_8_shape_2_horizontal_lines, 62, 1),
    };

    constexpr const horizontal_line frame_89_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(178, 188),
    };

    constexpr const shape frame_89_shape_group_9_shapes[] = {
        shape(frame_89_shape_group_9_shape_0_horizontal_lines, 61, 1),
    };

    constexpr const shape_group frame_89_shape_groups[] = {
        shape_group(frame_89_shape_group_0_shapes),
        shape_group(frame_89_shape_group_1_shapes),
        shape_group(frame_89_shape_group_2_shapes),
        shape_group(frame_89_shape_group_3_shapes),
        shape_group(frame_89_shape_group_4_shapes),
        shape_group(frame_89_shape_group_5_shapes),
        shape_group(frame_89_shape_group_6_shapes),
        shape_group(frame_89_shape_group_7_shapes),
        shape_group(frame_89_shape_group_8_shapes),
        shape_group(frame_89_shape_group_9_shapes),
    };

    constexpr const frame frame_89_impl(frame_89_colors, frame_89_shape_groups);
} 

const frame& frame_89()
{
    return frame_89_impl;
}

namespace
{
    constexpr const bn::color frame_90_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_90_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 44),
        horizontal_line(0, 29),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_90_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(182, 197),
        horizontal_line(177, 190),
        horizontal_line(173, 179),
        horizontal_line(209, 234),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(142, 142),
        horizontal_line(139, 147),
        horizontal_line(136, 153),
        horizontal_line(133, 159),
        horizontal_line(130, 165),
        horizontal_line(127, 170),
        horizontal_line(124, 176),
        horizontal_line(122, 182),
        horizontal_line(119, 181),
        horizontal_line(116, 178),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(106, 168),
        horizontal_line(111, 173),
        horizontal_line(115, 177),
        horizontal_line(120, 182),
        horizontal_line(124, 183),
        horizontal_line(129, 183),
        horizontal_line(133, 183),
        horizontal_line(138, 182),
        horizontal_line(142, 182),
        horizontal_line(147, 182),
        horizontal_line(151, 182),
        horizontal_line(156, 182),
        horizontal_line(160, 181),
        horizontal_line(165, 181),
        horizontal_line(169, 181),
        horizontal_line(174, 181),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
    };

    constexpr const shape frame_90_shape_group_0_shapes[] = {
        shape(frame_90_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_90_shape_group_0_shape_1_horizontal_lines, 77, 8),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(118, 120),
        horizontal_line(118, 123),
        horizontal_line(119, 126),
        horizontal_line(120, 129),
        horizontal_line(120, 132),
        horizontal_line(121, 134),
        horizontal_line(119, 120),
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(118, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 125),
        horizontal_line(117, 126),
        horizontal_line(116, 127),
        horizontal_line(116, 128),
        horizontal_line(116, 129),
        horizontal_line(115, 130),
        horizontal_line(115, 131),
        horizontal_line(115, 132),
        horizontal_line(114, 133),
        horizontal_line(114, 134),
        horizontal_line(114, 135),
        horizontal_line(113, 136),
        horizontal_line(113, 137),
        horizontal_line(113, 138),
        horizontal_line(112, 139),
        horizontal_line(112, 140),
        horizontal_line(112, 141),
        horizontal_line(111, 142),
        horizontal_line(111, 143),
        horizontal_line(111, 144),
        horizontal_line(110, 144),
        horizontal_line(110, 144),
        horizontal_line(110, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(108, 143),
        horizontal_line(108, 143),
        horizontal_line(108, 143),
        horizontal_line(107, 143),
        horizontal_line(107, 143),
        horizontal_line(107, 143),
        horizontal_line(106, 143),
        horizontal_line(106, 142),
        horizontal_line(106, 142),
        horizontal_line(163, 191),
        horizontal_line(114, 142),
        horizontal_line(123, 142),
        horizontal_line(132, 142),
        horizontal_line(142, 142),
        horizontal_line(143, 161),
        horizontal_line(143, 162),
        horizontal_line(143, 163),
        horizontal_line(144, 164),
        horizontal_line(144, 165),
        horizontal_line(144, 166),
        horizontal_line(145, 167),
        horizontal_line(145, 168),
        horizontal_line(145, 156),
        horizontal_line(62, 90),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(199, 210),
        horizontal_line(195, 211),
        horizontal_line(190, 198),
        horizontal_line(186, 197),
        horizontal_line(210, 221),
        horizontal_line(210, 225),
        horizontal_line(209, 230),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_90_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
    };

    constexpr const shape frame_90_shape_group_1_shapes[] = {
        shape(frame_90_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_90_shape_group_1_shape_1_horizontal_lines, 10, 3),
        shape(frame_90_shape_group_1_shape_2_horizontal_lines, 73, 8),
        shape(frame_90_shape_group_1_shape_3_horizontal_lines, 80, 1),
        shape(frame_90_shape_group_1_shape_4_horizontal_lines, 89, 8),
        shape(frame_90_shape_group_1_shape_5_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(73, 111),
        horizontal_line(74, 111),
        horizontal_line(76, 112),
        horizontal_line(78, 112),
        horizontal_line(79, 113),
        horizontal_line(81, 113),
        horizontal_line(83, 114),
        horizontal_line(84, 115),
        horizontal_line(86, 115),
        horizontal_line(88, 116),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(123, 140),
        horizontal_line(124, 143),
        horizontal_line(126, 146),
        horizontal_line(127, 149),
        horizontal_line(128, 152),
        horizontal_line(129, 152),
        horizontal_line(132, 153),
        horizontal_line(135, 153),
        horizontal_line(138, 154),
        horizontal_line(141, 154),
        horizontal_line(144, 155),
        horizontal_line(147, 155),
        horizontal_line(150, 156),
        horizontal_line(153, 156),
        horizontal_line(156, 157),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(163, 188),
        horizontal_line(163, 189),
        horizontal_line(163, 189),
        horizontal_line(163, 190),
        horizontal_line(163, 190),
        horizontal_line(163, 190),
        horizontal_line(62, 124),
        horizontal_line(163, 191),
        horizontal_line(163, 192),
        horizontal_line(163, 192),
        horizontal_line(163, 177),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(198, 209),
        horizontal_line(199, 210),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(60, 90),
        horizontal_line(45, 90),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(211, 216),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(144, 168),
        horizontal_line(144, 165),
        horizontal_line(144, 162),
        horizontal_line(144, 159),
        horizontal_line(143, 156),
        horizontal_line(143, 153),
        horizontal_line(143, 150),
        horizontal_line(143, 147),
        horizontal_line(143, 144),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(181, 187),
        horizontal_line(178, 186),
        horizontal_line(175, 186),
        horizontal_line(172, 186),
        horizontal_line(169, 186),
        horizontal_line(167, 186),
        horizontal_line(164, 185),
        horizontal_line(161, 185),
        horizontal_line(158, 185),
        horizontal_line(155, 185),
        horizontal_line(152, 185),
        horizontal_line(151, 184),
        horizontal_line(155, 184),
        horizontal_line(159, 184),
        horizontal_line(164, 184),
        horizontal_line(168, 184),
        horizontal_line(173, 184),
        horizontal_line(177, 183),
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_90_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
    };

    constexpr const shape frame_90_shape_group_2_shapes[] = {
        shape(frame_90_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_90_shape_group_2_shape_1_horizontal_lines, 17, 3),
        shape(frame_90_shape_group_2_shape_2_horizontal_lines, 71, 8),
        shape(frame_90_shape_group_2_shape_3_horizontal_lines, 73, 1),
        shape(frame_90_shape_group_2_shape_4_horizontal_lines, 75, 8),
        shape(frame_90_shape_group_2_shape_5_horizontal_lines, 77, 1),
        shape(frame_90_shape_group_2_shape_6_horizontal_lines, 97, 8),
        shape(frame_90_shape_group_2_shape_7_horizontal_lines, 116, 1),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(112, 156),
        horizontal_line(112, 156),
        horizontal_line(113, 157),
        horizontal_line(113, 158),
        horizontal_line(114, 158),
        horizontal_line(114, 159),
        horizontal_line(115, 160),
        horizontal_line(116, 161),
        horizontal_line(116, 161),
        horizontal_line(117, 162),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(89, 116),
        horizontal_line(91, 117),
        horizontal_line(93, 117),
        horizontal_line(94, 118),
        horizontal_line(96, 119),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(54, 115),
        horizontal_line(56, 114),
        horizontal_line(57, 114),
        horizontal_line(59, 114),
        horizontal_line(61, 113),
        horizontal_line(62, 113),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(66, 112),
        horizontal_line(67, 112),
        horizontal_line(69, 112),
        horizontal_line(71, 111),
        horizontal_line(72, 111),
        horizontal_line(74, 111),
        horizontal_line(76, 110),
        horizontal_line(77, 110),
        horizontal_line(79, 110),
        horizontal_line(81, 109),
        horizontal_line(82, 109),
        horizontal_line(84, 109),
        horizontal_line(86, 108),
        horizontal_line(87, 108),
        horizontal_line(89, 108),
        horizontal_line(91, 107),
        horizontal_line(92, 107),
        horizontal_line(94, 107),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(124, 142),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(195, 204),
        horizontal_line(195, 204),
        horizontal_line(195, 205),
        horizontal_line(196, 206),
        horizontal_line(196, 206),
        horizontal_line(197, 207),
        horizontal_line(197, 208),
        horizontal_line(198, 208),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(91, 153),
        horizontal_line(75, 90),
        horizontal_line(145, 168),
        horizontal_line(145, 168),
        horizontal_line(30, 90),
        horizontal_line(15, 77),
        horizontal_line(145, 168),
        horizontal_line(144, 168),
        horizontal_line(144, 168),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_90_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(182, 183),
        horizontal_line(182, 182),
        horizontal_line(182, 182),
    };

    constexpr const shape frame_90_shape_group_3_shapes[] = {
        shape(frame_90_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_90_shape_group_3_shape_1_horizontal_lines, 10, 2),
        shape(frame_90_shape_group_3_shape_2_horizontal_lines, 32, 3),
        shape(frame_90_shape_group_3_shape_3_horizontal_lines, 33, 2),
        shape(frame_90_shape_group_3_shape_4_horizontal_lines, 51, 3),
        shape(frame_90_shape_group_3_shape_5_horizontal_lines, 62, 2),
        shape(frame_90_shape_group_3_shape_6_horizontal_lines, 63, 8),
        shape(frame_90_shape_group_3_shape_7_horizontal_lines, 71, 1),
        shape(frame_90_shape_group_3_shape_8_horizontal_lines, 124, 9),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(165, 166),
        horizontal_line(165, 167),
        horizontal_line(166, 167),
        horizontal_line(167, 168),
        horizontal_line(167, 169),
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 163),
        horizontal_line(121, 164),
        horizontal_line(124, 165),
        horizontal_line(127, 166),
        horizontal_line(130, 166),
        horizontal_line(133, 167),
        horizontal_line(135, 168),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(101, 118),
        horizontal_line(103, 117),
        horizontal_line(104, 117),
        horizontal_line(106, 117),
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(153, 170),
        horizontal_line(131, 131),
        horizontal_line(132, 134),
        horizontal_line(133, 137),
        horizontal_line(135, 140),
        horizontal_line(136, 143),
        horizontal_line(137, 146),
        horizontal_line(139, 149),
        horizontal_line(140, 152),
        horizontal_line(64, 113),
        horizontal_line(143, 180),
        horizontal_line(145, 158),
        horizontal_line(146, 158),
        horizontal_line(148, 158),
        horizontal_line(149, 158),
        horizontal_line(151, 158),
        horizontal_line(152, 158),
        horizontal_line(154, 158),
        horizontal_line(155, 158),
        horizontal_line(145, 146),
        horizontal_line(145, 148),
        horizontal_line(145, 150),
        horizontal_line(145, 152),
        horizontal_line(145, 154),
        horizontal_line(145, 156),
        horizontal_line(144, 158),
        horizontal_line(144, 160),
        horizontal_line(144, 162),
        horizontal_line(96, 106),
        horizontal_line(97, 106),
        horizontal_line(99, 106),
        horizontal_line(101, 105),
        horizontal_line(102, 105),
        horizontal_line(104, 105),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(100, 142),
        horizontal_line(99, 142),
        horizontal_line(98, 143),
        horizontal_line(97, 143),
        horizontal_line(96, 143),
        horizontal_line(95, 144),
        horizontal_line(94, 144),
        horizontal_line(93, 144),
        horizontal_line(153, 168),
        horizontal_line(145, 168),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(145, 168),
        horizontal_line(145, 168),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(196, 208),
        horizontal_line(196, 207),
        horizontal_line(195, 207),
        horizontal_line(195, 206),
        horizontal_line(194, 206),
        horizontal_line(194, 205),
        horizontal_line(193, 204),
        horizontal_line(193, 204),
        horizontal_line(192, 203),
        horizontal_line(192, 203),
        horizontal_line(191, 202),
        horizontal_line(191, 202),
        horizontal_line(190, 201),
        horizontal_line(190, 201),
        horizontal_line(189, 200),
        horizontal_line(189, 199),
        horizontal_line(188, 199),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_90_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(184, 188),
        horizontal_line(184, 187),
        horizontal_line(184, 187),
        horizontal_line(183, 186),
        horizontal_line(183, 186),
        horizontal_line(183, 185),
        horizontal_line(183, 184),
        horizontal_line(183, 184),
    };

    constexpr const shape frame_90_shape_group_4_shapes[] = {
        shape(frame_90_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_90_shape_group_4_shape_1_horizontal_lines, 10, 7),
        shape(frame_90_shape_group_4_shape_2_horizontal_lines, 17, 2),
        shape(frame_90_shape_group_4_shape_3_horizontal_lines, 62, 8),
        shape(frame_90_shape_group_4_shape_4_horizontal_lines, 63, 1),
        shape(frame_90_shape_group_4_shape_5_horizontal_lines, 75, 1),
        shape(frame_90_shape_group_4_shape_6_horizontal_lines, 80, 9),
        shape(frame_90_shape_group_4_shape_7_horizontal_lines, 97, 1),
        shape(frame_90_shape_group_4_shape_8_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(168, 170),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(170, 172),
        horizontal_line(171, 172),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(138, 169),
        horizontal_line(141, 170),
        horizontal_line(144, 171),
        horizontal_line(147, 172),
        horizontal_line(150, 172),
        horizontal_line(153, 173),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(111, 116),
        horizontal_line(154, 175),
        horizontal_line(154, 176),
        horizontal_line(155, 177),
        horizontal_line(155, 178),
        horizontal_line(156, 178),
        horizontal_line(156, 178),
        horizontal_line(157, 179),
        horizontal_line(157, 179),
        horizontal_line(142, 155),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(159, 175),
        horizontal_line(160, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(162, 187),
        horizontal_line(163, 187),
        horizontal_line(164, 188),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(143, 162),
        horizontal_line(143, 162),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(192, 200),
        horizontal_line(192, 201),
        horizontal_line(193, 201),
        horizontal_line(193, 202),
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(101, 142),
        horizontal_line(163, 194),
        horizontal_line(164, 194),
        horizontal_line(165, 192),
        horizontal_line(166, 186),
        horizontal_line(167, 179),
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(157, 168),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(199, 211),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(77, 90),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(198, 209),
        horizontal_line(197, 209),
        horizontal_line(197, 208),
    };

    constexpr const horizontal_line frame_90_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(188, 198),
        horizontal_line(187, 198),
        horizontal_line(187, 197),
        horizontal_line(187, 197),
        horizontal_line(187, 196),
        horizontal_line(187, 196),
        horizontal_line(186, 195),
        horizontal_line(186, 194),
        horizontal_line(186, 194),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(185, 192),
        horizontal_line(185, 192),
        horizontal_line(185, 191),
        horizontal_line(185, 191),
        horizontal_line(185, 190),
        horizontal_line(185, 189),
        horizontal_line(184, 189),
        horizontal_line(184, 188),
    };

    constexpr const shape frame_90_shape_group_5_shapes[] = {
        shape(frame_90_shape_group_5_shape_0_horizontal_lines, 10, 8),
        shape(frame_90_shape_group_5_shape_1_horizontal_lines, 17, 7),
        shape(frame_90_shape_group_5_shape_2_horizontal_lines, 23, 2),
        shape(frame_90_shape_group_5_shape_3_horizontal_lines, 33, 8),
        shape(frame_90_shape_group_5_shape_4_horizontal_lines, 34, 2),
        shape(frame_90_shape_group_5_shape_5_horizontal_lines, 35, 8),
        shape(frame_90_shape_group_5_shape_6_horizontal_lines, 42, 2),
        shape(frame_90_shape_group_5_shape_7_horizontal_lines, 43, 8),
        shape(frame_90_shape_group_5_shape_8_horizontal_lines, 44, 2),
        shape(frame_90_shape_group_5_shape_9_horizontal_lines, 57, 8),
        shape(frame_90_shape_group_5_shape_10_horizontal_lines, 62, 1),
        shape(frame_90_shape_group_5_shape_11_horizontal_lines, 70, 1),
        shape(frame_90_shape_group_5_shape_12_horizontal_lines, 75, 9),
        shape(frame_90_shape_group_5_shape_13_horizontal_lines, 76, 1),
        shape(frame_90_shape_group_5_shape_14_horizontal_lines, 77, 9),
        shape(frame_90_shape_group_5_shape_15_horizontal_lines, 97, 9),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(171, 173),
        horizontal_line(172, 174),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
        horizontal_line(123, 123),
        horizontal_line(124, 125),
        horizontal_line(125, 126),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(131, 134),
        horizontal_line(132, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(181, 185),
        horizontal_line(138, 140),
        horizontal_line(182, 186),
        horizontal_line(183, 187),
        horizontal_line(183, 187),
        horizontal_line(183, 188),
        horizontal_line(184, 188),
        horizontal_line(184, 189),
        horizontal_line(185, 190),
        horizontal_line(185, 190),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(149, 185),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(186, 192),
        horizontal_line(187, 192),
        horizontal_line(187, 193),
        horizontal_line(187, 194),
        horizontal_line(188, 194),
        horizontal_line(188, 195),
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(190, 197),
        horizontal_line(190, 197),
        horizontal_line(191, 198),
        horizontal_line(191, 199),
        horizontal_line(191, 199),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(105, 113),
        horizontal_line(104, 122),
        horizontal_line(103, 131),
        horizontal_line(102, 141),
        horizontal_line(163, 193),
    };

    constexpr const horizontal_line frame_90_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(198, 210),
    };

    constexpr const shape frame_90_shape_group_6_shapes[] = {
        shape(frame_90_shape_group_6_shape_0_horizontal_lines, 15, 8),
        shape(frame_90_shape_group_6_shape_1_horizontal_lines, 23, 7),
        shape(frame_90_shape_group_6_shape_2_horizontal_lines, 24, 2),
        shape(frame_90_shape_group_6_shape_3_horizontal_lines, 26, 8),
        shape(frame_90_shape_group_6_shape_4_horizontal_lines, 32, 2),
        shape(frame_90_shape_group_6_shape_5_horizontal_lines, 33, 8),
        shape(frame_90_shape_group_6_shape_6_horizontal_lines, 43, 4),
        shape(frame_90_shape_group_6_shape_7_horizontal_lines, 44, 8),
        shape(frame_90_shape_group_6_shape_8_horizontal_lines, 58, 1),
        shape(frame_90_shape_group_6_shape_9_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(173, 175),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(175, 177),
        horizontal_line(176, 178),
        horizontal_line(127, 128),
        horizontal_line(128, 130),
        horizontal_line(129, 131),
        horizontal_line(178, 180),
        horizontal_line(179, 181),
        horizontal_line(179, 181),
        horizontal_line(179, 182),
        horizontal_line(180, 183),
        horizontal_line(180, 183),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(182, 185),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(142, 147),
        horizontal_line(143, 148),
        horizontal_line(144, 150),
        horizontal_line(144, 151),
        horizontal_line(145, 153),
        horizontal_line(146, 154),
        horizontal_line(147, 156),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(151, 158),
        horizontal_line(153, 159),
        horizontal_line(155, 160),
        horizontal_line(157, 160),
        horizontal_line(159, 161),
        horizontal_line(161, 162),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_90_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(178, 193),
    };

    constexpr const shape frame_90_shape_group_7_shapes[] = {
        shape(frame_90_shape_group_7_shape_0_horizontal_lines, 17, 8),
        shape(frame_90_shape_group_7_shape_1_horizontal_lines, 33, 4),
        shape(frame_90_shape_group_7_shape_2_horizontal_lines, 34, 8),
        shape(frame_90_shape_group_7_shape_3_horizontal_lines, 35, 4),
        shape(frame_90_shape_group_7_shape_4_horizontal_lines, 44, 4),
        shape(frame_90_shape_group_7_shape_5_horizontal_lines, 61, 1),
    };

    constexpr const horizontal_line frame_90_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(176, 178),
        horizontal_line(177, 179),
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_90_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_90_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_90_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(159, 181),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 182),
        horizontal_line(159, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
    };

    constexpr const horizontal_line frame_90_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(176, 185),
    };

    constexpr const shape frame_90_shape_group_8_shapes[] = {
        shape(frame_90_shape_group_8_shape_0_horizontal_lines, 23, 8),
        shape(frame_90_shape_group_8_shape_1_horizontal_lines, 31, 4),
        shape(frame_90_shape_group_8_shape_2_horizontal_lines, 32, 8),
        shape(frame_90_shape_group_8_shape_3_horizontal_lines, 34, 4),
        shape(frame_90_shape_group_8_shape_4_horizontal_lines, 44, 4),
    };

    constexpr const horizontal_line frame_90_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_90_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(159, 176),
    };

    constexpr const shape frame_90_shape_group_9_shapes[] = {
        shape(frame_90_shape_group_9_shape_0_horizontal_lines, 32, 4),
        shape(frame_90_shape_group_9_shape_1_horizontal_lines, 34, 4),
    };

    constexpr const shape_group frame_90_shape_groups[] = {
        shape_group(frame_90_shape_group_0_shapes),
        shape_group(frame_90_shape_group_1_shapes),
        shape_group(frame_90_shape_group_2_shapes),
        shape_group(frame_90_shape_group_3_shapes),
        shape_group(frame_90_shape_group_4_shapes),
        shape_group(frame_90_shape_group_5_shapes),
        shape_group(frame_90_shape_group_6_shapes),
        shape_group(frame_90_shape_group_7_shapes),
        shape_group(frame_90_shape_group_8_shapes),
        shape_group(frame_90_shape_group_9_shapes),
    };

    constexpr const frame frame_90_impl(frame_90_colors, frame_90_shape_groups);
} 

const frame& frame_90()
{
    return frame_90_impl;
}

namespace
{
    constexpr const bn::color frame_91_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_91_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 107),
        horizontal_line(48, 106),
        horizontal_line(50, 106),
        horizontal_line(51, 106),
        horizontal_line(53, 105),
        horizontal_line(55, 105),
        horizontal_line(57, 105),
        horizontal_line(58, 105),
        horizontal_line(60, 104),
        horizontal_line(62, 104),
        horizontal_line(64, 104),
        horizontal_line(65, 103),
        horizontal_line(67, 103),
        horizontal_line(69, 103),
        horizontal_line(71, 102),
        horizontal_line(72, 102),
        horizontal_line(74, 102),
        horizontal_line(76, 101),
        horizontal_line(78, 101),
        horizontal_line(79, 101),
        horizontal_line(81, 101),
        horizontal_line(83, 100),
        horizontal_line(85, 100),
        horizontal_line(86, 100),
        horizontal_line(88, 99),
        horizontal_line(90, 99),
        horizontal_line(92, 99),
        horizontal_line(93, 98),
        horizontal_line(95, 98),
        horizontal_line(97, 98),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
    };

    constexpr const horizontal_line frame_91_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(192, 204),
        horizontal_line(192, 205),
        horizontal_line(193, 205),
        horizontal_line(193, 206),
        horizontal_line(193, 206),
        horizontal_line(194, 207),
        horizontal_line(194, 208),
        horizontal_line(195, 208),
        horizontal_line(195, 209),
        horizontal_line(196, 210),
        horizontal_line(196, 210),
        horizontal_line(197, 211),
        horizontal_line(197, 212),
        horizontal_line(193, 212),
        horizontal_line(188, 196),
        horizontal_line(184, 196),
        horizontal_line(180, 191),
        horizontal_line(175, 183),
        horizontal_line(171, 174),
        horizontal_line(211, 230),
        horizontal_line(211, 234),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(140, 140),
        horizontal_line(137, 145),
        horizontal_line(134, 151),
        horizontal_line(132, 157),
        horizontal_line(129, 163),
        horizontal_line(126, 169),
        horizontal_line(124, 175),
        horizontal_line(121, 181),
        horizontal_line(119, 181),
        horizontal_line(116, 178),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(103, 165),
        horizontal_line(107, 169),
        horizontal_line(112, 174),
        horizontal_line(116, 178),
        horizontal_line(120, 182),
        horizontal_line(125, 182),
        horizontal_line(129, 182),
        horizontal_line(134, 182),
        horizontal_line(138, 182),
        horizontal_line(143, 182),
        horizontal_line(147, 182),
        horizontal_line(151, 181),
        horizontal_line(156, 181),
        horizontal_line(160, 181),
        horizontal_line(165, 181),
        horizontal_line(169, 181),
        horizontal_line(174, 181),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_91_shape_group_0_shapes[] = {
        shape(frame_91_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_91_shape_group_0_shape_1_horizontal_lines, 63, 8),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(63, 106),
        horizontal_line(64, 106),
        horizontal_line(66, 107),
        horizontal_line(68, 107),
        horizontal_line(70, 108),
        horizontal_line(71, 109),
        horizontal_line(73, 109),
        horizontal_line(75, 110),
        horizontal_line(77, 110),
        horizontal_line(78, 111),
        horizontal_line(80, 112),
        horizontal_line(82, 111),
        horizontal_line(84, 111),
        horizontal_line(85, 111),
        horizontal_line(87, 110),
        horizontal_line(89, 110),
        horizontal_line(91, 110),
        horizontal_line(92, 109),
        horizontal_line(94, 109),
        horizontal_line(96, 109),
        horizontal_line(98, 108),
        horizontal_line(150, 158),
        horizontal_line(151, 167),
        horizontal_line(129, 130),
        horizontal_line(130, 133),
        horizontal_line(132, 135),
        horizontal_line(133, 138),
        horizontal_line(134, 141),
        horizontal_line(136, 144),
        horizontal_line(137, 146),
        horizontal_line(139, 149),
        horizontal_line(140, 152),
        horizontal_line(142, 178),
        horizontal_line(143, 155),
        horizontal_line(145, 155),
        horizontal_line(147, 155),
        horizontal_line(148, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 156),
        horizontal_line(153, 156),
        horizontal_line(154, 156),
        horizontal_line(142, 143),
        horizontal_line(142, 145),
        horizontal_line(142, 147),
        horizontal_line(142, 149),
        horizontal_line(142, 151),
        horizontal_line(142, 153),
        horizontal_line(142, 155),
        horizontal_line(142, 157),
        horizontal_line(142, 159),
        horizontal_line(142, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(189, 201),
        horizontal_line(190, 201),
        horizontal_line(190, 202),
        horizontal_line(191, 203),
        horizontal_line(191, 203),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(206, 213),
        horizontal_line(214, 214),
        horizontal_line(213, 218),
        horizontal_line(212, 222),
        horizontal_line(212, 226),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_91_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
    };

    constexpr const shape frame_91_shape_group_1_shapes[] = {
        shape(frame_91_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_91_shape_group_1_shape_1_horizontal_lines, 58, 8),
        shape(frame_91_shape_group_1_shape_2_horizontal_lines, 63, 3),
        shape(frame_91_shape_group_1_shape_3_horizontal_lines, 77, 8),
        shape(frame_91_shape_group_1_shape_4_horizontal_lines, 82, 1),
        shape(frame_91_shape_group_1_shape_5_horizontal_lines, 91, 8),
        shape(frame_91_shape_group_1_shape_6_horizontal_lines, 136, 1),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(106, 153),
        horizontal_line(106, 153),
        horizontal_line(107, 154),
        horizontal_line(107, 155),
        horizontal_line(108, 155),
        horizontal_line(108, 156),
        horizontal_line(109, 157),
        horizontal_line(110, 158),
        horizontal_line(110, 158),
        horizontal_line(112, 159),
        horizontal_line(115, 160),
        horizontal_line(118, 161),
        horizontal_line(121, 162),
        horizontal_line(124, 163),
        horizontal_line(127, 163),
        horizontal_line(130, 164),
        horizontal_line(132, 165),
        horizontal_line(135, 166),
        horizontal_line(138, 167),
        horizontal_line(141, 168),
        horizontal_line(144, 169),
        horizontal_line(147, 169),
        horizontal_line(150, 170),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(99, 108),
        horizontal_line(101, 108),
        horizontal_line(151, 173),
        horizontal_line(152, 174),
        horizontal_line(152, 175),
        horizontal_line(153, 175),
        horizontal_line(153, 175),
        horizontal_line(154, 176),
        horizontal_line(154, 176),
        horizontal_line(155, 177),
        horizontal_line(155, 177),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(174, 178),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
        horizontal_line(141, 141),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(183, 192),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(158, 173),
        horizontal_line(158, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 185),
        horizontal_line(161, 185),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(187, 197),
        horizontal_line(187, 197),
        horizontal_line(188, 198),
        horizontal_line(188, 199),
        horizontal_line(189, 199),
        horizontal_line(189, 200),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(141, 160),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(141, 162),
        horizontal_line(141, 163),
        horizontal_line(142, 163),
        horizontal_line(142, 164),
        horizontal_line(142, 165),
        horizontal_line(142, 157),
        horizontal_line(142, 149),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(49, 82),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(142, 166),
        horizontal_line(141, 163),
        horizontal_line(141, 160),
        horizontal_line(141, 157),
        horizontal_line(141, 154),
        horizontal_line(141, 151),
        horizontal_line(141, 148),
        horizontal_line(141, 145),
        horizontal_line(141, 142),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(181, 186),
        horizontal_line(178, 185),
        horizontal_line(175, 185),
        horizontal_line(173, 185),
        horizontal_line(170, 185),
        horizontal_line(168, 185),
        horizontal_line(165, 185),
        horizontal_line(162, 185),
        horizontal_line(160, 184),
        horizontal_line(157, 184),
        horizontal_line(155, 184),
        horizontal_line(152, 184),
        horizontal_line(149, 184),
        horizontal_line(147, 184),
        horizontal_line(144, 184),
        horizontal_line(143, 184),
        horizontal_line(147, 183),
        horizontal_line(151, 183),
        horizontal_line(156, 183),
        horizontal_line(160, 183),
        horizontal_line(165, 183),
        horizontal_line(169, 183),
        horizontal_line(174, 183),
        horizontal_line(178, 182),
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_91_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
    };

    constexpr const shape frame_91_shape_group_2_shapes[] = {
        shape(frame_91_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_91_shape_group_2_shape_1_horizontal_lines, 23, 2),
        shape(frame_91_shape_group_2_shape_2_horizontal_lines, 34, 8),
        shape(frame_91_shape_group_2_shape_3_horizontal_lines, 35, 2),
        shape(frame_91_shape_group_2_shape_4_horizontal_lines, 36, 8),
        shape(frame_91_shape_group_2_shape_5_horizontal_lines, 43, 2),
        shape(frame_91_shape_group_2_shape_6_horizontal_lines, 44, 8),
        shape(frame_91_shape_group_2_shape_7_horizontal_lines, 45, 2),
        shape(frame_91_shape_group_2_shape_8_horizontal_lines, 52, 8),
        shape(frame_91_shape_group_2_shape_9_horizontal_lines, 58, 3),
        shape(frame_91_shape_group_2_shape_10_horizontal_lines, 76, 1),
        shape(frame_91_shape_group_2_shape_11_horizontal_lines, 77, 3),
        shape(frame_91_shape_group_2_shape_12_horizontal_lines, 79, 1),
        shape(frame_91_shape_group_2_shape_13_horizontal_lines, 99, 8),
        shape(frame_91_shape_group_2_shape_14_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(163, 166),
        horizontal_line(163, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 168),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 170),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(112, 113),
        horizontal_line(114, 114),
        horizontal_line(115, 115),
        horizontal_line(116, 116),
        horizontal_line(117, 118),
        horizontal_line(118, 119),
        horizontal_line(119, 120),
        horizontal_line(120, 122),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(159, 171),
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(103, 108),
        horizontal_line(105, 107),
        horizontal_line(106, 107),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(129, 133),
        horizontal_line(130, 135),
        horizontal_line(131, 135),
        horizontal_line(132, 136),
        horizontal_line(133, 136),
        horizontal_line(179, 185),
        horizontal_line(135, 137),
        horizontal_line(180, 187),
        horizontal_line(180, 187),
        horizontal_line(180, 188),
        horizontal_line(181, 189),
        horizontal_line(181, 189),
        horizontal_line(182, 190),
        horizontal_line(182, 190),
        horizontal_line(183, 191),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(184, 192),
        horizontal_line(184, 193),
        horizontal_line(184, 194),
        horizontal_line(185, 194),
        horizontal_line(185, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 196),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(161, 188),
        horizontal_line(108, 140),
        horizontal_line(119, 140),
        horizontal_line(129, 140),
        horizontal_line(140, 140),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(84, 146),
        horizontal_line(83, 83),
        horizontal_line(66, 82),
        horizontal_line(142, 166),
        horizontal_line(33, 82),
        horizontal_line(16, 78),
        horizontal_line(142, 166),
        horizontal_line(142, 166),
        horizontal_line(142, 166),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_91_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(183, 187),
        horizontal_line(183, 186),
        horizontal_line(183, 186),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(182, 183),
        horizontal_line(182, 183),
        horizontal_line(182, 182),
        horizontal_line(182, 182),
    };

    constexpr const shape frame_91_shape_group_3_shapes[] = {
        shape(frame_91_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_91_shape_group_3_shape_1_horizontal_lines, 23, 7),
        shape(frame_91_shape_group_3_shape_2_horizontal_lines, 25, 2),
        shape(frame_91_shape_group_3_shape_3_horizontal_lines, 28, 8),
        shape(frame_91_shape_group_3_shape_4_horizontal_lines, 44, 3),
        shape(frame_91_shape_group_3_shape_5_horizontal_lines, 45, 8),
        shape(frame_91_shape_group_3_shape_6_horizontal_lines, 52, 3),
        shape(frame_91_shape_group_3_shape_7_horizontal_lines, 73, 1),
        shape(frame_91_shape_group_3_shape_8_horizontal_lines, 125, 9),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(169, 173),
        horizontal_line(169, 174),
        horizontal_line(170, 174),
        horizontal_line(171, 175),
        horizontal_line(171, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 177),
        horizontal_line(173, 178),
        horizontal_line(123, 125),
        horizontal_line(124, 127),
        horizontal_line(125, 128),
        horizontal_line(126, 129),
        horizontal_line(127, 131),
        horizontal_line(176, 181),
        horizontal_line(176, 182),
        horizontal_line(177, 183),
        horizontal_line(177, 183),
        horizontal_line(178, 184),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(179, 186),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(103, 141),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(100, 141),
        horizontal_line(100, 140),
        horizontal_line(100, 140),
        horizontal_line(99, 140),
        horizontal_line(99, 140),
        horizontal_line(99, 140),
        horizontal_line(62, 124),
        horizontal_line(161, 189),
        horizontal_line(161, 189),
        horizontal_line(161, 190),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(94, 140),
        horizontal_line(93, 140),
        horizontal_line(92, 140),
        horizontal_line(91, 140),
        horizontal_line(90, 140),
        horizontal_line(89, 141),
        horizontal_line(88, 141),
        horizontal_line(87, 141),
        horizontal_line(86, 141),
        horizontal_line(85, 141),
        horizontal_line(146, 165),
        horizontal_line(142, 165),
        horizontal_line(142, 165),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(142, 166),
        horizontal_line(142, 166),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(195, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 209),
        horizontal_line(193, 209),
        horizontal_line(193, 208),
        horizontal_line(192, 208),
        horizontal_line(192, 207),
        horizontal_line(191, 207),
        horizontal_line(191, 206),
        horizontal_line(190, 205),
        horizontal_line(190, 205),
        horizontal_line(189, 204),
        horizontal_line(189, 204),
        horizontal_line(188, 203),
        horizontal_line(188, 203),
        horizontal_line(187, 202),
        horizontal_line(187, 202),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_91_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(183, 188),
    };

    constexpr const shape frame_91_shape_group_4_shapes[] = {
        shape(frame_91_shape_group_4_shape_0_horizontal_lines, 2, 3),
        shape(frame_91_shape_group_4_shape_1_horizontal_lines, 13, 8),
        shape(frame_91_shape_group_4_shape_2_horizontal_lines, 34, 3),
        shape(frame_91_shape_group_4_shape_3_horizontal_lines, 35, 8),
        shape(frame_91_shape_group_4_shape_4_horizontal_lines, 36, 3),
        shape(frame_91_shape_group_4_shape_5_horizontal_lines, 63, 1),
        shape(frame_91_shape_group_4_shape_6_horizontal_lines, 77, 1),
        shape(frame_91_shape_group_4_shape_7_horizontal_lines, 82, 9),
        shape(frame_91_shape_group_4_shape_8_horizontal_lines, 99, 1),
        shape(frame_91_shape_group_4_shape_9_horizontal_lines, 124, 9),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(111, 114),
        horizontal_line(112, 117),
        horizontal_line(113, 120),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(173, 178),
        horizontal_line(174, 179),
        horizontal_line(174, 180),
        horizontal_line(175, 180),
        horizontal_line(176, 181),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(106, 133),
        horizontal_line(0, 57),
        horizontal_line(105, 135),
        horizontal_line(105, 136),
        horizontal_line(105, 137),
        horizontal_line(104, 138),
        horizontal_line(104, 139),
        horizontal_line(104, 140),
        horizontal_line(103, 141),
        horizontal_line(103, 141),
        horizontal_line(62, 73),
        horizontal_line(102, 141),
        horizontal_line(102, 141),
        horizontal_line(102, 141),
        horizontal_line(102, 141),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(161, 186),
        horizontal_line(161, 186),
        horizontal_line(161, 187),
        horizontal_line(161, 187),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(124, 140),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(95, 139),
        horizontal_line(161, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 192),
        horizontal_line(163, 192),
        horizontal_line(164, 188),
        horizontal_line(164, 180),
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(158, 165),
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(197, 205),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(78, 82),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(196, 212),
        horizontal_line(196, 211),
        horizontal_line(195, 211),
    };

    constexpr const horizontal_line frame_91_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(187, 201),
        horizontal_line(186, 201),
        horizontal_line(186, 200),
        horizontal_line(186, 199),
        horizontal_line(186, 199),
        horizontal_line(186, 198),
        horizontal_line(186, 198),
        horizontal_line(186, 197),
        horizontal_line(185, 197),
        horizontal_line(185, 196),
        horizontal_line(185, 196),
        horizontal_line(185, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 194),
        horizontal_line(185, 194),
        horizontal_line(185, 193),
        horizontal_line(184, 192),
        horizontal_line(184, 192),
        horizontal_line(184, 191),
        horizontal_line(184, 191),
        horizontal_line(184, 190),
        horizontal_line(184, 190),
        horizontal_line(184, 189),
        horizontal_line(183, 189),
        horizontal_line(183, 188),
    };

    constexpr const shape frame_91_shape_group_5_shapes[] = {
        shape(frame_91_shape_group_5_shape_0_horizontal_lines, 9, 3),
        shape(frame_91_shape_group_5_shape_1_horizontal_lines, 23, 8),
        shape(frame_91_shape_group_5_shape_2_horizontal_lines, 28, 3),
        shape(frame_91_shape_group_5_shape_3_horizontal_lines, 62, 1),
        shape(frame_91_shape_group_5_shape_4_horizontal_lines, 71, 1),
        shape(frame_91_shape_group_5_shape_5_horizontal_lines, 77, 9),
        shape(frame_91_shape_group_5_shape_6_horizontal_lines, 78, 1),
        shape(frame_91_shape_group_5_shape_7_horizontal_lines, 79, 9),
        shape(frame_91_shape_group_5_shape_8_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(114, 123),
        horizontal_line(112, 113),
        horizontal_line(112, 114),
        horizontal_line(111, 115),
        horizontal_line(111, 116),
        horizontal_line(111, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 119),
        horizontal_line(110, 120),
        horizontal_line(109, 121),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(108, 127),
        horizontal_line(107, 128),
        horizontal_line(107, 129),
        horizontal_line(107, 130),
        horizontal_line(106, 131),
        horizontal_line(106, 132),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(138, 141),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(106, 134),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(139, 144),
        horizontal_line(140, 146),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(98, 107),
        horizontal_line(97, 118),
        horizontal_line(96, 128),
        horizontal_line(161, 190),
    };

    constexpr const horizontal_line frame_91_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(197, 213),
    };

    constexpr const shape frame_91_shape_group_6_shapes[] = {
        shape(frame_91_shape_group_6_shape_0_horizontal_lines, 13, 3),
        shape(frame_91_shape_group_6_shape_1_horizontal_lines, 34, 4),
        shape(frame_91_shape_group_6_shape_2_horizontal_lines, 35, 3),
        shape(frame_91_shape_group_6_shape_3_horizontal_lines, 36, 4),
        shape(frame_91_shape_group_6_shape_4_horizontal_lines, 38, 3),
        shape(frame_91_shape_group_6_shape_5_horizontal_lines, 44, 4),
        shape(frame_91_shape_group_6_shape_6_horizontal_lines, 45, 3),
        shape(frame_91_shape_group_6_shape_7_horizontal_lines, 59, 1),
        shape(frame_91_shape_group_6_shape_8_horizontal_lines, 78, 9),
    };

    constexpr const horizontal_line frame_91_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(115, 126),
        horizontal_line(116, 129),
        horizontal_line(117, 131),
        horizontal_line(119, 134),
        horizontal_line(120, 137),
        horizontal_line(121, 140),
        horizontal_line(123, 143),
        horizontal_line(124, 146),
        horizontal_line(125, 149),
        horizontal_line(109, 122),
        horizontal_line(109, 123),
        horizontal_line(109, 124),
        horizontal_line(108, 125),
        horizontal_line(108, 126),
        horizontal_line(139, 152),
        horizontal_line(142, 152),
        horizontal_line(145, 153),
        horizontal_line(147, 153),
        horizontal_line(150, 154),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_91_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(156, 179),
        horizontal_line(156, 179),
        horizontal_line(140, 147),
        horizontal_line(141, 149),
        horizontal_line(141, 150),
        horizontal_line(142, 152),
        horizontal_line(143, 153),
        horizontal_line(144, 155),
    };

    constexpr const horizontal_line frame_91_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(148, 157),
        horizontal_line(150, 157),
        horizontal_line(152, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 159),
        horizontal_line(158, 159),
        horizontal_line(160, 160),
    };

    constexpr const shape frame_91_shape_group_7_shapes[] = {
        shape(frame_91_shape_group_7_shape_0_horizontal_lines, 14, 3),
        shape(frame_91_shape_group_7_shape_1_horizontal_lines, 35, 4),
        shape(frame_91_shape_group_7_shape_2_horizontal_lines, 45, 4),
    };

    constexpr const horizontal_line frame_91_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(126, 149),
        horizontal_line(128, 150),
        horizontal_line(131, 150),
        horizontal_line(134, 151),
        horizontal_line(136, 151),
    };

    constexpr const horizontal_line frame_91_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(137, 138),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_91_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(156, 173),
    };

    constexpr const horizontal_line frame_91_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(156, 179),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 181),
        horizontal_line(157, 181),
        horizontal_line(157, 182),
    };

    constexpr const horizontal_line frame_91_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(174, 183),
    };

    constexpr const shape frame_91_shape_group_8_shapes[] = {
        shape(frame_91_shape_group_8_shape_0_horizontal_lines, 23, 3),
        shape(frame_91_shape_group_8_shape_1_horizontal_lines, 31, 4),
        shape(frame_91_shape_group_8_shape_2_horizontal_lines, 35, 4),
        shape(frame_91_shape_group_8_shape_3_horizontal_lines, 38, 4),
        shape(frame_91_shape_group_8_shape_4_horizontal_lines, 45, 4),
    };

    constexpr const shape_group frame_91_shape_groups[] = {
        shape_group(frame_91_shape_group_0_shapes),
        shape_group(frame_91_shape_group_1_shapes),
        shape_group(frame_91_shape_group_2_shapes),
        shape_group(frame_91_shape_group_3_shapes),
        shape_group(frame_91_shape_group_4_shapes),
        shape_group(frame_91_shape_group_5_shapes),
        shape_group(frame_91_shape_group_6_shapes),
        shape_group(frame_91_shape_group_7_shapes),
        shape_group(frame_91_shape_group_8_shapes),
    };

    constexpr const frame frame_91_impl(frame_91_colors, frame_91_shape_groups);
} 

const frame& frame_91()
{
    return frame_91_impl;
}

namespace
{
    constexpr const bn::color frame_92_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_92_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(16, 77),
        horizontal_line(18, 77),
        horizontal_line(20, 77),
        horizontal_line(22, 76),
        horizontal_line(25, 76),
        horizontal_line(27, 76),
        horizontal_line(29, 75),
        horizontal_line(31, 75),
        horizontal_line(33, 75),
        horizontal_line(36, 74),
        horizontal_line(38, 74),
        horizontal_line(40, 74),
        horizontal_line(42, 74),
        horizontal_line(44, 73),
        horizontal_line(46, 73),
        horizontal_line(49, 73),
        horizontal_line(51, 72),
        horizontal_line(53, 72),
        horizontal_line(55, 72),
        horizontal_line(57, 71),
        horizontal_line(60, 71),
        horizontal_line(62, 71),
        horizontal_line(64, 70),
        horizontal_line(66, 70),
        horizontal_line(68, 70),
        horizontal_line(133, 156),
        horizontal_line(133, 156),
        horizontal_line(133, 156),
        horizontal_line(133, 156),
        horizontal_line(133, 156),
        horizontal_line(133, 156),
    };

    constexpr const horizontal_line frame_92_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 38),
        horizontal_line(0, 25),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_92_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(166, 173),
        horizontal_line(218, 228),
        horizontal_line(222, 228),
        horizontal_line(226, 229),
        horizontal_line(230, 230),
        horizontal_line(229, 234),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(133, 133),
        horizontal_line(130, 137),
        horizontal_line(128, 142),
        horizontal_line(126, 147),
        horizontal_line(123, 152),
        horizontal_line(121, 157),
        horizontal_line(119, 161),
        horizontal_line(116, 166),
        horizontal_line(114, 171),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(123, 183),
        horizontal_line(126, 183),
        horizontal_line(130, 183),
        horizontal_line(134, 183),
        horizontal_line(137, 183),
        horizontal_line(141, 183),
        horizontal_line(144, 183),
        horizontal_line(148, 183),
        horizontal_line(151, 183),
        horizontal_line(155, 183),
        horizontal_line(159, 183),
    };

    constexpr const shape frame_92_shape_group_0_shapes[] = {
        shape(frame_92_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_92_shape_group_0_shape_1_horizontal_lines, 64, 3),
        shape(frame_92_shape_group_0_shape_2_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(119, 120),
        horizontal_line(120, 122),
        horizontal_line(121, 125),
        horizontal_line(123, 127),
        horizontal_line(124, 130),
        horizontal_line(125, 132),
        horizontal_line(126, 135),
        horizontal_line(128, 137),
        horizontal_line(129, 140),
        horizontal_line(131, 142),
        horizontal_line(132, 145),
        horizontal_line(134, 147),
        horizontal_line(135, 175),
        horizontal_line(137, 150),
        horizontal_line(138, 150),
        horizontal_line(140, 150),
        horizontal_line(142, 150),
        horizontal_line(143, 150),
        horizontal_line(145, 151),
        horizontal_line(146, 151),
        horizontal_line(136, 136),
        horizontal_line(136, 138),
        horizontal_line(136, 140),
        horizontal_line(136, 142),
        horizontal_line(136, 144),
        horizontal_line(135, 145),
        horizontal_line(135, 147),
        horizontal_line(135, 149),
        horizontal_line(135, 151),
        horizontal_line(135, 153),
        horizontal_line(135, 155),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
        horizontal_line(134, 156),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(133, 156),
        horizontal_line(133, 157),
        horizontal_line(134, 157),
        horizontal_line(134, 158),
        horizontal_line(134, 158),
        horizontal_line(135, 159),
        horizontal_line(135, 159),
        horizontal_line(135, 160),
        horizontal_line(136, 161),
        horizontal_line(136, 148),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(196, 222),
        horizontal_line(194, 222),
        horizontal_line(190, 223),
        horizontal_line(186, 224),
        horizontal_line(182, 224),
        horizontal_line(178, 196),
        horizontal_line(174, 196),
        horizontal_line(170, 185),
        horizontal_line(214, 227),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_92_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_92_shape_group_1_shapes[] = {
        shape(frame_92_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_92_shape_group_1_shape_1_horizontal_lines, 58, 3),
        shape(frame_92_shape_group_1_shape_2_horizontal_lines, 60, 2),
        shape(frame_92_shape_group_1_shape_3_horizontal_lines, 62, 3),
        shape(frame_92_shape_group_1_shape_4_horizontal_lines, 74, 8),
        shape(frame_92_shape_group_1_shape_5_horizontal_lines, 83, 1),
        shape(frame_92_shape_group_1_shape_6_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(89, 94),
        horizontal_line(88, 95),
        horizontal_line(88, 96),
        horizontal_line(88, 97),
        horizontal_line(87, 98),
        horizontal_line(87, 99),
        horizontal_line(87, 100),
        horizontal_line(86, 101),
        horizontal_line(86, 102),
        horizontal_line(86, 103),
        horizontal_line(85, 104),
        horizontal_line(85, 105),
        horizontal_line(85, 106),
        horizontal_line(84, 107),
        horizontal_line(84, 108),
        horizontal_line(84, 109),
        horizontal_line(84, 110),
        horizontal_line(83, 111),
        horizontal_line(83, 112),
        horizontal_line(83, 113),
        horizontal_line(82, 115),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(145, 156),
        horizontal_line(146, 169),
        horizontal_line(146, 171),
        horizontal_line(147, 171),
        horizontal_line(147, 172),
        horizontal_line(148, 172),
        horizontal_line(148, 173),
        horizontal_line(149, 173),
        horizontal_line(149, 174),
        horizontal_line(150, 174),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(163, 175),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(148, 151),
        horizontal_line(149, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(153, 169),
        horizontal_line(154, 181),
        horizontal_line(154, 182),
        horizontal_line(155, 182),
        horizontal_line(155, 183),
        horizontal_line(156, 183),
        horizontal_line(157, 184),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(157, 187),
        horizontal_line(82, 132),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(119, 132),
        horizontal_line(132, 132),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(193, 218),
        horizontal_line(193, 218),
        horizontal_line(194, 219),
        horizontal_line(194, 220),
        horizontal_line(195, 220),
        horizontal_line(195, 221),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(57, 119),
        horizontal_line(56, 115),
        horizontal_line(55, 94),
        horizontal_line(54, 73),
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(202, 225),
        horizontal_line(206, 226),
        horizontal_line(210, 226),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(135, 161),
        horizontal_line(135, 158),
        horizontal_line(135, 155),
        horizontal_line(135, 153),
        horizontal_line(135, 150),
        horizontal_line(134, 147),
        horizontal_line(134, 145),
        horizontal_line(134, 142),
        horizontal_line(134, 139),
        horizontal_line(134, 137),
        horizontal_line(134, 134),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(174, 176),
        horizontal_line(171, 181),
        horizontal_line(169, 185),
        horizontal_line(167, 184),
        horizontal_line(164, 184),
        horizontal_line(162, 184),
        horizontal_line(160, 184),
        horizontal_line(157, 184),
        horizontal_line(155, 184),
        horizontal_line(153, 184),
        horizontal_line(151, 184),
        horizontal_line(148, 184),
        horizontal_line(146, 184),
        horizontal_line(144, 184),
        horizontal_line(141, 184),
        horizontal_line(139, 184),
        horizontal_line(137, 184),
        horizontal_line(134, 184),
        horizontal_line(132, 184),
        horizontal_line(130, 184),
        horizontal_line(127, 184),
        horizontal_line(125, 184),
        horizontal_line(123, 184),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(124, 184),
        horizontal_line(128, 183),
        horizontal_line(131, 183),
        horizontal_line(135, 183),
        horizontal_line(138, 183),
        horizontal_line(142, 183),
        horizontal_line(146, 183),
        horizontal_line(149, 183),
        horizontal_line(153, 183),
        horizontal_line(156, 183),
        horizontal_line(160, 183),
        horizontal_line(163, 183),
        horizontal_line(167, 183),
        horizontal_line(171, 183),
        horizontal_line(174, 183),
        horizontal_line(178, 183),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_92_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
    };

    constexpr const shape frame_92_shape_group_2_shapes[] = {
        shape(frame_92_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_92_shape_group_2_shape_1_horizontal_lines, 21, 2),
        shape(frame_92_shape_group_2_shape_2_horizontal_lines, 33, 3),
        shape(frame_92_shape_group_2_shape_3_horizontal_lines, 34, 2),
        shape(frame_92_shape_group_2_shape_4_horizontal_lines, 36, 3),
        shape(frame_92_shape_group_2_shape_5_horizontal_lines, 41, 2),
        shape(frame_92_shape_group_2_shape_6_horizontal_lines, 44, 3),
        shape(frame_92_shape_group_2_shape_7_horizontal_lines, 45, 2),
        shape(frame_92_shape_group_2_shape_8_horizontal_lines, 52, 3),
        shape(frame_92_shape_group_2_shape_9_horizontal_lines, 68, 8),
        shape(frame_92_shape_group_2_shape_10_horizontal_lines, 74, 1),
        shape(frame_92_shape_group_2_shape_11_horizontal_lines, 79, 8),
        shape(frame_92_shape_group_2_shape_12_horizontal_lines, 82, 1),
        shape(frame_92_shape_group_2_shape_13_horizontal_lines, 103, 8),
        shape(frame_92_shape_group_2_shape_14_horizontal_lines, 149, 1),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(95, 152),
        horizontal_line(96, 152),
        horizontal_line(97, 153),
        horizontal_line(99, 153),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(101, 102),
        horizontal_line(102, 105),
        horizontal_line(103, 107),
        horizontal_line(104, 110),
        horizontal_line(105, 112),
        horizontal_line(106, 114),
        horizontal_line(107, 117),
        horizontal_line(108, 119),
        horizontal_line(109, 122),
        horizontal_line(110, 124),
        horizontal_line(111, 127),
        horizontal_line(113, 129),
        horizontal_line(114, 131),
        horizontal_line(115, 134),
        horizontal_line(116, 136),
        horizontal_line(118, 139),
        horizontal_line(82, 116),
        horizontal_line(82, 117),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(63, 79),
        horizontal_line(65, 79),
        horizontal_line(67, 79),
        horizontal_line(69, 79),
        horizontal_line(71, 78),
        horizontal_line(73, 78),
        horizontal_line(76, 78),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(78, 128),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(77, 131),
        horizontal_line(77, 132),
        horizontal_line(77, 133),
        horizontal_line(76, 134),
        horizontal_line(76, 136),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(75, 135),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(72, 133),
        horizontal_line(72, 133),
        horizontal_line(72, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(62, 124),
        horizontal_line(157, 187),
        horizontal_line(94, 132),
        horizontal_line(107, 132),
        horizontal_line(157, 189),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(191, 215),
        horizontal_line(191, 216),
        horizontal_line(192, 216),
        horizontal_line(192, 217),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(119, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(39, 52),
        horizontal_line(26, 52),
        horizontal_line(13, 52),
        horizontal_line(135, 161),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(195, 217),
        horizontal_line(195, 221),
        horizontal_line(194, 225),
        horizontal_line(194, 229),
        horizontal_line(194, 228),
        horizontal_line(193, 227),
        horizontal_line(193, 227),
        horizontal_line(192, 226),
        horizontal_line(192, 226),
        horizontal_line(191, 225),
        horizontal_line(191, 224),
        horizontal_line(190, 224),
        horizontal_line(190, 223),
        horizontal_line(190, 223),
        horizontal_line(189, 222),
        horizontal_line(189, 222),
        horizontal_line(188, 221),
        horizontal_line(188, 220),
        horizontal_line(187, 220),
        horizontal_line(187, 219),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(180, 184),
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(179, 184),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_92_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(184, 192),
        horizontal_line(184, 192),
        horizontal_line(184, 191),
        horizontal_line(184, 191),
        horizontal_line(184, 190),
        horizontal_line(184, 189),
        horizontal_line(184, 189),
        horizontal_line(184, 188),
        horizontal_line(184, 188),
        horizontal_line(184, 187),
        horizontal_line(184, 187),
    };

    constexpr const shape frame_92_shape_group_3_shapes[] = {
        shape(frame_92_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_92_shape_group_3_shape_1_horizontal_lines, 4, 3),
        shape(frame_92_shape_group_3_shape_2_horizontal_lines, 23, 2),
        shape(frame_92_shape_group_3_shape_3_horizontal_lines, 33, 3),
        shape(frame_92_shape_group_3_shape_4_horizontal_lines, 64, 8),
        shape(frame_92_shape_group_3_shape_5_horizontal_lines, 68, 1),
        shape(frame_92_shape_group_3_shape_6_horizontal_lines, 83, 9),
        shape(frame_92_shape_group_3_shape_7_horizontal_lines, 103, 1),
        shape(frame_92_shape_group_3_shape_8_horizontal_lines, 126, 8),
        shape(frame_92_shape_group_3_shape_9_horizontal_lines, 132, 1),
        shape(frame_92_shape_group_3_shape_10_horizontal_lines, 149, 9),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(162, 174),
        horizontal_line(162, 174),
        horizontal_line(162, 175),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(101, 154),
        horizontal_line(103, 155),
        horizontal_line(106, 156),
        horizontal_line(108, 157),
        horizontal_line(111, 157),
        horizontal_line(113, 158),
        horizontal_line(115, 159),
        horizontal_line(118, 160),
        horizontal_line(120, 161),
        horizontal_line(123, 162),
        horizontal_line(125, 162),
        horizontal_line(128, 163),
        horizontal_line(130, 164),
        horizontal_line(132, 165),
        horizontal_line(135, 166),
        horizontal_line(137, 166),
        horizontal_line(140, 167),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 141),
        horizontal_line(123, 144),
        horizontal_line(81, 118),
        horizontal_line(81, 119),
        horizontal_line(81, 120),
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(78, 129),
        horizontal_line(78, 130),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(179, 200),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(76, 135),
        horizontal_line(75, 135),
        horizontal_line(75, 135),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(181, 202),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(75, 135),
        horizontal_line(74, 134),
        horizontal_line(74, 134),
        horizontal_line(74, 134),
        horizontal_line(73, 134),
        horizontal_line(73, 134),
        horizontal_line(73, 134),
        horizontal_line(157, 184),
        horizontal_line(157, 184),
        horizontal_line(157, 185),
        horizontal_line(157, 185),
        horizontal_line(157, 186),
        horizontal_line(157, 186),
        horizontal_line(124, 132),
        horizontal_line(62, 69),
        horizontal_line(157, 187),
        horizontal_line(157, 187),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(159, 182),
        horizontal_line(160, 176),
        horizontal_line(160, 171),
        horizontal_line(161, 165),
        horizontal_line(121, 135),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(135, 161),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(196, 213),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(186, 219),
        horizontal_line(186, 218),
        horizontal_line(186, 218),
        horizontal_line(185, 217),
        horizontal_line(185, 216),
        horizontal_line(185, 216),
        horizontal_line(185, 215),
        horizontal_line(185, 215),
        horizontal_line(185, 214),
        horizontal_line(185, 214),
        horizontal_line(185, 213),
        horizontal_line(185, 212),
        horizontal_line(185, 212),
        horizontal_line(185, 211),
        horizontal_line(185, 211),
        horizontal_line(185, 210),
        horizontal_line(185, 210),
        horizontal_line(185, 209),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 206),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_92_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(185, 202),
        horizontal_line(184, 201),
        horizontal_line(184, 201),
        horizontal_line(184, 200),
        horizontal_line(184, 200),
        horizontal_line(184, 199),
        horizontal_line(184, 199),
        horizontal_line(184, 198),
        horizontal_line(184, 197),
        horizontal_line(184, 197),
        horizontal_line(184, 196),
        horizontal_line(184, 196),
        horizontal_line(184, 195),
        horizontal_line(184, 195),
        horizontal_line(184, 194),
        horizontal_line(184, 193),
        horizontal_line(184, 193),
    };

    constexpr const shape frame_92_shape_group_4_shapes[] = {
        shape(frame_92_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_92_shape_group_4_shape_1_horizontal_lines, 4, 7),
        shape(frame_92_shape_group_4_shape_2_horizontal_lines, 21, 3),
        shape(frame_92_shape_group_4_shape_3_horizontal_lines, 33, 8),
        shape(frame_92_shape_group_4_shape_4_horizontal_lines, 34, 3),
        shape(frame_92_shape_group_4_shape_5_horizontal_lines, 36, 8),
        shape(frame_92_shape_group_4_shape_6_horizontal_lines, 41, 3),
        shape(frame_92_shape_group_4_shape_7_horizontal_lines, 44, 8),
        shape(frame_92_shape_group_4_shape_8_horizontal_lines, 45, 3),
        shape(frame_92_shape_group_4_shape_9_horizontal_lines, 64, 1),
        shape(frame_92_shape_group_4_shape_10_horizontal_lines, 79, 1),
        shape(frame_92_shape_group_4_shape_11_horizontal_lines, 82, 9),
        shape(frame_92_shape_group_4_shape_12_horizontal_lines, 103, 9),
        shape(frame_92_shape_group_4_shape_13_horizontal_lines, 126, 1),
        shape(frame_92_shape_group_4_shape_14_horizontal_lines, 132, 9),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(163, 175),
        horizontal_line(99, 99),
        horizontal_line(100, 100),
        horizontal_line(101, 101),
        horizontal_line(102, 102),
        horizontal_line(103, 103),
        horizontal_line(104, 104),
        horizontal_line(105, 105),
        horizontal_line(106, 106),
        horizontal_line(107, 107),
        horizontal_line(108, 108),
        horizontal_line(109, 109),
        horizontal_line(110, 110),
        horizontal_line(111, 112),
        horizontal_line(112, 113),
        horizontal_line(113, 114),
        horizontal_line(114, 115),
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(142, 168),
        horizontal_line(145, 169),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(126, 144),
        horizontal_line(128, 145),
        horizontal_line(131, 145),
        horizontal_line(80, 121),
        horizontal_line(80, 122),
        horizontal_line(80, 123),
        horizontal_line(80, 124),
        horizontal_line(79, 125),
        horizontal_line(79, 126),
        horizontal_line(79, 127),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(176, 195),
        horizontal_line(130, 131),
        horizontal_line(131, 132),
        horizontal_line(177, 197),
        horizontal_line(178, 198),
        horizontal_line(178, 198),
        horizontal_line(179, 199),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(180, 200),
        horizontal_line(180, 201),
        horizontal_line(181, 202),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(143, 180),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(182, 203),
        horizontal_line(182, 203),
        horizontal_line(183, 204),
        horizontal_line(183, 205),
        horizontal_line(184, 205),
        horizontal_line(184, 206),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 208),
        horizontal_line(186, 209),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(188, 212),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(190, 214),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(157, 190),
        horizontal_line(158, 190),
        horizontal_line(158, 191),
        horizontal_line(159, 187),
        horizontal_line(124, 133),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(120, 135),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(197, 201),
        horizontal_line(197, 205),
        horizontal_line(196, 209),
    };

    constexpr const horizontal_line frame_92_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(185, 205),
        horizontal_line(185, 205),
        horizontal_line(185, 204),
        horizontal_line(185, 204),
        horizontal_line(185, 203),
        horizontal_line(185, 203),
    };

    constexpr const shape frame_92_shape_group_5_shapes[] = {
        shape(frame_92_shape_group_5_shape_0_horizontal_lines, 3, 8),
        shape(frame_92_shape_group_5_shape_1_horizontal_lines, 21, 7),
        shape(frame_92_shape_group_5_shape_2_horizontal_lines, 23, 3),
        shape(frame_92_shape_group_5_shape_3_horizontal_lines, 33, 8),
        shape(frame_92_shape_group_5_shape_4_horizontal_lines, 40, 4),
        shape(frame_92_shape_group_5_shape_5_horizontal_lines, 41, 8),
        shape(frame_92_shape_group_5_shape_6_horizontal_lines, 44, 4),
        shape(frame_92_shape_group_5_shape_7_horizontal_lines, 45, 8),
        shape(frame_92_shape_group_5_shape_8_horizontal_lines, 55, 3),
        shape(frame_92_shape_group_5_shape_9_horizontal_lines, 58, 8),
        shape(frame_92_shape_group_5_shape_10_horizontal_lines, 60, 3),
        shape(frame_92_shape_group_5_shape_11_horizontal_lines, 62, 8),
        shape(frame_92_shape_group_5_shape_12_horizontal_lines, 64, 1),
        shape(frame_92_shape_group_5_shape_13_horizontal_lines, 73, 1),
        shape(frame_92_shape_group_5_shape_14_horizontal_lines, 79, 9),
        shape(frame_92_shape_group_5_shape_15_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(163, 176),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 178),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(166, 180),
        horizontal_line(166, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 182),
        horizontal_line(167, 183),
        horizontal_line(168, 183),
        horizontal_line(168, 184),
        horizontal_line(169, 185),
        horizontal_line(169, 185),
        horizontal_line(169, 186),
        horizontal_line(170, 187),
        horizontal_line(117, 118),
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(157, 170),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(133, 146),
        horizontal_line(136, 146),
        horizontal_line(138, 147),
        horizontal_line(141, 147),
        horizontal_line(143, 148),
        horizontal_line(146, 148),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(176, 196),
        horizontal_line(177, 196),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(134, 139),
        horizontal_line(134, 141),
        horizontal_line(135, 142),
        horizontal_line(136, 144),
        horizontal_line(152, 178),
        horizontal_line(137, 147),
        horizontal_line(139, 148),
        horizontal_line(141, 150),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(145, 152),
        horizontal_line(146, 153),
        horizontal_line(148, 153),
        horizontal_line(150, 154),
        horizontal_line(152, 154),
        horizontal_line(154, 155),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(70, 81),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(189, 213),
        horizontal_line(189, 213),
    };

    constexpr const horizontal_line frame_92_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(67, 118),
        horizontal_line(66, 128),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
    };

    constexpr const shape frame_92_shape_group_6_shapes[] = {
        shape(frame_92_shape_group_6_shape_0_horizontal_lines, 4, 8),
        shape(frame_92_shape_group_6_shape_1_horizontal_lines, 23, 7),
        shape(frame_92_shape_group_6_shape_2_horizontal_lines, 25, 8),
        shape(frame_92_shape_group_6_shape_3_horizontal_lines, 26, 3),
        shape(frame_92_shape_group_6_shape_4_horizontal_lines, 33, 4),
        shape(frame_92_shape_group_6_shape_5_horizontal_lines, 34, 8),
        shape(frame_92_shape_group_6_shape_6_horizontal_lines, 36, 4),
        shape(frame_92_shape_group_6_shape_7_horizontal_lines, 45, 4),
        shape(frame_92_shape_group_6_shape_8_horizontal_lines, 55, 3),
        shape(frame_92_shape_group_6_shape_9_horizontal_lines, 59, 1),
        shape(frame_92_shape_group_6_shape_10_horizontal_lines, 60, 8),
        shape(frame_92_shape_group_6_shape_11_horizontal_lines, 62, 1),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 187),
        horizontal_line(171, 188),
        horizontal_line(119, 120),
        horizontal_line(120, 122),
        horizontal_line(172, 190),
        horizontal_line(122, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 128),
        horizontal_line(127, 129),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(132, 136),
        horizontal_line(133, 137),
        horizontal_line(151, 176),
        horizontal_line(151, 177),
        horizontal_line(151, 177),
        horizontal_line(152, 178),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 180),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(186, 209),
        horizontal_line(187, 210),
        horizontal_line(187, 211),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(69, 93),
        horizontal_line(68, 106),
    };

    constexpr const horizontal_line frame_92_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(157, 188),
    };

    constexpr const shape frame_92_shape_group_7_shapes[] = {
        shape(frame_92_shape_group_7_shape_0_horizontal_lines, 21, 8),
        shape(frame_92_shape_group_7_shape_1_horizontal_lines, 34, 4),
        shape(frame_92_shape_group_7_shape_2_horizontal_lines, 41, 4),
        shape(frame_92_shape_group_7_shape_3_horizontal_lines, 45, 4),
        shape(frame_92_shape_group_7_shape_4_horizontal_lines, 55, 8),
        shape(frame_92_shape_group_7_shape_5_horizontal_lines, 60, 1),
        shape(frame_92_shape_group_7_shape_6_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_92_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(172, 189),
    };

    constexpr const horizontal_line frame_92_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 190),
        horizontal_line(173, 191),
        horizontal_line(173, 192),
        horizontal_line(174, 192),
        horizontal_line(174, 193),
        horizontal_line(175, 194),
        horizontal_line(175, 194),
    };

    constexpr const horizontal_line frame_92_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(151, 162),
        horizontal_line(151, 175),
    };

    constexpr const horizontal_line frame_92_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(128, 131),
    };

    constexpr const shape frame_92_shape_group_8_shapes[] = {
        shape(frame_92_shape_group_8_shape_0_horizontal_lines, 23, 8),
        shape(frame_92_shape_group_8_shape_1_horizontal_lines, 26, 8),
        shape(frame_92_shape_group_8_shape_2_horizontal_lines, 34, 4),
        shape(frame_92_shape_group_8_shape_3_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_92_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(129, 130),
        horizontal_line(130, 131),
        horizontal_line(131, 133),
    };

    constexpr const shape frame_92_shape_group_9_shapes[] = {
        shape(frame_92_shape_group_9_shape_0_horizontal_lines, 29, 4),
    };

    constexpr const shape_group frame_92_shape_groups[] = {
        shape_group(frame_92_shape_group_0_shapes),
        shape_group(frame_92_shape_group_1_shapes),
        shape_group(frame_92_shape_group_2_shapes),
        shape_group(frame_92_shape_group_3_shapes),
        shape_group(frame_92_shape_group_4_shapes),
        shape_group(frame_92_shape_group_5_shapes),
        shape_group(frame_92_shape_group_6_shapes),
        shape_group(frame_92_shape_group_7_shapes),
        shape_group(frame_92_shape_group_8_shapes),
        shape_group(frame_92_shape_group_9_shapes),
    };

    constexpr const frame frame_92_impl(frame_92_colors, frame_92_shape_groups);
} 

const frame& frame_92()
{
    return frame_92_impl;
}

namespace
{
    constexpr const bn::color frame_93_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_93_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(13, 75),
        horizontal_line(26, 88),
        horizontal_line(40, 102),
        horizontal_line(53, 115),
        horizontal_line(66, 120),
        horizontal_line(80, 120),
        horizontal_line(93, 120),
        horizontal_line(106, 120),
        horizontal_line(120, 120),
        horizontal_line(121, 148),
        horizontal_line(121, 149),
        horizontal_line(122, 150),
        horizontal_line(122, 151),
        horizontal_line(122, 151),
        horizontal_line(123, 152),
        horizontal_line(123, 153),
        horizontal_line(123, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 149),
        horizontal_line(125, 143),
        horizontal_line(125, 137),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_93_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(112, 124),
        horizontal_line(100, 124),
        horizontal_line(87, 124),
        horizontal_line(75, 124),
        horizontal_line(62, 124),
        horizontal_line(50, 112),
        horizontal_line(37, 99),
        horizontal_line(25, 87),
        horizontal_line(12, 74),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
    };

    constexpr const shape frame_93_shape_group_0_shapes[] = {
        shape(frame_93_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_93_shape_group_0_shape_1_horizontal_lines, 78, 7),
    };

    constexpr const horizontal_line frame_93_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(89, 97),
        horizontal_line(90, 99),
        horizontal_line(91, 101),
        horizontal_line(92, 103),
        horizontal_line(93, 105),
        horizontal_line(94, 107),
        horizontal_line(96, 110),
        horizontal_line(97, 112),
        horizontal_line(98, 114),
        horizontal_line(99, 116),
        horizontal_line(100, 118),
        horizontal_line(102, 120),
        horizontal_line(103, 123),
        horizontal_line(105, 125),
        horizontal_line(107, 127),
        horizontal_line(110, 129),
        horizontal_line(112, 131),
        horizontal_line(114, 133),
        horizontal_line(116, 136),
        horizontal_line(118, 136),
        horizontal_line(121, 137),
        horizontal_line(123, 137),
        horizontal_line(125, 138),
        horizontal_line(127, 138),
        horizontal_line(129, 139),
        horizontal_line(132, 139),
        horizontal_line(134, 140),
        horizontal_line(136, 140),
        horizontal_line(138, 141),
        horizontal_line(140, 141),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(150, 166),
        horizontal_line(150, 183),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 182),
        horizontal_line(150, 188),
        horizontal_line(150, 165),
        horizontal_line(185, 189),
        horizontal_line(187, 190),
        horizontal_line(188, 190),
    };

    constexpr const horizontal_line frame_93_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(183, 189),
        horizontal_line(177, 190),
        horizontal_line(172, 191),
        horizontal_line(166, 192),
        horizontal_line(160, 192),
        horizontal_line(156, 193),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 190),
        horizontal_line(156, 187),
        horizontal_line(156, 183),
        horizontal_line(156, 180),
        horizontal_line(157, 176),
        horizontal_line(157, 173),
        horizontal_line(157, 169),
        horizontal_line(157, 166),
        horizontal_line(157, 162),
        horizontal_line(157, 159),
        horizontal_line(157, 193),
        horizontal_line(154, 193),
        horizontal_line(152, 192),
        horizontal_line(150, 192),
        horizontal_line(147, 192),
        horizontal_line(145, 191),
        horizontal_line(143, 191),
        horizontal_line(140, 191),
        horizontal_line(138, 190),
        horizontal_line(136, 190),
        horizontal_line(133, 190),
        horizontal_line(131, 189),
        horizontal_line(129, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(127, 188),
        horizontal_line(132, 187),
        horizontal_line(137, 187),
        horizontal_line(142, 187),
        horizontal_line(147, 186),
        horizontal_line(152, 186),
        horizontal_line(156, 186),
        horizontal_line(161, 185),
        horizontal_line(166, 185),
        horizontal_line(171, 185),
        horizontal_line(176, 184),
        horizontal_line(181, 184),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_93_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_93_shape_group_1_shapes[] = {
        shape(frame_93_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_93_shape_group_1_shape_1_horizontal_lines, 67, 7),
        shape(frame_93_shape_group_1_shape_2_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(127, 174),
        horizontal_line(128, 142),
        horizontal_line(130, 142),
        horizontal_line(131, 142),
        horizontal_line(133, 142),
        horizontal_line(134, 142),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 126),
        horizontal_line(124, 128),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(123, 135),
        horizontal_line(123, 137),
        horizontal_line(123, 139),
        horizontal_line(123, 140),
        horizontal_line(123, 142),
        horizontal_line(123, 144),
        horizontal_line(123, 146),
        horizontal_line(122, 148),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(75, 121),
        horizontal_line(88, 121),
        horizontal_line(102, 120),
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(121, 149),
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(186, 194),
        horizontal_line(176, 194),
        horizontal_line(166, 193),
        horizontal_line(87, 123),
        horizontal_line(74, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 117),
        horizontal_line(62, 115),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 97),
    };

    constexpr const horizontal_line frame_93_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_93_shape_group_2_shapes[] = {
        shape(frame_93_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_93_shape_group_2_shape_1_horizontal_lines, 30, 2),
        shape(frame_93_shape_group_2_shape_2_horizontal_lines, 36, 3),
        shape(frame_93_shape_group_2_shape_3_horizontal_lines, 37, 2),
        shape(frame_93_shape_group_2_shape_4_horizontal_lines, 51, 3),
        shape(frame_93_shape_group_2_shape_5_horizontal_lines, 59, 2),
        shape(frame_93_shape_group_2_shape_6_horizontal_lines, 61, 3),
        shape(frame_93_shape_group_2_shape_7_horizontal_lines, 62, 2),
        shape(frame_93_shape_group_2_shape_8_horizontal_lines, 63, 3),
        shape(frame_93_shape_group_2_shape_9_horizontal_lines, 64, 2),
        shape(frame_93_shape_group_2_shape_10_horizontal_lines, 65, 1),
        shape(frame_93_shape_group_2_shape_11_horizontal_lines, 83, 7),
        shape(frame_93_shape_group_2_shape_12_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(98, 155),
        horizontal_line(100, 155),
        horizontal_line(102, 156),
        horizontal_line(104, 157),
        horizontal_line(106, 158),
        horizontal_line(108, 159),
        horizontal_line(111, 160),
        horizontal_line(113, 161),
        horizontal_line(115, 161),
        horizontal_line(117, 162),
        horizontal_line(119, 163),
        horizontal_line(121, 164),
        horizontal_line(124, 165),
        horizontal_line(126, 166),
        horizontal_line(128, 167),
        horizontal_line(130, 167),
        horizontal_line(132, 167),
        horizontal_line(134, 168),
        horizontal_line(137, 168),
        horizontal_line(145, 169),
        horizontal_line(153, 169),
        horizontal_line(161, 170),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(118, 128),
        horizontal_line(119, 131),
        horizontal_line(121, 133),
        horizontal_line(122, 135),
        horizontal_line(124, 137),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(151, 174),
        horizontal_line(159, 175),
        horizontal_line(168, 175),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(136, 143),
        horizontal_line(137, 143),
        horizontal_line(139, 143),
        horizontal_line(140, 143),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(134, 179),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(146, 162),
        horizontal_line(146, 171),
        horizontal_line(147, 181),
        horizontal_line(148, 181),
        horizontal_line(148, 181),
        horizontal_line(149, 182),
        horizontal_line(150, 182),
        horizontal_line(122, 149),
        horizontal_line(122, 149),
        horizontal_line(122, 149),
        horizontal_line(122, 149),
        horizontal_line(122, 149),
        horizontal_line(122, 149),
        horizontal_line(121, 149),
        horizontal_line(121, 149),
        horizontal_line(183, 187),
        horizontal_line(183, 187),
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(150, 186),
        horizontal_line(151, 187),
        horizontal_line(152, 188),
        horizontal_line(152, 182),
        horizontal_line(153, 176),
        horizontal_line(154, 171),
        horizontal_line(154, 165),
        horizontal_line(155, 159),
        horizontal_line(62, 123),
        horizontal_line(150, 155),
        horizontal_line(144, 155),
        horizontal_line(138, 155),
        horizontal_line(132, 155),
        horizontal_line(126, 155),
        horizontal_line(125, 155),
        horizontal_line(125, 156),
        horizontal_line(125, 156),
        horizontal_line(125, 156),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(112, 124),
        horizontal_line(99, 124),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 11),
        horizontal_line(124, 151),
        horizontal_line(124, 149),
        horizontal_line(124, 146),
        horizontal_line(124, 144),
        horizontal_line(124, 142),
        horizontal_line(124, 139),
        horizontal_line(123, 137),
        horizontal_line(123, 135),
        horizontal_line(123, 132),
        horizontal_line(123, 130),
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(186, 188),
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_93_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
    };

    constexpr const shape frame_93_shape_group_3_shapes[] = {
        shape(frame_93_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_93_shape_group_3_shape_1_horizontal_lines, 23, 2),
        shape(frame_93_shape_group_3_shape_2_horizontal_lines, 30, 4),
        shape(frame_93_shape_group_3_shape_3_horizontal_lines, 31, 2),
        shape(frame_93_shape_group_3_shape_4_horizontal_lines, 35, 4),
        shape(frame_93_shape_group_3_shape_5_horizontal_lines, 36, 2),
        shape(frame_93_shape_group_3_shape_6_horizontal_lines, 42, 4),
        shape(frame_93_shape_group_3_shape_7_horizontal_lines, 43, 2),
        shape(frame_93_shape_group_3_shape_8_horizontal_lines, 62, 1),
        shape(frame_93_shape_group_3_shape_9_horizontal_lines, 63, 2),
        shape(frame_93_shape_group_3_shape_10_horizontal_lines, 64, 1),
        shape(frame_93_shape_group_3_shape_11_horizontal_lines, 83, 7),
        shape(frame_93_shape_group_3_shape_12_horizontal_lines, 86, 1),
        shape(frame_93_shape_group_3_shape_13_horizontal_lines, 99, 7),
        shape(frame_93_shape_group_3_shape_14_horizontal_lines, 102, 9),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 163),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(161, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(163, 165),
        horizontal_line(164, 165),
        horizontal_line(165, 165),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(105, 106),
        horizontal_line(106, 109),
        horizontal_line(108, 111),
        horizontal_line(109, 113),
        horizontal_line(110, 115),
        horizontal_line(111, 117),
        horizontal_line(112, 120),
        horizontal_line(114, 122),
        horizontal_line(115, 124),
        horizontal_line(139, 171),
        horizontal_line(140, 171),
        horizontal_line(140, 172),
        horizontal_line(141, 172),
        horizontal_line(141, 172),
        horizontal_line(142, 173),
        horizontal_line(142, 173),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(122, 129),
        horizontal_line(122, 130),
        horizontal_line(123, 132),
        horizontal_line(143, 176),
        horizontal_line(125, 135),
        horizontal_line(125, 136),
        horizontal_line(127, 138),
        horizontal_line(129, 139),
        horizontal_line(131, 141),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(136, 144),
        horizontal_line(138, 145),
        horizontal_line(140, 145),
        horizontal_line(141, 146),
        horizontal_line(143, 147),
        horizontal_line(145, 147),
        horizontal_line(147, 148),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(167, 182),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 186),
        horizontal_line(183, 186),
        horizontal_line(183, 187),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(0, 62),
        horizontal_line(150, 184),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(190, 191),
        horizontal_line(190, 191),
        horizontal_line(191, 192),
        horizontal_line(192, 192),
        horizontal_line(62, 122),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 111),
        horizontal_line(62, 99),
        horizontal_line(62, 86),
        horizontal_line(62, 74),
        horizontal_line(0, 61),
        horizontal_line(0, 49),
        horizontal_line(0, 36),
        horizontal_line(124, 156),
        horizontal_line(124, 153),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(196, 215),
        horizontal_line(195, 218),
        horizontal_line(195, 220),
        horizontal_line(195, 223),
        horizontal_line(194, 226),
        horizontal_line(194, 229),
        horizontal_line(193, 232),
        horizontal_line(193, 235),
        horizontal_line(192, 238),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_93_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const shape frame_93_shape_group_4_shapes[] = {
        shape(frame_93_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_93_shape_group_4_shape_1_horizontal_lines, 13, 2),
        shape(frame_93_shape_group_4_shape_2_horizontal_lines, 31, 4),
        shape(frame_93_shape_group_4_shape_3_horizontal_lines, 43, 4),
        shape(frame_93_shape_group_4_shape_4_horizontal_lines, 51, 2),
        shape(frame_93_shape_group_4_shape_5_horizontal_lines, 59, 1),
        shape(frame_93_shape_group_4_shape_6_horizontal_lines, 61, 2),
        shape(frame_93_shape_group_4_shape_7_horizontal_lines, 62, 1),
        shape(frame_93_shape_group_4_shape_8_horizontal_lines, 74, 1),
        shape(frame_93_shape_group_4_shape_9_horizontal_lines, 88, 9),
        shape(frame_93_shape_group_4_shape_10_horizontal_lines, 99, 1),
        shape(frame_93_shape_group_4_shape_11_horizontal_lines, 101, 9),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 144),
        horizontal_line(138, 152),
        horizontal_line(138, 160),
        horizontal_line(139, 168),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(117, 120),
        horizontal_line(118, 121),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(143, 150),
        horizontal_line(143, 158),
        horizontal_line(143, 167),
        horizontal_line(143, 175),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(144, 177),
        horizontal_line(144, 177),
        horizontal_line(144, 177),
        horizontal_line(144, 178),
        horizontal_line(144, 178),
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(154, 180),
        horizontal_line(163, 180),
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 25),
        horizontal_line(0, 39),
        horizontal_line(0, 52),
        horizontal_line(62, 65),
        horizontal_line(62, 79),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(166, 183),
        horizontal_line(62, 120),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 123),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(125, 156),
        horizontal_line(125, 156),
        horizontal_line(125, 156),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(197, 209),
        horizontal_line(196, 212),
    };

    constexpr const horizontal_line frame_93_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_93_shape_group_5_shapes[] = {
        shape(frame_93_shape_group_5_shape_0_horizontal_lines, 19, 2),
        shape(frame_93_shape_group_5_shape_1_horizontal_lines, 23, 4),
        shape(frame_93_shape_group_5_shape_2_horizontal_lines, 31, 4),
        shape(frame_93_shape_group_5_shape_3_horizontal_lines, 36, 4),
        shape(frame_93_shape_group_5_shape_4_horizontal_lines, 43, 4),
        shape(frame_93_shape_group_5_shape_5_horizontal_lines, 47, 4),
        shape(frame_93_shape_group_5_shape_6_horizontal_lines, 50, 4),
        shape(frame_93_shape_group_5_shape_7_horizontal_lines, 55, 1),
        shape(frame_93_shape_group_5_shape_8_horizontal_lines, 63, 1),
        shape(frame_93_shape_group_5_shape_9_horizontal_lines, 67, 1),
        shape(frame_93_shape_group_5_shape_10_horizontal_lines, 72, 1),
        shape(frame_93_shape_group_5_shape_11_horizontal_lines, 75, 1),
        shape(frame_93_shape_group_5_shape_12_horizontal_lines, 83, 1),
        shape(frame_93_shape_group_5_shape_13_horizontal_lines, 86, 9),
        shape(frame_93_shape_group_5_shape_14_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_93_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_93_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_93_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(62, 119),
    };

    constexpr const horizontal_line frame_93_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(198, 200),
        horizontal_line(198, 203),
        horizontal_line(197, 206),
    };

    constexpr const shape frame_93_shape_group_6_shapes[] = {
        shape(frame_93_shape_group_6_shape_0_horizontal_lines, 22, 4),
        shape(frame_93_shape_group_6_shape_1_horizontal_lines, 61, 1),
        shape(frame_93_shape_group_6_shape_2_horizontal_lines, 63, 1),
        shape(frame_93_shape_group_6_shape_3_horizontal_lines, 83, 9),
    };

    constexpr const shape_group frame_93_shape_groups[] = {
        shape_group(frame_93_shape_group_0_shapes),
        shape_group(frame_93_shape_group_1_shapes),
        shape_group(frame_93_shape_group_2_shapes),
        shape_group(frame_93_shape_group_3_shapes),
        shape_group(frame_93_shape_group_4_shapes),
        shape_group(frame_93_shape_group_5_shapes),
        shape_group(frame_93_shape_group_6_shapes),
    };

    constexpr const frame frame_93_impl(frame_93_colors, frame_93_shape_groups);
} 

const frame& frame_93()
{
    return frame_93_impl;
}

namespace
{
    constexpr const bn::color frame_94_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_94_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(20, 82),
        horizontal_line(40, 99),
        horizontal_line(60, 99),
        horizontal_line(80, 99),
        horizontal_line(180, 194),
        horizontal_line(100, 141),
        horizontal_line(100, 142),
        horizontal_line(101, 142),
        horizontal_line(101, 143),
        horizontal_line(101, 144),
        horizontal_line(102, 144),
        horizontal_line(102, 145),
        horizontal_line(103, 145),
        horizontal_line(103, 146),
        horizontal_line(103, 147),
        horizontal_line(104, 141),
        horizontal_line(104, 136),
        horizontal_line(105, 131),
        horizontal_line(105, 126),
        horizontal_line(105, 121),
        horizontal_line(106, 116),
        horizontal_line(106, 111),
    };

    constexpr const horizontal_line frame_94_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(173, 202),
        horizontal_line(170, 202),
        horizontal_line(166, 203),
        horizontal_line(163, 203),
        horizontal_line(160, 204),
        horizontal_line(156, 179),
        horizontal_line(153, 164),
        horizontal_line(194, 205),
        horizontal_line(194, 206),
        horizontal_line(194, 206),
        horizontal_line(194, 207),
        horizontal_line(194, 206),
        horizontal_line(193, 206),
        horizontal_line(193, 205),
        horizontal_line(193, 205),
        horizontal_line(193, 204),
        horizontal_line(193, 204),
        horizontal_line(193, 203),
        horizontal_line(193, 203),
        horizontal_line(192, 203),
        horizontal_line(192, 202),
        horizontal_line(192, 202),
        horizontal_line(192, 201),
        horizontal_line(192, 201),
        horizontal_line(192, 200),
        horizontal_line(192, 200),
        horizontal_line(192, 200),
        horizontal_line(191, 199),
        horizontal_line(191, 199),
        horizontal_line(191, 198),
        horizontal_line(191, 198),
        horizontal_line(191, 197),
        horizontal_line(103, 103),
        horizontal_line(101, 106),
        horizontal_line(99, 110),
        horizontal_line(97, 113),
        horizontal_line(96, 117),
        horizontal_line(94, 120),
        horizontal_line(92, 124),
        horizontal_line(91, 127),
        horizontal_line(89, 131),
        horizontal_line(87, 134),
        horizontal_line(86, 138),
        horizontal_line(84, 141),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
    };

    constexpr const shape frame_94_shape_group_0_shapes[] = {
        shape(frame_94_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_94_shape_group_0_shape_1_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(84, 103),
        horizontal_line(85, 105),
        horizontal_line(87, 107),
        horizontal_line(89, 109),
        horizontal_line(91, 111),
        horizontal_line(93, 113),
        horizontal_line(95, 115),
        horizontal_line(97, 117),
        horizontal_line(99, 119),
        horizontal_line(100, 121),
        horizontal_line(102, 123),
        horizontal_line(104, 126),
        horizontal_line(106, 126),
        horizontal_line(108, 126),
        horizontal_line(110, 127),
        horizontal_line(112, 127),
        horizontal_line(114, 128),
        horizontal_line(116, 128),
        horizontal_line(117, 128),
        horizontal_line(119, 129),
        horizontal_line(121, 129),
        horizontal_line(123, 130),
        horizontal_line(125, 130),
        horizontal_line(127, 130),
        horizontal_line(129, 131),
        horizontal_line(131, 131),
        horizontal_line(174, 177),
        horizontal_line(175, 178),
        horizontal_line(175, 178),
        horizontal_line(176, 178),
        horizontal_line(177, 179),
        horizontal_line(177, 179),
        horizontal_line(178, 180),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(142, 158),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 176),
        horizontal_line(142, 193),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(182, 194),
        horizontal_line(184, 190),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(190, 190),
        horizontal_line(186, 200),
        horizontal_line(183, 201),
        horizontal_line(180, 201),
        horizontal_line(176, 202),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(194, 204),
        horizontal_line(194, 205),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(104, 115),
        horizontal_line(104, 113),
        horizontal_line(104, 111),
        horizontal_line(104, 109),
        horizontal_line(104, 107),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(191, 197),
        horizontal_line(191, 197),
        horizontal_line(190, 196),
        horizontal_line(190, 196),
        horizontal_line(190, 195),
        horizontal_line(190, 195),
        horizontal_line(190, 194),
        horizontal_line(190, 194),
        horizontal_line(190, 193),
        horizontal_line(190, 193),
        horizontal_line(189, 193),
        horizontal_line(189, 192),
        horizontal_line(189, 192),
        horizontal_line(189, 191),
        horizontal_line(189, 191),
        horizontal_line(189, 190),
        horizontal_line(189, 190),
        horizontal_line(188, 190),
        horizontal_line(188, 189),
        horizontal_line(188, 189),
        horizontal_line(188, 188),
        horizontal_line(188, 188),
        horizontal_line(127, 180),
        horizontal_line(126, 184),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_94_shape_group_1_shapes[] = {
        shape(frame_94_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_94_shape_group_1_shape_1_horizontal_lines, 64, 8),
        shape(frame_94_shape_group_1_shape_2_horizontal_lines, 65, 3),
        shape(frame_94_shape_group_1_shape_3_horizontal_lines, 67, 8),
        shape(frame_94_shape_group_1_shape_4_horizontal_lines, 105, 1),
        shape(frame_94_shape_group_1_shape_5_horizontal_lines, 113, 9),
        shape(frame_94_shape_group_1_shape_6_horizontal_lines, 114, 8),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(173, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 175),
        horizontal_line(172, 175),
        horizontal_line(172, 176),
        horizontal_line(173, 176),
        horizontal_line(174, 177),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(191, 192),
        horizontal_line(186, 192),
        horizontal_line(181, 193),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(178, 194),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(100, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(200, 200),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 52),
        horizontal_line(0, 45),
        horizontal_line(0, 38),
        horizontal_line(0, 32),
        horizontal_line(0, 25),
        horizontal_line(0, 18),
        horizontal_line(0, 12),
        horizontal_line(0, 5),
        horizontal_line(105, 132),
        horizontal_line(105, 130),
        horizontal_line(105, 128),
        horizontal_line(105, 126),
        horizontal_line(105, 124),
        horizontal_line(105, 122),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(143, 149),
        horizontal_line(141, 152),
        horizontal_line(139, 156),
        horizontal_line(137, 159),
        horizontal_line(136, 163),
        horizontal_line(134, 166),
        horizontal_line(132, 170),
        horizontal_line(131, 173),
        horizontal_line(129, 177),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(184, 187),
        horizontal_line(183, 187),
        horizontal_line(181, 187),
        horizontal_line(179, 187),
        horizontal_line(178, 187),
        horizontal_line(176, 188),
        horizontal_line(174, 188),
        horizontal_line(172, 188),
        horizontal_line(171, 188),
        horizontal_line(169, 188),
        horizontal_line(167, 189),
        horizontal_line(166, 189),
        horizontal_line(164, 189),
        horizontal_line(162, 189),
        horizontal_line(161, 189),
        horizontal_line(159, 190),
        horizontal_line(157, 190),
        horizontal_line(156, 190),
        horizontal_line(154, 190),
        horizontal_line(152, 190),
        horizontal_line(151, 191),
    };

    constexpr const shape frame_94_shape_group_2_shapes[] = {
        shape(frame_94_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_94_shape_group_2_shape_1_horizontal_lines, 33, 8),
        shape(frame_94_shape_group_2_shape_2_horizontal_lines, 50, 3),
        shape(frame_94_shape_group_2_shape_3_horizontal_lines, 62, 8),
        shape(frame_94_shape_group_2_shape_4_horizontal_lines, 63, 3),
        shape(frame_94_shape_group_2_shape_5_horizontal_lines, 64, 2),
        shape(frame_94_shape_group_2_shape_6_horizontal_lines, 65, 8),
        shape(frame_94_shape_group_2_shape_7_horizontal_lines, 67, 1),
        shape(frame_94_shape_group_2_shape_8_horizontal_lines, 77, 8),
        shape(frame_94_shape_group_2_shape_9_horizontal_lines, 82, 1),
        shape(frame_94_shape_group_2_shape_10_horizontal_lines, 87, 8),
        shape(frame_94_shape_group_2_shape_11_horizontal_lines, 89, 1),
        shape(frame_94_shape_group_2_shape_12_horizontal_lines, 105, 9),
        shape(frame_94_shape_group_2_shape_13_horizontal_lines, 114, 9),
        shape(frame_94_shape_group_2_shape_14_horizontal_lines, 126, 8),
        shape(frame_94_shape_group_2_shape_15_horizontal_lines, 136, 9),
        shape(frame_94_shape_group_2_shape_16_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(73, 82),
        horizontal_line(74, 83),
        horizontal_line(75, 84),
        horizontal_line(76, 85),
        horizontal_line(77, 87),
        horizontal_line(78, 87),
        horizontal_line(80, 88),
        horizontal_line(81, 89),
        horizontal_line(82, 89),
        horizontal_line(83, 90),
        horizontal_line(84, 91),
        horizontal_line(86, 92),
        horizontal_line(87, 92),
        horizontal_line(88, 93),
        horizontal_line(89, 94),
        horizontal_line(90, 95),
        horizontal_line(92, 95),
        horizontal_line(93, 96),
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(103, 113),
        horizontal_line(103, 115),
        horizontal_line(103, 116),
        horizontal_line(102, 118),
        horizontal_line(102, 120),
        horizontal_line(102, 121),
        horizontal_line(102, 123),
        horizontal_line(102, 125),
        horizontal_line(102, 126),
        horizontal_line(102, 128),
        horizontal_line(102, 130),
        horizontal_line(102, 131),
        horizontal_line(102, 133),
        horizontal_line(101, 135),
        horizontal_line(101, 136),
        horizontal_line(101, 138),
        horizontal_line(101, 140),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(63, 99),
        horizontal_line(82, 99),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(100, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(143, 184),
        horizontal_line(144, 178),
        horizontal_line(145, 173),
        horizontal_line(145, 167),
        horizontal_line(146, 162),
        horizontal_line(146, 156),
        horizontal_line(147, 151),
        horizontal_line(189, 198),
        horizontal_line(142, 147),
        horizontal_line(137, 147),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(107, 148),
        horizontal_line(106, 148),
        horizontal_line(106, 149),
        horizontal_line(106, 149),
        horizontal_line(106, 149),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(106, 149),
        horizontal_line(106, 147),
        horizontal_line(106, 145),
        horizontal_line(106, 143),
        horizontal_line(105, 141),
        horizontal_line(105, 139),
        horizontal_line(105, 137),
        horizontal_line(105, 135),
        horizontal_line(105, 133),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(205, 222),
        horizontal_line(204, 224),
        horizontal_line(204, 227),
        horizontal_line(204, 229),
        horizontal_line(203, 231),
        horizontal_line(203, 234),
        horizontal_line(202, 236),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_94_shape_group_3_shapes[] = {
        shape(frame_94_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_94_shape_group_3_shape_1_horizontal_lines, 19, 3),
        shape(frame_94_shape_group_3_shape_2_horizontal_lines, 26, 8),
        shape(frame_94_shape_group_3_shape_3_horizontal_lines, 33, 2),
        shape(frame_94_shape_group_3_shape_4_horizontal_lines, 50, 8),
        shape(frame_94_shape_group_3_shape_5_horizontal_lines, 59, 3),
        shape(frame_94_shape_group_3_shape_6_horizontal_lines, 61, 8),
        shape(frame_94_shape_group_3_shape_7_horizontal_lines, 62, 2),
        shape(frame_94_shape_group_3_shape_8_horizontal_lines, 63, 8),
        shape(frame_94_shape_group_3_shape_9_horizontal_lines, 64, 1),
        shape(frame_94_shape_group_3_shape_10_horizontal_lines, 77, 8),
        shape(frame_94_shape_group_3_shape_11_horizontal_lines, 78, 1),
        shape(frame_94_shape_group_3_shape_12_horizontal_lines, 98, 9),
        shape(frame_94_shape_group_3_shape_13_horizontal_lines, 126, 9),
        shape(frame_94_shape_group_3_shape_14_horizontal_lines, 138, 9),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(95, 97),
        horizontal_line(96, 98),
        horizontal_line(98, 99),
        horizontal_line(99, 100),
        horizontal_line(100, 100),
        horizontal_line(101, 101),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 173),
        horizontal_line(103, 103),
        horizontal_line(103, 105),
        horizontal_line(103, 106),
        horizontal_line(103, 108),
        horizontal_line(103, 110),
        horizontal_line(103, 111),
        horizontal_line(127, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(131, 134),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(177, 183),
        horizontal_line(136, 143),
        horizontal_line(137, 151),
        horizontal_line(137, 159),
        horizontal_line(138, 167),
        horizontal_line(139, 175),
        horizontal_line(139, 175),
        horizontal_line(140, 175),
        horizontal_line(140, 175),
        horizontal_line(141, 176),
        horizontal_line(142, 176),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(101, 141),
        horizontal_line(100, 141),
        horizontal_line(100, 141),
        horizontal_line(100, 141),
        horizontal_line(100, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(100, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 59),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(100, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(142, 179),
        horizontal_line(142, 181),
        horizontal_line(143, 183),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(187, 196),
        horizontal_line(187, 197),
        horizontal_line(188, 197),
        horizontal_line(188, 198),
        horizontal_line(189, 198),
        horizontal_line(62, 102),
        horizontal_line(190, 199),
        horizontal_line(190, 197),
        horizontal_line(0, 62),
        horizontal_line(127, 147),
        horizontal_line(122, 148),
        horizontal_line(117, 148),
        horizontal_line(112, 148),
        horizontal_line(62, 105),
        horizontal_line(62, 98),
        horizontal_line(62, 91),
        horizontal_line(62, 85),
        horizontal_line(62, 78),
        horizontal_line(106, 149),
        horizontal_line(106, 149),
    };

    constexpr const horizontal_line frame_94_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(208, 208),
        horizontal_line(207, 210),
        horizontal_line(207, 212),
        horizontal_line(206, 215),
        horizontal_line(206, 217),
        horizontal_line(205, 219),
    };

    constexpr const shape frame_94_shape_group_4_shapes[] = {
        shape(frame_94_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_94_shape_group_4_shape_1_horizontal_lines, 26, 2),
        shape(frame_94_shape_group_4_shape_2_horizontal_lines, 59, 8),
        shape(frame_94_shape_group_4_shape_3_horizontal_lines, 61, 2),
        shape(frame_94_shape_group_4_shape_4_horizontal_lines, 62, 1),
        shape(frame_94_shape_group_4_shape_5_horizontal_lines, 63, 2),
        shape(frame_94_shape_group_4_shape_6_horizontal_lines, 64, 1),
        shape(frame_94_shape_group_4_shape_7_horizontal_lines, 92, 9),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(89, 92),
        horizontal_line(90, 94),
        horizontal_line(92, 96),
        horizontal_line(93, 98),
        horizontal_line(94, 99),
        horizontal_line(96, 101),
        horizontal_line(97, 103),
        horizontal_line(98, 105),
        horizontal_line(100, 107),
        horizontal_line(101, 109),
        horizontal_line(103, 111),
        horizontal_line(104, 113),
        horizontal_line(105, 115),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(104, 117),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(119, 132),
        horizontal_line(120, 132),
        horizontal_line(122, 132),
        horizontal_line(123, 132),
        horizontal_line(125, 133),
        horizontal_line(126, 133),
        horizontal_line(179, 180),
        horizontal_line(178, 181),
        horizontal_line(178, 181),
        horizontal_line(178, 182),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(124, 176),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(177, 183),
        horizontal_line(176, 184),
        horizontal_line(176, 183),
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(134, 138),
        horizontal_line(136, 139),
        horizontal_line(137, 139),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(159, 176),
        horizontal_line(177, 188),
        horizontal_line(177, 189),
        horizontal_line(177, 189),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(177, 190),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(100, 141),
        horizontal_line(100, 141),
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(191, 195),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(132, 147),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
    };

    constexpr const horizontal_line frame_94_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 65),
    };

    constexpr const shape frame_94_shape_group_5_shapes[] = {
        shape(frame_94_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_94_shape_group_5_shape_1_horizontal_lines, 5, 2),
        shape(frame_94_shape_group_5_shape_2_horizontal_lines, 19, 8),
        shape(frame_94_shape_group_5_shape_3_horizontal_lines, 26, 4),
        shape(frame_94_shape_group_5_shape_4_horizontal_lines, 27, 2),
        shape(frame_94_shape_group_5_shape_5_horizontal_lines, 39, 4),
        shape(frame_94_shape_group_5_shape_6_horizontal_lines, 40, 2),
        shape(frame_94_shape_group_5_shape_7_horizontal_lines, 44, 4),
        shape(frame_94_shape_group_5_shape_8_horizontal_lines, 49, 2),
        shape(frame_94_shape_group_5_shape_9_horizontal_lines, 63, 1),
        shape(frame_94_shape_group_5_shape_10_horizontal_lines, 75, 1),
        shape(frame_94_shape_group_5_shape_11_horizontal_lines, 87, 1),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(84, 84),
        horizontal_line(85, 86),
        horizontal_line(86, 88),
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(114, 168),
        horizontal_line(116, 168),
        horizontal_line(118, 169),
        horizontal_line(120, 169),
        horizontal_line(122, 170),
        horizontal_line(124, 170),
        horizontal_line(127, 170),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(127, 135),
        horizontal_line(128, 140),
        horizontal_line(128, 145),
        horizontal_line(129, 150),
        horizontal_line(129, 155),
        horizontal_line(129, 160),
        horizontal_line(108, 118),
        horizontal_line(109, 120),
        horizontal_line(111, 122),
        horizontal_line(112, 124),
        horizontal_line(114, 126),
        horizontal_line(115, 128),
        horizontal_line(116, 130),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(139, 174),
        horizontal_line(146, 174),
        horizontal_line(152, 175),
        horizontal_line(159, 176),
        horizontal_line(165, 176),
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(114, 126),
        horizontal_line(116, 128),
        horizontal_line(117, 129),
        horizontal_line(119, 130),
        horizontal_line(121, 132),
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(127, 136),
        horizontal_line(129, 136),
        horizontal_line(131, 137),
        horizontal_line(176, 185),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
        horizontal_line(177, 187),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(182, 188),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(177, 190),
        horizontal_line(177, 185),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(159, 177),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_94_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(62, 104),
    };

    constexpr const shape frame_94_shape_group_6_shapes[] = {
        shape(frame_94_shape_group_6_shape_0_horizontal_lines, 0, 2),
        shape(frame_94_shape_group_6_shape_1_horizontal_lines, 5, 7),
        shape(frame_94_shape_group_6_shape_2_horizontal_lines, 12, 2),
        shape(frame_94_shape_group_6_shape_3_horizontal_lines, 27, 2),
        shape(frame_94_shape_group_6_shape_4_horizontal_lines, 33, 4),
        shape(frame_94_shape_group_6_shape_5_horizontal_lines, 40, 4),
        shape(frame_94_shape_group_6_shape_6_horizontal_lines, 50, 2),
        shape(frame_94_shape_group_6_shape_7_horizontal_lines, 59, 2),
        shape(frame_94_shape_group_6_shape_8_horizontal_lines, 61, 1),
        shape(frame_94_shape_group_6_shape_9_horizontal_lines, 63, 1),
        shape(frame_94_shape_group_6_shape_10_horizontal_lines, 66, 1),
        shape(frame_94_shape_group_6_shape_11_horizontal_lines, 77, 1),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(104, 166),
        horizontal_line(106, 166),
        horizontal_line(108, 166),
        horizontal_line(110, 167),
        horizontal_line(112, 167),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(89, 89),
        horizontal_line(90, 91),
        horizontal_line(90, 92),
        horizontal_line(91, 93),
        horizontal_line(92, 95),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(131, 171),
        horizontal_line(136, 171),
        horizontal_line(141, 172),
        horizontal_line(146, 172),
        horizontal_line(151, 173),
        horizontal_line(156, 173),
        horizontal_line(161, 174),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(130, 165),
        horizontal_line(130, 170),
        horizontal_line(131, 170),
        horizontal_line(131, 171),
        horizontal_line(131, 171),
        horizontal_line(132, 172),
        horizontal_line(132, 173),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(104, 118),
        horizontal_line(106, 119),
        horizontal_line(107, 121),
        horizontal_line(109, 122),
        horizontal_line(111, 124),
        horizontal_line(112, 125),
        horizontal_line(134, 178),
        horizontal_line(134, 177),
        horizontal_line(135, 177),
        horizontal_line(135, 177),
        horizontal_line(135, 176),
        horizontal_line(135, 176),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(144, 176),
        horizontal_line(152, 175),
        horizontal_line(160, 175),
        horizontal_line(168, 175),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(177, 186),
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_94_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(62, 79),
    };

    constexpr const shape frame_94_shape_group_7_shapes[] = {
        shape(frame_94_shape_group_7_shape_0_horizontal_lines, 0, 7),
        shape(frame_94_shape_group_7_shape_1_horizontal_lines, 5, 4),
        shape(frame_94_shape_group_7_shape_2_horizontal_lines, 12, 7),
        shape(frame_94_shape_group_7_shape_3_horizontal_lines, 19, 2),
        shape(frame_94_shape_group_7_shape_4_horizontal_lines, 27, 4),
        shape(frame_94_shape_group_7_shape_5_horizontal_lines, 40, 4),
        shape(frame_94_shape_group_7_shape_6_horizontal_lines, 49, 4),
        shape(frame_94_shape_group_7_shape_7_horizontal_lines, 59, 1),
        shape(frame_94_shape_group_7_shape_8_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(93, 97),
        horizontal_line(94, 99),
        horizontal_line(95, 100),
        horizontal_line(96, 102),
        horizontal_line(96, 103),
        horizontal_line(97, 104),
        horizontal_line(98, 106),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(166, 172),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(99, 108),
        horizontal_line(100, 110),
        horizontal_line(101, 111),
        horizontal_line(101, 113),
        horizontal_line(102, 114),
        horizontal_line(103, 115),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(133, 145),
        horizontal_line(133, 151),
        horizontal_line(133, 158),
        horizontal_line(134, 164),
        horizontal_line(134, 171),
    };

    constexpr const horizontal_line frame_94_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(180, 185),
    };

    constexpr const shape frame_94_shape_group_8_shapes[] = {
        shape(frame_94_shape_group_8_shape_0_horizontal_lines, 0, 7),
        shape(frame_94_shape_group_8_shape_1_horizontal_lines, 12, 4),
        shape(frame_94_shape_group_8_shape_2_horizontal_lines, 19, 7),
        shape(frame_94_shape_group_8_shape_3_horizontal_lines, 20, 4),
        shape(frame_94_shape_group_8_shape_4_horizontal_lines, 27, 4),
        shape(frame_94_shape_group_8_shape_5_horizontal_lines, 42, 4),
    };

    constexpr const horizontal_line frame_94_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(98, 107),
    };

    constexpr const shape frame_94_shape_group_9_shapes[] = {
        shape(frame_94_shape_group_9_shape_0_horizontal_lines, 19, 4),
    };

    constexpr const shape_group frame_94_shape_groups[] = {
        shape_group(frame_94_shape_group_0_shapes),
        shape_group(frame_94_shape_group_1_shapes),
        shape_group(frame_94_shape_group_2_shapes),
        shape_group(frame_94_shape_group_3_shapes),
        shape_group(frame_94_shape_group_4_shapes),
        shape_group(frame_94_shape_group_5_shapes),
        shape_group(frame_94_shape_group_6_shapes),
        shape_group(frame_94_shape_group_7_shapes),
        shape_group(frame_94_shape_group_8_shapes),
        shape_group(frame_94_shape_group_9_shapes),
    };

    constexpr const frame frame_94_impl(frame_94_colors, frame_94_shape_groups);
} 

const frame& frame_94()
{
    return frame_94_impl;
}

namespace
{
    constexpr const bn::color frame_95_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_95_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(1, 51),
        horizontal_line(176, 196),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 117),
        horizontal_line(60, 113),
        horizontal_line(61, 109),
        horizontal_line(61, 105),
        horizontal_line(61, 101),
        horizontal_line(62, 97),
        horizontal_line(62, 93),
        horizontal_line(63, 89),
        horizontal_line(63, 85),
        horizontal_line(64, 81),
        horizontal_line(64, 77),
        horizontal_line(65, 73),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_95_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(196, 222),
        horizontal_line(196, 223),
        horizontal_line(196, 224),
        horizontal_line(196, 226),
        horizontal_line(196, 227),
        horizontal_line(196, 228),
        horizontal_line(197, 229),
        horizontal_line(197, 230),
        horizontal_line(197, 231),
        horizontal_line(197, 232),
        horizontal_line(197, 233),
        horizontal_line(197, 234),
        horizontal_line(197, 235),
        horizontal_line(197, 236),
        horizontal_line(197, 238),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(65, 66),
        horizontal_line(64, 68),
        horizontal_line(62, 70),
        horizontal_line(61, 72),
        horizontal_line(60, 74),
        horizontal_line(58, 76),
        horizontal_line(57, 78),
        horizontal_line(56, 80),
        horizontal_line(54, 82),
        horizontal_line(53, 84),
        horizontal_line(51, 86),
        horizontal_line(50, 88),
        horizontal_line(49, 90),
        horizontal_line(47, 92),
        horizontal_line(46, 94),
        horizontal_line(45, 96),
    };

    constexpr const shape frame_95_shape_group_0_shapes[] = {
        shape(frame_95_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_95_shape_group_0_shape_1_horizontal_lines, 96, 8),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(91, 108),
        horizontal_line(92, 109),
        horizontal_line(94, 111),
        horizontal_line(95, 111),
        horizontal_line(97, 112),
        horizontal_line(99, 112),
        horizontal_line(100, 113),
        horizontal_line(102, 113),
        horizontal_line(103, 114),
        horizontal_line(105, 114),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(110, 116),
        horizontal_line(111, 116),
        horizontal_line(113, 117),
        horizontal_line(115, 117),
        horizontal_line(116, 118),
        horizontal_line(118, 118),
        horizontal_line(165, 200),
        horizontal_line(165, 200),
        horizontal_line(166, 200),
        horizontal_line(167, 199),
        horizontal_line(168, 195),
        horizontal_line(168, 192),
        horizontal_line(169, 188),
        horizontal_line(170, 185),
        horizontal_line(170, 181),
        horizontal_line(171, 178),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(130, 138),
        horizontal_line(130, 149),
        horizontal_line(130, 160),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 171),
        horizontal_line(130, 170),
        horizontal_line(130, 156),
        horizontal_line(130, 142),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(178, 190),
        horizontal_line(179, 184),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(116, 132),
        horizontal_line(116, 133),
        horizontal_line(117, 133),
        horizontal_line(117, 134),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 136),
        horizontal_line(119, 137),
        horizontal_line(119, 138),
        horizontal_line(120, 133),
        horizontal_line(120, 129),
        horizontal_line(121, 125),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(171, 208),
        horizontal_line(169, 209),
        horizontal_line(166, 210),
        horizontal_line(163, 211),
        horizontal_line(160, 212),
        horizontal_line(157, 214),
        horizontal_line(155, 215),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(143, 167),
        horizontal_line(196, 220),
        horizontal_line(196, 221),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 54),
        horizontal_line(0, 50),
        horizontal_line(0, 45),
        horizontal_line(0, 40),
        horizontal_line(0, 36),
        horizontal_line(0, 31),
        horizontal_line(0, 26),
        horizontal_line(0, 22),
        horizontal_line(0, 17),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 3),
        horizontal_line(66, 115),
        horizontal_line(66, 113),
        horizontal_line(66, 112),
        horizontal_line(66, 110),
        horizontal_line(66, 109),
        horizontal_line(66, 107),
        horizontal_line(66, 106),
        horizontal_line(66, 104),
        horizontal_line(66, 103),
        horizontal_line(66, 101),
        horizontal_line(66, 100),
        horizontal_line(66, 98),
        horizontal_line(66, 97),
        horizontal_line(66, 95),
        horizontal_line(66, 94),
        horizontal_line(66, 92),
        horizontal_line(66, 91),
        horizontal_line(66, 89),
        horizontal_line(66, 87),
        horizontal_line(66, 86),
        horizontal_line(66, 84),
        horizontal_line(66, 83),
        horizontal_line(66, 81),
        horizontal_line(66, 80),
        horizontal_line(66, 78),
        horizontal_line(66, 77),
        horizontal_line(66, 75),
        horizontal_line(66, 74),
        horizontal_line(66, 72),
        horizontal_line(66, 71),
        horizontal_line(66, 69),
        horizontal_line(66, 68),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_95_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 238),
        horizontal_line(202, 238),
        horizontal_line(202, 237),
        horizontal_line(202, 237),
        horizontal_line(202, 236),
        horizontal_line(202, 236),
        horizontal_line(202, 235),
        horizontal_line(203, 235),
    };

    constexpr const shape frame_95_shape_group_1_shapes[] = {
        shape(frame_95_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_95_shape_group_1_shape_1_horizontal_lines, 29, 8),
        shape(frame_95_shape_group_1_shape_2_horizontal_lines, 47, 3),
        shape(frame_95_shape_group_1_shape_3_horizontal_lines, 65, 8),
        shape(frame_95_shape_group_1_shape_4_horizontal_lines, 66, 3),
        shape(frame_95_shape_group_1_shape_5_horizontal_lines, 83, 8),
        shape(frame_95_shape_group_1_shape_6_horizontal_lines, 96, 1),
        shape(frame_95_shape_group_1_shape_7_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(188, 194),
        horizontal_line(184, 194),
        horizontal_line(181, 195),
        horizontal_line(177, 196),
        horizontal_line(173, 196),
        horizontal_line(169, 197),
        horizontal_line(165, 198),
        horizontal_line(163, 198),
        horizontal_line(163, 199),
        horizontal_line(164, 200),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(101, 115),
        horizontal_line(103, 116),
        horizontal_line(105, 118),
        horizontal_line(106, 119),
        horizontal_line(108, 120),
        horizontal_line(109, 170),
        horizontal_line(111, 122),
        horizontal_line(113, 123),
        horizontal_line(114, 123),
        horizontal_line(116, 124),
        horizontal_line(117, 124),
        horizontal_line(119, 125),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(127, 128),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(195, 201),
        horizontal_line(190, 201),
        horizontal_line(185, 201),
        horizontal_line(180, 201),
        horizontal_line(175, 201),
        horizontal_line(172, 201),
        horizontal_line(173, 201),
        horizontal_line(175, 201),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(114, 130),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(186, 186),
        horizontal_line(183, 204),
        horizontal_line(180, 205),
        horizontal_line(177, 206),
        horizontal_line(174, 207),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(208, 218),
        horizontal_line(196, 219),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 127),
        horizontal_line(66, 126),
        horizontal_line(66, 124),
        horizontal_line(66, 123),
        horizontal_line(66, 121),
        horizontal_line(66, 120),
        horizontal_line(66, 118),
        horizontal_line(66, 117),
    };

    constexpr const horizontal_line frame_95_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_95_shape_group_2_shapes[] = {
        shape(frame_95_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_95_shape_group_2_shape_1_horizontal_lines, 7, 3),
        shape(frame_95_shape_group_2_shape_2_horizontal_lines, 18, 8),
        shape(frame_95_shape_group_2_shape_3_horizontal_lines, 29, 4),
        shape(frame_95_shape_group_2_shape_4_horizontal_lines, 47, 8),
        shape(frame_95_shape_group_2_shape_5_horizontal_lines, 56, 3),
        shape(frame_95_shape_group_2_shape_6_horizontal_lines, 65, 2),
        shape(frame_95_shape_group_2_shape_7_horizontal_lines, 66, 3),
        shape(frame_95_shape_group_2_shape_8_horizontal_lines, 68, 8),
        shape(frame_95_shape_group_2_shape_9_horizontal_lines, 94, 1),
        shape(frame_95_shape_group_2_shape_10_horizontal_lines, 152, 9),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(58, 78),
        horizontal_line(58, 79),
        horizontal_line(60, 80),
        horizontal_line(61, 82),
        horizontal_line(63, 83),
        horizontal_line(65, 84),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(84, 100),
        horizontal_line(85, 102),
        horizontal_line(87, 103),
        horizontal_line(89, 104),
        horizontal_line(90, 106),
        horizontal_line(92, 107),
        horizontal_line(93, 108),
        horizontal_line(95, 110),
        horizontal_line(97, 111),
        horizontal_line(98, 112),
        horizontal_line(100, 114),
        horizontal_line(122, 172),
        horizontal_line(122, 171),
        horizontal_line(122, 171),
        horizontal_line(122, 171),
        horizontal_line(122, 171),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(54, 108),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(128, 170),
        horizontal_line(134, 170),
        horizontal_line(140, 170),
        horizontal_line(146, 169),
        horizontal_line(152, 169),
        horizontal_line(158, 169),
        horizontal_line(164, 169),
        horizontal_line(170, 200),
        horizontal_line(170, 200),
        horizontal_line(170, 198),
        horizontal_line(171, 193),
        horizontal_line(171, 189),
        horizontal_line(171, 185),
        horizontal_line(172, 180),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(114, 129),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(214, 216),
        horizontal_line(211, 217),
    };

    constexpr const horizontal_line frame_95_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(74, 136),
        horizontal_line(70, 132),
        horizontal_line(62, 64),
        horizontal_line(128, 135),
        horizontal_line(128, 133),
        horizontal_line(128, 132),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
    };

    constexpr const shape frame_95_shape_group_3_shapes[] = {
        shape(frame_95_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_95_shape_group_3_shape_1_horizontal_lines, 1, 4),
        shape(frame_95_shape_group_3_shape_2_horizontal_lines, 7, 8),
        shape(frame_95_shape_group_3_shape_3_horizontal_lines, 18, 4),
        shape(frame_95_shape_group_3_shape_4_horizontal_lines, 34, 2),
        shape(frame_95_shape_group_3_shape_5_horizontal_lines, 35, 4),
        shape(frame_95_shape_group_3_shape_6_horizontal_lines, 50, 2),
        shape(frame_95_shape_group_3_shape_7_horizontal_lines, 56, 8),
        shape(frame_95_shape_group_3_shape_8_horizontal_lines, 65, 2),
        shape(frame_95_shape_group_3_shape_9_horizontal_lines, 66, 8),
        shape(frame_95_shape_group_3_shape_10_horizontal_lines, 68, 1),
        shape(frame_95_shape_group_3_shape_11_horizontal_lines, 78, 8),
        shape(frame_95_shape_group_3_shape_12_horizontal_lines, 83, 1),
        shape(frame_95_shape_group_3_shape_13_horizontal_lines, 90, 8),
        shape(frame_95_shape_group_3_shape_14_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(57, 77),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(79, 91),
        horizontal_line(57, 57),
        horizontal_line(57, 59),
        horizontal_line(57, 60),
        horizontal_line(57, 62),
        horizontal_line(57, 64),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(66, 86),
        horizontal_line(68, 87),
        horizontal_line(69, 88),
        horizontal_line(71, 90),
        horizontal_line(73, 91),
        horizontal_line(74, 92),
        horizontal_line(76, 94),
        horizontal_line(77, 95),
        horizontal_line(79, 96),
        horizontal_line(81, 98),
        horizontal_line(82, 99),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(56, 83),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(120, 123),
        horizontal_line(120, 128),
        horizontal_line(120, 133),
        horizontal_line(120, 138),
        horizontal_line(120, 143),
        horizontal_line(121, 147),
        horizontal_line(121, 152),
        horizontal_line(121, 157),
        horizontal_line(121, 162),
        horizontal_line(121, 167),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(55, 100),
        horizontal_line(55, 102),
        horizontal_line(55, 104),
        horizontal_line(55, 105),
        horizontal_line(55, 107),
        horizontal_line(171, 200),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(200, 200),
        horizontal_line(196, 200),
        horizontal_line(192, 200),
        horizontal_line(187, 200),
        horizontal_line(183, 200),
        horizontal_line(178, 200),
        horizontal_line(174, 200),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(172, 201),
        horizontal_line(172, 201),
        horizontal_line(172, 201),
        horizontal_line(172, 201),
        horizontal_line(172, 201),
        horizontal_line(172, 201),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(132, 194),
        horizontal_line(132, 175),
        horizontal_line(133, 171),
        horizontal_line(134, 167),
        horizontal_line(134, 163),
        horizontal_line(135, 159),
        horizontal_line(136, 154),
        horizontal_line(136, 150),
        horizontal_line(137, 146),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_95_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(118, 138),
        horizontal_line(114, 139),
        horizontal_line(110, 139),
        horizontal_line(106, 139),
        horizontal_line(102, 139),
        horizontal_line(98, 139),
        horizontal_line(94, 140),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(82, 140),
        horizontal_line(78, 140),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(128, 136),
    };

    constexpr const shape frame_95_shape_group_4_shapes[] = {
        shape(frame_95_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_95_shape_group_4_shape_1_horizontal_lines, 1, 2),
        shape(frame_95_shape_group_4_shape_2_horizontal_lines, 7, 4),
        shape(frame_95_shape_group_4_shape_3_horizontal_lines, 18, 2),
        shape(frame_95_shape_group_4_shape_4_horizontal_lines, 19, 4),
        shape(frame_95_shape_group_4_shape_5_horizontal_lines, 29, 2),
        shape(frame_95_shape_group_4_shape_6_horizontal_lines, 35, 4),
        shape(frame_95_shape_group_4_shape_7_horizontal_lines, 42, 2),
        shape(frame_95_shape_group_4_shape_8_horizontal_lines, 65, 1),
        shape(frame_95_shape_group_4_shape_9_horizontal_lines, 78, 8),
        shape(frame_95_shape_group_4_shape_10_horizontal_lines, 79, 1),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(78, 90),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(110, 172),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(80, 93),
        horizontal_line(81, 94),
        horizontal_line(83, 96),
        horizontal_line(84, 98),
        horizontal_line(85, 99),
        horizontal_line(57, 65),
        horizontal_line(57, 67),
        horizontal_line(57, 68),
        horizontal_line(57, 70),
        horizontal_line(57, 72),
        horizontal_line(56, 73),
        horizontal_line(56, 75),
        horizontal_line(56, 76),
        horizontal_line(56, 78),
        horizontal_line(56, 80),
        horizontal_line(56, 81),
        horizontal_line(101, 163),
        horizontal_line(56, 84),
        horizontal_line(56, 86),
        horizontal_line(56, 88),
        horizontal_line(56, 89),
        horizontal_line(55, 91),
        horizontal_line(55, 92),
        horizontal_line(55, 94),
        horizontal_line(55, 96),
        horizontal_line(55, 97),
        horizontal_line(55, 99),
        horizontal_line(116, 121),
        horizontal_line(117, 121),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(54, 110),
        horizontal_line(54, 112),
        horizontal_line(54, 113),
        horizontal_line(54, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(127, 169),
        horizontal_line(128, 169),
        horizontal_line(128, 169),
        horizontal_line(129, 170),
        horizontal_line(130, 170),
        horizontal_line(139, 170),
        horizontal_line(150, 171),
        horizontal_line(161, 171),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(172, 199),
        horizontal_line(172, 194),
        horizontal_line(172, 189),
        horizontal_line(172, 184),
        horizontal_line(172, 179),
        horizontal_line(172, 174),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(130, 175),
        horizontal_line(130, 177),
        horizontal_line(131, 178),
        horizontal_line(194, 201),
        horizontal_line(181, 201),
        horizontal_line(182, 201),
        horizontal_line(182, 201),
        horizontal_line(183, 201),
        horizontal_line(184, 201),
        horizontal_line(184, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(186, 193),
        horizontal_line(0, 56),
        horizontal_line(134, 138),
        horizontal_line(130, 138),
        horizontal_line(126, 138),
        horizontal_line(122, 138),
    };

    constexpr const horizontal_line frame_95_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(90, 140),
        horizontal_line(86, 140),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(136, 140),
        horizontal_line(132, 138),
    };

    constexpr const shape frame_95_shape_group_5_shapes[] = {
        shape(frame_95_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_95_shape_group_5_shape_1_horizontal_lines, 1, 7),
        shape(frame_95_shape_group_5_shape_2_horizontal_lines, 2, 2),
        shape(frame_95_shape_group_5_shape_3_horizontal_lines, 35, 2),
        shape(frame_95_shape_group_5_shape_4_horizontal_lines, 65, 1),
        shape(frame_95_shape_group_5_shape_5_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(109, 171),
        horizontal_line(172, 189),
        horizontal_line(112, 174),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(112, 114),
        horizontal_line(113, 118),
        horizontal_line(113, 122),
        horizontal_line(114, 126),
        horizontal_line(87, 101),
        horizontal_line(88, 102),
        horizontal_line(89, 104),
        horizontal_line(91, 106),
        horizontal_line(92, 107),
        horizontal_line(93, 109),
        horizontal_line(95, 110),
        horizontal_line(96, 112),
        horizontal_line(97, 114),
        horizontal_line(99, 115),
        horizontal_line(100, 117),
        horizontal_line(163, 164),
        horizontal_line(103, 119),
        horizontal_line(104, 119),
        horizontal_line(105, 119),
        horizontal_line(107, 119),
        horizontal_line(108, 119),
        horizontal_line(109, 120),
        horizontal_line(111, 120),
        horizontal_line(112, 120),
        horizontal_line(113, 120),
        horizontal_line(115, 120),
        horizontal_line(173, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
        horizontal_line(172, 200),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(124, 133),
        horizontal_line(124, 139),
        horizontal_line(125, 145),
        horizontal_line(125, 151),
        horizontal_line(126, 157),
        horizontal_line(127, 163),
        horizontal_line(116, 121),
        horizontal_line(116, 123),
        horizontal_line(199, 200),
        horizontal_line(194, 200),
        horizontal_line(190, 200),
        horizontal_line(186, 201),
        horizontal_line(181, 201),
        horizontal_line(177, 201),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(157, 172),
        horizontal_line(0, 0),
        horizontal_line(197, 201),
        horizontal_line(191, 201),
        horizontal_line(185, 201),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_95_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const shape frame_95_shape_group_6_shapes[] = {
        shape(frame_95_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_95_shape_group_6_shape_1_horizontal_lines, 3, 2),
        shape(frame_95_shape_group_6_shape_2_horizontal_lines, 35, 2),
        shape(frame_95_shape_group_6_shape_3_horizontal_lines, 56, 2),
        shape(frame_95_shape_group_6_shape_4_horizontal_lines, 62, 1),
        shape(frame_95_shape_group_6_shape_5_horizontal_lines, 90, 1),
        shape(frame_95_shape_group_6_shape_6_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(171, 189),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(174, 190),
        horizontal_line(115, 177),
        horizontal_line(119, 181),
        horizontal_line(123, 185),
        horizontal_line(127, 189),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(114, 130),
        horizontal_line(115, 134),
        horizontal_line(115, 138),
        horizontal_line(116, 142),
        horizontal_line(116, 146),
        horizontal_line(117, 150),
        horizontal_line(117, 154),
        horizontal_line(118, 158),
        horizontal_line(118, 162),
        horizontal_line(119, 162),
        horizontal_line(119, 163),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(124, 164),
        horizontal_line(129, 165),
        horizontal_line(134, 166),
        horizontal_line(139, 167),
        horizontal_line(144, 167),
        horizontal_line(148, 168),
        horizontal_line(153, 169),
        horizontal_line(158, 169),
        horizontal_line(163, 170),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(171, 199),
        horizontal_line(171, 195),
        horizontal_line(171, 191),
        horizontal_line(170, 186),
        horizontal_line(170, 182),
        horizontal_line(170, 177),
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(115, 124),
        horizontal_line(115, 126),
        horizontal_line(115, 128),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
    };

    constexpr const horizontal_line frame_95_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(143, 174),
    };

    constexpr const shape frame_95_shape_group_7_shapes[] = {
        shape(frame_95_shape_group_7_shape_0_horizontal_lines, 0, 7),
        shape(frame_95_shape_group_7_shape_1_horizontal_lines, 1, 1),
        shape(frame_95_shape_group_7_shape_2_horizontal_lines, 2, 7),
        shape(frame_95_shape_group_7_shape_3_horizontal_lines, 7, 2),
        shape(frame_95_shape_group_7_shape_4_horizontal_lines, 19, 2),
        shape(frame_95_shape_group_7_shape_5_horizontal_lines, 35, 2),
        shape(frame_95_shape_group_7_shape_6_horizontal_lines, 44, 2),
        shape(frame_95_shape_group_7_shape_7_horizontal_lines, 64, 1),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(191, 193),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(177, 190),
        horizontal_line(181, 191),
        horizontal_line(185, 192),
        horizontal_line(189, 192),
        horizontal_line(131, 191),
        horizontal_line(135, 187),
        horizontal_line(139, 183),
        horizontal_line(143, 180),
        horizontal_line(147, 176),
        horizontal_line(151, 172),
        horizontal_line(155, 168),
        horizontal_line(159, 164),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(200, 200),
        horizontal_line(196, 200),
        horizontal_line(193, 200),
        horizontal_line(189, 200),
        horizontal_line(186, 200),
        horizontal_line(182, 200),
        horizontal_line(179, 200),
        horizontal_line(175, 200),
    };

    constexpr const horizontal_line frame_95_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 118),
        horizontal_line(116, 120),
    };

    constexpr const shape frame_95_shape_group_8_shapes[] = {
        shape(frame_95_shape_group_8_shape_0_horizontal_lines, 0, 1),
        shape(frame_95_shape_group_8_shape_1_horizontal_lines, 2, 1),
        shape(frame_95_shape_group_8_shape_2_horizontal_lines, 3, 7),
        shape(frame_95_shape_group_8_shape_3_horizontal_lines, 15, 1),
        shape(frame_95_shape_group_8_shape_4_horizontal_lines, 21, 2),
        shape(frame_95_shape_group_8_shape_5_horizontal_lines, 39, 2),
    };

    constexpr const horizontal_line frame_95_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(191, 194),
        horizontal_line(192, 194),
        horizontal_line(193, 195),
        horizontal_line(193, 195),
        horizontal_line(194, 195),
        horizontal_line(195, 196),
        horizontal_line(195, 196),
        horizontal_line(196, 197),
        horizontal_line(197, 197),
        horizontal_line(197, 197),
        horizontal_line(198, 198),
    };

    constexpr const shape frame_95_shape_group_9_shapes[] = {
        shape(frame_95_shape_group_9_shape_0_horizontal_lines, 3, 1),
    };

    constexpr const shape_group frame_95_shape_groups[] = {
        shape_group(frame_95_shape_group_0_shapes),
        shape_group(frame_95_shape_group_1_shapes),
        shape_group(frame_95_shape_group_2_shapes),
        shape_group(frame_95_shape_group_3_shapes),
        shape_group(frame_95_shape_group_4_shapes),
        shape_group(frame_95_shape_group_5_shapes),
        shape_group(frame_95_shape_group_6_shapes),
        shape_group(frame_95_shape_group_7_shapes),
        shape_group(frame_95_shape_group_8_shapes),
        shape_group(frame_95_shape_group_9_shapes),
    };

    constexpr const frame frame_95_impl(frame_95_colors, frame_95_shape_groups);
} 

const frame& frame_95()
{
    return frame_95_impl;
}

namespace
{
    constexpr const bn::color frame_96_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(28, 20, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_96_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_96_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_96_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
    };

    constexpr const shape frame_96_shape_group_0_shapes[] = {
        shape(frame_96_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_96_shape_group_0_shape_1_horizontal_lines, 68, 3),
        shape(frame_96_shape_group_0_shape_2_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_96_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(70, 93),
        horizontal_line(71, 94),
        horizontal_line(72, 95),
        horizontal_line(73, 97),
        horizontal_line(75, 98),
        horizontal_line(76, 99),
        horizontal_line(77, 139),
        horizontal_line(78, 101),
        horizontal_line(80, 101),
        horizontal_line(81, 101),
        horizontal_line(82, 101),
        horizontal_line(83, 101),
        horizontal_line(85, 101),
        horizontal_line(86, 102),
        horizontal_line(87, 102),
        horizontal_line(88, 102),
        horizontal_line(90, 102),
        horizontal_line(91, 102),
        horizontal_line(92, 102),
        horizontal_line(93, 102),
        horizontal_line(95, 103),
        horizontal_line(96, 103),
        horizontal_line(97, 103),
        horizontal_line(98, 103),
        horizontal_line(100, 103),
        horizontal_line(101, 103),
        horizontal_line(102, 103),
        horizontal_line(104, 104),
        horizontal_line(105, 108),
        horizontal_line(106, 112),
        horizontal_line(106, 117),
        horizontal_line(107, 121),
        horizontal_line(108, 125),
        horizontal_line(108, 130),
        horizontal_line(109, 134),
        horizontal_line(109, 139),
        horizontal_line(110, 143),
        horizontal_line(111, 147),
        horizontal_line(111, 152),
        horizontal_line(112, 156),
        horizontal_line(112, 161),
        horizontal_line(113, 161),
        horizontal_line(114, 161),
        horizontal_line(120, 162),
        horizontal_line(127, 162),
        horizontal_line(135, 163),
        horizontal_line(142, 163),
        horizontal_line(150, 164),
        horizontal_line(157, 164),
        horizontal_line(165, 208),
        horizontal_line(165, 208),
        horizontal_line(165, 208),
        horizontal_line(165, 208),
        horizontal_line(165, 208),
        horizontal_line(165, 205),
        horizontal_line(165, 200),
        horizontal_line(165, 195),
        horizontal_line(165, 191),
        horizontal_line(165, 186),
        horizontal_line(165, 181),
        horizontal_line(165, 177),
        horizontal_line(165, 172),
        horizontal_line(165, 167),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
    };

    constexpr const horizontal_line frame_96_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(172, 183),
        horizontal_line(173, 178),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 122),
        horizontal_line(62, 119),
        horizontal_line(62, 116),
        horizontal_line(62, 113),
        horizontal_line(62, 110),
        horizontal_line(62, 107),
        horizontal_line(62, 104),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 95),
        horizontal_line(62, 92),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 82),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 73),
        horizontal_line(62, 70),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_96_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_96_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_96_shape_group_1_shapes[] = {
        shape(frame_96_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_96_shape_group_1_shape_1_horizontal_lines, 67, 3),
        shape(frame_96_shape_group_1_shape_2_horizontal_lines, 103, 1),
        shape(frame_96_shape_group_1_shape_3_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(99, 129),
        horizontal_line(99, 131),
        horizontal_line(100, 134),
        horizontal_line(100, 137),
        horizontal_line(101, 140),
        horizontal_line(101, 143),
        horizontal_line(139, 146),
        horizontal_line(105, 149),
        horizontal_line(108, 152),
        horizontal_line(112, 155),
        horizontal_line(115, 155),
        horizontal_line(118, 156),
        horizontal_line(122, 156),
        horizontal_line(125, 157),
        horizontal_line(128, 158),
        horizontal_line(132, 158),
        horizontal_line(135, 159),
        horizontal_line(139, 160),
        horizontal_line(142, 160),
        horizontal_line(145, 161),
        horizontal_line(149, 161),
        horizontal_line(152, 162),
        horizontal_line(155, 163),
        horizontal_line(159, 163),
        horizontal_line(162, 164),
        horizontal_line(166, 207),
        horizontal_line(165, 207),
        horizontal_line(165, 207),
        horizontal_line(165, 208),
        horizontal_line(164, 208),
        horizontal_line(164, 206),
        horizontal_line(164, 201),
        horizontal_line(164, 197),
        horizontal_line(163, 192),
        horizontal_line(163, 188),
        horizontal_line(163, 183),
        horizontal_line(163, 179),
        horizontal_line(162, 174),
        horizontal_line(162, 170),
        horizontal_line(162, 165),
        horizontal_line(208, 208),
        horizontal_line(203, 208),
        horizontal_line(198, 208),
        horizontal_line(194, 208),
        horizontal_line(189, 208),
        horizontal_line(184, 208),
        horizontal_line(180, 208),
        horizontal_line(175, 208),
        horizontal_line(170, 208),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(114, 176),
        horizontal_line(114, 147),
        horizontal_line(114, 130),
        horizontal_line(169, 194),
        horizontal_line(170, 189),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(118, 180),
        horizontal_line(118, 170),
        horizontal_line(119, 166),
        horizontal_line(120, 162),
        horizontal_line(121, 158),
        horizontal_line(121, 154),
        horizontal_line(122, 150),
        horizontal_line(123, 146),
        horizontal_line(124, 142),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(120, 126),
        horizontal_line(117, 126),
        horizontal_line(114, 126),
        horizontal_line(111, 126),
        horizontal_line(108, 126),
        horizontal_line(105, 126),
        horizontal_line(102, 126),
        horizontal_line(99, 126),
        horizontal_line(96, 126),
        horizontal_line(93, 127),
        horizontal_line(90, 127),
        horizontal_line(87, 127),
        horizontal_line(83, 127),
        horizontal_line(80, 127),
        horizontal_line(77, 127),
        horizontal_line(74, 127),
        horizontal_line(71, 127),
        horizontal_line(68, 127),
        horizontal_line(65, 127),
        horizontal_line(124, 127),
        horizontal_line(121, 127),
        horizontal_line(118, 125),
        horizontal_line(115, 124),
        horizontal_line(112, 123),
        horizontal_line(109, 122),
        horizontal_line(106, 120),
        horizontal_line(102, 119),
        horizontal_line(99, 118),
        horizontal_line(96, 117),
        horizontal_line(93, 116),
        horizontal_line(90, 114),
        horizontal_line(87, 113),
        horizontal_line(84, 112),
        horizontal_line(81, 111),
        horizontal_line(78, 109),
        horizontal_line(75, 108),
        horizontal_line(72, 107),
        horizontal_line(69, 106),
        horizontal_line(66, 105),
        horizontal_line(63, 103),
    };

    constexpr const horizontal_line frame_96_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_96_shape_group_2_shapes[] = {
        shape(frame_96_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_96_shape_group_2_shape_1_horizontal_lines, 63, 3),
        shape(frame_96_shape_group_2_shape_2_horizontal_lines, 70, 1),
        shape(frame_96_shape_group_2_shape_3_horizontal_lines, 80, 3),
        shape(frame_96_shape_group_2_shape_4_horizontal_lines, 83, 1),
        shape(frame_96_shape_group_2_shape_5_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(47, 69),
        horizontal_line(48, 70),
        horizontal_line(50, 71),
        horizontal_line(51, 72),
        horizontal_line(53, 74),
        horizontal_line(54, 75),
        horizontal_line(56, 76),
        horizontal_line(58, 77),
        horizontal_line(59, 79),
        horizontal_line(61, 80),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(205, 207),
        horizontal_line(202, 207),
        horizontal_line(198, 207),
        horizontal_line(195, 207),
        horizontal_line(191, 207),
        horizontal_line(188, 207),
        horizontal_line(185, 207),
        horizontal_line(181, 207),
        horizontal_line(178, 207),
        horizontal_line(175, 207),
        horizontal_line(171, 207),
        horizontal_line(168, 207),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(114, 164),
        horizontal_line(176, 209),
        horizontal_line(166, 205),
        horizontal_line(167, 200),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(115, 168),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(63, 114),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(116, 171),
        horizontal_line(117, 172),
        horizontal_line(180, 209),
        horizontal_line(175, 209),
        horizontal_line(176, 209),
        horizontal_line(176, 209),
        horizontal_line(177, 209),
        horizontal_line(177, 209),
        horizontal_line(178, 209),
        horizontal_line(179, 209),
        horizontal_line(179, 209),
        horizontal_line(180, 201),
        horizontal_line(125, 134),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(178, 212),
        horizontal_line(176, 214),
        horizontal_line(173, 215),
        horizontal_line(171, 217),
        horizontal_line(168, 219),
        horizontal_line(166, 220),
        horizontal_line(164, 222),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_96_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(130, 192),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_96_shape_group_3_shapes[] = {
        shape(frame_96_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_96_shape_group_3_shape_1_horizontal_lines, 11, 2),
        shape(frame_96_shape_group_3_shape_2_horizontal_lines, 49, 3),
        shape(frame_96_shape_group_3_shape_3_horizontal_lines, 66, 1),
        shape(frame_96_shape_group_3_shape_4_horizontal_lines, 67, 3),
        shape(frame_96_shape_group_3_shape_5_horizontal_lines, 68, 1),
        shape(frame_96_shape_group_3_shape_6_horizontal_lines, 82, 8),
        shape(frame_96_shape_group_3_shape_7_horizontal_lines, 102, 1),
        shape(frame_96_shape_group_3_shape_8_horizontal_lines, 103, 8),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(94, 98),
        horizontal_line(95, 98),
        horizontal_line(96, 99),
        horizontal_line(98, 99),
        horizontal_line(99, 100),
        horizontal_line(100, 100),
        horizontal_line(167, 207),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(102, 107),
        horizontal_line(102, 111),
        horizontal_line(102, 114),
        horizontal_line(64, 82),
        horizontal_line(65, 84),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(86, 100),
        horizontal_line(87, 101),
        horizontal_line(89, 103),
        horizontal_line(91, 104),
        horizontal_line(92, 105),
        horizontal_line(94, 105),
        horizontal_line(95, 106),
        horizontal_line(97, 107),
        horizontal_line(98, 107),
        horizontal_line(100, 108),
        horizontal_line(102, 108),
        horizontal_line(103, 109),
        horizontal_line(105, 110),
        horizontal_line(106, 110),
        horizontal_line(108, 111),
        horizontal_line(109, 111),
        horizontal_line(111, 112),
        horizontal_line(113, 113),
        horizontal_line(163, 193),
        horizontal_line(163, 188),
        horizontal_line(164, 183),
        horizontal_line(164, 179),
        horizontal_line(165, 174),
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(206, 208),
        horizontal_line(201, 209),
        horizontal_line(196, 209),
        horizontal_line(192, 209),
        horizontal_line(187, 209),
        horizontal_line(182, 209),
        horizontal_line(178, 209),
        horizontal_line(173, 209),
        horizontal_line(168, 209),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(148, 165),
        horizontal_line(131, 166),
        horizontal_line(195, 209),
        horizontal_line(115, 169),
        horizontal_line(184, 209),
        horizontal_line(179, 209),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(180, 194),
        horizontal_line(181, 187),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_96_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(223, 224),
        horizontal_line(221, 225),
        horizontal_line(218, 227),
        horizontal_line(216, 229),
        horizontal_line(214, 230),
        horizontal_line(211, 232),
        horizontal_line(209, 234),
        horizontal_line(206, 235),
        horizontal_line(204, 237),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(132, 194),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_96_shape_group_4_shapes[] = {
        shape(frame_96_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_96_shape_group_4_shape_1_horizontal_lines, 7, 4),
        shape(frame_96_shape_group_4_shape_2_horizontal_lines, 13, 2),
        shape(frame_96_shape_group_4_shape_3_horizontal_lines, 25, 4),
        shape(frame_96_shape_group_4_shape_4_horizontal_lines, 54, 3),
        shape(frame_96_shape_group_4_shape_5_horizontal_lines, 64, 1),
        shape(frame_96_shape_group_4_shape_6_horizontal_lines, 80, 1),
        shape(frame_96_shape_group_4_shape_7_horizontal_lines, 82, 8),
        shape(frame_96_shape_group_4_shape_8_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 207),
        horizontal_line(187, 207),
        horizontal_line(183, 207),
        horizontal_line(179, 207),
        horizontal_line(175, 207),
        horizontal_line(171, 207),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(147, 166),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(163, 207),
        horizontal_line(159, 207),
        horizontal_line(156, 207),
        horizontal_line(156, 207),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(102, 117),
        horizontal_line(102, 121),
        horizontal_line(67, 85),
        horizontal_line(69, 86),
        horizontal_line(70, 87),
        horizontal_line(72, 89),
        horizontal_line(73, 90),
        horizontal_line(75, 91),
        horizontal_line(76, 92),
        horizontal_line(78, 94),
        horizontal_line(80, 95),
        horizontal_line(81, 96),
        horizontal_line(83, 97),
        horizontal_line(84, 99),
        horizontal_line(104, 165),
        horizontal_line(104, 164),
        horizontal_line(105, 164),
        horizontal_line(109, 164),
        horizontal_line(113, 163),
        horizontal_line(118, 163),
        horizontal_line(122, 163),
        horizontal_line(126, 163),
        horizontal_line(131, 162),
        horizontal_line(135, 162),
        horizontal_line(140, 162),
        horizontal_line(144, 162),
        horizontal_line(148, 161),
        horizontal_line(153, 161),
        horizontal_line(157, 161),
        horizontal_line(162, 207),
        horizontal_line(162, 202),
        horizontal_line(162, 197),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(114, 126),
        horizontal_line(114, 134),
        horizontal_line(114, 141),
        horizontal_line(114, 149),
        horizontal_line(114, 156),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(206, 209),
        horizontal_line(201, 209),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(190, 209),
    };

    constexpr const horizontal_line frame_96_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(194, 239),
    };

    constexpr const shape frame_96_shape_group_5_shapes[] = {
        shape(frame_96_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_96_shape_group_5_shape_1_horizontal_lines, 6, 7),
        shape(frame_96_shape_group_5_shape_2_horizontal_lines, 7, 3),
        shape(frame_96_shape_group_5_shape_3_horizontal_lines, 11, 4),
        shape(frame_96_shape_group_5_shape_4_horizontal_lines, 43, 3),
        shape(frame_96_shape_group_5_shape_5_horizontal_lines, 64, 1),
        shape(frame_96_shape_group_5_shape_6_horizontal_lines, 67, 1),
        shape(frame_96_shape_group_5_shape_7_horizontal_lines, 102, 8),
    };

    constexpr const horizontal_line frame_96_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(130, 190),
        horizontal_line(132, 186),
        horizontal_line(135, 182),
        horizontal_line(138, 178),
        horizontal_line(141, 174),
        horizontal_line(144, 170),
    };

    constexpr const horizontal_line frame_96_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_96_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(157, 207),
        horizontal_line(157, 207),
    };

    constexpr const horizontal_line frame_96_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(103, 124),
        horizontal_line(103, 127),
        horizontal_line(103, 131),
        horizontal_line(103, 134),
        horizontal_line(103, 138),
        horizontal_line(103, 141),
        horizontal_line(103, 144),
        horizontal_line(104, 148),
        horizontal_line(104, 151),
        horizontal_line(104, 154),
        horizontal_line(104, 158),
        horizontal_line(104, 161),
    };

    constexpr const horizontal_line frame_96_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(207, 208),
        horizontal_line(202, 208),
        horizontal_line(198, 208),
        horizontal_line(193, 208),
        horizontal_line(189, 208),
        horizontal_line(184, 208),
        horizontal_line(180, 208),
        horizontal_line(175, 208),
        horizontal_line(171, 208),
        horizontal_line(166, 208),
    };

    constexpr const shape frame_96_shape_group_6_shapes[] = {
        shape(frame_96_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_96_shape_group_6_shape_1_horizontal_lines, 7, 7),
        shape(frame_96_shape_group_6_shape_2_horizontal_lines, 11, 3),
        shape(frame_96_shape_group_6_shape_3_horizontal_lines, 13, 4),
        shape(frame_96_shape_group_6_shape_4_horizontal_lines, 30, 4),
    };

    constexpr const horizontal_line frame_96_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(158, 204),
        horizontal_line(159, 201),
        horizontal_line(159, 197),
        horizontal_line(160, 194),
        horizontal_line(161, 190),
        horizontal_line(161, 187),
        horizontal_line(162, 184),
        horizontal_line(162, 180),
        horizontal_line(163, 177),
        horizontal_line(164, 174),
        horizontal_line(164, 170),
        horizontal_line(165, 167),
    };

    constexpr const shape frame_96_shape_group_7_shapes[] = {
        shape(frame_96_shape_group_7_shape_0_horizontal_lines, 13, 3),
    };

    constexpr const shape_group frame_96_shape_groups[] = {
        shape_group(frame_96_shape_group_0_shapes),
        shape_group(frame_96_shape_group_1_shapes),
        shape_group(frame_96_shape_group_2_shapes),
        shape_group(frame_96_shape_group_3_shapes),
        shape_group(frame_96_shape_group_4_shapes),
        shape_group(frame_96_shape_group_5_shapes),
        shape_group(frame_96_shape_group_6_shapes),
        shape_group(frame_96_shape_group_7_shapes),
    };

    constexpr const frame frame_96_impl(frame_96_colors, frame_96_shape_groups);
} 

const frame& frame_96()
{
    return frame_96_impl;
}

namespace
{
    constexpr const bn::color frame_97_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_97_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(35, 60),
        horizontal_line(36, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(41, 64),
        horizontal_line(43, 66),
        horizontal_line(44, 67),
        horizontal_line(46, 68),
        horizontal_line(48, 69),
        horizontal_line(49, 71),
        horizontal_line(51, 72),
        horizontal_line(53, 73),
        horizontal_line(54, 74),
        horizontal_line(56, 118),
        horizontal_line(58, 76),
        horizontal_line(59, 77),
        horizontal_line(61, 78),
        horizontal_line(63, 78),
        horizontal_line(64, 79),
        horizontal_line(66, 80),
        horizontal_line(67, 80),
        horizontal_line(69, 81),
        horizontal_line(71, 82),
        horizontal_line(72, 82),
        horizontal_line(74, 83),
        horizontal_line(76, 84),
        horizontal_line(77, 84),
        horizontal_line(79, 85),
        horizontal_line(81, 86),
        horizontal_line(82, 86),
        horizontal_line(84, 87),
        horizontal_line(86, 88),
        horizontal_line(87, 88),
        horizontal_line(89, 89),
        horizontal_line(142, 154),
        horizontal_line(145, 154),
        horizontal_line(148, 154),
        horizontal_line(151, 154),
        horizontal_line(155, 203),
        horizontal_line(155, 198),
        horizontal_line(155, 193),
        horizontal_line(156, 188),
        horizontal_line(156, 183),
        horizontal_line(157, 178),
        horizontal_line(157, 173),
        horizontal_line(158, 168),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_97_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 139),
        horizontal_line(91, 123),
        horizontal_line(91, 106),
        horizontal_line(91, 91),
        horizontal_line(45, 91),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_97_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_97_shape_group_0_shapes[] = {
        shape(frame_97_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_97_shape_group_0_shape_1_horizontal_lines, 47, 3),
        shape(frame_97_shape_group_0_shape_2_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(75, 111),
        horizontal_line(75, 113),
        horizontal_line(75, 115),
        horizontal_line(75, 118),
        horizontal_line(75, 120),
        horizontal_line(75, 123),
        horizontal_line(75, 125),
        horizontal_line(76, 128),
        horizontal_line(76, 130),
        horizontal_line(76, 133),
        horizontal_line(76, 135),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(118, 143),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 157),
        horizontal_line(101, 157),
        horizontal_line(105, 157),
        horizontal_line(108, 157),
        horizontal_line(111, 156),
        horizontal_line(114, 156),
        horizontal_line(117, 156),
        horizontal_line(120, 156),
        horizontal_line(123, 156),
        horizontal_line(126, 155),
        horizontal_line(130, 155),
        horizontal_line(133, 155),
        horizontal_line(136, 155),
        horizontal_line(139, 155),
        horizontal_line(174, 223),
        horizontal_line(169, 218),
        horizontal_line(164, 213),
        horizontal_line(159, 208),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(91, 109),
        horizontal_line(91, 115),
        horizontal_line(91, 120),
        horizontal_line(91, 125),
        horizontal_line(91, 130),
        horizontal_line(91, 136),
        horizontal_line(91, 141),
        horizontal_line(91, 146),
        horizontal_line(91, 151),
        horizontal_line(153, 157),
        horizontal_line(229, 230),
        horizontal_line(224, 230),
        horizontal_line(220, 229),
        horizontal_line(215, 229),
        horizontal_line(211, 229),
        horizontal_line(206, 229),
        horizontal_line(202, 229),
        horizontal_line(197, 229),
        horizontal_line(193, 229),
        horizontal_line(188, 229),
        horizontal_line(184, 228),
        horizontal_line(179, 228),
        horizontal_line(175, 228),
        horizontal_line(170, 228),
        horizontal_line(166, 226),
        horizontal_line(161, 220),
        horizontal_line(158, 214),
        horizontal_line(159, 208),
        horizontal_line(161, 203),
        horizontal_line(162, 197),
        horizontal_line(164, 191),
        horizontal_line(165, 185),
        horizontal_line(167, 179),
        horizontal_line(168, 173),
        horizontal_line(63, 93),
        horizontal_line(63, 94),
        horizontal_line(63, 95),
        horizontal_line(63, 96),
        horizontal_line(63, 96),
        horizontal_line(64, 97),
        horizontal_line(64, 98),
        horizontal_line(64, 99),
        horizontal_line(65, 99),
        horizontal_line(65, 100),
        horizontal_line(65, 101),
        horizontal_line(66, 101),
        horizontal_line(66, 102),
        horizontal_line(66, 103),
        horizontal_line(67, 104),
        horizontal_line(67, 104),
        horizontal_line(67, 105),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 103),
        horizontal_line(69, 101),
        horizontal_line(69, 98),
        horizontal_line(69, 96),
        horizontal_line(70, 93),
        horizontal_line(70, 91),
        horizontal_line(70, 88),
        horizontal_line(71, 86),
        horizontal_line(71, 84),
        horizontal_line(71, 81),
        horizontal_line(72, 79),
        horizontal_line(72, 76),
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(66, 67),
        horizontal_line(63, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(130, 192),
        horizontal_line(148, 210),
        horizontal_line(166, 216),
        horizontal_line(183, 216),
        horizontal_line(201, 216),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
    };

    constexpr const shape frame_97_shape_group_1_shapes[] = {
        shape(frame_97_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_97_shape_group_1_shape_1_horizontal_lines, 38, 3),
        shape(frame_97_shape_group_1_shape_2_horizontal_lines, 104, 8),
        shape(frame_97_shape_group_1_shape_3_horizontal_lines, 105, 3),
        shape(frame_97_shape_group_1_shape_4_horizontal_lines, 109, 8),
        shape(frame_97_shape_group_1_shape_5_horizontal_lines, 134, 7),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(143, 153),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 206),
        horizontal_line(149, 202),
        horizontal_line(150, 198),
        horizontal_line(151, 194),
        horizontal_line(152, 191),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(154, 179),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(145, 148),
        horizontal_line(148, 150),
        horizontal_line(151, 153),
        horizontal_line(154, 155),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(232, 234),
        horizontal_line(232, 234),
        horizontal_line(232, 234),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(228, 231),
        horizontal_line(223, 231),
        horizontal_line(218, 231),
        horizontal_line(213, 231),
        horizontal_line(208, 231),
        horizontal_line(203, 231),
        horizontal_line(198, 231),
        horizontal_line(194, 231),
        horizontal_line(189, 231),
        horizontal_line(184, 231),
        horizontal_line(179, 228),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(232, 233),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(91, 94),
        horizontal_line(91, 99),
        horizontal_line(91, 104),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(62, 92),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(176, 176),
        horizontal_line(174, 196),
        horizontal_line(172, 216),
        horizontal_line(170, 216),
        horizontal_line(168, 216),
        horizontal_line(166, 216),
        horizontal_line(164, 216),
        horizontal_line(162, 216),
        horizontal_line(160, 216),
        horizontal_line(159, 216),
        horizontal_line(157, 216),
        horizontal_line(155, 216),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(227, 239),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
    };

    constexpr const shape frame_97_shape_group_2_shapes[] = {
        shape(frame_97_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_97_shape_group_2_shape_1_horizontal_lines, 2, 3),
        shape(frame_97_shape_group_2_shape_2_horizontal_lines, 11, 4),
        shape(frame_97_shape_group_2_shape_3_horizontal_lines, 13, 3),
        shape(frame_97_shape_group_2_shape_4_horizontal_lines, 14, 4),
        shape(frame_97_shape_group_2_shape_5_horizontal_lines, 20, 8),
        shape(frame_97_shape_group_2_shape_6_horizontal_lines, 23, 4),
        shape(frame_97_shape_group_2_shape_7_horizontal_lines, 34, 8),
        shape(frame_97_shape_group_2_shape_8_horizontal_lines, 35, 3),
        shape(frame_97_shape_group_2_shape_9_horizontal_lines, 38, 8),
        shape(frame_97_shape_group_2_shape_10_horizontal_lines, 48, 3),
        shape(frame_97_shape_group_2_shape_11_horizontal_lines, 65, 8),
        shape(frame_97_shape_group_2_shape_12_horizontal_lines, 70, 3),
        shape(frame_97_shape_group_2_shape_13_horizontal_lines, 72, 8),
        shape(frame_97_shape_group_2_shape_14_horizontal_lines, 126, 7),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(149, 211),
        horizontal_line(208, 221),
        horizontal_line(208, 217),
        horizontal_line(209, 213),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(232, 236),
        horizontal_line(232, 236),
        horizontal_line(232, 236),
        horizontal_line(232, 236),
        horizontal_line(232, 236),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(152, 187),
        horizontal_line(153, 183),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(232, 235),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(155, 175),
        horizontal_line(155, 172),
        horizontal_line(156, 168),
        horizontal_line(157, 164),
        horizontal_line(158, 160),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(232, 235),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(232, 234),
        horizontal_line(232, 234),
        horizontal_line(232, 234),
        horizontal_line(232, 234),
        horizontal_line(232, 234),
        horizontal_line(232, 233),
        horizontal_line(232, 233),
        horizontal_line(232, 233),
        horizontal_line(232, 233),
        horizontal_line(232, 233),
        horizontal_line(232, 233),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
        horizontal_line(229, 232),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(228, 232),
        horizontal_line(228, 232),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(166, 169),
        horizontal_line(163, 170),
        horizontal_line(159, 170),
        horizontal_line(156, 171),
        horizontal_line(152, 171),
        horizontal_line(149, 172),
        horizontal_line(145, 172),
        horizontal_line(142, 173),
        horizontal_line(139, 173),
        horizontal_line(135, 174),
        horizontal_line(132, 174),
        horizontal_line(128, 175),
        horizontal_line(125, 175),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(232, 232),
        horizontal_line(231, 233),
        horizontal_line(231, 235),
        horizontal_line(230, 237),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(204, 216),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(194, 216),
        horizontal_line(192, 216),
        horizontal_line(190, 216),
        horizontal_line(189, 216),
        horizontal_line(187, 216),
        horizontal_line(185, 216),
        horizontal_line(183, 216),
        horizontal_line(181, 216),
        horizontal_line(179, 216),
        horizontal_line(177, 216),
        horizontal_line(175, 216),
        horizontal_line(175, 216),
        horizontal_line(192, 216),
        horizontal_line(210, 216),
    };

    constexpr const horizontal_line frame_97_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(108, 165),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(167, 217),
        horizontal_line(166, 217),
        horizontal_line(165, 218),
        horizontal_line(164, 218),
        horizontal_line(163, 219),
        horizontal_line(162, 219),
        horizontal_line(161, 220),
        horizontal_line(160, 221),
        horizontal_line(221, 221),
        horizontal_line(220, 222),
        horizontal_line(219, 222),
        horizontal_line(218, 223),
        horizontal_line(217, 223),
        horizontal_line(216, 224),
        horizontal_line(215, 225),
        horizontal_line(214, 225),
        horizontal_line(213, 226),
        horizontal_line(212, 226),
        horizontal_line(211, 227),
        horizontal_line(210, 227),
        horizontal_line(209, 228),
        horizontal_line(208, 229),
        horizontal_line(207, 229),
        horizontal_line(206, 230),
        horizontal_line(205, 230),
        horizontal_line(204, 231),
        horizontal_line(203, 231),
        horizontal_line(202, 232),
        horizontal_line(201, 233),
        horizontal_line(200, 233),
        horizontal_line(199, 234),
        horizontal_line(198, 234),
        horizontal_line(197, 235),
        horizontal_line(196, 236),
    };

    constexpr const shape frame_97_shape_group_3_shapes[] = {
        shape(frame_97_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_97_shape_group_3_shape_1_horizontal_lines, 6, 8),
        shape(frame_97_shape_group_3_shape_2_horizontal_lines, 11, 3),
        shape(frame_97_shape_group_3_shape_3_horizontal_lines, 13, 8),
        shape(frame_97_shape_group_3_shape_4_horizontal_lines, 14, 3),
        shape(frame_97_shape_group_3_shape_5_horizontal_lines, 19, 8),
        shape(frame_97_shape_group_3_shape_6_horizontal_lines, 20, 7),
        shape(frame_97_shape_group_3_shape_7_horizontal_lines, 23, 8),
        shape(frame_97_shape_group_3_shape_8_horizontal_lines, 34, 7),
        shape(frame_97_shape_group_3_shape_9_horizontal_lines, 35, 8),
        shape(frame_97_shape_group_3_shape_10_horizontal_lines, 38, 7),
        shape(frame_97_shape_group_3_shape_11_horizontal_lines, 48, 8),
        shape(frame_97_shape_group_3_shape_12_horizontal_lines, 65, 7),
        shape(frame_97_shape_group_3_shape_13_horizontal_lines, 70, 8),
        shape(frame_97_shape_group_3_shape_14_horizontal_lines, 72, 7),
        shape(frame_97_shape_group_3_shape_15_horizontal_lines, 86, 8),
        shape(frame_97_shape_group_3_shape_16_horizontal_lines, 123, 7),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(216, 229),
        horizontal_line(211, 225),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(232, 236),
        horizontal_line(232, 236),
        horizontal_line(232, 236),
        horizontal_line(232, 237),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(232, 236),
        horizontal_line(232, 236),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(232, 235),
        horizontal_line(232, 235),
        horizontal_line(232, 235),
        horizontal_line(232, 235),
        horizontal_line(232, 235),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(140, 158),
        horizontal_line(124, 160),
        horizontal_line(107, 161),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(94, 156),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(218, 221),
        horizontal_line(211, 220),
        horizontal_line(204, 220),
        horizontal_line(197, 219),
        horizontal_line(190, 218),
        horizontal_line(183, 218),
        horizontal_line(121, 175),
        horizontal_line(118, 173),
        horizontal_line(114, 171),
        horizontal_line(111, 169),
        horizontal_line(108, 167),
        horizontal_line(108, 165),
        horizontal_line(108, 163),
        horizontal_line(108, 161),
        horizontal_line(108, 159),
        horizontal_line(108, 158),
        horizontal_line(109, 156),
        horizontal_line(109, 154),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(215, 216),
        horizontal_line(213, 216),
        horizontal_line(211, 216),
        horizontal_line(209, 216),
        horizontal_line(207, 216),
        horizontal_line(206, 216),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(110, 141),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(202, 216),
        horizontal_line(200, 216),
        horizontal_line(198, 216),
        horizontal_line(196, 216),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(111, 131),
        horizontal_line(111, 129),
        horizontal_line(111, 127),
        horizontal_line(111, 126),
        horizontal_line(111, 124),
        horizontal_line(112, 122),
        horizontal_line(112, 120),
        horizontal_line(112, 118),
        horizontal_line(112, 116),
        horizontal_line(112, 114),
        horizontal_line(112, 112),
        horizontal_line(112, 112),
        horizontal_line(110, 129),
        horizontal_line(109, 147),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(26, 88),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(169, 182),
        horizontal_line(168, 200),
    };

    constexpr const horizontal_line frame_97_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_97_shape_group_4_shapes[] = {
        shape(frame_97_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_97_shape_group_4_shape_1_horizontal_lines, 2, 8),
        shape(frame_97_shape_group_4_shape_2_horizontal_lines, 6, 7),
        shape(frame_97_shape_group_4_shape_3_horizontal_lines, 11, 8),
        shape(frame_97_shape_group_4_shape_4_horizontal_lines, 13, 7),
        shape(frame_97_shape_group_4_shape_5_horizontal_lines, 14, 8),
        shape(frame_97_shape_group_4_shape_6_horizontal_lines, 19, 7),
        shape(frame_97_shape_group_4_shape_7_horizontal_lines, 23, 7),
        shape(frame_97_shape_group_4_shape_8_horizontal_lines, 35, 7),
        shape(frame_97_shape_group_4_shape_9_horizontal_lines, 48, 7),
        shape(frame_97_shape_group_4_shape_10_horizontal_lines, 65, 1),
        shape(frame_97_shape_group_4_shape_11_horizontal_lines, 70, 7),
        shape(frame_97_shape_group_4_shape_12_horizontal_lines, 72, 1),
        shape(frame_97_shape_group_4_shape_13_horizontal_lines, 73, 7),
        shape(frame_97_shape_group_4_shape_14_horizontal_lines, 98, 8),
        shape(frame_97_shape_group_4_shape_15_horizontal_lines, 104, 7),
        shape(frame_97_shape_group_4_shape_16_horizontal_lines, 105, 8),
        shape(frame_97_shape_group_4_shape_17_horizontal_lines, 109, 7),
        shape(frame_97_shape_group_4_shape_18_horizontal_lines, 123, 1),
        shape(frame_97_shape_group_4_shape_19_horizontal_lines, 124, 7),
        shape(frame_97_shape_group_4_shape_20_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 236),
        horizontal_line(232, 236),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(227, 228),
        horizontal_line(221, 228),
        horizontal_line(157, 157),
        horizontal_line(209, 227),
        horizontal_line(204, 227),
        horizontal_line(198, 227),
        horizontal_line(192, 227),
        horizontal_line(186, 227),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(156, 218),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(97, 158),
        horizontal_line(97, 155),
        horizontal_line(98, 151),
        horizontal_line(99, 148),
        horizontal_line(100, 144),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(177, 217),
        horizontal_line(197, 216),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(109, 152),
        horizontal_line(109, 150),
        horizontal_line(109, 148),
        horizontal_line(109, 146),
        horizontal_line(110, 144),
        horizontal_line(110, 143),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(72, 109),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(110, 139),
        horizontal_line(110, 137),
        horizontal_line(110, 135),
        horizontal_line(111, 133),
    };

    constexpr const horizontal_line frame_97_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(60, 110),
        horizontal_line(58, 110),
        horizontal_line(55, 110),
        horizontal_line(53, 110),
        horizontal_line(51, 110),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(88, 107),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(81, 104),
        horizontal_line(79, 103),
        horizontal_line(76, 102),
        horizontal_line(74, 101),
        horizontal_line(71, 100),
        horizontal_line(69, 99),
        horizontal_line(66, 98),
        horizontal_line(64, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
    };

    constexpr const shape frame_97_shape_group_5_shapes[] = {
        shape(frame_97_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_97_shape_group_5_shape_1_horizontal_lines, 2, 7),
        shape(frame_97_shape_group_5_shape_2_horizontal_lines, 11, 7),
        shape(frame_97_shape_group_5_shape_3_horizontal_lines, 14, 7),
        shape(frame_97_shape_group_5_shape_4_horizontal_lines, 62, 1),
        shape(frame_97_shape_group_5_shape_5_horizontal_lines, 80, 7),
        shape(frame_97_shape_group_5_shape_6_horizontal_lines, 104, 1),
        shape(frame_97_shape_group_5_shape_7_horizontal_lines, 105, 7),
        shape(frame_97_shape_group_5_shape_8_horizontal_lines, 109, 1),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(215, 228),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(154, 163),
        horizontal_line(154, 164),
        horizontal_line(180, 227),
        horizontal_line(174, 227),
        horizontal_line(218, 227),
        horizontal_line(170, 226),
        horizontal_line(171, 225),
        horizontal_line(171, 224),
        horizontal_line(172, 224),
        horizontal_line(172, 223),
        horizontal_line(173, 222),
        horizontal_line(173, 222),
        horizontal_line(100, 141),
        horizontal_line(101, 138),
        horizontal_line(102, 134),
        horizontal_line(102, 131),
        horizontal_line(103, 127),
        horizontal_line(104, 124),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(106, 113),
        horizontal_line(107, 110),
        horizontal_line(107, 107),
        horizontal_line(104, 107),
        horizontal_line(102, 107),
        horizontal_line(99, 107),
        horizontal_line(97, 107),
        horizontal_line(94, 107),
        horizontal_line(92, 108),
        horizontal_line(89, 108),
        horizontal_line(87, 108),
        horizontal_line(85, 108),
        horizontal_line(82, 108),
        horizontal_line(80, 108),
        horizontal_line(77, 109),
        horizontal_line(75, 109),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(217, 226),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(70, 109),
        horizontal_line(68, 109),
        horizontal_line(65, 109),
        horizontal_line(63, 110),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(217, 224),
        horizontal_line(217, 224),
        horizontal_line(217, 223),
        horizontal_line(217, 223),
        horizontal_line(217, 222),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(108, 111),
        horizontal_line(105, 111),
        horizontal_line(103, 111),
        horizontal_line(100, 111),
        horizontal_line(98, 111),
        horizontal_line(96, 111),
        horizontal_line(93, 109),
        horizontal_line(91, 108),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(217, 218),
    };

    constexpr const horizontal_line frame_97_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(86, 106),
        horizontal_line(83, 105),
    };

    constexpr const shape frame_97_shape_group_6_shapes[] = {
        shape(frame_97_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_97_shape_group_6_shape_1_horizontal_lines, 64, 1),
        shape(frame_97_shape_group_6_shape_2_horizontal_lines, 68, 1),
        shape(frame_97_shape_group_6_shape_3_horizontal_lines, 86, 7),
        shape(frame_97_shape_group_6_shape_4_horizontal_lines, 88, 1),
        shape(frame_97_shape_group_6_shape_5_horizontal_lines, 104, 9),
        shape(frame_97_shape_group_6_shape_6_horizontal_lines, 105, 1),
        shape(frame_97_shape_group_6_shape_7_horizontal_lines, 109, 9),
        shape(frame_97_shape_group_6_shape_8_horizontal_lines, 114, 1),
        shape(frame_97_shape_group_6_shape_9_horizontal_lines, 123, 9),
        shape(frame_97_shape_group_6_shape_10_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(155, 166),
        horizontal_line(156, 167),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(225, 227),
        horizontal_line(225, 227),
        horizontal_line(224, 227),
        horizontal_line(223, 228),
        horizontal_line(223, 228),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(174, 217),
        horizontal_line(174, 210),
        horizontal_line(175, 203),
        horizontal_line(175, 196),
        horizontal_line(176, 189),
        horizontal_line(176, 182),
        horizontal_line(105, 120),
        horizontal_line(105, 117),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(217, 229),
        horizontal_line(217, 230),
        horizontal_line(217, 230),
        horizontal_line(217, 230),
        horizontal_line(217, 230),
        horizontal_line(217, 230),
        horizontal_line(217, 231),
        horizontal_line(217, 230),
        horizontal_line(217, 230),
        horizontal_line(217, 229),
        horizontal_line(217, 229),
        horizontal_line(217, 228),
        horizontal_line(217, 228),
        horizontal_line(217, 227),
        horizontal_line(217, 227),
        horizontal_line(217, 227),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(217, 226),
        horizontal_line(217, 225),
        horizontal_line(217, 225),
        horizontal_line(217, 224),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(217, 222),
        horizontal_line(217, 221),
        horizontal_line(217, 221),
        horizontal_line(217, 220),
        horizontal_line(217, 220),
        horizontal_line(217, 220),
        horizontal_line(217, 219),
        horizontal_line(217, 219),
        horizontal_line(217, 218),
    };

    constexpr const horizontal_line frame_97_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(217, 217),
    };

    constexpr const shape frame_97_shape_group_7_shapes[] = {
        shape(frame_97_shape_group_7_shape_0_horizontal_lines, 70, 1),
        shape(frame_97_shape_group_7_shape_1_horizontal_lines, 72, 6),
        shape(frame_97_shape_group_7_shape_2_horizontal_lines, 73, 1),
        shape(frame_97_shape_group_7_shape_3_horizontal_lines, 75, 9),
        shape(frame_97_shape_group_7_shape_4_horizontal_lines, 80, 1),
        shape(frame_97_shape_group_7_shape_5_horizontal_lines, 88, 9),
        shape(frame_97_shape_group_7_shape_6_horizontal_lines, 104, 5),
        shape(frame_97_shape_group_7_shape_7_horizontal_lines, 105, 9),
        shape(frame_97_shape_group_7_shape_8_horizontal_lines, 114, 9),
        shape(frame_97_shape_group_7_shape_9_horizontal_lines, 124, 9),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(226, 227),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(222, 228),
        horizontal_line(221, 228),
        horizontal_line(221, 228),
        horizontal_line(220, 229),
        horizontal_line(219, 229),
        horizontal_line(219, 229),
        horizontal_line(218, 229),
        horizontal_line(217, 229),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_97_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_97_shape_group_8_shapes[] = {
        shape(frame_97_shape_group_8_shape_0_horizontal_lines, 73, 6),
        shape(frame_97_shape_group_8_shape_1_horizontal_lines, 74, 9),
        shape(frame_97_shape_group_8_shape_2_horizontal_lines, 75, 5),
        shape(frame_97_shape_group_8_shape_3_horizontal_lines, 80, 9),
        shape(frame_97_shape_group_8_shape_4_horizontal_lines, 88, 5),
        shape(frame_97_shape_group_8_shape_5_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_97_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(227, 227),
    };

    constexpr const horizontal_line frame_97_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_97_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const shape frame_97_shape_group_9_shapes[] = {
        shape(frame_97_shape_group_9_shape_0_horizontal_lines, 73, 9),
        shape(frame_97_shape_group_9_shape_1_horizontal_lines, 74, 5),
        shape(frame_97_shape_group_9_shape_2_horizontal_lines, 80, 5),
    };

    constexpr const shape_group frame_97_shape_groups[] = {
        shape_group(frame_97_shape_group_0_shapes),
        shape_group(frame_97_shape_group_1_shapes),
        shape_group(frame_97_shape_group_2_shapes),
        shape_group(frame_97_shape_group_3_shapes),
        shape_group(frame_97_shape_group_4_shapes),
        shape_group(frame_97_shape_group_5_shapes),
        shape_group(frame_97_shape_group_6_shapes),
        shape_group(frame_97_shape_group_7_shapes),
        shape_group(frame_97_shape_group_8_shapes),
        shape_group(frame_97_shape_group_9_shapes),
    };

    constexpr const frame frame_97_impl(frame_97_colors, frame_97_shape_groups);
} 

const frame& frame_97()
{
    return frame_97_impl;
}

namespace
{
    constexpr const bn::color frame_98_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_98_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 62),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 31),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_98_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 123),
        horizontal_line(63, 120),
        horizontal_line(64, 118),
        horizontal_line(64, 115),
        horizontal_line(65, 112),
        horizontal_line(66, 109),
        horizontal_line(67, 106),
        horizontal_line(68, 103),
        horizontal_line(68, 100),
        horizontal_line(69, 97),
        horizontal_line(70, 95),
        horizontal_line(71, 92),
        horizontal_line(72, 89),
        horizontal_line(72, 86),
        horizontal_line(73, 83),
        horizontal_line(74, 80),
        horizontal_line(75, 77),
        horizontal_line(75, 75),
        horizontal_line(72, 75),
        horizontal_line(70, 75),
        horizontal_line(68, 75),
        horizontal_line(66, 75),
        horizontal_line(64, 75),
        horizontal_line(62, 75),
        horizontal_line(60, 76),
        horizontal_line(58, 76),
        horizontal_line(56, 76),
        horizontal_line(54, 76),
        horizontal_line(52, 76),
        horizontal_line(50, 76),
        horizontal_line(47, 76),
        horizontal_line(45, 77),
        horizontal_line(43, 77),
        horizontal_line(41, 77),
        horizontal_line(39, 77),
        horizontal_line(37, 77),
        horizontal_line(35, 77),
        horizontal_line(33, 78),
        horizontal_line(31, 78),
        horizontal_line(29, 78),
        horizontal_line(27, 78),
        horizontal_line(25, 78),
        horizontal_line(22, 78),
        horizontal_line(20, 78),
        horizontal_line(18, 79),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_98_shape_group_0_shapes[] = {
        shape(frame_98_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_98_shape_group_0_shape_1_horizontal_lines, 74, 1),
    };

    constexpr const horizontal_line frame_98_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(34, 61),
        horizontal_line(34, 63),
        horizontal_line(35, 65),
        horizontal_line(36, 68),
        horizontal_line(36, 70),
        horizontal_line(37, 72),
        horizontal_line(38, 75),
        horizontal_line(39, 77),
        horizontal_line(39, 79),
        horizontal_line(40, 82),
        horizontal_line(41, 84),
        horizontal_line(42, 87),
        horizontal_line(42, 89),
        horizontal_line(43, 91),
        horizontal_line(44, 94),
        horizontal_line(45, 96),
        horizontal_line(45, 98),
        horizontal_line(46, 101),
        horizontal_line(47, 103),
        horizontal_line(148, 210),
        horizontal_line(50, 108),
        horizontal_line(54, 110),
        horizontal_line(58, 113),
        horizontal_line(61, 115),
        horizontal_line(65, 117),
        horizontal_line(69, 120),
        horizontal_line(73, 122),
        horizontal_line(76, 125),
        horizontal_line(80, 127),
        horizontal_line(84, 129),
        horizontal_line(88, 132),
        horizontal_line(91, 134),
        horizontal_line(95, 136),
        horizontal_line(99, 139),
        horizontal_line(103, 141),
        horizontal_line(106, 144),
        horizontal_line(110, 144),
        horizontal_line(114, 144),
        horizontal_line(118, 145),
        horizontal_line(121, 145),
        horizontal_line(125, 145),
        horizontal_line(129, 146),
        horizontal_line(133, 146),
        horizontal_line(136, 146),
        horizontal_line(140, 147),
        horizontal_line(144, 147),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 206),
        horizontal_line(148, 201),
        horizontal_line(148, 196),
        horizontal_line(148, 192),
        horizontal_line(148, 187),
        horizontal_line(148, 183),
        horizontal_line(148, 178),
        horizontal_line(148, 173),
        horizontal_line(148, 169),
        horizontal_line(148, 164),
        horizontal_line(148, 159),
        horizontal_line(148, 155),
        horizontal_line(148, 150),
    };

    constexpr const horizontal_line frame_98_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(127, 148),
        horizontal_line(107, 150),
        horizontal_line(87, 149),
        horizontal_line(67, 129),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(167, 229),
        horizontal_line(114, 176),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 228),
        horizontal_line(168, 221),
        horizontal_line(168, 212),
        horizontal_line(169, 204),
        horizontal_line(170, 195),
        horizontal_line(170, 187),
        horizontal_line(171, 178),
    };

    constexpr const horizontal_line frame_98_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(169, 179),
        horizontal_line(168, 187),
        horizontal_line(166, 195),
        horizontal_line(165, 203),
        horizontal_line(163, 211),
        horizontal_line(162, 219),
        horizontal_line(160, 219),
        horizontal_line(159, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
    };

    constexpr const horizontal_line frame_98_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(78, 79),
        horizontal_line(76, 79),
        horizontal_line(74, 79),
        horizontal_line(72, 79),
        horizontal_line(70, 79),
        horizontal_line(68, 80),
        horizontal_line(66, 80),
        horizontal_line(64, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
    };

    constexpr const shape frame_98_shape_group_1_shapes[] = {
        shape(frame_98_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_98_shape_group_1_shape_1_horizontal_lines, 66, 1),
        shape(frame_98_shape_group_1_shape_2_horizontal_lines, 90, 8),
        shape(frame_98_shape_group_1_shape_3_horizontal_lines, 133, 1),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(126, 139),
        horizontal_line(127, 139),
        horizontal_line(129, 140),
        horizontal_line(131, 141),
        horizontal_line(132, 141),
        horizontal_line(134, 142),
        horizontal_line(136, 143),
        horizontal_line(138, 144),
        horizontal_line(139, 144),
        horizontal_line(141, 145),
        horizontal_line(143, 146),
        horizontal_line(144, 146),
        horizontal_line(146, 147),
        horizontal_line(148, 148),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(230, 239),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 207),
        horizontal_line(147, 202),
        horizontal_line(147, 197),
        horizontal_line(147, 191),
        horizontal_line(146, 186),
        horizontal_line(146, 181),
        horizontal_line(146, 175),
        horizontal_line(146, 170),
        horizontal_line(145, 165),
        horizontal_line(145, 159),
        horizontal_line(145, 154),
        horizontal_line(145, 149),
        horizontal_line(209, 232),
        horizontal_line(204, 232),
        horizontal_line(198, 232),
        horizontal_line(193, 232),
        horizontal_line(187, 233),
        horizontal_line(182, 233),
        horizontal_line(176, 233),
        horizontal_line(171, 233),
        horizontal_line(165, 227),
        horizontal_line(160, 222),
        horizontal_line(154, 216),
        horizontal_line(210, 234),
        horizontal_line(210, 234),
        horizontal_line(210, 229),
        horizontal_line(210, 224),
        horizontal_line(210, 220),
        horizontal_line(210, 215),
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(233, 236),
        horizontal_line(227, 236),
        horizontal_line(221, 236),
        horizontal_line(215, 236),
        horizontal_line(209, 236),
        horizontal_line(203, 235),
        horizontal_line(197, 235),
        horizontal_line(191, 235),
        horizontal_line(185, 235),
        horizontal_line(179, 235),
        horizontal_line(173, 234),
        horizontal_line(113, 159),
        horizontal_line(176, 234),
        horizontal_line(114, 158),
        horizontal_line(115, 155),
        horizontal_line(116, 152),
        horizontal_line(117, 149),
        horizontal_line(118, 146),
        horizontal_line(118, 143),
        horizontal_line(119, 140),
        horizontal_line(120, 138),
        horizontal_line(121, 135),
        horizontal_line(122, 132),
        horizontal_line(122, 129),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(124, 169),
        horizontal_line(121, 170),
        horizontal_line(119, 170),
        horizontal_line(116, 168),
        horizontal_line(113, 167),
        horizontal_line(110, 165),
        horizontal_line(107, 164),
        horizontal_line(104, 162),
        horizontal_line(101, 161),
        horizontal_line(98, 159),
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_98_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(219, 220),
        horizontal_line(218, 221),
        horizontal_line(216, 221),
        horizontal_line(215, 222),
        horizontal_line(214, 222),
        horizontal_line(212, 223),
        horizontal_line(211, 223),
        horizontal_line(209, 224),
        horizontal_line(208, 224),
        horizontal_line(206, 225),
        horizontal_line(205, 225),
        horizontal_line(203, 226),
        horizontal_line(202, 226),
        horizontal_line(200, 227),
        horizontal_line(199, 227),
        horizontal_line(197, 228),
        horizontal_line(196, 229),
        horizontal_line(195, 229),
        horizontal_line(193, 230),
        horizontal_line(192, 230),
        horizontal_line(190, 231),
        horizontal_line(189, 231),
        horizontal_line(187, 232),
        horizontal_line(186, 232),
        horizontal_line(184, 233),
        horizontal_line(183, 233),
        horizontal_line(181, 234),
        horizontal_line(180, 234),
        horizontal_line(179, 235),
        horizontal_line(177, 235),
        horizontal_line(176, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(171, 233),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(100, 162),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(114, 176),
        horizontal_line(119, 181),
    };

    constexpr const shape frame_98_shape_group_2_shapes[] = {
        shape(frame_98_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_98_shape_group_2_shape_1_horizontal_lines, 53, 1),
        shape(frame_98_shape_group_2_shape_2_horizontal_lines, 58, 8),
        shape(frame_98_shape_group_2_shape_3_horizontal_lines, 63, 1),
        shape(frame_98_shape_group_2_shape_4_horizontal_lines, 88, 7),
        shape(frame_98_shape_group_2_shape_5_horizontal_lines, 99, 8),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(205, 236),
        horizontal_line(201, 235),
        horizontal_line(197, 235),
        horizontal_line(193, 234),
        horizontal_line(189, 234),
        horizontal_line(185, 233),
        horizontal_line(181, 233),
        horizontal_line(177, 233),
        horizontal_line(173, 232),
        horizontal_line(169, 231),
        horizontal_line(165, 227),
        horizontal_line(161, 223),
        horizontal_line(157, 219),
        horizontal_line(153, 215),
        horizontal_line(212, 230),
        horizontal_line(211, 229),
        horizontal_line(211, 229),
        horizontal_line(211, 228),
        horizontal_line(211, 228),
        horizontal_line(62, 106),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(226, 231),
        horizontal_line(220, 231),
        horizontal_line(215, 231),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 203),
        horizontal_line(145, 197),
        horizontal_line(146, 192),
        horizontal_line(146, 186),
        horizontal_line(146, 181),
        horizontal_line(147, 175),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(233, 233),
        horizontal_line(227, 234),
        horizontal_line(222, 234),
        horizontal_line(216, 234),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(129, 153),
        horizontal_line(111, 154),
        horizontal_line(111, 156),
        horizontal_line(112, 157),
        horizontal_line(229, 234),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(224, 234),
        horizontal_line(225, 234),
        horizontal_line(226, 233),
        horizontal_line(226, 232),
        horizontal_line(227, 231),
        horizontal_line(228, 230),
        horizontal_line(228, 229),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(139, 166),
        horizontal_line(136, 167),
        horizontal_line(133, 167),
        horizontal_line(130, 168),
        horizontal_line(127, 169),
        horizontal_line(188, 224),
        horizontal_line(179, 223),
        horizontal_line(172, 223),
        horizontal_line(180, 222),
        horizontal_line(188, 221),
        horizontal_line(196, 220),
        horizontal_line(204, 219),
        horizontal_line(212, 218),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(77, 137),
        horizontal_line(77, 136),
        horizontal_line(77, 134),
        horizontal_line(77, 133),
        horizontal_line(77, 132),
        horizontal_line(77, 130),
        horizontal_line(77, 129),
        horizontal_line(78, 127),
        horizontal_line(78, 126),
        horizontal_line(78, 124),
        horizontal_line(78, 123),
        horizontal_line(78, 121),
        horizontal_line(78, 120),
        horizontal_line(79, 118),
        horizontal_line(79, 117),
        horizontal_line(79, 116),
        horizontal_line(79, 114),
        horizontal_line(79, 113),
    };

    constexpr const horizontal_line frame_98_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(236, 236),
        horizontal_line(235, 237),
        horizontal_line(233, 237),
        horizontal_line(170, 232),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(148, 210),
        horizontal_line(153, 215),
        horizontal_line(157, 219),
        horizontal_line(162, 224),
        horizontal_line(167, 229),
        horizontal_line(171, 233),
        horizontal_line(176, 238),
        horizontal_line(181, 239),
    };

    constexpr const shape frame_98_shape_group_3_shapes[] = {
        shape(frame_98_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_98_shape_group_3_shape_1_horizontal_lines, 31, 4),
        shape(frame_98_shape_group_3_shape_2_horizontal_lines, 32, 2),
        shape(frame_98_shape_group_3_shape_3_horizontal_lines, 35, 4),
        shape(frame_98_shape_group_3_shape_4_horizontal_lines, 42, 2),
        shape(frame_98_shape_group_3_shape_5_horizontal_lines, 47, 1),
        shape(frame_98_shape_group_3_shape_6_horizontal_lines, 63, 8),
        shape(frame_98_shape_group_3_shape_7_horizontal_lines, 69, 1),
        shape(frame_98_shape_group_3_shape_8_horizontal_lines, 75, 8),
        shape(frame_98_shape_group_3_shape_9_horizontal_lines, 76, 1),
        shape(frame_98_shape_group_3_shape_10_horizontal_lines, 83, 7),
        shape(frame_98_shape_group_3_shape_11_horizontal_lines, 96, 9),
        shape(frame_98_shape_group_3_shape_12_horizontal_lines, 98, 7),
        shape(frame_98_shape_group_3_shape_13_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(13, 33),
        horizontal_line(14, 33),
        horizontal_line(16, 34),
        horizontal_line(18, 35),
        horizontal_line(20, 35),
        horizontal_line(22, 36),
        horizontal_line(24, 37),
        horizontal_line(25, 38),
        horizontal_line(27, 38),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(231, 232),
        horizontal_line(227, 231),
        horizontal_line(223, 231),
        horizontal_line(219, 230),
        horizontal_line(215, 230),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(38, 43),
        horizontal_line(40, 44),
        horizontal_line(42, 44),
        horizontal_line(44, 45),
        horizontal_line(46, 46),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(210, 228),
        horizontal_line(210, 223),
        horizontal_line(210, 218),
        horizontal_line(210, 213),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(116, 146),
        horizontal_line(118, 146),
        horizontal_line(121, 146),
        horizontal_line(123, 146),
        horizontal_line(126, 145),
        horizontal_line(128, 145),
        horizontal_line(130, 145),
        horizontal_line(133, 145),
        horizontal_line(166, 228),
        horizontal_line(137, 144),
        horizontal_line(140, 144),
        horizontal_line(142, 144),
        horizontal_line(207, 208),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(147, 170),
        horizontal_line(147, 164),
        horizontal_line(148, 159),
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(150, 163),
        horizontal_line(147, 164),
        horizontal_line(144, 165),
        horizontal_line(141, 165),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(222, 228),
        horizontal_line(213, 227),
        horizontal_line(205, 226),
        horizontal_line(196, 225),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(152, 155),
        horizontal_line(149, 153),
        horizontal_line(146, 152),
        horizontal_line(143, 151),
        horizontal_line(140, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 146),
        horizontal_line(138, 145),
        horizontal_line(138, 143),
        horizontal_line(138, 142),
        horizontal_line(138, 140),
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(79, 111),
        horizontal_line(79, 110),
        horizontal_line(80, 108),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(232, 238),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(77, 118),
    };

    constexpr const shape frame_98_shape_group_4_shapes[] = {
        shape(frame_98_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_98_shape_group_4_shape_1_horizontal_lines, 9, 2),
        shape(frame_98_shape_group_4_shape_2_horizontal_lines, 14, 4),
        shape(frame_98_shape_group_4_shape_3_horizontal_lines, 19, 2),
        shape(frame_98_shape_group_4_shape_4_horizontal_lines, 23, 4),
        shape(frame_98_shape_group_4_shape_5_horizontal_lines, 42, 4),
        shape(frame_98_shape_group_4_shape_6_horizontal_lines, 69, 8),
        shape(frame_98_shape_group_4_shape_7_horizontal_lines, 76, 8),
        shape(frame_98_shape_group_4_shape_8_horizontal_lines, 79, 7),
        shape(frame_98_shape_group_4_shape_9_horizontal_lines, 83, 9),
        shape(frame_98_shape_group_4_shape_10_horizontal_lines, 84, 7),
        shape(frame_98_shape_group_4_shape_11_horizontal_lines, 88, 9),
        shape(frame_98_shape_group_4_shape_12_horizontal_lines, 98, 9),
        shape(frame_98_shape_group_4_shape_13_horizontal_lines, 99, 7),
        shape(frame_98_shape_group_4_shape_14_horizontal_lines, 112, 9),
        shape(frame_98_shape_group_4_shape_15_horizontal_lines, 130, 7),
        shape(frame_98_shape_group_4_shape_16_horizontal_lines, 133, 8),
        shape(frame_98_shape_group_4_shape_17_horizontal_lines, 159, 7),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(69, 130),
        horizontal_line(71, 131),
        horizontal_line(73, 133),
        horizontal_line(76, 135),
        horizontal_line(78, 137),
        horizontal_line(80, 138),
        horizontal_line(29, 39),
        horizontal_line(31, 40),
        horizontal_line(33, 41),
        horizontal_line(35, 41),
        horizontal_line(36, 42),
        horizontal_line(95, 149),
        horizontal_line(97, 148),
        horizontal_line(99, 148),
        horizontal_line(102, 148),
        horizontal_line(104, 148),
        horizontal_line(107, 147),
        horizontal_line(109, 147),
        horizontal_line(111, 147),
        horizontal_line(114, 147),
        horizontal_line(208, 229),
        horizontal_line(203, 229),
        horizontal_line(198, 230),
        horizontal_line(192, 230),
        horizontal_line(187, 230),
        horizontal_line(182, 230),
        horizontal_line(176, 230),
        horizontal_line(171, 230),
        horizontal_line(228, 231),
        horizontal_line(160, 222),
        horizontal_line(155, 217),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(156, 162),
        horizontal_line(153, 163),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(80, 107),
        horizontal_line(80, 105),
        horizontal_line(80, 104),
        horizontal_line(80, 102),
        horizontal_line(80, 101),
        horizontal_line(81, 99),
        horizontal_line(81, 98),
        horizontal_line(81, 97),
        horizontal_line(81, 95),
        horizontal_line(81, 94),
        horizontal_line(81, 92),
        horizontal_line(81, 91),
        horizontal_line(82, 89),
        horizontal_line(82, 88),
        horizontal_line(82, 86),
        horizontal_line(82, 85),
        horizontal_line(82, 83),
        horizontal_line(82, 82),
    };

    constexpr const horizontal_line frame_98_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(82, 85),
        horizontal_line(81, 90),
        horizontal_line(80, 94),
        horizontal_line(80, 99),
        horizontal_line(79, 104),
        horizontal_line(78, 108),
        horizontal_line(77, 113),
    };

    constexpr const shape frame_98_shape_group_5_shapes[] = {
        shape(frame_98_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_98_shape_group_5_shape_1_horizontal_lines, 76, 7),
        shape(frame_98_shape_group_5_shape_2_horizontal_lines, 79, 9),
        shape(frame_98_shape_group_5_shape_3_horizontal_lines, 84, 9),
        shape(frame_98_shape_group_5_shape_4_horizontal_lines, 99, 9),
        shape(frame_98_shape_group_5_shape_5_horizontal_lines, 130, 9),
        shape(frame_98_shape_group_5_shape_6_horizontal_lines, 133, 7),
        shape(frame_98_shape_group_5_shape_7_horizontal_lines, 152, 7),
    };

    constexpr const horizontal_line frame_98_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(83, 140),
        horizontal_line(85, 142),
        horizontal_line(88, 143),
        horizontal_line(90, 145),
        horizontal_line(92, 147),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 229),
        horizontal_line(224, 229),
        horizontal_line(219, 229),
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_98_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(222, 225),
        horizontal_line(217, 219),
        horizontal_line(212, 214),
    };

    constexpr const horizontal_line frame_98_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(235, 235),
        horizontal_line(234, 237),
    };

    constexpr const horizontal_line frame_98_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const shape frame_98_shape_group_6_shapes[] = {
        shape(frame_98_shape_group_6_shape_0_horizontal_lines, 0, 4),
        shape(frame_98_shape_group_6_shape_1_horizontal_lines, 32, 4),
        shape(frame_98_shape_group_6_shape_2_horizontal_lines, 77, 9),
        shape(frame_98_shape_group_6_shape_3_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_98_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(126, 126),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_98_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_98_shape_group_7_shapes[] = {
        shape(frame_98_shape_group_7_shape_0_horizontal_lines, 0, 4),
        shape(frame_98_shape_group_7_shape_1_horizontal_lines, 9, 4),
    };

    constexpr const shape_group frame_98_shape_groups[] = {
        shape_group(frame_98_shape_group_0_shapes),
        shape_group(frame_98_shape_group_1_shapes),
        shape_group(frame_98_shape_group_2_shapes),
        shape_group(frame_98_shape_group_3_shapes),
        shape_group(frame_98_shape_group_4_shapes),
        shape_group(frame_98_shape_group_5_shapes),
        shape_group(frame_98_shape_group_6_shapes),
        shape_group(frame_98_shape_group_7_shapes),
    };

    constexpr const frame frame_98_impl(frame_98_colors, frame_98_shape_groups);
} 

const frame& frame_98()
{
    return frame_98_impl;
}

namespace
{
    constexpr const bn::color frame_99_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_99_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 76),
        horizontal_line(18, 78),
        horizontal_line(21, 80),
        horizontal_line(24, 82),
        horizontal_line(27, 83),
        horizontal_line(30, 85),
        horizontal_line(33, 87),
        horizontal_line(36, 89),
        horizontal_line(39, 91),
        horizontal_line(42, 93),
        horizontal_line(45, 95),
        horizontal_line(48, 97),
        horizontal_line(51, 99),
        horizontal_line(54, 100),
        horizontal_line(57, 102),
        horizontal_line(60, 104),
        horizontal_line(63, 106),
        horizontal_line(66, 108),
        horizontal_line(69, 110),
        horizontal_line(72, 112),
        horizontal_line(75, 114),
        horizontal_line(78, 115),
        horizontal_line(81, 117),
        horizontal_line(84, 119),
        horizontal_line(87, 121),
        horizontal_line(90, 123),
        horizontal_line(93, 125),
        horizontal_line(96, 127),
        horizontal_line(99, 129),
        horizontal_line(102, 131),
        horizontal_line(105, 132),
        horizontal_line(108, 132),
        horizontal_line(111, 133),
        horizontal_line(114, 133),
        horizontal_line(117, 134),
        horizontal_line(120, 134),
        horizontal_line(123, 134),
        horizontal_line(126, 135),
        horizontal_line(129, 135),
        horizontal_line(132, 136),
        horizontal_line(135, 136),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 197),
        horizontal_line(137, 191),
        horizontal_line(137, 186),
        horizontal_line(137, 181),
        horizontal_line(137, 176),
        horizontal_line(137, 171),
        horizontal_line(137, 166),
        horizontal_line(137, 160),
        horizontal_line(137, 155),
        horizontal_line(137, 150),
        horizontal_line(137, 145),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_99_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(119, 137),
        horizontal_line(102, 138),
        horizontal_line(85, 140),
        horizontal_line(68, 130),
        horizontal_line(51, 113),
        horizontal_line(34, 96),
        horizontal_line(17, 79),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(1, 14),
        horizontal_line(2, 11),
        horizontal_line(3, 9),
        horizontal_line(4, 6),
    };

    constexpr const horizontal_line frame_99_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(5, 67),
    };

    constexpr const horizontal_line frame_99_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(1, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const shape frame_99_shape_group_0_shapes[] = {
        shape(frame_99_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_99_shape_group_0_shape_1_horizontal_lines, 68, 1),
        shape(frame_99_shape_group_0_shape_2_horizontal_lines, 138, 7),
        shape(frame_99_shape_group_0_shape_3_horizontal_lines, 139, 1),
    };

    constexpr const horizontal_line frame_99_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(128, 131),
        horizontal_line(130, 132),
        horizontal_line(131, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 135),
        horizontal_line(136, 136),
        horizontal_line(137, 137),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 195),
        horizontal_line(135, 189),
        horizontal_line(134, 182),
        horizontal_line(134, 176),
        horizontal_line(134, 170),
        horizontal_line(134, 163),
        horizontal_line(133, 157),
        horizontal_line(133, 151),
        horizontal_line(133, 144),
        horizontal_line(133, 138),
        horizontal_line(212, 224),
        horizontal_line(206, 224),
        horizontal_line(200, 225),
        horizontal_line(193, 225),
        horizontal_line(187, 225),
        horizontal_line(181, 225),
        horizontal_line(175, 226),
        horizontal_line(169, 226),
        horizontal_line(162, 224),
        horizontal_line(156, 218),
        horizontal_line(150, 212),
        horizontal_line(144, 206),
        horizontal_line(200, 227),
        horizontal_line(199, 228),
        horizontal_line(199, 228),
        horizontal_line(199, 228),
        horizontal_line(199, 228),
        horizontal_line(199, 222),
        horizontal_line(199, 217),
        horizontal_line(199, 212),
        horizontal_line(199, 207),
        horizontal_line(199, 202),
    };

    constexpr const horizontal_line frame_99_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 238),
        horizontal_line(236, 236),
        horizontal_line(230, 237),
        horizontal_line(224, 239),
        horizontal_line(218, 239),
        horizontal_line(212, 239),
        horizontal_line(206, 239),
        horizontal_line(200, 239),
        horizontal_line(194, 239),
        horizontal_line(188, 239),
        horizontal_line(182, 239),
        horizontal_line(176, 238),
        horizontal_line(170, 232),
        horizontal_line(164, 226),
        horizontal_line(158, 220),
        horizontal_line(62, 124),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 218),
        horizontal_line(158, 212),
        horizontal_line(159, 205),
        horizontal_line(159, 199),
        horizontal_line(160, 193),
        horizontal_line(160, 186),
        horizontal_line(161, 180),
        horizontal_line(161, 173),
        horizontal_line(162, 167),
        horizontal_line(62, 104),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_99_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(67, 113),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
    };

    constexpr const shape frame_99_shape_group_1_shapes[] = {
        shape(frame_99_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_99_shape_group_1_shape_1_horizontal_lines, 56, 1),
        shape(frame_99_shape_group_1_shape_2_horizontal_lines, 115, 7),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(180, 231),
        horizontal_line(174, 230),
        horizontal_line(169, 230),
        horizontal_line(164, 226),
        horizontal_line(159, 221),
        horizontal_line(153, 215),
        horizontal_line(148, 210),
        horizontal_line(143, 205),
        horizontal_line(201, 227),
        horizontal_line(200, 226),
        horizontal_line(200, 226),
        horizontal_line(200, 225),
        horizontal_line(200, 225),
        horizontal_line(199, 224),
        horizontal_line(199, 224),
        horizontal_line(199, 223),
        horizontal_line(199, 223),
        horizontal_line(198, 222),
        horizontal_line(234, 239),
        horizontal_line(228, 239),
        horizontal_line(198, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 231),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(218, 224),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(134, 192),
        horizontal_line(134, 186),
        horizontal_line(135, 180),
        horizontal_line(135, 174),
        horizontal_line(135, 168),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(224, 226),
        horizontal_line(218, 227),
        horizontal_line(212, 227),
        horizontal_line(206, 227),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(130, 141),
        horizontal_line(113, 143),
        horizontal_line(96, 144),
        horizontal_line(79, 141),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 116),
        horizontal_line(62, 114),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 106),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(105, 161),
        horizontal_line(102, 159),
        horizontal_line(100, 158),
        horizontal_line(97, 157),
        horizontal_line(95, 156),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(124, 140),
        horizontal_line(122, 139),
        horizontal_line(119, 138),
        horizontal_line(117, 137),
        horizontal_line(114, 135),
        horizontal_line(112, 134),
        horizontal_line(109, 133),
        horizontal_line(107, 132),
        horizontal_line(104, 131),
        horizontal_line(102, 129),
        horizontal_line(99, 128),
        horizontal_line(97, 127),
        horizontal_line(94, 126),
        horizontal_line(92, 125),
        horizontal_line(89, 123),
        horizontal_line(87, 122),
        horizontal_line(84, 121),
        horizontal_line(82, 120),
        horizontal_line(79, 119),
        horizontal_line(77, 117),
        horizontal_line(74, 116),
        horizontal_line(72, 115),
        horizontal_line(69, 114),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(114, 176),
    };

    constexpr const horizontal_line frame_99_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(66, 111),
        horizontal_line(66, 110),
        horizontal_line(66, 109),
        horizontal_line(66, 108),
        horizontal_line(66, 107),
        horizontal_line(66, 105),
        horizontal_line(66, 104),
        horizontal_line(66, 103),
        horizontal_line(66, 102),
        horizontal_line(66, 101),
        horizontal_line(67, 99),
        horizontal_line(67, 98),
        horizontal_line(67, 97),
        horizontal_line(67, 96),
        horizontal_line(67, 95),
        horizontal_line(67, 93),
        horizontal_line(67, 92),
        horizontal_line(67, 91),
        horizontal_line(67, 90),
        horizontal_line(67, 89),
        horizontal_line(68, 88),
    };

    constexpr const shape frame_99_shape_group_2_shapes[] = {
        shape(frame_99_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_99_shape_group_2_shape_1_horizontal_lines, 32, 4),
        shape(frame_99_shape_group_2_shape_2_horizontal_lines, 33, 2),
        shape(frame_99_shape_group_2_shape_3_horizontal_lines, 34, 4),
        shape(frame_99_shape_group_2_shape_4_horizontal_lines, 42, 2),
        shape(frame_99_shape_group_2_shape_5_horizontal_lines, 48, 1),
        shape(frame_99_shape_group_2_shape_6_horizontal_lines, 64, 7),
        shape(frame_99_shape_group_2_shape_7_horizontal_lines, 72, 1),
        shape(frame_99_shape_group_2_shape_8_horizontal_lines, 98, 7),
        shape(frame_99_shape_group_2_shape_9_horizontal_lines, 138, 8),
        shape(frame_99_shape_group_2_shape_10_horizontal_lines, 139, 7),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(65, 68),
        horizontal_line(68, 70),
        horizontal_line(71, 72),
        horizontal_line(74, 74),
        horizontal_line(215, 228),
        horizontal_line(210, 228),
        horizontal_line(205, 227),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(83, 138),
        horizontal_line(84, 137),
        horizontal_line(86, 137),
        horizontal_line(88, 137),
        horizontal_line(90, 137),
        horizontal_line(92, 136),
        horizontal_line(94, 136),
        horizontal_line(96, 136),
        horizontal_line(98, 136),
        horizontal_line(100, 135),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(198, 222),
        horizontal_line(198, 221),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 135),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(198, 214),
        horizontal_line(197, 208),
        horizontal_line(197, 201),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(113, 134),
        horizontal_line(115, 134),
        horizontal_line(116, 133),
        horizontal_line(118, 133),
        horizontal_line(120, 133),
        horizontal_line(122, 133),
        horizontal_line(124, 132),
        horizontal_line(126, 132),
        horizontal_line(145, 207),
        horizontal_line(130, 132),
        horizontal_line(194, 211),
        horizontal_line(195, 205),
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(136, 155),
        horizontal_line(137, 149),
        horizontal_line(137, 143),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(220, 239),
        horizontal_line(186, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 238),
        horizontal_line(219, 231),
        horizontal_line(219, 225),
        horizontal_line(124, 126),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(122, 158),
        horizontal_line(120, 158),
        horizontal_line(117, 159),
        horizontal_line(115, 159),
        horizontal_line(112, 160),
        horizontal_line(110, 160),
        horizontal_line(107, 161),
        horizontal_line(163, 225),
        horizontal_line(170, 225),
        horizontal_line(177, 224),
        horizontal_line(184, 223),
        horizontal_line(191, 222),
        horizontal_line(198, 221),
        horizontal_line(205, 220),
        horizontal_line(212, 219),
        horizontal_line(147, 151),
        horizontal_line(144, 150),
        horizontal_line(142, 149),
        horizontal_line(139, 147),
        horizontal_line(137, 146),
        horizontal_line(134, 145),
        horizontal_line(132, 144),
        horizontal_line(129, 143),
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(176, 238),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
    };

    constexpr const shape frame_99_shape_group_3_shapes[] = {
        shape(frame_99_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_99_shape_group_3_shape_1_horizontal_lines, 8, 4),
        shape(frame_99_shape_group_3_shape_2_horizontal_lines, 18, 2),
        shape(frame_99_shape_group_3_shape_3_horizontal_lines, 20, 4),
        shape(frame_99_shape_group_3_shape_4_horizontal_lines, 21, 2),
        shape(frame_99_shape_group_3_shape_5_horizontal_lines, 24, 4),
        shape(frame_99_shape_group_3_shape_6_horizontal_lines, 42, 4),
        shape(frame_99_shape_group_3_shape_7_horizontal_lines, 75, 1),
        shape(frame_99_shape_group_3_shape_8_horizontal_lines, 91, 7),
        shape(frame_99_shape_group_3_shape_9_horizontal_lines, 115, 9),
        shape(frame_99_shape_group_3_shape_10_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(68, 126),
        horizontal_line(69, 127),
        horizontal_line(71, 129),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(226, 229),
        horizontal_line(221, 229),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(77, 133),
        horizontal_line(79, 135),
        horizontal_line(81, 136),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(101, 135),
        horizontal_line(103, 135),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(107, 135),
        horizontal_line(109, 134),
        horizontal_line(111, 134),
        horizontal_line(196, 222),
        horizontal_line(190, 222),
        horizontal_line(183, 222),
        horizontal_line(177, 222),
        horizontal_line(171, 223),
        horizontal_line(164, 223),
        horizontal_line(158, 220),
        horizontal_line(152, 214),
        horizontal_line(207, 224),
        horizontal_line(139, 201),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 149),
        horizontal_line(124, 146),
        horizontal_line(124, 144),
        horizontal_line(124, 141),
        horizontal_line(124, 139),
        horizontal_line(124, 136),
        horizontal_line(124, 134),
        horizontal_line(124, 131),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(127, 157),
        horizontal_line(125, 157),
        horizontal_line(206, 233),
        horizontal_line(200, 232),
        horizontal_line(194, 231),
        horizontal_line(187, 230),
        horizontal_line(181, 229),
        horizontal_line(174, 228),
        horizontal_line(168, 227),
        horizontal_line(225, 226),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(152, 153),
        horizontal_line(149, 152),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(238, 239),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_99_shape_group_4_shapes[] = {
        shape(frame_99_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_99_shape_group_4_shape_1_horizontal_lines, 3, 2),
        shape(frame_99_shape_group_4_shape_2_horizontal_lines, 5, 4),
        shape(frame_99_shape_group_4_shape_3_horizontal_lines, 21, 4),
        shape(frame_99_shape_group_4_shape_4_horizontal_lines, 75, 1),
        shape(frame_99_shape_group_4_shape_5_horizontal_lines, 80, 1),
        shape(frame_99_shape_group_4_shape_6_horizontal_lines, 89, 7),
        shape(frame_99_shape_group_4_shape_7_horizontal_lines, 99, 9),
        shape(frame_99_shape_group_4_shape_8_horizontal_lines, 103, 7),
        shape(frame_99_shape_group_4_shape_9_horizontal_lines, 106, 9),
        shape(frame_99_shape_group_4_shape_10_horizontal_lines, 115, 8),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(73, 130),
        horizontal_line(75, 132),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(223, 233),
        horizontal_line(222, 227),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(215, 221),
        horizontal_line(209, 221),
        horizontal_line(202, 221),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(220, 223),
        horizontal_line(214, 223),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(201, 217),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(150, 152),
        horizontal_line(147, 153),
        horizontal_line(145, 153),
        horizontal_line(142, 154),
        horizontal_line(140, 154),
        horizontal_line(137, 155),
        horizontal_line(135, 155),
        horizontal_line(132, 156),
        horizontal_line(130, 156),
        horizontal_line(219, 235),
        horizontal_line(213, 234),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(160, 169),
        horizontal_line(159, 176),
        horizontal_line(158, 183),
        horizontal_line(157, 190),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(203, 226),
        horizontal_line(202, 227),
        horizontal_line(201, 227),
        horizontal_line(200, 228),
        horizontal_line(198, 229),
        horizontal_line(197, 230),
        horizontal_line(196, 231),
        horizontal_line(195, 231),
        horizontal_line(194, 232),
        horizontal_line(192, 233),
        horizontal_line(191, 234),
        horizontal_line(190, 235),
        horizontal_line(189, 235),
        horizontal_line(188, 236),
        horizontal_line(186, 237),
        horizontal_line(185, 238),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_99_shape_group_5_shapes[] = {
        shape(frame_99_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_99_shape_group_5_shape_1_horizontal_lines, 18, 4),
        shape(frame_99_shape_group_5_shape_2_horizontal_lines, 21, 4),
        shape(frame_99_shape_group_5_shape_3_horizontal_lines, 30, 4),
        shape(frame_99_shape_group_5_shape_4_horizontal_lines, 33, 4),
        shape(frame_99_shape_group_5_shape_5_horizontal_lines, 80, 7),
        shape(frame_99_shape_group_5_shape_6_horizontal_lines, 91, 9),
        shape(frame_99_shape_group_5_shape_7_horizontal_lines, 99, 8),
        shape(frame_99_shape_group_5_shape_8_horizontal_lines, 103, 9),
        shape(frame_99_shape_group_5_shape_9_horizontal_lines, 106, 8),
        shape(frame_99_shape_group_5_shape_10_horizontal_lines, 137, 8),
        shape(frame_99_shape_group_5_shape_11_horizontal_lines, 139, 8),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(232, 237),
        horizontal_line(226, 236),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_99_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(156, 197),
        horizontal_line(154, 204),
        horizontal_line(153, 211),
        horizontal_line(214, 219),
        horizontal_line(213, 219),
        horizontal_line(212, 220),
        horizontal_line(210, 221),
        horizontal_line(209, 222),
        horizontal_line(208, 223),
        horizontal_line(207, 223),
        horizontal_line(206, 224),
        horizontal_line(204, 225),
    };

    constexpr const shape frame_99_shape_group_6_shapes[] = {
        shape(frame_99_shape_group_6_shape_0_horizontal_lines, 3, 4),
        shape(frame_99_shape_group_6_shape_1_horizontal_lines, 86, 9),
        shape(frame_99_shape_group_6_shape_2_horizontal_lines, 87, 7),
        shape(frame_99_shape_group_6_shape_3_horizontal_lines, 89, 9),
        shape(frame_99_shape_group_6_shape_4_horizontal_lines, 98, 8),
        shape(frame_99_shape_group_6_shape_5_horizontal_lines, 103, 8),
    };

    constexpr const horizontal_line frame_99_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_99_shape_group_7_shapes[] = {
        shape(frame_99_shape_group_7_shape_0_horizontal_lines, 87, 9),
    };

    constexpr const shape_group frame_99_shape_groups[] = {
        shape_group(frame_99_shape_group_0_shapes),
        shape_group(frame_99_shape_group_1_shapes),
        shape_group(frame_99_shape_group_2_shapes),
        shape_group(frame_99_shape_group_3_shapes),
        shape_group(frame_99_shape_group_4_shapes),
        shape_group(frame_99_shape_group_5_shapes),
        shape_group(frame_99_shape_group_6_shapes),
        shape_group(frame_99_shape_group_7_shapes),
    };

    constexpr const frame frame_99_impl(frame_99_colors, frame_99_shape_groups);
} 

const frame& frame_99()
{
    return frame_99_impl;
}

namespace
{
    constexpr const bn::color frame_100_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_100_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(1, 61),
        horizontal_line(3, 63),
        horizontal_line(6, 64),
        horizontal_line(9, 66),
        horizontal_line(11, 68),
        horizontal_line(14, 69),
        horizontal_line(17, 71),
        horizontal_line(19, 73),
        horizontal_line(22, 74),
        horizontal_line(25, 76),
        horizontal_line(27, 78),
        horizontal_line(30, 80),
        horizontal_line(33, 81),
        horizontal_line(35, 83),
        horizontal_line(38, 85),
        horizontal_line(41, 86),
        horizontal_line(44, 88),
        horizontal_line(46, 90),
        horizontal_line(49, 91),
        horizontal_line(52, 93),
        horizontal_line(54, 95),
        horizontal_line(57, 97),
        horizontal_line(60, 98),
        horizontal_line(62, 100),
        horizontal_line(65, 102),
        horizontal_line(68, 103),
        horizontal_line(70, 105),
        horizontal_line(73, 107),
        horizontal_line(76, 108),
        horizontal_line(78, 110),
        horizontal_line(81, 112),
        horizontal_line(84, 114),
        horizontal_line(87, 115),
        horizontal_line(89, 115),
        horizontal_line(92, 116),
        horizontal_line(95, 116),
        horizontal_line(97, 117),
        horizontal_line(100, 117),
        horizontal_line(103, 118),
        horizontal_line(105, 118),
        horizontal_line(108, 118),
        horizontal_line(111, 119),
        horizontal_line(113, 119),
        horizontal_line(116, 120),
        horizontal_line(119, 120),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(120, 177),
        horizontal_line(120, 172),
        horizontal_line(120, 167),
        horizontal_line(120, 161),
        horizontal_line(120, 156),
        horizontal_line(120, 150),
        horizontal_line(120, 145),
        horizontal_line(120, 139),
        horizontal_line(120, 134),
        horizontal_line(120, 128),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_100_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(213, 225),
        horizontal_line(100, 120),
        horizontal_line(80, 121),
        horizontal_line(60, 122),
        horizontal_line(40, 102),
        horizontal_line(20, 82),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_100_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_100_shape_group_0_shapes[] = {
        shape(frame_100_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_100_shape_group_0_shape_1_horizontal_lines, 72, 1),
        shape(frame_100_shape_group_0_shape_2_horizontal_lines, 142, 7),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(117, 118),
        horizontal_line(119, 119),
        horizontal_line(120, 120),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(117, 171),
        horizontal_line(117, 162),
        horizontal_line(116, 152),
        horizontal_line(116, 143),
        horizontal_line(116, 133),
        horizontal_line(116, 124),
        horizontal_line(211, 239),
        horizontal_line(211, 232),
        horizontal_line(211, 225),
        horizontal_line(211, 218),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(117, 179),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(203, 211),
        horizontal_line(194, 211),
        horizontal_line(185, 212),
        horizontal_line(176, 212),
        horizontal_line(167, 212),
        horizontal_line(158, 213),
        horizontal_line(149, 211),
        horizontal_line(140, 202),
        horizontal_line(131, 193),
        horizontal_line(184, 214),
        horizontal_line(183, 214),
        horizontal_line(183, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(183, 210),
        horizontal_line(183, 205),
        horizontal_line(183, 199),
        horizontal_line(183, 194),
        horizontal_line(183, 188),
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 238),
        horizontal_line(224, 233),
        horizontal_line(224, 228),
        horizontal_line(224, 224),
        horizontal_line(218, 224),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(207, 226),
        horizontal_line(202, 227),
        horizontal_line(196, 228),
        horizontal_line(191, 229),
        horizontal_line(185, 230),
        horizontal_line(180, 231),
        horizontal_line(175, 231),
        horizontal_line(169, 231),
        horizontal_line(164, 226),
        horizontal_line(158, 220),
        horizontal_line(153, 215),
        horizontal_line(147, 209),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 201),
        horizontal_line(144, 195),
        horizontal_line(145, 189),
        horizontal_line(145, 183),
        horizontal_line(146, 177),
        horizontal_line(146, 171),
        horizontal_line(147, 165),
        horizontal_line(147, 159),
        horizontal_line(148, 153),
        horizontal_line(62, 87),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_100_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
    };

    constexpr const shape frame_100_shape_group_1_shapes[] = {
        shape(frame_100_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_100_shape_group_1_shape_1_horizontal_lines, 37, 4),
        shape(frame_100_shape_group_1_shape_2_horizontal_lines, 38, 2),
        shape(frame_100_shape_group_1_shape_3_horizontal_lines, 61, 1),
        shape(frame_100_shape_group_1_shape_4_horizontal_lines, 72, 7),
        shape(frame_100_shape_group_1_shape_5_horizontal_lines, 73, 1),
        shape(frame_100_shape_group_1_shape_6_horizontal_lines, 117, 7),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(147, 209),
        horizontal_line(138, 200),
        horizontal_line(129, 191),
        horizontal_line(184, 218),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 216),
        horizontal_line(183, 216),
        horizontal_line(182, 215),
        horizontal_line(182, 215),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 212),
        horizontal_line(181, 212),
        horizontal_line(181, 211),
        horizontal_line(181, 211),
        horizontal_line(180, 210),
        horizontal_line(232, 239),
        horizontal_line(225, 239),
        horizontal_line(217, 239),
        horizontal_line(180, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(179, 211),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(119, 175),
        horizontal_line(119, 166),
        horizontal_line(120, 157),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(211, 213),
        horizontal_line(202, 213),
        horizontal_line(193, 214),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(231, 239),
        horizontal_line(224, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(102, 124),
        horizontal_line(82, 125),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 121),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(88, 147),
        horizontal_line(85, 145),
        horizontal_line(83, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(209, 214),
        horizontal_line(120, 134),
        horizontal_line(118, 133),
        horizontal_line(115, 132),
        horizontal_line(113, 131),
        horizontal_line(110, 130),
        horizontal_line(108, 129),
        horizontal_line(106, 128),
        horizontal_line(103, 127),
        horizontal_line(101, 126),
        horizontal_line(98, 125),
        horizontal_line(96, 124),
        horizontal_line(93, 123),
        horizontal_line(91, 122),
        horizontal_line(88, 121),
        horizontal_line(86, 120),
        horizontal_line(84, 118),
        horizontal_line(81, 117),
        horizontal_line(79, 116),
        horizontal_line(76, 115),
        horizontal_line(74, 114),
        horizontal_line(71, 113),
        horizontal_line(69, 112),
        horizontal_line(66, 111),
        horizontal_line(64, 110),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_100_shape_group_2_shapes[] = {
        shape(frame_100_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_100_shape_group_2_shape_1_horizontal_lines, 33, 4),
        shape(frame_100_shape_group_2_shape_2_horizontal_lines, 44, 2),
        shape(frame_100_shape_group_2_shape_3_horizontal_lines, 51, 1),
        shape(frame_100_shape_group_2_shape_4_horizontal_lines, 67, 7),
        shape(frame_100_shape_group_2_shape_5_horizontal_lines, 73, 7),
        shape(frame_100_shape_group_2_shape_6_horizontal_lines, 75, 1),
        shape(frame_100_shape_group_2_shape_7_horizontal_lines, 106, 7),
        shape(frame_100_shape_group_2_shape_8_horizontal_lines, 142, 9),
        shape(frame_100_shape_group_2_shape_9_horizontal_lines, 151, 8),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(218, 220),
        horizontal_line(209, 219),
        horizontal_line(200, 219),
        horizontal_line(191, 218),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(65, 121),
        horizontal_line(67, 120),
        horizontal_line(69, 120),
        horizontal_line(70, 120),
        horizontal_line(72, 120),
        horizontal_line(74, 119),
        horizontal_line(75, 119),
        horizontal_line(77, 119),
        horizontal_line(79, 119),
        horizontal_line(81, 119),
        horizontal_line(82, 118),
        horizontal_line(84, 118),
        horizontal_line(86, 118),
        horizontal_line(87, 118),
        horizontal_line(89, 118),
        horizontal_line(91, 117),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(180, 210),
        horizontal_line(180, 209),
        horizontal_line(180, 209),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(98, 117),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(179, 199),
        horizontal_line(179, 190),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(104, 116),
        horizontal_line(106, 116),
        horizontal_line(108, 115),
        horizontal_line(109, 115),
        horizontal_line(111, 115),
        horizontal_line(113, 115),
        horizontal_line(177, 210),
        horizontal_line(178, 210),
        horizontal_line(178, 210),
        horizontal_line(179, 210),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(180, 202),
        horizontal_line(180, 193),
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(120, 148),
        horizontal_line(121, 139),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(124, 128),
        horizontal_line(231, 232),
        horizontal_line(226, 233),
        horizontal_line(220, 234),
        horizontal_line(215, 235),
        horizontal_line(209, 236),
        horizontal_line(204, 237),
        horizontal_line(200, 238),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 238),
        horizontal_line(203, 231),
        horizontal_line(203, 225),
        horizontal_line(204, 219),
        horizontal_line(204, 213),
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(110, 143),
        horizontal_line(107, 143),
        horizontal_line(105, 144),
        horizontal_line(102, 144),
        horizontal_line(100, 145),
        horizontal_line(97, 145),
        horizontal_line(95, 146),
        horizontal_line(92, 146),
        horizontal_line(90, 147),
        horizontal_line(149, 211),
        horizontal_line(154, 216),
        horizontal_line(160, 222),
        horizontal_line(165, 222),
        horizontal_line(171, 221),
        horizontal_line(176, 220),
        horizontal_line(182, 219),
        horizontal_line(187, 218),
        horizontal_line(193, 217),
        horizontal_line(198, 216),
        horizontal_line(204, 215),
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_100_shape_group_3_shapes[] = {
        shape(frame_100_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_100_shape_group_3_shape_1_horizontal_lines, 4, 4),
        shape(frame_100_shape_group_3_shape_2_horizontal_lines, 20, 2),
        shape(frame_100_shape_group_3_shape_3_horizontal_lines, 23, 4),
        shape(frame_100_shape_group_3_shape_4_horizontal_lines, 24, 2),
        shape(frame_100_shape_group_3_shape_5_horizontal_lines, 27, 4),
        shape(frame_100_shape_group_3_shape_6_horizontal_lines, 38, 4),
        shape(frame_100_shape_group_3_shape_7_horizontal_lines, 44, 4),
        shape(frame_100_shape_group_3_shape_8_horizontal_lines, 75, 7),
        shape(frame_100_shape_group_3_shape_9_horizontal_lines, 78, 1),
        shape(frame_100_shape_group_3_shape_10_horizontal_lines, 97, 7),
        shape(frame_100_shape_group_3_shape_11_horizontal_lines, 118, 9),
        shape(frame_100_shape_group_3_shape_12_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(59, 115),
        horizontal_line(60, 116),
        horizontal_line(62, 118),
        horizontal_line(64, 119),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(92, 117),
        horizontal_line(94, 117),
        horizontal_line(96, 117),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(101, 116),
        horizontal_line(103, 116),
        horizontal_line(172, 209),
        horizontal_line(163, 209),
        horizontal_line(153, 209),
        horizontal_line(144, 206),
        horizontal_line(134, 196),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 133),
        horizontal_line(124, 131),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(122, 140),
        horizontal_line(119, 140),
        horizontal_line(117, 141),
        horizontal_line(114, 141),
        horizontal_line(112, 142),
        horizontal_line(202, 234),
        horizontal_line(196, 233),
        horizontal_line(190, 232),
        horizontal_line(184, 231),
        horizontal_line(178, 230),
        horizontal_line(172, 229),
        horizontal_line(166, 228),
        horizontal_line(160, 222),
        horizontal_line(154, 216),
        horizontal_line(211, 225),
        horizontal_line(216, 224),
        horizontal_line(222, 223),
        horizontal_line(142, 143),
        horizontal_line(140, 142),
        horizontal_line(137, 141),
        horizontal_line(135, 140),
        horizontal_line(132, 139),
        horizontal_line(130, 138),
        horizontal_line(128, 137),
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(172, 232),
        horizontal_line(171, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_100_shape_group_4_shapes[] = {
        shape(frame_100_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_100_shape_group_4_shape_1_horizontal_lines, 24, 4),
        shape(frame_100_shape_group_4_shape_2_horizontal_lines, 78, 7),
        shape(frame_100_shape_group_4_shape_3_horizontal_lines, 80, 1),
        shape(frame_100_shape_group_4_shape_4_horizontal_lines, 91, 7),
        shape(frame_100_shape_group_4_shape_5_horizontal_lines, 117, 9),
        shape(frame_100_shape_group_4_shape_6_horizontal_lines, 118, 8),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(211, 231),
        horizontal_line(210, 224),
        horizontal_line(210, 216),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(200, 209),
        horizontal_line(191, 209),
        horizontal_line(181, 209),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(206, 210),
        horizontal_line(196, 210),
        horizontal_line(187, 210),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(137, 137),
        horizontal_line(134, 137),
        horizontal_line(132, 138),
        horizontal_line(129, 138),
        horizontal_line(127, 139),
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(220, 238),
        horizontal_line(214, 236),
        horizontal_line(208, 235),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(228, 228),
        horizontal_line(222, 227),
        horizontal_line(216, 226),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(197, 214),
        horizontal_line(196, 214),
        horizontal_line(195, 215),
        horizontal_line(194, 216),
        horizontal_line(193, 217),
        horizontal_line(192, 217),
        horizontal_line(191, 218),
        horizontal_line(190, 219),
        horizontal_line(189, 220),
        horizontal_line(188, 220),
        horizontal_line(187, 221),
        horizontal_line(186, 222),
        horizontal_line(185, 223),
        horizontal_line(184, 223),
        horizontal_line(183, 224),
        horizontal_line(181, 225),
        horizontal_line(180, 226),
        horizontal_line(179, 226),
        horizontal_line(178, 227),
        horizontal_line(177, 228),
        horizontal_line(176, 229),
        horizontal_line(175, 229),
        horizontal_line(174, 230),
        horizontal_line(173, 231),
    };

    constexpr const horizontal_line frame_100_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(232, 233),
        horizontal_line(231, 234),
        horizontal_line(230, 235),
        horizontal_line(229, 235),
        horizontal_line(228, 236),
        horizontal_line(227, 237),
        horizontal_line(226, 238),
    };

    constexpr const shape frame_100_shape_group_5_shapes[] = {
        shape(frame_100_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_100_shape_group_5_shape_1_horizontal_lines, 20, 4),
        shape(frame_100_shape_group_5_shape_2_horizontal_lines, 24, 4),
        shape(frame_100_shape_group_5_shape_3_horizontal_lines, 30, 4),
        shape(frame_100_shape_group_5_shape_4_horizontal_lines, 80, 7),
        shape(frame_100_shape_group_5_shape_5_horizontal_lines, 97, 9),
        shape(frame_100_shape_group_5_shape_6_horizontal_lines, 103, 7),
        shape(frame_100_shape_group_5_shape_7_horizontal_lines, 106, 9),
        shape(frame_100_shape_group_5_shape_8_horizontal_lines, 117, 8),
        shape(frame_100_shape_group_5_shape_9_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_100_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_100_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(146, 153),
        horizontal_line(145, 159),
        horizontal_line(144, 164),
        horizontal_line(143, 170),
        horizontal_line(142, 175),
        horizontal_line(141, 181),
        horizontal_line(140, 186),
        horizontal_line(139, 192),
        horizontal_line(138, 197),
        horizontal_line(137, 199),
        horizontal_line(198, 208),
    };

    constexpr const shape frame_100_shape_group_6_shapes[] = {
        shape(frame_100_shape_group_6_shape_0_horizontal_lines, 86, 7),
        shape(frame_100_shape_group_6_shape_1_horizontal_lines, 94, 9),
        shape(frame_100_shape_group_6_shape_2_horizontal_lines, 103, 9),
        shape(frame_100_shape_group_6_shape_3_horizontal_lines, 106, 8),
    };

    constexpr const horizontal_line frame_100_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(199, 203),
    };

    constexpr const shape frame_100_shape_group_7_shapes[] = {
        shape(frame_100_shape_group_7_shape_0_horizontal_lines, 116, 8),
    };

    constexpr const shape_group frame_100_shape_groups[] = {
        shape_group(frame_100_shape_group_0_shapes),
        shape_group(frame_100_shape_group_1_shapes),
        shape_group(frame_100_shape_group_2_shapes),
        shape_group(frame_100_shape_group_3_shapes),
        shape_group(frame_100_shape_group_4_shapes),
        shape_group(frame_100_shape_group_5_shapes),
        shape_group(frame_100_shape_group_6_shapes),
        shape_group(frame_100_shape_group_7_shapes),
    };

    constexpr const frame frame_100_impl(frame_100_colors, frame_100_shape_groups);
} 

const frame& frame_100()
{
    return frame_100_impl;
}

namespace
{
    constexpr const bn::color frame_101_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_101_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(43, 98),
        horizontal_line(44, 97),
        horizontal_line(46, 97),
        horizontal_line(48, 97),
        horizontal_line(49, 97),
        horizontal_line(51, 97),
        horizontal_line(53, 97),
        horizontal_line(54, 96),
        horizontal_line(56, 96),
        horizontal_line(58, 96),
        horizontal_line(60, 96),
        horizontal_line(61, 96),
        horizontal_line(63, 96),
        horizontal_line(65, 95),
        horizontal_line(66, 95),
        horizontal_line(68, 95),
        horizontal_line(70, 95),
        horizontal_line(71, 95),
        horizontal_line(73, 95),
        horizontal_line(75, 94),
        horizontal_line(77, 94),
        horizontal_line(78, 94),
        horizontal_line(80, 94),
        horizontal_line(82, 94),
        horizontal_line(83, 94),
        horizontal_line(85, 93),
        horizontal_line(87, 93),
        horizontal_line(88, 93),
        horizontal_line(90, 93),
        horizontal_line(92, 93),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(96, 158),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(97, 159),
        horizontal_line(97, 159),
        horizontal_line(97, 159),
        horizontal_line(98, 146),
        horizontal_line(98, 130),
        horizontal_line(98, 114),
    };

    constexpr const horizontal_line frame_101_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 47),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 166),
        horizontal_line(106, 160),
        horizontal_line(107, 154),
        horizontal_line(108, 148),
        horizontal_line(110, 143),
        horizontal_line(111, 137),
        horizontal_line(112, 131),
        horizontal_line(113, 125),
        horizontal_line(114, 119),
    };

    constexpr const horizontal_line frame_101_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_101_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_101_shape_group_0_shapes[] = {
        shape(frame_101_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_101_shape_group_0_shape_1_horizontal_lines, 48, 3),
        shape(frame_101_shape_group_0_shape_2_horizontal_lines, 93, 1),
        shape(frame_101_shape_group_0_shape_3_horizontal_lines, 138, 7),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(206, 229),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 223),
        horizontal_line(193, 207),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(156, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(158, 193),
        horizontal_line(159, 193),
        horizontal_line(159, 194),
        horizontal_line(159, 178),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 238),
        horizontal_line(199, 231),
        horizontal_line(199, 225),
        horizontal_line(200, 218),
        horizontal_line(200, 212),
        horizontal_line(200, 205),
        horizontal_line(200, 200),
        horizontal_line(193, 200),
        horizontal_line(187, 201),
        horizontal_line(180, 201),
        horizontal_line(174, 202),
        horizontal_line(167, 202),
        horizontal_line(161, 203),
        horizontal_line(154, 203),
        horizontal_line(148, 204),
        horizontal_line(141, 203),
        horizontal_line(135, 197),
        horizontal_line(128, 190),
        horizontal_line(122, 184),
        horizontal_line(115, 177),
        horizontal_line(109, 171),
        horizontal_line(102, 164),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(161, 195),
        horizontal_line(162, 189),
        horizontal_line(163, 183),
        horizontal_line(164, 177),
        horizontal_line(166, 172),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(123, 180),
        horizontal_line(123, 175),
        horizontal_line(124, 170),
        horizontal_line(124, 165),
        horizontal_line(125, 160),
        horizontal_line(125, 156),
        horizontal_line(126, 151),
        horizontal_line(126, 146),
        horizontal_line(127, 141),
        horizontal_line(127, 136),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_101_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
    };

    constexpr const shape frame_101_shape_group_1_shapes[] = {
        shape(frame_101_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_101_shape_group_1_shape_1_horizontal_lines, 29, 3),
        shape(frame_101_shape_group_1_shape_2_horizontal_lines, 30, 4),
        shape(frame_101_shape_group_1_shape_3_horizontal_lines, 45, 3),
        shape(frame_101_shape_group_1_shape_4_horizontal_lines, 84, 1),
        shape(frame_101_shape_group_1_shape_5_horizontal_lines, 118, 7),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(157, 193),
        horizontal_line(157, 193),
        horizontal_line(158, 193),
        horizontal_line(158, 193),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(160, 201),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(167, 213),
        horizontal_line(161, 214),
        horizontal_line(155, 215),
        horizontal_line(149, 211),
        horizontal_line(144, 206),
        horizontal_line(138, 200),
        horizontal_line(132, 194),
        horizontal_line(126, 188),
        horizontal_line(120, 182),
        horizontal_line(62, 114),
        horizontal_line(62, 111),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 88),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(141, 203),
        horizontal_line(145, 207),
        horizontal_line(149, 211),
        horizontal_line(153, 213),
        horizontal_line(157, 212),
        horizontal_line(161, 211),
        horizontal_line(166, 210),
        horizontal_line(170, 209),
        horizontal_line(174, 208),
        horizontal_line(178, 207),
        horizontal_line(182, 206),
        horizontal_line(186, 205),
        horizontal_line(190, 204),
        horizontal_line(194, 203),
        horizontal_line(198, 202),
        horizontal_line(67, 108),
        horizontal_line(64, 107),
    };

    constexpr const horizontal_line frame_101_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
    };

    constexpr const shape frame_101_shape_group_2_shapes[] = {
        shape(frame_101_shape_group_2_shape_0_horizontal_lines, 7, 3),
        shape(frame_101_shape_group_2_shape_1_horizontal_lines, 30, 3),
        shape(frame_101_shape_group_2_shape_2_horizontal_lines, 36, 4),
        shape(frame_101_shape_group_2_shape_3_horizontal_lines, 40, 3),
        shape(frame_101_shape_group_2_shape_4_horizontal_lines, 79, 1),
        shape(frame_101_shape_group_2_shape_5_horizontal_lines, 114, 7),
        shape(frame_101_shape_group_2_shape_6_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(216, 237),
        horizontal_line(205, 238),
        horizontal_line(195, 238),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(219, 239),
        horizontal_line(213, 239),
        horizontal_line(206, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(203, 204),
        horizontal_line(197, 205),
        horizontal_line(190, 205),
        horizontal_line(184, 206),
        horizontal_line(177, 206),
        horizontal_line(171, 207),
        horizontal_line(164, 207),
        horizontal_line(159, 207),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(48, 97),
        horizontal_line(196, 209),
        horizontal_line(190, 210),
        horizontal_line(184, 211),
        horizontal_line(178, 212),
        horizontal_line(173, 212),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(178, 220),
        horizontal_line(178, 221),
        horizontal_line(179, 222),
        horizontal_line(179, 223),
        horizontal_line(180, 224),
        horizontal_line(180, 224),
        horizontal_line(181, 219),
        horizontal_line(181, 214),
        horizontal_line(182, 209),
        horizontal_line(182, 204),
        horizontal_line(183, 199),
        horizontal_line(183, 194),
        horizontal_line(184, 190),
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(79, 122),
        horizontal_line(76, 122),
        horizontal_line(74, 123),
        horizontal_line(71, 123),
        horizontal_line(69, 124),
        horizontal_line(66, 124),
        horizontal_line(63, 125),
        horizontal_line(147, 209),
        horizontal_line(142, 204),
        horizontal_line(137, 199),
        horizontal_line(132, 194),
        horizontal_line(113, 127),
        horizontal_line(110, 125),
        horizontal_line(108, 124),
        horizontal_line(105, 123),
        horizontal_line(102, 122),
        horizontal_line(100, 121),
        horizontal_line(97, 120),
        horizontal_line(95, 119),
        horizontal_line(92, 118),
        horizontal_line(90, 117),
        horizontal_line(87, 116),
        horizontal_line(85, 115),
        horizontal_line(82, 114),
        horizontal_line(79, 113),
        horizontal_line(77, 112),
        horizontal_line(74, 111),
        horizontal_line(72, 110),
        horizontal_line(69, 109),
    };

    constexpr const horizontal_line frame_101_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(169, 202),
        horizontal_line(168, 203),
        horizontal_line(167, 203),
        horizontal_line(166, 204),
        horizontal_line(165, 205),
        horizontal_line(164, 205),
        horizontal_line(163, 206),
        horizontal_line(162, 207),
        horizontal_line(161, 207),
        horizontal_line(160, 208),
        horizontal_line(159, 209),
        horizontal_line(158, 210),
        horizontal_line(157, 210),
        horizontal_line(156, 211),
        horizontal_line(155, 212),
        horizontal_line(154, 212),
        horizontal_line(153, 213),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
    };

    constexpr const shape frame_101_shape_group_3_shapes[] = {
        shape(frame_101_shape_group_3_shape_0_horizontal_lines, 33, 3),
        shape(frame_101_shape_group_3_shape_1_horizontal_lines, 55, 1),
        shape(frame_101_shape_group_3_shape_2_horizontal_lines, 70, 3),
        shape(frame_101_shape_group_3_shape_3_horizontal_lines, 78, 1),
        shape(frame_101_shape_group_3_shape_4_horizontal_lines, 107, 7),
        shape(frame_101_shape_group_3_shape_5_horizontal_lines, 136, 8),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(227, 237),
        horizontal_line(62, 78),
        horizontal_line(62, 81),
        horizontal_line(62, 83),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 238),
        horizontal_line(207, 231),
        horizontal_line(207, 225),
        horizontal_line(208, 219),
        horizontal_line(208, 213),
        horizontal_line(96, 96),
        horizontal_line(202, 208),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(214, 238),
        horizontal_line(215, 237),
        horizontal_line(216, 237),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(211, 216),
        horizontal_line(206, 216),
        horizontal_line(200, 217),
        horizontal_line(194, 218),
        horizontal_line(188, 219),
        horizontal_line(182, 220),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(112, 115),
        horizontal_line(109, 116),
        horizontal_line(107, 116),
        horizontal_line(104, 117),
        horizontal_line(102, 117),
        horizontal_line(99, 118),
        horizontal_line(97, 118),
        horizontal_line(94, 119),
        horizontal_line(92, 119),
        horizontal_line(89, 120),
        horizontal_line(86, 120),
        horizontal_line(84, 121),
        horizontal_line(81, 121),
        horizontal_line(181, 230),
        horizontal_line(176, 229),
        horizontal_line(171, 228),
        horizontal_line(166, 227),
        horizontal_line(161, 223),
        horizontal_line(157, 219),
        horizontal_line(152, 214),
        horizontal_line(123, 125),
        horizontal_line(120, 126),
        horizontal_line(118, 126),
        horizontal_line(115, 127),
        horizontal_line(191, 219),
        horizontal_line(195, 218),
        horizontal_line(199, 217),
        horizontal_line(203, 216),
        horizontal_line(207, 215),
        horizontal_line(211, 214),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(121, 152),
        horizontal_line(120, 156),
        horizontal_line(119, 160),
        horizontal_line(118, 165),
        horizontal_line(117, 169),
        horizontal_line(116, 173),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(171, 201),
        horizontal_line(170, 201),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(214, 214),
        horizontal_line(213, 214),
        horizontal_line(212, 215),
        horizontal_line(211, 216),
        horizontal_line(210, 217),
    };

    constexpr const shape frame_101_shape_group_4_shapes[] = {
        shape(frame_101_shape_group_4_shape_0_horizontal_lines, 36, 3),
        shape(frame_101_shape_group_4_shape_1_horizontal_lines, 70, 1),
        shape(frame_101_shape_group_4_shape_2_horizontal_lines, 84, 7),
        shape(frame_101_shape_group_4_shape_3_horizontal_lines, 87, 1),
        shape(frame_101_shape_group_4_shape_4_horizontal_lines, 93, 7),
        shape(frame_101_shape_group_4_shape_5_horizontal_lines, 124, 8),
        shape(frame_101_shape_group_4_shape_6_horizontal_lines, 138, 9),
        shape(frame_101_shape_group_4_shape_7_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(220, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(217, 237),
        horizontal_line(217, 236),
        horizontal_line(218, 236),
        horizontal_line(219, 236),
        horizontal_line(220, 236),
        horizontal_line(221, 235),
        horizontal_line(221, 235),
        horizontal_line(222, 235),
        horizontal_line(223, 234),
        horizontal_line(224, 231),
        horizontal_line(225, 227),
        horizontal_line(225, 225),
        horizontal_line(220, 232),
        horizontal_line(215, 233),
        horizontal_line(210, 233),
        horizontal_line(205, 233),
        horizontal_line(200, 232),
        horizontal_line(195, 232),
        horizontal_line(191, 232),
        horizontal_line(186, 232),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(223, 226),
        horizontal_line(219, 225),
        horizontal_line(125, 125),
        horizontal_line(209, 223),
        horizontal_line(204, 222),
        horizontal_line(199, 221),
        horizontal_line(194, 220),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(126, 132),
        horizontal_line(125, 136),
        horizontal_line(124, 140),
        horizontal_line(123, 144),
        horizontal_line(122, 148),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(176, 181),
        horizontal_line(175, 185),
        horizontal_line(174, 189),
        horizontal_line(173, 193),
        horizontal_line(172, 197),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_101_shape_group_5_shapes[] = {
        shape(frame_101_shape_group_5_shape_0_horizontal_lines, 39, 3),
        shape(frame_101_shape_group_5_shape_1_horizontal_lines, 72, 7),
        shape(frame_101_shape_group_5_shape_2_horizontal_lines, 77, 1),
        shape(frame_101_shape_group_5_shape_3_horizontal_lines, 78, 7),
        shape(frame_101_shape_group_5_shape_4_horizontal_lines, 84, 8),
        shape(frame_101_shape_group_5_shape_5_horizontal_lines, 87, 7),
        shape(frame_101_shape_group_5_shape_6_horizontal_lines, 107, 8),
        shape(frame_101_shape_group_5_shape_7_horizontal_lines, 109, 9),
        shape(frame_101_shape_group_5_shape_8_horizontal_lines, 111, 7),
        shape(frame_101_shape_group_5_shape_9_horizontal_lines, 118, 8),
        shape(frame_101_shape_group_5_shape_10_horizontal_lines, 124, 9),
        shape(frame_101_shape_group_5_shape_11_horizontal_lines, 130, 8),
        shape(frame_101_shape_group_5_shape_12_horizontal_lines, 136, 9),
        shape(frame_101_shape_group_5_shape_13_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(231, 235),
        horizontal_line(230, 237),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(214, 224),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_101_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const shape frame_101_shape_group_6_shapes[] = {
        shape(frame_101_shape_group_6_shape_0_horizontal_lines, 77, 7),
        shape(frame_101_shape_group_6_shape_1_horizontal_lines, 87, 8),
        shape(frame_101_shape_group_6_shape_2_horizontal_lines, 107, 9),
        shape(frame_101_shape_group_6_shape_3_horizontal_lines, 111, 9),
        shape(frame_101_shape_group_6_shape_4_horizontal_lines, 113, 7),
        shape(frame_101_shape_group_6_shape_5_horizontal_lines, 114, 9),
        shape(frame_101_shape_group_6_shape_6_horizontal_lines, 130, 9),
    };

    constexpr const horizontal_line frame_101_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(233, 233),
    };

    constexpr const horizontal_line frame_101_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const shape frame_101_shape_group_7_shapes[] = {
        shape(frame_101_shape_group_7_shape_0_horizontal_lines, 106, 9),
        shape(frame_101_shape_group_7_shape_1_horizontal_lines, 113, 9),
    };

    constexpr const shape_group frame_101_shape_groups[] = {
        shape_group(frame_101_shape_group_0_shapes),
        shape_group(frame_101_shape_group_1_shapes),
        shape_group(frame_101_shape_group_2_shapes),
        shape_group(frame_101_shape_group_3_shapes),
        shape_group(frame_101_shape_group_4_shapes),
        shape_group(frame_101_shape_group_5_shapes),
        shape_group(frame_101_shape_group_6_shapes),
        shape_group(frame_101_shape_group_7_shapes),
    };

    constexpr const frame frame_101_impl(frame_101_colors, frame_101_shape_groups);
} 

const frame& frame_101()
{
    return frame_101_impl;
}

namespace
{
    constexpr const bn::color frame_102_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_102_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(21, 65),
        horizontal_line(22, 64),
        horizontal_line(24, 64),
        horizontal_line(25, 64),
        horizontal_line(27, 64),
        horizontal_line(29, 64),
        horizontal_line(30, 63),
        horizontal_line(32, 63),
        horizontal_line(33, 63),
        horizontal_line(35, 63),
        horizontal_line(37, 63),
        horizontal_line(38, 62),
        horizontal_line(40, 62),
        horizontal_line(41, 62),
        horizontal_line(43, 62),
        horizontal_line(45, 62),
        horizontal_line(46, 61),
        horizontal_line(48, 61),
        horizontal_line(49, 61),
        horizontal_line(51, 61),
        horizontal_line(53, 61),
        horizontal_line(54, 60),
        horizontal_line(56, 60),
        horizontal_line(57, 60),
        horizontal_line(59, 60),
        horizontal_line(178, 223),
        horizontal_line(61, 71),
        horizontal_line(61, 84),
        horizontal_line(61, 96),
        horizontal_line(62, 109),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(122, 175),
        horizontal_line(216, 227),
        horizontal_line(217, 227),
        horizontal_line(218, 227),
        horizontal_line(219, 227),
        horizontal_line(221, 226),
        horizontal_line(222, 226),
        horizontal_line(223, 226),
        horizontal_line(224, 226),
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_102_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(74, 135),
        horizontal_line(75, 129),
        horizontal_line(76, 123),
        horizontal_line(77, 117),
        horizontal_line(78, 111),
        horizontal_line(79, 105),
        horizontal_line(80, 99),
        horizontal_line(81, 93),
        horizontal_line(82, 87),
    };

    constexpr const horizontal_line frame_102_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(98, 106),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_102_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_102_shape_group_0_shapes[] = {
        shape(frame_102_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_102_shape_group_0_shape_1_horizontal_lines, 57, 3),
        shape(frame_102_shape_group_0_shape_2_horizontal_lines, 102, 1),
        shape(frame_102_shape_group_0_shape_3_horizontal_lines, 133, 7),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(169, 185),
        horizontal_line(179, 186),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(188, 191),
        horizontal_line(188, 195),
        horizontal_line(187, 198),
        horizontal_line(187, 202),
        horizontal_line(186, 205),
        horizontal_line(186, 209),
        horizontal_line(185, 212),
        horizontal_line(185, 216),
        horizontal_line(184, 219),
        horizontal_line(184, 223),
        horizontal_line(183, 226),
        horizontal_line(183, 230),
        horizontal_line(182, 229),
        horizontal_line(182, 228),
        horizontal_line(181, 228),
        horizontal_line(181, 227),
        horizontal_line(181, 227),
        horizontal_line(180, 226),
        horizontal_line(180, 226),
        horizontal_line(179, 225),
        horizontal_line(179, 225),
        horizontal_line(178, 224),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(177, 223),
        horizontal_line(177, 222),
        horizontal_line(176, 222),
        horizontal_line(176, 221),
        horizontal_line(175, 221),
        horizontal_line(175, 220),
        horizontal_line(174, 220),
        horizontal_line(174, 219),
        horizontal_line(174, 219),
        horizontal_line(125, 173),
        horizontal_line(219, 219),
        horizontal_line(219, 220),
        horizontal_line(218, 220),
        horizontal_line(218, 221),
        horizontal_line(218, 222),
        horizontal_line(217, 222),
        horizontal_line(217, 223),
        horizontal_line(217, 224),
        horizontal_line(216, 224),
        horizontal_line(216, 225),
        horizontal_line(216, 226),
        horizontal_line(216, 227),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(179, 218),
        horizontal_line(179, 218),
        horizontal_line(179, 218),
        horizontal_line(180, 219),
        horizontal_line(180, 219),
        horizontal_line(180, 219),
        horizontal_line(180, 219),
        horizontal_line(181, 209),
        horizontal_line(181, 199),
        horizontal_line(181, 189),
        horizontal_line(181, 181),
        horizontal_line(173, 181),
        horizontal_line(165, 182),
        horizontal_line(157, 182),
        horizontal_line(149, 183),
        horizontal_line(141, 183),
        horizontal_line(133, 184),
        horizontal_line(125, 184),
        horizontal_line(117, 179),
        horizontal_line(109, 171),
        horizontal_line(101, 163),
        horizontal_line(93, 155),
        horizontal_line(85, 147),
        horizontal_line(77, 139),
        horizontal_line(69, 131),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(128, 183),
        horizontal_line(129, 177),
        horizontal_line(130, 171),
        horizontal_line(131, 165),
        horizontal_line(132, 159),
        horizontal_line(133, 153),
        horizontal_line(134, 147),
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(84, 146),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(93, 152),
        horizontal_line(93, 147),
        horizontal_line(94, 143),
        horizontal_line(94, 139),
        horizontal_line(95, 135),
        horizontal_line(95, 131),
        horizontal_line(96, 127),
        horizontal_line(96, 122),
        horizontal_line(97, 118),
        horizontal_line(97, 114),
        horizontal_line(98, 110),
    };

    constexpr const horizontal_line frame_102_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 202),
        horizontal_line(147, 201),
        horizontal_line(150, 200),
        horizontal_line(153, 199),
        horizontal_line(156, 198),
        horizontal_line(159, 197),
        horizontal_line(162, 196),
        horizontal_line(165, 195),
        horizontal_line(168, 194),
        horizontal_line(171, 193),
        horizontal_line(174, 192),
        horizontal_line(178, 191),
    };

    constexpr const shape frame_102_shape_group_1_shapes[] = {
        shape(frame_102_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_102_shape_group_1_shape_1_horizontal_lines, 2, 2),
        shape(frame_102_shape_group_1_shape_2_horizontal_lines, 3, 4),
        shape(frame_102_shape_group_1_shape_3_horizontal_lines, 25, 3),
        shape(frame_102_shape_group_1_shape_4_horizontal_lines, 26, 4),
        shape(frame_102_shape_group_1_shape_5_horizontal_lines, 48, 3),
        shape(frame_102_shape_group_1_shape_6_horizontal_lines, 93, 1),
        shape(frame_102_shape_group_1_shape_7_horizontal_lines, 131, 7),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(125, 146),
        horizontal_line(125, 159),
        horizontal_line(125, 172),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(126, 173),
        horizontal_line(126, 173),
        horizontal_line(126, 173),
        horizontal_line(127, 174),
        horizontal_line(127, 174),
        horizontal_line(127, 174),
        horizontal_line(127, 174),
        horizontal_line(128, 174),
        horizontal_line(128, 175),
        horizontal_line(128, 175),
        horizontal_line(129, 175),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(177, 215),
        horizontal_line(177, 215),
        horizontal_line(177, 215),
        horizontal_line(177, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 217),
        horizontal_line(178, 217),
        horizontal_line(179, 217),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(187, 188),
        horizontal_line(188, 189),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(136, 196),
        horizontal_line(130, 192),
        horizontal_line(124, 186),
        horizontal_line(118, 180),
        horizontal_line(112, 174),
        horizontal_line(106, 168),
        horizontal_line(100, 162),
        horizontal_line(94, 156),
        horizontal_line(88, 150),
        horizontal_line(62, 82),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 73),
        horizontal_line(62, 70),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
        horizontal_line(149, 197),
        horizontal_line(150, 193),
        horizontal_line(150, 189),
        horizontal_line(151, 185),
        horizontal_line(151, 181),
        horizontal_line(152, 176),
        horizontal_line(152, 172),
        horizontal_line(153, 168),
        horizontal_line(153, 164),
        horizontal_line(154, 160),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_102_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(31, 92),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(107, 169),
        horizontal_line(103, 165),
        horizontal_line(124, 186),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
    };

    constexpr const shape frame_102_shape_group_2_shapes[] = {
        shape(frame_102_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_102_shape_group_2_shape_1_horizontal_lines, 3, 2),
        shape(frame_102_shape_group_2_shape_2_horizontal_lines, 18, 3),
        shape(frame_102_shape_group_2_shape_3_horizontal_lines, 25, 2),
        shape(frame_102_shape_group_2_shape_4_horizontal_lines, 26, 3),
        shape(frame_102_shape_group_2_shape_5_horizontal_lines, 31, 4),
        shape(frame_102_shape_group_2_shape_6_horizontal_lines, 35, 3),
        shape(frame_102_shape_group_2_shape_7_horizontal_lines, 36, 4),
        shape(frame_102_shape_group_2_shape_8_horizontal_lines, 47, 3),
        shape(frame_102_shape_group_2_shape_9_horizontal_lines, 85, 1),
        shape(frame_102_shape_group_2_shape_10_horizontal_lines, 120, 7),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(215, 215),
        horizontal_line(228, 229),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(227, 228),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(220, 220),
        horizontal_line(210, 222),
        horizontal_line(200, 224),
        horizontal_line(190, 227),
        horizontal_line(182, 229),
        horizontal_line(182, 231),
        horizontal_line(183, 234),
        horizontal_line(183, 236),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(179, 185),
        horizontal_line(171, 185),
        horizontal_line(163, 186),
        horizontal_line(155, 186),
        horizontal_line(147, 187),
        horizontal_line(139, 187),
        horizontal_line(131, 188),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(184, 190),
        horizontal_line(178, 191),
        horizontal_line(172, 192),
        horizontal_line(166, 192),
        horizontal_line(160, 193),
        horizontal_line(154, 194),
        horizontal_line(148, 195),
        horizontal_line(142, 195),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(146, 203),
        horizontal_line(146, 204),
        horizontal_line(147, 204),
        horizontal_line(147, 205),
        horizontal_line(148, 206),
        horizontal_line(148, 206),
        horizontal_line(149, 201),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 86),
        horizontal_line(60, 87),
        horizontal_line(57, 87),
        horizontal_line(54, 88),
        horizontal_line(51, 88),
        horizontal_line(48, 89),
        horizontal_line(45, 89),
        horizontal_line(42, 90),
        horizontal_line(40, 90),
        horizontal_line(37, 91),
        horizontal_line(34, 91),
        horizontal_line(153, 215),
        horizontal_line(148, 210),
        horizontal_line(144, 206),
        horizontal_line(140, 202),
        horizontal_line(136, 198),
        horizontal_line(132, 194),
        horizontal_line(128, 190),
        horizontal_line(123, 185),
        horizontal_line(119, 181),
        horizontal_line(115, 177),
        horizontal_line(111, 173),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(186, 219),
        horizontal_line(164, 218),
        horizontal_line(167, 217),
        horizontal_line(170, 216),
        horizontal_line(173, 214),
        horizontal_line(176, 213),
        horizontal_line(179, 212),
        horizontal_line(182, 211),
        horizontal_line(185, 210),
        horizontal_line(188, 209),
        horizontal_line(191, 208),
        horizontal_line(194, 207),
        horizontal_line(197, 206),
        horizontal_line(200, 205),
        horizontal_line(203, 204),
    };

    constexpr const horizontal_line frame_102_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(84, 143),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
    };

    constexpr const shape frame_102_shape_group_3_shapes[] = {
        shape(frame_102_shape_group_3_shape_0_horizontal_lines, 18, 2),
        shape(frame_102_shape_group_3_shape_1_horizontal_lines, 26, 2),
        shape(frame_102_shape_group_3_shape_2_horizontal_lines, 31, 3),
        shape(frame_102_shape_group_3_shape_3_horizontal_lines, 36, 3),
        shape(frame_102_shape_group_3_shape_4_horizontal_lines, 57, 1),
        shape(frame_102_shape_group_3_shape_5_horizontal_lines, 58, 7),
        shape(frame_102_shape_group_3_shape_6_horizontal_lines, 63, 1),
        shape(frame_102_shape_group_3_shape_7_horizontal_lines, 75, 3),
        shape(frame_102_shape_group_3_shape_8_horizontal_lines, 82, 1),
        shape(frame_102_shape_group_3_shape_9_horizontal_lines, 109, 7),
        shape(frame_102_shape_group_3_shape_10_horizontal_lines, 148, 8),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 238),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 238),
        horizontal_line(229, 233),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 238),
        horizontal_line(227, 233),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 237),
        horizontal_line(187, 231),
        horizontal_line(187, 225),
        horizontal_line(188, 219),
        horizontal_line(188, 213),
        horizontal_line(189, 207),
        horizontal_line(189, 201),
        horizontal_line(190, 195),
        horizontal_line(190, 190),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(197, 234),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(192, 197),
        horizontal_line(186, 198),
        horizontal_line(180, 198),
        horizontal_line(174, 199),
        horizontal_line(168, 200),
        horizontal_line(162, 201),
        horizontal_line(156, 201),
        horizontal_line(150, 202),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(80, 83),
        horizontal_line(77, 84),
        horizontal_line(74, 84),
        horizontal_line(71, 85),
        horizontal_line(68, 85),
        horizontal_line(65, 86),
        horizontal_line(198, 217),
        horizontal_line(194, 223),
        horizontal_line(190, 228),
        horizontal_line(186, 230),
        horizontal_line(182, 230),
        horizontal_line(177, 230),
        horizontal_line(173, 230),
        horizontal_line(169, 229),
        horizontal_line(165, 227),
        horizontal_line(161, 223),
        horizontal_line(157, 219),
        horizontal_line(215, 229),
        horizontal_line(90, 92),
        horizontal_line(87, 93),
        horizontal_line(84, 93),
        horizontal_line(82, 94),
        horizontal_line(79, 94),
        horizontal_line(76, 95),
        horizontal_line(73, 95),
        horizontal_line(70, 96),
        horizontal_line(67, 96),
        horizontal_line(64, 97),
        horizontal_line(169, 221),
        horizontal_line(165, 220),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(98, 101),
        horizontal_line(97, 104),
        horizontal_line(96, 107),
        horizontal_line(95, 110),
        horizontal_line(94, 113),
        horizontal_line(93, 116),
        horizontal_line(92, 119),
        horizontal_line(91, 122),
        horizontal_line(90, 125),
        horizontal_line(89, 128),
        horizontal_line(88, 131),
        horizontal_line(87, 134),
        horizontal_line(86, 137),
        horizontal_line(85, 140),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(145, 146),
        horizontal_line(144, 149),
        horizontal_line(143, 152),
        horizontal_line(142, 155),
        horizontal_line(141, 158),
        horizontal_line(140, 161),
        horizontal_line(139, 164),
        horizontal_line(138, 167),
        horizontal_line(137, 170),
        horizontal_line(136, 173),
        horizontal_line(135, 177),
    };

    constexpr const shape frame_102_shape_group_4_shapes[] = {
        shape(frame_102_shape_group_4_shape_0_horizontal_lines, 31, 2),
        shape(frame_102_shape_group_4_shape_1_horizontal_lines, 37, 3),
        shape(frame_102_shape_group_4_shape_2_horizontal_lines, 49, 1),
        shape(frame_102_shape_group_4_shape_3_horizontal_lines, 57, 7),
        shape(frame_102_shape_group_4_shape_4_horizontal_lines, 63, 7),
        shape(frame_102_shape_group_4_shape_5_horizontal_lines, 75, 1),
        shape(frame_102_shape_group_4_shape_6_horizontal_lines, 93, 7),
        shape(frame_102_shape_group_4_shape_7_horizontal_lines, 94, 1),
        shape(frame_102_shape_group_4_shape_8_horizontal_lines, 102, 7),
        shape(frame_102_shape_group_4_shape_9_horizontal_lines, 133, 9),
        shape(frame_102_shape_group_4_shape_10_horizontal_lines, 134, 8),
        shape(frame_102_shape_group_4_shape_11_horizontal_lines, 148, 9),
        shape(frame_102_shape_group_4_shape_12_horizontal_lines, 149, 8),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(232, 237),
        horizontal_line(226, 237),
        horizontal_line(220, 237),
        horizontal_line(214, 237),
        horizontal_line(208, 236),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(191, 236),
        horizontal_line(192, 235),
        horizontal_line(193, 235),
        horizontal_line(193, 235),
        horizontal_line(194, 235),
        horizontal_line(195, 235),
        horizontal_line(196, 234),
        horizontal_line(196, 234),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(198, 234),
        horizontal_line(199, 234),
        horizontal_line(199, 233),
        horizontal_line(200, 233),
        horizontal_line(201, 233),
        horizontal_line(202, 231),
        horizontal_line(202, 228),
        horizontal_line(203, 225),
        horizontal_line(204, 222),
        horizontal_line(205, 218),
        horizontal_line(205, 215),
        horizontal_line(206, 212),
        horizontal_line(207, 209),
        horizontal_line(207, 207),
        horizontal_line(202, 212),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(227, 229),
        horizontal_line(223, 229),
        horizontal_line(219, 229),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(210, 228),
        horizontal_line(206, 228),
        horizontal_line(202, 228),
        horizontal_line(198, 228),
        horizontal_line(194, 228),
        horizontal_line(190, 226),
        horizontal_line(185, 225),
        horizontal_line(181, 224),
        horizontal_line(177, 223),
        horizontal_line(173, 222),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_102_shape_group_5_shapes[] = {
        shape(frame_102_shape_group_5_shape_0_horizontal_lines, 45, 3),
        shape(frame_102_shape_group_5_shape_1_horizontal_lines, 48, 1),
        shape(frame_102_shape_group_5_shape_2_horizontal_lines, 55, 7),
        shape(frame_102_shape_group_5_shape_3_horizontal_lines, 75, 8),
        shape(frame_102_shape_group_5_shape_4_horizontal_lines, 77, 7),
        shape(frame_102_shape_group_5_shape_5_horizontal_lines, 82, 1),
        shape(frame_102_shape_group_5_shape_6_horizontal_lines, 85, 7),
        shape(frame_102_shape_group_5_shape_7_horizontal_lines, 93, 8),
        shape(frame_102_shape_group_5_shape_8_horizontal_lines, 94, 7),
        shape(frame_102_shape_group_5_shape_9_horizontal_lines, 109, 8),
        shape(frame_102_shape_group_5_shape_10_horizontal_lines, 117, 7),
        shape(frame_102_shape_group_5_shape_11_horizontal_lines, 120, 8),
        shape(frame_102_shape_group_5_shape_12_horizontal_lines, 121, 7),
        shape(frame_102_shape_group_5_shape_13_horizontal_lines, 131, 9),
        shape(frame_102_shape_group_5_shape_14_horizontal_lines, 134, 9),
        shape(frame_102_shape_group_5_shape_15_horizontal_lines, 149, 9),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(202, 236),
        horizontal_line(196, 236),
        horizontal_line(191, 236),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(208, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_102_shape_group_6_shapes[] = {
        shape(frame_102_shape_group_6_shape_0_horizontal_lines, 46, 1),
        shape(frame_102_shape_group_6_shape_1_horizontal_lines, 77, 8),
        shape(frame_102_shape_group_6_shape_2_horizontal_lines, 82, 7),
        shape(frame_102_shape_group_6_shape_3_horizontal_lines, 85, 8),
        shape(frame_102_shape_group_6_shape_4_horizontal_lines, 94, 8),
        shape(frame_102_shape_group_6_shape_5_horizontal_lines, 117, 8),
        shape(frame_102_shape_group_6_shape_6_horizontal_lines, 121, 8),
    };

    constexpr const horizontal_line frame_102_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_102_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(229, 229),
        horizontal_line(227, 230),
        horizontal_line(226, 232),
        horizontal_line(225, 234),
        horizontal_line(224, 235),
        horizontal_line(223, 237),
    };

    constexpr const shape frame_102_shape_group_7_shapes[] = {
        shape(frame_102_shape_group_7_shape_0_horizontal_lines, 82, 8),
        shape(frame_102_shape_group_7_shape_1_horizontal_lines, 125, 9),
    };

    constexpr const shape_group frame_102_shape_groups[] = {
        shape_group(frame_102_shape_group_0_shapes),
        shape_group(frame_102_shape_group_1_shapes),
        shape_group(frame_102_shape_group_2_shapes),
        shape_group(frame_102_shape_group_3_shapes),
        shape_group(frame_102_shape_group_4_shapes),
        shape_group(frame_102_shape_group_5_shapes),
        shape_group(frame_102_shape_group_6_shapes),
        shape_group(frame_102_shape_group_7_shapes),
    };

    constexpr const frame frame_102_impl(frame_102_colors, frame_102_shape_groups);
} 

const frame& frame_102()
{
    return frame_102_impl;
}

namespace
{
    constexpr const bn::color frame_103_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_103_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(1, 10),
        horizontal_line(2, 10),
        horizontal_line(4, 9),
        horizontal_line(5, 9),
        horizontal_line(7, 9),
        horizontal_line(8, 9),
        horizontal_line(168, 177),
        horizontal_line(10, 13),
        horizontal_line(10, 18),
        horizontal_line(10, 23),
        horizontal_line(11, 29),
        horizontal_line(11, 34),
        horizontal_line(11, 39),
        horizontal_line(11, 44),
        horizontal_line(12, 50),
        horizontal_line(12, 55),
        horizontal_line(12, 60),
        horizontal_line(12, 65),
        horizontal_line(13, 71),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(26, 88),
        horizontal_line(35, 97),
        horizontal_line(45, 107),
        horizontal_line(54, 116),
        horizontal_line(64, 126),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(92, 154),
        horizontal_line(102, 157),
        horizontal_line(111, 157),
        horizontal_line(121, 157),
        horizontal_line(130, 157),
        horizontal_line(140, 157),
        horizontal_line(149, 157),
        horizontal_line(195, 202),
        horizontal_line(195, 203),
        horizontal_line(195, 203),
        horizontal_line(195, 204),
        horizontal_line(196, 204),
        horizontal_line(197, 204),
        horizontal_line(198, 204),
        horizontal_line(199, 204),
        horizontal_line(200, 203),
        horizontal_line(201, 203),
        horizontal_line(202, 203),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_103_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 80),
        horizontal_line(24, 74),
        horizontal_line(25, 68),
        horizontal_line(26, 63),
        horizontal_line(26, 57),
        horizontal_line(27, 51),
        horizontal_line(28, 46),
        horizontal_line(29, 40),
        horizontal_line(30, 34),
    };

    constexpr const horizontal_line frame_103_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 104),
        horizontal_line(45, 101),
        horizontal_line(46, 98),
        horizontal_line(47, 94),
        horizontal_line(47, 91),
        horizontal_line(48, 88),
        horizontal_line(48, 84),
        horizontal_line(49, 81),
        horizontal_line(49, 78),
        horizontal_line(50, 75),
        horizontal_line(50, 71),
        horizontal_line(51, 68),
        horizontal_line(51, 65),
        horizontal_line(52, 61),
        horizontal_line(52, 58),
        horizontal_line(53, 55),
    };

    constexpr const horizontal_line frame_103_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 52),
    };

    constexpr const shape frame_103_shape_group_0_shapes[] = {
        shape(frame_103_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_103_shape_group_0_shape_1_horizontal_lines, 65, 3),
        shape(frame_103_shape_group_0_shape_2_horizontal_lines, 115, 1),
        shape(frame_103_shape_group_0_shape_3_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(153, 163),
        horizontal_line(156, 164),
        horizontal_line(160, 165),
        horizontal_line(163, 166),
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(169, 173),
        horizontal_line(168, 175),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(167, 180),
        horizontal_line(167, 182),
        horizontal_line(167, 184),
        horizontal_line(166, 186),
        horizontal_line(166, 189),
        horizontal_line(165, 191),
        horizontal_line(165, 193),
        horizontal_line(165, 195),
        horizontal_line(164, 198),
        horizontal_line(164, 200),
        horizontal_line(163, 202),
        horizontal_line(163, 204),
        horizontal_line(163, 207),
        horizontal_line(162, 206),
        horizontal_line(162, 206),
        horizontal_line(161, 205),
        horizontal_line(161, 205),
        horizontal_line(161, 204),
        horizontal_line(160, 204),
        horizontal_line(160, 203),
        horizontal_line(159, 203),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(158, 201),
        horizontal_line(158, 201),
        horizontal_line(157, 200),
        horizontal_line(157, 200),
        horizontal_line(157, 199),
        horizontal_line(166, 199),
        horizontal_line(177, 198),
        horizontal_line(187, 198),
        horizontal_line(198, 198),
        horizontal_line(126, 156),
        horizontal_line(198, 198),
        horizontal_line(198, 198),
        horizontal_line(197, 199),
        horizontal_line(197, 199),
        horizontal_line(197, 200),
        horizontal_line(196, 200),
        horizontal_line(196, 201),
        horizontal_line(196, 201),
        horizontal_line(195, 202),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(161, 197),
        horizontal_line(161, 197),
        horizontal_line(161, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 185),
        horizontal_line(162, 173),
        horizontal_line(162, 162),
        horizontal_line(150, 162),
        horizontal_line(138, 163),
        horizontal_line(126, 163),
        horizontal_line(114, 164),
        horizontal_line(102, 164),
        horizontal_line(90, 152),
        horizontal_line(78, 140),
        horizontal_line(66, 128),
        horizontal_line(54, 116),
        horizontal_line(42, 104),
        horizontal_line(30, 92),
        horizontal_line(18, 80),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 136),
        horizontal_line(78, 131),
        horizontal_line(78, 125),
        horizontal_line(79, 119),
        horizontal_line(80, 114),
        horizontal_line(81, 108),
        horizontal_line(82, 102),
        horizontal_line(83, 97),
        horizontal_line(83, 91),
        horizontal_line(84, 85),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(98, 157),
        horizontal_line(99, 154),
        horizontal_line(99, 150),
        horizontal_line(100, 147),
        horizontal_line(101, 144),
        horizontal_line(101, 140),
        horizontal_line(102, 137),
        horizontal_line(102, 134),
        horizontal_line(103, 131),
        horizontal_line(103, 127),
        horizontal_line(104, 124),
        horizontal_line(104, 121),
        horizontal_line(105, 117),
        horizontal_line(105, 114),
        horizontal_line(106, 111),
        horizontal_line(106, 107),
    };

    constexpr const horizontal_line frame_103_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(62, 124),
        horizontal_line(56, 118),
    };

    constexpr const shape frame_103_shape_group_1_shapes[] = {
        shape(frame_103_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_103_shape_group_1_shape_1_horizontal_lines, 6, 2),
        shape(frame_103_shape_group_1_shape_2_horizontal_lines, 7, 4),
        shape(frame_103_shape_group_1_shape_3_horizontal_lines, 10, 2),
        shape(frame_103_shape_group_1_shape_4_horizontal_lines, 11, 4),
        shape(frame_103_shape_group_1_shape_5_horizontal_lines, 53, 3),
        shape(frame_103_shape_group_1_shape_6_horizontal_lines, 106, 1),
        shape(frame_103_shape_group_1_shape_7_horizontal_lines, 142, 7),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(75, 81),
        horizontal_line(75, 86),
        horizontal_line(76, 92),
        horizontal_line(76, 97),
        horizontal_line(76, 102),
        horizontal_line(76, 107),
        horizontal_line(77, 113),
        horizontal_line(77, 118),
        horizontal_line(77, 123),
        horizontal_line(77, 128),
        horizontal_line(78, 134),
        horizontal_line(78, 139),
        horizontal_line(78, 140),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(88, 150),
        horizontal_line(97, 156),
        horizontal_line(107, 156),
        horizontal_line(116, 156),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(135, 156),
        horizontal_line(145, 156),
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(207, 212),
        horizontal_line(159, 194),
        horizontal_line(159, 194),
        horizontal_line(159, 194),
        horizontal_line(159, 194),
        horizontal_line(160, 195),
        horizontal_line(160, 195),
        horizontal_line(160, 195),
        horizontal_line(160, 196),
        horizontal_line(160, 196),
        horizontal_line(161, 196),
        horizontal_line(161, 197),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(204, 214),
        horizontal_line(204, 208),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(205, 214),
        horizontal_line(205, 214),
        horizontal_line(205, 214),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(199, 199),
        horizontal_line(186, 201),
        horizontal_line(174, 203),
        horizontal_line(163, 205),
        horizontal_line(163, 207),
        horizontal_line(164, 209),
        horizontal_line(164, 211),
        horizontal_line(165, 213),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(152, 165),
        horizontal_line(140, 166),
        horizontal_line(128, 166),
        horizontal_line(116, 167),
        horizontal_line(104, 166),
        horizontal_line(92, 154),
        horizontal_line(80, 142),
        horizontal_line(131, 169),
        horizontal_line(131, 170),
        horizontal_line(132, 170),
        horizontal_line(133, 171),
        horizontal_line(134, 171),
        horizontal_line(135, 165),
        horizontal_line(135, 159),
        horizontal_line(136, 153),
        horizontal_line(137, 148),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(81, 143),
        horizontal_line(75, 137),
        horizontal_line(69, 131),
        horizontal_line(64, 126),
        horizontal_line(58, 120),
        horizontal_line(52, 114),
        horizontal_line(47, 109),
        horizontal_line(41, 103),
        horizontal_line(35, 97),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(159, 163),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_103_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(62, 124),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(124, 186),
        horizontal_line(118, 180),
    };

    constexpr const shape frame_103_shape_group_2_shapes[] = {
        shape(frame_103_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_103_shape_group_2_shape_1_horizontal_lines, 7, 2),
        shape(frame_103_shape_group_2_shape_2_horizontal_lines, 11, 2),
        shape(frame_103_shape_group_2_shape_3_horizontal_lines, 23, 4),
        shape(frame_103_shape_group_2_shape_4_horizontal_lines, 43, 3),
        shape(frame_103_shape_group_2_shape_5_horizontal_lines, 44, 4),
        shape(frame_103_shape_group_2_shape_6_horizontal_lines, 47, 3),
        shape(frame_103_shape_group_2_shape_7_horizontal_lines, 65, 1),
        shape(frame_103_shape_group_2_shape_8_horizontal_lines, 67, 7),
        shape(frame_103_shape_group_2_shape_9_horizontal_lines, 70, 1),
        shape(frame_103_shape_group_2_shape_10_horizontal_lines, 78, 3),
        shape(frame_103_shape_group_2_shape_11_horizontal_lines, 96, 1),
        shape(frame_103_shape_group_2_shape_12_horizontal_lines, 126, 7),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(140, 144),
        horizontal_line(140, 149),
        horizontal_line(141, 155),
        horizontal_line(150, 156),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(220, 224),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(215, 216),
        horizontal_line(214, 214),
        horizontal_line(210, 212),
        horizontal_line(209, 212),
        horizontal_line(208, 212),
        horizontal_line(208, 212),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(213, 220),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(207, 212),
        horizontal_line(206, 212),
        horizontal_line(206, 212),
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(205, 212),
        horizontal_line(205, 212),
        horizontal_line(205, 212),
        horizontal_line(204, 213),
        horizontal_line(204, 213),
        horizontal_line(204, 213),
        horizontal_line(204, 213),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(215, 215),
        horizontal_line(209, 214),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(206, 214),
        horizontal_line(206, 214),
        horizontal_line(206, 214),
        horizontal_line(207, 214),
        horizontal_line(208, 214),
        horizontal_line(210, 214),
        horizontal_line(212, 214),
        horizontal_line(214, 214),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(165, 215),
        horizontal_line(166, 217),
        horizontal_line(167, 219),
        horizontal_line(167, 221),
        horizontal_line(168, 223),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(154, 168),
        horizontal_line(142, 169),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(137, 175),
        horizontal_line(132, 176),
        horizontal_line(126, 176),
        horizontal_line(120, 177),
        horizontal_line(115, 177),
        horizontal_line(109, 171),
        horizontal_line(103, 165),
        horizontal_line(98, 160),
        horizontal_line(92, 154),
        horizontal_line(86, 148),
        horizontal_line(143, 181),
        horizontal_line(137, 182),
        horizontal_line(131, 182),
        horizontal_line(126, 183),
        horizontal_line(120, 182),
        horizontal_line(114, 176),
        horizontal_line(109, 171),
        horizontal_line(103, 165),
        horizontal_line(97, 159),
        horizontal_line(155, 186),
        horizontal_line(155, 187),
        horizontal_line(156, 187),
        horizontal_line(156, 183),
        horizontal_line(157, 180),
        horizontal_line(157, 177),
        horizontal_line(158, 173),
        horizontal_line(158, 170),
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_103_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(158, 220),
        horizontal_line(155, 217),
        horizontal_line(151, 213),
        horizontal_line(148, 210),
        horizontal_line(145, 207),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(122, 184),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(124, 186),
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(186, 228),
        horizontal_line(180, 227),
    };

    constexpr const shape frame_103_shape_group_3_shapes[] = {
        shape(frame_103_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_103_shape_group_3_shape_1_horizontal_lines, 23, 2),
        shape(frame_103_shape_group_3_shape_2_horizontal_lines, 32, 3),
        shape(frame_103_shape_group_3_shape_3_horizontal_lines, 36, 4),
        shape(frame_103_shape_group_3_shape_4_horizontal_lines, 40, 3),
        shape(frame_103_shape_group_3_shape_5_horizontal_lines, 53, 1),
        shape(frame_103_shape_group_3_shape_6_horizontal_lines, 54, 3),
        shape(frame_103_shape_group_3_shape_7_horizontal_lines, 58, 1),
        shape(frame_103_shape_group_3_shape_8_horizontal_lines, 65, 7),
        shape(frame_103_shape_group_3_shape_9_horizontal_lines, 78, 1),
        shape(frame_103_shape_group_3_shape_10_horizontal_lines, 83, 3),
        shape(frame_103_shape_group_3_shape_11_horizontal_lines, 86, 1),
        shape(frame_103_shape_group_3_shape_12_horizontal_lines, 124, 7),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(226, 230),
        horizontal_line(224, 228),
        horizontal_line(222, 226),
        horizontal_line(234, 239),
        horizontal_line(218, 222),
        horizontal_line(217, 220),
        horizontal_line(216, 218),
        horizontal_line(232, 235),
        horizontal_line(232, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(213, 229),
        horizontal_line(213, 227),
        horizontal_line(213, 224),
        horizontal_line(213, 222),
        horizontal_line(233, 239),
        horizontal_line(213, 217),
        horizontal_line(213, 215),
        horizontal_line(213, 213),
        horizontal_line(208, 212),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 232),
        horizontal_line(213, 229),
        horizontal_line(214, 226),
        horizontal_line(214, 223),
        horizontal_line(214, 220),
        horizontal_line(214, 217),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(224, 224),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(168, 216),
        horizontal_line(169, 210),
        horizontal_line(170, 203),
        horizontal_line(170, 197),
        horizontal_line(171, 190),
        horizontal_line(171, 184),
        horizontal_line(172, 177),
        horizontal_line(172, 172),
        horizontal_line(166, 172),
        horizontal_line(160, 173),
        horizontal_line(154, 173),
        horizontal_line(149, 174),
        horizontal_line(143, 174),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 231),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(171, 178),
        horizontal_line(165, 179),
        horizontal_line(160, 179),
        horizontal_line(154, 180),
        horizontal_line(148, 180),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(182, 213),
        horizontal_line(183, 211),
        horizontal_line(183, 209),
        horizontal_line(184, 206),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(176, 184),
        horizontal_line(171, 185),
        horizontal_line(165, 185),
        horizontal_line(159, 186),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(26, 30),
        horizontal_line(23, 31),
        horizontal_line(20, 31),
        horizontal_line(16, 32),
        horizontal_line(13, 32),
        horizontal_line(10, 33),
        horizontal_line(6, 33),
        horizontal_line(3, 34),
        horizontal_line(164, 223),
        horizontal_line(161, 223),
        horizontal_line(220, 233),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(203, 239),
        horizontal_line(200, 239),
        horizontal_line(197, 239),
        horizontal_line(194, 238),
        horizontal_line(190, 237),
        horizontal_line(187, 237),
        horizontal_line(184, 237),
        horizontal_line(180, 237),
        horizontal_line(177, 237),
        horizontal_line(174, 236),
        horizontal_line(170, 232),
        horizontal_line(229, 236),
        horizontal_line(226, 236),
        horizontal_line(223, 236),
        horizontal_line(219, 235),
        horizontal_line(216, 235),
        horizontal_line(213, 235),
        horizontal_line(209, 235),
        horizontal_line(206, 235),
        horizontal_line(203, 234),
        horizontal_line(200, 234),
        horizontal_line(196, 234),
        horizontal_line(193, 233),
        horizontal_line(190, 232),
        horizontal_line(186, 231),
        horizontal_line(183, 230),
        horizontal_line(180, 229),
    };

    constexpr const horizontal_line frame_103_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(53, 55),
    };

    constexpr const shape frame_103_shape_group_4_shapes[] = {
        shape(frame_103_shape_group_4_shape_0_horizontal_lines, 32, 2),
        shape(frame_103_shape_group_4_shape_1_horizontal_lines, 34, 3),
        shape(frame_103_shape_group_4_shape_2_horizontal_lines, 49, 1),
        shape(frame_103_shape_group_4_shape_3_horizontal_lines, 58, 7),
        shape(frame_103_shape_group_4_shape_4_horizontal_lines, 67, 8),
        shape(frame_103_shape_group_4_shape_5_horizontal_lines, 70, 7),
        shape(frame_103_shape_group_4_shape_6_horizontal_lines, 80, 8),
        shape(frame_103_shape_group_4_shape_7_horizontal_lines, 82, 7),
        shape(frame_103_shape_group_4_shape_8_horizontal_lines, 83, 1),
        shape(frame_103_shape_group_4_shape_9_horizontal_lines, 96, 7),
        shape(frame_103_shape_group_4_shape_10_horizontal_lines, 100, 1),
        shape(frame_103_shape_group_4_shape_11_horizontal_lines, 106, 7),
        shape(frame_103_shape_group_4_shape_12_horizontal_lines, 110, 1),
        shape(frame_103_shape_group_4_shape_13_horizontal_lines, 115, 7),
        shape(frame_103_shape_group_4_shape_14_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(210, 238),
        horizontal_line(211, 235),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 234),
        horizontal_line(228, 232),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(212, 219),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(217, 231),
        horizontal_line(215, 231),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(221, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(216, 233),
        horizontal_line(215, 233),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(215, 233),
        horizontal_line(216, 233),
        horizontal_line(218, 227),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(222, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(217, 224),
        horizontal_line(211, 224),
        horizontal_line(204, 225),
        horizontal_line(198, 225),
        horizontal_line(191, 226),
        horizontal_line(185, 226),
        horizontal_line(178, 227),
        horizontal_line(173, 227),
        horizontal_line(173, 228),
        horizontal_line(174, 228),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(233, 239),
        horizontal_line(178, 228),
        horizontal_line(179, 226),
        horizontal_line(180, 223),
        horizontal_line(180, 221),
        horizontal_line(181, 218),
        horizontal_line(181, 216),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(184, 204),
        horizontal_line(185, 201),
        horizontal_line(186, 199),
        horizontal_line(186, 196),
        horizontal_line(187, 194),
        horizontal_line(187, 191),
        horizontal_line(188, 189),
        horizontal_line(188, 188),
        horizontal_line(184, 193),
        horizontal_line(181, 198),
        horizontal_line(178, 203),
        horizontal_line(174, 208),
        horizontal_line(171, 213),
        horizontal_line(168, 218),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(223, 228),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(236, 236),
        horizontal_line(232, 236),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const shape frame_103_shape_group_5_shapes[] = {
        shape(frame_103_shape_group_5_shape_0_horizontal_lines, 34, 2),
        shape(frame_103_shape_group_5_shape_1_horizontal_lines, 36, 3),
        shape(frame_103_shape_group_5_shape_2_horizontal_lines, 43, 2),
        shape(frame_103_shape_group_5_shape_3_horizontal_lines, 44, 3),
        shape(frame_103_shape_group_5_shape_4_horizontal_lines, 47, 1),
        shape(frame_103_shape_group_5_shape_5_horizontal_lines, 53, 7),
        shape(frame_103_shape_group_5_shape_6_horizontal_lines, 54, 1),
        shape(frame_103_shape_group_5_shape_7_horizontal_lines, 59, 7),
        shape(frame_103_shape_group_5_shape_8_horizontal_lines, 65, 8),
        shape(frame_103_shape_group_5_shape_9_horizontal_lines, 70, 8),
        shape(frame_103_shape_group_5_shape_10_horizontal_lines, 81, 9),
        shape(frame_103_shape_group_5_shape_11_horizontal_lines, 82, 8),
        shape(frame_103_shape_group_5_shape_12_horizontal_lines, 83, 7),
        shape(frame_103_shape_group_5_shape_13_horizontal_lines, 106, 8),
        shape(frame_103_shape_group_5_shape_14_horizontal_lines, 110, 7),
        shape(frame_103_shape_group_5_shape_15_horizontal_lines, 124, 8),
        shape(frame_103_shape_group_5_shape_16_horizontal_lines, 125, 7),
        shape(frame_103_shape_group_5_shape_17_horizontal_lines, 126, 8),
        shape(frame_103_shape_group_5_shape_18_horizontal_lines, 134, 8),
        shape(frame_103_shape_group_5_shape_19_horizontal_lines, 140, 7),
        shape(frame_103_shape_group_5_shape_20_horizontal_lines, 142, 8),
        shape(frame_103_shape_group_5_shape_21_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(211, 233),
        horizontal_line(211, 231),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(212, 225),
        horizontal_line(212, 223),
        horizontal_line(213, 221),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(225, 233),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(212, 217),
        horizontal_line(211, 212),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(219, 232),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(230, 231),
        horizontal_line(228, 231),
        horizontal_line(225, 231),
        horizontal_line(223, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(218, 232),
        horizontal_line(216, 233),
        horizontal_line(214, 233),
        horizontal_line(213, 233),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(233, 233),
        horizontal_line(230, 233),
        horizontal_line(227, 233),
        horizontal_line(224, 233),
        horizontal_line(221, 233),
        horizontal_line(218, 233),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(233, 238),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(222, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(225, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(232, 232),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(194, 239),
        horizontal_line(199, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_103_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_103_shape_group_6_shapes[] = {
        shape(frame_103_shape_group_6_shape_0_horizontal_lines, 36, 2),
        shape(frame_103_shape_group_6_shape_1_horizontal_lines, 38, 3),
        shape(frame_103_shape_group_6_shape_2_horizontal_lines, 40, 2),
        shape(frame_103_shape_group_6_shape_3_horizontal_lines, 43, 1),
        shape(frame_103_shape_group_6_shape_4_horizontal_lines, 44, 2),
        shape(frame_103_shape_group_6_shape_5_horizontal_lines, 46, 1),
        shape(frame_103_shape_group_6_shape_6_horizontal_lines, 49, 7),
        shape(frame_103_shape_group_6_shape_7_horizontal_lines, 54, 7),
        shape(frame_103_shape_group_6_shape_8_horizontal_lines, 59, 8),
        shape(frame_103_shape_group_6_shape_9_horizontal_lines, 79, 8),
        shape(frame_103_shape_group_6_shape_10_horizontal_lines, 80, 9),
        shape(frame_103_shape_group_6_shape_11_horizontal_lines, 82, 9),
        shape(frame_103_shape_group_6_shape_12_horizontal_lines, 83, 8),
        shape(frame_103_shape_group_6_shape_13_horizontal_lines, 92, 7),
        shape(frame_103_shape_group_6_shape_14_horizontal_lines, 99, 8),
        shape(frame_103_shape_group_6_shape_15_horizontal_lines, 110, 8),
        shape(frame_103_shape_group_6_shape_16_horizontal_lines, 125, 8),
        shape(frame_103_shape_group_6_shape_17_horizontal_lines, 140, 8),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(211, 229),
        horizontal_line(212, 227),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(231, 235),
        horizontal_line(229, 234),
        horizontal_line(227, 234),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(223, 233),
        horizontal_line(221, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(228, 232),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(225, 231),
        horizontal_line(225, 231),
        horizontal_line(226, 231),
    };

    constexpr const horizontal_line frame_103_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(229, 238),
    };

    constexpr const shape frame_103_shape_group_7_shapes[] = {
        shape(frame_103_shape_group_7_shape_0_horizontal_lines, 38, 2),
        shape(frame_103_shape_group_7_shape_1_horizontal_lines, 40, 1),
        shape(frame_103_shape_group_7_shape_2_horizontal_lines, 44, 1),
        shape(frame_103_shape_group_7_shape_3_horizontal_lines, 79, 9),
        shape(frame_103_shape_group_7_shape_4_horizontal_lines, 83, 9),
        shape(frame_103_shape_group_7_shape_5_horizontal_lines, 92, 8),
    };

    constexpr const horizontal_line frame_103_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(235, 236),
        horizontal_line(233, 235),
    };

    constexpr const shape frame_103_shape_group_8_shapes[] = {
        shape(frame_103_shape_group_8_shape_0_horizontal_lines, 38, 1),
    };

    constexpr const shape_group frame_103_shape_groups[] = {
        shape_group(frame_103_shape_group_0_shapes),
        shape_group(frame_103_shape_group_1_shapes),
        shape_group(frame_103_shape_group_2_shapes),
        shape_group(frame_103_shape_group_3_shapes),
        shape_group(frame_103_shape_group_4_shapes),
        shape_group(frame_103_shape_group_5_shapes),
        shape_group(frame_103_shape_group_6_shapes),
        shape_group(frame_103_shape_group_7_shapes),
        shape_group(frame_103_shape_group_8_shapes),
    };

    constexpr const frame frame_103_impl(frame_103_colors, frame_103_shape_groups);
} 

const frame& frame_103()
{
    return frame_103_impl;
}

namespace
{
    constexpr const bn::color frame_104_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_104_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 50),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(11, 73),
        horizontal_line(17, 79),
        horizontal_line(22, 84),
        horizontal_line(27, 89),
        horizontal_line(33, 95),
        horizontal_line(38, 100),
        horizontal_line(43, 105),
        horizontal_line(49, 111),
        horizontal_line(54, 116),
        horizontal_line(59, 121),
        horizontal_line(65, 127),
        horizontal_line(70, 132),
        horizontal_line(75, 136),
        horizontal_line(81, 136),
        horizontal_line(86, 137),
        horizontal_line(91, 137),
        horizontal_line(97, 137),
        horizontal_line(102, 137),
        horizontal_line(107, 137),
        horizontal_line(113, 138),
        horizontal_line(118, 138),
        horizontal_line(123, 138),
        horizontal_line(129, 138),
        horizontal_line(134, 138),
        horizontal_line(178, 181),
        horizontal_line(178, 182),
        horizontal_line(177, 182),
        horizontal_line(177, 183),
        horizontal_line(177, 183),
        horizontal_line(177, 184),
        horizontal_line(177, 184),
        horizontal_line(178, 185),
        horizontal_line(179, 185),
        horizontal_line(180, 185),
        horizontal_line(181, 185),
        horizontal_line(182, 185),
        horizontal_line(183, 185),
        horizontal_line(184, 185),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_104_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(142, 179),
        horizontal_line(142, 179),
        horizontal_line(142, 179),
        horizontal_line(143, 180),
        horizontal_line(143, 180),
        horizontal_line(143, 180),
        horizontal_line(143, 180),
        horizontal_line(143, 161),
        horizontal_line(143, 143),
        horizontal_line(107, 143),
        horizontal_line(71, 133),
        horizontal_line(35, 97),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 51),
        horizontal_line(0, 46),
        horizontal_line(0, 40),
        horizontal_line(0, 34),
        horizontal_line(0, 28),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 10),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_104_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_104_shape_group_0_shapes[] = {
        shape(frame_104_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_104_shape_group_0_shape_1_horizontal_lines, 70, 3),
        shape(frame_104_shape_group_0_shape_2_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(143, 145),
        horizontal_line(145, 146),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(150, 151),
        horizontal_line(150, 153),
        horizontal_line(149, 154),
        horizontal_line(149, 156),
        horizontal_line(148, 157),
        horizontal_line(148, 159),
        horizontal_line(148, 160),
        horizontal_line(147, 162),
        horizontal_line(147, 163),
        horizontal_line(146, 165),
        horizontal_line(146, 166),
        horizontal_line(146, 168),
        horizontal_line(145, 169),
        horizontal_line(145, 171),
        horizontal_line(144, 172),
        horizontal_line(144, 174),
        horizontal_line(144, 175),
        horizontal_line(143, 177),
        horizontal_line(143, 178),
        horizontal_line(142, 180),
        horizontal_line(142, 181),
        horizontal_line(141, 183),
        horizontal_line(141, 184),
        horizontal_line(141, 186),
        horizontal_line(140, 188),
        horizontal_line(140, 187),
        horizontal_line(139, 187),
        horizontal_line(139, 186),
        horizontal_line(139, 186),
        horizontal_line(138, 185),
        horizontal_line(138, 185),
        horizontal_line(137, 184),
        horizontal_line(137, 184),
        horizontal_line(116, 178),
        horizontal_line(140, 183),
        horizontal_line(145, 182),
        horizontal_line(150, 182),
        horizontal_line(155, 181),
        horizontal_line(159, 181),
        horizontal_line(164, 180),
        horizontal_line(169, 180),
        horizontal_line(174, 179),
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(205, 208),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(179, 179),
        horizontal_line(179, 180),
        horizontal_line(178, 180),
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(194, 196),
        horizontal_line(140, 146),
        horizontal_line(140, 153),
        horizontal_line(140, 161),
        horizontal_line(140, 168),
        horizontal_line(140, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 177),
        horizontal_line(141, 177),
        horizontal_line(141, 177),
        horizontal_line(142, 178),
        horizontal_line(142, 178),
        horizontal_line(142, 178),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(187, 192),
        horizontal_line(187, 192),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(162, 182),
        horizontal_line(144, 184),
        horizontal_line(144, 186),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(133, 144),
        horizontal_line(97, 144),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 122),
        horizontal_line(62, 116),
        horizontal_line(62, 110),
        horizontal_line(62, 104),
        horizontal_line(62, 99),
        horizontal_line(62, 93),
        horizontal_line(62, 87),
        horizontal_line(62, 81),
        horizontal_line(62, 75),
        horizontal_line(62, 69),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_104_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(58, 120),
        horizontal_line(52, 114),
        horizontal_line(47, 109),
        horizontal_line(41, 103),
        horizontal_line(35, 97),
        horizontal_line(29, 91),
        horizontal_line(23, 85),
        horizontal_line(17, 79),
        horizontal_line(11, 73),
        horizontal_line(5, 67),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 121),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
    };

    constexpr const shape frame_104_shape_group_1_shapes[] = {
        shape(frame_104_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_104_shape_group_1_shape_1_horizontal_lines, 4, 2),
        shape(frame_104_shape_group_1_shape_2_horizontal_lines, 6, 4),
        shape(frame_104_shape_group_1_shape_3_horizontal_lines, 49, 3),
        shape(frame_104_shape_group_1_shape_4_horizontal_lines, 50, 4),
        shape(frame_104_shape_group_1_shape_5_horizontal_lines, 55, 3),
        shape(frame_104_shape_group_1_shape_6_horizontal_lines, 70, 1),
        shape(frame_104_shape_group_1_shape_7_horizontal_lines, 74, 7),
        shape(frame_104_shape_group_1_shape_8_horizontal_lines, 76, 1),
        shape(frame_104_shape_group_1_shape_9_horizontal_lines, 80, 3),
        shape(frame_104_shape_group_1_shape_10_horizontal_lines, 114, 1),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 83),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 93),
        horizontal_line(62, 96),
        horizontal_line(62, 99),
        horizontal_line(63, 102),
        horizontal_line(68, 106),
        horizontal_line(73, 109),
        horizontal_line(79, 112),
        horizontal_line(84, 116),
        horizontal_line(89, 119),
        horizontal_line(95, 122),
        horizontal_line(100, 126),
        horizontal_line(105, 129),
        horizontal_line(111, 132),
        horizontal_line(178, 183),
        horizontal_line(121, 136),
        horizontal_line(127, 136),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(222, 224),
        horizontal_line(215, 215),
        horizontal_line(213, 214),
        horizontal_line(211, 213),
        horizontal_line(209, 223),
        horizontal_line(207, 210),
        horizontal_line(212, 222),
        horizontal_line(203, 206),
        horizontal_line(201, 204),
        horizontal_line(199, 202),
        horizontal_line(197, 200),
        horizontal_line(195, 198),
        horizontal_line(209, 216),
        horizontal_line(193, 194),
        horizontal_line(192, 192),
        horizontal_line(188, 191),
        horizontal_line(188, 191),
        horizontal_line(187, 191),
        horizontal_line(187, 191),
        horizontal_line(187, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(192, 200),
        horizontal_line(192, 198),
        horizontal_line(192, 195),
        horizontal_line(193, 193),
        horizontal_line(211, 225),
        horizontal_line(211, 225),
        horizontal_line(187, 192),
        horizontal_line(187, 192),
        horizontal_line(188, 192),
        horizontal_line(188, 192),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(145, 188),
        horizontal_line(145, 189),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 146),
        horizontal_line(124, 140),
        horizontal_line(124, 134),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(123, 156),
        horizontal_line(117, 156),
        horizontal_line(111, 157),
        horizontal_line(105, 158),
        horizontal_line(100, 158),
        horizontal_line(94, 156),
        horizontal_line(88, 150),
        horizontal_line(82, 144),
        horizontal_line(76, 138),
        horizontal_line(70, 132),
        horizontal_line(64, 126),
        horizontal_line(120, 163),
        horizontal_line(114, 164),
        horizontal_line(109, 164),
        horizontal_line(103, 165),
        horizontal_line(97, 159),
        horizontal_line(91, 153),
        horizontal_line(85, 147),
        horizontal_line(79, 141),
        horizontal_line(73, 135),
        horizontal_line(67, 129),
        horizontal_line(124, 170),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 171),
        horizontal_line(124, 168),
        horizontal_line(124, 166),
        horizontal_line(124, 163),
        horizontal_line(124, 161),
        horizontal_line(124, 158),
        horizontal_line(124, 156),
        horizontal_line(124, 153),
        horizontal_line(124, 151),
        horizontal_line(124, 148),
        horizontal_line(124, 146),
        horizontal_line(124, 143),
        horizontal_line(124, 141),
        horizontal_line(124, 138),
        horizontal_line(124, 136),
        horizontal_line(124, 133),
        horizontal_line(124, 131),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_104_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_104_shape_group_2_shapes[] = {
        shape(frame_104_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_104_shape_group_2_shape_1_horizontal_lines, 17, 4),
        shape(frame_104_shape_group_2_shape_2_horizontal_lines, 43, 3),
        shape(frame_104_shape_group_2_shape_3_horizontal_lines, 66, 1),
        shape(frame_104_shape_group_2_shape_4_horizontal_lines, 70, 7),
        shape(frame_104_shape_group_2_shape_5_horizontal_lines, 80, 1),
        shape(frame_104_shape_group_2_shape_6_horizontal_lines, 82, 3),
        shape(frame_104_shape_group_2_shape_7_horizontal_lines, 103, 1),
        shape(frame_104_shape_group_2_shape_8_horizontal_lines, 146, 7),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 237),
        horizontal_line(234, 236),
        horizontal_line(233, 235),
        horizontal_line(232, 233),
        horizontal_line(231, 232),
        horizontal_line(230, 231),
        horizontal_line(229, 229),
        horizontal_line(228, 228),
        horizontal_line(227, 227),
        horizontal_line(226, 226),
        horizontal_line(224, 224),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(190, 217),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(219, 224),
        horizontal_line(217, 223),
        horizontal_line(215, 223),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(191, 208),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(213, 222),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(191, 204),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(212, 222),
        horizontal_line(211, 221),
        horizontal_line(211, 221),
        horizontal_line(210, 221),
        horizontal_line(210, 221),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(209, 212),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(193, 222),
        horizontal_line(192, 205),
        horizontal_line(192, 203),
        horizontal_line(192, 200),
        horizontal_line(192, 198),
        horizontal_line(192, 195),
        horizontal_line(192, 193),
        horizontal_line(210, 226),
        horizontal_line(187, 191),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(192, 208),
        horizontal_line(192, 205),
        horizontal_line(192, 203),
        horizontal_line(211, 226),
        horizontal_line(211, 225),
        horizontal_line(211, 225),
        horizontal_line(211, 225),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(193, 210),
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(211, 225),
        horizontal_line(211, 224),
        horizontal_line(211, 224),
        horizontal_line(211, 224),
        horizontal_line(189, 192),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(146, 191),
        horizontal_line(146, 193),
        horizontal_line(147, 195),
        horizontal_line(147, 196),
        horizontal_line(148, 198),
        horizontal_line(148, 200),
        horizontal_line(149, 202),
        horizontal_line(149, 203),
        horizontal_line(150, 197),
        horizontal_line(150, 191),
        horizontal_line(151, 186),
        horizontal_line(151, 180),
        horizontal_line(152, 174),
        horizontal_line(152, 169),
        horizontal_line(153, 163),
        horizontal_line(153, 157),
        horizontal_line(153, 153),
        horizontal_line(147, 153),
        horizontal_line(141, 154),
        horizontal_line(135, 154),
        horizontal_line(129, 155),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 211),
        horizontal_line(159, 209),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(150, 160),
        horizontal_line(144, 160),
        horizontal_line(138, 161),
        horizontal_line(132, 162),
        horizontal_line(126, 162),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(164, 195),
        horizontal_line(165, 193),
        horizontal_line(165, 191),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(159, 166),
        horizontal_line(153, 166),
        horizontal_line(147, 167),
        horizontal_line(141, 168),
        horizontal_line(135, 168),
        horizontal_line(129, 169),
    };

    constexpr const horizontal_line frame_104_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(171, 176),
        horizontal_line(171, 174),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(169, 175),
        horizontal_line(167, 179),
        horizontal_line(164, 183),
        horizontal_line(162, 186),
        horizontal_line(159, 190),
        horizontal_line(157, 194),
        horizontal_line(154, 198),
        horizontal_line(152, 201),
        horizontal_line(149, 205),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(186, 239),
        horizontal_line(184, 239),
        horizontal_line(181, 239),
        horizontal_line(179, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(171, 233),
        horizontal_line(169, 231),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
    };

    constexpr const shape frame_104_shape_group_3_shapes[] = {
        shape(frame_104_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_104_shape_group_3_shape_1_horizontal_lines, 6, 2),
        shape(frame_104_shape_group_3_shape_2_horizontal_lines, 30, 3),
        shape(frame_104_shape_group_3_shape_3_horizontal_lines, 43, 2),
        shape(frame_104_shape_group_3_shape_4_horizontal_lines, 44, 3),
        shape(frame_104_shape_group_3_shape_5_horizontal_lines, 47, 2),
        shape(frame_104_shape_group_3_shape_6_horizontal_lines, 48, 3),
        shape(frame_104_shape_group_3_shape_7_horizontal_lines, 49, 2),
        shape(frame_104_shape_group_3_shape_8_horizontal_lines, 50, 3),
        shape(frame_104_shape_group_3_shape_9_horizontal_lines, 55, 2),
        shape(frame_104_shape_group_3_shape_10_horizontal_lines, 56, 3),
        shape(frame_104_shape_group_3_shape_11_horizontal_lines, 57, 1),
        shape(frame_104_shape_group_3_shape_12_horizontal_lines, 67, 7),
        shape(frame_104_shape_group_3_shape_13_horizontal_lines, 74, 8),
        shape(frame_104_shape_group_3_shape_14_horizontal_lines, 76, 7),
        shape(frame_104_shape_group_3_shape_15_horizontal_lines, 82, 1),
        shape(frame_104_shape_group_3_shape_16_horizontal_lines, 103, 7),
        shape(frame_104_shape_group_3_shape_17_horizontal_lines, 108, 1),
        shape(frame_104_shape_group_3_shape_18_horizontal_lines, 114, 7),
        shape(frame_104_shape_group_3_shape_19_horizontal_lines, 117, 1),
        shape(frame_104_shape_group_3_shape_20_horizontal_lines, 124, 7),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(189, 238),
        horizontal_line(189, 236),
        horizontal_line(189, 234),
        horizontal_line(189, 233),
        horizontal_line(189, 231),
        horizontal_line(189, 229),
        horizontal_line(189, 228),
        horizontal_line(190, 226),
        horizontal_line(190, 225),
        horizontal_line(190, 223),
        horizontal_line(190, 221),
        horizontal_line(190, 220),
        horizontal_line(190, 218),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(191, 214),
        horizontal_line(191, 212),
        horizontal_line(191, 210),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(224, 236),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(191, 206),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(209, 211),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(192, 202),
        horizontal_line(191, 200),
        horizontal_line(191, 198),
        horizontal_line(190, 196),
        horizontal_line(190, 194),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(197, 208),
        horizontal_line(195, 208),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(209, 223),
        horizontal_line(209, 223),
        horizontal_line(209, 224),
        horizontal_line(209, 224),
        horizontal_line(210, 225),
        horizontal_line(210, 225),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(192, 209),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(210, 227),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(192, 210),
        horizontal_line(211, 226),
        horizontal_line(211, 226),
        horizontal_line(211, 226),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(201, 210),
        horizontal_line(199, 210),
        horizontal_line(196, 210),
        horizontal_line(194, 210),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(193, 210),
        horizontal_line(193, 210),
        horizontal_line(193, 210),
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(211, 224),
        horizontal_line(211, 224),
        horizontal_line(192, 192),
        horizontal_line(211, 223),
        horizontal_line(211, 223),
        horizontal_line(211, 223),
        horizontal_line(211, 223),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 222),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(198, 204),
        horizontal_line(192, 204),
        horizontal_line(187, 205),
        horizontal_line(181, 205),
        horizontal_line(175, 206),
        horizontal_line(170, 206),
        horizontal_line(164, 207),
        horizontal_line(158, 207),
        horizontal_line(154, 208),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(213, 239),
        horizontal_line(226, 239),
        horizontal_line(160, 207),
        horizontal_line(161, 205),
        horizontal_line(161, 203),
        horizontal_line(162, 201),
        horizontal_line(163, 199),
        horizontal_line(163, 197),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(166, 190),
        horizontal_line(167, 188),
        horizontal_line(167, 186),
        horizontal_line(168, 184),
        horizontal_line(169, 182),
        horizontal_line(169, 180),
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(175, 237),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(206, 212),
        horizontal_line(204, 216),
        horizontal_line(201, 220),
        horizontal_line(199, 224),
        horizontal_line(196, 227),
        horizontal_line(194, 231),
        horizontal_line(191, 235),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
    };

    constexpr const shape frame_104_shape_group_4_shapes[] = {
        shape(frame_104_shape_group_4_shape_0_horizontal_lines, 30, 2),
        shape(frame_104_shape_group_4_shape_1_horizontal_lines, 43, 1),
        shape(frame_104_shape_group_4_shape_2_horizontal_lines, 44, 2),
        shape(frame_104_shape_group_4_shape_3_horizontal_lines, 47, 1),
        shape(frame_104_shape_group_4_shape_4_horizontal_lines, 48, 2),
        shape(frame_104_shape_group_4_shape_5_horizontal_lines, 49, 1),
        shape(frame_104_shape_group_4_shape_6_horizontal_lines, 50, 2),
        shape(frame_104_shape_group_4_shape_7_horizontal_lines, 55, 1),
        shape(frame_104_shape_group_4_shape_8_horizontal_lines, 57, 7),
        shape(frame_104_shape_group_4_shape_9_horizontal_lines, 58, 1),
        shape(frame_104_shape_group_4_shape_10_horizontal_lines, 64, 7),
        shape(frame_104_shape_group_4_shape_11_horizontal_lines, 65, 1),
        shape(frame_104_shape_group_4_shape_12_horizontal_lines, 66, 7),
        shape(frame_104_shape_group_4_shape_13_horizontal_lines, 70, 8),
        shape(frame_104_shape_group_4_shape_14_horizontal_lines, 80, 7),
        shape(frame_104_shape_group_4_shape_15_horizontal_lines, 87, 8),
        shape(frame_104_shape_group_4_shape_16_horizontal_lines, 89, 7),
        shape(frame_104_shape_group_4_shape_17_horizontal_lines, 114, 8),
        shape(frame_104_shape_group_4_shape_18_horizontal_lines, 117, 7),
        shape(frame_104_shape_group_4_shape_19_horizontal_lines, 124, 8),
        shape(frame_104_shape_group_4_shape_20_horizontal_lines, 137, 7),
        shape(frame_104_shape_group_4_shape_21_horizontal_lines, 150, 7),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(211, 212),
        horizontal_line(223, 232),
        horizontal_line(207, 211),
        horizontal_line(205, 210),
        horizontal_line(203, 210),
        horizontal_line(201, 209),
        horizontal_line(199, 209),
        horizontal_line(217, 221),
        horizontal_line(213, 222),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(206, 208),
        horizontal_line(204, 208),
        horizontal_line(201, 208),
        horizontal_line(199, 208),
        horizontal_line(196, 209),
        horizontal_line(194, 209),
        horizontal_line(227, 230),
        horizontal_line(192, 209),
        horizontal_line(212, 226),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(209, 210),
        horizontal_line(206, 210),
        horizontal_line(204, 210),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(193, 210),
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(211, 223),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(194, 210),
        horizontal_line(196, 210),
        horizontal_line(197, 210),
        horizontal_line(199, 210),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(201, 209),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(209, 221),
        horizontal_line(209, 220),
        horizontal_line(208, 219),
        horizontal_line(208, 218),
        horizontal_line(206, 217),
        horizontal_line(207, 216),
        horizontal_line(207, 221),
        horizontal_line(208, 227),
        horizontal_line(208, 232),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(210, 225),
        horizontal_line(208, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(187, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(181, 239),
        horizontal_line(179, 239),
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_104_shape_group_5_shapes[] = {
        shape(frame_104_shape_group_5_shape_0_horizontal_lines, 32, 1),
        shape(frame_104_shape_group_5_shape_1_horizontal_lines, 44, 1),
        shape(frame_104_shape_group_5_shape_2_horizontal_lines, 47, 7),
        shape(frame_104_shape_group_5_shape_3_horizontal_lines, 48, 1),
        shape(frame_104_shape_group_5_shape_4_horizontal_lines, 58, 7),
        shape(frame_104_shape_group_5_shape_5_horizontal_lines, 67, 8),
        shape(frame_104_shape_group_5_shape_6_horizontal_lines, 76, 8),
        shape(frame_104_shape_group_5_shape_7_horizontal_lines, 82, 7),
        shape(frame_104_shape_group_5_shape_8_horizontal_lines, 83, 8),
        shape(frame_104_shape_group_5_shape_9_horizontal_lines, 87, 9),
        shape(frame_104_shape_group_5_shape_10_horizontal_lines, 88, 8),
        shape(frame_104_shape_group_5_shape_11_horizontal_lines, 98, 7),
        shape(frame_104_shape_group_5_shape_12_horizontal_lines, 106, 8),
        shape(frame_104_shape_group_5_shape_13_horizontal_lines, 117, 8),
        shape(frame_104_shape_group_5_shape_14_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(223, 234),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(223, 230),
        horizontal_line(222, 228),
        horizontal_line(222, 226),
        horizontal_line(222, 224),
        horizontal_line(222, 222),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 238),
        horizontal_line(226, 234),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(193, 210),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(203, 209),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(205, 208),
        horizontal_line(205, 207),
        horizontal_line(206, 207),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(222, 239),
        horizontal_line(228, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(209, 238),
    };

    constexpr const shape frame_104_shape_group_6_shapes[] = {
        shape(frame_104_shape_group_6_shape_0_horizontal_lines, 48, 1),
        shape(frame_104_shape_group_6_shape_1_horizontal_lines, 49, 7),
        shape(frame_104_shape_group_6_shape_2_horizontal_lines, 50, 1),
        shape(frame_104_shape_group_6_shape_3_horizontal_lines, 55, 7),
        shape(frame_104_shape_group_6_shape_4_horizontal_lines, 58, 7),
        shape(frame_104_shape_group_6_shape_5_horizontal_lines, 64, 8),
        shape(frame_104_shape_group_6_shape_6_horizontal_lines, 80, 8),
        shape(frame_104_shape_group_6_shape_7_horizontal_lines, 88, 9),
        shape(frame_104_shape_group_6_shape_8_horizontal_lines, 89, 8),
        shape(frame_104_shape_group_6_shape_9_horizontal_lines, 90, 9),
        shape(frame_104_shape_group_6_shape_10_horizontal_lines, 98, 8),
    };

    constexpr const horizontal_line frame_104_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_104_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(223, 230),
        horizontal_line(205, 208),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_104_shape_group_7_shapes[] = {
        shape(frame_104_shape_group_7_shape_0_horizontal_lines, 48, 7),
        shape(frame_104_shape_group_7_shape_1_horizontal_lines, 50, 7),
        shape(frame_104_shape_group_7_shape_2_horizontal_lines, 62, 8),
        shape(frame_104_shape_group_7_shape_3_horizontal_lines, 82, 8),
        shape(frame_104_shape_group_7_shape_4_horizontal_lines, 88, 9),
    };

    constexpr const horizontal_line frame_104_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(222, 238),
    };

    constexpr const shape frame_104_shape_group_8_shapes[] = {
        shape(frame_104_shape_group_8_shape_0_horizontal_lines, 89, 9),
    };

    constexpr const shape_group frame_104_shape_groups[] = {
        shape_group(frame_104_shape_group_0_shapes),
        shape_group(frame_104_shape_group_1_shapes),
        shape_group(frame_104_shape_group_2_shapes),
        shape_group(frame_104_shape_group_3_shapes),
        shape_group(frame_104_shape_group_4_shapes),
        shape_group(frame_104_shape_group_5_shapes),
        shape_group(frame_104_shape_group_6_shapes),
        shape_group(frame_104_shape_group_7_shapes),
        shape_group(frame_104_shape_group_8_shapes),
    };

    constexpr const frame frame_104_impl(frame_104_colors, frame_104_shape_groups);
} 

const frame& frame_104()
{
    return frame_104_impl;
}

namespace
{
    constexpr const bn::color frame_105_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(19, 81),
        horizontal_line(23, 85),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(53, 114),
        horizontal_line(56, 118),
        horizontal_line(60, 117),
        horizontal_line(64, 117),
        horizontal_line(67, 117),
        horizontal_line(71, 117),
        horizontal_line(75, 117),
        horizontal_line(79, 117),
        horizontal_line(82, 117),
        horizontal_line(86, 117),
        horizontal_line(90, 118),
        horizontal_line(93, 118),
        horizontal_line(97, 118),
        horizontal_line(101, 118),
        horizontal_line(105, 118),
        horizontal_line(108, 118),
        horizontal_line(112, 118),
        horizontal_line(116, 118),
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(162, 164),
        horizontal_line(162, 164),
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(162, 168),
        horizontal_line(163, 168),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(168, 169),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(63, 123),
        horizontal_line(165, 170),
        horizontal_line(166, 170),
        horizontal_line(167, 170),
        horizontal_line(169, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 55),
        horizontal_line(0, 49),
        horizontal_line(0, 44),
        horizontal_line(0, 38),
        horizontal_line(0, 33),
        horizontal_line(0, 27),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(148, 171),
        horizontal_line(148, 170),
        horizontal_line(149, 168),
        horizontal_line(149, 167),
        horizontal_line(150, 165),
        horizontal_line(151, 163),
        horizontal_line(151, 162),
        horizontal_line(152, 160),
        horizontal_line(152, 159),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_105_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(151, 160),
        horizontal_line(149, 163),
        horizontal_line(147, 166),
        horizontal_line(145, 169),
        horizontal_line(143, 172),
        horizontal_line(141, 175),
        horizontal_line(139, 178),
        horizontal_line(137, 181),
        horizontal_line(136, 184),
        horizontal_line(134, 187),
        horizontal_line(132, 190),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
    };

    constexpr const shape frame_105_shape_group_0_shapes[] = {
        shape(frame_105_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_105_shape_group_0_shape_1_horizontal_lines, 75, 2),
        shape(frame_105_shape_group_0_shape_2_horizontal_lines, 85, 3),
        shape(frame_105_shape_group_0_shape_3_horizontal_lines, 128, 7),
        shape(frame_105_shape_group_0_shape_4_horizontal_lines, 140, 8),
        shape(frame_105_shape_group_0_shape_5_horizontal_lines, 141, 7),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
        horizontal_line(131, 137),
        horizontal_line(131, 138),
        horizontal_line(130, 139),
        horizontal_line(130, 140),
        horizontal_line(130, 142),
        horizontal_line(129, 143),
        horizontal_line(129, 144),
        horizontal_line(128, 145),
        horizontal_line(128, 146),
        horizontal_line(128, 147),
        horizontal_line(127, 148),
        horizontal_line(127, 150),
        horizontal_line(126, 151),
        horizontal_line(126, 152),
        horizontal_line(126, 153),
        horizontal_line(125, 154),
        horizontal_line(125, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(123, 160),
        horizontal_line(123, 161),
        horizontal_line(122, 162),
        horizontal_line(122, 163),
        horizontal_line(122, 165),
        horizontal_line(121, 166),
        horizontal_line(121, 167),
        horizontal_line(120, 168),
        horizontal_line(120, 169),
        horizontal_line(120, 170),
        horizontal_line(119, 172),
        horizontal_line(119, 171),
        horizontal_line(118, 171),
        horizontal_line(118, 170),
        horizontal_line(118, 170),
        horizontal_line(120, 169),
        horizontal_line(123, 169),
        horizontal_line(126, 168),
        horizontal_line(130, 168),
        horizontal_line(133, 167),
        horizontal_line(136, 167),
        horizontal_line(140, 166),
        horizontal_line(143, 166),
        horizontal_line(146, 165),
        horizontal_line(149, 165),
        horizontal_line(153, 164),
        horizontal_line(156, 164),
        horizontal_line(159, 163),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(165, 169),
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 121),
        horizontal_line(62, 116),
        horizontal_line(62, 110),
        horizontal_line(62, 105),
        horizontal_line(62, 99),
        horizontal_line(62, 94),
        horizontal_line(62, 88),
        horizontal_line(62, 83),
        horizontal_line(62, 77),
        horizontal_line(62, 72),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(141, 190),
        horizontal_line(141, 188),
        horizontal_line(142, 187),
        horizontal_line(143, 185),
        horizontal_line(143, 184),
        horizontal_line(144, 182),
        horizontal_line(144, 181),
        horizontal_line(145, 179),
        horizontal_line(145, 177),
        horizontal_line(146, 176),
        horizontal_line(147, 174),
        horizontal_line(147, 173),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(217, 239),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(190, 196),
        horizontal_line(188, 199),
        horizontal_line(186, 202),
        horizontal_line(184, 205),
        horizontal_line(182, 208),
        horizontal_line(181, 211),
    };

    constexpr const shape frame_105_shape_group_1_shapes[] = {
        shape(frame_105_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_105_shape_group_1_shape_1_horizontal_lines, 52, 2),
        shape(frame_105_shape_group_1_shape_2_horizontal_lines, 80, 3),
        shape(frame_105_shape_group_1_shape_3_horizontal_lines, 116, 7),
        shape(frame_105_shape_group_1_shape_4_horizontal_lines, 128, 8),
        shape(frame_105_shape_group_1_shape_5_horizontal_lines, 153, 7),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(63, 81),
        horizontal_line(66, 83),
        horizontal_line(70, 86),
        horizontal_line(74, 88),
        horizontal_line(77, 90),
        horizontal_line(81, 93),
        horizontal_line(85, 95),
        horizontal_line(89, 97),
        horizontal_line(92, 100),
        horizontal_line(96, 102),
        horizontal_line(100, 105),
        horizontal_line(103, 107),
        horizontal_line(107, 109),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(119, 173),
        horizontal_line(119, 173),
        horizontal_line(164, 174),
        horizontal_line(124, 162),
        horizontal_line(129, 161),
        horizontal_line(133, 161),
        horizontal_line(138, 161),
        horizontal_line(142, 161),
        horizontal_line(147, 160),
        horizontal_line(151, 160),
        horizontal_line(156, 160),
        horizontal_line(168, 174),
        horizontal_line(168, 170),
        horizontal_line(161, 161),
        horizontal_line(161, 162),
        horizontal_line(162, 163),
        horizontal_line(162, 163),
        horizontal_line(162, 164),
        horizontal_line(162, 165),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 167),
        horizontal_line(164, 168),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(63, 123),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 195),
        horizontal_line(140, 193),
        horizontal_line(140, 191),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(180, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_105_shape_group_2_shapes[] = {
        shape(frame_105_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_105_shape_group_2_shape_1_horizontal_lines, 14, 4),
        shape(frame_105_shape_group_2_shape_2_horizontal_lines, 36, 2),
        shape(frame_105_shape_group_2_shape_3_horizontal_lines, 79, 3),
        shape(frame_105_shape_group_2_shape_4_horizontal_lines, 105, 7),
        shape(frame_105_shape_group_2_shape_5_horizontal_lines, 116, 8),
        shape(frame_105_shape_group_2_shape_6_horizontal_lines, 141, 8),
        shape(frame_105_shape_group_2_shape_7_horizontal_lines, 153, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 140),
        horizontal_line(139, 141),
        horizontal_line(140, 143),
        horizontal_line(141, 144),
        horizontal_line(143, 146),
        horizontal_line(144, 147),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(147, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 155),
        horizontal_line(63, 125),
        horizontal_line(65, 125),
        horizontal_line(68, 125),
        horizontal_line(70, 125),
        horizontal_line(72, 124),
        horizontal_line(75, 124),
        horizontal_line(77, 123),
        horizontal_line(79, 123),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 44),
        horizontal_line(0, 48),
        horizontal_line(115, 117),
        horizontal_line(171, 172),
        horizontal_line(118, 119),
        horizontal_line(118, 122),
        horizontal_line(118, 125),
        horizontal_line(118, 129),
        horizontal_line(118, 132),
        horizontal_line(118, 135),
        horizontal_line(118, 139),
        horizontal_line(118, 142),
        horizontal_line(119, 145),
        horizontal_line(119, 148),
        horizontal_line(119, 152),
        horizontal_line(119, 155),
        horizontal_line(119, 158),
        horizontal_line(119, 162),
        horizontal_line(196, 198),
        horizontal_line(195, 196),
        horizontal_line(194, 194),
        horizontal_line(164, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(167, 171),
        horizontal_line(167, 175),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(170, 170),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
    };

    constexpr const horizontal_line frame_105_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(124, 163),
        horizontal_line(0, 0),
        horizontal_line(124, 164),
        horizontal_line(124, 164),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_105_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(174, 175),
        horizontal_line(192, 204),
        horizontal_line(192, 204),
        horizontal_line(192, 204),
        horizontal_line(192, 204),
        horizontal_line(193, 204),
        horizontal_line(199, 204),
        horizontal_line(225, 239),
        horizontal_line(188, 188),
        horizontal_line(181, 188),
        horizontal_line(175, 188),
        horizontal_line(169, 189),
        horizontal_line(163, 189),
        horizontal_line(157, 190),
        horizontal_line(151, 190),
        horizontal_line(145, 190),
        horizontal_line(139, 191),
        horizontal_line(134, 191),
        horizontal_line(134, 192),
        horizontal_line(197, 225),
        horizontal_line(197, 227),
        horizontal_line(198, 230),
        horizontal_line(198, 232),
        horizontal_line(199, 235),
        horizontal_line(199, 238),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(211, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_105_shape_group_3_shapes[] = {
        shape(frame_105_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_105_shape_group_3_shape_1_horizontal_lines, 75, 3),
        shape(frame_105_shape_group_3_shape_2_horizontal_lines, 85, 7),
        shape(frame_105_shape_group_3_shape_3_horizontal_lines, 125, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(92, 132),
        horizontal_line(94, 131),
        horizontal_line(96, 131),
        horizontal_line(99, 130),
        horizontal_line(101, 130),
        horizontal_line(103, 129),
        horizontal_line(106, 129),
        horizontal_line(108, 129),
        horizontal_line(111, 128),
        horizontal_line(113, 128),
        horizontal_line(115, 127),
        horizontal_line(118, 127),
        horizontal_line(120, 127),
        horizontal_line(122, 126),
        horizontal_line(151, 156),
        horizontal_line(152, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
        horizontal_line(158, 161),
        horizontal_line(159, 162),
        horizontal_line(82, 123),
        horizontal_line(84, 122),
        horizontal_line(87, 122),
        horizontal_line(89, 121),
        horizontal_line(91, 121),
        horizontal_line(94, 121),
        horizontal_line(96, 120),
        horizontal_line(98, 120),
        horizontal_line(101, 119),
        horizontal_line(103, 119),
        horizontal_line(106, 119),
        horizontal_line(108, 118),
        horizontal_line(110, 118),
        horizontal_line(113, 117),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(173, 218),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(165, 173),
        horizontal_line(165, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(62, 111),
        horizontal_line(62, 115),
        horizontal_line(62, 124),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(173, 176),
        horizontal_line(62, 120),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(121, 160),
        horizontal_line(121, 160),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(122, 161),
        horizontal_line(122, 161),
        horizontal_line(123, 161),
        horizontal_line(123, 162),
        horizontal_line(123, 162),
        horizontal_line(123, 162),
        horizontal_line(123, 163),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(175, 185),
        horizontal_line(175, 182),
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(124, 164),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(172, 175),
        horizontal_line(172, 175),
        horizontal_line(192, 205),
        horizontal_line(192, 204),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(192, 224),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(191, 201),
        horizontal_line(190, 200),
        horizontal_line(190, 199),
        horizontal_line(190, 198),
        horizontal_line(191, 197),
        horizontal_line(191, 202),
        horizontal_line(191, 208),
        horizontal_line(192, 214),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(203, 222),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(194, 210),
        horizontal_line(192, 224),
    };

    constexpr const shape frame_105_shape_group_4_shapes[] = {
        shape(frame_105_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_105_shape_group_4_shape_1_horizontal_lines, 37, 1),
        shape(frame_105_shape_group_4_shape_2_horizontal_lines, 38, 2),
        shape(frame_105_shape_group_4_shape_3_horizontal_lines, 63, 3),
        shape(frame_105_shape_group_4_shape_4_horizontal_lines, 65, 2),
        shape(frame_105_shape_group_4_shape_5_horizontal_lines, 68, 3),
        shape(frame_105_shape_group_4_shape_6_horizontal_lines, 75, 7),
        shape(frame_105_shape_group_4_shape_7_horizontal_lines, 78, 3),
        shape(frame_105_shape_group_4_shape_8_horizontal_lines, 80, 7),
        shape(frame_105_shape_group_4_shape_9_horizontal_lines, 93, 8),
        shape(frame_105_shape_group_4_shape_10_horizontal_lines, 94, 7),
        shape(frame_105_shape_group_4_shape_11_horizontal_lines, 95, 8),
        shape(frame_105_shape_group_4_shape_12_horizontal_lines, 104, 7),
        shape(frame_105_shape_group_4_shape_13_horizontal_lines, 105, 8),
        shape(frame_105_shape_group_4_shape_14_horizontal_lines, 113, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(160, 163),
        horizontal_line(161, 164),
        horizontal_line(162, 165),
        horizontal_line(163, 165),
        horizontal_line(164, 166),
        horizontal_line(166, 167),
        horizontal_line(167, 168),
        horizontal_line(168, 168),
        horizontal_line(169, 169),
        horizontal_line(170, 170),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(173, 223),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(173, 219),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(219, 220),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(173, 216),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 70),
        horizontal_line(62, 74),
        horizontal_line(62, 78),
        horizontal_line(209, 209),
        horizontal_line(207, 208),
        horizontal_line(205, 207),
        horizontal_line(203, 206),
        horizontal_line(201, 205),
        horizontal_line(199, 204),
        horizontal_line(198, 202),
        horizontal_line(197, 200),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(174, 193),
        horizontal_line(174, 191),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(124, 162),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(174, 187),
        horizontal_line(174, 185),
        horizontal_line(174, 183),
        horizontal_line(173, 181),
        horizontal_line(173, 179),
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(62, 120),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(121, 155),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(203, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(122, 160),
        horizontal_line(122, 160),
        horizontal_line(122, 161),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 206),
        horizontal_line(175, 188),
        horizontal_line(192, 206),
        horizontal_line(192, 206),
        horizontal_line(192, 206),
        horizontal_line(176, 176),
        horizontal_line(171, 175),
        horizontal_line(192, 205),
        horizontal_line(192, 205),
        horizontal_line(192, 205),
        horizontal_line(192, 205),
        horizontal_line(192, 205),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(178, 191),
        horizontal_line(180, 191),
        horizontal_line(181, 191),
        horizontal_line(183, 192),
        horizontal_line(192, 198),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(191, 202),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(193, 202),
    };

    constexpr const shape frame_105_shape_group_5_shapes[] = {
        shape(frame_105_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_105_shape_group_5_shape_1_horizontal_lines, 14, 2),
        shape(frame_105_shape_group_5_shape_2_horizontal_lines, 15, 1),
        shape(frame_105_shape_group_5_shape_3_horizontal_lines, 22, 2),
        shape(frame_105_shape_group_5_shape_4_horizontal_lines, 33, 1),
        shape(frame_105_shape_group_5_shape_5_horizontal_lines, 34, 2),
        shape(frame_105_shape_group_5_shape_6_horizontal_lines, 36, 1),
        shape(frame_105_shape_group_5_shape_7_horizontal_lines, 37, 3),
        shape(frame_105_shape_group_5_shape_8_horizontal_lines, 38, 1),
        shape(frame_105_shape_group_5_shape_9_horizontal_lines, 39, 2),
        shape(frame_105_shape_group_5_shape_10_horizontal_lines, 52, 1),
        shape(frame_105_shape_group_5_shape_11_horizontal_lines, 54, 2),
        shape(frame_105_shape_group_5_shape_12_horizontal_lines, 55, 1),
        shape(frame_105_shape_group_5_shape_13_horizontal_lines, 61, 2),
        shape(frame_105_shape_group_5_shape_14_horizontal_lines, 62, 3),
        shape(frame_105_shape_group_5_shape_15_horizontal_lines, 63, 7),
        shape(frame_105_shape_group_5_shape_16_horizontal_lines, 64, 3),
        shape(frame_105_shape_group_5_shape_17_horizontal_lines, 71, 7),
        shape(frame_105_shape_group_5_shape_18_horizontal_lines, 87, 8),
        shape(frame_105_shape_group_5_shape_19_horizontal_lines, 93, 9),
        shape(frame_105_shape_group_5_shape_20_horizontal_lines, 94, 8),
        shape(frame_105_shape_group_5_shape_21_horizontal_lines, 104, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(157, 219),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 238),
        horizontal_line(225, 237),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 229),
        horizontal_line(169, 228),
        horizontal_line(170, 226),
        horizontal_line(171, 225),
        horizontal_line(172, 224),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(224, 225),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(173, 221),
        horizontal_line(173, 220),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(231, 239),
        horizontal_line(217, 219),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(173, 215),
        horizontal_line(173, 214),
        horizontal_line(173, 213),
        horizontal_line(173, 212),
        horizontal_line(173, 210),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(62, 81),
        horizontal_line(62, 85),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(62, 96),
        horizontal_line(62, 100),
        horizontal_line(62, 104),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(120, 123),
        horizontal_line(120, 128),
        horizontal_line(120, 132),
        horizontal_line(120, 137),
        horizontal_line(120, 141),
        horizontal_line(121, 146),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(187, 189),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(179, 190),
        horizontal_line(177, 190),
        horizontal_line(175, 190),
        horizontal_line(208, 208),
        horizontal_line(200, 206),
        horizontal_line(228, 239),
        horizontal_line(192, 206),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(192, 206),
        horizontal_line(192, 205),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(205, 225),
        horizontal_line(205, 225),
        horizontal_line(205, 224),
        horizontal_line(205, 224),
        horizontal_line(205, 224),
        horizontal_line(205, 224),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(225, 225),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(189, 189),
        horizontal_line(200, 222),
        horizontal_line(199, 222),
        horizontal_line(198, 221),
        horizontal_line(203, 221),
        horizontal_line(209, 220),
        horizontal_line(215, 220),
    };

    constexpr const horizontal_line frame_105_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const shape frame_105_shape_group_6_shapes[] = {
        shape(frame_105_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_105_shape_group_6_shape_1_horizontal_lines, 33, 3),
        shape(frame_105_shape_group_6_shape_2_horizontal_lines, 34, 1),
        shape(frame_105_shape_group_6_shape_3_horizontal_lines, 36, 3),
        shape(frame_105_shape_group_6_shape_4_horizontal_lines, 39, 1),
        shape(frame_105_shape_group_6_shape_5_horizontal_lines, 44, 2),
        shape(frame_105_shape_group_6_shape_6_horizontal_lines, 52, 3),
        shape(frame_105_shape_group_6_shape_7_horizontal_lines, 54, 1),
        shape(frame_105_shape_group_6_shape_8_horizontal_lines, 55, 3),
        shape(frame_105_shape_group_6_shape_9_horizontal_lines, 61, 1),
        shape(frame_105_shape_group_6_shape_10_horizontal_lines, 62, 3),
        shape(frame_105_shape_group_6_shape_11_horizontal_lines, 63, 7),
        shape(frame_105_shape_group_6_shape_12_horizontal_lines, 65, 3),
        shape(frame_105_shape_group_6_shape_13_horizontal_lines, 68, 7),
        shape(frame_105_shape_group_6_shape_14_horizontal_lines, 85, 8),
        shape(frame_105_shape_group_6_shape_15_horizontal_lines, 94, 8),
        shape(frame_105_shape_group_6_shape_16_horizontal_lines, 95, 9),
        shape(frame_105_shape_group_6_shape_17_horizontal_lines, 104, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(226, 236),
        horizontal_line(227, 235),
        horizontal_line(228, 234),
        horizontal_line(228, 233),
        horizontal_line(229, 231),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(229, 230),
        horizontal_line(227, 229),
        horizontal_line(226, 227),
        horizontal_line(225, 226),
        horizontal_line(232, 239),
        horizontal_line(222, 224),
        horizontal_line(221, 222),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(231, 238),
        horizontal_line(216, 217),
        horizontal_line(215, 216),
        horizontal_line(214, 215),
        horizontal_line(213, 213),
        horizontal_line(211, 212),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(174, 208),
        horizontal_line(174, 206),
        horizontal_line(174, 204),
        horizontal_line(174, 202),
        horizontal_line(174, 200),
        horizontal_line(174, 198),
        horizontal_line(174, 197),
        horizontal_line(174, 195),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(199, 203),
        horizontal_line(197, 203),
        horizontal_line(190, 193),
        horizontal_line(188, 190),
        horizontal_line(186, 188),
        horizontal_line(184, 186),
        horizontal_line(182, 184),
        horizontal_line(180, 182),
        horizontal_line(178, 180),
        horizontal_line(121, 150),
        horizontal_line(190, 195),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(203, 229),
        horizontal_line(185, 189),
        horizontal_line(183, 189),
        horizontal_line(181, 189),
        horizontal_line(206, 219),
        horizontal_line(206, 215),
        horizontal_line(207, 211),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(207, 227),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(186, 191),
        horizontal_line(183, 191),
        horizontal_line(180, 191),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(206, 225),
        horizontal_line(205, 225),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_105_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(202, 223),
        horizontal_line(201, 223),
    };

    constexpr const shape frame_105_shape_group_7_shapes[] = {
        shape(frame_105_shape_group_7_shape_0_horizontal_lines, 14, 1),
        shape(frame_105_shape_group_7_shape_1_horizontal_lines, 20, 3),
        shape(frame_105_shape_group_7_shape_2_horizontal_lines, 22, 1),
        shape(frame_105_shape_group_7_shape_3_horizontal_lines, 28, 3),
        shape(frame_105_shape_group_7_shape_4_horizontal_lines, 38, 3),
        shape(frame_105_shape_group_7_shape_5_horizontal_lines, 44, 1),
        shape(frame_105_shape_group_7_shape_6_horizontal_lines, 52, 3),
        shape(frame_105_shape_group_7_shape_7_horizontal_lines, 64, 7),
        shape(frame_105_shape_group_7_shape_8_horizontal_lines, 73, 8),
        shape(frame_105_shape_group_7_shape_9_horizontal_lines, 74, 7),
        shape(frame_105_shape_group_7_shape_10_horizontal_lines, 75, 8),
        shape(frame_105_shape_group_7_shape_11_horizontal_lines, 78, 7),
        shape(frame_105_shape_group_7_shape_12_horizontal_lines, 80, 8),
        shape(frame_105_shape_group_7_shape_13_horizontal_lines, 92, 9),
        shape(frame_105_shape_group_7_shape_14_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(231, 237),
        horizontal_line(231, 236),
        horizontal_line(230, 235),
        horizontal_line(230, 234),
        horizontal_line(230, 233),
        horizontal_line(210, 211),
        horizontal_line(209, 210),
        horizontal_line(208, 208),
        horizontal_line(207, 207),
        horizontal_line(206, 206),
        horizontal_line(205, 205),
        horizontal_line(203, 203),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(220, 229),
        horizontal_line(218, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(195, 202),
        horizontal_line(193, 202),
        horizontal_line(193, 202),
        horizontal_line(192, 202),
        horizontal_line(192, 201),
        horizontal_line(191, 201),
        horizontal_line(191, 201),
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(202, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 226),
        horizontal_line(205, 222),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(209, 227),
        horizontal_line(207, 227),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(189, 191),
        horizontal_line(207, 227),
        horizontal_line(207, 227),
        horizontal_line(207, 226),
        horizontal_line(177, 191),
        horizontal_line(176, 191),
        horizontal_line(206, 226),
        horizontal_line(206, 226),
        horizontal_line(206, 226),
        horizontal_line(206, 225),
        horizontal_line(206, 225),
    };

    constexpr const horizontal_line frame_105_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(203, 224),
    };

    constexpr const shape frame_105_shape_group_8_shapes[] = {
        shape(frame_105_shape_group_8_shape_0_horizontal_lines, 22, 3),
        shape(frame_105_shape_group_8_shape_1_horizontal_lines, 29, 3),
        shape(frame_105_shape_group_8_shape_2_horizontal_lines, 34, 3),
        shape(frame_105_shape_group_8_shape_3_horizontal_lines, 39, 3),
        shape(frame_105_shape_group_8_shape_4_horizontal_lines, 52, 7),
        shape(frame_105_shape_group_8_shape_5_horizontal_lines, 54, 3),
        shape(frame_105_shape_group_8_shape_6_horizontal_lines, 62, 7),
        shape(frame_105_shape_group_8_shape_7_horizontal_lines, 64, 7),
        shape(frame_105_shape_group_8_shape_8_horizontal_lines, 71, 8),
        shape(frame_105_shape_group_8_shape_9_horizontal_lines, 74, 8),
        shape(frame_105_shape_group_8_shape_10_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(230, 232),
        horizontal_line(230, 231),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(228, 229),
        horizontal_line(226, 229),
        horizontal_line(224, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(201, 203),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(216, 229),
        horizontal_line(214, 229),
        horizontal_line(212, 229),
        horizontal_line(210, 229),
        horizontal_line(208, 229),
        horizontal_line(206, 229),
        horizontal_line(204, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(190, 201),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(220, 228),
        horizontal_line(216, 228),
        horizontal_line(212, 228),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(207, 227),
    };

    constexpr const horizontal_line frame_105_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(207, 226),
        horizontal_line(206, 226),
    };

    constexpr const shape frame_105_shape_group_9_shapes[] = {
        shape(frame_105_shape_group_9_shape_0_horizontal_lines, 44, 3),
        shape(frame_105_shape_group_9_shape_1_horizontal_lines, 48, 7),
        shape(frame_105_shape_group_9_shape_2_horizontal_lines, 51, 3),
        shape(frame_105_shape_group_9_shape_3_horizontal_lines, 54, 7),
        shape(frame_105_shape_group_9_shape_4_horizontal_lines, 61, 3),
        shape(frame_105_shape_group_9_shape_5_horizontal_lines, 62, 7),
        shape(frame_105_shape_group_9_shape_6_horizontal_lines, 66, 7),
        shape(frame_105_shape_group_9_shape_7_horizontal_lines, 68, 8),
        shape(frame_105_shape_group_9_shape_8_horizontal_lines, 74, 8),
        shape(frame_105_shape_group_9_shape_9_horizontal_lines, 78, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(222, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(202, 229),
    };

    constexpr const horizontal_line frame_105_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(227, 228),
        horizontal_line(223, 228),
    };

    constexpr const shape frame_105_shape_group_10_shapes[] = {
        shape(frame_105_shape_group_10_shape_0_horizontal_lines, 51, 7),
        shape(frame_105_shape_group_10_shape_1_horizontal_lines, 59, 7),
        shape(frame_105_shape_group_10_shape_2_horizontal_lines, 66, 8),
    };

    constexpr const horizontal_line frame_105_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const shape frame_105_shape_group_11_shapes[] = {
        shape(frame_105_shape_group_11_shape_0_horizontal_lines, 61, 7),
    };

    constexpr const shape_group frame_105_shape_groups[] = {
        shape_group(frame_105_shape_group_0_shapes),
        shape_group(frame_105_shape_group_1_shapes),
        shape_group(frame_105_shape_group_2_shapes),
        shape_group(frame_105_shape_group_3_shapes),
        shape_group(frame_105_shape_group_4_shapes),
        shape_group(frame_105_shape_group_5_shapes),
        shape_group(frame_105_shape_group_6_shapes),
        shape_group(frame_105_shape_group_7_shapes),
        shape_group(frame_105_shape_group_8_shapes),
        shape_group(frame_105_shape_group_9_shapes),
        shape_group(frame_105_shape_group_10_shapes),
        shape_group(frame_105_shape_group_11_shapes),
    };

    constexpr const frame frame_105_impl(frame_105_colors, frame_105_shape_groups);
} 

const frame& frame_105()
{
    return frame_105_impl;
}

namespace
{
    constexpr const bn::color frame_106_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(20, 81),
        horizontal_line(22, 83),
        horizontal_line(25, 85),
        horizontal_line(28, 87),
        horizontal_line(30, 89),
        horizontal_line(33, 91),
        horizontal_line(36, 93),
        horizontal_line(39, 95),
        horizontal_line(41, 103),
        horizontal_line(44, 97),
        horizontal_line(47, 97),
        horizontal_line(50, 97),
        horizontal_line(52, 97),
        horizontal_line(55, 97),
        horizontal_line(58, 97),
        horizontal_line(60, 97),
        horizontal_line(63, 97),
        horizontal_line(66, 97),
        horizontal_line(69, 97),
        horizontal_line(71, 97),
        horizontal_line(74, 97),
        horizontal_line(77, 97),
        horizontal_line(79, 97),
        horizontal_line(82, 97),
        horizontal_line(85, 97),
        horizontal_line(88, 97),
        horizontal_line(90, 97),
        horizontal_line(93, 97),
        horizontal_line(96, 97),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(148, 151),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 154),
        horizontal_line(148, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 155),
        horizontal_line(150, 155),
        horizontal_line(151, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(62, 102),
        horizontal_line(83, 102),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(153, 156),
        horizontal_line(154, 157),
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 57),
        horizontal_line(0, 51),
        horizontal_line(0, 46),
        horizontal_line(0, 41),
        horizontal_line(0, 36),
        horizontal_line(0, 30),
        horizontal_line(0, 25),
        horizontal_line(0, 20),
        horizontal_line(0, 14),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(123, 168),
        horizontal_line(123, 167),
        horizontal_line(124, 166),
        horizontal_line(125, 164),
        horizontal_line(125, 163),
        horizontal_line(126, 162),
        horizontal_line(126, 161),
        horizontal_line(127, 160),
        horizontal_line(127, 158),
        horizontal_line(128, 157),
        horizontal_line(128, 156),
        horizontal_line(129, 155),
        horizontal_line(129, 154),
        horizontal_line(130, 152),
        horizontal_line(130, 151),
        horizontal_line(131, 150),
        horizontal_line(132, 149),
        horizontal_line(132, 148),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(134, 144),
        horizontal_line(134, 143),
        horizontal_line(135, 142),
        horizontal_line(135, 140),
        horizontal_line(136, 139),
        horizontal_line(136, 138),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_106_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(137, 139),
    };

    constexpr const shape frame_106_shape_group_0_shapes[] = {
        shape(frame_106_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_106_shape_group_0_shape_1_horizontal_lines, 51, 2),
        shape(frame_106_shape_group_0_shape_2_horizontal_lines, 53, 4),
        shape(frame_106_shape_group_0_shape_3_horizontal_lines, 78, 2),
        shape(frame_106_shape_group_0_shape_4_horizontal_lines, 86, 3),
        shape(frame_106_shape_group_0_shape_5_horizontal_lines, 131, 7),
        shape(frame_106_shape_group_0_shape_6_horizontal_lines, 158, 8),
        shape(frame_106_shape_group_0_shape_7_horizontal_lines, 159, 7),
    };

    constexpr const horizontal_line frame_106_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(109, 129),
        horizontal_line(108, 129),
        horizontal_line(108, 130),
        horizontal_line(107, 131),
        horizontal_line(107, 132),
        horizontal_line(107, 133),
        horizontal_line(106, 134),
        horizontal_line(106, 135),
        horizontal_line(105, 136),
        horizontal_line(105, 137),
        horizontal_line(105, 138),
        horizontal_line(104, 139),
        horizontal_line(104, 140),
        horizontal_line(104, 141),
        horizontal_line(103, 142),
        horizontal_line(103, 143),
        horizontal_line(102, 144),
        horizontal_line(102, 145),
        horizontal_line(102, 146),
        horizontal_line(101, 147),
        horizontal_line(101, 148),
        horizontal_line(101, 149),
        horizontal_line(100, 150),
        horizontal_line(100, 151),
        horizontal_line(99, 152),
        horizontal_line(99, 153),
        horizontal_line(99, 154),
        horizontal_line(98, 155),
        horizontal_line(98, 156),
        horizontal_line(103, 157),
        horizontal_line(99, 158),
        horizontal_line(102, 159),
        horizontal_line(104, 158),
        horizontal_line(107, 158),
        horizontal_line(109, 157),
        horizontal_line(112, 157),
        horizontal_line(114, 156),
        horizontal_line(117, 156),
        horizontal_line(119, 155),
        horizontal_line(122, 155),
        horizontal_line(124, 154),
        horizontal_line(127, 154),
        horizontal_line(129, 153),
        horizontal_line(132, 153),
        horizontal_line(134, 152),
        horizontal_line(137, 152),
        horizontal_line(139, 151),
        horizontal_line(142, 151),
        horizontal_line(144, 150),
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_106_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(102, 160),
        horizontal_line(105, 160),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(21, 83),
        horizontal_line(42, 102),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_106_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 104),
        horizontal_line(62, 99),
        horizontal_line(62, 94),
        horizontal_line(62, 88),
        horizontal_line(62, 83),
        horizontal_line(62, 78),
        horizontal_line(62, 73),
        horizontal_line(62, 67),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_106_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(118, 179),
        horizontal_line(119, 178),
        horizontal_line(119, 176),
        horizontal_line(120, 175),
        horizontal_line(120, 174),
        horizontal_line(121, 173),
        horizontal_line(121, 172),
        horizontal_line(122, 170),
        horizontal_line(122, 169),
    };

    constexpr const horizontal_line frame_106_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(200, 239),
        horizontal_line(140, 202),
    };

    constexpr const shape frame_106_shape_group_1_shapes[] = {
        shape(frame_106_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_106_shape_group_1_shape_1_horizontal_lines, 50, 2),
        shape(frame_106_shape_group_1_shape_2_horizontal_lines, 80, 3),
        shape(frame_106_shape_group_1_shape_3_horizontal_lines, 120, 7),
        shape(frame_106_shape_group_1_shape_4_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 106),
        horizontal_line(49, 106),
        horizontal_line(51, 106),
        horizontal_line(53, 105),
        horizontal_line(55, 105),
        horizontal_line(57, 104),
        horizontal_line(59, 104),
        horizontal_line(61, 104),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(63, 68),
        horizontal_line(65, 69),
        horizontal_line(68, 71),
        horizontal_line(71, 73),
        horizontal_line(73, 75),
        horizontal_line(76, 77),
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(151, 160),
        horizontal_line(189, 191),
        horizontal_line(187, 190),
        horizontal_line(109, 149),
        horizontal_line(112, 148),
        horizontal_line(116, 148),
        horizontal_line(119, 148),
        horizontal_line(123, 148),
        horizontal_line(126, 147),
        horizontal_line(129, 147),
        horizontal_line(133, 147),
        horizontal_line(136, 146),
        horizontal_line(140, 146),
        horizontal_line(143, 146),
        horizontal_line(154, 158),
        horizontal_line(155, 162),
        horizontal_line(147, 147),
        horizontal_line(147, 148),
        horizontal_line(148, 148),
        horizontal_line(148, 149),
        horizontal_line(148, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(149, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
        horizontal_line(150, 154),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(120, 151),
        horizontal_line(136, 151),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(159, 161),
        horizontal_line(161, 161),
        horizontal_line(178, 190),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(178, 189),
        horizontal_line(179, 189),
        horizontal_line(184, 189),
        horizontal_line(211, 239),
        horizontal_line(177, 177),
        horizontal_line(171, 177),
        horizontal_line(166, 177),
        horizontal_line(160, 178),
        horizontal_line(155, 178),
        horizontal_line(149, 183),
        horizontal_line(144, 179),
        horizontal_line(138, 179),
        horizontal_line(133, 180),
        horizontal_line(127, 180),
        horizontal_line(122, 181),
        horizontal_line(116, 178),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(213, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const shape frame_106_shape_group_2_shapes[] = {
        shape(frame_106_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_106_shape_group_2_shape_1_horizontal_lines, 11, 4),
        shape(frame_106_shape_group_2_shape_2_horizontal_lines, 21, 2),
        shape(frame_106_shape_group_2_shape_3_horizontal_lines, 78, 3),
        shape(frame_106_shape_group_2_shape_4_horizontal_lines, 86, 7),
        shape(frame_106_shape_group_2_shape_5_horizontal_lines, 122, 8),
        shape(frame_106_shape_group_2_shape_6_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(105, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(133, 195),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(136, 136),
        horizontal_line(137, 137),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(63, 103),
        horizontal_line(65, 103),
        horizontal_line(67, 103),
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(82, 100),
        horizontal_line(84, 99),
        horizontal_line(86, 99),
        horizontal_line(88, 98),
        horizontal_line(90, 98),
        horizontal_line(92, 98),
        horizontal_line(94, 97),
        horizontal_line(96, 97),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(158, 216),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(98, 101),
        horizontal_line(98, 103),
        horizontal_line(98, 106),
        horizontal_line(98, 108),
        horizontal_line(98, 111),
        horizontal_line(98, 113),
        horizontal_line(98, 116),
        horizontal_line(98, 118),
        horizontal_line(98, 121),
        horizontal_line(98, 123),
        horizontal_line(98, 126),
        horizontal_line(98, 128),
        horizontal_line(98, 131),
        horizontal_line(98, 133),
        horizontal_line(98, 136),
        horizontal_line(98, 138),
        horizontal_line(98, 141),
        horizontal_line(98, 143),
        horizontal_line(98, 146),
        horizontal_line(190, 192),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 161),
        horizontal_line(152, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(155, 161),
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(157, 157),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(63, 102),
        horizontal_line(83, 102),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(103, 150),
        horizontal_line(103, 150),
        horizontal_line(124, 151),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(178, 189),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(178, 187),
        horizontal_line(178, 186),
        horizontal_line(179, 185),
        horizontal_line(179, 184),
        horizontal_line(209, 239),
        horizontal_line(180, 187),
        horizontal_line(180, 192),
        horizontal_line(181, 197),
        horizontal_line(181, 202),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(190, 209),
        horizontal_line(174, 212),
        horizontal_line(174, 215),
        horizontal_line(175, 218),
        horizontal_line(175, 221),
        horizontal_line(176, 223),
        horizontal_line(176, 226),
        horizontal_line(177, 229),
        horizontal_line(177, 232),
        horizontal_line(186, 235),
        horizontal_line(199, 238),
        horizontal_line(179, 181),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_106_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_106_shape_group_3_shapes[] = {
        shape(frame_106_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_106_shape_group_3_shape_1_horizontal_lines, 3, 1),
        shape(frame_106_shape_group_3_shape_2_horizontal_lines, 5, 2),
        shape(frame_106_shape_group_3_shape_3_horizontal_lines, 29, 1),
        shape(frame_106_shape_group_3_shape_4_horizontal_lines, 30, 2),
        shape(frame_106_shape_group_3_shape_5_horizontal_lines, 77, 3),
        shape(frame_106_shape_group_3_shape_6_horizontal_lines, 83, 7),
        shape(frame_106_shape_group_3_shape_7_horizontal_lines, 97, 8),
        shape(frame_106_shape_group_3_shape_8_horizontal_lines, 98, 7),
        shape(frame_106_shape_group_3_shape_9_horizontal_lines, 99, 8),
        shape(frame_106_shape_group_3_shape_10_horizontal_lines, 109, 7),
        shape(frame_106_shape_group_3_shape_11_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(194, 235),
        horizontal_line(195, 234),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(142, 144),
        horizontal_line(69, 102),
        horizontal_line(70, 102),
        horizontal_line(72, 101),
        horizontal_line(74, 101),
        horizontal_line(76, 101),
        horizontal_line(78, 100),
        horizontal_line(80, 100),
        horizontal_line(150, 150),
        horizontal_line(151, 151),
        horizontal_line(152, 152),
        horizontal_line(153, 153),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 218),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(217, 234),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(160, 214),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(158, 159),
        horizontal_line(158, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 159),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(161, 188),
        horizontal_line(161, 186),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(184, 189),
        horizontal_line(183, 186),
        horizontal_line(182, 184),
        horizontal_line(181, 181),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(101, 146),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(102, 148),
        horizontal_line(102, 148),
        horizontal_line(102, 148),
        horizontal_line(103, 149),
        horizontal_line(0, 0),
        horizontal_line(0, 20),
        horizontal_line(103, 150),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(161, 173),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(161, 167),
        horizontal_line(161, 164),
        horizontal_line(178, 191),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(178, 190),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(163, 177),
        horizontal_line(164, 177),
        horizontal_line(166, 177),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(171, 177),
        horizontal_line(173, 178),
        horizontal_line(178, 183),
        horizontal_line(191, 210),
        horizontal_line(178, 188),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(184, 208),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(178, 184),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_106_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(182, 212),
        horizontal_line(181, 225),
    };

    constexpr const shape frame_106_shape_group_4_shapes[] = {
        shape(frame_106_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_106_shape_group_4_shape_1_horizontal_lines, 11, 2),
        shape(frame_106_shape_group_4_shape_2_horizontal_lines, 26, 1),
        shape(frame_106_shape_group_4_shape_3_horizontal_lines, 29, 3),
        shape(frame_106_shape_group_4_shape_4_horizontal_lines, 30, 1),
        shape(frame_106_shape_group_4_shape_5_horizontal_lines, 32, 2),
        shape(frame_106_shape_group_4_shape_6_horizontal_lines, 51, 1),
        shape(frame_106_shape_group_4_shape_7_horizontal_lines, 53, 2),
        shape(frame_106_shape_group_4_shape_8_horizontal_lines, 64, 1),
        shape(frame_106_shape_group_4_shape_9_horizontal_lines, 65, 3),
        shape(frame_106_shape_group_4_shape_10_horizontal_lines, 66, 2),
        shape(frame_106_shape_group_4_shape_11_horizontal_lines, 71, 3),
        shape(frame_106_shape_group_4_shape_12_horizontal_lines, 78, 7),
        shape(frame_106_shape_group_4_shape_13_horizontal_lines, 79, 3),
        shape(frame_106_shape_group_4_shape_14_horizontal_lines, 80, 7),
        shape(frame_106_shape_group_4_shape_15_horizontal_lines, 89, 8),
        shape(frame_106_shape_group_4_shape_16_horizontal_lines, 103, 9),
        shape(frame_106_shape_group_4_shape_17_horizontal_lines, 104, 8),
        shape(frame_106_shape_group_4_shape_18_horizontal_lines, 109, 7),
        shape(frame_106_shape_group_4_shape_19_horizontal_lines, 110, 8),
        shape(frame_106_shape_group_4_shape_20_horizontal_lines, 118, 7),
        shape(frame_106_shape_group_4_shape_21_horizontal_lines, 120, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(192, 237),
        horizontal_line(192, 236),
        horizontal_line(193, 235),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(197, 233),
        horizontal_line(198, 233),
        horizontal_line(199, 232),
        horizontal_line(200, 231),
        horizontal_line(202, 231),
        horizontal_line(203, 230),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(143, 144),
        horizontal_line(144, 145),
        horizontal_line(145, 146),
        horizontal_line(146, 147),
        horizontal_line(147, 148),
        horizontal_line(148, 149),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(217, 220),
        horizontal_line(218, 219),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(219, 235),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(216, 233),
        horizontal_line(215, 232),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(160, 213),
        horizontal_line(160, 211),
        horizontal_line(160, 210),
        horizontal_line(160, 209),
        horizontal_line(160, 208),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 81),
        horizontal_line(62, 84),
        horizontal_line(62, 87),
        horizontal_line(195, 195),
        horizontal_line(193, 194),
        horizontal_line(192, 193),
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(161, 175),
        horizontal_line(161, 173),
        horizontal_line(161, 171),
        horizontal_line(160, 169),
        horizontal_line(160, 167),
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(101, 146),
        horizontal_line(163, 163),
        horizontal_line(101, 146),
        horizontal_line(101, 146),
        horizontal_line(102, 147),
        horizontal_line(102, 147),
        horizontal_line(102, 147),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(103, 149),
        horizontal_line(103, 149),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(161, 191),
        horizontal_line(178, 191),
        horizontal_line(161, 170),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(191, 211),
        horizontal_line(190, 211),
        horizontal_line(190, 210),
        horizontal_line(190, 210),
        horizontal_line(190, 210),
        horizontal_line(190, 210),
        horizontal_line(190, 210),
        horizontal_line(190, 210),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(188, 209),
        horizontal_line(187, 209),
        horizontal_line(186, 209),
        horizontal_line(185, 208),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(188, 208),
        horizontal_line(193, 207),
        horizontal_line(198, 207),
        horizontal_line(203, 207),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(182, 189),
    };

    constexpr const horizontal_line frame_106_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(183, 198),
    };

    constexpr const shape frame_106_shape_group_5_shapes[] = {
        shape(frame_106_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_106_shape_group_5_shape_1_horizontal_lines, 3, 3),
        shape(frame_106_shape_group_5_shape_2_horizontal_lines, 5, 1),
        shape(frame_106_shape_group_5_shape_3_horizontal_lines, 14, 2),
        shape(frame_106_shape_group_5_shape_4_horizontal_lines, 21, 1),
        shape(frame_106_shape_group_5_shape_5_horizontal_lines, 28, 3),
        shape(frame_106_shape_group_5_shape_6_horizontal_lines, 30, 3),
        shape(frame_106_shape_group_5_shape_7_horizontal_lines, 32, 1),
        shape(frame_106_shape_group_5_shape_8_horizontal_lines, 37, 2),
        shape(frame_106_shape_group_5_shape_9_horizontal_lines, 51, 3),
        shape(frame_106_shape_group_5_shape_10_horizontal_lines, 53, 2),
        shape(frame_106_shape_group_5_shape_11_horizontal_lines, 58, 1),
        shape(frame_106_shape_group_5_shape_12_horizontal_lines, 64, 3),
        shape(frame_106_shape_group_5_shape_13_horizontal_lines, 77, 7),
        shape(frame_106_shape_group_5_shape_14_horizontal_lines, 86, 8),
        shape(frame_106_shape_group_5_shape_15_horizontal_lines, 97, 9),
        shape(frame_106_shape_group_5_shape_16_horizontal_lines, 98, 8),
        shape(frame_106_shape_group_5_shape_17_horizontal_lines, 99, 9),
        shape(frame_106_shape_group_5_shape_18_horizontal_lines, 104, 9),
        shape(frame_106_shape_group_5_shape_19_horizontal_lines, 109, 8),
        shape(frame_106_shape_group_5_shape_20_horizontal_lines, 118, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(204, 229),
        horizontal_line(205, 229),
        horizontal_line(207, 228),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(213, 223),
        horizontal_line(214, 222),
        horizontal_line(215, 222),
        horizontal_line(216, 221),
        horizontal_line(217, 220),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(221, 237),
        horizontal_line(220, 236),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(214, 231),
        horizontal_line(212, 215),
        horizontal_line(211, 214),
        horizontal_line(210, 213),
        horizontal_line(209, 211),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(160, 207),
        horizontal_line(160, 205),
        horizontal_line(160, 204),
        horizontal_line(160, 203),
        horizontal_line(160, 202),
        horizontal_line(160, 200),
        horizontal_line(160, 199),
        horizontal_line(161, 198),
        horizontal_line(161, 197),
        horizontal_line(161, 196),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(161, 189),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(192, 193),
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(161, 185),
        horizontal_line(161, 183),
        horizontal_line(161, 182),
        horizontal_line(161, 179),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(100, 125),
        horizontal_line(100, 128),
        horizontal_line(100, 132),
        horizontal_line(100, 135),
        horizontal_line(101, 139),
        horizontal_line(101, 142),
        horizontal_line(164, 165),
        horizontal_line(177, 187),
        horizontal_line(176, 183),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(168, 175),
        horizontal_line(166, 175),
        horizontal_line(163, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(161, 176),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(178, 191),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(162, 177),
        horizontal_line(191, 211),
        horizontal_line(191, 211),
        horizontal_line(191, 211),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(190, 190),
        horizontal_line(189, 210),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_106_shape_group_6_shapes[] = {
        shape(frame_106_shape_group_6_shape_0_horizontal_lines, 0, 3),
        shape(frame_106_shape_group_6_shape_1_horizontal_lines, 5, 3),
        shape(frame_106_shape_group_6_shape_2_horizontal_lines, 11, 1),
        shape(frame_106_shape_group_6_shape_3_horizontal_lines, 26, 3),
        shape(frame_106_shape_group_6_shape_4_horizontal_lines, 32, 3),
        shape(frame_106_shape_group_6_shape_5_horizontal_lines, 37, 1),
        shape(frame_106_shape_group_6_shape_6_horizontal_lines, 47, 2),
        shape(frame_106_shape_group_6_shape_7_horizontal_lines, 50, 1),
        shape(frame_106_shape_group_6_shape_8_horizontal_lines, 51, 3),
        shape(frame_106_shape_group_6_shape_9_horizontal_lines, 53, 1),
        shape(frame_106_shape_group_6_shape_10_horizontal_lines, 58, 3),
        shape(frame_106_shape_group_6_shape_11_horizontal_lines, 71, 7),
        shape(frame_106_shape_group_6_shape_12_horizontal_lines, 82, 8),
        shape(frame_106_shape_group_6_shape_13_horizontal_lines, 96, 9),
        shape(frame_106_shape_group_6_shape_14_horizontal_lines, 109, 8),
        shape(frame_106_shape_group_6_shape_15_horizontal_lines, 118, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(207, 227),
        horizontal_line(208, 227),
        horizontal_line(209, 226),
        horizontal_line(210, 226),
        horizontal_line(211, 225),
        horizontal_line(212, 224),
        horizontal_line(212, 224),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 238),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(217, 230),
        horizontal_line(217, 229),
        horizontal_line(217, 228),
        horizontal_line(217, 227),
        horizontal_line(208, 210),
        horizontal_line(206, 209),
        horizontal_line(205, 208),
        horizontal_line(204, 207),
        horizontal_line(203, 205),
        horizontal_line(201, 204),
        horizontal_line(200, 203),
        horizontal_line(199, 202),
        horizontal_line(198, 200),
        horizontal_line(197, 199),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(161, 194),
        horizontal_line(161, 192),
        horizontal_line(161, 191),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(212, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(99, 108),
        horizontal_line(99, 111),
        horizontal_line(99, 115),
        horizontal_line(100, 118),
        horizontal_line(100, 122),
        horizontal_line(176, 188),
        horizontal_line(174, 176),
        horizontal_line(172, 174),
        horizontal_line(170, 172),
        horizontal_line(168, 170),
        horizontal_line(166, 167),
        horizontal_line(177, 187),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(188, 213),
        horizontal_line(188, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(173, 175),
        horizontal_line(171, 175),
        horizontal_line(191, 205),
        horizontal_line(191, 202),
        horizontal_line(192, 199),
        horizontal_line(192, 196),
        horizontal_line(193, 193),
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(192, 212),
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(168, 177),
        horizontal_line(165, 177),
        horizontal_line(192, 212),
        horizontal_line(191, 212),
        horizontal_line(191, 211),
        horizontal_line(191, 211),
    };

    constexpr const shape frame_106_shape_group_7_shapes[] = {
        shape(frame_106_shape_group_7_shape_0_horizontal_lines, 11, 3),
        shape(frame_106_shape_group_7_shape_1_horizontal_lines, 14, 1),
        shape(frame_106_shape_group_7_shape_2_horizontal_lines, 21, 3),
        shape(frame_106_shape_group_7_shape_3_horizontal_lines, 33, 3),
        shape(frame_106_shape_group_7_shape_4_horizontal_lines, 47, 1),
        shape(frame_106_shape_group_7_shape_5_horizontal_lines, 50, 3),
        shape(frame_106_shape_group_7_shape_6_horizontal_lines, 52, 7),
        shape(frame_106_shape_group_7_shape_7_horizontal_lines, 53, 3),
        shape(frame_106_shape_group_7_shape_8_horizontal_lines, 65, 7),
        shape(frame_106_shape_group_7_shape_9_horizontal_lines, 67, 3),
        shape(frame_106_shape_group_7_shape_10_horizontal_lines, 68, 7),
        shape(frame_106_shape_group_7_shape_11_horizontal_lines, 77, 8),
        shape(frame_106_shape_group_7_shape_12_horizontal_lines, 79, 7),
        shape(frame_106_shape_group_7_shape_13_horizontal_lines, 80, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(216, 226),
        horizontal_line(216, 225),
        horizontal_line(216, 224),
        horizontal_line(216, 223),
        horizontal_line(216, 222),
        horizontal_line(215, 221),
        horizontal_line(215, 220),
        horizontal_line(215, 219),
        horizontal_line(215, 218),
        horizontal_line(215, 217),
        horizontal_line(196, 198),
        horizontal_line(195, 197),
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(190, 190),
        horizontal_line(187, 188),
        horizontal_line(180, 181),
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(201, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(179, 188),
        horizontal_line(179, 187),
        horizontal_line(178, 187),
        horizontal_line(178, 187),
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(189, 213),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(189, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(190, 211),
        horizontal_line(190, 208),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(192, 212),
        horizontal_line(171, 177),
        horizontal_line(192, 212),
        horizontal_line(192, 212),
    };

    constexpr const shape frame_106_shape_group_8_shapes[] = {
        shape(frame_106_shape_group_8_shape_0_horizontal_lines, 14, 3),
        shape(frame_106_shape_group_8_shape_1_horizontal_lines, 37, 3),
        shape(frame_106_shape_group_8_shape_2_horizontal_lines, 53, 3),
        shape(frame_106_shape_group_8_shape_3_horizontal_lines, 58, 7),
        shape(frame_106_shape_group_8_shape_4_horizontal_lines, 59, 3),
        shape(frame_106_shape_group_8_shape_5_horizontal_lines, 64, 7),
        shape(frame_106_shape_group_8_shape_6_horizontal_lines, 69, 7),
        shape(frame_106_shape_group_8_shape_7_horizontal_lines, 78, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(214, 216),
        horizontal_line(214, 215),
        horizontal_line(214, 214),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(210, 213),
        horizontal_line(208, 213),
        horizontal_line(206, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(182, 188),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(199, 213),
        horizontal_line(197, 213),
        horizontal_line(195, 213),
        horizontal_line(193, 213),
        horizontal_line(191, 213),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(206, 213),
        horizontal_line(203, 213),
        horizontal_line(200, 213),
        horizontal_line(197, 213),
        horizontal_line(194, 213),
        horizontal_line(192, 212),
    };

    constexpr const horizontal_line frame_106_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(192, 212),
    };

    constexpr const shape frame_106_shape_group_9_shapes[] = {
        shape(frame_106_shape_group_9_shape_0_horizontal_lines, 47, 3),
        shape(frame_106_shape_group_9_shape_1_horizontal_lines, 53, 7),
        shape(frame_106_shape_group_9_shape_2_horizontal_lines, 56, 3),
        shape(frame_106_shape_group_9_shape_3_horizontal_lines, 58, 7),
        shape(frame_106_shape_group_9_shape_4_horizontal_lines, 67, 7),
        shape(frame_106_shape_group_9_shape_5_horizontal_lines, 69, 7),
        shape(frame_106_shape_group_9_shape_6_horizontal_lines, 71, 8),
        shape(frame_106_shape_group_9_shape_7_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(204, 213),
        horizontal_line(202, 213),
    };

    constexpr const horizontal_line frame_106_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_106_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(212, 213),
        horizontal_line(209, 213),
    };

    constexpr const shape frame_106_shape_group_10_shapes[] = {
        shape(frame_106_shape_group_10_shape_0_horizontal_lines, 53, 7),
        shape(frame_106_shape_group_10_shape_1_horizontal_lines, 59, 7),
        shape(frame_106_shape_group_10_shape_2_horizontal_lines, 69, 8),
    };

    constexpr const horizontal_line frame_106_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_106_shape_group_11_shapes[] = {
        shape(frame_106_shape_group_11_shape_0_horizontal_lines, 56, 7),
    };

    constexpr const shape_group frame_106_shape_groups[] = {
        shape_group(frame_106_shape_group_0_shapes),
        shape_group(frame_106_shape_group_1_shapes),
        shape_group(frame_106_shape_group_2_shapes),
        shape_group(frame_106_shape_group_3_shapes),
        shape_group(frame_106_shape_group_4_shapes),
        shape_group(frame_106_shape_group_5_shapes),
        shape_group(frame_106_shape_group_6_shapes),
        shape_group(frame_106_shape_group_7_shapes),
        shape_group(frame_106_shape_group_8_shapes),
        shape_group(frame_106_shape_group_9_shapes),
        shape_group(frame_106_shape_group_10_shapes),
        shape_group(frame_106_shape_group_11_shapes),
    };

    constexpr const frame frame_106_impl(frame_106_colors, frame_106_shape_groups);
} 

const frame& frame_106()
{
    return frame_106_impl;
}

namespace
{
    constexpr const bn::color frame_107_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(1, 63),
        horizontal_line(3, 64),
        horizontal_line(5, 66),
        horizontal_line(7, 67),
        horizontal_line(10, 69),
        horizontal_line(12, 74),
        horizontal_line(14, 71),
        horizontal_line(17, 71),
        horizontal_line(19, 71),
        horizontal_line(21, 71),
        horizontal_line(24, 71),
        horizontal_line(26, 71),
        horizontal_line(28, 71),
        horizontal_line(31, 71),
        horizontal_line(33, 72),
        horizontal_line(35, 72),
        horizontal_line(38, 72),
        horizontal_line(40, 72),
        horizontal_line(42, 72),
        horizontal_line(44, 72),
        horizontal_line(47, 72),
        horizontal_line(49, 72),
        horizontal_line(51, 72),
        horizontal_line(54, 73),
        horizontal_line(56, 73),
        horizontal_line(58, 73),
        horizontal_line(61, 73),
        horizontal_line(63, 73),
        horizontal_line(65, 73),
        horizontal_line(68, 73),
        horizontal_line(70, 73),
        horizontal_line(72, 73),
        horizontal_line(125, 143),
        horizontal_line(127, 142),
        horizontal_line(129, 142),
        horizontal_line(131, 141),
        horizontal_line(133, 141),
        horizontal_line(135, 140),
        horizontal_line(137, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 143),
        horizontal_line(138, 143),
        horizontal_line(138, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 145),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(142, 145),
        horizontal_line(143, 146),
        horizontal_line(145, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 56),
        horizontal_line(0, 51),
        horizontal_line(0, 47),
        horizontal_line(0, 43),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 25),
        horizontal_line(0, 21),
        horizontal_line(0, 17),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_107_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_107_shape_group_0_shapes[] = {
        shape(frame_107_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_107_shape_group_0_shape_1_horizontal_lines, 48, 2),
        shape(frame_107_shape_group_0_shape_2_horizontal_lines, 51, 4),
        shape(frame_107_shape_group_0_shape_3_horizontal_lines, 79, 2),
        shape(frame_107_shape_group_0_shape_4_horizontal_lines, 87, 3),
        shape(frame_107_shape_group_0_shape_5_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_107_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(77, 129),
        horizontal_line(76, 129),
        horizontal_line(76, 130),
        horizontal_line(75, 131),
        horizontal_line(75, 132),
        horizontal_line(75, 133),
        horizontal_line(74, 133),
        horizontal_line(74, 134),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 144),
        horizontal_line(85, 145),
        horizontal_line(87, 145),
        horizontal_line(89, 146),
        horizontal_line(91, 147),
        horizontal_line(93, 148),
        horizontal_line(95, 149),
        horizontal_line(97, 150),
        horizontal_line(99, 149),
        horizontal_line(101, 149),
        horizontal_line(103, 148),
        horizontal_line(105, 148),
        horizontal_line(107, 147),
        horizontal_line(109, 147),
        horizontal_line(111, 146),
        horizontal_line(113, 146),
        horizontal_line(115, 145),
        horizontal_line(117, 145),
        horizontal_line(119, 144),
        horizontal_line(121, 144),
        horizontal_line(123, 143),
    };

    constexpr const horizontal_line frame_107_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(97, 151),
        horizontal_line(100, 151),
        horizontal_line(103, 151),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(12, 74),
        horizontal_line(23, 77),
        horizontal_line(34, 77),
        horizontal_line(45, 77),
        horizontal_line(56, 77),
        horizontal_line(67, 77),
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_107_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 77),
        horizontal_line(62, 73),
        horizontal_line(62, 69),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_107_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(61, 83),
        horizontal_line(57, 83),
        horizontal_line(52, 84),
        horizontal_line(48, 84),
        horizontal_line(44, 85),
        horizontal_line(39, 85),
        horizontal_line(35, 86),
        horizontal_line(31, 86),
        horizontal_line(26, 87),
        horizontal_line(22, 84),
        horizontal_line(18, 80),
        horizontal_line(13, 75),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
    };

    constexpr const shape frame_107_shape_group_1_shapes[] = {
        shape(frame_107_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_107_shape_group_1_shape_1_horizontal_lines, 40, 2),
        shape(frame_107_shape_group_1_shape_2_horizontal_lines, 79, 3),
        shape(frame_107_shape_group_1_shape_3_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(52, 76),
        horizontal_line(53, 75),
        horizontal_line(55, 75),
        horizontal_line(56, 74),
        horizontal_line(58, 74),
        horizontal_line(59, 74),
        horizontal_line(61, 73),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(135, 136),
        horizontal_line(135, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 138),
        horizontal_line(136, 139),
        horizontal_line(135, 140),
        horizontal_line(137, 141),
        horizontal_line(139, 141),
        horizontal_line(141, 142),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(144, 150),
        horizontal_line(77, 126),
        horizontal_line(80, 128),
        horizontal_line(83, 130),
        horizontal_line(86, 132),
        horizontal_line(89, 134),
        horizontal_line(91, 136),
        horizontal_line(94, 139),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(184, 184),
        horizontal_line(106, 138),
        horizontal_line(108, 138),
        horizontal_line(111, 138),
        horizontal_line(114, 138),
        horizontal_line(117, 137),
        horizontal_line(120, 137),
        horizontal_line(122, 137),
        horizontal_line(125, 137),
        horizontal_line(128, 136),
        horizontal_line(131, 136),
        horizontal_line(134, 136),
        horizontal_line(143, 149),
        horizontal_line(144, 149),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(91, 140),
        horizontal_line(104, 140),
        horizontal_line(116, 140),
        horizontal_line(129, 140),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 143),
        horizontal_line(81, 139),
        horizontal_line(81, 134),
        horizontal_line(82, 129),
        horizontal_line(82, 124),
        horizontal_line(82, 119),
        horizontal_line(82, 114),
        horizontal_line(82, 110),
        horizontal_line(82, 105),
        horizontal_line(82, 100),
        horizontal_line(82, 95),
        horizontal_line(82, 90),
        horizontal_line(82, 85),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(78, 81),
        horizontal_line(74, 81),
        horizontal_line(70, 82),
        horizontal_line(65, 82),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(178, 178),
        horizontal_line(177, 190),
        horizontal_line(176, 202),
        horizontal_line(175, 214),
        horizontal_line(174, 226),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(84, 87),
        horizontal_line(80, 87),
        horizontal_line(75, 88),
        horizontal_line(71, 88),
        horizontal_line(67, 89),
        horizontal_line(63, 89),
    };

    constexpr const horizontal_line frame_107_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
    };

    constexpr const shape frame_107_shape_group_2_shapes[] = {
        shape(frame_107_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_107_shape_group_2_shape_1_horizontal_lines, 8, 4),
        shape(frame_107_shape_group_2_shape_2_horizontal_lines, 19, 2),
        shape(frame_107_shape_group_2_shape_3_horizontal_lines, 78, 3),
        shape(frame_107_shape_group_2_shape_4_horizontal_lines, 87, 1),
        shape(frame_107_shape_group_2_shape_5_horizontal_lines, 118, 8),
        shape(frame_107_shape_group_2_shape_6_horizontal_lines, 119, 1),
        shape(frame_107_shape_group_2_shape_7_horizontal_lines, 123, 8),
        shape(frame_107_shape_group_2_shape_8_horizontal_lines, 132, 1),
        shape(frame_107_shape_group_2_shape_9_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(72, 82),
        horizontal_line(72, 84),
        horizontal_line(72, 86),
        horizontal_line(73, 88),
        horizontal_line(73, 90),
        horizontal_line(73, 92),
        horizontal_line(73, 94),
        horizontal_line(73, 96),
        horizontal_line(73, 98),
        horizontal_line(73, 100),
        horizontal_line(73, 102),
        horizontal_line(73, 104),
        horizontal_line(74, 106),
        horizontal_line(74, 108),
        horizontal_line(74, 110),
        horizontal_line(74, 112),
        horizontal_line(74, 114),
        horizontal_line(74, 116),
        horizontal_line(74, 118),
        horizontal_line(74, 120),
        horizontal_line(74, 122),
        horizontal_line(62, 124),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(152, 187),
        horizontal_line(152, 185),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 152),
        horizontal_line(142, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 150),
        horizontal_line(143, 150),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(145, 147),
        horizontal_line(145, 151),
        horizontal_line(145, 147),
        horizontal_line(146, 146),
        horizontal_line(63, 77),
        horizontal_line(74, 77),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 33),
        horizontal_line(0, 44),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(79, 141),
        horizontal_line(79, 141),
        horizontal_line(79, 141),
        horizontal_line(79, 141),
        horizontal_line(141, 147),
        horizontal_line(142, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 152),
        horizontal_line(142, 154),
        horizontal_line(142, 155),
        horizontal_line(142, 157),
        horizontal_line(142, 159),
        horizontal_line(142, 160),
        horizontal_line(142, 162),
        horizontal_line(142, 164),
        horizontal_line(143, 165),
        horizontal_line(143, 167),
        horizontal_line(143, 168),
        horizontal_line(143, 163),
        horizontal_line(143, 158),
        horizontal_line(143, 153),
        horizontal_line(143, 148),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(172, 179),
        horizontal_line(173, 186),
        horizontal_line(173, 192),
        horizontal_line(173, 235),
        horizontal_line(174, 180),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_107_shape_group_3_shapes[] = {
        shape(frame_107_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_107_shape_group_3_shape_1_horizontal_lines, 8, 4),
        shape(frame_107_shape_group_3_shape_2_horizontal_lines, 9, 2),
        shape(frame_107_shape_group_3_shape_3_horizontal_lines, 48, 7),
        shape(frame_107_shape_group_3_shape_4_horizontal_lines, 50, 2),
        shape(frame_107_shape_group_3_shape_5_horizontal_lines, 73, 3),
        shape(frame_107_shape_group_3_shape_6_horizontal_lines, 83, 1),
        shape(frame_107_shape_group_3_shape_7_horizontal_lines, 106, 8),
        shape(frame_107_shape_group_3_shape_8_horizontal_lines, 119, 8),
        shape(frame_107_shape_group_3_shape_9_horizontal_lines, 124, 8),
        shape(frame_107_shape_group_3_shape_10_horizontal_lines, 129, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(192, 229),
        horizontal_line(192, 228),
        horizontal_line(193, 227),
        horizontal_line(194, 226),
        horizontal_line(195, 226),
        horizontal_line(196, 225),
        horizontal_line(196, 224),
        horizontal_line(197, 224),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(65, 72),
        horizontal_line(67, 72),
        horizontal_line(68, 71),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 74),
        horizontal_line(72, 76),
        horizontal_line(72, 78),
        horizontal_line(72, 80),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 211),
        horizontal_line(151, 211),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(150, 150),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(148, 150),
        horizontal_line(148, 150),
        horizontal_line(147, 150),
        horizontal_line(147, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 150),
        horizontal_line(144, 150),
        horizontal_line(124, 124),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(75, 96),
        horizontal_line(75, 99),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(152, 183),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(181, 182),
        horizontal_line(179, 181),
        horizontal_line(178, 180),
        horizontal_line(176, 178),
        horizontal_line(174, 176),
        horizontal_line(173, 174),
        horizontal_line(172, 172),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(150, 160),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(149, 152),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(78, 138),
        horizontal_line(78, 138),
        horizontal_line(78, 139),
        horizontal_line(78, 139),
        horizontal_line(78, 139),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(79, 90),
        horizontal_line(79, 103),
        horizontal_line(79, 115),
        horizontal_line(79, 128),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(155, 168),
        horizontal_line(156, 168),
        horizontal_line(158, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 168),
        horizontal_line(163, 168),
        horizontal_line(165, 169),
        horizontal_line(168, 175),
        horizontal_line(168, 180),
        horizontal_line(170, 179),
        horizontal_line(170, 178),
        horizontal_line(170, 177),
        horizontal_line(171, 176),
        horizontal_line(171, 175),
        horizontal_line(171, 174),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(235, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_107_shape_group_4_shapes[] = {
        shape(frame_107_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_107_shape_group_4_shape_1_horizontal_lines, 8, 2),
        shape(frame_107_shape_group_4_shape_2_horizontal_lines, 13, 7),
        shape(frame_107_shape_group_4_shape_3_horizontal_lines, 14, 2),
        shape(frame_107_shape_group_4_shape_4_horizontal_lines, 19, 7),
        shape(frame_107_shape_group_4_shape_5_horizontal_lines, 27, 2),
        shape(frame_107_shape_group_4_shape_6_horizontal_lines, 48, 3),
        shape(frame_107_shape_group_4_shape_7_horizontal_lines, 50, 7),
        shape(frame_107_shape_group_4_shape_8_horizontal_lines, 51, 2),
        shape(frame_107_shape_group_4_shape_9_horizontal_lines, 62, 7),
        shape(frame_107_shape_group_4_shape_10_horizontal_lines, 64, 2),
        shape(frame_107_shape_group_4_shape_11_horizontal_lines, 71, 3),
        shape(frame_107_shape_group_4_shape_12_horizontal_lines, 79, 1),
        shape(frame_107_shape_group_4_shape_13_horizontal_lines, 87, 8),
        shape(frame_107_shape_group_4_shape_14_horizontal_lines, 132, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(64, 72),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(202, 220),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(207, 215),
        horizontal_line(208, 215),
        horizontal_line(208, 214),
        horizontal_line(209, 213),
        horizontal_line(210, 213),
        horizontal_line(211, 212),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(212, 228),
        horizontal_line(212, 227),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(151, 210),
        horizontal_line(151, 209),
        horizontal_line(151, 208),
        horizontal_line(151, 207),
        horizontal_line(151, 206),
        horizontal_line(151, 205),
        horizontal_line(151, 203),
        horizontal_line(151, 202),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(151, 196),
        horizontal_line(151, 194),
        horizontal_line(152, 193),
        horizontal_line(152, 192),
        horizontal_line(152, 191),
        horizontal_line(152, 190),
        horizontal_line(152, 189),
        horizontal_line(152, 188),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(186, 187),
        horizontal_line(76, 102),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 168),
        horizontal_line(151, 166),
        horizontal_line(151, 164),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(77, 136),
        horizontal_line(77, 136),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(149, 156),
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(77, 137),
        horizontal_line(78, 137),
        horizontal_line(78, 137),
        horizontal_line(78, 138),
        horizontal_line(78, 138),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
        horizontal_line(141, 141),
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(153, 168),
        horizontal_line(182, 202),
        horizontal_line(182, 202),
        horizontal_line(182, 202),
        horizontal_line(182, 202),
        horizontal_line(182, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 201),
        horizontal_line(182, 201),
        horizontal_line(192, 201),
        horizontal_line(202, 202),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(174, 199),
        horizontal_line(180, 199),
        horizontal_line(187, 199),
        horizontal_line(193, 199),
    };

    constexpr const shape frame_107_shape_group_5_shapes[] = {
        shape(frame_107_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_107_shape_group_5_shape_1_horizontal_lines, 8, 2),
        shape(frame_107_shape_group_5_shape_2_horizontal_lines, 9, 7),
        shape(frame_107_shape_group_5_shape_3_horizontal_lines, 25, 3),
        shape(frame_107_shape_group_5_shape_4_horizontal_lines, 27, 7),
        shape(frame_107_shape_group_5_shape_5_horizontal_lines, 35, 2),
        shape(frame_107_shape_group_5_shape_6_horizontal_lines, 40, 7),
        shape(frame_107_shape_group_5_shape_7_horizontal_lines, 48, 3),
        shape(frame_107_shape_group_5_shape_8_horizontal_lines, 51, 2),
        shape(frame_107_shape_group_5_shape_9_horizontal_lines, 59, 7),
        shape(frame_107_shape_group_5_shape_10_horizontal_lines, 62, 3),
        shape(frame_107_shape_group_5_shape_11_horizontal_lines, 64, 7),
        shape(frame_107_shape_group_5_shape_12_horizontal_lines, 67, 2),
        shape(frame_107_shape_group_5_shape_13_horizontal_lines, 68, 3),
        shape(frame_107_shape_group_5_shape_14_horizontal_lines, 78, 1),
        shape(frame_107_shape_group_5_shape_15_horizontal_lines, 85, 8),
        shape(frame_107_shape_group_5_shape_16_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(199, 222),
        horizontal_line(200, 222),
        horizontal_line(200, 221),
        horizontal_line(201, 220),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(203, 219),
        horizontal_line(204, 218),
        horizontal_line(204, 218),
        horizontal_line(205, 217),
        horizontal_line(206, 216),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(216, 234),
        horizontal_line(216, 233),
        horizontal_line(215, 232),
        horizontal_line(214, 231),
        horizontal_line(214, 230),
        horizontal_line(213, 229),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(211, 226),
        horizontal_line(210, 226),
        horizontal_line(209, 225),
        horizontal_line(208, 224),
        horizontal_line(207, 223),
        horizontal_line(206, 222),
        horizontal_line(204, 221),
        horizontal_line(203, 205),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(151, 201),
        horizontal_line(151, 200),
        horizontal_line(151, 199),
        horizontal_line(151, 198),
        horizontal_line(151, 197),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(75, 76),
        horizontal_line(75, 79),
        horizontal_line(75, 82),
        horizontal_line(75, 85),
        horizontal_line(75, 88),
        horizontal_line(75, 90),
        horizontal_line(75, 93),
        horizontal_line(205, 207),
        horizontal_line(205, 206),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(152, 182),
        horizontal_line(152, 180),
        horizontal_line(152, 178),
        horizontal_line(152, 177),
        horizontal_line(152, 175),
        horizontal_line(152, 173),
        horizontal_line(153, 172),
        horizontal_line(152, 170),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(77, 127),
        horizontal_line(77, 130),
        horizontal_line(77, 133),
        horizontal_line(163, 164),
        horizontal_line(161, 162),
        horizontal_line(77, 136),
        horizontal_line(77, 136),
        horizontal_line(77, 136),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(148, 151),
        horizontal_line(147, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(152, 157),
        horizontal_line(152, 155),
        horizontal_line(152, 153),
        horizontal_line(168, 182),
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(183, 203),
        horizontal_line(166, 168),
        horizontal_line(163, 168),
        horizontal_line(161, 168),
        horizontal_line(158, 168),
        horizontal_line(155, 168),
        horizontal_line(153, 168),
        horizontal_line(182, 202),
        horizontal_line(182, 202),
    };

    constexpr const horizontal_line frame_107_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(181, 181),
        horizontal_line(180, 191),
        horizontal_line(179, 201),
        horizontal_line(178, 200),
        horizontal_line(177, 200),
        horizontal_line(176, 200),
        horizontal_line(175, 200),
    };

    constexpr const shape frame_107_shape_group_6_shapes[] = {
        shape(frame_107_shape_group_6_shape_0_horizontal_lines, 8, 7),
        shape(frame_107_shape_group_6_shape_1_horizontal_lines, 13, 3),
        shape(frame_107_shape_group_6_shape_2_horizontal_lines, 14, 7),
        shape(frame_107_shape_group_6_shape_3_horizontal_lines, 19, 3),
        shape(frame_107_shape_group_6_shape_4_horizontal_lines, 25, 1),
        shape(frame_107_shape_group_6_shape_5_horizontal_lines, 27, 3),
        shape(frame_107_shape_group_6_shape_6_horizontal_lines, 35, 7),
        shape(frame_107_shape_group_6_shape_7_horizontal_lines, 40, 3),
        shape(frame_107_shape_group_6_shape_8_horizontal_lines, 51, 7),
        shape(frame_107_shape_group_6_shape_9_horizontal_lines, 59, 3),
        shape(frame_107_shape_group_6_shape_10_horizontal_lines, 67, 7),
        shape(frame_107_shape_group_6_shape_11_horizontal_lines, 68, 3),
        shape(frame_107_shape_group_6_shape_12_horizontal_lines, 73, 1),
        shape(frame_107_shape_group_6_shape_13_horizontal_lines, 78, 8),
        shape(frame_107_shape_group_6_shape_14_horizontal_lines, 98, 9),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(198, 223),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(219, 238),
        horizontal_line(219, 237),
        horizontal_line(218, 236),
        horizontal_line(217, 235),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(207, 220),
        horizontal_line(202, 204),
        horizontal_line(201, 203),
        horizontal_line(200, 201),
        horizontal_line(199, 200),
        horizontal_line(198, 199),
        horizontal_line(206, 215),
        horizontal_line(195, 196),
        horizontal_line(194, 195),
        horizontal_line(193, 194),
        horizontal_line(192, 193),
        horizontal_line(191, 192),
        horizontal_line(190, 190),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(189, 204),
        horizontal_line(188, 204),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(205, 205),
        horizontal_line(76, 105),
        horizontal_line(76, 107),
        horizontal_line(76, 110),
        horizontal_line(76, 113),
        horizontal_line(76, 116),
        horizontal_line(76, 119),
        horizontal_line(76, 121),
        horizontal_line(76, 124),
        horizontal_line(169, 178),
        horizontal_line(167, 178),
        horizontal_line(165, 166),
        horizontal_line(169, 178),
        horizontal_line(169, 177),
        horizontal_line(159, 160),
        horizontal_line(157, 157),
        horizontal_line(155, 155),
        horizontal_line(77, 137),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(152, 166),
        horizontal_line(152, 178),
        horizontal_line(152, 163),
        horizontal_line(152, 161),
        horizontal_line(152, 159),
        horizontal_line(167, 180),
        horizontal_line(168, 181),
        horizontal_line(168, 181),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(186, 203),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(168, 183),
    };

    constexpr const horizontal_line frame_107_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(183, 203),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
        horizontal_line(183, 202),
    };

    constexpr const shape frame_107_shape_group_7_shapes[] = {
        shape(frame_107_shape_group_7_shape_0_horizontal_lines, 8, 7),
        shape(frame_107_shape_group_7_shape_1_horizontal_lines, 9, 3),
        shape(frame_107_shape_group_7_shape_2_horizontal_lines, 14, 3),
        shape(frame_107_shape_group_7_shape_3_horizontal_lines, 19, 1),
        shape(frame_107_shape_group_7_shape_4_horizontal_lines, 27, 1),
        shape(frame_107_shape_group_7_shape_5_horizontal_lines, 34, 3),
        shape(frame_107_shape_group_7_shape_6_horizontal_lines, 48, 1),
        shape(frame_107_shape_group_7_shape_7_horizontal_lines, 50, 3),
        shape(frame_107_shape_group_7_shape_8_horizontal_lines, 68, 1),
        shape(frame_107_shape_group_7_shape_9_horizontal_lines, 76, 8),
        shape(frame_107_shape_group_7_shape_10_horizontal_lines, 77, 1),
        shape(frame_107_shape_group_7_shape_11_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(207, 219),
        horizontal_line(207, 218),
        horizontal_line(207, 217),
        horizontal_line(207, 216),
        horizontal_line(206, 215),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(199, 205),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(206, 214),
        horizontal_line(206, 213),
        horizontal_line(206, 212),
        horizontal_line(206, 211),
        horizontal_line(206, 210),
        horizontal_line(205, 209),
        horizontal_line(205, 208),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(208, 238),
        horizontal_line(207, 236),
        horizontal_line(186, 204),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(183, 183),
        horizontal_line(182, 182),
        horizontal_line(181, 181),
        horizontal_line(179, 179),
        horizontal_line(177, 179),
        horizontal_line(175, 179),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(179, 190),
        horizontal_line(179, 188),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(167, 179),
        horizontal_line(167, 179),
        horizontal_line(167, 180),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(194, 203),
        horizontal_line(191, 203),
        horizontal_line(189, 203),
    };

    constexpr const horizontal_line frame_107_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(184, 203),
    };

    constexpr const shape frame_107_shape_group_8_shapes[] = {
        shape(frame_107_shape_group_8_shape_0_horizontal_lines, 8, 3),
        shape(frame_107_shape_group_8_shape_1_horizontal_lines, 15, 1),
        shape(frame_107_shape_group_8_shape_2_horizontal_lines, 34, 1),
        shape(frame_107_shape_group_8_shape_3_horizontal_lines, 35, 3),
        shape(frame_107_shape_group_8_shape_4_horizontal_lines, 40, 1),
        shape(frame_107_shape_group_8_shape_5_horizontal_lines, 41, 3),
        shape(frame_107_shape_group_8_shape_6_horizontal_lines, 48, 1),
        shape(frame_107_shape_group_8_shape_7_horizontal_lines, 51, 3),
        shape(frame_107_shape_group_8_shape_8_horizontal_lines, 59, 1),
        shape(frame_107_shape_group_8_shape_9_horizontal_lines, 61, 3),
        shape(frame_107_shape_group_8_shape_10_horizontal_lines, 62, 1),
        shape(frame_107_shape_group_8_shape_11_horizontal_lines, 64, 3),
        shape(frame_107_shape_group_8_shape_12_horizontal_lines, 68, 1),
        shape(frame_107_shape_group_8_shape_13_horizontal_lines, 70, 1),
        shape(frame_107_shape_group_8_shape_14_horizontal_lines, 73, 8),
        shape(frame_107_shape_group_8_shape_15_horizontal_lines, 77, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(205, 206),
        horizontal_line(204, 206),
        horizontal_line(202, 206),
        horizontal_line(201, 206),
        horizontal_line(200, 205),
        horizontal_line(216, 239),
        horizontal_line(197, 205),
        horizontal_line(196, 205),
        horizontal_line(195, 205),
        horizontal_line(194, 205),
        horizontal_line(193, 205),
        horizontal_line(191, 204),
        horizontal_line(190, 204),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(206, 234),
        horizontal_line(185, 233),
        horizontal_line(184, 231),
        horizontal_line(183, 202),
        horizontal_line(182, 200),
        horizontal_line(180, 198),
        horizontal_line(180, 196),
        horizontal_line(180, 194),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(173, 179),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(205, 220),
        horizontal_line(205, 218),
        horizontal_line(167, 168),
        horizontal_line(179, 184),
        horizontal_line(178, 182),
        horizontal_line(161, 167),
        horizontal_line(158, 167),
        horizontal_line(156, 167),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(205, 205),
    };

    constexpr const horizontal_line frame_107_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(199, 203),
        horizontal_line(197, 203),
    };

    constexpr const shape frame_107_shape_group_9_shapes[] = {
        shape(frame_107_shape_group_9_shape_0_horizontal_lines, 34, 1),
        shape(frame_107_shape_group_9_shape_1_horizontal_lines, 50, 1),
        shape(frame_107_shape_group_9_shape_2_horizontal_lines, 58, 3),
        shape(frame_107_shape_group_9_shape_3_horizontal_lines, 59, 1),
        shape(frame_107_shape_group_9_shape_4_horizontal_lines, 67, 3),
        shape(frame_107_shape_group_9_shape_5_horizontal_lines, 68, 1),
        shape(frame_107_shape_group_9_shape_6_horizontal_lines, 70, 8),
    };

    constexpr const horizontal_line frame_107_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_107_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(205, 229),
        horizontal_line(205, 228),
        horizontal_line(205, 226),
        horizontal_line(205, 225),
        horizontal_line(205, 223),
        horizontal_line(180, 192),
    };

    constexpr const horizontal_line frame_107_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(205, 215),
        horizontal_line(205, 213),
        horizontal_line(178, 180),
        horizontal_line(178, 178),
        horizontal_line(205, 208),
        horizontal_line(154, 166),
    };

    constexpr const shape frame_107_shape_group_10_shapes[] = {
        shape(frame_107_shape_group_10_shape_0_horizontal_lines, 35, 1),
        shape(frame_107_shape_group_10_shape_1_horizontal_lines, 41, 1),
        shape(frame_107_shape_group_10_shape_2_horizontal_lines, 53, 1),
        shape(frame_107_shape_group_10_shape_3_horizontal_lines, 61, 1),
    };

    constexpr const horizontal_line frame_107_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(205, 221),
    };

    constexpr const horizontal_line frame_107_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(205, 216),
    };

    constexpr const horizontal_line frame_107_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(205, 212),
        horizontal_line(205, 210),
    };

    constexpr const horizontal_line frame_107_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const shape frame_107_shape_group_11_shapes[] = {
        shape(frame_107_shape_group_11_shape_0_horizontal_lines, 58, 1),
        shape(frame_107_shape_group_11_shape_1_horizontal_lines, 61, 1),
        shape(frame_107_shape_group_11_shape_2_horizontal_lines, 64, 1),
        shape(frame_107_shape_group_11_shape_3_horizontal_lines, 67, 1),
    };

    constexpr const horizontal_line frame_107_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(205, 207),
    };

    constexpr const shape frame_107_shape_group_12_shapes[] = {
        shape(frame_107_shape_group_12_shape_0_horizontal_lines, 67, 1),
    };

    constexpr const shape_group frame_107_shape_groups[] = {
        shape_group(frame_107_shape_group_0_shapes),
        shape_group(frame_107_shape_group_1_shapes),
        shape_group(frame_107_shape_group_2_shapes),
        shape_group(frame_107_shape_group_3_shapes),
        shape_group(frame_107_shape_group_4_shapes),
        shape_group(frame_107_shape_group_5_shapes),
        shape_group(frame_107_shape_group_6_shapes),
        shape_group(frame_107_shape_group_7_shapes),
        shape_group(frame_107_shape_group_8_shapes),
        shape_group(frame_107_shape_group_9_shapes),
        shape_group(frame_107_shape_group_10_shapes),
        shape_group(frame_107_shape_group_11_shapes),
        shape_group(frame_107_shape_group_12_shapes),
    };

    constexpr const frame frame_107_impl(frame_107_colors, frame_107_shape_groups);
} 

const frame& frame_107()
{
    return frame_107_impl;
}

namespace
{
    constexpr const bn::color frame_108_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_108_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 62),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(1, 38),
        horizontal_line(8, 38),
        horizontal_line(16, 38),
        horizontal_line(24, 38),
        horizontal_line(32, 38),
        horizontal_line(132, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(134, 139),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_108_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_108_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const shape frame_108_shape_group_0_shapes[] = {
        shape(frame_108_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_108_shape_group_0_shape_1_horizontal_lines, 86, 3),
        shape(frame_108_shape_group_0_shape_2_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(38, 68),
        horizontal_line(38, 69),
        horizontal_line(38, 71),
        horizontal_line(38, 73),
        horizontal_line(38, 74),
        horizontal_line(38, 76),
        horizontal_line(38, 78),
        horizontal_line(38, 79),
        horizontal_line(38, 81),
        horizontal_line(38, 83),
        horizontal_line(38, 84),
        horizontal_line(38, 86),
        horizontal_line(38, 88),
        horizontal_line(38, 89),
        horizontal_line(38, 91),
        horizontal_line(38, 93),
        horizontal_line(38, 94),
        horizontal_line(38, 96),
        horizontal_line(143, 144),
        horizontal_line(41, 99),
        horizontal_line(43, 101),
        horizontal_line(45, 103),
        horizontal_line(48, 104),
        horizontal_line(50, 106),
        horizontal_line(52, 108),
        horizontal_line(55, 109),
        horizontal_line(57, 111),
        horizontal_line(59, 113),
        horizontal_line(62, 114),
        horizontal_line(64, 116),
        horizontal_line(66, 118),
        horizontal_line(69, 119),
        horizontal_line(71, 121),
        horizontal_line(73, 123),
        horizontal_line(75, 124),
        horizontal_line(78, 126),
        horizontal_line(80, 128),
        horizontal_line(82, 129),
        horizontal_line(85, 131),
        horizontal_line(87, 145),
        horizontal_line(89, 146),
        horizontal_line(92, 146),
        horizontal_line(94, 146),
        horizontal_line(96, 131),
        horizontal_line(99, 131),
        horizontal_line(101, 131),
        horizontal_line(103, 131),
        horizontal_line(105, 130),
        horizontal_line(108, 130),
        horizontal_line(110, 130),
        horizontal_line(112, 129),
        horizontal_line(115, 129),
        horizontal_line(117, 129),
        horizontal_line(119, 129),
        horizontal_line(122, 128),
        horizontal_line(124, 128),
        horizontal_line(126, 128),
        horizontal_line(137, 145),
        horizontal_line(138, 145),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 85),
        horizontal_line(26, 81),
        horizontal_line(26, 77),
        horizontal_line(26, 73),
        horizontal_line(26, 69),
        horizontal_line(25, 65),
        horizontal_line(25, 61),
        horizontal_line(25, 57),
        horizontal_line(25, 53),
        horizontal_line(24, 49),
        horizontal_line(24, 45),
        horizontal_line(24, 41),
        horizontal_line(24, 37),
        horizontal_line(23, 33),
        horizontal_line(23, 29),
        horizontal_line(23, 25),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(16, 21),
        horizontal_line(13, 22),
        horizontal_line(10, 22),
        horizontal_line(7, 23),
        horizontal_line(4, 23),
        horizontal_line(1, 24),
    };

    constexpr const horizontal_line frame_108_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_108_shape_group_1_shapes[] = {
        shape(frame_108_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_108_shape_group_1_shape_1_horizontal_lines, 71, 4),
        shape(frame_108_shape_group_1_shape_2_horizontal_lines, 78, 3),
        shape(frame_108_shape_group_1_shape_3_horizontal_lines, 86, 1),
        shape(frame_108_shape_group_1_shape_4_horizontal_lines, 138, 8),
        shape(frame_108_shape_group_1_shape_5_horizontal_lines, 139, 1),
        shape(frame_108_shape_group_1_shape_6_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(142, 142),
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(143, 144),
        horizontal_line(62, 98),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(139, 144),
        horizontal_line(139, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(146, 189),
        horizontal_line(147, 188),
        horizontal_line(147, 187),
        horizontal_line(147, 186),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 146),
        horizontal_line(136, 147),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(129, 136),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 147),
        horizontal_line(140, 146),
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(106, 133),
        horizontal_line(116, 133),
        horizontal_line(125, 133),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(98, 141),
        horizontal_line(97, 143),
        horizontal_line(97, 145),
        horizontal_line(97, 146),
        horizontal_line(97, 148),
        horizontal_line(96, 149),
        horizontal_line(96, 151),
        horizontal_line(96, 152),
        horizontal_line(96, 154),
        horizontal_line(95, 156),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(93, 155),
        horizontal_line(93, 153),
        horizontal_line(93, 149),
        horizontal_line(92, 145),
        horizontal_line(92, 141),
        horizontal_line(92, 137),
        horizontal_line(92, 133),
        horizontal_line(91, 129),
        horizontal_line(91, 125),
        horizontal_line(91, 121),
        horizontal_line(91, 117),
        horizontal_line(90, 113),
        horizontal_line(90, 109),
        horizontal_line(90, 105),
        horizontal_line(90, 101),
        horizontal_line(89, 97),
        horizontal_line(89, 93),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(176, 192),
        horizontal_line(175, 208),
        horizontal_line(175, 223),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_108_shape_group_2_shapes[] = {
        shape(frame_108_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_108_shape_group_2_shape_1_horizontal_lines, 39, 7),
        shape(frame_108_shape_group_2_shape_2_horizontal_lines, 43, 2),
        shape(frame_108_shape_group_2_shape_3_horizontal_lines, 57, 4),
        shape(frame_108_shape_group_2_shape_4_horizontal_lines, 59, 2),
        shape(frame_108_shape_group_2_shape_5_horizontal_lines, 69, 4),
        shape(frame_108_shape_group_2_shape_6_horizontal_lines, 71, 3),
        shape(frame_108_shape_group_2_shape_7_horizontal_lines, 81, 1),
        shape(frame_108_shape_group_2_shape_8_horizontal_lines, 122, 8),
        shape(frame_108_shape_group_2_shape_9_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(1, 37),
        horizontal_line(3, 37),
        horizontal_line(5, 37),
        horizontal_line(7, 37),
        horizontal_line(9, 37),
        horizontal_line(11, 37),
        horizontal_line(13, 37),
        horizontal_line(15, 37),
        horizontal_line(17, 37),
        horizontal_line(20, 37),
        horizontal_line(22, 37),
        horizontal_line(24, 37),
        horizontal_line(26, 37),
        horizontal_line(28, 37),
        horizontal_line(30, 37),
        horizontal_line(32, 37),
        horizontal_line(34, 37),
        horizontal_line(36, 37),
        horizontal_line(99, 142),
        horizontal_line(100, 141),
        horizontal_line(102, 141),
        horizontal_line(104, 140),
        horizontal_line(105, 140),
        horizontal_line(107, 140),
        horizontal_line(109, 139),
        horizontal_line(110, 139),
        horizontal_line(112, 138),
        horizontal_line(114, 138),
        horizontal_line(115, 137),
        horizontal_line(117, 137),
        horizontal_line(119, 136),
        horizontal_line(120, 136),
        horizontal_line(122, 136),
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(127, 134),
        horizontal_line(129, 134),
        horizontal_line(130, 133),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(39, 86),
        horizontal_line(39, 88),
        horizontal_line(39, 91),
        horizontal_line(39, 93),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(178, 178),
        horizontal_line(176, 177),
        horizontal_line(175, 176),
        horizontal_line(173, 175),
        horizontal_line(172, 173),
        horizontal_line(170, 171),
        horizontal_line(169, 169),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(146, 163),
        horizontal_line(146, 161),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 138),
        horizontal_line(131, 138),
        horizontal_line(132, 138),
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(145, 148),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 31),
        horizontal_line(141, 145),
        horizontal_line(49, 111),
        horizontal_line(59, 121),
        horizontal_line(68, 130),
        horizontal_line(78, 132),
        horizontal_line(87, 132),
        horizontal_line(97, 133),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(98, 138),
        horizontal_line(98, 140),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(149, 163),
        horizontal_line(150, 163),
        horizontal_line(152, 163),
        horizontal_line(153, 163),
        horizontal_line(155, 163),
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(157, 159),
        horizontal_line(157, 160),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(156, 165),
        horizontal_line(156, 166),
        horizontal_line(155, 161),
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(169, 169),
        horizontal_line(169, 174),
        horizontal_line(170, 179),
        horizontal_line(170, 185),
        horizontal_line(170, 190),
        horizontal_line(171, 233),
        horizontal_line(171, 183),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_108_shape_group_3_shapes[] = {
        shape(frame_108_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_108_shape_group_3_shape_1_horizontal_lines, 39, 3),
        shape(frame_108_shape_group_3_shape_2_horizontal_lines, 43, 4),
        shape(frame_108_shape_group_3_shape_3_horizontal_lines, 48, 2),
        shape(frame_108_shape_group_3_shape_4_horizontal_lines, 57, 7),
        shape(frame_108_shape_group_3_shape_5_horizontal_lines, 59, 4),
        shape(frame_108_shape_group_3_shape_6_horizontal_lines, 65, 2),
        shape(frame_108_shape_group_3_shape_7_horizontal_lines, 66, 4),
        shape(frame_108_shape_group_3_shape_8_horizontal_lines, 69, 3),
        shape(frame_108_shape_group_3_shape_9_horizontal_lines, 78, 1),
        shape(frame_108_shape_group_3_shape_10_horizontal_lines, 86, 8),
        shape(frame_108_shape_group_3_shape_11_horizontal_lines, 96, 1),
        shape(frame_108_shape_group_3_shape_12_horizontal_lines, 105, 8),
        shape(frame_108_shape_group_3_shape_13_horizontal_lines, 134, 8),
        shape(frame_108_shape_group_3_shape_14_horizontal_lines, 139, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(70, 131),
        horizontal_line(72, 132),
        horizontal_line(74, 133),
        horizontal_line(75, 134),
        horizontal_line(77, 135),
        horizontal_line(79, 136),
        horizontal_line(80, 137),
        horizontal_line(82, 137),
        horizontal_line(84, 138),
        horizontal_line(85, 139),
        horizontal_line(87, 140),
        horizontal_line(89, 141),
        horizontal_line(90, 142),
        horizontal_line(92, 143),
        horizontal_line(94, 143),
        horizontal_line(95, 143),
        horizontal_line(97, 142),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 206),
        horizontal_line(145, 205),
        horizontal_line(145, 204),
        horizontal_line(146, 203),
        horizontal_line(146, 202),
        horizontal_line(146, 200),
        horizontal_line(146, 199),
        horizontal_line(146, 198),
        horizontal_line(146, 197),
        horizontal_line(146, 196),
        horizontal_line(146, 195),
        horizontal_line(146, 194),
        horizontal_line(146, 193),
        horizontal_line(146, 192),
        horizontal_line(146, 190),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(189, 190),
        horizontal_line(188, 189),
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(147, 185),
        horizontal_line(147, 184),
        horizontal_line(147, 183),
        horizontal_line(147, 182),
        horizontal_line(147, 180),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(145, 159),
        horizontal_line(145, 157),
        horizontal_line(144, 155),
        horizontal_line(144, 153),
        horizontal_line(144, 151),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 15),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(62, 124),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(38, 77),
        horizontal_line(38, 86),
        horizontal_line(38, 96),
        horizontal_line(141, 145),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(99, 134),
        horizontal_line(99, 135),
        horizontal_line(98, 137),
    };

    constexpr const horizontal_line frame_108_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(148, 163),
        horizontal_line(148, 163),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(158, 163),
        horizontal_line(160, 164),
        horizontal_line(163, 170),
        horizontal_line(163, 175),
        horizontal_line(164, 174),
        horizontal_line(166, 173),
        horizontal_line(168, 172),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(233, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_108_shape_group_4_shapes[] = {
        shape(frame_108_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_108_shape_group_4_shape_1_horizontal_lines, 18, 7),
        shape(frame_108_shape_group_4_shape_2_horizontal_lines, 39, 3),
        shape(frame_108_shape_group_4_shape_3_horizontal_lines, 43, 7),
        shape(frame_108_shape_group_4_shape_4_horizontal_lines, 48, 4),
        shape(frame_108_shape_group_4_shape_5_horizontal_lines, 57, 3),
        shape(frame_108_shape_group_4_shape_6_horizontal_lines, 59, 7),
        shape(frame_108_shape_group_4_shape_7_horizontal_lines, 65, 4),
        shape(frame_108_shape_group_4_shape_8_horizontal_lines, 66, 3),
        shape(frame_108_shape_group_4_shape_9_horizontal_lines, 75, 1),
        shape(frame_108_shape_group_4_shape_10_horizontal_lines, 84, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(207, 211),
        horizontal_line(207, 210),
        horizontal_line(207, 209),
        horizontal_line(207, 209),
        horizontal_line(207, 208),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(39, 51),
        horizontal_line(39, 54),
        horizontal_line(39, 56),
        horizontal_line(39, 58),
        horizontal_line(39, 61),
        horizontal_line(39, 63),
        horizontal_line(39, 65),
        horizontal_line(39, 68),
        horizontal_line(39, 70),
        horizontal_line(39, 72),
        horizontal_line(39, 74),
        horizontal_line(39, 77),
        horizontal_line(39, 79),
        horizontal_line(39, 81),
        horizontal_line(39, 84),
        horizontal_line(203, 210),
        horizontal_line(203, 209),
        horizontal_line(203, 208),
        horizontal_line(203, 207),
        horizontal_line(39, 95),
        horizontal_line(39, 98),
        horizontal_line(39, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(147, 178),
        horizontal_line(147, 177),
        horizontal_line(147, 175),
        horizontal_line(147, 174),
        horizontal_line(147, 172),
        horizontal_line(148, 171),
        horizontal_line(147, 169),
        horizontal_line(147, 168),
        horizontal_line(146, 165),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(164, 174),
        horizontal_line(162, 174),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(124, 131),
        horizontal_line(111, 131),
        horizontal_line(121, 132),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(100, 105),
        horizontal_line(99, 115),
        horizontal_line(99, 124),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(154, 163),
        horizontal_line(151, 163),
        horizontal_line(148, 163),
        horizontal_line(177, 200),
        horizontal_line(177, 200),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(177, 200),
        horizontal_line(189, 200),
        horizontal_line(201, 201),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(175, 197),
        horizontal_line(180, 197),
        horizontal_line(186, 196),
        horizontal_line(191, 196),
    };

    constexpr const shape frame_108_shape_group_5_shapes[] = {
        shape(frame_108_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_108_shape_group_5_shape_1_horizontal_lines, 1, 7),
        shape(frame_108_shape_group_5_shape_2_horizontal_lines, 24, 3),
        shape(frame_108_shape_group_5_shape_3_horizontal_lines, 48, 7),
        shape(frame_108_shape_group_5_shape_4_horizontal_lines, 57, 3),
        shape(frame_108_shape_group_5_shape_5_horizontal_lines, 65, 7),
        shape(frame_108_shape_group_5_shape_6_horizontal_lines, 66, 3),
        shape(frame_108_shape_group_5_shape_7_horizontal_lines, 75, 1),
        shape(frame_108_shape_group_5_shape_8_horizontal_lines, 81, 8),
        shape(frame_108_shape_group_5_shape_9_horizontal_lines, 96, 8),
        shape(frame_108_shape_group_5_shape_10_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(198, 223),
        horizontal_line(199, 222),
        horizontal_line(199, 221),
        horizontal_line(200, 221),
        horizontal_line(201, 220),
        horizontal_line(201, 219),
        horizontal_line(202, 219),
        horizontal_line(203, 218),
        horizontal_line(203, 217),
        horizontal_line(204, 216),
        horizontal_line(205, 216),
        horizontal_line(205, 215),
        horizontal_line(206, 214),
        horizontal_line(207, 214),
        horizontal_line(207, 213),
        horizontal_line(207, 212),
        horizontal_line(207, 212),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(212, 230),
        horizontal_line(39, 40),
        horizontal_line(39, 42),
        horizontal_line(39, 44),
        horizontal_line(39, 47),
        horizontal_line(39, 49),
        horizontal_line(207, 224),
        horizontal_line(206, 223),
        horizontal_line(205, 222),
        horizontal_line(204, 221),
        horizontal_line(203, 220),
        horizontal_line(201, 203),
        horizontal_line(200, 202),
        horizontal_line(199, 201),
        horizontal_line(198, 200),
        horizontal_line(197, 198),
        horizontal_line(196, 197),
        horizontal_line(195, 196),
        horizontal_line(194, 195),
        horizontal_line(193, 194),
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(192, 202),
        horizontal_line(191, 202),
        horizontal_line(190, 202),
        horizontal_line(189, 202),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(185, 185),
        horizontal_line(184, 184),
        horizontal_line(183, 183),
        horizontal_line(181, 182),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(101, 128),
        horizontal_line(101, 128),
        horizontal_line(160, 162),
        horizontal_line(158, 160),
        horizontal_line(156, 158),
        horizontal_line(154, 156),
        horizontal_line(152, 154),
        horizontal_line(150, 152),
        horizontal_line(39, 101),
        horizontal_line(148, 148),
        horizontal_line(161, 163),
        horizontal_line(143, 145),
        horizontal_line(101, 131),
        horizontal_line(101, 131),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(146, 152),
        horizontal_line(39, 48),
        horizontal_line(39, 58),
        horizontal_line(39, 67),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
        horizontal_line(163, 170),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 201),
        horizontal_line(160, 163),
        horizontal_line(157, 163),
        horizontal_line(178, 201),
        horizontal_line(178, 201),
        horizontal_line(178, 201),
    };

    constexpr const horizontal_line frame_108_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(176, 176),
        horizontal_line(175, 188),
        horizontal_line(174, 200),
        horizontal_line(173, 199),
        horizontal_line(172, 199),
        horizontal_line(171, 198),
    };

    constexpr const shape frame_108_shape_group_6_shapes[] = {
        shape(frame_108_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_108_shape_group_6_shape_1_horizontal_lines, 18, 3),
        shape(frame_108_shape_group_6_shape_2_horizontal_lines, 39, 1),
        shape(frame_108_shape_group_6_shape_3_horizontal_lines, 43, 3),
        shape(frame_108_shape_group_6_shape_4_horizontal_lines, 71, 1),
        shape(frame_108_shape_group_6_shape_5_horizontal_lines, 78, 8),
        shape(frame_108_shape_group_6_shape_6_horizontal_lines, 98, 9),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(198, 224),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 238),
        horizontal_line(217, 237),
        horizontal_line(216, 236),
        horizontal_line(215, 235),
        horizontal_line(215, 234),
        horizontal_line(214, 233),
        horizontal_line(213, 232),
        horizontal_line(213, 231),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(211, 229),
        horizontal_line(210, 228),
        horizontal_line(210, 227),
        horizontal_line(209, 226),
        horizontal_line(208, 225),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(205, 219),
        horizontal_line(205, 219),
        horizontal_line(205, 218),
        horizontal_line(205, 217),
        horizontal_line(204, 216),
        horizontal_line(204, 215),
        horizontal_line(204, 214),
        horizontal_line(204, 213),
        horizontal_line(204, 212),
        horizontal_line(204, 211),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(203, 206),
        horizontal_line(202, 205),
        horizontal_line(202, 204),
        horizontal_line(202, 203),
        horizontal_line(202, 202),
        horizontal_line(180, 180),
        horizontal_line(179, 179),
        horizontal_line(178, 178),
        horizontal_line(177, 177),
        horizontal_line(176, 176),
        horizontal_line(174, 174),
        horizontal_line(172, 174),
        horizontal_line(170, 174),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(175, 186),
        horizontal_line(175, 184),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(162, 173),
        horizontal_line(149, 150),
        horizontal_line(161, 166),
        horizontal_line(101, 130),
        horizontal_line(101, 130),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(146, 157),
        horizontal_line(146, 155),
        horizontal_line(161, 175),
        horizontal_line(146, 150),
        horizontal_line(146, 147),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(181, 201),
        horizontal_line(179, 201),
        horizontal_line(178, 201),
    };

    constexpr const horizontal_line frame_108_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(178, 201),
        horizontal_line(178, 201),
    };

    constexpr const shape frame_108_shape_group_7_shapes[] = {
        shape(frame_108_shape_group_7_shape_0_horizontal_lines, 0, 7),
        shape(frame_108_shape_group_7_shape_1_horizontal_lines, 1, 3),
        shape(frame_108_shape_group_7_shape_2_horizontal_lines, 18, 1),
        shape(frame_108_shape_group_7_shape_3_horizontal_lines, 19, 3),
        shape(frame_108_shape_group_7_shape_4_horizontal_lines, 24, 1),
        shape(frame_108_shape_group_7_shape_5_horizontal_lines, 29, 3),
        shape(frame_108_shape_group_7_shape_6_horizontal_lines, 39, 1),
        shape(frame_108_shape_group_7_shape_7_horizontal_lines, 43, 3),
        shape(frame_108_shape_group_7_shape_8_horizontal_lines, 57, 1),
        shape(frame_108_shape_group_7_shape_9_horizontal_lines, 59, 3),
        shape(frame_108_shape_group_7_shape_10_horizontal_lines, 69, 1),
        shape(frame_108_shape_group_7_shape_11_horizontal_lines, 75, 8),
        shape(frame_108_shape_group_7_shape_12_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(203, 204),
        horizontal_line(202, 204),
        horizontal_line(201, 204),
        horizontal_line(199, 203),
        horizontal_line(198, 203),
        horizontal_line(197, 203),
        horizontal_line(196, 203),
        horizontal_line(195, 203),
        horizontal_line(193, 203),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(187, 202),
        horizontal_line(186, 201),
        horizontal_line(185, 201),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(101, 104),
        horizontal_line(101, 107),
        horizontal_line(101, 109),
        horizontal_line(101, 111),
        horizontal_line(101, 114),
        horizontal_line(101, 116),
        horizontal_line(101, 118),
        horizontal_line(101, 121),
        horizontal_line(101, 123),
        horizontal_line(168, 174),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(202, 217),
        horizontal_line(202, 215),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(101, 128),
        horizontal_line(101, 128),
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(162, 169),
        horizontal_line(101, 130),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(147, 160),
        horizontal_line(146, 174),
        horizontal_line(161, 175),
        horizontal_line(161, 175),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(191, 201),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(162, 176),
        horizontal_line(162, 176),
    };

    constexpr const horizontal_line frame_108_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(183, 201),
    };

    constexpr const shape frame_108_shape_group_8_shapes[] = {
        shape(frame_108_shape_group_8_shape_0_horizontal_lines, 0, 3),
        shape(frame_108_shape_group_8_shape_1_horizontal_lines, 10, 1),
        shape(frame_108_shape_group_8_shape_2_horizontal_lines, 19, 1),
        shape(frame_108_shape_group_8_shape_3_horizontal_lines, 29, 1),
        shape(frame_108_shape_group_8_shape_4_horizontal_lines, 43, 1),
        shape(frame_108_shape_group_8_shape_5_horizontal_lines, 46, 3),
        shape(frame_108_shape_group_8_shape_6_horizontal_lines, 57, 1),
        shape(frame_108_shape_group_8_shape_7_horizontal_lines, 59, 3),
        shape(frame_108_shape_group_8_shape_8_horizontal_lines, 67, 1),
        shape(frame_108_shape_group_8_shape_9_horizontal_lines, 71, 8),
        shape(frame_108_shape_group_8_shape_10_horizontal_lines, 72, 1),
        shape(frame_108_shape_group_8_shape_11_horizontal_lines, 74, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 238),
        horizontal_line(184, 201),
        horizontal_line(183, 201),
        horizontal_line(181, 232),
        horizontal_line(180, 231),
        horizontal_line(179, 199),
        horizontal_line(178, 197),
        horizontal_line(177, 195),
        horizontal_line(175, 193),
        horizontal_line(175, 191),
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(101, 125),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(161, 163),
        horizontal_line(159, 162),
        horizontal_line(157, 162),
        horizontal_line(155, 162),
        horizontal_line(153, 161),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(101, 130),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(149, 160),
        horizontal_line(164, 174),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(198, 201),
        horizontal_line(195, 201),
        horizontal_line(193, 201),
    };

    constexpr const horizontal_line frame_108_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(188, 201),
        horizontal_line(186, 201),
    };

    constexpr const shape frame_108_shape_group_9_shapes[] = {
        shape(frame_108_shape_group_9_shape_0_horizontal_lines, 29, 1),
        shape(frame_108_shape_group_9_shape_1_horizontal_lines, 43, 1),
        shape(frame_108_shape_group_9_shape_2_horizontal_lines, 56, 3),
        shape(frame_108_shape_group_9_shape_3_horizontal_lines, 59, 1),
        shape(frame_108_shape_group_9_shape_4_horizontal_lines, 65, 3),
        shape(frame_108_shape_group_9_shape_5_horizontal_lines, 66, 1),
        shape(frame_108_shape_group_9_shape_6_horizontal_lines, 68, 8),
        shape(frame_108_shape_group_9_shape_7_horizontal_lines, 72, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(204, 236),
        horizontal_line(203, 234),
    };

    constexpr const horizontal_line frame_108_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(202, 229),
        horizontal_line(202, 227),
        horizontal_line(202, 226),
        horizontal_line(202, 224),
        horizontal_line(202, 222),
        horizontal_line(202, 220),
        horizontal_line(175, 187),
    };

    constexpr const horizontal_line frame_108_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(174, 182),
        horizontal_line(174, 180),
        horizontal_line(174, 178),
        horizontal_line(174, 176),
        horizontal_line(174, 174),
        horizontal_line(202, 205),
        horizontal_line(151, 161),
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_108_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(200, 201),
    };

    constexpr const shape frame_108_shape_group_10_shapes[] = {
        shape(frame_108_shape_group_10_shape_0_horizontal_lines, 46, 1),
        shape(frame_108_shape_group_10_shape_1_horizontal_lines, 50, 1),
        shape(frame_108_shape_group_10_shape_2_horizontal_lines, 59, 1),
        shape(frame_108_shape_group_10_shape_3_horizontal_lines, 67, 8),
    };

    constexpr const horizontal_line frame_108_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(202, 219),
    };

    constexpr const horizontal_line frame_108_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(202, 214),
        horizontal_line(202, 212),
        horizontal_line(202, 210),
        horizontal_line(202, 208),
        horizontal_line(202, 207),
    };

    constexpr const horizontal_line frame_108_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const shape frame_108_shape_group_11_shapes[] = {
        shape(frame_108_shape_group_11_shape_0_horizontal_lines, 56, 1),
        shape(frame_108_shape_group_11_shape_1_horizontal_lines, 59, 1),
        shape(frame_108_shape_group_11_shape_2_horizontal_lines, 65, 1),
    };

    constexpr const horizontal_line frame_108_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(202, 203),
    };

    constexpr const shape frame_108_shape_group_12_shapes[] = {
        shape(frame_108_shape_group_12_shape_0_horizontal_lines, 65, 1),
    };

    constexpr const shape_group frame_108_shape_groups[] = {
        shape_group(frame_108_shape_group_0_shapes),
        shape_group(frame_108_shape_group_1_shapes),
        shape_group(frame_108_shape_group_2_shapes),
        shape_group(frame_108_shape_group_3_shapes),
        shape_group(frame_108_shape_group_4_shapes),
        shape_group(frame_108_shape_group_5_shapes),
        shape_group(frame_108_shape_group_6_shapes),
        shape_group(frame_108_shape_group_7_shapes),
        shape_group(frame_108_shape_group_8_shapes),
        shape_group(frame_108_shape_group_9_shapes),
        shape_group(frame_108_shape_group_10_shapes),
        shape_group(frame_108_shape_group_11_shapes),
        shape_group(frame_108_shape_group_12_shapes),
    };

    constexpr const frame frame_108_impl(frame_108_colors, frame_108_shape_groups);
} 

const frame& frame_108()
{
    return frame_108_impl;
}

namespace
{
    constexpr const bn::color frame_109_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_109_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(26, 88),
        horizontal_line(35, 97),
        horizontal_line(43, 105),
        horizontal_line(52, 114),
        horizontal_line(60, 122),
        horizontal_line(69, 126),
        horizontal_line(77, 126),
        horizontal_line(86, 126),
        horizontal_line(94, 127),
        horizontal_line(103, 127),
        horizontal_line(111, 127),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_109_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(132, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_109_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(139, 145),
        horizontal_line(140, 145),
        horizontal_line(142, 145),
        horizontal_line(144, 145),
        horizontal_line(145, 145),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(163, 176),
        horizontal_line(164, 176),
        horizontal_line(171, 176),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(216, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_109_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(167, 170),
        horizontal_line(164, 170),
        horizontal_line(161, 171),
        horizontal_line(158, 171),
        horizontal_line(156, 171),
        horizontal_line(153, 172),
        horizontal_line(150, 172),
        horizontal_line(147, 172),
        horizontal_line(145, 173),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(106, 168),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
    };

    constexpr const shape frame_109_shape_group_0_shapes[] = {
        shape(frame_109_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_109_shape_group_0_shape_1_horizontal_lines, 77, 2),
        shape(frame_109_shape_group_0_shape_2_horizontal_lines, 83, 7),
        shape(frame_109_shape_group_0_shape_3_horizontal_lines, 101, 8),
        shape(frame_109_shape_group_0_shape_4_horizontal_lines, 102, 7),
    };

    constexpr const horizontal_line frame_109_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 238),
        horizontal_line(215, 237),
        horizontal_line(214, 236),
        horizontal_line(213, 235),
        horizontal_line(212, 234),
        horizontal_line(211, 233),
        horizontal_line(210, 232),
        horizontal_line(209, 231),
        horizontal_line(208, 230),
        horizontal_line(206, 209),
        horizontal_line(205, 208),
        horizontal_line(204, 207),
        horizontal_line(203, 206),
        horizontal_line(202, 205),
        horizontal_line(201, 204),
        horizontal_line(200, 202),
        horizontal_line(199, 201),
        horizontal_line(198, 200),
        horizontal_line(197, 199),
        horizontal_line(196, 198),
        horizontal_line(194, 197),
        horizontal_line(193, 196),
        horizontal_line(192, 195),
        horizontal_line(191, 193),
        horizontal_line(190, 192),
        horizontal_line(189, 191),
        horizontal_line(188, 190),
        horizontal_line(187, 189),
        horizontal_line(186, 188),
        horizontal_line(185, 187),
        horizontal_line(184, 186),
        horizontal_line(183, 184),
        horizontal_line(182, 183),
        horizontal_line(181, 182),
        horizontal_line(180, 181),
        horizontal_line(179, 180),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(177, 177),
        horizontal_line(175, 175),
        horizontal_line(173, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(166, 166),
        horizontal_line(164, 174),
        horizontal_line(162, 174),
        horizontal_line(160, 161),
        horizontal_line(158, 159),
        horizontal_line(156, 157),
        horizontal_line(154, 155),
        horizontal_line(152, 152),
        horizontal_line(150, 150),
        horizontal_line(148, 148),
        horizontal_line(146, 146),
        horizontal_line(161, 163),
        horizontal_line(141, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_109_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_109_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(145, 151),
        horizontal_line(145, 148),
        horizontal_line(163, 178),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(162, 176),
        horizontal_line(162, 175),
        horizontal_line(164, 174),
        horizontal_line(165, 173),
        horizontal_line(167, 172),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(171, 173),
        horizontal_line(172, 177),
        horizontal_line(172, 182),
        horizontal_line(172, 186),
        horizontal_line(173, 191),
        horizontal_line(173, 195),
        horizontal_line(173, 235),
    };

    constexpr const horizontal_line frame_109_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(186, 202),
        horizontal_line(204, 205),
        horizontal_line(201, 207),
        horizontal_line(198, 210),
        horizontal_line(195, 212),
        horizontal_line(193, 215),
        horizontal_line(190, 217),
        horizontal_line(187, 220),
        horizontal_line(184, 222),
        horizontal_line(182, 225),
        horizontal_line(179, 227),
        horizontal_line(176, 230),
        horizontal_line(173, 232),
        horizontal_line(171, 233),
        horizontal_line(168, 230),
        horizontal_line(165, 227),
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(143, 205),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(183, 239),
        horizontal_line(194, 239),
        horizontal_line(205, 239),
        horizontal_line(217, 239),
        horizontal_line(228, 239),
        horizontal_line(121, 178),
        horizontal_line(118, 178),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
    };

    constexpr const shape frame_109_shape_group_1_shapes[] = {
        shape(frame_109_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_109_shape_group_1_shape_1_horizontal_lines, 72, 2),
        shape(frame_109_shape_group_1_shape_2_horizontal_lines, 77, 7),
        shape(frame_109_shape_group_1_shape_3_horizontal_lines, 96, 8),
        shape(frame_109_shape_group_1_shape_4_horizontal_lines, 111, 7),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(40, 101),
        horizontal_line(42, 103),
        horizontal_line(44, 104),
        horizontal_line(46, 106),
        horizontal_line(48, 107),
        horizontal_line(50, 109),
        horizontal_line(53, 110),
        horizontal_line(55, 112),
        horizontal_line(57, 113),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(211, 229),
        horizontal_line(211, 228),
        horizontal_line(211, 227),
        horizontal_line(211, 226),
        horizontal_line(210, 225),
        horizontal_line(210, 224),
        horizontal_line(210, 223),
        horizontal_line(210, 222),
        horizontal_line(210, 221),
        horizontal_line(209, 220),
        horizontal_line(209, 219),
        horizontal_line(209, 218),
        horizontal_line(209, 217),
        horizontal_line(209, 216),
        horizontal_line(208, 215),
        horizontal_line(208, 214),
        horizontal_line(208, 213),
        horizontal_line(208, 212),
        horizontal_line(208, 211),
        horizontal_line(207, 210),
        horizontal_line(207, 209),
        horizontal_line(207, 208),
        horizontal_line(207, 207),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(168, 174),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(164, 174),
        horizontal_line(164, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(163, 173),
        horizontal_line(162, 173),
        horizontal_line(162, 169),
        horizontal_line(161, 166),
        horizontal_line(63, 124),
        horizontal_line(71, 124),
        horizontal_line(80, 125),
        horizontal_line(88, 125),
        horizontal_line(97, 125),
        horizontal_line(105, 125),
        horizontal_line(114, 125),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(127, 135),
        horizontal_line(127, 135),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(145, 161),
        horizontal_line(145, 178),
        horizontal_line(145, 158),
        horizontal_line(145, 155),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(206, 239),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(163, 177),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(149, 162),
        horizontal_line(150, 162),
        horizontal_line(152, 162),
        horizontal_line(154, 162),
        horizontal_line(155, 162),
        horizontal_line(157, 163),
        horizontal_line(162, 170),
        horizontal_line(178, 202),
        horizontal_line(191, 202),
        horizontal_line(203, 203),
        horizontal_line(202, 215),
        horizontal_line(202, 227),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(172, 201),
        horizontal_line(171, 201),
        horizontal_line(171, 201),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(235, 239),
        horizontal_line(174, 185),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(233, 235),
        horizontal_line(230, 238),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(134, 181),
        horizontal_line(132, 180),
        horizontal_line(129, 180),
        horizontal_line(126, 179),
        horizontal_line(123, 179),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(174, 177),
        horizontal_line(172, 176),
        horizontal_line(169, 176),
        horizontal_line(166, 176),
        horizontal_line(163, 175),
        horizontal_line(160, 175),
        horizontal_line(158, 174),
        horizontal_line(155, 174),
        horizontal_line(152, 173),
        horizontal_line(149, 173),
        horizontal_line(147, 172),
        horizontal_line(144, 172),
        horizontal_line(141, 171),
        horizontal_line(138, 171),
        horizontal_line(136, 171),
    };

    constexpr const shape frame_109_shape_group_2_shapes[] = {
        shape(frame_109_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_109_shape_group_2_shape_1_horizontal_lines, 17, 3),
        shape(frame_109_shape_group_2_shape_2_horizontal_lines, 70, 2),
        shape(frame_109_shape_group_2_shape_3_horizontal_lines, 72, 4),
        shape(frame_109_shape_group_2_shape_4_horizontal_lines, 73, 7),
        shape(frame_109_shape_group_2_shape_5_horizontal_lines, 88, 8),
        shape(frame_109_shape_group_2_shape_6_horizontal_lines, 101, 9),
        shape(frame_109_shape_group_2_shape_7_horizontal_lines, 104, 8),
        shape(frame_109_shape_group_2_shape_8_horizontal_lines, 124, 7),
        shape(frame_109_shape_group_2_shape_9_horizontal_lines, 142, 8),
        shape(frame_109_shape_group_2_shape_10_horizontal_lines, 144, 7),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(136, 142),
        horizontal_line(136, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(135, 142),
        horizontal_line(134, 142),
        horizontal_line(134, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(132, 143),
        horizontal_line(59, 115),
        horizontal_line(61, 116),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(109, 123),
        horizontal_line(111, 122),
        horizontal_line(113, 122),
        horizontal_line(115, 122),
        horizontal_line(117, 121),
        horizontal_line(119, 121),
        horizontal_line(133, 145),
        horizontal_line(133, 144),
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 122),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(125, 130),
        horizontal_line(125, 131),
        horizontal_line(126, 131),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 133),
        horizontal_line(126, 134),
        horizontal_line(127, 134),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(136, 137),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(145, 161),
        horizontal_line(168, 178),
        horizontal_line(206, 239),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(146, 162),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 203),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(176, 190),
        horizontal_line(175, 202),
        horizontal_line(174, 201),
        horizontal_line(173, 201),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(174, 201),
        horizontal_line(178, 200),
        horizontal_line(183, 200),
        horizontal_line(187, 200),
        horizontal_line(192, 200),
        horizontal_line(196, 200),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 193),
        horizontal_line(181, 204),
        horizontal_line(180, 216),
        horizontal_line(180, 227),
    };

    constexpr const horizontal_line frame_109_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const shape frame_109_shape_group_3_shapes[] = {
        shape(frame_109_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_109_shape_group_3_shape_1_horizontal_lines, 19, 3),
        shape(frame_109_shape_group_3_shape_2_horizontal_lines, 40, 2),
        shape(frame_109_shape_group_3_shape_3_horizontal_lines, 51, 3),
        shape(frame_109_shape_group_3_shape_4_horizontal_lines, 52, 2),
        shape(frame_109_shape_group_3_shape_5_horizontal_lines, 54, 3),
        shape(frame_109_shape_group_3_shape_6_horizontal_lines, 62, 2),
        shape(frame_109_shape_group_3_shape_7_horizontal_lines, 70, 4),
        shape(frame_109_shape_group_3_shape_8_horizontal_lines, 72, 7),
        shape(frame_109_shape_group_3_shape_9_horizontal_lines, 79, 8),
        shape(frame_109_shape_group_3_shape_10_horizontal_lines, 80, 7),
        shape(frame_109_shape_group_3_shape_11_horizontal_lines, 83, 8),
        shape(frame_109_shape_group_3_shape_12_horizontal_lines, 96, 9),
        shape(frame_109_shape_group_3_shape_13_horizontal_lines, 104, 9),
        shape(frame_109_shape_group_3_shape_14_horizontal_lines, 111, 8),
        shape(frame_109_shape_group_3_shape_15_horizontal_lines, 124, 8),
        shape(frame_109_shape_group_3_shape_16_horizontal_lines, 137, 8),
        shape(frame_109_shape_group_3_shape_17_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(85, 90),
        horizontal_line(87, 91),
        horizontal_line(89, 92),
        horizontal_line(91, 94),
        horizontal_line(93, 95),
        horizontal_line(95, 97),
        horizontal_line(97, 98),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(102, 134),
        horizontal_line(104, 134),
        horizontal_line(105, 134),
        horizontal_line(107, 133),
        horizontal_line(108, 133),
        horizontal_line(110, 132),
        horizontal_line(111, 132),
        horizontal_line(113, 132),
        horizontal_line(114, 131),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(63, 118),
        horizontal_line(66, 119),
        horizontal_line(68, 121),
        horizontal_line(70, 122),
        horizontal_line(72, 124),
        horizontal_line(74, 125),
        horizontal_line(76, 127),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(83, 143),
        horizontal_line(85, 126),
        horizontal_line(87, 126),
        horizontal_line(89, 126),
        horizontal_line(91, 125),
        horizontal_line(94, 125),
        horizontal_line(96, 125),
        horizontal_line(98, 124),
        horizontal_line(100, 124),
        horizontal_line(102, 124),
        horizontal_line(104, 123),
        horizontal_line(106, 123),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(173, 176),
        horizontal_line(172, 174),
        horizontal_line(134, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(123, 123),
        horizontal_line(135, 142),
        horizontal_line(135, 141),
        horizontal_line(123, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(138, 144),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(174, 178),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(179, 205),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(152, 162),
        horizontal_line(149, 162),
        horizontal_line(179, 205),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(178, 203),
        horizontal_line(178, 203),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_109_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_109_shape_group_4_shapes[] = {
        shape(frame_109_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_109_shape_group_4_shape_1_horizontal_lines, 8, 4),
        shape(frame_109_shape_group_4_shape_2_horizontal_lines, 17, 2),
        shape(frame_109_shape_group_4_shape_3_horizontal_lines, 60, 3),
        shape(frame_109_shape_group_4_shape_4_horizontal_lines, 62, 2),
        shape(frame_109_shape_group_4_shape_5_horizontal_lines, 64, 4),
        shape(frame_109_shape_group_4_shape_6_horizontal_lines, 70, 7),
        shape(frame_109_shape_group_4_shape_7_horizontal_lines, 74, 8),
        shape(frame_109_shape_group_4_shape_8_horizontal_lines, 75, 7),
        shape(frame_109_shape_group_4_shape_9_horizontal_lines, 77, 8),
        shape(frame_109_shape_group_4_shape_10_horizontal_lines, 95, 9),
        shape(frame_109_shape_group_4_shape_11_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(91, 138),
        horizontal_line(92, 137),
        horizontal_line(93, 137),
        horizontal_line(95, 136),
        horizontal_line(96, 136),
        horizontal_line(98, 136),
        horizontal_line(99, 135),
        horizontal_line(101, 135),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(116, 131),
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(140, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(144, 193),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(181, 181),
        horizontal_line(180, 180),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(176, 177),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(122, 132),
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(169, 170),
        horizontal_line(168, 169),
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(126, 134),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(135, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 139),
        horizontal_line(137, 139),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(156, 160),
        horizontal_line(154, 160),
        horizontal_line(151, 160),
        horizontal_line(149, 160),
        horizontal_line(147, 161),
        horizontal_line(179, 181),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(179, 206),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(156, 162),
        horizontal_line(179, 205),
        horizontal_line(179, 205),
    };

    constexpr const horizontal_line frame_109_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(178, 204),
        horizontal_line(178, 204),
        horizontal_line(178, 204),
    };

    constexpr const shape frame_109_shape_group_5_shapes[] = {
        shape(frame_109_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_109_shape_group_5_shape_1_horizontal_lines, 8, 1),
        shape(frame_109_shape_group_5_shape_2_horizontal_lines, 17, 4),
        shape(frame_109_shape_group_5_shape_3_horizontal_lines, 19, 2),
        shape(frame_109_shape_group_5_shape_4_horizontal_lines, 28, 1),
        shape(frame_109_shape_group_5_shape_5_horizontal_lines, 29, 2),
        shape(frame_109_shape_group_5_shape_6_horizontal_lines, 46, 4),
        shape(frame_109_shape_group_5_shape_7_horizontal_lines, 48, 2),
        shape(frame_109_shape_group_5_shape_8_horizontal_lines, 52, 4),
        shape(frame_109_shape_group_5_shape_9_horizontal_lines, 54, 2),
        shape(frame_109_shape_group_5_shape_10_horizontal_lines, 62, 4),
        shape(frame_109_shape_group_5_shape_11_horizontal_lines, 64, 7),
        shape(frame_109_shape_group_5_shape_12_horizontal_lines, 73, 8),
        shape(frame_109_shape_group_5_shape_13_horizontal_lines, 75, 8),
        shape(frame_109_shape_group_5_shape_14_horizontal_lines, 80, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(205, 215),
        horizontal_line(205, 214),
        horizontal_line(205, 213),
        horizontal_line(205, 212),
        horizontal_line(205, 211),
        horizontal_line(205, 210),
        horizontal_line(205, 209),
        horizontal_line(205, 208),
        horizontal_line(206, 207),
        horizontal_line(144, 205),
        horizontal_line(144, 204),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(119, 130),
        horizontal_line(120, 130),
        horizontal_line(122, 129),
        horizontal_line(123, 129),
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(144, 196),
        horizontal_line(144, 195),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(146, 172),
        horizontal_line(145, 171),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(143, 163),
        horizontal_line(142, 161),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(127, 135),
        horizontal_line(127, 135),
        horizontal_line(128, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(175, 205),
        horizontal_line(176, 202),
        horizontal_line(176, 199),
        horizontal_line(177, 196),
        horizontal_line(177, 193),
        horizontal_line(178, 190),
        horizontal_line(178, 187),
        horizontal_line(179, 184),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(180, 206),
        horizontal_line(179, 206),
    };

    constexpr const horizontal_line frame_109_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(179, 205),
        horizontal_line(179, 205),
    };

    constexpr const shape frame_109_shape_group_6_shapes[] = {
        shape(frame_109_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_109_shape_group_6_shape_1_horizontal_lines, 19, 4),
        shape(frame_109_shape_group_6_shape_2_horizontal_lines, 26, 1),
        shape(frame_109_shape_group_6_shape_3_horizontal_lines, 29, 4),
        shape(frame_109_shape_group_6_shape_4_horizontal_lines, 39, 2),
        shape(frame_109_shape_group_6_shape_5_horizontal_lines, 40, 4),
        shape(frame_109_shape_group_6_shape_6_horizontal_lines, 46, 1),
        shape(frame_109_shape_group_6_shape_7_horizontal_lines, 48, 4),
        shape(frame_109_shape_group_6_shape_8_horizontal_lines, 51, 2),
        shape(frame_109_shape_group_6_shape_9_horizontal_lines, 52, 1),
        shape(frame_109_shape_group_6_shape_10_horizontal_lines, 54, 4),
        shape(frame_109_shape_group_6_shape_11_horizontal_lines, 60, 2),
        shape(frame_109_shape_group_6_shape_12_horizontal_lines, 62, 7),
        shape(frame_109_shape_group_6_shape_13_horizontal_lines, 71, 8),
        shape(frame_109_shape_group_6_shape_14_horizontal_lines, 75, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(205, 222),
        horizontal_line(205, 221),
        horizontal_line(205, 220),
        horizontal_line(205, 219),
        horizontal_line(205, 219),
        horizontal_line(205, 218),
        horizontal_line(205, 217),
        horizontal_line(205, 216),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(144, 203),
        horizontal_line(144, 202),
        horizontal_line(144, 201),
        horizontal_line(144, 200),
        horizontal_line(144, 199),
        horizontal_line(144, 198),
        horizontal_line(144, 197),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(144, 192),
        horizontal_line(144, 191),
        horizontal_line(145, 190),
        horizontal_line(145, 189),
        horizontal_line(145, 188),
        horizontal_line(145, 187),
        horizontal_line(145, 186),
        horizontal_line(145, 185),
        horizontal_line(145, 184),
        horizontal_line(145, 183),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(145, 180),
        horizontal_line(145, 179),
        horizontal_line(145, 177),
        horizontal_line(145, 176),
        horizontal_line(145, 175),
        horizontal_line(145, 173),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(196, 206),
        horizontal_line(194, 206),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(145, 169),
        horizontal_line(144, 168),
        horizontal_line(144, 167),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(186, 207),
        horizontal_line(184, 207),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(142, 157),
        horizontal_line(141, 155),
        horizontal_line(141, 153),
        horizontal_line(140, 151),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(130, 136),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(182, 206),
    };

    constexpr const shape frame_109_shape_group_7_shapes[] = {
        shape(frame_109_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_109_shape_group_7_shape_1_horizontal_lines, 19, 1),
        shape(frame_109_shape_group_7_shape_2_horizontal_lines, 29, 1),
        shape(frame_109_shape_group_7_shape_3_horizontal_lines, 39, 4),
        shape(frame_109_shape_group_7_shape_4_horizontal_lines, 40, 1),
        shape(frame_109_shape_group_7_shape_5_horizontal_lines, 46, 7),
        shape(frame_109_shape_group_7_shape_6_horizontal_lines, 48, 1),
        shape(frame_109_shape_group_7_shape_7_horizontal_lines, 51, 4),
        shape(frame_109_shape_group_7_shape_8_horizontal_lines, 52, 7),
        shape(frame_109_shape_group_7_shape_9_horizontal_lines, 54, 1),
        shape(frame_109_shape_group_7_shape_10_horizontal_lines, 60, 4),
        shape(frame_109_shape_group_7_shape_11_horizontal_lines, 61, 2),
        shape(frame_109_shape_group_7_shape_12_horizontal_lines, 62, 7),
        shape(frame_109_shape_group_7_shape_13_horizontal_lines, 70, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(145, 181),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(205, 206),
        horizontal_line(203, 206),
        horizontal_line(201, 206),
        horizontal_line(200, 206),
        horizontal_line(198, 206),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(193, 206),
        horizontal_line(191, 206),
        horizontal_line(189, 206),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(143, 165),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(182, 207),
        horizontal_line(180, 207),
        horizontal_line(179, 207),
        horizontal_line(177, 207),
        horizontal_line(175, 207),
        horizontal_line(174, 207),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(139, 147),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(130, 136),
    };

    constexpr const horizontal_line frame_109_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(206, 207),
        horizontal_line(203, 207),
        horizontal_line(200, 207),
        horizontal_line(197, 207),
        horizontal_line(194, 207),
        horizontal_line(191, 207),
        horizontal_line(188, 206),
        horizontal_line(185, 206),
    };

    constexpr const shape frame_109_shape_group_8_shapes[] = {
        shape(frame_109_shape_group_8_shape_0_horizontal_lines, 39, 1),
        shape(frame_109_shape_group_8_shape_1_horizontal_lines, 41, 7),
        shape(frame_109_shape_group_8_shape_2_horizontal_lines, 51, 1),
        shape(frame_109_shape_group_8_shape_3_horizontal_lines, 52, 7),
        shape(frame_109_shape_group_8_shape_4_horizontal_lines, 60, 1),
        shape(frame_109_shape_group_8_shape_5_horizontal_lines, 61, 4),
        shape(frame_109_shape_group_8_shape_6_horizontal_lines, 62, 8),
    };

    constexpr const horizontal_line frame_109_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(187, 207),
    };

    constexpr const horizontal_line frame_109_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(174, 207),
    };

    constexpr const horizontal_line frame_109_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(139, 141),
    };

    constexpr const shape frame_109_shape_group_9_shapes[] = {
        shape(frame_109_shape_group_9_shape_0_horizontal_lines, 42, 7),
        shape(frame_109_shape_group_9_shape_1_horizontal_lines, 48, 7),
        shape(frame_109_shape_group_9_shape_2_horizontal_lines, 54, 7),
        shape(frame_109_shape_group_9_shape_3_horizontal_lines, 61, 1),
    };

    constexpr const horizontal_line frame_109_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_109_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(175, 237),
    };

    constexpr const shape frame_109_shape_group_10_shapes[] = {
        shape(frame_109_shape_group_10_shape_0_horizontal_lines, 51, 7),
        shape(frame_109_shape_group_10_shape_1_horizontal_lines, 60, 7),
    };

    constexpr const horizontal_line frame_109_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const shape frame_109_shape_group_11_shapes[] = {
        shape(frame_109_shape_group_11_shape_0_horizontal_lines, 61, 7),
    };

    constexpr const shape_group frame_109_shape_groups[] = {
        shape_group(frame_109_shape_group_0_shapes),
        shape_group(frame_109_shape_group_1_shapes),
        shape_group(frame_109_shape_group_2_shapes),
        shape_group(frame_109_shape_group_3_shapes),
        shape_group(frame_109_shape_group_4_shapes),
        shape_group(frame_109_shape_group_5_shapes),
        shape_group(frame_109_shape_group_6_shapes),
        shape_group(frame_109_shape_group_7_shapes),
        shape_group(frame_109_shape_group_8_shapes),
        shape_group(frame_109_shape_group_9_shapes),
        shape_group(frame_109_shape_group_10_shapes),
        shape_group(frame_109_shape_group_11_shapes),
    };

    constexpr const frame frame_109_impl(frame_109_colors, frame_109_shape_groups);
} 

const frame& frame_109()
{
    return frame_109_impl;
}

namespace
{
    constexpr const bn::color frame_110_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(12, 74),
        horizontal_line(24, 86),
        horizontal_line(36, 98),
        horizontal_line(48, 110),
        horizontal_line(60, 117),
        horizontal_line(71, 117),
        horizontal_line(83, 117),
        horizontal_line(95, 117),
        horizontal_line(107, 117),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(119, 135),
        horizontal_line(120, 136),
        horizontal_line(122, 136),
        horizontal_line(123, 136),
        horizontal_line(125, 136),
        horizontal_line(126, 137),
        horizontal_line(128, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(139, 146),
        horizontal_line(141, 146),
        horizontal_line(142, 146),
        horizontal_line(144, 146),
        horizontal_line(145, 146),
        horizontal_line(165, 179),
        horizontal_line(172, 179),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(159, 173),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(163, 171),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(164, 175),
        horizontal_line(166, 179),
        horizontal_line(167, 183),
        horizontal_line(169, 187),
        horizontal_line(170, 191),
        horizontal_line(172, 195),
    };

    constexpr const horizontal_line frame_110_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(171, 173),
        horizontal_line(169, 173),
        horizontal_line(167, 174),
        horizontal_line(165, 211),
        horizontal_line(164, 214),
        horizontal_line(162, 216),
        horizontal_line(160, 218),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
    };

    constexpr const shape frame_110_shape_group_0_shapes[] = {
        shape(frame_110_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_110_shape_group_0_shape_1_horizontal_lines, 70, 2),
        shape(frame_110_shape_group_0_shape_2_horizontal_lines, 83, 7),
        shape(frame_110_shape_group_0_shape_3_horizontal_lines, 96, 8),
        shape(frame_110_shape_group_0_shape_4_horizontal_lines, 97, 7),
        shape(frame_110_shape_group_0_shape_5_horizontal_lines, 99, 8),
        shape(frame_110_shape_group_0_shape_6_horizontal_lines, 105, 7),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(218, 218),
        horizontal_line(216, 216),
        horizontal_line(215, 215),
        horizontal_line(214, 214),
        horizontal_line(213, 213),
        horizontal_line(212, 212),
        horizontal_line(211, 211),
        horizontal_line(210, 210),
        horizontal_line(209, 209),
        horizontal_line(207, 208),
        horizontal_line(206, 207),
        horizontal_line(205, 206),
        horizontal_line(204, 204),
        horizontal_line(203, 203),
        horizontal_line(202, 202),
        horizontal_line(201, 201),
        horizontal_line(200, 200),
        horizontal_line(199, 199),
        horizontal_line(197, 198),
        horizontal_line(196, 197),
        horizontal_line(195, 196),
        horizontal_line(194, 195),
        horizontal_line(193, 194),
        horizontal_line(192, 193),
        horizontal_line(191, 191),
        horizontal_line(190, 190),
        horizontal_line(189, 189),
        horizontal_line(188, 188),
        horizontal_line(187, 187),
        horizontal_line(186, 186),
        horizontal_line(185, 185),
        horizontal_line(184, 184),
        horizontal_line(183, 183),
        horizontal_line(182, 182),
        horizontal_line(181, 181),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(179, 179),
        horizontal_line(177, 179),
        horizontal_line(176, 179),
        horizontal_line(174, 179),
        horizontal_line(169, 169),
        horizontal_line(167, 168),
        horizontal_line(165, 167),
        horizontal_line(163, 167),
        horizontal_line(161, 165),
        horizontal_line(160, 163),
        horizontal_line(158, 161),
        horizontal_line(156, 159),
        horizontal_line(154, 157),
        horizontal_line(152, 155),
        horizontal_line(150, 153),
        horizontal_line(149, 151),
        horizontal_line(148, 149),
        horizontal_line(147, 147),
        horizontal_line(62, 115),
        horizontal_line(142, 145),
        horizontal_line(139, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 141),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(146, 154),
        horizontal_line(146, 152),
        horizontal_line(146, 149),
        horizontal_line(147, 147),
        horizontal_line(139, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(165, 180),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(164, 211),
        horizontal_line(163, 178),
        horizontal_line(163, 177),
        horizontal_line(163, 176),
        horizontal_line(162, 175),
        horizontal_line(162, 174),
        horizontal_line(211, 239),
        horizontal_line(167, 172),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(174, 199),
        horizontal_line(174, 203),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(191, 209),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(219, 223),
        horizontal_line(217, 226),
        horizontal_line(215, 228),
        horizontal_line(213, 230),
        horizontal_line(211, 233),
        horizontal_line(210, 235),
        horizontal_line(208, 238),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(192, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(181, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(169, 231),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(190, 239),
        horizontal_line(196, 239),
        horizontal_line(202, 239),
        horizontal_line(208, 239),
        horizontal_line(215, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
        horizontal_line(140, 186),
        horizontal_line(139, 186),
    };

    constexpr const shape frame_110_shape_group_1_shapes[] = {
        shape(frame_110_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_110_shape_group_1_shape_1_horizontal_lines, 66, 2),
        shape(frame_110_shape_group_1_shape_2_horizontal_lines, 70, 7),
        shape(frame_110_shape_group_1_shape_3_horizontal_lines, 90, 8),
        shape(frame_110_shape_group_1_shape_4_horizontal_lines, 108, 7),
        shape(frame_110_shape_group_1_shape_5_horizontal_lines, 109, 8),
        shape(frame_110_shape_group_1_shape_6_horizontal_lines, 113, 7),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 238),
        horizontal_line(223, 237),
        horizontal_line(223, 236),
        horizontal_line(223, 235),
        horizontal_line(222, 234),
        horizontal_line(222, 233),
        horizontal_line(222, 232),
        horizontal_line(222, 231),
        horizontal_line(222, 230),
        horizontal_line(221, 229),
        horizontal_line(221, 228),
        horizontal_line(221, 227),
        horizontal_line(221, 226),
        horizontal_line(220, 225),
        horizontal_line(220, 224),
        horizontal_line(220, 223),
        horizontal_line(220, 222),
        horizontal_line(219, 221),
        horizontal_line(219, 220),
        horizontal_line(219, 219),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(173, 178),
        horizontal_line(171, 178),
        horizontal_line(170, 178),
        horizontal_line(169, 178),
        horizontal_line(167, 178),
        horizontal_line(167, 177),
        horizontal_line(166, 177),
        horizontal_line(166, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 177),
        horizontal_line(164, 174),
        horizontal_line(164, 171),
        horizontal_line(163, 168),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(116, 127),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(63, 116),
        horizontal_line(74, 116),
        horizontal_line(86, 116),
        horizontal_line(98, 116),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(118, 134),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(146, 182),
        horizontal_line(146, 162),
        horizontal_line(146, 159),
        horizontal_line(146, 157),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(165, 180),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(147, 164),
        horizontal_line(148, 155),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(150, 163),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(196, 211),
        horizontal_line(204, 211),
        horizontal_line(212, 212),
        horizontal_line(211, 225),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(174, 210),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(172, 209),
        horizontal_line(176, 209),
        horizontal_line(180, 209),
        horizontal_line(184, 208),
        horizontal_line(188, 208),
        horizontal_line(192, 208),
        horizontal_line(196, 207),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(236, 239),
        horizontal_line(175, 190),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(155, 188),
        horizontal_line(153, 187),
        horizontal_line(151, 187),
        horizontal_line(149, 187),
        horizontal_line(147, 187),
        horizontal_line(146, 186),
        horizontal_line(144, 186),
        horizontal_line(142, 186),
    };

    constexpr const horizontal_line frame_110_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
    };

    constexpr const shape frame_110_shape_group_2_shapes[] = {
        shape(frame_110_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_110_shape_group_2_shape_1_horizontal_lines, 35, 2),
        shape(frame_110_shape_group_2_shape_2_horizontal_lines, 37, 3),
        shape(frame_110_shape_group_2_shape_3_horizontal_lines, 55, 2),
        shape(frame_110_shape_group_2_shape_4_horizontal_lines, 56, 3),
        shape(frame_110_shape_group_2_shape_5_horizontal_lines, 65, 2),
        shape(frame_110_shape_group_2_shape_6_horizontal_lines, 66, 7),
        shape(frame_110_shape_group_2_shape_7_horizontal_lines, 88, 8),
        shape(frame_110_shape_group_2_shape_8_horizontal_lines, 90, 9),
        shape(frame_110_shape_group_2_shape_9_horizontal_lines, 91, 8),
        shape(frame_110_shape_group_2_shape_10_horizontal_lines, 96, 9),
        shape(frame_110_shape_group_2_shape_11_horizontal_lines, 97, 8),
        shape(frame_110_shape_group_2_shape_12_horizontal_lines, 98, 9),
        shape(frame_110_shape_group_2_shape_13_horizontal_lines, 105, 8),
        shape(frame_110_shape_group_2_shape_14_horizontal_lines, 113, 8),
        shape(frame_110_shape_group_2_shape_15_horizontal_lines, 138, 7),
        shape(frame_110_shape_group_2_shape_16_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 115),
        horizontal_line(56, 115),
        horizontal_line(58, 115),
        horizontal_line(60, 114),
        horizontal_line(62, 114),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(100, 111),
        horizontal_line(102, 110),
        horizontal_line(104, 110),
        horizontal_line(106, 110),
        horizontal_line(108, 110),
        horizontal_line(128, 143),
        horizontal_line(129, 143),
        horizontal_line(111, 111),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(130, 143),
        horizontal_line(131, 143),
        horizontal_line(112, 114),
        horizontal_line(112, 115),
        horizontal_line(112, 116),
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(137, 145),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(116, 129),
        horizontal_line(116, 130),
        horizontal_line(117, 130),
        horizontal_line(117, 131),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 133),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(180, 211),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(152, 162),
        horizontal_line(153, 162),
        horizontal_line(155, 162),
        horizontal_line(156, 161),
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(173, 210),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(200, 207),
        horizontal_line(204, 207),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(188, 195),
        horizontal_line(188, 201),
        horizontal_line(188, 207),
        horizontal_line(188, 214),
        horizontal_line(187, 220),
        horizontal_line(187, 226),
        horizontal_line(187, 232),
    };

    constexpr const shape frame_110_shape_group_3_shapes[] = {
        shape(frame_110_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_110_shape_group_3_shape_1_horizontal_lines, 8, 3),
        shape(frame_110_shape_group_3_shape_2_horizontal_lines, 25, 2),
        shape(frame_110_shape_group_3_shape_3_horizontal_lines, 41, 3),
        shape(frame_110_shape_group_3_shape_4_horizontal_lines, 55, 2),
        shape(frame_110_shape_group_3_shape_5_horizontal_lines, 65, 4),
        shape(frame_110_shape_group_3_shape_6_horizontal_lines, 66, 7),
        shape(frame_110_shape_group_3_shape_7_horizontal_lines, 83, 8),
        shape(frame_110_shape_group_3_shape_8_horizontal_lines, 91, 9),
        shape(frame_110_shape_group_3_shape_9_horizontal_lines, 97, 9),
        shape(frame_110_shape_group_3_shape_10_horizontal_lines, 105, 9),
        shape(frame_110_shape_group_3_shape_11_horizontal_lines, 108, 8),
        shape(frame_110_shape_group_3_shape_12_horizontal_lines, 150, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(110, 141),
        horizontal_line(117, 141),
        horizontal_line(117, 141),
        horizontal_line(118, 141),
        horizontal_line(118, 141),
        horizontal_line(118, 141),
        horizontal_line(119, 141),
        horizontal_line(119, 141),
        horizontal_line(64, 114),
        horizontal_line(66, 114),
        horizontal_line(69, 114),
        horizontal_line(71, 113),
        horizontal_line(73, 113),
        horizontal_line(75, 113),
        horizontal_line(77, 113),
        horizontal_line(79, 113),
        horizontal_line(81, 112),
        horizontal_line(83, 112),
        horizontal_line(85, 112),
        horizontal_line(87, 112),
        horizontal_line(90, 112),
        horizontal_line(92, 111),
        horizontal_line(94, 111),
        horizontal_line(96, 111),
        horizontal_line(98, 111),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 143),
        horizontal_line(128, 143),
        horizontal_line(183, 184),
        horizontal_line(182, 183),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(130, 144),
        horizontal_line(177, 180),
        horizontal_line(176, 179),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 141),
        horizontal_line(113, 117),
        horizontal_line(113, 118),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 122),
        horizontal_line(114, 123),
        horizontal_line(115, 123),
        horizontal_line(115, 124),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(115, 126),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(128, 136),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(137, 141),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(130, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(183, 215),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(155, 164),
        horizontal_line(153, 164),
        horizontal_line(150, 164),
        horizontal_line(148, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(147, 164),
        horizontal_line(181, 212),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(180, 211),
    };

    constexpr const horizontal_line frame_110_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(179, 187),
        horizontal_line(178, 195),
        horizontal_line(177, 203),
        horizontal_line(176, 211),
        horizontal_line(175, 210),
    };

    constexpr const shape frame_110_shape_group_4_shapes[] = {
        shape(frame_110_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_110_shape_group_4_shape_1_horizontal_lines, 55, 4),
        shape(frame_110_shape_group_4_shape_2_horizontal_lines, 56, 2),
        shape(frame_110_shape_group_4_shape_3_horizontal_lines, 58, 4),
        shape(frame_110_shape_group_4_shape_4_horizontal_lines, 65, 7),
        shape(frame_110_shape_group_4_shape_5_horizontal_lines, 66, 8),
        shape(frame_110_shape_group_4_shape_6_horizontal_lines, 67, 7),
        shape(frame_110_shape_group_4_shape_7_horizontal_lines, 70, 8),
        shape(frame_110_shape_group_4_shape_8_horizontal_lines, 89, 8),
        shape(frame_110_shape_group_4_shape_9_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(112, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(120, 141),
        horizontal_line(120, 141),
        horizontal_line(120, 141),
        horizontal_line(121, 141),
        horizontal_line(121, 142),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 143),
        horizontal_line(126, 143),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(144, 189),
        horizontal_line(144, 188),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(186, 186),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(144, 182),
        horizontal_line(144, 181),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(180, 181),
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(144, 176),
        horizontal_line(144, 175),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(174, 178),
        horizontal_line(173, 176),
        horizontal_line(172, 175),
        horizontal_line(171, 173),
        horizontal_line(132, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 140),
        horizontal_line(134, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(180, 205),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(129, 136),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(156, 162),
        horizontal_line(154, 162),
        horizontal_line(152, 162),
        horizontal_line(150, 163),
        horizontal_line(148, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(171, 182),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(160, 164),
        horizontal_line(158, 164),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 213),
        horizontal_line(181, 212),
    };

    constexpr const horizontal_line frame_110_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(156, 163),
    };

    constexpr const shape frame_110_shape_group_5_shapes[] = {
        shape(frame_110_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_110_shape_group_5_shape_1_horizontal_lines, 1, 2),
        shape(frame_110_shape_group_5_shape_2_horizontal_lines, 3, 1),
        shape(frame_110_shape_group_5_shape_3_horizontal_lines, 8, 2),
        shape(frame_110_shape_group_5_shape_4_horizontal_lines, 25, 1),
        shape(frame_110_shape_group_5_shape_5_horizontal_lines, 27, 2),
        shape(frame_110_shape_group_5_shape_6_horizontal_lines, 30, 1),
        shape(frame_110_shape_group_5_shape_7_horizontal_lines, 32, 2),
        shape(frame_110_shape_group_5_shape_8_horizontal_lines, 35, 1),
        shape(frame_110_shape_group_5_shape_9_horizontal_lines, 37, 2),
        shape(frame_110_shape_group_5_shape_10_horizontal_lines, 55, 7),
        shape(frame_110_shape_group_5_shape_11_horizontal_lines, 56, 4),
        shape(frame_110_shape_group_5_shape_12_horizontal_lines, 58, 7),
        shape(frame_110_shape_group_5_shape_13_horizontal_lines, 67, 8),
        shape(frame_110_shape_group_5_shape_14_horizontal_lines, 89, 9),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(204, 217),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(204, 213),
        horizontal_line(204, 212),
        horizontal_line(204, 211),
        horizontal_line(204, 210),
        horizontal_line(204, 209),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(143, 203),
        horizontal_line(143, 202),
        horizontal_line(143, 201),
        horizontal_line(143, 200),
        horizontal_line(143, 199),
        horizontal_line(143, 198),
        horizontal_line(143, 196),
        horizontal_line(143, 195),
        horizontal_line(143, 194),
        horizontal_line(143, 193),
        horizontal_line(143, 192),
        horizontal_line(144, 191),
        horizontal_line(144, 190),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(112, 125),
        horizontal_line(111, 126),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(144, 186),
        horizontal_line(144, 185),
        horizontal_line(144, 184),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(111, 127),
        horizontal_line(111, 128),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(144, 180),
        horizontal_line(144, 179),
        horizontal_line(145, 177),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(115, 130),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(143, 173),
        horizontal_line(143, 172),
        horizontal_line(143, 171),
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(169, 170),
        horizontal_line(168, 169),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(141, 160),
        horizontal_line(140, 159),
        horizontal_line(140, 157),
        horizontal_line(140, 155),
        horizontal_line(139, 153),
        horizontal_line(139, 151),
        horizontal_line(139, 149),
        horizontal_line(138, 148),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(160, 162),
        horizontal_line(158, 162),
        horizontal_line(181, 197),
        horizontal_line(182, 194),
        horizontal_line(182, 192),
        horizontal_line(183, 189),
        horizontal_line(183, 186),
        horizontal_line(184, 184),
        horizontal_line(177, 182),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(183, 215),
        horizontal_line(183, 215),
        horizontal_line(183, 214),
    };

    constexpr const shape frame_110_shape_group_6_shapes[] = {
        shape(frame_110_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_110_shape_group_6_shape_1_horizontal_lines, 25, 4),
        shape(frame_110_shape_group_6_shape_2_horizontal_lines, 27, 1),
        shape(frame_110_shape_group_6_shape_3_horizontal_lines, 30, 4),
        shape(frame_110_shape_group_6_shape_4_horizontal_lines, 32, 1),
        shape(frame_110_shape_group_6_shape_5_horizontal_lines, 35, 4),
        shape(frame_110_shape_group_6_shape_6_horizontal_lines, 37, 1),
        shape(frame_110_shape_group_6_shape_7_horizontal_lines, 41, 2),
        shape(frame_110_shape_group_6_shape_8_horizontal_lines, 45, 1),
        shape(frame_110_shape_group_6_shape_9_horizontal_lines, 53, 2),
        shape(frame_110_shape_group_6_shape_10_horizontal_lines, 54, 1),
        shape(frame_110_shape_group_6_shape_11_horizontal_lines, 55, 7),
        shape(frame_110_shape_group_6_shape_12_horizontal_lines, 67, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(204, 215),
        horizontal_line(204, 214),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(204, 208),
        horizontal_line(204, 206),
        horizontal_line(204, 205),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(111, 126),
        horizontal_line(111, 126),
        horizontal_line(111, 127),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(211, 217),
        horizontal_line(209, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(112, 128),
        horizontal_line(113, 128),
        horizontal_line(113, 129),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(203, 217),
        horizontal_line(201, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(115, 130),
        horizontal_line(116, 130),
        horizontal_line(117, 131),
        horizontal_line(117, 131),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(142, 168),
        horizontal_line(142, 166),
        horizontal_line(141, 164),
        horizontal_line(141, 162),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(121, 133),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(123, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(138, 143),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(127, 137),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(206, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(180, 202),
        horizontal_line(181, 200),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(183, 215),
    };

    constexpr const shape frame_110_shape_group_7_shapes[] = {
        shape(frame_110_shape_group_7_shape_0_horizontal_lines, 1, 1),
        shape(frame_110_shape_group_7_shape_1_horizontal_lines, 3, 4),
        shape(frame_110_shape_group_7_shape_2_horizontal_lines, 8, 1),
        shape(frame_110_shape_group_7_shape_3_horizontal_lines, 12, 4),
        shape(frame_110_shape_group_7_shape_4_horizontal_lines, 27, 4),
        shape(frame_110_shape_group_7_shape_5_horizontal_lines, 30, 7),
        shape(frame_110_shape_group_7_shape_6_horizontal_lines, 32, 4),
        shape(frame_110_shape_group_7_shape_7_horizontal_lines, 35, 7),
        shape(frame_110_shape_group_7_shape_8_horizontal_lines, 37, 4),
        shape(frame_110_shape_group_7_shape_9_horizontal_lines, 41, 1),
        shape(frame_110_shape_group_7_shape_10_horizontal_lines, 45, 4),
        shape(frame_110_shape_group_7_shape_11_horizontal_lines, 53, 1),
        shape(frame_110_shape_group_7_shape_12_horizontal_lines, 54, 4),
        shape(frame_110_shape_group_7_shape_13_horizontal_lines, 55, 8),
        shape(frame_110_shape_group_7_shape_14_horizontal_lines, 56, 7),
        shape(frame_110_shape_group_7_shape_15_horizontal_lines, 65, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(216, 217),
        horizontal_line(214, 217),
        horizontal_line(213, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(208, 217),
        horizontal_line(206, 217),
        horizontal_line(204, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(199, 217),
        horizontal_line(198, 217),
        horizontal_line(196, 217),
        horizontal_line(194, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(186, 217),
        horizontal_line(184, 217),
        horizontal_line(183, 217),
        horizontal_line(181, 217),
        horizontal_line(179, 217),
        horizontal_line(178, 239),
        horizontal_line(178, 216),
        horizontal_line(178, 213),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(179, 208),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(198, 216),
        horizontal_line(195, 216),
        horizontal_line(193, 216),
        horizontal_line(190, 216),
        horizontal_line(187, 216),
        horizontal_line(185, 215),
        horizontal_line(183, 215),
    };

    constexpr const shape frame_110_shape_group_8_shapes[] = {
        shape(frame_110_shape_group_8_shape_0_horizontal_lines, 1, 4),
        shape(frame_110_shape_group_8_shape_1_horizontal_lines, 8, 4),
        shape(frame_110_shape_group_8_shape_2_horizontal_lines, 27, 7),
        shape(frame_110_shape_group_8_shape_3_horizontal_lines, 32, 7),
        shape(frame_110_shape_group_8_shape_4_horizontal_lines, 37, 7),
        shape(frame_110_shape_group_8_shape_5_horizontal_lines, 41, 4),
        shape(frame_110_shape_group_8_shape_6_horizontal_lines, 45, 7),
        shape(frame_110_shape_group_8_shape_7_horizontal_lines, 53, 4),
        shape(frame_110_shape_group_8_shape_8_horizontal_lines, 54, 7),
        shape(frame_110_shape_group_8_shape_9_horizontal_lines, 56, 7),
        shape(frame_110_shape_group_8_shape_10_horizontal_lines, 58, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(193, 217),
        horizontal_line(191, 217),
        horizontal_line(189, 217),
        horizontal_line(188, 217),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(179, 210),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(203, 217),
        horizontal_line(201, 216),
    };

    constexpr const shape frame_110_shape_group_9_shapes[] = {
        shape(frame_110_shape_group_9_shape_0_horizontal_lines, 38, 7),
        shape(frame_110_shape_group_9_shape_1_horizontal_lines, 51, 7),
        shape(frame_110_shape_group_9_shape_2_horizontal_lines, 56, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(214, 217),
    };

    constexpr const horizontal_line frame_110_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_110_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(209, 217),
    };

    constexpr const shape frame_110_shape_group_10_shapes[] = {
        shape(frame_110_shape_group_10_shape_0_horizontal_lines, 41, 7),
        shape(frame_110_shape_group_10_shape_1_horizontal_lines, 51, 8),
        shape(frame_110_shape_group_10_shape_2_horizontal_lines, 53, 7),
        shape(frame_110_shape_group_10_shape_3_horizontal_lines, 54, 8),
    };

    constexpr const horizontal_line frame_110_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(211, 217),
    };

    constexpr const shape frame_110_shape_group_11_shapes[] = {
        shape(frame_110_shape_group_11_shape_0_horizontal_lines, 53, 8),
    };

    constexpr const shape_group frame_110_shape_groups[] = {
        shape_group(frame_110_shape_group_0_shapes),
        shape_group(frame_110_shape_group_1_shapes),
        shape_group(frame_110_shape_group_2_shapes),
        shape_group(frame_110_shape_group_3_shapes),
        shape_group(frame_110_shape_group_4_shapes),
        shape_group(frame_110_shape_group_5_shapes),
        shape_group(frame_110_shape_group_6_shapes),
        shape_group(frame_110_shape_group_7_shapes),
        shape_group(frame_110_shape_group_8_shapes),
        shape_group(frame_110_shape_group_9_shapes),
        shape_group(frame_110_shape_group_10_shapes),
        shape_group(frame_110_shape_group_11_shapes),
    };

    constexpr const frame frame_110_impl(frame_110_colors, frame_110_shape_groups);
} 

const frame& frame_110()
{
    return frame_110_impl;
}

namespace
{
    constexpr const bn::color frame_111_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_111_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(32, 94),
        horizontal_line(64, 94),
    };

    constexpr const horizontal_line frame_111_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(96, 134),
    };

    constexpr const horizontal_line frame_111_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(98, 101),
        horizontal_line(100, 104),
        horizontal_line(101, 107),
        horizontal_line(102, 110),
        horizontal_line(104, 113),
        horizontal_line(105, 116),
        horizontal_line(107, 119),
        horizontal_line(108, 122),
        horizontal_line(109, 125),
        horizontal_line(111, 128),
        horizontal_line(112, 131),
        horizontal_line(113, 134),
        horizontal_line(115, 138),
        horizontal_line(116, 140),
        horizontal_line(118, 142),
        horizontal_line(119, 144),
        horizontal_line(120, 146),
        horizontal_line(122, 148),
        horizontal_line(123, 150),
        horizontal_line(124, 152),
        horizontal_line(126, 154),
        horizontal_line(127, 156),
        horizontal_line(129, 158),
        horizontal_line(130, 158),
        horizontal_line(131, 159),
        horizontal_line(133, 159),
        horizontal_line(134, 160),
        horizontal_line(136, 160),
        horizontal_line(137, 161),
        horizontal_line(138, 161),
        horizontal_line(140, 162),
        horizontal_line(141, 162),
        horizontal_line(142, 163),
        horizontal_line(144, 163),
        horizontal_line(145, 164),
        horizontal_line(147, 164),
        horizontal_line(148, 165),
        horizontal_line(149, 165),
        horizontal_line(151, 166),
        horizontal_line(152, 166),
        horizontal_line(153, 167),
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_111_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
    };

    constexpr const shape frame_111_shape_group_0_shapes[] = {
        shape(frame_111_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_111_shape_group_0_shape_1_horizontal_lines, 64, 2),
        shape(frame_111_shape_group_0_shape_2_horizontal_lines, 65, 3),
        shape(frame_111_shape_group_0_shape_3_horizontal_lines, 110, 7),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(207, 208),
        horizontal_line(206, 206),
        horizontal_line(205, 205),
        horizontal_line(204, 204),
        horizontal_line(203, 203),
        horizontal_line(202, 202),
        horizontal_line(201, 201),
        horizontal_line(200, 200),
        horizontal_line(199, 199),
        horizontal_line(198, 198),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(186, 186),
        horizontal_line(184, 186),
        horizontal_line(183, 186),
        horizontal_line(181, 186),
        horizontal_line(180, 186),
        horizontal_line(178, 185),
        horizontal_line(177, 185),
        horizontal_line(173, 173),
        horizontal_line(172, 172),
        horizontal_line(170, 171),
        horizontal_line(169, 185),
        horizontal_line(167, 168),
        horizontal_line(165, 167),
        horizontal_line(164, 165),
        horizontal_line(162, 164),
        horizontal_line(161, 162),
        horizontal_line(159, 161),
        horizontal_line(157, 159),
        horizontal_line(156, 157),
        horizontal_line(154, 156),
        horizontal_line(153, 154),
        horizontal_line(152, 153),
        horizontal_line(151, 151),
        horizontal_line(150, 150),
        horizontal_line(147, 148),
        horizontal_line(144, 148),
        horizontal_line(141, 148),
        horizontal_line(138, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(137, 144),
        horizontal_line(136, 140),
        horizontal_line(135, 136),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(63, 94),
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(95, 134),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(99, 134),
        horizontal_line(102, 135),
        horizontal_line(105, 135),
        horizontal_line(108, 135),
        horizontal_line(111, 135),
        horizontal_line(114, 136),
        horizontal_line(117, 136),
        horizontal_line(120, 136),
        horizontal_line(123, 136),
        horizontal_line(126, 137),
        horizontal_line(129, 137),
        horizontal_line(132, 137),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(140, 150),
        horizontal_line(143, 150),
        horizontal_line(146, 150),
        horizontal_line(149, 150),
        horizontal_line(180, 185),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(160, 170),
        horizontal_line(160, 175),
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(161, 181),
        horizontal_line(162, 184),
        horizontal_line(162, 188),
        horizontal_line(163, 191),
        horizontal_line(163, 194),
        horizontal_line(164, 198),
        horizontal_line(164, 201),
        horizontal_line(165, 204),
        horizontal_line(165, 208),
        horizontal_line(166, 211),
        horizontal_line(166, 214),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_111_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(198, 220),
        horizontal_line(178, 222),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(221, 230),
        horizontal_line(222, 232),
        horizontal_line(224, 234),
        horizontal_line(225, 236),
        horizontal_line(226, 238),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
    };

    constexpr const shape frame_111_shape_group_1_shapes[] = {
        shape(frame_111_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_111_shape_group_1_shape_1_horizontal_lines, 63, 2),
        shape(frame_111_shape_group_1_shape_2_horizontal_lines, 64, 7),
        shape(frame_111_shape_group_1_shape_3_horizontal_lines, 65, 2),
        shape(frame_111_shape_group_1_shape_4_horizontal_lines, 78, 7),
        shape(frame_111_shape_group_1_shape_5_horizontal_lines, 93, 8),
        shape(frame_111_shape_group_1_shape_6_horizontal_lines, 105, 7),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(84, 86),
        horizontal_line(84, 87),
        horizontal_line(84, 88),
        horizontal_line(84, 89),
        horizontal_line(85, 90),
        horizontal_line(85, 91),
        horizontal_line(85, 92),
        horizontal_line(85, 93),
        horizontal_line(86, 94),
        horizontal_line(86, 95),
        horizontal_line(86, 96),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(175, 185),
        horizontal_line(174, 185),
        horizontal_line(173, 185),
        horizontal_line(62, 87),
        horizontal_line(171, 184),
        horizontal_line(171, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(170, 184),
        horizontal_line(169, 181),
        horizontal_line(169, 179),
        horizontal_line(169, 176),
        horizontal_line(168, 174),
        horizontal_line(168, 171),
        horizontal_line(168, 169),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(94, 134),
        horizontal_line(94, 133),
        horizontal_line(95, 133),
        horizontal_line(95, 133),
        horizontal_line(95, 134),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(170, 188),
        horizontal_line(146, 150),
        horizontal_line(140, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(136, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(170, 185),
        horizontal_line(175, 185),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(169, 225),
        horizontal_line(168, 183),
        horizontal_line(168, 182),
        horizontal_line(168, 181),
        horizontal_line(167, 180),
        horizontal_line(159, 160),
        horizontal_line(159, 177),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(167, 178),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(229, 239),
        horizontal_line(167, 197),
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(220, 224),
        horizontal_line(220, 226),
        horizontal_line(221, 228),
    };

    constexpr const horizontal_line frame_111_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_111_shape_group_2_shapes[] = {
        shape(frame_111_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_111_shape_group_2_shape_1_horizontal_lines, 10, 2),
        shape(frame_111_shape_group_2_shape_2_horizontal_lines, 21, 3),
        shape(frame_111_shape_group_2_shape_3_horizontal_lines, 58, 2),
        shape(frame_111_shape_group_2_shape_4_horizontal_lines, 63, 7),
        shape(frame_111_shape_group_2_shape_5_horizontal_lines, 83, 8),
        shape(frame_111_shape_group_2_shape_6_horizontal_lines, 90, 7),
        shape(frame_111_shape_group_2_shape_7_horizontal_lines, 91, 8),
        shape(frame_111_shape_group_2_shape_8_horizontal_lines, 107, 7),
        shape(frame_111_shape_group_2_shape_9_horizontal_lines, 110, 8),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(73, 82),
        horizontal_line(75, 82),
        horizontal_line(78, 82),
        horizontal_line(80, 82),
        horizontal_line(115, 141),
        horizontal_line(115, 141),
        horizontal_line(116, 142),
        horizontal_line(83, 83),
        horizontal_line(83, 84),
        horizontal_line(84, 85),
        horizontal_line(118, 142),
        horizontal_line(118, 142),
        horizontal_line(119, 143),
        horizontal_line(119, 143),
        horizontal_line(120, 143),
        horizontal_line(120, 143),
        horizontal_line(121, 143),
        horizontal_line(121, 144),
        horizontal_line(122, 143),
        horizontal_line(122, 143),
        horizontal_line(123, 142),
        horizontal_line(86, 97),
        horizontal_line(86, 98),
        horizontal_line(87, 99),
        horizontal_line(87, 100),
        horizontal_line(87, 101),
        horizontal_line(87, 102),
        horizontal_line(87, 103),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(88, 106),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(91, 119),
        horizontal_line(91, 120),
        horizontal_line(92, 121),
        horizontal_line(92, 122),
        horizontal_line(92, 123),
        horizontal_line(92, 124),
        horizontal_line(92, 125),
        horizontal_line(93, 126),
        horizontal_line(93, 127),
        horizontal_line(93, 128),
        horizontal_line(93, 129),
        horizontal_line(94, 130),
        horizontal_line(94, 131),
        horizontal_line(94, 132),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(149, 165),
        horizontal_line(150, 162),
        horizontal_line(150, 160),
        horizontal_line(150, 158),
        horizontal_line(150, 155),
        horizontal_line(170, 188),
        horizontal_line(230, 239),
        horizontal_line(170, 188),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 187),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(170, 186),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(169, 179),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(153, 168),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(193, 224),
        horizontal_line(201, 224),
        horizontal_line(209, 224),
        horizontal_line(217, 224),
        horizontal_line(167, 178),
        horizontal_line(224, 231),
        horizontal_line(171, 176),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(176, 222),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(182, 222),
        horizontal_line(185, 221),
        horizontal_line(189, 221),
        horizontal_line(192, 221),
        horizontal_line(195, 220),
        horizontal_line(199, 220),
        horizontal_line(202, 219),
        horizontal_line(205, 219),
        horizontal_line(209, 219),
        horizontal_line(212, 218),
        horizontal_line(215, 218),
    };

    constexpr const horizontal_line frame_111_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_111_shape_group_3_shapes[] = {
        shape(frame_111_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_111_shape_group_3_shape_1_horizontal_lines, 28, 3),
        shape(frame_111_shape_group_3_shape_2_horizontal_lines, 31, 2),
        shape(frame_111_shape_group_3_shape_3_horizontal_lines, 32, 3),
        shape(frame_111_shape_group_3_shape_4_horizontal_lines, 44, 2),
        shape(frame_111_shape_group_3_shape_5_horizontal_lines, 58, 7),
        shape(frame_111_shape_group_3_shape_6_horizontal_lines, 82, 8),
        shape(frame_111_shape_group_3_shape_7_horizontal_lines, 83, 9),
        shape(frame_111_shape_group_3_shape_8_horizontal_lines, 84, 8),
        shape(frame_111_shape_group_3_shape_9_horizontal_lines, 91, 9),
        shape(frame_111_shape_group_3_shape_10_horizontal_lines, 92, 8),
        shape(frame_111_shape_group_3_shape_11_horizontal_lines, 93, 9),
        shape(frame_111_shape_group_3_shape_12_horizontal_lines, 105, 8),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(113, 141),
        horizontal_line(113, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 141),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(83, 114),
        horizontal_line(83, 114),
        horizontal_line(83, 115),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(116, 142),
        horizontal_line(117, 142),
        horizontal_line(117, 142),
        horizontal_line(196, 196),
        horizontal_line(195, 195),
        horizontal_line(194, 194),
        horizontal_line(192, 193),
        horizontal_line(191, 192),
        horizontal_line(190, 191),
        horizontal_line(189, 190),
        horizontal_line(188, 189),
        horizontal_line(186, 188),
        horizontal_line(185, 187),
        horizontal_line(184, 186),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 141),
        horizontal_line(125, 141),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(127, 140),
        horizontal_line(88, 104),
        horizontal_line(88, 105),
        horizontal_line(88, 106),
        horizontal_line(129, 138),
        horizontal_line(89, 107),
        horizontal_line(89, 108),
        horizontal_line(89, 109),
        horizontal_line(89, 110),
        horizontal_line(89, 111),
        horizontal_line(90, 112),
        horizontal_line(90, 113),
        horizontal_line(90, 114),
        horizontal_line(90, 115),
        horizontal_line(91, 116),
        horizontal_line(91, 117),
        horizontal_line(91, 118),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 143),
        horizontal_line(134, 140),
        horizontal_line(134, 137),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 135),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(170, 189),
        horizontal_line(170, 189),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(170, 188),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(152, 169),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 160),
        horizontal_line(186, 225),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(154, 167),
        horizontal_line(155, 167),
        horizontal_line(156, 167),
        horizontal_line(157, 166),
        horizontal_line(161, 166),
        horizontal_line(178, 223),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(224, 238),
    };

    constexpr const horizontal_line frame_111_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(179, 222),
    };

    constexpr const shape frame_111_shape_group_4_shapes[] = {
        shape(frame_111_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_111_shape_group_4_shape_1_horizontal_lines, 4, 4),
        shape(frame_111_shape_group_4_shape_2_horizontal_lines, 7, 2),
        shape(frame_111_shape_group_4_shape_3_horizontal_lines, 58, 7),
        shape(frame_111_shape_group_4_shape_4_horizontal_lines, 64, 8),
        shape(frame_111_shape_group_4_shape_5_horizontal_lines, 65, 7),
        shape(frame_111_shape_group_4_shape_6_horizontal_lines, 78, 8),
        shape(frame_111_shape_group_4_shape_7_horizontal_lines, 84, 9),
        shape(frame_111_shape_group_4_shape_8_horizontal_lines, 90, 8),
        shape(frame_111_shape_group_4_shape_9_horizontal_lines, 92, 9),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(83, 112),
        horizontal_line(83, 112),
        horizontal_line(83, 113),
        horizontal_line(83, 113),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(142, 202),
        horizontal_line(142, 201),
        horizontal_line(143, 200),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(84, 115),
        horizontal_line(85, 116),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(197, 197),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(87, 117),
        horizontal_line(88, 117),
        horizontal_line(89, 118),
        horizontal_line(90, 118),
        horizontal_line(91, 119),
        horizontal_line(92, 119),
        horizontal_line(93, 120),
        horizontal_line(94, 120),
        horizontal_line(95, 121),
        horizontal_line(96, 121),
        horizontal_line(97, 122),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(183, 185),
        horizontal_line(181, 183),
        horizontal_line(180, 182),
        horizontal_line(179, 180),
        horizontal_line(178, 179),
        horizontal_line(177, 177),
        horizontal_line(175, 176),
        horizontal_line(127, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 138),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(107, 128),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(129, 138),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(149, 151),
        horizontal_line(134, 134),
        horizontal_line(141, 149),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(122, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 133),
        horizontal_line(125, 133),
        horizontal_line(126, 133),
        horizontal_line(127, 133),
        horizontal_line(128, 133),
        horizontal_line(129, 133),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(154, 169),
        horizontal_line(189, 229),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(186, 226),
        horizontal_line(186, 226),
        horizontal_line(186, 225),
        horizontal_line(169, 174),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(152, 168),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(184, 192),
        horizontal_line(183, 200),
        horizontal_line(182, 208),
        horizontal_line(181, 216),
        horizontal_line(179, 224),
    };

    constexpr const horizontal_line frame_111_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(177, 223),
    };

    constexpr const shape frame_111_shape_group_5_shapes[] = {
        shape(frame_111_shape_group_5_shape_0_horizontal_lines, 0, 4),
        shape(frame_111_shape_group_5_shape_1_horizontal_lines, 4, 1),
        shape(frame_111_shape_group_5_shape_2_horizontal_lines, 7, 4),
        shape(frame_111_shape_group_5_shape_3_horizontal_lines, 9, 2),
        shape(frame_111_shape_group_5_shape_4_horizontal_lines, 10, 4),
        shape(frame_111_shape_group_5_shape_5_horizontal_lines, 21, 2),
        shape(frame_111_shape_group_5_shape_6_horizontal_lines, 31, 4),
        shape(frame_111_shape_group_5_shape_7_horizontal_lines, 32, 2),
        shape(frame_111_shape_group_5_shape_8_horizontal_lines, 46, 4),
        shape(frame_111_shape_group_5_shape_9_horizontal_lines, 58, 7),
        shape(frame_111_shape_group_5_shape_10_horizontal_lines, 63, 8),
        shape(frame_111_shape_group_5_shape_11_horizontal_lines, 82, 9),
        shape(frame_111_shape_group_5_shape_12_horizontal_lines, 84, 9),
        shape(frame_111_shape_group_5_shape_13_horizontal_lines, 90, 9),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 203),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(235, 237),
        horizontal_line(234, 237),
        horizontal_line(232, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(143, 199),
        horizontal_line(143, 198),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(86, 116),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(143, 195),
        horizontal_line(143, 194),
        horizontal_line(144, 193),
        horizontal_line(144, 191),
        horizontal_line(144, 190),
        horizontal_line(144, 189),
        horizontal_line(144, 188),
        horizontal_line(145, 187),
        horizontal_line(144, 185),
        horizontal_line(144, 184),
        horizontal_line(143, 183),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(98, 123),
        horizontal_line(99, 123),
        horizontal_line(100, 124),
        horizontal_line(101, 124),
        horizontal_line(102, 125),
        horizontal_line(103, 125),
        horizontal_line(104, 126),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(173, 173),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(139, 168),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(108, 128),
        horizontal_line(109, 129),
        horizontal_line(110, 129),
        horizontal_line(111, 130),
        horizontal_line(112, 130),
        horizontal_line(113, 131),
        horizontal_line(114, 131),
        horizontal_line(115, 132),
        horizontal_line(116, 132),
        horizontal_line(117, 133),
        horizontal_line(118, 134),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(120, 133),
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(162, 167),
        horizontal_line(160, 167),
        horizontal_line(158, 167),
        horizontal_line(156, 168),
        horizontal_line(154, 168),
        horizontal_line(152, 168),
        horizontal_line(150, 168),
        horizontal_line(149, 168),
        horizontal_line(149, 168),
        horizontal_line(149, 169),
        horizontal_line(149, 167),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(163, 169),
        horizontal_line(161, 169),
        horizontal_line(159, 169),
        horizontal_line(156, 169),
        horizontal_line(189, 230),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(189, 229),
        horizontal_line(188, 229),
        horizontal_line(188, 229),
        horizontal_line(188, 228),
        horizontal_line(188, 228),
        horizontal_line(188, 228),
        horizontal_line(188, 228),
        horizontal_line(187, 227),
        horizontal_line(187, 227),
        horizontal_line(187, 227),
        horizontal_line(187, 227),
        horizontal_line(187, 226),
        horizontal_line(187, 226),
    };

    constexpr const horizontal_line frame_111_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(186, 225),
    };

    constexpr const shape frame_111_shape_group_6_shapes[] = {
        shape(frame_111_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_111_shape_group_6_shape_1_horizontal_lines, 4, 7),
        shape(frame_111_shape_group_6_shape_2_horizontal_lines, 7, 1),
        shape(frame_111_shape_group_6_shape_3_horizontal_lines, 9, 4),
        shape(frame_111_shape_group_6_shape_4_horizontal_lines, 10, 1),
        shape(frame_111_shape_group_6_shape_5_horizontal_lines, 21, 4),
        shape(frame_111_shape_group_6_shape_6_horizontal_lines, 28, 2),
        shape(frame_111_shape_group_6_shape_7_horizontal_lines, 31, 1),
        shape(frame_111_shape_group_6_shape_8_horizontal_lines, 32, 4),
        shape(frame_111_shape_group_6_shape_9_horizontal_lines, 43, 2),
        shape(frame_111_shape_group_6_shape_10_horizontal_lines, 44, 4),
        shape(frame_111_shape_group_6_shape_11_horizontal_lines, 46, 7),
        shape(frame_111_shape_group_6_shape_12_horizontal_lines, 58, 8),
        shape(frame_111_shape_group_6_shape_13_horizontal_lines, 65, 8),
        shape(frame_111_shape_group_6_shape_14_horizontal_lines, 81, 8),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(204, 206),
        horizontal_line(204, 205),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(237, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(231, 237),
        horizontal_line(229, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(143, 196),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(226, 237),
        horizontal_line(225, 237),
        horizontal_line(223, 237),
        horizontal_line(222, 237),
        horizontal_line(220, 237),
        horizontal_line(219, 237),
        horizontal_line(217, 237),
        horizontal_line(216, 237),
        horizontal_line(214, 237),
        horizontal_line(213, 237),
        horizontal_line(211, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(143, 182),
        horizontal_line(143, 180),
        horizontal_line(142, 179),
        horizontal_line(142, 178),
        horizontal_line(141, 177),
        horizontal_line(141, 176),
        horizontal_line(141, 174),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(105, 126),
        horizontal_line(106, 127),
        horizontal_line(107, 127),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(195, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(139, 166),
        horizontal_line(138, 164),
        horizontal_line(138, 163),
        horizontal_line(137, 161),
        horizontal_line(137, 160),
        horizontal_line(137, 158),
        horizontal_line(136, 156),
        horizontal_line(136, 155),
        horizontal_line(135, 153),
        horizontal_line(135, 152),
        horizontal_line(135, 148),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(119, 133),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(188, 208),
        horizontal_line(188, 205),
        horizontal_line(189, 203),
        horizontal_line(189, 200),
        horizontal_line(189, 198),
        horizontal_line(190, 195),
        horizontal_line(190, 193),
        horizontal_line(191, 191),
        horizontal_line(185, 189),
        horizontal_line(178, 189),
        horizontal_line(171, 189),
        horizontal_line(170, 189),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(190, 231),
        horizontal_line(190, 230),
        horizontal_line(189, 230),
        horizontal_line(189, 230),
        horizontal_line(189, 230),
    };

    constexpr const horizontal_line frame_111_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(161, 168),
    };

    constexpr const shape frame_111_shape_group_7_shapes[] = {
        shape(frame_111_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_111_shape_group_7_shape_1_horizontal_lines, 3, 7),
        shape(frame_111_shape_group_7_shape_2_horizontal_lines, 7, 7),
        shape(frame_111_shape_group_7_shape_3_horizontal_lines, 9, 1),
        shape(frame_111_shape_group_7_shape_4_horizontal_lines, 10, 7),
        shape(frame_111_shape_group_7_shape_5_horizontal_lines, 21, 1),
        shape(frame_111_shape_group_7_shape_6_horizontal_lines, 28, 4),
        shape(frame_111_shape_group_7_shape_7_horizontal_lines, 31, 7),
        shape(frame_111_shape_group_7_shape_8_horizontal_lines, 32, 1),
        shape(frame_111_shape_group_7_shape_9_horizontal_lines, 43, 4),
        shape(frame_111_shape_group_7_shape_10_horizontal_lines, 44, 1),
        shape(frame_111_shape_group_7_shape_11_horizontal_lines, 46, 7),
        shape(frame_111_shape_group_7_shape_12_horizontal_lines, 58, 8),
        shape(frame_111_shape_group_7_shape_13_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(228, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(210, 237),
        horizontal_line(208, 237),
        horizontal_line(207, 237),
        horizontal_line(205, 237),
        horizontal_line(204, 237),
        horizontal_line(202, 237),
        horizontal_line(201, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(140, 172),
        horizontal_line(140, 171),
        horizontal_line(139, 169),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(193, 237),
        horizontal_line(192, 237),
        horizontal_line(190, 237),
        horizontal_line(189, 235),
        horizontal_line(187, 233),
        horizontal_line(186, 230),
        horizontal_line(185, 228),
        horizontal_line(185, 225),
        horizontal_line(186, 223),
        horizontal_line(186, 220),
        horizontal_line(186, 218),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_111_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(187, 213),
        horizontal_line(166, 167),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_111_shape_group_8_shapes[] = {
        shape(frame_111_shape_group_8_shape_0_horizontal_lines, 9, 7),
        shape(frame_111_shape_group_8_shape_1_horizontal_lines, 21, 7),
        shape(frame_111_shape_group_8_shape_2_horizontal_lines, 28, 1),
        shape(frame_111_shape_group_8_shape_3_horizontal_lines, 32, 7),
        shape(frame_111_shape_group_8_shape_4_horizontal_lines, 43, 1),
        shape(frame_111_shape_group_8_shape_5_horizontal_lines, 44, 7),
    };

    constexpr const horizontal_line frame_111_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(199, 237),
        horizontal_line(198, 237),
        horizontal_line(196, 237),
    };

    constexpr const horizontal_line frame_111_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(187, 215),
        horizontal_line(235, 239),
        horizontal_line(188, 210),
    };

    constexpr const horizontal_line frame_111_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(209, 234),
        horizontal_line(206, 233),
        horizontal_line(204, 233),
        horizontal_line(201, 233),
        horizontal_line(199, 233),
        horizontal_line(196, 232),
        horizontal_line(194, 232),
        horizontal_line(192, 232),
        horizontal_line(190, 232),
        horizontal_line(190, 231),
        horizontal_line(190, 231),
        horizontal_line(168, 169),
    };

    constexpr const shape frame_111_shape_group_9_shapes[] = {
        shape(frame_111_shape_group_9_shape_0_horizontal_lines, 28, 7),
        shape(frame_111_shape_group_9_shape_1_horizontal_lines, 34, 7),
        shape(frame_111_shape_group_9_shape_2_horizontal_lines, 46, 8),
    };

    constexpr const horizontal_line frame_111_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(236, 236),
        horizontal_line(234, 236),
        horizontal_line(231, 236),
        horizontal_line(229, 236),
        horizontal_line(226, 235),
        horizontal_line(224, 235),
        horizontal_line(221, 235),
        horizontal_line(219, 235),
    };

    constexpr const horizontal_line frame_111_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(214, 234),
    };

    constexpr const horizontal_line frame_111_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_111_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(190, 231),
    };

    constexpr const shape frame_111_shape_group_10_shapes[] = {
        shape(frame_111_shape_group_10_shape_0_horizontal_lines, 35, 8),
        shape(frame_111_shape_group_10_shape_1_horizontal_lines, 43, 7),
        shape(frame_111_shape_group_10_shape_2_horizontal_lines, 44, 8),
        shape(frame_111_shape_group_10_shape_3_horizontal_lines, 45, 7),
        shape(frame_111_shape_group_10_shape_4_horizontal_lines, 57, 8),
    };

    constexpr const horizontal_line frame_111_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(216, 234),
    };

    constexpr const horizontal_line frame_111_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(211, 234),
    };

    constexpr const shape frame_111_shape_group_11_shapes[] = {
        shape(frame_111_shape_group_11_shape_0_horizontal_lines, 43, 8),
        shape(frame_111_shape_group_11_shape_1_horizontal_lines, 45, 8),
    };

    constexpr const shape_group frame_111_shape_groups[] = {
        shape_group(frame_111_shape_group_0_shapes),
        shape_group(frame_111_shape_group_1_shapes),
        shape_group(frame_111_shape_group_2_shapes),
        shape_group(frame_111_shape_group_3_shapes),
        shape_group(frame_111_shape_group_4_shapes),
        shape_group(frame_111_shape_group_5_shapes),
        shape_group(frame_111_shape_group_6_shapes),
        shape_group(frame_111_shape_group_7_shapes),
        shape_group(frame_111_shape_group_8_shapes),
        shape_group(frame_111_shape_group_9_shapes),
        shape_group(frame_111_shape_group_10_shapes),
        shape_group(frame_111_shape_group_11_shapes),
    };

    constexpr const frame frame_111_impl(frame_111_colors, frame_111_shape_groups);
} 

const frame& frame_111()
{
    return frame_111_impl;
}

namespace
{
    constexpr const bn::color frame_112_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_112_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(9, 63),
        horizontal_line(9, 64),
        horizontal_line(9, 65),
        horizontal_line(9, 67),
        horizontal_line(9, 68),
        horizontal_line(10, 70),
        horizontal_line(10, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(41, 103),
        horizontal_line(60, 122),
        horizontal_line(79, 134),
        horizontal_line(98, 134),
        horizontal_line(117, 134),
    };

    constexpr const horizontal_line frame_112_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_112_shape_group_0_shapes[] = {
        shape(frame_112_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_112_shape_group_0_shape_1_horizontal_lines, 72, 1),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(110, 140),
        horizontal_line(110, 139),
        horizontal_line(111, 139),
        horizontal_line(112, 138),
        horizontal_line(112, 138),
        horizontal_line(113, 138),
        horizontal_line(114, 137),
        horizontal_line(115, 137),
        horizontal_line(115, 137),
        horizontal_line(116, 136),
        horizontal_line(117, 136),
        horizontal_line(117, 136),
        horizontal_line(118, 135),
        horizontal_line(119, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 134),
        horizontal_line(121, 134),
        horizontal_line(122, 133),
        horizontal_line(122, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(126, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(151, 155),
        horizontal_line(148, 154),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(80, 135),
        horizontal_line(81, 135),
        horizontal_line(81, 134),
        horizontal_line(81, 134),
        horizontal_line(81, 133),
        horizontal_line(82, 133),
        horizontal_line(82, 132),
        horizontal_line(132, 132),
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(134, 134),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(84, 132),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(85, 133),
        horizontal_line(103, 133),
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(136, 147),
        horizontal_line(138, 151),
        horizontal_line(140, 155),
        horizontal_line(142, 155),
        horizontal_line(144, 156),
        horizontal_line(146, 156),
        horizontal_line(148, 157),
        horizontal_line(150, 157),
        horizontal_line(152, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 159),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(161, 180),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_112_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 170),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
        horizontal_line(159, 172),
    };

    constexpr const shape frame_112_shape_group_1_shapes[] = {
        shape(frame_112_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_112_shape_group_1_shape_1_horizontal_lines, 69, 1),
        shape(frame_112_shape_group_1_shape_2_horizontal_lines, 84, 7),
        shape(frame_112_shape_group_1_shape_3_horizontal_lines, 85, 1),
        shape(frame_112_shape_group_1_shape_4_horizontal_lines, 106, 7),
        shape(frame_112_shape_group_1_shape_5_horizontal_lines, 111, 1),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(194, 197),
        horizontal_line(193, 196),
        horizontal_line(192, 195),
        horizontal_line(191, 193),
        horizontal_line(190, 192),
        horizontal_line(189, 191),
        horizontal_line(188, 190),
        horizontal_line(187, 188),
        horizontal_line(186, 187),
        horizontal_line(185, 186),
        horizontal_line(184, 184),
        horizontal_line(183, 183),
        horizontal_line(182, 182),
        horizontal_line(181, 181),
        horizontal_line(74, 84),
        horizontal_line(74, 85),
        horizontal_line(74, 86),
        horizontal_line(74, 88),
        horizontal_line(75, 89),
        horizontal_line(75, 91),
        horizontal_line(75, 92),
        horizontal_line(75, 93),
        horizontal_line(75, 95),
        horizontal_line(76, 96),
        horizontal_line(76, 98),
        horizontal_line(76, 99),
        horizontal_line(76, 100),
        horizontal_line(154, 156),
        horizontal_line(77, 103),
        horizontal_line(77, 105),
        horizontal_line(144, 154),
        horizontal_line(141, 151),
        horizontal_line(140, 148),
        horizontal_line(140, 146),
        horizontal_line(140, 143),
        horizontal_line(139, 141),
        horizontal_line(78, 114),
        horizontal_line(79, 116),
        horizontal_line(79, 117),
        horizontal_line(79, 119),
        horizontal_line(79, 120),
        horizontal_line(79, 121),
        horizontal_line(80, 123),
        horizontal_line(80, 124),
        horizontal_line(80, 126),
        horizontal_line(80, 127),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(139, 154),
        horizontal_line(136, 154),
        horizontal_line(135, 154),
        horizontal_line(135, 154),
        horizontal_line(134, 154),
        horizontal_line(134, 154),
        horizontal_line(133, 154),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(82, 130),
        horizontal_line(82, 130),
        horizontal_line(82, 131),
        horizontal_line(83, 131),
        horizontal_line(83, 131),
        horizontal_line(83, 131),
        horizontal_line(83, 132),
        horizontal_line(83, 132),
        horizontal_line(84, 132),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(136, 155),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(84, 133),
        horizontal_line(84, 133),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(137, 155),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(137, 137),
        horizontal_line(136, 140),
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(152, 155),
        horizontal_line(190, 194),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(174, 192),
        horizontal_line(173, 191),
        horizontal_line(173, 190),
        horizontal_line(172, 189),
        horizontal_line(159, 164),
        horizontal_line(159, 187),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(165, 174),
        horizontal_line(160, 177),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(161, 183),
        horizontal_line(161, 168),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(161, 188),
        horizontal_line(161, 191),
        horizontal_line(161, 194),
        horizontal_line(161, 197),
        horizontal_line(161, 200),
        horizontal_line(161, 202),
        horizontal_line(161, 205),
        horizontal_line(161, 208),
        horizontal_line(161, 211),
        horizontal_line(161, 214),
        horizontal_line(161, 217),
        horizontal_line(161, 219),
        horizontal_line(161, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(235, 235),
        horizontal_line(210, 237),
        horizontal_line(185, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_112_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
    };

    constexpr const shape frame_112_shape_group_2_shapes[] = {
        shape(frame_112_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_112_shape_group_2_shape_1_horizontal_lines, 47, 1),
        shape(frame_112_shape_group_2_shape_2_horizontal_lines, 54, 2),
        shape(frame_112_shape_group_2_shape_3_horizontal_lines, 63, 7),
        shape(frame_112_shape_group_2_shape_4_horizontal_lines, 64, 2),
        shape(frame_112_shape_group_2_shape_5_horizontal_lines, 66, 7),
        shape(frame_112_shape_group_2_shape_6_horizontal_lines, 67, 1),
        shape(frame_112_shape_group_2_shape_7_horizontal_lines, 72, 7),
        shape(frame_112_shape_group_2_shape_8_horizontal_lines, 75, 8),
        shape(frame_112_shape_group_2_shape_9_horizontal_lines, 82, 7),
        shape(frame_112_shape_group_2_shape_10_horizontal_lines, 84, 8),
        shape(frame_112_shape_group_2_shape_11_horizontal_lines, 85, 7),
        shape(frame_112_shape_group_2_shape_12_horizontal_lines, 87, 8),
        shape(frame_112_shape_group_2_shape_13_horizontal_lines, 103, 7),
        shape(frame_112_shape_group_2_shape_14_horizontal_lines, 115, 1),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(64, 109),
        horizontal_line(65, 109),
        horizontal_line(66, 110),
        horizontal_line(68, 111),
        horizontal_line(69, 111),
        horizontal_line(71, 112),
        horizontal_line(72, 113),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 74),
        horizontal_line(72, 75),
        horizontal_line(73, 77),
        horizontal_line(73, 78),
        horizontal_line(73, 79),
        horizontal_line(73, 81),
        horizontal_line(73, 82),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(85, 119),
        horizontal_line(86, 120),
        horizontal_line(87, 121),
        horizontal_line(89, 121),
        horizontal_line(90, 122),
        horizontal_line(92, 123),
        horizontal_line(93, 124),
        horizontal_line(94, 124),
        horizontal_line(96, 125),
        horizontal_line(97, 126),
        horizontal_line(99, 126),
        horizontal_line(100, 127),
        horizontal_line(101, 128),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(76, 102),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(104, 140),
        horizontal_line(106, 140),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(77, 106),
        horizontal_line(77, 107),
        horizontal_line(78, 109),
        horizontal_line(78, 110),
        horizontal_line(78, 112),
        horizontal_line(78, 113),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(115, 129),
        horizontal_line(117, 129),
        horizontal_line(118, 129),
        horizontal_line(120, 129),
        horizontal_line(121, 129),
        horizontal_line(122, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(127, 129),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(155, 170),
        horizontal_line(155, 168),
        horizontal_line(155, 166),
        horizontal_line(155, 164),
        horizontal_line(155, 162),
        horizontal_line(155, 160),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(133, 155),
        horizontal_line(134, 150),
        horizontal_line(135, 145),
        horizontal_line(135, 140),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(135, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(176, 196),
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(176, 195),
        horizontal_line(137, 155),
        horizontal_line(138, 155),
        horizontal_line(139, 155),
        horizontal_line(141, 155),
        horizontal_line(145, 155),
        horizontal_line(180, 194),
        horizontal_line(185, 194),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(174, 189),
        horizontal_line(236, 239),
        horizontal_line(201, 239),
        horizontal_line(207, 239),
        horizontal_line(213, 239),
        horizontal_line(220, 239),
        horizontal_line(172, 188),
        horizontal_line(232, 239),
        horizontal_line(160, 164),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(169, 185),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 209),
        horizontal_line(161, 184),
    };

    constexpr const horizontal_line frame_112_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
    };

    constexpr const shape frame_112_shape_group_3_shapes[] = {
        shape(frame_112_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_112_shape_group_3_shape_1_horizontal_lines, 7, 2),
        shape(frame_112_shape_group_3_shape_2_horizontal_lines, 15, 4),
        shape(frame_112_shape_group_3_shape_3_horizontal_lines, 28, 2),
        shape(frame_112_shape_group_3_shape_4_horizontal_lines, 29, 4),
        shape(frame_112_shape_group_3_shape_5_horizontal_lines, 31, 2),
        shape(frame_112_shape_group_3_shape_6_horizontal_lines, 37, 4),
        shape(frame_112_shape_group_3_shape_7_horizontal_lines, 47, 7),
        shape(frame_112_shape_group_3_shape_8_horizontal_lines, 54, 1),
        shape(frame_112_shape_group_3_shape_9_horizontal_lines, 59, 7),
        shape(frame_112_shape_group_3_shape_10_horizontal_lines, 74, 8),
        shape(frame_112_shape_group_3_shape_11_horizontal_lines, 84, 9),
        shape(frame_112_shape_group_3_shape_12_horizontal_lines, 86, 8),
        shape(frame_112_shape_group_3_shape_13_horizontal_lines, 87, 9),
        shape(frame_112_shape_group_3_shape_14_horizontal_lines, 97, 8),
        shape(frame_112_shape_group_3_shape_15_horizontal_lines, 111, 7),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(73, 114),
        horizontal_line(75, 114),
        horizontal_line(76, 115),
        horizontal_line(78, 116),
        horizontal_line(79, 116),
        horizontal_line(80, 117),
        horizontal_line(82, 118),
        horizontal_line(83, 119),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(103, 129),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(141, 150),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(107, 129),
        horizontal_line(108, 129),
        horizontal_line(110, 129),
        horizontal_line(111, 129),
        horizontal_line(113, 129),
        horizontal_line(114, 129),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 154),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 199),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(176, 198),
        horizontal_line(156, 156),
        horizontal_line(151, 155),
        horizontal_line(146, 155),
        horizontal_line(141, 155),
        horizontal_line(136, 155),
        horizontal_line(176, 197),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(156, 175),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(176, 196),
        horizontal_line(176, 195),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(156, 175),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(176, 195),
        horizontal_line(176, 195),
        horizontal_line(176, 195),
        horizontal_line(176, 194),
        horizontal_line(176, 194),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(156, 166),
        horizontal_line(156, 156),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(156, 173),
        horizontal_line(157, 173),
        horizontal_line(157, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 171),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(188, 231),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(175, 186),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(218, 238),
        horizontal_line(220, 237),
        horizontal_line(223, 237),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(223, 225),
        horizontal_line(223, 228),
        horizontal_line(223, 231),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const shape frame_112_shape_group_4_shapes[] = {
        shape(frame_112_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_112_shape_group_4_shape_1_horizontal_lines, 29, 3),
        shape(frame_112_shape_group_4_shape_2_horizontal_lines, 31, 4),
        shape(frame_112_shape_group_4_shape_3_horizontal_lines, 46, 1),
        shape(frame_112_shape_group_4_shape_4_horizontal_lines, 47, 7),
        shape(frame_112_shape_group_4_shape_5_horizontal_lines, 63, 8),
        shape(frame_112_shape_group_4_shape_6_horizontal_lines, 64, 7),
        shape(frame_112_shape_group_4_shape_7_horizontal_lines, 66, 8),
        shape(frame_112_shape_group_4_shape_8_horizontal_lines, 67, 7),
        shape(frame_112_shape_group_4_shape_9_horizontal_lines, 72, 8),
        shape(frame_112_shape_group_4_shape_10_horizontal_lines, 75, 9),
        shape(frame_112_shape_group_4_shape_11_horizontal_lines, 80, 8),
        shape(frame_112_shape_group_4_shape_12_horizontal_lines, 81, 9),
        shape(frame_112_shape_group_4_shape_13_horizontal_lines, 82, 8),
        shape(frame_112_shape_group_4_shape_14_horizontal_lines, 83, 9),
        shape(frame_112_shape_group_4_shape_15_horizontal_lines, 86, 9),
        shape(frame_112_shape_group_4_shape_16_horizontal_lines, 97, 9),
        shape(frame_112_shape_group_4_shape_17_horizontal_lines, 100, 8),
        shape(frame_112_shape_group_4_shape_18_horizontal_lines, 115, 7),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(143, 195),
        horizontal_line(142, 193),
        horizontal_line(142, 192),
        horizontal_line(142, 191),
        horizontal_line(142, 190),
        horizontal_line(142, 189),
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 175),
        horizontal_line(142, 173),
        horizontal_line(142, 172),
        horizontal_line(142, 170),
        horizontal_line(142, 169),
        horizontal_line(142, 167),
        horizontal_line(142, 166),
        horizontal_line(142, 164),
        horizontal_line(142, 163),
        horizontal_line(142, 161),
        horizontal_line(142, 160),
        horizontal_line(142, 158),
        horizontal_line(141, 157),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(159, 174),
        horizontal_line(157, 174),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(131, 139),
        horizontal_line(131, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(155, 163),
        horizontal_line(155, 161),
        horizontal_line(155, 160),
        horizontal_line(155, 158),
        horizontal_line(155, 156),
        horizontal_line(155, 155),
        horizontal_line(152, 154),
        horizontal_line(149, 154),
        horizontal_line(145, 154),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(155, 172),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(169, 175),
        horizontal_line(167, 175),
        horizontal_line(165, 175),
        horizontal_line(163, 175),
        horizontal_line(161, 175),
        horizontal_line(159, 175),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(176, 198),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
        horizontal_line(176, 197),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(197, 239),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(196, 239),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(175, 179),
        horizontal_line(175, 184),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(156, 173),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(193, 200),
        horizontal_line(192, 206),
        horizontal_line(191, 212),
        horizontal_line(190, 219),
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(226, 236),
        horizontal_line(229, 236),
        horizontal_line(232, 235),
    };

    constexpr const horizontal_line frame_112_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(223, 234),
    };

    constexpr const shape frame_112_shape_group_5_shapes[] = {
        shape(frame_112_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_112_shape_group_5_shape_1_horizontal_lines, 7, 4),
        shape(frame_112_shape_group_5_shape_2_horizontal_lines, 15, 3),
        shape(frame_112_shape_group_5_shape_3_horizontal_lines, 28, 4),
        shape(frame_112_shape_group_5_shape_4_horizontal_lines, 29, 1),
        shape(frame_112_shape_group_5_shape_5_horizontal_lines, 31, 4),
        shape(frame_112_shape_group_5_shape_6_horizontal_lines, 37, 1),
        shape(frame_112_shape_group_5_shape_7_horizontal_lines, 46, 7),
        shape(frame_112_shape_group_5_shape_8_horizontal_lines, 47, 8),
        shape(frame_112_shape_group_5_shape_9_horizontal_lines, 54, 7),
        shape(frame_112_shape_group_5_shape_10_horizontal_lines, 59, 8),
        shape(frame_112_shape_group_5_shape_11_horizontal_lines, 74, 9),
        shape(frame_112_shape_group_5_shape_12_horizontal_lines, 76, 9),
        shape(frame_112_shape_group_5_shape_13_horizontal_lines, 82, 8),
        shape(frame_112_shape_group_5_shape_14_horizontal_lines, 100, 9),
        shape(frame_112_shape_group_5_shape_15_horizontal_lines, 103, 8),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(201, 220),
        horizontal_line(201, 219),
        horizontal_line(201, 217),
        horizontal_line(200, 216),
        horizontal_line(200, 215),
        horizontal_line(200, 213),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(142, 187),
        horizontal_line(142, 186),
        horizontal_line(142, 184),
        horizontal_line(142, 182),
        horizontal_line(142, 181),
        horizontal_line(142, 179),
        horizontal_line(142, 178),
        horizontal_line(142, 176),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(197, 201),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(175, 178),
        horizontal_line(174, 178),
        horizontal_line(172, 177),
        horizontal_line(171, 177),
        horizontal_line(169, 177),
        horizontal_line(168, 176),
        horizontal_line(166, 176),
        horizontal_line(165, 175),
        horizontal_line(163, 175),
        horizontal_line(162, 175),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(141, 153),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(178, 197),
        horizontal_line(176, 197),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(155, 170),
        horizontal_line(155, 168),
        horizontal_line(155, 166),
        horizontal_line(155, 165),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(176, 201),
        horizontal_line(176, 197),
        horizontal_line(176, 192),
        horizontal_line(176, 187),
        horizontal_line(176, 182),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 174),
        horizontal_line(176, 199),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(157, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(156, 175),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(189, 225),
    };

    constexpr const horizontal_line frame_112_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(187, 238),
    };

    constexpr const shape frame_112_shape_group_6_shapes[] = {
        shape(frame_112_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_112_shape_group_6_shape_1_horizontal_lines, 7, 3),
        shape(frame_112_shape_group_6_shape_2_horizontal_lines, 15, 1),
        shape(frame_112_shape_group_6_shape_3_horizontal_lines, 28, 3),
        shape(frame_112_shape_group_6_shape_4_horizontal_lines, 29, 1),
        shape(frame_112_shape_group_6_shape_5_horizontal_lines, 31, 3),
        shape(frame_112_shape_group_6_shape_6_horizontal_lines, 33, 1),
        shape(frame_112_shape_group_6_shape_7_horizontal_lines, 45, 7),
        shape(frame_112_shape_group_6_shape_8_horizontal_lines, 47, 8),
        shape(frame_112_shape_group_6_shape_9_horizontal_lines, 64, 8),
        shape(frame_112_shape_group_6_shape_10_horizontal_lines, 67, 8),
        shape(frame_112_shape_group_6_shape_11_horizontal_lines, 80, 9),
        shape(frame_112_shape_group_6_shape_12_horizontal_lines, 82, 9),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(199, 212),
        horizontal_line(199, 210),
        horizontal_line(199, 209),
        horizontal_line(199, 208),
        horizontal_line(198, 206),
        horizontal_line(198, 205),
        horizontal_line(198, 203),
        horizontal_line(197, 202),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(197, 199),
        horizontal_line(196, 198),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(192, 194),
        horizontal_line(190, 195),
        horizontal_line(188, 195),
        horizontal_line(186, 195),
        horizontal_line(184, 196),
        horizontal_line(182, 196),
        horizontal_line(160, 174),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(198, 224),
        horizontal_line(198, 221),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(156, 173),
        horizontal_line(155, 171),
        horizontal_line(175, 198),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(164, 175),
        horizontal_line(162, 175),
        horizontal_line(161, 175),
        horizontal_line(159, 175),
        horizontal_line(157, 175),
        horizontal_line(156, 175),
        horizontal_line(155, 175),
        horizontal_line(155, 176),
        horizontal_line(176, 199),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(167, 174),
        horizontal_line(157, 174),
    };

    constexpr const shape frame_112_shape_group_7_shapes[] = {
        shape(frame_112_shape_group_7_shape_0_horizontal_lines, 0, 7),
        shape(frame_112_shape_group_7_shape_1_horizontal_lines, 7, 1),
        shape(frame_112_shape_group_7_shape_2_horizontal_lines, 15, 7),
        shape(frame_112_shape_group_7_shape_3_horizontal_lines, 16, 1),
        shape(frame_112_shape_group_7_shape_4_horizontal_lines, 19, 7),
        shape(frame_112_shape_group_7_shape_5_horizontal_lines, 21, 1),
        shape(frame_112_shape_group_7_shape_6_horizontal_lines, 29, 7),
        shape(frame_112_shape_group_7_shape_7_horizontal_lines, 31, 1),
        shape(frame_112_shape_group_7_shape_8_horizontal_lines, 37, 7),
        shape(frame_112_shape_group_7_shape_9_horizontal_lines, 46, 8),
        shape(frame_112_shape_group_7_shape_10_horizontal_lines, 54, 8),
        shape(frame_112_shape_group_7_shape_11_horizontal_lines, 72, 9),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 238),
        horizontal_line(196, 235),
        horizontal_line(196, 233),
        horizontal_line(197, 231),
        horizontal_line(197, 228),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(180, 196),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(175, 198),
        horizontal_line(175, 198),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(169, 174),
        horizontal_line(167, 174),
        horizontal_line(166, 174),
        horizontal_line(201, 205),
        horizontal_line(201, 203),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(198, 200),
        horizontal_line(193, 200),
        horizontal_line(188, 200),
        horizontal_line(183, 200),
        horizontal_line(178, 200),
    };

    constexpr const horizontal_line frame_112_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_112_shape_group_8_shapes[] = {
        shape(frame_112_shape_group_8_shape_0_horizontal_lines, 7, 7),
        shape(frame_112_shape_group_8_shape_1_horizontal_lines, 16, 7),
        shape(frame_112_shape_group_8_shape_2_horizontal_lines, 21, 7),
        shape(frame_112_shape_group_8_shape_3_horizontal_lines, 28, 1),
        shape(frame_112_shape_group_8_shape_4_horizontal_lines, 29, 8),
        shape(frame_112_shape_group_8_shape_5_horizontal_lines, 31, 1),
        shape(frame_112_shape_group_8_shape_6_horizontal_lines, 33, 7),
        shape(frame_112_shape_group_8_shape_7_horizontal_lines, 39, 8),
        shape(frame_112_shape_group_8_shape_8_horizontal_lines, 40, 7),
        shape(frame_112_shape_group_8_shape_9_horizontal_lines, 45, 8),
    };

    constexpr const horizontal_line frame_112_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(197, 226),
    };

    constexpr const horizontal_line frame_112_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(172, 174),
        horizontal_line(199, 214),
        horizontal_line(200, 212),
        horizontal_line(200, 210),
        horizontal_line(200, 207),
    };

    constexpr const horizontal_line frame_112_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_112_shape_group_9_shapes[] = {
        shape(frame_112_shape_group_9_shape_0_horizontal_lines, 23, 8),
        shape(frame_112_shape_group_9_shape_1_horizontal_lines, 28, 7),
        shape(frame_112_shape_group_9_shape_2_horizontal_lines, 31, 7),
        shape(frame_112_shape_group_9_shape_3_horizontal_lines, 37, 8),
        shape(frame_112_shape_group_9_shape_4_horizontal_lines, 40, 8),
    };

    constexpr const horizontal_line frame_112_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_112_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(199, 219),
        horizontal_line(199, 217),
    };

    constexpr const horizontal_line frame_112_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_112_shape_group_10_shapes[] = {
        shape(frame_112_shape_group_10_shape_0_horizontal_lines, 28, 8),
        shape(frame_112_shape_group_10_shape_1_horizontal_lines, 31, 7),
        shape(frame_112_shape_group_10_shape_2_horizontal_lines, 33, 8),
    };

    constexpr const horizontal_line frame_112_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_112_shape_group_11_shapes[] = {
        shape(frame_112_shape_group_11_shape_0_horizontal_lines, 31, 8),
    };

    constexpr const shape_group frame_112_shape_groups[] = {
        shape_group(frame_112_shape_group_0_shapes),
        shape_group(frame_112_shape_group_1_shapes),
        shape_group(frame_112_shape_group_2_shapes),
        shape_group(frame_112_shape_group_3_shapes),
        shape_group(frame_112_shape_group_4_shapes),
        shape_group(frame_112_shape_group_5_shapes),
        shape_group(frame_112_shape_group_6_shapes),
        shape_group(frame_112_shape_group_7_shapes),
        shape_group(frame_112_shape_group_8_shapes),
        shape_group(frame_112_shape_group_9_shapes),
        shape_group(frame_112_shape_group_10_shapes),
        shape_group(frame_112_shape_group_11_shapes),
    };

    constexpr const frame frame_112_impl(frame_112_colors, frame_112_shape_groups);
} 

const frame& frame_112()
{
    return frame_112_impl;
}

namespace
{
    constexpr const bn::color frame_113_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_113_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 52),
        horizontal_line(0, 44),
        horizontal_line(0, 36),
        horizontal_line(0, 29),
        horizontal_line(0, 21),
        horizontal_line(0, 14),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_113_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(152, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(144, 160),
        horizontal_line(144, 160),
        horizontal_line(144, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(140, 160),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(138, 160),
        horizontal_line(138, 160),
        horizontal_line(138, 160),
        horizontal_line(137, 160),
        horizontal_line(137, 160),
        horizontal_line(136, 160),
        horizontal_line(136, 160),
        horizontal_line(136, 160),
        horizontal_line(135, 160),
        horizontal_line(135, 160),
        horizontal_line(135, 160),
        horizontal_line(134, 160),
        horizontal_line(134, 160),
        horizontal_line(133, 160),
        horizontal_line(133, 160),
        horizontal_line(133, 160),
        horizontal_line(132, 160),
        horizontal_line(132, 160),
        horizontal_line(132, 161),
    };

    constexpr const shape frame_113_shape_group_0_shapes[] = {
        shape(frame_113_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_113_shape_group_0_shape_1_horizontal_lines, 86, 1),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(108, 124),
        horizontal_line(109, 123),
        horizontal_line(110, 123),
        horizontal_line(111, 123),
        horizontal_line(112, 123),
        horizontal_line(113, 122),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(121, 121),
        horizontal_line(158, 162),
        horizontal_line(155, 161),
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 127),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 129),
        horizontal_line(122, 130),
        horizontal_line(122, 131),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 133),
        horizontal_line(122, 134),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(62, 124),
        horizontal_line(124, 134),
        horizontal_line(125, 134),
        horizontal_line(127, 133),
        horizontal_line(128, 133),
        horizontal_line(130, 132),
        horizontal_line(132, 132),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(139, 139),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 120),
        horizontal_line(62, 112),
        horizontal_line(62, 105),
        horizontal_line(62, 97),
        horizontal_line(62, 90),
        horizontal_line(62, 82),
        horizontal_line(62, 74),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(149, 159),
        horizontal_line(152, 159),
        horizontal_line(154, 159),
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(158, 200),
        horizontal_line(161, 202),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(161, 209),
        horizontal_line(161, 212),
        horizontal_line(161, 214),
        horizontal_line(161, 216),
        horizontal_line(161, 219),
        horizontal_line(161, 221),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_113_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_113_shape_group_1_shapes[] = {
        shape(frame_113_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_113_shape_group_1_shape_1_horizontal_lines, 78, 1),
        shape(frame_113_shape_group_1_shape_2_horizontal_lines, 82, 8),
        shape(frame_113_shape_group_1_shape_3_horizontal_lines, 84, 1),
        shape(frame_113_shape_group_1_shape_4_horizontal_lines, 86, 8),
        shape(frame_113_shape_group_1_shape_5_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(53, 114),
        horizontal_line(55, 115),
        horizontal_line(57, 116),
        horizontal_line(59, 117),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(160, 163),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(152, 160),
        horizontal_line(141, 141),
        horizontal_line(141, 141),
        horizontal_line(145, 156),
        horizontal_line(142, 154),
        horizontal_line(141, 152),
        horizontal_line(141, 149),
        horizontal_line(140, 147),
        horizontal_line(140, 145),
        horizontal_line(140, 143),
        horizontal_line(140, 141),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 120),
        horizontal_line(124, 135),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 158),
        horizontal_line(134, 158),
        horizontal_line(136, 158),
        horizontal_line(138, 158),
        horizontal_line(141, 158),
        horizontal_line(143, 159),
        horizontal_line(145, 159),
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(160, 191),
        horizontal_line(160, 179),
        horizontal_line(160, 168),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(158, 198),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(161, 205),
        horizontal_line(161, 207),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(223, 226),
        horizontal_line(223, 228),
        horizontal_line(223, 230),
        horizontal_line(223, 233),
        horizontal_line(223, 235),
        horizontal_line(223, 238),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_113_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_113_shape_group_2_shapes[] = {
        shape(frame_113_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_113_shape_group_2_shape_1_horizontal_lines, 11, 2),
        shape(frame_113_shape_group_2_shape_2_horizontal_lines, 70, 1),
        shape(frame_113_shape_group_2_shape_3_horizontal_lines, 78, 7),
        shape(frame_113_shape_group_2_shape_4_horizontal_lines, 81, 8),
        shape(frame_113_shape_group_2_shape_5_horizontal_lines, 82, 9),
        shape(frame_113_shape_group_2_shape_6_horizontal_lines, 84, 8),
        shape(frame_113_shape_group_2_shape_7_horizontal_lines, 86, 9),
        shape(frame_113_shape_group_2_shape_8_horizontal_lines, 92, 8),
        shape(frame_113_shape_group_2_shape_9_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(122, 141),
        horizontal_line(122, 142),
        horizontal_line(62, 118),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(66, 128),
        horizontal_line(68, 130),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(150, 160),
        horizontal_line(147, 158),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(94, 121),
        horizontal_line(96, 121),
        horizontal_line(99, 121),
        horizontal_line(101, 121),
        horizontal_line(103, 121),
        horizontal_line(105, 121),
        horizontal_line(107, 121),
        horizontal_line(110, 121),
        horizontal_line(112, 121),
        horizontal_line(114, 121),
        horizontal_line(116, 121),
        horizontal_line(118, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(136, 160),
        horizontal_line(135, 160),
        horizontal_line(135, 160),
        horizontal_line(134, 161),
        horizontal_line(134, 158),
        horizontal_line(133, 154),
        horizontal_line(133, 150),
        horizontal_line(138, 146),
        horizontal_line(138, 142),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 161),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(137, 142),
        horizontal_line(136, 145),
        horizontal_line(135, 148),
        horizontal_line(134, 151),
        horizontal_line(132, 154),
        horizontal_line(131, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 158),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(159, 171),
        horizontal_line(159, 198),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(174, 181),
        horizontal_line(168, 183),
        horizontal_line(162, 185),
        horizontal_line(160, 187),
        horizontal_line(160, 189),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(180, 193),
        horizontal_line(169, 195),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(223, 238),
    };

    constexpr const shape frame_113_shape_group_3_shapes[] = {
        shape(frame_113_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_113_shape_group_3_shape_1_horizontal_lines, 12, 2),
        shape(frame_113_shape_group_3_shape_2_horizontal_lines, 13, 4),
        shape(frame_113_shape_group_3_shape_3_horizontal_lines, 15, 2),
        shape(frame_113_shape_group_3_shape_4_horizontal_lines, 26, 4),
        shape(frame_113_shape_group_3_shape_5_horizontal_lines, 39, 1),
        shape(frame_113_shape_group_3_shape_6_horizontal_lines, 49, 7),
        shape(frame_113_shape_group_3_shape_7_horizontal_lines, 50, 2),
        shape(frame_113_shape_group_3_shape_8_horizontal_lines, 61, 1),
        shape(frame_113_shape_group_3_shape_9_horizontal_lines, 70, 8),
        shape(frame_113_shape_group_3_shape_10_horizontal_lines, 73, 7),
        shape(frame_113_shape_group_3_shape_11_horizontal_lines, 78, 9),
        shape(frame_113_shape_group_3_shape_12_horizontal_lines, 79, 8),
        shape(frame_113_shape_group_3_shape_13_horizontal_lines, 81, 9),
        shape(frame_113_shape_group_3_shape_14_horizontal_lines, 84, 9),
        shape(frame_113_shape_group_3_shape_15_horizontal_lines, 92, 9),
        shape(frame_113_shape_group_3_shape_16_horizontal_lines, 107, 8),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(100, 107),
        horizontal_line(102, 108),
        horizontal_line(104, 109),
        horizontal_line(106, 110),
        horizontal_line(108, 111),
        horizontal_line(110, 112),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(142, 169),
        horizontal_line(142, 167),
        horizontal_line(142, 166),
        horizontal_line(143, 165),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(122, 141),
        horizontal_line(64, 120),
        horizontal_line(128, 141),
        horizontal_line(130, 141),
        horizontal_line(70, 121),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(77, 121),
        horizontal_line(79, 121),
        horizontal_line(81, 121),
        horizontal_line(83, 121),
        horizontal_line(86, 121),
        horizontal_line(88, 121),
        horizontal_line(90, 121),
        horizontal_line(92, 121),
        horizontal_line(132, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(145, 159),
        horizontal_line(142, 159),
        horizontal_line(139, 160),
        horizontal_line(137, 160),
        horizontal_line(137, 160),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(161, 168),
        horizontal_line(161, 166),
        horizontal_line(161, 164),
        horizontal_line(162, 162),
        horizontal_line(159, 161),
        horizontal_line(155, 161),
        horizontal_line(151, 161),
        horizontal_line(147, 161),
        horizontal_line(143, 161),
        horizontal_line(139, 161),
        horizontal_line(185, 209),
        horizontal_line(138, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(141, 161),
        horizontal_line(142, 161),
        horizontal_line(144, 161),
        horizontal_line(145, 161),
        horizontal_line(147, 161),
        horizontal_line(149, 161),
        horizontal_line(200, 205),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(182, 203),
        horizontal_line(182, 202),
        horizontal_line(181, 201),
        horizontal_line(181, 200),
        horizontal_line(180, 199),
        horizontal_line(230, 239),
        horizontal_line(159, 173),
        horizontal_line(159, 167),
        horizontal_line(160, 161),
        horizontal_line(188, 193),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_113_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_113_shape_group_4_shapes[] = {
        shape(frame_113_shape_group_4_shape_0_horizontal_lines, 0, 4),
        shape(frame_113_shape_group_4_shape_1_horizontal_lines, 7, 3),
        shape(frame_113_shape_group_4_shape_2_horizontal_lines, 11, 4),
        shape(frame_113_shape_group_4_shape_3_horizontal_lines, 16, 2),
        shape(frame_113_shape_group_4_shape_4_horizontal_lines, 18, 4),
        shape(frame_113_shape_group_4_shape_5_horizontal_lines, 34, 1),
        shape(frame_113_shape_group_4_shape_6_horizontal_lines, 39, 7),
        shape(frame_113_shape_group_4_shape_7_horizontal_lines, 66, 8),
        shape(frame_113_shape_group_4_shape_8_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(141, 179),
        horizontal_line(141, 177),
        horizontal_line(141, 176),
        horizontal_line(141, 174),
        horizontal_line(141, 173),
        horizontal_line(142, 172),
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(173, 186),
        horizontal_line(172, 186),
        horizontal_line(171, 186),
        horizontal_line(169, 185),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 162),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(142, 157),
        horizontal_line(142, 154),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(123, 141),
        horizontal_line(72, 121),
        horizontal_line(75, 121),
        horizontal_line(125, 140),
        horizontal_line(126, 140),
        horizontal_line(127, 140),
        horizontal_line(128, 140),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(130, 139),
        horizontal_line(131, 139),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(160, 162),
        horizontal_line(160, 161),
        horizontal_line(160, 160),
        horizontal_line(157, 159),
        horizontal_line(154, 159),
        horizontal_line(151, 159),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(160, 178),
        horizontal_line(160, 176),
        horizontal_line(161, 174),
        horizontal_line(161, 172),
        horizontal_line(161, 170),
        horizontal_line(186, 212),
        horizontal_line(186, 212),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(186, 210),
        horizontal_line(186, 210),
        horizontal_line(185, 210),
        horizontal_line(185, 209),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(162, 184),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(185, 209),
        horizontal_line(185, 209),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(185, 208),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 207),
        horizontal_line(185, 206),
        horizontal_line(185, 206),
        horizontal_line(185, 206),
        horizontal_line(185, 206),
        horizontal_line(190, 205),
        horizontal_line(195, 205),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(152, 160),
        horizontal_line(183, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(199, 229),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(182, 196),
        horizontal_line(184, 195),
        horizontal_line(186, 194),
    };

    constexpr const horizontal_line frame_113_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_113_shape_group_5_shapes[] = {
        shape(frame_113_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_113_shape_group_5_shape_1_horizontal_lines, 7, 1),
        shape(frame_113_shape_group_5_shape_2_horizontal_lines, 11, 3),
        shape(frame_113_shape_group_5_shape_3_horizontal_lines, 12, 4),
        shape(frame_113_shape_group_5_shape_4_horizontal_lines, 13, 3),
        shape(frame_113_shape_group_5_shape_5_horizontal_lines, 15, 4),
        shape(frame_113_shape_group_5_shape_6_horizontal_lines, 26, 1),
        shape(frame_113_shape_group_5_shape_7_horizontal_lines, 34, 7),
        shape(frame_113_shape_group_5_shape_8_horizontal_lines, 49, 8),
        shape(frame_113_shape_group_5_shape_9_horizontal_lines, 50, 7),
        shape(frame_113_shape_group_5_shape_10_horizontal_lines, 65, 8),
        shape(frame_113_shape_group_5_shape_11_horizontal_lines, 72, 9),
        shape(frame_113_shape_group_5_shape_12_horizontal_lines, 73, 8),
        shape(frame_113_shape_group_5_shape_13_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(181, 188),
        horizontal_line(180, 188),
        horizontal_line(179, 188),
        horizontal_line(177, 187),
        horizontal_line(176, 187),
        horizontal_line(175, 187),
        horizontal_line(193, 212),
        horizontal_line(192, 212),
        horizontal_line(190, 213),
        horizontal_line(188, 213),
        horizontal_line(168, 214),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(165, 183),
        horizontal_line(164, 182),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(124, 140),
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(160, 173),
        horizontal_line(160, 171),
        horizontal_line(160, 170),
        horizontal_line(160, 168),
        horizontal_line(160, 167),
        horizontal_line(160, 165),
        horizontal_line(186, 202),
        horizontal_line(186, 198),
        horizontal_line(186, 194),
        horizontal_line(186, 190),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(160, 184),
        horizontal_line(160, 182),
        horizontal_line(160, 180),
        horizontal_line(186, 213),
        horizontal_line(186, 213),
        horizontal_line(186, 213),
        horizontal_line(186, 212),
        horizontal_line(186, 212),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(169, 185),
        horizontal_line(167, 185),
        horizontal_line(165, 185),
        horizontal_line(163, 185),
        horizontal_line(162, 185),
        horizontal_line(162, 185),
        horizontal_line(162, 185),
        horizontal_line(162, 185),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(210, 239),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 184),
        horizontal_line(162, 173),
        horizontal_line(162, 162),
        horizontal_line(183, 199),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(160, 182),
        horizontal_line(159, 181),
        horizontal_line(159, 181),
        horizontal_line(159, 180),
        horizontal_line(164, 180),
        horizontal_line(172, 179),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const shape frame_113_shape_group_6_shapes[] = {
        shape(frame_113_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_113_shape_group_6_shape_1_horizontal_lines, 12, 3),
        shape(frame_113_shape_group_6_shape_2_horizontal_lines, 13, 1),
        shape(frame_113_shape_group_6_shape_3_horizontal_lines, 15, 3),
        shape(frame_113_shape_group_6_shape_4_horizontal_lines, 16, 4),
        shape(frame_113_shape_group_6_shape_5_horizontal_lines, 18, 3),
        shape(frame_113_shape_group_6_shape_6_horizontal_lines, 20, 1),
        shape(frame_113_shape_group_6_shape_7_horizontal_lines, 31, 7),
        shape(frame_113_shape_group_6_shape_8_horizontal_lines, 39, 8),
        shape(frame_113_shape_group_6_shape_9_horizontal_lines, 66, 9),
        shape(frame_113_shape_group_6_shape_10_horizontal_lines, 73, 8),
        shape(frame_113_shape_group_6_shape_11_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(206, 210),
        horizontal_line(204, 210),
        horizontal_line(202, 210),
        horizontal_line(200, 211),
        horizontal_line(199, 211),
        horizontal_line(197, 211),
        horizontal_line(195, 212),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(167, 214),
        horizontal_line(185, 214),
        horizontal_line(185, 215),
        horizontal_line(163, 180),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(142, 149),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(160, 176),
        horizontal_line(160, 174),
        horizontal_line(185, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 214),
        horizontal_line(186, 210),
        horizontal_line(186, 206),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(165, 185),
        horizontal_line(163, 185),
        horizontal_line(162, 185),
        horizontal_line(161, 185),
        horizontal_line(160, 186),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
        horizontal_line(186, 214),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(179, 185),
        horizontal_line(177, 185),
        horizontal_line(175, 185),
        horizontal_line(173, 185),
        horizontal_line(171, 185),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(184, 189),
        horizontal_line(184, 194),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(204, 209),
        horizontal_line(203, 213),
        horizontal_line(202, 217),
        horizontal_line(201, 221),
        horizontal_line(200, 225),
    };

    constexpr const horizontal_line frame_113_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(197, 233),
        horizontal_line(196, 238),
    };

    constexpr const shape frame_113_shape_group_7_shapes[] = {
        shape(frame_113_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_113_shape_group_7_shape_1_horizontal_lines, 7, 7),
        shape(frame_113_shape_group_7_shape_2_horizontal_lines, 12, 1),
        shape(frame_113_shape_group_7_shape_3_horizontal_lines, 16, 3),
        shape(frame_113_shape_group_7_shape_4_horizontal_lines, 18, 1),
        shape(frame_113_shape_group_7_shape_5_horizontal_lines, 26, 7),
        shape(frame_113_shape_group_7_shape_6_horizontal_lines, 34, 8),
        shape(frame_113_shape_group_7_shape_7_horizontal_lines, 50, 8),
        shape(frame_113_shape_group_7_shape_8_horizontal_lines, 67, 9),
        shape(frame_113_shape_group_7_shape_9_horizontal_lines, 73, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(215, 238),
        horizontal_line(184, 184),
        horizontal_line(183, 184),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(162, 179),
        horizontal_line(160, 177),
        horizontal_line(185, 216),
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(174, 184),
        horizontal_line(172, 185),
        horizontal_line(171, 185),
        horizontal_line(169, 185),
        horizontal_line(168, 185),
        horizontal_line(166, 185),
        horizontal_line(203, 215),
        horizontal_line(199, 215),
        horizontal_line(195, 215),
        horizontal_line(191, 215),
        horizontal_line(188, 214),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(183, 185),
        horizontal_line(181, 185),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(161, 182),
    };

    constexpr const shape frame_113_shape_group_8_shapes[] = {
        shape(frame_113_shape_group_8_shape_0_horizontal_lines, 0, 7),
        shape(frame_113_shape_group_8_shape_1_horizontal_lines, 12, 7),
        shape(frame_113_shape_group_8_shape_2_horizontal_lines, 15, 1),
        shape(frame_113_shape_group_8_shape_3_horizontal_lines, 20, 7),
        shape(frame_113_shape_group_8_shape_4_horizontal_lines, 31, 8),
        shape(frame_113_shape_group_8_shape_5_horizontal_lines, 63, 8),
        shape(frame_113_shape_group_8_shape_6_horizontal_lines, 65, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(215, 235),
        horizontal_line(216, 233),
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(177, 184),
        horizontal_line(175, 184),
        horizontal_line(218, 221),
        horizontal_line(218, 219),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(215, 216),
        horizontal_line(211, 216),
        horizontal_line(207, 216),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(163, 183),
    };

    constexpr const shape frame_113_shape_group_9_shapes[] = {
        shape(frame_113_shape_group_9_shape_0_horizontal_lines, 12, 8),
        shape(frame_113_shape_group_9_shape_1_horizontal_lines, 13, 7),
        shape(frame_113_shape_group_9_shape_2_horizontal_lines, 16, 1),
        shape(frame_113_shape_group_9_shape_3_horizontal_lines, 18, 7),
        shape(frame_113_shape_group_9_shape_4_horizontal_lines, 22, 8),
        shape(frame_113_shape_group_9_shape_5_horizontal_lines, 23, 7),
        shape(frame_113_shape_group_9_shape_6_horizontal_lines, 26, 8),
        shape(frame_113_shape_group_9_shape_7_horizontal_lines, 63, 9),
    };

    constexpr const horizontal_line frame_113_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(216, 231),
        horizontal_line(180, 184),
        horizontal_line(178, 184),
        horizontal_line(217, 225),
        horizontal_line(217, 223),
    };

    constexpr const horizontal_line frame_113_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_113_shape_group_10_shapes[] = {
        shape(frame_113_shape_group_10_shape_0_horizontal_lines, 13, 8),
        shape(frame_113_shape_group_10_shape_1_horizontal_lines, 15, 7),
        shape(frame_113_shape_group_10_shape_2_horizontal_lines, 20, 8),
        shape(frame_113_shape_group_10_shape_3_horizontal_lines, 23, 8),
    };

    constexpr const horizontal_line frame_113_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_113_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(216, 229),
        horizontal_line(217, 227),
    };

    constexpr const horizontal_line frame_113_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_113_shape_group_11_shapes[] = {
        shape(frame_113_shape_group_11_shape_0_horizontal_lines, 15, 8),
        shape(frame_113_shape_group_11_shape_1_horizontal_lines, 16, 7),
        shape(frame_113_shape_group_11_shape_2_horizontal_lines, 18, 8),
    };

    constexpr const horizontal_line frame_113_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_113_shape_group_12_shapes[] = {
        shape(frame_113_shape_group_12_shape_0_horizontal_lines, 16, 8),
    };

    constexpr const shape_group frame_113_shape_groups[] = {
        shape_group(frame_113_shape_group_0_shapes),
        shape_group(frame_113_shape_group_1_shapes),
        shape_group(frame_113_shape_group_2_shapes),
        shape_group(frame_113_shape_group_3_shapes),
        shape_group(frame_113_shape_group_4_shapes),
        shape_group(frame_113_shape_group_5_shapes),
        shape_group(frame_113_shape_group_6_shapes),
        shape_group(frame_113_shape_group_7_shapes),
        shape_group(frame_113_shape_group_8_shapes),
        shape_group(frame_113_shape_group_9_shapes),
        shape_group(frame_113_shape_group_10_shapes),
        shape_group(frame_113_shape_group_11_shapes),
        shape_group(frame_113_shape_group_12_shapes),
    };

    constexpr const frame frame_113_impl(frame_113_colors, frame_113_shape_groups);
} 

const frame& frame_113()
{
    return frame_113_impl;
}

namespace
{
    constexpr const bn::color frame_114_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_114_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(14, 76),
        horizontal_line(18, 80),
        horizontal_line(22, 84),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(40, 102),
        horizontal_line(44, 102),
        horizontal_line(48, 102),
        horizontal_line(53, 102),
        horizontal_line(57, 102),
        horizontal_line(61, 103),
        horizontal_line(66, 103),
        horizontal_line(70, 103),
        horizontal_line(74, 103),
        horizontal_line(79, 103),
        horizontal_line(83, 103),
        horizontal_line(87, 103),
        horizontal_line(92, 103),
        horizontal_line(96, 103),
        horizontal_line(100, 103),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_114_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 48),
        horizontal_line(0, 45),
        horizontal_line(0, 41),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_114_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(141, 157),
        horizontal_line(140, 157),
        horizontal_line(140, 157),
        horizontal_line(139, 157),
        horizontal_line(139, 156),
        horizontal_line(138, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(136, 156),
        horizontal_line(136, 156),
        horizontal_line(135, 155),
        horizontal_line(134, 155),
        horizontal_line(134, 155),
        horizontal_line(133, 155),
        horizontal_line(132, 155),
        horizontal_line(132, 155),
        horizontal_line(131, 154),
        horizontal_line(131, 154),
        horizontal_line(130, 154),
        horizontal_line(129, 154),
        horizontal_line(129, 154),
        horizontal_line(128, 154),
        horizontal_line(128, 153),
        horizontal_line(127, 153),
        horizontal_line(126, 153),
        horizontal_line(126, 153),
        horizontal_line(125, 153),
        horizontal_line(125, 153),
        horizontal_line(124, 153),
        horizontal_line(123, 152),
        horizontal_line(123, 152),
        horizontal_line(122, 152),
        horizontal_line(122, 152),
        horizontal_line(121, 152),
        horizontal_line(120, 152),
        horizontal_line(120, 151),
        horizontal_line(119, 151),
        horizontal_line(119, 151),
        horizontal_line(118, 151),
        horizontal_line(117, 151),
        horizontal_line(117, 151),
        horizontal_line(116, 150),
        horizontal_line(116, 150),
        horizontal_line(115, 150),
        horizontal_line(114, 150),
        horizontal_line(114, 150),
        horizontal_line(113, 150),
        horizontal_line(113, 150),
    };

    constexpr const shape frame_114_shape_group_0_shapes[] = {
        shape(frame_114_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_114_shape_group_0_shape_1_horizontal_lines, 38, 2),
        shape(frame_114_shape_group_0_shape_2_horizontal_lines, 103, 1),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(108, 141),
        horizontal_line(109, 140),
        horizontal_line(110, 140),
        horizontal_line(112, 140),
        horizontal_line(113, 140),
        horizontal_line(115, 140),
        horizontal_line(116, 140),
        horizontal_line(117, 140),
        horizontal_line(119, 139),
        horizontal_line(120, 139),
        horizontal_line(122, 139),
        horizontal_line(123, 139),
        horizontal_line(124, 139),
        horizontal_line(126, 139),
        horizontal_line(127, 139),
        horizontal_line(129, 138),
        horizontal_line(130, 138),
        horizontal_line(131, 138),
        horizontal_line(133, 138),
        horizontal_line(134, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(133, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 143),
        horizontal_line(139, 141),
        horizontal_line(139, 140),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 112),
        horizontal_line(62, 108),
        horizontal_line(62, 105),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 87),
        horizontal_line(62, 84),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(62, 73),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(154, 155),
        horizontal_line(156, 156),
        horizontal_line(155, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(150, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(147, 157),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_114_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 174),
        horizontal_line(157, 190),
        horizontal_line(157, 206),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_114_shape_group_1_shapes[] = {
        shape(frame_114_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_114_shape_group_1_shape_1_horizontal_lines, 22, 2),
        shape(frame_114_shape_group_1_shape_2_horizontal_lines, 25, 4),
        shape(frame_114_shape_group_1_shape_3_horizontal_lines, 30, 2),
        shape(frame_114_shape_group_1_shape_4_horizontal_lines, 86, 1),
        shape(frame_114_shape_group_1_shape_5_horizontal_lines, 103, 7),
        shape(frame_114_shape_group_1_shape_6_horizontal_lines, 106, 8),
        shape(frame_114_shape_group_1_shape_7_horizontal_lines, 115, 7),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(63, 101),
        horizontal_line(67, 101),
        horizontal_line(71, 101),
        horizontal_line(76, 101),
        horizontal_line(80, 102),
        horizontal_line(84, 102),
        horizontal_line(89, 102),
        horizontal_line(93, 102),
        horizontal_line(97, 102),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 47),
        horizontal_line(0, 52),
        horizontal_line(0, 56),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(104, 139),
        horizontal_line(104, 139),
        horizontal_line(104, 139),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(108, 134),
        horizontal_line(113, 133),
        horizontal_line(118, 133),
        horizontal_line(122, 132),
        horizontal_line(127, 132),
        horizontal_line(132, 132),
        horizontal_line(133, 138),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(148, 169),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(137, 144),
        horizontal_line(135, 147),
        horizontal_line(134, 150),
        horizontal_line(133, 153),
        horizontal_line(131, 156),
        horizontal_line(130, 159),
        horizontal_line(129, 161),
        horizontal_line(127, 160),
        horizontal_line(126, 160),
        horizontal_line(124, 160),
        horizontal_line(123, 160),
        horizontal_line(122, 159),
        horizontal_line(120, 159),
        horizontal_line(119, 159),
        horizontal_line(118, 159),
        horizontal_line(120, 158),
        horizontal_line(122, 158),
        horizontal_line(124, 158),
        horizontal_line(126, 158),
        horizontal_line(128, 158),
        horizontal_line(131, 157),
        horizontal_line(133, 157),
        horizontal_line(135, 157),
        horizontal_line(137, 157),
        horizontal_line(139, 156),
        horizontal_line(141, 156),
        horizontal_line(144, 156),
        horizontal_line(146, 156),
        horizontal_line(148, 155),
        horizontal_line(150, 155),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(156, 160),
        horizontal_line(156, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(159, 221),
        horizontal_line(175, 237),
        horizontal_line(191, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(219, 222),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_114_shape_group_2_shapes[] = {
        shape(frame_114_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_114_shape_group_2_shape_1_horizontal_lines, 16, 2),
        shape(frame_114_shape_group_2_shape_2_horizontal_lines, 54, 7),
        shape(frame_114_shape_group_2_shape_3_horizontal_lines, 55, 1),
        shape(frame_114_shape_group_2_shape_4_horizontal_lines, 86, 7),
        shape(frame_114_shape_group_2_shape_5_horizontal_lines, 103, 8),
        shape(frame_114_shape_group_2_shape_6_horizontal_lines, 119, 7),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(102, 107),
        horizontal_line(102, 108),
        horizontal_line(102, 109),
        horizontal_line(102, 111),
        horizontal_line(102, 112),
        horizontal_line(102, 114),
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 39),
        horizontal_line(103, 129),
        horizontal_line(103, 130),
        horizontal_line(103, 132),
        horizontal_line(103, 133),
        horizontal_line(104, 135),
        horizontal_line(104, 136),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 78),
        horizontal_line(104, 136),
        horizontal_line(104, 136),
        horizontal_line(104, 135),
        horizontal_line(104, 135),
        horizontal_line(104, 135),
        horizontal_line(124, 134),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(140, 169),
        horizontal_line(140, 169),
        horizontal_line(141, 169),
        horizontal_line(141, 169),
        horizontal_line(141, 169),
        horizontal_line(142, 169),
        horizontal_line(142, 169),
        horizontal_line(142, 169),
        horizontal_line(142, 169),
        horizontal_line(143, 169),
        horizontal_line(143, 169),
        horizontal_line(143, 169),
        horizontal_line(144, 169),
        horizontal_line(145, 169),
        horizontal_line(147, 169),
        horizontal_line(202, 221),
        horizontal_line(150, 162),
        horizontal_line(151, 155),
        horizontal_line(212, 220),
        horizontal_line(216, 220),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(156, 164),
        horizontal_line(158, 163),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
        horizontal_line(160, 196),
        horizontal_line(159, 197),
        horizontal_line(159, 199),
        horizontal_line(159, 201),
        horizontal_line(159, 191),
        horizontal_line(159, 181),
        horizontal_line(158, 171),
        horizontal_line(158, 161),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const shape frame_114_shape_group_3_shapes[] = {
        shape(frame_114_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_114_shape_group_3_shape_1_horizontal_lines, 38, 1),
        shape(frame_114_shape_group_3_shape_2_horizontal_lines, 39, 7),
        shape(frame_114_shape_group_3_shape_3_horizontal_lines, 59, 8),
        shape(frame_114_shape_group_3_shape_4_horizontal_lines, 62, 7),
        shape(frame_114_shape_group_3_shape_5_horizontal_lines, 86, 8),
        shape(frame_114_shape_group_3_shape_6_horizontal_lines, 115, 8),
        shape(frame_114_shape_group_3_shape_7_horizontal_lines, 119, 8),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(102, 115),
        horizontal_line(102, 116),
        horizontal_line(102, 118),
        horizontal_line(102, 119),
        horizontal_line(103, 121),
        horizontal_line(103, 122),
        horizontal_line(103, 123),
        horizontal_line(103, 125),
        horizontal_line(103, 126),
        horizontal_line(103, 128),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(149, 168),
        horizontal_line(147, 168),
        horizontal_line(145, 168),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
        horizontal_line(62, 95),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(140, 169),
        horizontal_line(140, 166),
        horizontal_line(140, 162),
        horizontal_line(140, 158),
        horizontal_line(140, 155),
        horizontal_line(140, 151),
        horizontal_line(140, 147),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(141, 169),
        horizontal_line(196, 226),
        horizontal_line(196, 226),
        horizontal_line(196, 226),
        horizontal_line(196, 225),
        horizontal_line(195, 225),
        horizontal_line(195, 225),
        horizontal_line(195, 224),
        horizontal_line(195, 224),
        horizontal_line(195, 224),
        horizontal_line(195, 223),
        horizontal_line(195, 223),
        horizontal_line(195, 223),
        horizontal_line(195, 222),
        horizontal_line(195, 222),
        horizontal_line(198, 222),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(205, 221),
        horizontal_line(209, 221),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(153, 166),
        horizontal_line(154, 165),
        horizontal_line(191, 219),
        horizontal_line(191, 217),
        horizontal_line(190, 216),
        horizontal_line(163, 168),
        horizontal_line(163, 175),
        horizontal_line(163, 181),
        horizontal_line(163, 211),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(178, 191),
        horizontal_line(172, 192),
        horizontal_line(167, 194),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(197, 204),
        horizontal_line(198, 203),
        horizontal_line(200, 202),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(192, 202),
        horizontal_line(182, 204),
        horizontal_line(172, 206),
        horizontal_line(162, 208),
        horizontal_line(161, 209),
        horizontal_line(161, 211),
        horizontal_line(161, 213),
        horizontal_line(161, 215),
        horizontal_line(161, 216),
        horizontal_line(161, 218),
        horizontal_line(161, 220),
        horizontal_line(161, 222),
        horizontal_line(223, 223),
        horizontal_line(222, 225),
        horizontal_line(222, 227),
        horizontal_line(222, 229),
        horizontal_line(222, 230),
        horizontal_line(222, 232),
        horizontal_line(222, 234),
        horizontal_line(222, 236),
        horizontal_line(222, 238),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_114_shape_group_4_shapes[] = {
        shape(frame_114_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_114_shape_group_4_shape_1_horizontal_lines, 22, 1),
        shape(frame_114_shape_group_4_shape_2_horizontal_lines, 25, 2),
        shape(frame_114_shape_group_4_shape_3_horizontal_lines, 30, 1),
        shape(frame_114_shape_group_4_shape_4_horizontal_lines, 38, 7),
        shape(frame_114_shape_group_4_shape_5_horizontal_lines, 54, 8),
        shape(frame_114_shape_group_4_shape_6_horizontal_lines, 55, 7),
        shape(frame_114_shape_group_4_shape_7_horizontal_lines, 57, 8),
        shape(frame_114_shape_group_4_shape_8_horizontal_lines, 66, 7),
        shape(frame_114_shape_group_4_shape_9_horizontal_lines, 70, 8),
        shape(frame_114_shape_group_4_shape_10_horizontal_lines, 73, 9),
        shape(frame_114_shape_group_4_shape_11_horizontal_lines, 74, 8),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(154, 163),
        horizontal_line(152, 161),
        horizontal_line(150, 159),
        horizontal_line(148, 157),
        horizontal_line(145, 155),
        horizontal_line(141, 153),
        horizontal_line(141, 151),
        horizontal_line(140, 149),
        horizontal_line(140, 148),
        horizontal_line(140, 146),
        horizontal_line(140, 144),
        horizontal_line(140, 142),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(161, 167),
        horizontal_line(159, 167),
        horizontal_line(157, 167),
        horizontal_line(154, 167),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(169, 184),
        horizontal_line(169, 182),
        horizontal_line(169, 180),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 86),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(140, 168),
        horizontal_line(140, 168),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(167, 169),
        horizontal_line(163, 169),
        horizontal_line(159, 169),
        horizontal_line(156, 169),
        horizontal_line(152, 169),
        horizontal_line(148, 169),
        horizontal_line(144, 169),
        horizontal_line(196, 227),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 182),
        horizontal_line(194, 201),
        horizontal_line(163, 168),
        horizontal_line(156, 167),
        horizontal_line(192, 211),
        horizontal_line(192, 215),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(190, 215),
        horizontal_line(189, 213),
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(163, 182),
        horizontal_line(163, 177),
        horizontal_line(163, 171),
        horizontal_line(163, 166),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_114_shape_group_5_shapes[] = {
        shape(frame_114_shape_group_5_shape_0_horizontal_lines, 0, 2),
        shape(frame_114_shape_group_5_shape_1_horizontal_lines, 16, 1),
        shape(frame_114_shape_group_5_shape_2_horizontal_lines, 21, 2),
        shape(frame_114_shape_group_5_shape_3_horizontal_lines, 22, 7),
        shape(frame_114_shape_group_5_shape_4_horizontal_lines, 25, 2),
        shape(frame_114_shape_group_5_shape_5_horizontal_lines, 28, 1),
        shape(frame_114_shape_group_5_shape_6_horizontal_lines, 30, 7),
        shape(frame_114_shape_group_5_shape_7_horizontal_lines, 39, 8),
        shape(frame_114_shape_group_5_shape_8_horizontal_lines, 65, 9),
        shape(frame_114_shape_group_5_shape_9_horizontal_lines, 66, 8),
        shape(frame_114_shape_group_5_shape_10_horizontal_lines, 70, 9),
        shape(frame_114_shape_group_5_shape_11_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(143, 156),
        horizontal_line(143, 153),
        horizontal_line(143, 151),
        horizontal_line(143, 149),
        horizontal_line(143, 147),
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(169, 177),
        horizontal_line(169, 176),
        horizontal_line(169, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 170),
        horizontal_line(169, 169),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(168, 195),
        horizontal_line(168, 193),
        horizontal_line(168, 191),
        horizontal_line(168, 189),
        horizontal_line(168, 188),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(152, 167),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(198, 232),
        horizontal_line(198, 232),
        horizontal_line(197, 231),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(142, 168),
        horizontal_line(140, 168),
        horizontal_line(140, 168),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(169, 173),
        horizontal_line(169, 171),
        horizontal_line(197, 229),
        horizontal_line(197, 229),
        horizontal_line(197, 229),
        horizontal_line(197, 228),
        horizontal_line(196, 228),
        horizontal_line(196, 228),
        horizontal_line(196, 227),
        horizontal_line(196, 227),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(170, 195),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(194, 197),
        horizontal_line(222, 239),
        horizontal_line(193, 204),
        horizontal_line(193, 208),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(165, 190),
        horizontal_line(164, 190),
        horizontal_line(163, 189),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(190, 210),
        horizontal_line(192, 208),
        horizontal_line(193, 207),
        horizontal_line(195, 206),
    };

    constexpr const shape frame_114_shape_group_6_shapes[] = {
        shape(frame_114_shape_group_6_shape_0_horizontal_lines, 0, 3),
        shape(frame_114_shape_group_6_shape_1_horizontal_lines, 6, 1),
        shape(frame_114_shape_group_6_shape_2_horizontal_lines, 14, 7),
        shape(frame_114_shape_group_6_shape_3_horizontal_lines, 15, 1),
        shape(frame_114_shape_group_6_shape_4_horizontal_lines, 16, 7),
        shape(frame_114_shape_group_6_shape_5_horizontal_lines, 21, 1),
        shape(frame_114_shape_group_6_shape_6_horizontal_lines, 22, 7),
        shape(frame_114_shape_group_6_shape_7_horizontal_lines, 25, 1),
        shape(frame_114_shape_group_6_shape_8_horizontal_lines, 28, 7),
        shape(frame_114_shape_group_6_shape_9_horizontal_lines, 38, 8),
        shape(frame_114_shape_group_6_shape_10_horizontal_lines, 59, 9),
        shape(frame_114_shape_group_6_shape_11_horizontal_lines, 62, 8),
        shape(frame_114_shape_group_6_shape_12_horizontal_lines, 66, 8),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 185),
        horizontal_line(169, 183),
        horizontal_line(169, 182),
        horizontal_line(169, 181),
        horizontal_line(169, 179),
        horizontal_line(169, 178),
        horizontal_line(199, 224),
        horizontal_line(199, 221),
        horizontal_line(199, 218),
        horizontal_line(199, 214),
        horizontal_line(199, 211),
        horizontal_line(199, 208),
        horizontal_line(199, 204),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(169, 198),
        horizontal_line(230, 235),
        horizontal_line(168, 230),
        horizontal_line(198, 234),
        horizontal_line(198, 234),
        horizontal_line(198, 233),
        horizontal_line(198, 233),
        horizontal_line(198, 233),
        horizontal_line(168, 186),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(185, 197),
        horizontal_line(183, 197),
        horizontal_line(181, 196),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(169, 179),
        horizontal_line(169, 177),
        horizontal_line(169, 175),
        horizontal_line(197, 230),
        horizontal_line(197, 230),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(171, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 196),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(170, 195),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(171, 193),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(167, 191),
        horizontal_line(166, 191),
        horizontal_line(220, 220),
        horizontal_line(218, 223),
        horizontal_line(217, 226),
        horizontal_line(169, 189),
        horizontal_line(176, 188),
        horizontal_line(182, 188),
    };

    constexpr const horizontal_line frame_114_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_114_shape_group_7_shapes[] = {
        shape(frame_114_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_114_shape_group_7_shape_1_horizontal_lines, 13, 7),
        shape(frame_114_shape_group_7_shape_2_horizontal_lines, 22, 8),
        shape(frame_114_shape_group_7_shape_3_horizontal_lines, 25, 7),
        shape(frame_114_shape_group_7_shape_4_horizontal_lines, 30, 8),
        shape(frame_114_shape_group_7_shape_5_horizontal_lines, 53, 8),
        shape(frame_114_shape_group_7_shape_6_horizontal_lines, 54, 9),
        shape(frame_114_shape_group_7_shape_7_horizontal_lines, 55, 8),
        shape(frame_114_shape_group_7_shape_8_horizontal_lines, 57, 9),
        shape(frame_114_shape_group_7_shape_9_horizontal_lines, 66, 9),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 238),
        horizontal_line(199, 234),
        horizontal_line(199, 231),
        horizontal_line(199, 228),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(178, 198),
        horizontal_line(177, 198),
        horizontal_line(175, 198),
        horizontal_line(174, 198),
        horizontal_line(173, 198),
        horizontal_line(171, 198),
        horizontal_line(170, 198),
        horizontal_line(202, 235),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(230, 234),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(194, 197),
        horizontal_line(192, 197),
        horizontal_line(190, 197),
        horizontal_line(189, 197),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(198, 232),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(197, 231),
        horizontal_line(197, 231),
        horizontal_line(197, 230),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(174, 196),
        horizontal_line(172, 196),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(183, 193),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(169, 192),
        horizontal_line(168, 192),
    };

    constexpr const horizontal_line frame_114_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(216, 229),
        horizontal_line(214, 232),
        horizontal_line(213, 235),
    };

    constexpr const shape frame_114_shape_group_8_shapes[] = {
        shape(frame_114_shape_group_8_shape_0_horizontal_lines, 0, 1),
        shape(frame_114_shape_group_8_shape_1_horizontal_lines, 6, 7),
        shape(frame_114_shape_group_8_shape_2_horizontal_lines, 14, 8),
        shape(frame_114_shape_group_8_shape_3_horizontal_lines, 15, 7),
        shape(frame_114_shape_group_8_shape_4_horizontal_lines, 16, 8),
        shape(frame_114_shape_group_8_shape_5_horizontal_lines, 21, 7),
        shape(frame_114_shape_group_8_shape_6_horizontal_lines, 22, 8),
        shape(frame_114_shape_group_8_shape_7_horizontal_lines, 25, 7),
        shape(frame_114_shape_group_8_shape_8_horizontal_lines, 28, 8),
        shape(frame_114_shape_group_8_shape_9_horizontal_lines, 53, 9),
        shape(frame_114_shape_group_8_shape_10_horizontal_lines, 55, 9),
        shape(frame_114_shape_group_8_shape_11_horizontal_lines, 62, 9),
    };

    constexpr const horizontal_line frame_114_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(184, 198),
        horizontal_line(183, 198),
        horizontal_line(182, 198),
        horizontal_line(180, 198),
        horizontal_line(179, 198),
        horizontal_line(225, 237),
        horizontal_line(222, 237),
        horizontal_line(219, 237),
        horizontal_line(215, 236),
        horizontal_line(212, 236),
        horizontal_line(209, 236),
        horizontal_line(205, 235),
    };

    constexpr const horizontal_line frame_114_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(187, 197),
    };

    constexpr const horizontal_line frame_114_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(180, 196),
        horizontal_line(178, 196),
        horizontal_line(176, 196),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_114_shape_group_9_shapes[] = {
        shape(frame_114_shape_group_9_shape_0_horizontal_lines, 0, 7),
        shape(frame_114_shape_group_9_shape_1_horizontal_lines, 13, 8),
        shape(frame_114_shape_group_9_shape_2_horizontal_lines, 15, 8),
        shape(frame_114_shape_group_9_shape_3_horizontal_lines, 25, 8),
    };

    constexpr const horizontal_line frame_114_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 238),
        horizontal_line(229, 238),
    };

    constexpr const horizontal_line frame_114_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_114_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_114_shape_group_10_shapes[] = {
        shape(frame_114_shape_group_10_shape_0_horizontal_lines, 2, 7),
        shape(frame_114_shape_group_10_shape_1_horizontal_lines, 6, 8),
        shape(frame_114_shape_group_10_shape_2_horizontal_lines, 21, 8),
        shape(frame_114_shape_group_10_shape_3_horizontal_lines, 25, 8),
    };

    constexpr const horizontal_line frame_114_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_114_shape_group_11_shapes[] = {
        shape(frame_114_shape_group_11_shape_0_horizontal_lines, 4, 8),
    };

    constexpr const shape_group frame_114_shape_groups[] = {
        shape_group(frame_114_shape_group_0_shapes),
        shape_group(frame_114_shape_group_1_shapes),
        shape_group(frame_114_shape_group_2_shapes),
        shape_group(frame_114_shape_group_3_shapes),
        shape_group(frame_114_shape_group_4_shapes),
        shape_group(frame_114_shape_group_5_shapes),
        shape_group(frame_114_shape_group_6_shapes),
        shape_group(frame_114_shape_group_7_shapes),
        shape_group(frame_114_shape_group_8_shapes),
        shape_group(frame_114_shape_group_9_shapes),
        shape_group(frame_114_shape_group_10_shapes),
        shape_group(frame_114_shape_group_11_shapes),
    };

    constexpr const frame frame_114_impl(frame_114_colors, frame_114_shape_groups);
} 

const frame& frame_114()
{
    return frame_114_impl;
}

namespace
{
    constexpr const bn::color frame_115_colors[] = {
        bn::color(24, 16, 8),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_115_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(15, 72),
        horizontal_line(30, 73),
        horizontal_line(45, 73),
        horizontal_line(60, 73),
    };

    constexpr const horizontal_line frame_115_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_115_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(131, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 148),
        horizontal_line(129, 148),
        horizontal_line(128, 149),
        horizontal_line(128, 149),
        horizontal_line(127, 149),
        horizontal_line(126, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(124, 151),
        horizontal_line(123, 151),
        horizontal_line(123, 151),
        horizontal_line(122, 150),
        horizontal_line(121, 150),
        horizontal_line(121, 149),
        horizontal_line(120, 149),
        horizontal_line(119, 149),
        horizontal_line(119, 148),
        horizontal_line(118, 148),
        horizontal_line(117, 148),
        horizontal_line(116, 147),
        horizontal_line(116, 147),
        horizontal_line(115, 147),
        horizontal_line(114, 146),
        horizontal_line(114, 146),
        horizontal_line(113, 146),
        horizontal_line(112, 145),
        horizontal_line(112, 145),
        horizontal_line(111, 145),
        horizontal_line(110, 144),
        horizontal_line(109, 144),
        horizontal_line(109, 144),
        horizontal_line(108, 143),
        horizontal_line(107, 143),
        horizontal_line(107, 143),
        horizontal_line(106, 142),
        horizontal_line(105, 142),
        horizontal_line(105, 142),
        horizontal_line(104, 141),
        horizontal_line(103, 141),
        horizontal_line(103, 141),
    };

    constexpr const shape frame_115_shape_group_0_shapes[] = {
        shape(frame_115_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_115_shape_group_0_shape_1_horizontal_lines, 30, 2),
        shape(frame_115_shape_group_0_shape_2_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(109, 136),
        horizontal_line(111, 135),
        horizontal_line(114, 135),
        horizontal_line(117, 135),
        horizontal_line(119, 135),
        horizontal_line(122, 135),
        horizontal_line(125, 135),
        horizontal_line(127, 135),
        horizontal_line(130, 135),
        horizontal_line(133, 135),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 139),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(135, 143),
        horizontal_line(135, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(137, 145),
        horizontal_line(137, 144),
        horizontal_line(138, 143),
        horizontal_line(138, 142),
        horizontal_line(139, 141),
        horizontal_line(139, 140),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(124, 146),
        horizontal_line(126, 145),
        horizontal_line(128, 145),
        horizontal_line(130, 144),
        horizontal_line(132, 144),
        horizontal_line(133, 143),
        horizontal_line(135, 143),
        horizontal_line(137, 142),
        horizontal_line(139, 142),
        horizontal_line(141, 141),
        horizontal_line(142, 142),
        horizontal_line(141, 142),
        horizontal_line(140, 142),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(138, 143),
        horizontal_line(137, 144),
        horizontal_line(137, 144),
        horizontal_line(136, 144),
        horizontal_line(135, 145),
        horizontal_line(135, 145),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(151, 152),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_115_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(151, 157),
        horizontal_line(151, 162),
        horizontal_line(150, 168),
        horizontal_line(150, 173),
        horizontal_line(150, 179),
        horizontal_line(149, 184),
        horizontal_line(149, 190),
        horizontal_line(149, 195),
        horizontal_line(148, 200),
        horizontal_line(148, 206),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
    };

    constexpr const shape frame_115_shape_group_1_shapes[] = {
        shape(frame_115_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_115_shape_group_1_shape_1_horizontal_lines, 29, 2),
        shape(frame_115_shape_group_1_shape_2_horizontal_lines, 93, 1),
        shape(frame_115_shape_group_1_shape_3_horizontal_lines, 118, 7),
        shape(frame_115_shape_group_1_shape_4_horizontal_lines, 128, 8),
        shape(frame_115_shape_group_1_shape_5_horizontal_lines, 130, 7),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 29),
        horizontal_line(0, 44),
        horizontal_line(74, 136),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(225, 238),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(137, 145),
        horizontal_line(135, 148),
        horizontal_line(134, 152),
        horizontal_line(132, 155),
        horizontal_line(131, 158),
        horizontal_line(130, 161),
        horizontal_line(128, 164),
        horizontal_line(127, 163),
        horizontal_line(125, 162),
        horizontal_line(124, 162),
        horizontal_line(123, 161),
        horizontal_line(121, 161),
        horizontal_line(120, 160),
        horizontal_line(118, 160),
        horizontal_line(117, 159),
        horizontal_line(115, 159),
        horizontal_line(114, 158),
        horizontal_line(113, 158),
        horizontal_line(111, 157),
        horizontal_line(110, 157),
        horizontal_line(108, 156),
        horizontal_line(107, 156),
        horizontal_line(106, 155),
        horizontal_line(104, 155),
        horizontal_line(103, 154),
        horizontal_line(101, 154),
        horizontal_line(100, 153),
        horizontal_line(99, 153),
        horizontal_line(100, 152),
        horizontal_line(102, 152),
        horizontal_line(104, 151),
        horizontal_line(106, 151),
        horizontal_line(108, 150),
        horizontal_line(110, 150),
        horizontal_line(111, 149),
        horizontal_line(113, 149),
        horizontal_line(115, 148),
        horizontal_line(117, 148),
        horizontal_line(119, 147),
        horizontal_line(121, 147),
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(153, 215),
        horizontal_line(158, 220),
        horizontal_line(163, 225),
        horizontal_line(169, 231),
        horizontal_line(174, 236),
        horizontal_line(180, 239),
        horizontal_line(185, 239),
        horizontal_line(191, 239),
        horizontal_line(196, 239),
        horizontal_line(201, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(210, 211),
        horizontal_line(209, 217),
        horizontal_line(209, 222),
        horizontal_line(209, 228),
        horizontal_line(208, 233),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const shape frame_115_shape_group_2_shapes[] = {
        shape(frame_115_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_115_shape_group_2_shape_1_horizontal_lines, 10, 2),
        shape(frame_115_shape_group_2_shape_2_horizontal_lines, 12, 4),
        shape(frame_115_shape_group_2_shape_3_horizontal_lines, 26, 2),
        shape(frame_115_shape_group_2_shape_4_horizontal_lines, 50, 7),
        shape(frame_115_shape_group_2_shape_5_horizontal_lines, 51, 1),
        shape(frame_115_shape_group_2_shape_6_horizontal_lines, 93, 7),
        shape(frame_115_shape_group_2_shape_7_horizontal_lines, 118, 8),
        shape(frame_115_shape_group_2_shape_8_horizontal_lines, 141, 7),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(67, 108),
        horizontal_line(67, 110),
        horizontal_line(67, 113),
        horizontal_line(67, 116),
        horizontal_line(68, 118),
        horizontal_line(68, 121),
        horizontal_line(68, 124),
        horizontal_line(68, 126),
        horizontal_line(69, 129),
        horizontal_line(69, 131),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 132),
        horizontal_line(71, 132),
        horizontal_line(72, 132),
        horizontal_line(72, 131),
        horizontal_line(72, 131),
        horizontal_line(72, 131),
        horizontal_line(73, 130),
        horizontal_line(73, 130),
        horizontal_line(0, 0),
        horizontal_line(73, 129),
        horizontal_line(74, 129),
        horizontal_line(74, 129),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(145, 177),
        horizontal_line(146, 177),
        horizontal_line(147, 177),
        horizontal_line(148, 177),
        horizontal_line(150, 170),
        horizontal_line(151, 162),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(154, 173),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(228, 237),
        horizontal_line(230, 236),
        horizontal_line(233, 235),
        horizontal_line(160, 170),
        horizontal_line(161, 166),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(164, 191),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(164, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 165),
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 210),
        horizontal_line(158, 212),
        horizontal_line(158, 202),
        horizontal_line(157, 192),
        horizontal_line(157, 183),
        horizontal_line(156, 173),
        horizontal_line(156, 164),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(152, 162),
        horizontal_line(151, 161),
        horizontal_line(151, 161),
        horizontal_line(150, 161),
        horizontal_line(150, 161),
        horizontal_line(149, 160),
        horizontal_line(149, 160),
        horizontal_line(148, 160),
        horizontal_line(148, 160),
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(231, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_115_shape_group_3_shapes[] = {
        shape(frame_115_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_115_shape_group_3_shape_1_horizontal_lines, 30, 7),
        shape(frame_115_shape_group_3_shape_2_horizontal_lines, 50, 8),
        shape(frame_115_shape_group_3_shape_3_horizontal_lines, 51, 7),
        shape(frame_115_shape_group_3_shape_4_horizontal_lines, 57, 8),
        shape(frame_115_shape_group_3_shape_5_horizontal_lines, 58, 7),
        shape(frame_115_shape_group_3_shape_6_horizontal_lines, 93, 8),
        shape(frame_115_shape_group_3_shape_7_horizontal_lines, 130, 8),
        shape(frame_115_shape_group_3_shape_8_horizontal_lines, 141, 8),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(137, 143),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(153, 177),
        horizontal_line(151, 177),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 172),
        horizontal_line(143, 169),
        horizontal_line(143, 166),
        horizontal_line(143, 163),
        horizontal_line(143, 160),
        horizontal_line(144, 157),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(73, 130),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(144, 151),
        horizontal_line(144, 148),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(203, 224),
        horizontal_line(155, 172),
        horizontal_line(157, 171),
        horizontal_line(158, 170),
        horizontal_line(201, 235),
        horizontal_line(167, 177),
        horizontal_line(164, 184),
        horizontal_line(200, 230),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(195, 200),
        horizontal_line(190, 201),
        horizontal_line(186, 202),
        horizontal_line(181, 203),
        horizontal_line(177, 204),
        horizontal_line(172, 205),
        horizontal_line(168, 206),
        horizontal_line(167, 207),
        horizontal_line(167, 208),
        horizontal_line(167, 209),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(211, 213),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(203, 213),
        horizontal_line(193, 214),
        horizontal_line(184, 215),
        horizontal_line(174, 217),
        horizontal_line(165, 218),
        horizontal_line(164, 219),
        horizontal_line(164, 221),
        horizontal_line(164, 222),
        horizontal_line(164, 223),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_115_shape_group_4_shapes[] = {
        shape(frame_115_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_115_shape_group_4_shape_1_horizontal_lines, 10, 1),
        shape(frame_115_shape_group_4_shape_2_horizontal_lines, 12, 2),
        shape(frame_115_shape_group_4_shape_3_horizontal_lines, 19, 1),
        shape(frame_115_shape_group_4_shape_4_horizontal_lines, 25, 2),
        shape(frame_115_shape_group_4_shape_5_horizontal_lines, 26, 1),
        shape(frame_115_shape_group_4_shape_6_horizontal_lines, 29, 7),
        shape(frame_115_shape_group_4_shape_7_horizontal_lines, 50, 8),
        shape(frame_115_shape_group_4_shape_8_horizontal_lines, 59, 7),
        shape(frame_115_shape_group_4_shape_9_horizontal_lines, 69, 8),
        shape(frame_115_shape_group_4_shape_10_horizontal_lines, 70, 9),
        shape(frame_115_shape_group_4_shape_11_horizontal_lines, 71, 8),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(171, 177),
        horizontal_line(169, 177),
        horizontal_line(167, 177),
        horizontal_line(165, 177),
        horizontal_line(163, 177),
        horizontal_line(161, 177),
        horizontal_line(159, 177),
        horizontal_line(157, 177),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(178, 188),
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(142, 177),
        horizontal_line(142, 175),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(144, 154),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(145, 177),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 197),
        horizontal_line(178, 187),
        horizontal_line(178, 178),
        horizontal_line(171, 176),
        horizontal_line(163, 175),
        horizontal_line(155, 174),
        horizontal_line(239, 239),
        horizontal_line(203, 227),
        horizontal_line(202, 229),
        horizontal_line(202, 232),
        horizontal_line(237, 239),
        horizontal_line(201, 233),
        horizontal_line(200, 232),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(228, 229),
        horizontal_line(166, 194),
        horizontal_line(166, 189),
        horizontal_line(166, 185),
        horizontal_line(166, 180),
        horizontal_line(166, 176),
        horizontal_line(166, 171),
        horizontal_line(207, 219),
        horizontal_line(208, 217),
        horizontal_line(209, 216),
        horizontal_line(210, 214),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(225, 225),
        horizontal_line(225, 226),
        horizontal_line(225, 227),
        horizontal_line(225, 228),
        horizontal_line(224, 230),
        horizontal_line(224, 231),
        horizontal_line(224, 232),
        horizontal_line(224, 234),
        horizontal_line(223, 235),
        horizontal_line(223, 236),
        horizontal_line(223, 238),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_115_shape_group_5_shapes[] = {
        shape(frame_115_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_115_shape_group_5_shape_1_horizontal_lines, 9, 2),
        shape(frame_115_shape_group_5_shape_2_horizontal_lines, 10, 7),
        shape(frame_115_shape_group_5_shape_3_horizontal_lines, 12, 2),
        shape(frame_115_shape_group_5_shape_4_horizontal_lines, 17, 1),
        shape(frame_115_shape_group_5_shape_5_horizontal_lines, 19, 7),
        shape(frame_115_shape_group_5_shape_6_horizontal_lines, 25, 1),
        shape(frame_115_shape_group_5_shape_7_horizontal_lines, 26, 7),
        shape(frame_115_shape_group_5_shape_8_horizontal_lines, 30, 8),
        shape(frame_115_shape_group_5_shape_9_horizontal_lines, 57, 9),
        shape(frame_115_shape_group_5_shape_10_horizontal_lines, 58, 8),
        shape(frame_115_shape_group_5_shape_11_horizontal_lines, 69, 9),
        shape(frame_115_shape_group_5_shape_12_horizontal_lines, 71, 9),
        shape(frame_115_shape_group_5_shape_13_horizontal_lines, 80, 8),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(178, 206),
        horizontal_line(178, 204),
        horizontal_line(178, 202),
        horizontal_line(178, 200),
        horizontal_line(178, 199),
        horizontal_line(178, 197),
        horizontal_line(178, 195),
        horizontal_line(178, 194),
        horizontal_line(178, 192),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(155, 177),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(149, 177),
        horizontal_line(147, 177),
        horizontal_line(145, 177),
        horizontal_line(143, 177),
        horizontal_line(142, 177),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(141, 141),
        horizontal_line(173, 177),
        horizontal_line(170, 177),
        horizontal_line(167, 177),
        horizontal_line(164, 177),
        horizontal_line(161, 177),
        horizontal_line(158, 177),
        horizontal_line(141, 143),
        horizontal_line(152, 177),
        horizontal_line(149, 177),
        horizontal_line(146, 177),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 207),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
        horizontal_line(178, 206),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(206, 208),
        horizontal_line(206, 211),
        horizontal_line(205, 213),
        horizontal_line(205, 216),
        horizontal_line(204, 219),
        horizontal_line(204, 221),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(174, 202),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(171, 200),
        horizontal_line(178, 200),
        horizontal_line(185, 199),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(201, 227),
        horizontal_line(202, 226),
        horizontal_line(203, 224),
        horizontal_line(204, 223),
        horizontal_line(205, 222),
        horizontal_line(206, 220),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_115_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_115_shape_group_6_shapes[] = {
        shape(frame_115_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_115_shape_group_6_shape_1_horizontal_lines, 9, 1),
        shape(frame_115_shape_group_6_shape_2_horizontal_lines, 10, 7),
        shape(frame_115_shape_group_6_shape_3_horizontal_lines, 12, 1),
        shape(frame_115_shape_group_6_shape_4_horizontal_lines, 17, 7),
        shape(frame_115_shape_group_6_shape_5_horizontal_lines, 30, 8),
        shape(frame_115_shape_group_6_shape_6_horizontal_lines, 44, 8),
        shape(frame_115_shape_group_6_shape_7_horizontal_lines, 50, 9),
        shape(frame_115_shape_group_6_shape_8_horizontal_lines, 51, 8),
        shape(frame_115_shape_group_6_shape_9_horizontal_lines, 54, 9),
        shape(frame_115_shape_group_6_shape_10_horizontal_lines, 59, 8),
        shape(frame_115_shape_group_6_shape_11_horizontal_lines, 65, 3),
        shape(frame_115_shape_group_6_shape_12_horizontal_lines, 80, 9),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(178, 190),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(189, 210),
        horizontal_line(188, 210),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(178, 185),
        horizontal_line(178, 183),
        horizontal_line(178, 182),
        horizontal_line(178, 180),
        horizontal_line(141, 141),
        horizontal_line(210, 239),
        horizontal_line(176, 177),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(155, 177),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(198, 205),
        horizontal_line(188, 205),
        horizontal_line(179, 204),
        horizontal_line(177, 204),
        horizontal_line(176, 203),
        horizontal_line(175, 203),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(173, 202),
        horizontal_line(172, 201),
        horizontal_line(171, 201),
        horizontal_line(236, 236),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_115_shape_group_7_shapes[] = {
        shape(frame_115_shape_group_7_shape_0_horizontal_lines, 0, 7),
        shape(frame_115_shape_group_7_shape_1_horizontal_lines, 10, 8),
        shape(frame_115_shape_group_7_shape_2_horizontal_lines, 12, 7),
        shape(frame_115_shape_group_7_shape_3_horizontal_lines, 29, 8),
        shape(frame_115_shape_group_7_shape_4_horizontal_lines, 44, 9),
        shape(frame_115_shape_group_7_shape_5_horizontal_lines, 51, 9),
        shape(frame_115_shape_group_7_shape_6_horizontal_lines, 59, 9),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(207, 212),
        horizontal_line(205, 211),
        horizontal_line(203, 211),
        horizontal_line(201, 211),
        horizontal_line(200, 211),
        horizontal_line(198, 211),
        horizontal_line(196, 211),
        horizontal_line(195, 211),
        horizontal_line(193, 210),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(178, 209),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(178, 209),
        horizontal_line(178, 209),
        horizontal_line(178, 209),
        horizontal_line(178, 208),
        horizontal_line(178, 208),
        horizontal_line(178, 208),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(178, 208),
        horizontal_line(178, 208),
        horizontal_line(178, 208),
        horizontal_line(178, 207),
    };

    constexpr const shape frame_115_shape_group_8_shapes[] = {
        shape(frame_115_shape_group_8_shape_0_horizontal_lines, 0, 8),
        shape(frame_115_shape_group_8_shape_1_horizontal_lines, 9, 7),
        shape(frame_115_shape_group_8_shape_2_horizontal_lines, 12, 7),
        shape(frame_115_shape_group_8_shape_3_horizontal_lines, 17, 8),
        shape(frame_115_shape_group_8_shape_4_horizontal_lines, 18, 7),
        shape(frame_115_shape_group_8_shape_5_horizontal_lines, 19, 8),
        shape(frame_115_shape_group_8_shape_6_horizontal_lines, 25, 7),
        shape(frame_115_shape_group_8_shape_7_horizontal_lines, 26, 8),
    };

    constexpr const horizontal_line frame_115_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(191, 210),
    };

    constexpr const horizontal_line frame_115_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(186, 210),
        horizontal_line(184, 210),
        horizontal_line(183, 210),
        horizontal_line(181, 209),
    };

    constexpr const horizontal_line frame_115_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_115_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(178, 209),
    };

    constexpr const horizontal_line frame_115_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(178, 208),
    };

    constexpr const shape frame_115_shape_group_9_shapes[] = {
        shape(frame_115_shape_group_9_shape_0_horizontal_lines, 9, 8),
        shape(frame_115_shape_group_9_shape_1_horizontal_lines, 12, 8),
        shape(frame_115_shape_group_9_shape_2_horizontal_lines, 16, 7),
        shape(frame_115_shape_group_9_shape_3_horizontal_lines, 18, 8),
        shape(frame_115_shape_group_9_shape_4_horizontal_lines, 25, 8),
    };

    constexpr const horizontal_line frame_115_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_115_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(179, 209),
    };

    constexpr const shape frame_115_shape_group_10_shapes[] = {
        shape(frame_115_shape_group_10_shape_0_horizontal_lines, 15, 3),
        shape(frame_115_shape_group_10_shape_1_horizontal_lines, 16, 8),
    };

    constexpr const shape_group frame_115_shape_groups[] = {
        shape_group(frame_115_shape_group_0_shapes),
        shape_group(frame_115_shape_group_1_shapes),
        shape_group(frame_115_shape_group_2_shapes),
        shape_group(frame_115_shape_group_3_shapes),
        shape_group(frame_115_shape_group_4_shapes),
        shape_group(frame_115_shape_group_5_shapes),
        shape_group(frame_115_shape_group_6_shapes),
        shape_group(frame_115_shape_group_7_shapes),
        shape_group(frame_115_shape_group_8_shapes),
        shape_group(frame_115_shape_group_9_shapes),
        shape_group(frame_115_shape_group_10_shapes),
    };

    constexpr const frame frame_115_impl(frame_115_colors, frame_115_shape_groups);
} 

const frame& frame_115()
{
    return frame_115_impl;
}

namespace
{
    constexpr const bn::color frame_116_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_116_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_116_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_116_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(114, 118),
        horizontal_line(115, 118),
        horizontal_line(117, 117),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(116, 119),
        horizontal_line(115, 120),
        horizontal_line(114, 121),
        horizontal_line(114, 122),
        horizontal_line(113, 123),
        horizontal_line(112, 124),
        horizontal_line(111, 125),
        horizontal_line(110, 126),
        horizontal_line(110, 127),
        horizontal_line(109, 128),
        horizontal_line(108, 128),
        horizontal_line(107, 129),
        horizontal_line(106, 130),
        horizontal_line(106, 131),
        horizontal_line(105, 132),
        horizontal_line(104, 133),
        horizontal_line(103, 134),
        horizontal_line(102, 135),
        horizontal_line(102, 136),
        horizontal_line(101, 137),
        horizontal_line(100, 138),
        horizontal_line(99, 137),
        horizontal_line(98, 137),
        horizontal_line(98, 137),
    };

    constexpr const shape frame_116_shape_group_0_shapes[] = {
        shape(frame_116_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_116_shape_group_0_shape_1_horizontal_lines, 42, 2),
        shape(frame_116_shape_group_0_shape_2_horizontal_lines, 131, 1),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(115, 129),
        horizontal_line(120, 129),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(2, 64),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 131),
        horizontal_line(129, 133),
        horizontal_line(129, 135),
        horizontal_line(128, 137),
        horizontal_line(128, 139),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 141),
        horizontal_line(125, 135),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(20, 77),
        horizontal_line(20, 70),
        horizontal_line(21, 64),
        horizontal_line(22, 57),
        horizontal_line(22, 50),
        horizontal_line(23, 44),
        horizontal_line(23, 37),
        horizontal_line(24, 30),
        horizontal_line(24, 24),
        horizontal_line(12, 24),
        horizontal_line(133, 144),
        horizontal_line(133, 143),
        horizontal_line(134, 142),
        horizontal_line(134, 141),
        horizontal_line(135, 140),
        horizontal_line(135, 139),
        horizontal_line(136, 138),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(135, 139),
        horizontal_line(134, 143),
        horizontal_line(132, 147),
        horizontal_line(131, 151),
        horizontal_line(129, 154),
        horizontal_line(128, 158),
        horizontal_line(127, 162),
        horizontal_line(125, 165),
        horizontal_line(124, 164),
        horizontal_line(122, 163),
        horizontal_line(121, 163),
        horizontal_line(119, 162),
        horizontal_line(118, 161),
        horizontal_line(117, 161),
        horizontal_line(115, 160),
        horizontal_line(114, 159),
        horizontal_line(112, 159),
        horizontal_line(111, 158),
        horizontal_line(110, 158),
        horizontal_line(108, 157),
        horizontal_line(107, 156),
        horizontal_line(105, 156),
        horizontal_line(104, 155),
        horizontal_line(102, 154),
        horizontal_line(101, 154),
        horizontal_line(100, 153),
        horizontal_line(98, 153),
        horizontal_line(97, 152),
        horizontal_line(95, 151),
        horizontal_line(94, 151),
        horizontal_line(92, 150),
        horizontal_line(91, 149),
        horizontal_line(90, 149),
        horizontal_line(88, 148),
        horizontal_line(87, 147),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(75, 134),
        horizontal_line(76, 134),
        horizontal_line(78, 133),
        horizontal_line(80, 132),
        horizontal_line(81, 132),
        horizontal_line(83, 131),
        horizontal_line(84, 130),
        horizontal_line(86, 130),
        horizontal_line(87, 129),
        horizontal_line(89, 129),
        horizontal_line(90, 128),
        horizontal_line(92, 127),
        horizontal_line(94, 127),
        horizontal_line(95, 126),
        horizontal_line(97, 125),
        horizontal_line(98, 125),
        horizontal_line(100, 124),
        horizontal_line(101, 123),
        horizontal_line(103, 123),
        horizontal_line(104, 122),
        horizontal_line(106, 122),
        horizontal_line(108, 121),
        horizontal_line(109, 120),
        horizontal_line(111, 120),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_116_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_116_shape_group_1_shapes[] = {
        shape(frame_116_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_116_shape_group_1_shape_1_horizontal_lines, 3, 2),
        shape(frame_116_shape_group_1_shape_2_horizontal_lines, 4, 4),
        shape(frame_116_shape_group_1_shape_3_horizontal_lines, 25, 2),
        shape(frame_116_shape_group_1_shape_4_horizontal_lines, 50, 1),
        shape(frame_116_shape_group_1_shape_5_horizontal_lines, 96, 2),
        shape(frame_116_shape_group_1_shape_6_horizontal_lines, 101, 1),
        shape(frame_116_shape_group_1_shape_7_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(64, 126),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(78, 140),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(127, 144),
        horizontal_line(128, 144),
        horizontal_line(128, 144),
        horizontal_line(129, 145),
        horizontal_line(129, 145),
        horizontal_line(130, 145),
        horizontal_line(130, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(132, 147),
        horizontal_line(132, 145),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(163, 164),
        horizontal_line(164, 165),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 170),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(48, 100),
        horizontal_line(49, 99),
        horizontal_line(50, 97),
        horizontal_line(50, 96),
        horizontal_line(51, 94),
        horizontal_line(52, 93),
        horizontal_line(53, 91),
        horizontal_line(53, 90),
        horizontal_line(54, 89),
        horizontal_line(55, 87),
        horizontal_line(55, 86),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(146, 146),
        horizontal_line(145, 146),
        horizontal_line(143, 145),
        horizontal_line(142, 144),
        horizontal_line(140, 144),
        horizontal_line(139, 143),
        horizontal_line(137, 142),
        horizontal_line(136, 142),
        horizontal_line(135, 141),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(129, 137),
        horizontal_line(131, 137),
        horizontal_line(132, 136),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_116_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(52, 74),
        horizontal_line(50, 75),
        horizontal_line(48, 77),
        horizontal_line(46, 79),
        horizontal_line(44, 80),
        horizontal_line(41, 82),
        horizontal_line(39, 83),
        horizontal_line(37, 85),
        horizontal_line(35, 86),
        horizontal_line(33, 88),
        horizontal_line(31, 89),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
    };

    constexpr const shape frame_116_shape_group_2_shapes[] = {
        shape(frame_116_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_116_shape_group_2_shape_1_horizontal_lines, 42, 3),
        shape(frame_116_shape_group_2_shape_2_horizontal_lines, 51, 1),
        shape(frame_116_shape_group_2_shape_3_horizontal_lines, 75, 3),
        shape(frame_116_shape_group_2_shape_4_horizontal_lines, 86, 1),
        shape(frame_116_shape_group_2_shape_5_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(130, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(126, 141),
        horizontal_line(130, 141),
        horizontal_line(132, 140),
        horizontal_line(134, 140),
        horizontal_line(136, 140),
        horizontal_line(138, 140),
        horizontal_line(140, 140),
        horizontal_line(69, 127),
        horizontal_line(69, 127),
        horizontal_line(70, 126),
        horizontal_line(70, 126),
        horizontal_line(71, 126),
        horizontal_line(72, 126),
        horizontal_line(72, 126),
        horizontal_line(73, 125),
        horizontal_line(73, 125),
        horizontal_line(74, 125),
        horizontal_line(75, 125),
        horizontal_line(75, 124),
        horizontal_line(76, 124),
        horizontal_line(136, 141),
        horizontal_line(130, 141),
        horizontal_line(140, 142),
        horizontal_line(78, 117),
        horizontal_line(79, 110),
        horizontal_line(79, 104),
        horizontal_line(80, 97),
        horizontal_line(81, 90),
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(78, 127),
        horizontal_line(71, 127),
        horizontal_line(65, 127),
        horizontal_line(58, 120),
        horizontal_line(51, 113),
        horizontal_line(45, 107),
        horizontal_line(38, 100),
        horizontal_line(31, 93),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(145, 150),
        horizontal_line(144, 151),
        horizontal_line(143, 153),
        horizontal_line(142, 155),
        horizontal_line(141, 156),
        horizontal_line(140, 158),
        horizontal_line(139, 159),
        horizontal_line(138, 161),
        horizontal_line(93, 155),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 106),
        horizontal_line(46, 104),
        horizontal_line(47, 103),
        horizontal_line(48, 101),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(155, 194),
        horizontal_line(154, 180),
        horizontal_line(154, 166),
        horizontal_line(153, 165),
        horizontal_line(152, 165),
        horizontal_line(152, 164),
        horizontal_line(151, 164),
        horizontal_line(150, 164),
        horizontal_line(150, 163),
        horizontal_line(149, 163),
        horizontal_line(148, 163),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(56, 84),
        horizontal_line(57, 83),
        horizontal_line(57, 82),
        horizontal_line(58, 80),
        horizontal_line(59, 79),
        horizontal_line(59, 77),
        horizontal_line(60, 76),
        horizontal_line(61, 74),
        horizontal_line(61, 73),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(132, 140),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(128, 138),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(60, 68),
        horizontal_line(58, 69),
        horizontal_line(56, 71),
        horizontal_line(54, 72),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(135, 155),
        horizontal_line(135, 154),
        horizontal_line(134, 154),
        horizontal_line(133, 154),
        horizontal_line(133, 153),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(131, 152),
        horizontal_line(130, 152),
        horizontal_line(130, 152),
        horizontal_line(129, 151),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(89, 93),
        horizontal_line(87, 94),
        horizontal_line(85, 96),
        horizontal_line(82, 97),
        horizontal_line(80, 99),
        horizontal_line(78, 100),
        horizontal_line(76, 102),
        horizontal_line(74, 103),
        horizontal_line(72, 105),
        horizontal_line(70, 107),
        horizontal_line(68, 108),
        horizontal_line(66, 110),
        horizontal_line(64, 111),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(119, 146),
        horizontal_line(119, 145),
        horizontal_line(118, 145),
        horizontal_line(119, 145),
        horizontal_line(119, 144),
        horizontal_line(120, 144),
        horizontal_line(121, 143),
        horizontal_line(122, 143),
        horizontal_line(123, 143),
        horizontal_line(124, 142),
        horizontal_line(125, 142),
        horizontal_line(126, 142),
        horizontal_line(127, 141),
        horizontal_line(128, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 140),
        horizontal_line(130, 140),
        horizontal_line(131, 139),
        horizontal_line(132, 139),
        horizontal_line(133, 139),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_116_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(138, 141),
        horizontal_line(138, 143),
    };

    constexpr const shape frame_116_shape_group_3_shapes[] = {
        shape(frame_116_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_116_shape_group_3_shape_1_horizontal_lines, 32, 3),
        shape(frame_116_shape_group_3_shape_2_horizontal_lines, 75, 7),
        shape(frame_116_shape_group_3_shape_3_horizontal_lines, 86, 3),
        shape(frame_116_shape_group_3_shape_4_horizontal_lines, 96, 1),
        shape(frame_116_shape_group_3_shape_5_horizontal_lines, 101, 3),
        shape(frame_116_shape_group_3_shape_6_horizontal_lines, 106, 7),
        shape(frame_116_shape_group_3_shape_7_horizontal_lines, 117, 3),
        shape(frame_116_shape_group_3_shape_8_horizontal_lines, 131, 7),
        shape(frame_116_shape_group_3_shape_9_horizontal_lines, 157, 7),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(63, 114),
        horizontal_line(63, 119),
        horizontal_line(64, 124),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 128),
        horizontal_line(67, 127),
        horizontal_line(68, 127),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(147, 177),
        horizontal_line(147, 174),
        horizontal_line(147, 171),
        horizontal_line(148, 169),
        horizontal_line(148, 166),
        horizontal_line(148, 163),
        horizontal_line(148, 160),
        horizontal_line(149, 158),
        horizontal_line(149, 155),
        horizontal_line(149, 152),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(141, 147),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(76, 124),
        horizontal_line(77, 124),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(150, 186),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(111, 124),
        horizontal_line(105, 125),
        horizontal_line(98, 125),
        horizontal_line(91, 126),
        horizontal_line(85, 126),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(151, 186),
        horizontal_line(151, 186),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(120, 128),
        horizontal_line(113, 129),
        horizontal_line(107, 129),
        horizontal_line(100, 130),
        horizontal_line(93, 130),
        horizontal_line(87, 131),
        horizontal_line(146, 148),
        horizontal_line(88, 132),
        horizontal_line(89, 132),
        horizontal_line(89, 133),
        horizontal_line(90, 133),
        horizontal_line(91, 134),
        horizontal_line(91, 134),
        horizontal_line(92, 135),
        horizontal_line(93, 135),
        horizontal_line(155, 162),
        horizontal_line(140, 162),
        horizontal_line(144, 162),
        horizontal_line(148, 163),
        horizontal_line(152, 163),
        horizontal_line(155, 163),
        horizontal_line(159, 164),
        horizontal_line(163, 164),
        horizontal_line(99, 124),
        horizontal_line(99, 123),
        horizontal_line(100, 121),
        horizontal_line(101, 120),
        horizontal_line(102, 118),
        horizontal_line(102, 117),
        horizontal_line(103, 116),
        horizontal_line(104, 114),
        horizontal_line(104, 113),
        horizontal_line(105, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(148, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 161),
        horizontal_line(146, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 160),
        horizontal_line(144, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 159),
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(63, 70),
        horizontal_line(63, 69),
        horizontal_line(64, 67),
        horizontal_line(65, 66),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(138, 157),
        horizontal_line(138, 156),
        horizontal_line(137, 156),
        horizontal_line(136, 156),
        horizontal_line(136, 155),
    };

    constexpr const horizontal_line frame_116_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(128, 151),
        horizontal_line(128, 150),
        horizontal_line(127, 150),
        horizontal_line(126, 150),
        horizontal_line(126, 149),
        horizontal_line(125, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(123, 148),
        horizontal_line(123, 148),
        horizontal_line(122, 147),
        horizontal_line(121, 147),
        horizontal_line(121, 146),
        horizontal_line(120, 146),
    };

    constexpr const shape frame_116_shape_group_4_shapes[] = {
        shape(frame_116_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_116_shape_group_4_shape_1_horizontal_lines, 3, 1),
        shape(frame_116_shape_group_4_shape_2_horizontal_lines, 4, 2),
        shape(frame_116_shape_group_4_shape_3_horizontal_lines, 10, 1),
        shape(frame_116_shape_group_4_shape_4_horizontal_lines, 21, 7),
        shape(frame_116_shape_group_4_shape_5_horizontal_lines, 23, 2),
        shape(frame_116_shape_group_4_shape_6_horizontal_lines, 25, 7),
        shape(frame_116_shape_group_4_shape_7_horizontal_lines, 26, 3),
        shape(frame_116_shape_group_4_shape_8_horizontal_lines, 32, 7),
        shape(frame_116_shape_group_4_shape_9_horizontal_lines, 34, 3),
        shape(frame_116_shape_group_4_shape_10_horizontal_lines, 71, 7),
        shape(frame_116_shape_group_4_shape_11_horizontal_lines, 75, 9),
        shape(frame_116_shape_group_4_shape_12_horizontal_lines, 86, 7),
        shape(frame_116_shape_group_4_shape_13_horizontal_lines, 96, 3),
        shape(frame_116_shape_group_4_shape_14_horizontal_lines, 101, 7),
        shape(frame_116_shape_group_4_shape_15_horizontal_lines, 117, 7),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(151, 187),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 141),
        horizontal_line(146, 179),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 147),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 148),
        horizontal_line(141, 149),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(142, 142),
        horizontal_line(150, 186),
        horizontal_line(223, 239),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 186),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(87, 131),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(151, 169),
        horizontal_line(152, 160),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(181, 214),
        horizontal_line(180, 213),
        horizontal_line(179, 213),
        horizontal_line(178, 212),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(94, 134),
        horizontal_line(95, 133),
        horizontal_line(95, 131),
        horizontal_line(96, 130),
        horizontal_line(97, 128),
        horizontal_line(97, 127),
        horizontal_line(98, 126),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(158, 166),
        horizontal_line(169, 221),
        horizontal_line(168, 222),
        horizontal_line(168, 223),
        horizontal_line(168, 208),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(141, 158),
        horizontal_line(140, 158),
        horizontal_line(140, 157),
        horizontal_line(139, 157),
    };

    constexpr const shape frame_116_shape_group_5_shapes[] = {
        shape(frame_116_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_116_shape_group_5_shape_1_horizontal_lines, 4, 2),
        shape(frame_116_shape_group_5_shape_2_horizontal_lines, 7, 1),
        shape(frame_116_shape_group_5_shape_3_horizontal_lines, 10, 7),
        shape(frame_116_shape_group_5_shape_4_horizontal_lines, 41, 3),
        shape(frame_116_shape_group_5_shape_5_horizontal_lines, 42, 7),
        shape(frame_116_shape_group_5_shape_6_horizontal_lines, 46, 9),
        shape(frame_116_shape_group_5_shape_7_horizontal_lines, 50, 7),
        shape(frame_116_shape_group_5_shape_8_horizontal_lines, 51, 3),
        shape(frame_116_shape_group_5_shape_9_horizontal_lines, 58, 7),
        shape(frame_116_shape_group_5_shape_10_horizontal_lines, 86, 9),
        shape(frame_116_shape_group_5_shape_11_horizontal_lines, 96, 7),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(157, 187),
        horizontal_line(155, 187),
        horizontal_line(153, 187),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 187),
        horizontal_line(146, 185),
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(178, 186),
        horizontal_line(175, 186),
        horizontal_line(172, 186),
        horizontal_line(170, 186),
        horizontal_line(167, 186),
        horizontal_line(164, 186),
        horizontal_line(161, 186),
        horizontal_line(159, 186),
        horizontal_line(156, 186),
        horizontal_line(153, 186),
        horizontal_line(151, 186),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(150, 186),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(151, 178),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(183, 215),
        horizontal_line(182, 214),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(183, 211),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(164, 170),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(199, 210),
        horizontal_line(204, 209),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(204, 209),
        horizontal_line(199, 210),
        horizontal_line(193, 211),
        horizontal_line(188, 212),
        horizontal_line(182, 212),
        horizontal_line(177, 213),
        horizontal_line(172, 214),
        horizontal_line(171, 215),
        horizontal_line(171, 216),
        horizontal_line(171, 216),
        horizontal_line(170, 217),
        horizontal_line(170, 218),
        horizontal_line(170, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 220),
    };

    constexpr const horizontal_line frame_116_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_116_shape_group_6_shapes[] = {
        shape(frame_116_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_116_shape_group_6_shape_1_horizontal_lines, 3, 3),
        shape(frame_116_shape_group_6_shape_2_horizontal_lines, 4, 1),
        shape(frame_116_shape_group_6_shape_3_horizontal_lines, 9, 7),
        shape(frame_116_shape_group_6_shape_4_horizontal_lines, 26, 7),
        shape(frame_116_shape_group_6_shape_5_horizontal_lines, 34, 7),
        shape(frame_116_shape_group_6_shape_6_horizontal_lines, 44, 9),
        shape(frame_116_shape_group_6_shape_7_horizontal_lines, 50, 9),
        shape(frame_116_shape_group_6_shape_8_horizontal_lines, 51, 7),
        shape(frame_116_shape_group_6_shape_9_horizontal_lines, 53, 9),
        shape(frame_116_shape_group_6_shape_10_horizontal_lines, 56, 7),
        shape(frame_116_shape_group_6_shape_11_horizontal_lines, 71, 9),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(146, 156),
        horizontal_line(146, 154),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(188, 191),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(149, 187),
        horizontal_line(147, 187),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(144, 145),
        horizontal_line(142, 145),
        horizontal_line(180, 186),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(204, 218),
        horizontal_line(188, 217),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(185, 216),
        horizontal_line(184, 216),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(194, 210),
    };

    constexpr const horizontal_line frame_116_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_116_shape_group_7_shapes[] = {
        shape(frame_116_shape_group_7_shape_0_horizontal_lines, 0, 3),
        shape(frame_116_shape_group_7_shape_1_horizontal_lines, 3, 7),
        shape(frame_116_shape_group_7_shape_2_horizontal_lines, 4, 1),
        shape(frame_116_shape_group_7_shape_3_horizontal_lines, 6, 7),
        shape(frame_116_shape_group_7_shape_4_horizontal_lines, 23, 7),
        shape(frame_116_shape_group_7_shape_5_horizontal_lines, 39, 9),
        shape(frame_116_shape_group_7_shape_6_horizontal_lines, 41, 7),
        shape(frame_116_shape_group_7_shape_7_horizontal_lines, 42, 9),
        shape(frame_116_shape_group_7_shape_8_horizontal_lines, 51, 9),
        shape(frame_116_shape_group_7_shape_9_horizontal_lines, 65, 9),
    };

    constexpr const horizontal_line frame_116_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(188, 195),
        horizontal_line(188, 193),
        horizontal_line(188, 192),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_116_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(183, 186),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(186, 217),
    };

    constexpr const shape frame_116_shape_group_8_shapes[] = {
        shape(frame_116_shape_group_8_shape_0_horizontal_lines, 0, 7),
        shape(frame_116_shape_group_8_shape_1_horizontal_lines, 4, 3),
        shape(frame_116_shape_group_8_shape_2_horizontal_lines, 7, 7),
        shape(frame_116_shape_group_8_shape_3_horizontal_lines, 41, 9),
    };

    constexpr const horizontal_line frame_116_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_116_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_116_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_116_shape_group_9_shapes[] = {
        shape(frame_116_shape_group_9_shape_0_horizontal_lines, 0, 7),
        shape(frame_116_shape_group_9_shape_1_horizontal_lines, 4, 7),
        shape(frame_116_shape_group_9_shape_2_horizontal_lines, 7, 7),
    };

    constexpr const horizontal_line frame_116_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_116_shape_group_10_shapes[] = {
        shape(frame_116_shape_group_10_shape_0_horizontal_lines, 4, 7),
    };

    constexpr const shape_group frame_116_shape_groups[] = {
        shape_group(frame_116_shape_group_0_shapes),
        shape_group(frame_116_shape_group_1_shapes),
        shape_group(frame_116_shape_group_2_shapes),
        shape_group(frame_116_shape_group_3_shapes),
        shape_group(frame_116_shape_group_4_shapes),
        shape_group(frame_116_shape_group_5_shapes),
        shape_group(frame_116_shape_group_6_shapes),
        shape_group(frame_116_shape_group_7_shapes),
        shape_group(frame_116_shape_group_8_shapes),
        shape_group(frame_116_shape_group_9_shapes),
        shape_group(frame_116_shape_group_10_shapes),
    };

    constexpr const frame frame_116_impl(frame_116_colors, frame_116_shape_groups);
} 

const frame& frame_116()
{
    return frame_116_impl;
}

namespace
{
    constexpr const bn::color frame_117_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_117_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 54),
        horizontal_line(0, 50),
        horizontal_line(0, 45),
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
        horizontal_line(0, 28),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_117_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(165, 167),
        horizontal_line(130, 134),
        horizontal_line(129, 137),
        horizontal_line(127, 141),
        horizontal_line(126, 144),
        horizontal_line(125, 148),
        horizontal_line(123, 151),
        horizontal_line(122, 154),
        horizontal_line(120, 158),
        horizontal_line(119, 161),
        horizontal_line(118, 176),
        horizontal_line(116, 164),
        horizontal_line(115, 163),
        horizontal_line(113, 162),
        horizontal_line(112, 162),
        horizontal_line(111, 161),
        horizontal_line(109, 160),
        horizontal_line(108, 160),
        horizontal_line(106, 159),
        horizontal_line(105, 158),
        horizontal_line(104, 157),
        horizontal_line(102, 157),
        horizontal_line(101, 156),
        horizontal_line(99, 155),
        horizontal_line(98, 155),
        horizontal_line(97, 154),
        horizontal_line(95, 153),
        horizontal_line(94, 152),
        horizontal_line(92, 152),
        horizontal_line(91, 151),
        horizontal_line(90, 150),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_117_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_117_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 97),
        horizontal_line(38, 97),
    };

    constexpr const shape frame_117_shape_group_0_shapes[] = {
        shape(frame_117_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_117_shape_group_0_shape_1_horizontal_lines, 53, 1),
        shape(frame_117_shape_group_0_shape_2_horizontal_lines, 122, 2),
        shape(frame_117_shape_group_0_shape_3_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(125, 139),
        horizontal_line(129, 139),
        horizontal_line(132, 139),
        horizontal_line(136, 139),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(136, 139),
        horizontal_line(132, 139),
        horizontal_line(128, 140),
        horizontal_line(124, 140),
        horizontal_line(120, 141),
        horizontal_line(116, 141),
        horizontal_line(116, 142),
        horizontal_line(117, 142),
        horizontal_line(117, 143),
        horizontal_line(118, 143),
        horizontal_line(118, 143),
        horizontal_line(119, 144),
        horizontal_line(120, 144),
        horizontal_line(120, 145),
        horizontal_line(121, 145),
        horizontal_line(121, 146),
        horizontal_line(122, 146),
        horizontal_line(123, 147),
        horizontal_line(123, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 146),
        horizontal_line(125, 145),
        horizontal_line(126, 144),
        horizontal_line(126, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 140),
        horizontal_line(128, 138),
        horizontal_line(129, 137),
        horizontal_line(129, 136),
        horizontal_line(130, 134),
        horizontal_line(130, 133),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(165, 169),
        horizontal_line(165, 170),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 175),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(182, 223),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(166, 176),
        horizontal_line(166, 175),
        horizontal_line(166, 175),
        horizontal_line(166, 174),
        horizontal_line(166, 174),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(151, 200),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(149, 149),
        horizontal_line(147, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 147),
        horizontal_line(143, 146),
        horizontal_line(142, 145),
        horizontal_line(140, 145),
        horizontal_line(139, 144),
        horizontal_line(138, 143),
        horizontal_line(136, 143),
        horizontal_line(135, 142),
        horizontal_line(133, 141),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(129, 139),
        horizontal_line(128, 138),
        horizontal_line(126, 138),
        horizontal_line(125, 137),
        horizontal_line(124, 136),
        horizontal_line(122, 135),
        horizontal_line(121, 135),
        horizontal_line(119, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(115, 132),
        horizontal_line(114, 131),
        horizontal_line(112, 131),
        horizontal_line(111, 130),
        horizontal_line(110, 129),
        horizontal_line(108, 128),
        horizontal_line(107, 128),
        horizontal_line(105, 127),
        horizontal_line(104, 126),
        horizontal_line(103, 126),
        horizontal_line(101, 125),
        horizontal_line(100, 124),
        horizontal_line(98, 123),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(86, 106),
        horizontal_line(87, 106),
        horizontal_line(88, 105),
        horizontal_line(89, 104),
        horizontal_line(90, 104),
        horizontal_line(91, 103),
        horizontal_line(92, 102),
        horizontal_line(93, 101),
        horizontal_line(94, 101),
        horizontal_line(95, 100),
        horizontal_line(96, 99),
        horizontal_line(97, 99),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_117_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(98, 132),
        horizontal_line(98, 132),
    };

    constexpr const shape frame_117_shape_group_1_shapes[] = {
        shape(frame_117_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_117_shape_group_1_shape_1_horizontal_lines, 53, 3),
        shape(frame_117_shape_group_1_shape_2_horizontal_lines, 54, 1),
        shape(frame_117_shape_group_1_shape_3_horizontal_lines, 63, 7),
        shape(frame_117_shape_group_1_shape_4_horizontal_lines, 64, 1),
        shape(frame_117_shape_group_1_shape_5_horizontal_lines, 83, 7),
        shape(frame_117_shape_group_1_shape_6_horizontal_lines, 84, 1),
        shape(frame_117_shape_group_1_shape_7_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(153, 178),
        horizontal_line(153, 175),
        horizontal_line(153, 173),
        horizontal_line(154, 170),
        horizontal_line(154, 168),
        horizontal_line(154, 166),
        horizontal_line(154, 163),
        horizontal_line(155, 161),
        horizontal_line(155, 158),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(140, 194),
        horizontal_line(140, 152),
        horizontal_line(140, 150),
        horizontal_line(140, 147),
        horizontal_line(140, 145),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 109),
        horizontal_line(62, 105),
        horizontal_line(62, 101),
        horizontal_line(62, 96),
        horizontal_line(62, 92),
        horizontal_line(62, 88),
        horizontal_line(62, 84),
        horizontal_line(62, 79),
        horizontal_line(62, 75),
        horizontal_line(62, 71),
        horizontal_line(62, 67),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(156, 176),
        horizontal_line(156, 166),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(42, 104),
        horizontal_line(38, 100),
        horizontal_line(34, 96),
        horizontal_line(29, 91),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(160, 184),
        horizontal_line(162, 181),
        horizontal_line(164, 178),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(165, 165),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(214, 219),
        horizontal_line(209, 220),
        horizontal_line(203, 220),
        horizontal_line(198, 221),
        horizontal_line(193, 221),
        horizontal_line(187, 222),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(164, 165),
        horizontal_line(163, 165),
        horizontal_line(163, 165),
        horizontal_line(162, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(160, 165),
        horizontal_line(159, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 166),
        horizontal_line(157, 166),
        horizontal_line(156, 166),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
        horizontal_line(154, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(152, 166),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(151, 166),
        horizontal_line(150, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 164),
        horizontal_line(148, 164),
        horizontal_line(147, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 162),
        horizontal_line(145, 162),
        horizontal_line(144, 161),
        horizontal_line(144, 161),
        horizontal_line(143, 161),
        horizontal_line(142, 160),
        horizontal_line(141, 160),
        horizontal_line(141, 159),
        horizontal_line(140, 159),
        horizontal_line(139, 158),
        horizontal_line(139, 158),
        horizontal_line(138, 157),
        horizontal_line(137, 157),
        horizontal_line(136, 156),
        horizontal_line(136, 156),
        horizontal_line(135, 156),
        horizontal_line(134, 155),
        horizontal_line(134, 155),
        horizontal_line(133, 154),
        horizontal_line(132, 154),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(130, 152),
        horizontal_line(129, 152),
        horizontal_line(129, 151),
        horizontal_line(128, 151),
        horizontal_line(127, 151),
        horizontal_line(127, 150),
        horizontal_line(126, 150),
        horizontal_line(125, 149),
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(97, 123),
        horizontal_line(96, 122),
        horizontal_line(94, 121),
        horizontal_line(93, 121),
        horizontal_line(91, 120),
        horizontal_line(90, 119),
        horizontal_line(89, 118),
        horizontal_line(87, 118),
        horizontal_line(86, 117),
        horizontal_line(84, 116),
        horizontal_line(83, 116),
        horizontal_line(82, 115),
        horizontal_line(80, 114),
        horizontal_line(79, 114),
        horizontal_line(78, 113),
        horizontal_line(78, 112),
        horizontal_line(79, 111),
        horizontal_line(80, 111),
        horizontal_line(81, 110),
        horizontal_line(82, 109),
        horizontal_line(83, 109),
        horizontal_line(84, 108),
        horizontal_line(85, 107),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(107, 138),
        horizontal_line(107, 137),
        horizontal_line(106, 137),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(104, 136),
        horizontal_line(103, 135),
        horizontal_line(102, 135),
        horizontal_line(102, 134),
        horizontal_line(101, 134),
        horizontal_line(100, 133),
        horizontal_line(100, 133),
        horizontal_line(99, 132),
    };

    constexpr const horizontal_line frame_117_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
    };

    constexpr const shape frame_117_shape_group_2_shapes[] = {
        shape(frame_117_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_117_shape_group_2_shape_1_horizontal_lines, 5, 1),
        shape(frame_117_shape_group_2_shape_2_horizontal_lines, 15, 7),
        shape(frame_117_shape_group_2_shape_3_horizontal_lines, 21, 2),
        shape(frame_117_shape_group_2_shape_4_horizontal_lines, 39, 7),
        shape(frame_117_shape_group_2_shape_5_horizontal_lines, 42, 3),
        shape(frame_117_shape_group_2_shape_6_horizontal_lines, 47, 7),
        shape(frame_117_shape_group_2_shape_7_horizontal_lines, 50, 1),
        shape(frame_117_shape_group_2_shape_8_horizontal_lines, 53, 3),
        shape(frame_117_shape_group_2_shape_9_horizontal_lines, 57, 7),
        shape(frame_117_shape_group_2_shape_10_horizontal_lines, 63, 3),
        shape(frame_117_shape_group_2_shape_11_horizontal_lines, 64, 7),
        shape(frame_117_shape_group_2_shape_12_horizontal_lines, 83, 3),
        shape(frame_117_shape_group_2_shape_13_horizontal_lines, 84, 7),
        shape(frame_117_shape_group_2_shape_14_horizontal_lines, 122, 1),
        shape(frame_117_shape_group_2_shape_15_horizontal_lines, 145, 7),
        shape(frame_117_shape_group_2_shape_16_horizontal_lines, 158, 3),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(140, 147),
        horizontal_line(140, 145),
        horizontal_line(140, 143),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 152),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(238, 239),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(140, 140),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(155, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 194),
        horizontal_line(156, 185),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(55, 117),
        horizontal_line(51, 113),
        horizontal_line(146, 151),
        horizontal_line(145, 153),
        horizontal_line(143, 154),
        horizontal_line(142, 156),
        horizontal_line(141, 158),
        horizontal_line(25, 87),
        horizontal_line(21, 83),
        horizontal_line(17, 79),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(166, 175),
        horizontal_line(166, 172),
        horizontal_line(167, 169),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 164),
        horizontal_line(135, 164),
        horizontal_line(138, 164),
        horizontal_line(142, 164),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 117),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(177, 223),
        horizontal_line(176, 224),
        horizontal_line(176, 224),
        horizontal_line(175, 225),
        horizontal_line(175, 225),
        horizontal_line(174, 226),
        horizontal_line(174, 227),
        horizontal_line(173, 227),
        horizontal_line(173, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 229),
        horizontal_line(171, 229),
        horizontal_line(171, 230),
        horizontal_line(170, 231),
        horizontal_line(170, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 148),
        horizontal_line(123, 148),
        horizontal_line(122, 147),
        horizontal_line(122, 147),
        horizontal_line(121, 146),
        horizontal_line(120, 146),
        horizontal_line(119, 146),
        horizontal_line(119, 145),
        horizontal_line(118, 145),
        horizontal_line(117, 144),
        horizontal_line(117, 144),
        horizontal_line(116, 143),
        horizontal_line(115, 143),
        horizontal_line(115, 142),
        horizontal_line(114, 142),
        horizontal_line(113, 141),
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(111, 140),
        horizontal_line(110, 140),
        horizontal_line(110, 139),
        horizontal_line(109, 139),
        horizontal_line(108, 138),
    };

    constexpr const horizontal_line frame_117_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
    };

    constexpr const shape frame_117_shape_group_3_shapes[] = {
        shape(frame_117_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_117_shape_group_3_shape_1_horizontal_lines, 5, 7),
        shape(frame_117_shape_group_3_shape_2_horizontal_lines, 39, 3),
        shape(frame_117_shape_group_3_shape_3_horizontal_lines, 50, 7),
        shape(frame_117_shape_group_3_shape_4_horizontal_lines, 53, 3),
        shape(frame_117_shape_group_3_shape_5_horizontal_lines, 64, 7),
        shape(frame_117_shape_group_3_shape_6_horizontal_lines, 83, 3),
        shape(frame_117_shape_group_3_shape_7_horizontal_lines, 122, 7),
        shape(frame_117_shape_group_3_shape_8_horizontal_lines, 145, 3),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(152, 190),
        horizontal_line(152, 187),
        horizontal_line(152, 185),
        horizontal_line(152, 182),
        horizontal_line(153, 180),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(179, 194),
        horizontal_line(176, 194),
        horizontal_line(174, 194),
        horizontal_line(171, 194),
        horizontal_line(169, 194),
        horizontal_line(167, 194),
        horizontal_line(164, 194),
        horizontal_line(162, 194),
        horizontal_line(159, 194),
        horizontal_line(157, 194),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(118, 139),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(155, 194),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(63, 122),
        horizontal_line(121, 122),
        horizontal_line(117, 123),
        horizontal_line(147, 149),
        horizontal_line(108, 124),
        horizontal_line(104, 125),
        horizontal_line(100, 125),
        horizontal_line(96, 126),
        horizontal_line(91, 126),
        horizontal_line(139, 159),
        horizontal_line(138, 161),
        horizontal_line(137, 163),
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(208, 221),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(145, 164),
        horizontal_line(149, 164),
        horizontal_line(152, 164),
        horizontal_line(155, 164),
        horizontal_line(159, 164),
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(231, 232),
        horizontal_line(231, 232),
        horizontal_line(230, 233),
        horizontal_line(230, 234),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(1, 34),
        horizontal_line(2, 33),
        horizontal_line(3, 31),
        horizontal_line(4, 30),
        horizontal_line(5, 28),
        horizontal_line(6, 27),
        horizontal_line(7, 26),
        horizontal_line(8, 24),
        horizontal_line(9, 23),
        horizontal_line(10, 21),
        horizontal_line(11, 20),
        horizontal_line(12, 19),
        horizontal_line(13, 17),
        horizontal_line(14, 16),
    };

    constexpr const horizontal_line frame_117_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(12, 16),
        horizontal_line(10, 17),
        horizontal_line(8, 18),
        horizontal_line(6, 19),
        horizontal_line(4, 20),
        horizontal_line(2, 21),
        horizontal_line(1, 22),
    };

    constexpr const shape frame_117_shape_group_4_shapes[] = {
        shape(frame_117_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_117_shape_group_4_shape_1_horizontal_lines, 5, 7),
        shape(frame_117_shape_group_4_shape_2_horizontal_lines, 15, 4),
        shape(frame_117_shape_group_4_shape_3_horizontal_lines, 16, 7),
        shape(frame_117_shape_group_4_shape_4_horizontal_lines, 38, 3),
        shape(frame_117_shape_group_4_shape_5_horizontal_lines, 53, 9),
        shape(frame_117_shape_group_4_shape_6_horizontal_lines, 54, 3),
        shape(frame_117_shape_group_4_shape_7_horizontal_lines, 64, 3),
        shape(frame_117_shape_group_4_shape_8_horizontal_lines, 79, 7),
        shape(frame_117_shape_group_4_shape_9_horizontal_lines, 83, 9),
        shape(frame_117_shape_group_4_shape_10_horizontal_lines, 84, 3),
        shape(frame_117_shape_group_4_shape_11_horizontal_lines, 122, 3),
        shape(frame_117_shape_group_4_shape_12_horizontal_lines, 137, 3),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(150, 151),
        horizontal_line(148, 151),
        horizontal_line(146, 151),
        horizontal_line(144, 151),
        horizontal_line(142, 152),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(120, 139),
        horizontal_line(120, 139),
        horizontal_line(120, 139),
        horizontal_line(120, 139),
        horizontal_line(119, 139),
        horizontal_line(119, 139),
        horizontal_line(119, 139),
        horizontal_line(119, 139),
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(118, 139),
        horizontal_line(118, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(116, 131),
        horizontal_line(116, 127),
        horizontal_line(116, 123),
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(110, 115),
        horizontal_line(106, 116),
        horizontal_line(102, 116),
        horizontal_line(97, 117),
        horizontal_line(93, 117),
        horizontal_line(89, 118),
        horizontal_line(85, 119),
        horizontal_line(80, 119),
        horizontal_line(76, 120),
        horizontal_line(72, 120),
        horizontal_line(68, 121),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(194, 231),
        horizontal_line(193, 230),
        horizontal_line(192, 229),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(113, 123),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(154, 154),
        horizontal_line(188, 227),
        horizontal_line(187, 226),
        horizontal_line(186, 225),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(87, 127),
        horizontal_line(83, 128),
        horizontal_line(79, 128),
        horizontal_line(135, 164),
        horizontal_line(134, 164),
        horizontal_line(133, 164),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_117_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_117_shape_group_5_shapes[] = {
        shape(frame_117_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_117_shape_group_5_shape_1_horizontal_lines, 5, 4),
        shape(frame_117_shape_group_5_shape_2_horizontal_lines, 14, 7),
        shape(frame_117_shape_group_5_shape_3_horizontal_lines, 16, 4),
        shape(frame_117_shape_group_5_shape_4_horizontal_lines, 21, 7),
        shape(frame_117_shape_group_5_shape_5_horizontal_lines, 22, 4),
        shape(frame_117_shape_group_5_shape_6_horizontal_lines, 26, 3),
        shape(frame_117_shape_group_5_shape_7_horizontal_lines, 38, 9),
        shape(frame_117_shape_group_5_shape_8_horizontal_lines, 41, 3),
        shape(frame_117_shape_group_5_shape_9_horizontal_lines, 42, 9),
        shape(frame_117_shape_group_5_shape_10_horizontal_lines, 47, 3),
        shape(frame_117_shape_group_5_shape_11_horizontal_lines, 54, 3),
        shape(frame_117_shape_group_5_shape_12_horizontal_lines, 64, 3),
        shape(frame_117_shape_group_5_shape_13_horizontal_lines, 84, 9),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 195),
        horizontal_line(188, 194),
        horizontal_line(186, 194),
        horizontal_line(183, 194),
        horizontal_line(181, 194),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(118, 139),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(117, 135),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(215, 232),
        horizontal_line(196, 231),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(191, 229),
        horizontal_line(190, 228),
        horizontal_line(189, 227),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(185, 225),
        horizontal_line(188, 224),
        horizontal_line(192, 223),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(74, 129),
        horizontal_line(70, 129),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(212, 220),
        horizontal_line(216, 219),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_117_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
    };

    constexpr const shape frame_117_shape_group_6_shapes[] = {
        shape(frame_117_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_117_shape_group_6_shape_1_horizontal_lines, 14, 4),
        shape(frame_117_shape_group_6_shape_2_horizontal_lines, 21, 4),
        shape(frame_117_shape_group_6_shape_3_horizontal_lines, 36, 9),
        shape(frame_117_shape_group_6_shape_4_horizontal_lines, 41, 9),
        shape(frame_117_shape_group_6_shape_5_horizontal_lines, 47, 9),
        shape(frame_117_shape_group_6_shape_6_horizontal_lines, 50, 3),
        shape(frame_117_shape_group_6_shape_7_horizontal_lines, 54, 9),
        shape(frame_117_shape_group_6_shape_8_horizontal_lines, 57, 3),
        shape(frame_117_shape_group_6_shape_9_horizontal_lines, 79, 3),
    };

    constexpr const horizontal_line frame_117_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(121, 128),
        horizontal_line(121, 131),
        horizontal_line(121, 135),
    };

    constexpr const horizontal_line frame_117_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(196, 223),
        horizontal_line(200, 222),
    };

    constexpr const horizontal_line frame_117_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_117_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_117_shape_group_7_shapes[] = {
        shape(frame_117_shape_group_7_shape_0_horizontal_lines, 1, 4),
        shape(frame_117_shape_group_7_shape_1_horizontal_lines, 50, 9),
        shape(frame_117_shape_group_7_shape_2_horizontal_lines, 52, 3),
        shape(frame_117_shape_group_7_shape_3_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_117_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(204, 221),
    };

    constexpr const shape frame_117_shape_group_8_shapes[] = {
        shape(frame_117_shape_group_8_shape_0_horizontal_lines, 52, 9),
    };

    constexpr const shape_group frame_117_shape_groups[] = {
        shape_group(frame_117_shape_group_0_shapes),
        shape_group(frame_117_shape_group_1_shapes),
        shape_group(frame_117_shape_group_2_shapes),
        shape_group(frame_117_shape_group_3_shapes),
        shape_group(frame_117_shape_group_4_shapes),
        shape_group(frame_117_shape_group_5_shapes),
        shape_group(frame_117_shape_group_6_shapes),
        shape_group(frame_117_shape_group_7_shapes),
        shape_group(frame_117_shape_group_8_shapes),
    };

    constexpr const frame frame_117_impl(frame_117_colors, frame_117_shape_groups);
} 

const frame& frame_117()
{
    return frame_117_impl;
}

namespace
{
    constexpr const bn::color frame_118_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_118_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(107, 115),
        horizontal_line(107, 124),
        horizontal_line(107, 134),
        horizontal_line(107, 135),
        horizontal_line(107, 135),
        horizontal_line(107, 135),
        horizontal_line(107, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 136),
        horizontal_line(105, 132),
        horizontal_line(104, 128),
        horizontal_line(104, 125),
        horizontal_line(104, 121),
        horizontal_line(104, 117),
        horizontal_line(104, 114),
        horizontal_line(104, 110),
        horizontal_line(104, 106),
    };

    constexpr const horizontal_line frame_118_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_118_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(119, 127),
        horizontal_line(117, 130),
        horizontal_line(116, 133),
        horizontal_line(114, 136),
        horizontal_line(113, 139),
        horizontal_line(112, 142),
        horizontal_line(110, 145),
        horizontal_line(109, 148),
        horizontal_line(107, 151),
        horizontal_line(106, 154),
        horizontal_line(104, 157),
        horizontal_line(103, 165),
        horizontal_line(102, 159),
        horizontal_line(100, 158),
        horizontal_line(99, 157),
        horizontal_line(97, 156),
        horizontal_line(96, 156),
        horizontal_line(95, 155),
        horizontal_line(93, 154),
        horizontal_line(92, 153),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_118_shape_group_0_shapes[] = {
        shape(frame_118_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_118_shape_group_0_shape_1_horizontal_lines, 31, 2),
        shape(frame_118_shape_group_0_shape_2_horizontal_lines, 63, 1),
    };

    constexpr const horizontal_line frame_118_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_118_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(104, 140),
        horizontal_line(105, 141),
        horizontal_line(105, 141),
        horizontal_line(106, 141),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(108, 143),
        horizontal_line(108, 143),
        horizontal_line(109, 144),
        horizontal_line(110, 144),
        horizontal_line(110, 145),
        horizontal_line(111, 145),
        horizontal_line(111, 145),
        horizontal_line(112, 143),
        horizontal_line(113, 142),
        horizontal_line(113, 141),
        horizontal_line(114, 139),
        horizontal_line(115, 138),
        horizontal_line(115, 137),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
        horizontal_line(117, 133),
        horizontal_line(118, 131),
        horizontal_line(118, 130),
        horizontal_line(119, 129),
        horizontal_line(119, 127),
        horizontal_line(120, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 123),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_118_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(163, 172),
        horizontal_line(163, 173),
        horizontal_line(163, 174),
        horizontal_line(162, 175),
        horizontal_line(162, 176),
        horizontal_line(162, 177),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 177),
        horizontal_line(160, 176),
        horizontal_line(160, 176),
        horizontal_line(160, 175),
        horizontal_line(165, 175),
        horizontal_line(161, 174),
        horizontal_line(161, 174),
        horizontal_line(161, 173),
        horizontal_line(161, 173),
        horizontal_line(161, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 170),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
        horizontal_line(163, 168),
        horizontal_line(163, 168),
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
        horizontal_line(134, 142),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 140),
        horizontal_line(128, 139),
        horizontal_line(127, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(123, 136),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(118, 134),
        horizontal_line(117, 133),
        horizontal_line(115, 132),
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(111, 130),
        horizontal_line(110, 129),
        horizontal_line(108, 128),
        horizontal_line(107, 127),
        horizontal_line(105, 127),
        horizontal_line(104, 126),
        horizontal_line(103, 125),
        horizontal_line(101, 124),
        horizontal_line(100, 123),
        horizontal_line(98, 123),
        horizontal_line(97, 122),
        horizontal_line(96, 121),
        horizontal_line(94, 120),
        horizontal_line(93, 119),
        horizontal_line(91, 119),
        horizontal_line(90, 118),
        horizontal_line(88, 117),
        horizontal_line(87, 116),
        horizontal_line(86, 116),
        horizontal_line(84, 115),
        horizontal_line(83, 114),
        horizontal_line(81, 113),
        horizontal_line(80, 112),
        horizontal_line(79, 112),
        horizontal_line(77, 111),
        horizontal_line(76, 110),
        horizontal_line(74, 109),
        horizontal_line(73, 108),
        horizontal_line(71, 108),
        horizontal_line(70, 107),
        horizontal_line(69, 106),
        horizontal_line(67, 105),
        horizontal_line(66, 105),
        horizontal_line(64, 104),
        horizontal_line(63, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
    };

    constexpr const shape frame_118_shape_group_1_shapes[] = {
        shape(frame_118_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_118_shape_group_1_shape_1_horizontal_lines, 3, 2),
        shape(frame_118_shape_group_1_shape_2_horizontal_lines, 62, 1),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(107, 136),
        horizontal_line(107, 135),
        horizontal_line(108, 135),
        horizontal_line(116, 135),
        horizontal_line(125, 135),
        horizontal_line(135, 135),
        horizontal_line(62, 106),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(133, 138),
        horizontal_line(129, 138),
        horizontal_line(126, 138),
        horizontal_line(122, 138),
        horizontal_line(118, 138),
        horizontal_line(115, 138),
        horizontal_line(111, 139),
        horizontal_line(107, 139),
        horizontal_line(124, 140),
        horizontal_line(62, 99),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 73),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(147, 160),
        horizontal_line(148, 160),
        horizontal_line(150, 160),
        horizontal_line(152, 161),
        horizontal_line(153, 161),
        horizontal_line(155, 162),
        horizontal_line(157, 162),
        horizontal_line(158, 162),
        horizontal_line(160, 163),
        horizontal_line(162, 163),
        horizontal_line(163, 164),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(164, 169),
        horizontal_line(164, 170),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(224, 231),
        horizontal_line(218, 231),
        horizontal_line(211, 232),
        horizontal_line(205, 232),
        horizontal_line(198, 233),
        horizontal_line(192, 233),
        horizontal_line(185, 233),
        horizontal_line(179, 234),
        horizontal_line(178, 234),
        horizontal_line(177, 235),
        horizontal_line(177, 235),
        horizontal_line(176, 235),
        horizontal_line(176, 236),
        horizontal_line(160, 160),
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 161),
        horizontal_line(155, 161),
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(151, 152),
        horizontal_line(149, 151),
        horizontal_line(148, 150),
        horizontal_line(147, 149),
        horizontal_line(145, 149),
        horizontal_line(144, 148),
        horizontal_line(142, 147),
        horizontal_line(141, 146),
        horizontal_line(140, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 144),
        horizontal_line(135, 143),
    };

    constexpr const horizontal_line frame_118_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(142, 163),
        horizontal_line(142, 162),
        horizontal_line(141, 161),
        horizontal_line(140, 161),
        horizontal_line(139, 160),
        horizontal_line(139, 160),
        horizontal_line(138, 159),
        horizontal_line(137, 159),
        horizontal_line(136, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 157),
        horizontal_line(134, 157),
        horizontal_line(133, 156),
        horizontal_line(132, 155),
        horizontal_line(131, 155),
        horizontal_line(131, 154),
        horizontal_line(130, 154),
        horizontal_line(129, 153),
        horizontal_line(128, 153),
        horizontal_line(128, 152),
        horizontal_line(127, 152),
        horizontal_line(126, 151),
        horizontal_line(125, 151),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(123, 149),
        horizontal_line(122, 148),
        horizontal_line(121, 148),
        horizontal_line(120, 147),
        horizontal_line(120, 147),
        horizontal_line(119, 146),
        horizontal_line(118, 146),
        horizontal_line(117, 145),
        horizontal_line(117, 145),
        horizontal_line(116, 144),
        horizontal_line(115, 144),
        horizontal_line(114, 143),
        horizontal_line(113, 142),
        horizontal_line(113, 142),
        horizontal_line(112, 141),
        horizontal_line(111, 141),
        horizontal_line(110, 140),
        horizontal_line(109, 140),
        horizontal_line(109, 139),
        horizontal_line(108, 139),
        horizontal_line(107, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 137),
        horizontal_line(105, 137),
        horizontal_line(104, 136),
        horizontal_line(103, 135),
        horizontal_line(102, 135),
        horizontal_line(102, 134),
        horizontal_line(101, 134),
        horizontal_line(100, 133),
        horizontal_line(99, 133),
        horizontal_line(98, 132),
        horizontal_line(98, 132),
        horizontal_line(97, 131),
        horizontal_line(96, 131),
        horizontal_line(95, 130),
        horizontal_line(95, 130),
    };

    constexpr const shape frame_118_shape_group_2_shapes[] = {
        shape(frame_118_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_118_shape_group_2_shape_1_horizontal_lines, 44, 1),
        shape(frame_118_shape_group_2_shape_2_horizontal_lines, 55, 7),
        shape(frame_118_shape_group_2_shape_3_horizontal_lines, 56, 1),
        shape(frame_118_shape_group_2_shape_4_horizontal_lines, 63, 7),
        shape(frame_118_shape_group_2_shape_5_horizontal_lines, 84, 1),
        shape(frame_118_shape_group_2_shape_6_horizontal_lines, 97, 7),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(137, 148),
        horizontal_line(136, 146),
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 201),
        horizontal_line(159, 191),
        horizontal_line(159, 181),
        horizontal_line(159, 170),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(162, 162),
        horizontal_line(162, 162),
        horizontal_line(163, 173),
        horizontal_line(163, 188),
        horizontal_line(163, 184),
        horizontal_line(164, 181),
        horizontal_line(164, 178),
        horizontal_line(165, 175),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(24, 86),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(167, 169),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(175, 236),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 162),
        horizontal_line(150, 162),
        horizontal_line(150, 162),
        horizontal_line(149, 162),
        horizontal_line(148, 162),
        horizontal_line(147, 162),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(145, 163),
        horizontal_line(144, 163),
        horizontal_line(205, 239),
        horizontal_line(165, 227),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_118_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_118_shape_group_3_shapes[] = {
        shape(frame_118_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_118_shape_group_3_shape_1_horizontal_lines, 3, 2),
        shape(frame_118_shape_group_3_shape_2_horizontal_lines, 6, 1),
        shape(frame_118_shape_group_3_shape_3_horizontal_lines, 7, 2),
        shape(frame_118_shape_group_3_shape_4_horizontal_lines, 31, 7),
        shape(frame_118_shape_group_3_shape_5_horizontal_lines, 43, 1),
        shape(frame_118_shape_group_3_shape_6_horizontal_lines, 44, 7),
        shape(frame_118_shape_group_3_shape_7_horizontal_lines, 55, 3),
        shape(frame_118_shape_group_3_shape_8_horizontal_lines, 56, 7),
        shape(frame_118_shape_group_3_shape_9_horizontal_lines, 57, 3),
        shape(frame_118_shape_group_3_shape_10_horizontal_lines, 62, 7),
        shape(frame_118_shape_group_3_shape_11_horizontal_lines, 63, 3),
        shape(frame_118_shape_group_3_shape_12_horizontal_lines, 76, 7),
        shape(frame_118_shape_group_3_shape_13_horizontal_lines, 100, 3),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(157, 190),
        horizontal_line(157, 187),
        horizontal_line(157, 185),
        horizontal_line(136, 142),
        horizontal_line(136, 140),
        horizontal_line(136, 138),
        horizontal_line(157, 175),
        horizontal_line(158, 173),
        horizontal_line(158, 171),
        horizontal_line(158, 168),
        horizontal_line(158, 166),
        horizontal_line(158, 164),
        horizontal_line(158, 161),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(139, 155),
        horizontal_line(139, 153),
        horizontal_line(139, 150),
        horizontal_line(139, 148),
        horizontal_line(139, 146),
        horizontal_line(139, 143),
        horizontal_line(139, 141),
        horizontal_line(139, 139),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
        horizontal_line(159, 202),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(97, 104),
        horizontal_line(94, 104),
        horizontal_line(90, 105),
        horizontal_line(87, 106),
        horizontal_line(84, 106),
        horizontal_line(80, 107),
        horizontal_line(77, 107),
        horizontal_line(74, 108),
        horizontal_line(70, 109),
        horizontal_line(67, 109),
        horizontal_line(64, 110),
        horizontal_line(60, 110),
        horizontal_line(57, 111),
        horizontal_line(54, 112),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(131, 164),
        horizontal_line(20, 82),
        horizontal_line(128, 164),
        horizontal_line(127, 164),
        horizontal_line(126, 164),
        horizontal_line(124, 163),
        horizontal_line(123, 163),
        horizontal_line(1, 63),
        horizontal_line(125, 162),
        horizontal_line(128, 162),
        horizontal_line(131, 162),
        horizontal_line(134, 161),
        horizontal_line(137, 161),
        horizontal_line(140, 161),
        horizontal_line(143, 160),
        horizontal_line(146, 160),
        horizontal_line(149, 160),
        horizontal_line(152, 159),
        horizontal_line(155, 159),
        horizontal_line(158, 159),
        horizontal_line(62, 102),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(237, 237),
        horizontal_line(236, 237),
        horizontal_line(236, 237),
        horizontal_line(235, 238),
        horizontal_line(235, 238),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_118_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_118_shape_group_4_shapes[] = {
        shape(frame_118_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_118_shape_group_4_shape_1_horizontal_lines, 14, 7),
        shape(frame_118_shape_group_4_shape_2_horizontal_lines, 32, 3),
        shape(frame_118_shape_group_4_shape_3_horizontal_lines, 77, 7),
        shape(frame_118_shape_group_4_shape_4_horizontal_lines, 97, 3),
        shape(frame_118_shape_group_4_shape_5_horizontal_lines, 98, 7),
        shape(frame_118_shape_group_4_shape_6_horizontal_lines, 99, 3),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(149, 156),
        horizontal_line(147, 156),
        horizontal_line(145, 156),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(157, 182),
        horizontal_line(157, 180),
        horizontal_line(157, 178),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(137, 156),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(138, 157),
        horizontal_line(139, 157),
        horizontal_line(139, 157),
        horizontal_line(139, 157),
        horizontal_line(139, 157),
        horizontal_line(201, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
        horizontal_line(158, 202),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(144, 147),
        horizontal_line(143, 149),
        horizontal_line(142, 151),
        horizontal_line(140, 152),
        horizontal_line(139, 154),
        horizontal_line(138, 156),
        horizontal_line(136, 157),
        horizontal_line(135, 159),
        horizontal_line(134, 161),
        horizontal_line(132, 162),
        horizontal_line(86, 117),
        horizontal_line(130, 165),
        horizontal_line(79, 118),
        horizontal_line(76, 119),
        horizontal_line(72, 120),
        horizontal_line(69, 120),
        horizontal_line(66, 121),
        horizontal_line(123, 163),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
        horizontal_line(62, 115),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 101),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_118_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(0, 62),
        horizontal_line(62, 68),
    };

    constexpr const shape frame_118_shape_group_5_shapes[] = {
        shape(frame_118_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_118_shape_group_5_shape_1_horizontal_lines, 3, 1),
        shape(frame_118_shape_group_5_shape_2_horizontal_lines, 6, 7),
        shape(frame_118_shape_group_5_shape_3_horizontal_lines, 38, 9),
        shape(frame_118_shape_group_5_shape_4_horizontal_lines, 44, 3),
        shape(frame_118_shape_group_5_shape_5_horizontal_lines, 76, 3),
        shape(frame_118_shape_group_5_shape_6_horizontal_lines, 84, 7),
        shape(frame_118_shape_group_5_shape_7_horizontal_lines, 97, 3),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(191, 203),
        horizontal_line(188, 202),
        horizontal_line(186, 202),
        horizontal_line(143, 156),
        horizontal_line(141, 156),
        horizontal_line(139, 156),
        horizontal_line(176, 202),
        horizontal_line(174, 202),
        horizontal_line(172, 202),
        horizontal_line(169, 202),
        horizontal_line(167, 202),
        horizontal_line(165, 202),
        horizontal_line(162, 202),
        horizontal_line(160, 202),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(109, 113),
        horizontal_line(106, 114),
        horizontal_line(102, 114),
        horizontal_line(99, 115),
        horizontal_line(96, 115),
        horizontal_line(92, 116),
        horizontal_line(89, 117),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(206, 236),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(82, 118),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(213, 234),
        horizontal_line(217, 233),
        horizontal_line(220, 233),
        horizontal_line(224, 232),
        horizontal_line(227, 231),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(63, 121),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_118_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(62, 69),
    };

    constexpr const shape frame_118_shape_group_6_shapes[] = {
        shape(frame_118_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_118_shape_group_6_shape_1_horizontal_lines, 43, 9),
        shape(frame_118_shape_group_6_shape_2_horizontal_lines, 47, 3),
        shape(frame_118_shape_group_6_shape_3_horizontal_lines, 55, 9),
        shape(frame_118_shape_group_6_shape_4_horizontal_lines, 56, 3),
        shape(frame_118_shape_group_6_shape_5_horizontal_lines, 57, 9),
        shape(frame_118_shape_group_6_shape_6_horizontal_lines, 62, 3),
        shape(frame_118_shape_group_6_shape_7_horizontal_lines, 77, 3),
        shape(frame_118_shape_group_6_shape_8_horizontal_lines, 98, 3),
    };

    constexpr const horizontal_line frame_118_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(183, 202),
        horizontal_line(181, 202),
        horizontal_line(179, 202),
    };

    constexpr const horizontal_line frame_118_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 238),
        horizontal_line(199, 237),
        horizontal_line(203, 236),
    };

    constexpr const horizontal_line frame_118_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(210, 235),
    };

    constexpr const horizontal_line frame_118_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
    };

    constexpr const shape frame_118_shape_group_7_shapes[] = {
        shape(frame_118_shape_group_7_shape_0_horizontal_lines, 3, 7),
        shape(frame_118_shape_group_7_shape_1_horizontal_lines, 47, 9),
        shape(frame_118_shape_group_7_shape_2_horizontal_lines, 56, 9),
        shape(frame_118_shape_group_7_shape_3_horizontal_lines, 84, 3),
    };

    constexpr const shape_group frame_118_shape_groups[] = {
        shape_group(frame_118_shape_group_0_shapes),
        shape_group(frame_118_shape_group_1_shapes),
        shape_group(frame_118_shape_group_2_shapes),
        shape_group(frame_118_shape_group_3_shapes),
        shape_group(frame_118_shape_group_4_shapes),
        shape_group(frame_118_shape_group_5_shapes),
        shape_group(frame_118_shape_group_6_shapes),
        shape_group(frame_118_shape_group_7_shapes),
    };

    constexpr const frame frame_118_impl(frame_118_colors, frame_118_shape_groups);
} 

const frame& frame_118()
{
    return frame_118_impl;
}

namespace
{
    constexpr const bn::color frame_119_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_119_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 48),
        horizontal_line(0, 36),
        horizontal_line(0, 24),
        horizontal_line(0, 12),
        horizontal_line(0, 0),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 125),
        horizontal_line(84, 122),
        horizontal_line(84, 119),
        horizontal_line(84, 115),
        horizontal_line(84, 112),
        horizontal_line(84, 109),
        horizontal_line(84, 106),
        horizontal_line(84, 102),
        horizontal_line(84, 99),
        horizontal_line(84, 96),
        horizontal_line(84, 92),
        horizontal_line(84, 89),
        horizontal_line(84, 86),
    };

    constexpr const horizontal_line frame_119_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 32),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(105, 114),
        horizontal_line(106, 112),
        horizontal_line(106, 111),
        horizontal_line(107, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_119_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(229, 239),
        horizontal_line(219, 239),
        horizontal_line(209, 239),
        horizontal_line(199, 239),
        horizontal_line(189, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(148, 148),
        horizontal_line(147, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 149),
        horizontal_line(144, 149),
        horizontal_line(143, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(139, 151),
        horizontal_line(138, 151),
        horizontal_line(137, 151),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(135, 152),
        horizontal_line(134, 152),
        horizontal_line(133, 153),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(130, 154),
        horizontal_line(130, 154),
        horizontal_line(129, 154),
        horizontal_line(128, 154),
        horizontal_line(127, 153),
        horizontal_line(126, 152),
        horizontal_line(125, 152),
        horizontal_line(124, 151),
        horizontal_line(124, 150),
        horizontal_line(123, 150),
        horizontal_line(122, 149),
        horizontal_line(121, 148),
        horizontal_line(120, 148),
        horizontal_line(119, 147),
        horizontal_line(118, 147),
        horizontal_line(117, 146),
        horizontal_line(117, 145),
        horizontal_line(116, 145),
        horizontal_line(115, 144),
        horizontal_line(114, 143),
        horizontal_line(113, 143),
        horizontal_line(112, 142),
        horizontal_line(111, 141),
        horizontal_line(111, 141),
        horizontal_line(110, 140),
        horizontal_line(109, 140),
        horizontal_line(108, 139),
        horizontal_line(107, 138),
        horizontal_line(106, 138),
        horizontal_line(105, 137),
        horizontal_line(105, 136),
        horizontal_line(104, 136),
        horizontal_line(103, 135),
        horizontal_line(102, 134),
        horizontal_line(101, 134),
        horizontal_line(100, 133),
        horizontal_line(99, 133),
        horizontal_line(99, 132),
        horizontal_line(98, 131),
        horizontal_line(97, 131),
        horizontal_line(96, 130),
        horizontal_line(95, 129),
        horizontal_line(94, 129),
        horizontal_line(93, 128),
        horizontal_line(93, 128),
    };

    constexpr const shape frame_119_shape_group_0_shapes[] = {
        shape(frame_119_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_119_shape_group_0_shape_1_horizontal_lines, 42, 2),
        shape(frame_119_shape_group_0_shape_2_horizontal_lines, 76, 7),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(84, 137),
        horizontal_line(85, 137),
        horizontal_line(86, 138),
        horizontal_line(86, 138),
        horizontal_line(87, 139),
        horizontal_line(88, 139),
        horizontal_line(89, 140),
        horizontal_line(89, 140),
        horizontal_line(90, 141),
        horizontal_line(91, 141),
        horizontal_line(92, 139),
        horizontal_line(92, 138),
        horizontal_line(93, 136),
        horizontal_line(94, 135),
        horizontal_line(95, 133),
        horizontal_line(95, 132),
        horizontal_line(96, 131),
        horizontal_line(97, 129),
        horizontal_line(97, 128),
        horizontal_line(98, 126),
        horizontal_line(99, 125),
        horizontal_line(100, 124),
        horizontal_line(100, 122),
        horizontal_line(101, 121),
        horizontal_line(102, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 116),
        horizontal_line(104, 115),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 172),
        horizontal_line(172, 173),
        horizontal_line(173, 173),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(175, 228),
        horizontal_line(176, 218),
        horizontal_line(177, 208),
        horizontal_line(178, 198),
        horizontal_line(179, 188),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(162, 224),
        horizontal_line(168, 230),
        horizontal_line(174, 236),
        horizontal_line(180, 239),
        horizontal_line(186, 239),
        horizontal_line(192, 239),
        horizontal_line(198, 239),
        horizontal_line(204, 239),
        horizontal_line(210, 239),
        horizontal_line(216, 239),
        horizontal_line(222, 239),
        horizontal_line(228, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
    };

    constexpr const shape frame_119_shape_group_1_shapes[] = {
        shape(frame_119_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_119_shape_group_1_shape_1_horizontal_lines, 18, 2),
        shape(frame_119_shape_group_1_shape_2_horizontal_lines, 71, 7),
        shape(frame_119_shape_group_1_shape_3_horizontal_lines, 77, 8),
        shape(frame_119_shape_group_1_shape_4_horizontal_lines, 82, 3),
        shape(frame_119_shape_group_1_shape_5_horizontal_lines, 86, 7),
        shape(frame_119_shape_group_1_shape_6_horizontal_lines, 132, 8),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 129),
        horizontal_line(83, 129),
        horizontal_line(83, 129),
        horizontal_line(83, 129),
        horizontal_line(83, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(84, 129),
        horizontal_line(85, 129),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(61, 83),
        horizontal_line(49, 83),
        horizontal_line(37, 83),
        horizontal_line(25, 83),
        horizontal_line(13, 75),
        horizontal_line(1, 63),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(126, 135),
        horizontal_line(123, 135),
        horizontal_line(120, 130),
        horizontal_line(116, 131),
        horizontal_line(113, 131),
        horizontal_line(110, 132),
        horizontal_line(107, 132),
        horizontal_line(103, 133),
        horizontal_line(100, 133),
        horizontal_line(97, 134),
        horizontal_line(93, 134),
        horizontal_line(90, 135),
        horizontal_line(87, 136),
        horizontal_line(124, 136),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(161, 162),
        horizontal_line(161, 169),
        horizontal_line(161, 181),
        horizontal_line(161, 193),
        horizontal_line(162, 190),
        horizontal_line(162, 187),
        horizontal_line(162, 184),
        horizontal_line(162, 181),
        horizontal_line(162, 178),
        horizontal_line(163, 175),
        horizontal_line(163, 172),
        horizontal_line(163, 169),
        horizontal_line(163, 167),
        horizontal_line(163, 167),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(166, 169),
        horizontal_line(167, 170),
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(172, 229),
        horizontal_line(172, 231),
        horizontal_line(173, 233),
        horizontal_line(174, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(122, 153),
        horizontal_line(124, 153),
        horizontal_line(126, 152),
        horizontal_line(129, 152),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(224, 239),
        horizontal_line(230, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(152, 179),
        horizontal_line(151, 185),
        horizontal_line(151, 191),
        horizontal_line(150, 197),
        horizontal_line(149, 203),
        horizontal_line(149, 209),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_119_shape_group_2_shapes[] = {
        shape(frame_119_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_119_shape_group_2_shape_1_horizontal_lines, 11, 4),
        shape(frame_119_shape_group_2_shape_2_horizontal_lines, 12, 2),
        shape(frame_119_shape_group_2_shape_3_horizontal_lines, 50, 7),
        shape(frame_119_shape_group_2_shape_4_horizontal_lines, 71, 8),
        shape(frame_119_shape_group_2_shape_5_horizontal_lines, 77, 3),
        shape(frame_119_shape_group_2_shape_6_horizontal_lines, 95, 7),
        shape(frame_119_shape_group_2_shape_7_horizontal_lines, 122, 8),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(153, 158),
        horizontal_line(151, 158),
        horizontal_line(149, 158),
        horizontal_line(147, 159),
        horizontal_line(145, 159),
        horizontal_line(143, 159),
        horizontal_line(141, 159),
        horizontal_line(139, 160),
        horizontal_line(138, 160),
        horizontal_line(136, 160),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(73, 83),
        horizontal_line(130, 132),
        horizontal_line(130, 133),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(136, 136),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 207),
        horizontal_line(163, 186),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(141, 156),
        horizontal_line(142, 149),
        horizontal_line(161, 200),
        horizontal_line(162, 199),
        horizontal_line(162, 198),
        horizontal_line(163, 196),
        horizontal_line(170, 195),
        horizontal_line(182, 194),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(45, 92),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(191, 195),
        horizontal_line(188, 197),
        horizontal_line(185, 199),
        horizontal_line(182, 202),
        horizontal_line(179, 204),
        horizontal_line(176, 206),
        horizontal_line(173, 208),
        horizontal_line(170, 211),
        horizontal_line(168, 213),
        horizontal_line(168, 215),
        horizontal_line(169, 217),
        horizontal_line(169, 220),
        horizontal_line(170, 222),
        horizontal_line(171, 224),
        horizontal_line(171, 226),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(236, 238),
        horizontal_line(237, 238),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(111, 156),
        horizontal_line(113, 156),
        horizontal_line(115, 155),
        horizontal_line(117, 155),
        horizontal_line(120, 154),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(131, 151),
        horizontal_line(133, 151),
        horizontal_line(135, 150),
        horizontal_line(137, 149),
        horizontal_line(140, 149),
        horizontal_line(142, 148),
        horizontal_line(144, 148),
        horizontal_line(146, 147),
        horizontal_line(62, 80),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(154, 161),
        horizontal_line(153, 167),
        horizontal_line(153, 173),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(210, 215),
        horizontal_line(210, 221),
        horizontal_line(209, 227),
        horizontal_line(208, 233),
    };

    constexpr const horizontal_line frame_119_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_119_shape_group_3_shapes[] = {
        shape(frame_119_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_119_shape_group_3_shape_1_horizontal_lines, 11, 2),
        shape(frame_119_shape_group_3_shape_2_horizontal_lines, 42, 7),
        shape(frame_119_shape_group_3_shape_3_horizontal_lines, 47, 8),
        shape(frame_119_shape_group_3_shape_4_horizontal_lines, 55, 3),
        shape(frame_119_shape_group_3_shape_5_horizontal_lines, 56, 8),
        shape(frame_119_shape_group_3_shape_6_horizontal_lines, 71, 3),
        shape(frame_119_shape_group_3_shape_7_horizontal_lines, 75, 8),
        shape(frame_119_shape_group_3_shape_8_horizontal_lines, 77, 3),
        shape(frame_119_shape_group_3_shape_9_horizontal_lines, 118, 8),
        shape(frame_119_shape_group_3_shape_10_horizontal_lines, 122, 3),
        shape(frame_119_shape_group_3_shape_11_horizontal_lines, 128, 8),
        shape(frame_119_shape_group_3_shape_12_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(200, 211),
        horizontal_line(197, 210),
        horizontal_line(195, 210),
        horizontal_line(192, 210),
        horizontal_line(190, 210),
        horizontal_line(188, 210),
        horizontal_line(185, 210),
        horizontal_line(183, 210),
        horizontal_line(181, 210),
        horizontal_line(178, 210),
        horizontal_line(176, 210),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(133, 161),
        horizontal_line(134, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(75, 83),
        horizontal_line(63, 83),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(136, 157),
        horizontal_line(136, 154),
        horizontal_line(136, 152),
        horizontal_line(136, 149),
        horizontal_line(136, 147),
        horizontal_line(136, 145),
        horizontal_line(136, 142),
        horizontal_line(136, 140),
        horizontal_line(136, 137),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 208),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(139, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(141, 163),
        horizontal_line(163, 203),
        horizontal_line(162, 201),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(63, 88),
        horizontal_line(60, 88),
        horizontal_line(57, 89),
        horizontal_line(54, 90),
        horizontal_line(51, 91),
        horizontal_line(48, 91),
        horizontal_line(137, 146),
        horizontal_line(42, 93),
        horizontal_line(39, 94),
        horizontal_line(36, 94),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(115, 160),
        horizontal_line(113, 159),
        horizontal_line(112, 159),
        horizontal_line(110, 158),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_119_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
    };

    constexpr const shape frame_119_shape_group_4_shapes[] = {
        shape(frame_119_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_119_shape_group_4_shape_1_horizontal_lines, 11, 2),
        shape(frame_119_shape_group_4_shape_2_horizontal_lines, 12, 7),
        shape(frame_119_shape_group_4_shape_3_horizontal_lines, 16, 2),
        shape(frame_119_shape_group_4_shape_4_horizontal_lines, 18, 7),
        shape(frame_119_shape_group_4_shape_5_horizontal_lines, 31, 2),
        shape(frame_119_shape_group_4_shape_6_horizontal_lines, 35, 7),
        shape(frame_119_shape_group_4_shape_7_horizontal_lines, 42, 8),
        shape(frame_119_shape_group_4_shape_8_horizontal_lines, 49, 3),
        shape(frame_119_shape_group_4_shape_9_horizontal_lines, 86, 3),
        shape(frame_119_shape_group_4_shape_10_horizontal_lines, 95, 3),
        shape(frame_119_shape_group_4_shape_11_horizontal_lines, 118, 3),
        shape(frame_119_shape_group_4_shape_12_horizontal_lines, 128, 3),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(134, 160),
        horizontal_line(171, 210),
        horizontal_line(169, 210),
        horizontal_line(166, 210),
        horizontal_line(164, 209),
        horizontal_line(136, 198),
        horizontal_line(136, 159),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
        horizontal_line(163, 208),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(137, 162),
        horizontal_line(137, 162),
        horizontal_line(138, 162),
        horizontal_line(138, 162),
        horizontal_line(138, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(187, 205),
        horizontal_line(165, 204),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(69, 86),
        horizontal_line(66, 87),
        horizontal_line(141, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(140, 143),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(136, 148),
        horizontal_line(134, 149),
        horizontal_line(133, 151),
        horizontal_line(132, 153),
        horizontal_line(130, 154),
        horizontal_line(129, 156),
        horizontal_line(127, 157),
        horizontal_line(126, 159),
        horizontal_line(125, 160),
        horizontal_line(123, 162),
        horizontal_line(122, 163),
        horizontal_line(120, 162),
        horizontal_line(119, 161),
        horizontal_line(117, 161),
        horizontal_line(116, 160),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(109, 157),
        horizontal_line(109, 157),
    };

    constexpr const shape frame_119_shape_group_5_shapes[] = {
        shape(frame_119_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_119_shape_group_5_shape_1_horizontal_lines, 11, 7),
        shape(frame_119_shape_group_5_shape_2_horizontal_lines, 27, 8),
        shape(frame_119_shape_group_5_shape_3_horizontal_lines, 31, 7),
        shape(frame_119_shape_group_5_shape_4_horizontal_lines, 35, 8),
        shape(frame_119_shape_group_5_shape_5_horizontal_lines, 47, 3),
        shape(frame_119_shape_group_5_shape_6_horizontal_lines, 51, 9),
        shape(frame_119_shape_group_5_shape_7_horizontal_lines, 52, 3),
        shape(frame_119_shape_group_5_shape_8_horizontal_lines, 55, 9),
        shape(frame_119_shape_group_5_shape_9_horizontal_lines, 56, 3),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(173, 210),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(198, 209),
        horizontal_line(162, 209),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(155, 161),
        horizontal_line(153, 161),
        horizontal_line(150, 161),
        horizontal_line(148, 161),
        horizontal_line(146, 161),
        horizontal_line(143, 161),
        horizontal_line(141, 161),
        horizontal_line(138, 161),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(136, 162),
        horizontal_line(136, 162),
        horizontal_line(136, 162),
        horizontal_line(137, 162),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(81, 83),
        horizontal_line(78, 84),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(72, 85),
        horizontal_line(140, 140),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(152, 160),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(92, 96),
        horizontal_line(89, 96),
        horizontal_line(86, 97),
        horizontal_line(83, 98),
        horizontal_line(80, 99),
        horizontal_line(77, 99),
        horizontal_line(74, 100),
        horizontal_line(71, 101),
        horizontal_line(68, 102),
        horizontal_line(65, 102),
        horizontal_line(63, 103),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(62, 107),
    };

    constexpr const shape frame_119_shape_group_6_shapes[] = {
        shape(frame_119_shape_group_6_shape_0_horizontal_lines, 11, 7),
        shape(frame_119_shape_group_6_shape_1_horizontal_lines, 12, 8),
        shape(frame_119_shape_group_6_shape_2_horizontal_lines, 16, 7),
        shape(frame_119_shape_group_6_shape_3_horizontal_lines, 18, 8),
        shape(frame_119_shape_group_6_shape_4_horizontal_lines, 42, 3),
        shape(frame_119_shape_group_6_shape_5_horizontal_lines, 45, 8),
        shape(frame_119_shape_group_6_shape_6_horizontal_lines, 46, 3),
        shape(frame_119_shape_group_6_shape_7_horizontal_lines, 49, 9),
        shape(frame_119_shape_group_6_shape_8_horizontal_lines, 52, 9),
        shape(frame_119_shape_group_6_shape_9_horizontal_lines, 56, 9),
        shape(frame_119_shape_group_6_shape_10_horizontal_lines, 59, 3),
        shape(frame_119_shape_group_6_shape_11_horizontal_lines, 71, 9),
        shape(frame_119_shape_group_6_shape_12_horizontal_lines, 75, 3),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(160, 161),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(75, 85),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(157, 162),
        horizontal_line(150, 161),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const shape frame_119_shape_group_7_shapes[] = {
        shape(frame_119_shape_group_7_shape_0_horizontal_lines, 11, 8),
        shape(frame_119_shape_group_7_shape_1_horizontal_lines, 16, 8),
        shape(frame_119_shape_group_7_shape_2_horizontal_lines, 31, 8),
        shape(frame_119_shape_group_7_shape_3_horizontal_lines, 35, 3),
        shape(frame_119_shape_group_7_shape_4_horizontal_lines, 43, 3),
        shape(frame_119_shape_group_7_shape_5_horizontal_lines, 47, 9),
        shape(frame_119_shape_group_7_shape_6_horizontal_lines, 59, 9),
        shape(frame_119_shape_group_7_shape_7_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_119_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_119_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_119_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_119_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_119_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_119_shape_group_8_shapes[] = {
        shape(frame_119_shape_group_8_shape_0_horizontal_lines, 17, 8),
        shape(frame_119_shape_group_8_shape_1_horizontal_lines, 31, 3),
        shape(frame_119_shape_group_8_shape_2_horizontal_lines, 44, 9),
        shape(frame_119_shape_group_8_shape_3_horizontal_lines, 45, 3),
        shape(frame_119_shape_group_8_shape_4_horizontal_lines, 46, 9),
    };

    constexpr const horizontal_line frame_119_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(206, 223),
    };

    constexpr const shape frame_119_shape_group_9_shapes[] = {
        shape(frame_119_shape_group_9_shape_0_horizontal_lines, 45, 9),
    };

    constexpr const shape_group frame_119_shape_groups[] = {
        shape_group(frame_119_shape_group_0_shapes),
        shape_group(frame_119_shape_group_1_shapes),
        shape_group(frame_119_shape_group_2_shapes),
        shape_group(frame_119_shape_group_3_shapes),
        shape_group(frame_119_shape_group_4_shapes),
        shape_group(frame_119_shape_group_5_shapes),
        shape_group(frame_119_shape_group_6_shapes),
        shape_group(frame_119_shape_group_7_shapes),
        shape_group(frame_119_shape_group_8_shapes),
        shape_group(frame_119_shape_group_9_shapes),
    };

    constexpr const frame frame_119_impl(frame_119_colors, frame_119_shape_groups);
} 

const frame& frame_119()
{
    return frame_119_impl;
}

